//-----------------------------------------------------------------------------
// Copyright Notice
//
//   Copyright 2002 Sandia Corporation. Under the terms
//   of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S.
//   Government retains certain rights in this software.
//
//    Xyce(TM) Parallel Electrical Simulator
//    Copyright (C) 2002-2015 Sandia Corporation
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Filename       : $RCSfile: N_LAS_fwd.h,v $
//
// Purpose        : AC analysis class
//
// Special Notes  : Specify any "hidden" or subtle details of the class here.
//                  Portability details, error handling information, etc.
//
// Creator        : Ting Mei   
//
// Creation Date  : 01/11
//
// Revision Information:
// ---------------------
//
// Revision Number: $Revision: 1.6.2.1 $
// Revision Date  : $Date: 2015/04/02 18:20:15 $
// Current Owner  : $Author: tvrusso $
//-----------------------------------------------------------------------------

#ifndef Xyce_N_LAS_fwd_h
#define Xyce_N_LAS_fwd_h

namespace Xyce {
namespace Linear {

class AmesosSolver;
class AztecOOSolver;

class BlockMatrix;
class BlockVector;
class Builder;
class HBBuilder;
class HBPrecondFactory;
class Matrix;
class MultiVector;
class PrecondFactory;
class Preconditioner;
class Problem;
class Solver;
class System;
class Transform;
class Vector;
class QueryUtil;

} // namespace Linear
} // namespace Xyce

// THESE ARE DEPRECATED.  Please use the namespace names.

typedef Xyce::Linear::AmesosSolver N_LAS_AmesosSolver;
typedef Xyce::Linear::AztecOOSolver N_LAS_AztecOOSolver;

typedef Xyce::Linear::BlockMatrix N_LAS_BlockMatrix;
typedef Xyce::Linear::BlockVector N_LAS_BlockVector;
typedef Xyce::Linear::Builder N_LAS_Builder;
typedef Xyce::Linear::HBBuilder N_LAS_HBBuilder;
typedef Xyce::Linear::Matrix N_LAS_Matrix;
typedef Xyce::Linear::MultiVector N_LAS_MultiVector;
typedef Xyce::Linear::PrecondFactory N_LAS_PrecondFactory;
typedef Xyce::Linear::Preconditioner N_LAS_Preconditioner;
typedef Xyce::Linear::Problem N_LAS_Problem;
typedef Xyce::Linear::Solver N_LAS_Solver;
typedef Xyce::Linear::System N_LAS_System;
typedef Xyce::Linear::Transform N_LAS_Transform;
typedef Xyce::Linear::Vector N_LAS_Vector;
typedef Xyce::Linear::QueryUtil N_LAS_QueryUtil;

#endif // Xyce_N_LAS_fwd_h
