//-----------------------------------------------------------------------------
// Copyright Notice
//
//   Copyright 2002 Sandia Corporation. Under the terms
//   of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S.
//   Government retains certain rights in this software.
//
//    Xyce(TM) Parallel Electrical Simulator
//    Copyright (C) 2002-2015 Sandia Corporation
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
// Filename       : $RCSfile: N_TIA_fwd.h,v $
//
// Purpose        : AC analysis class
//
// Special Notes  : Specify any "hidden" or subtle details of the class here.
//                  Portability details, error handling information, etc.
//
// Creator        : Ting Mei   
//
// Creation Date  : 01/11
//
// Revision Information:
// ---------------------
//
// Revision Number: $Revision: 1.5.2.1 $
// Revision Date  : $Date: 2015/04/02 18:20:18 $
// Current Owner  : $Author: tvrusso $
//-----------------------------------------------------------------------------

#ifndef Xyce_N_TIA_fwd_h
#define Xyce_N_TIA_fwd_h

namespace Xyce {
namespace TimeIntg {

class BackwardDifferentiation15;
class DataStore;
class TimeIntegrationMethod;
class StepErrorControl;
class MPDEInterface;
class OneStep;
class TIAParams;
struct TimeIntInfo;
class TwoLevelError;
class WorkingIntegrationMethod;

} // namespace TimeIntg
} // namespace Xyce

// THESE ARE DEPRECATED.  Please use the namespace names.

typedef Xyce::TimeIntg::DataStore N_TIA_DataStore;
typedef Xyce::TimeIntg::BackwardDifferentiation15 N_TIA_BackwardDifferentiation15;
typedef Xyce::TimeIntg::TimeIntegrationMethod N_TIA_TimeIntegrationMethod;
typedef Xyce::TimeIntg::StepErrorControl N_TIA_StepErrorControl;
typedef Xyce::TimeIntg::OneStep N_TIA_OneStep;
typedef Xyce::TimeIntg::MPDEInterface N_TIA_MPDEInterface;
typedef Xyce::TimeIntg::TIAParams N_TIA_TIAParams;
typedef Xyce::TimeIntg::TimeIntInfo N_TIA_TimeIntInfo;
typedef Xyce::TimeIntg::TwoLevelError N_TIA_TwoLevelError;
typedef Xyce::TimeIntg::WorkingIntegrationMethod N_TIA_WorkingIntegrationMethod;

#endif // Xyce_N_TIA_fwd_h
