
//-----------------------------------------------------------------------------
// Copyright Notice
//
//   Copyright 2002 Sandia Corporation. Under the terms
//   of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S.
//   Government retains certain rights in this software.
//
//    Xyce(TM) Parallel Electrical Simulator
//    Copyright (C) 2002-2015 Sandia Corporation
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------

//-------------------------------------------------------------------------
// Filename       : $RCSfile: N_DEV_ADMSPSP103VA.C,v $
//
// Purpose        :
//
// Special Notes  : Generated from verilog file psp103.va with ADMS
//                  interface for Xyce 6.1.0
//                  DO NOT EDIT THIS FILE DIRECTLY!  It may be overwritten!
//
// Creator        : admsXml-2.3.4
//
// Creation Date  : Wed, 04 Mar 2015 16:56:31
//
// Revision Information:
// ---------------------
//
// Revision Number: $Revision: 1.65.2.1 $
//
// Revision Date  : $Date: 2015/04/02 18:20:08 $
//
// Current Owner  : $Author: tvrusso $
//-------------------------------------------------------------------------

#include <Xyce_config.h>
#include <N_DEV_ADMSPSP103VA.h>


#include <N_DEV_Const.h>
#include <N_DEV_DeviceOptions.h>
#include <N_DEV_DeviceMaster.h>
#include <N_DEV_ExternData.h>
#include <N_DEV_MatrixLoadData.h>
#include <N_DEV_SolverState.h>
#include <N_DEV_Message.h>

#include <N_LAS_Matrix.h>
#include <N_LAS_Vector.h>

#include <N_UTL_FeatureTest.h>
#if defined(HAVE_UNORDERED_MAP)
#include <unordered_map>
using std::unordered_map;
#elif defined(HAVE_TR1_UNORDERED_MAP)
#include <tr1/unordered_map>
using std::tr1::unordered_map;
#else
#error neither unordered_map or tr1/unordered_map found
#endif

namespace Xyce {
namespace Device {
namespace ADMSPSP103VA {


void
Traits::loadInstanceParameters(ParametricData<ADMSPSP103VA::Instance> &p)
{
  // Set up each parameter directly, using the up-cased variable name
  // as the tag.

  // This kludge is to force us always to have an instance parameter
  // that the device manager can set to the temperature, even if we have
  // no "TEMP".
  p.addPar("XYCEADMSINSTTEMP", 0.0, &ADMSPSP103VA::Instance::admsInstTemp)
    .setExpressionAccess(NO_DOC)
    .setUnit(U_DEGK)
    .setCategory(CAT_TEMP)
    .setDescription("Internal-use parameter for setting device instance temperature");
  p.addPar("L", static_cast<double>(10e-6), &ADMSPSP103VA::Instance::L)
    .setUnit(U_METER)
    .setDescription("Design length")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("W", static_cast<double>(10e-6), &ADMSPSP103VA::Instance::W)
    .setUnit(U_METER)
    .setDescription("Design width")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("SA", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SA)
    .setUnit(U_METER)
    .setDescription("Distance between OD-edge and poly from one side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("SB", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SB)
    .setUnit(U_METER)
    .setDescription("Distance between OD-edge and poly from other side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("SD", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SD)
    .setUnit(U_METER)
    .setDescription("Distance between neighbouring fingers")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("SCA", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SCA)
    .setDescription("Integral of the first distribution function for scattered well dopants")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("SCB", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SCB)
    .setDescription("Integral of the second distribution function for scattered well dopants")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("SCC", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SCC)
    .setDescription("Integral of the third distribution function for scattered well dopants")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("SC", static_cast<double>(0.0), &ADMSPSP103VA::Instance::SC)
    .setUnit(U_METER)
    .setDescription("Distance between OD-edge and nearest well edge")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("NF", static_cast<double>(1.0), &ADMSPSP103VA::Instance::NF)
    .setDescription("Number of fingers")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("NGCON", static_cast<double>(1.0), &ADMSPSP103VA::Instance::NGCON)
    .setDescription("Number of gate contacts")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("XGW", static_cast<double>(1.0E-7), &ADMSPSP103VA::Instance::XGW)
    .setUnit(U_METER)
    .setDescription("Distance from the gate contact to the channel edge")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("NRS", static_cast<double>(0.0), &ADMSPSP103VA::Instance::NRS)
    .setDescription("Number of squares of source diffusion")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("NRD", static_cast<double>(0.0), &ADMSPSP103VA::Instance::NRD)
    .setDescription("Number of squares of drain diffusion")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("JW", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::JW)
    .setUnit(U_METER)
    .setDescription("Gate-edge length of source/drain junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("DELVTO", static_cast<double>(0.0), &ADMSPSP103VA::Instance::DELVTO)
    .setUnit(U_VOLT)
    .setDescription("Threshold voltage shift parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("FACTUO", static_cast<double>(1.0), &ADMSPSP103VA::Instance::FACTUO)
    .setDescription("Zero-field mobility pre-factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("ABSOURCE", static_cast<double>(1E-12), &ADMSPSP103VA::Instance::ABSOURCE)
    .setDescription("Bottom area of source junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("LSSOURCE", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::LSSOURCE)
    .setUnit(U_METER)
    .setDescription("STI-edge length of source junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("LGSOURCE", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::LGSOURCE)
    .setUnit(U_METER)
    .setDescription("Gate-edge length of source junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("ABDRAIN", static_cast<double>(1E-12), &ADMSPSP103VA::Instance::ABDRAIN)
    .setDescription("Bottom area of drain junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("LSDRAIN", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::LSDRAIN)
    .setUnit(U_METER)
    .setDescription("STI-edge length of drain junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("LGDRAIN", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::LGDRAIN)
    .setUnit(U_METER)
    .setDescription("Gate-edge length of drain junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("AS", static_cast<double>(1E-12), &ADMSPSP103VA::Instance::AS)
    .setDescription("Bottom area of source junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("PS", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::PS)
    .setUnit(U_METER)
    .setDescription("Perimeter of source junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("AD", static_cast<double>(1E-12), &ADMSPSP103VA::Instance::AD)
    .setDescription("Bottom area of drain junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("PD", static_cast<double>(1E-6), &ADMSPSP103VA::Instance::PD)
    .setUnit(U_METER)
    .setDescription("Perimeter of drain junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);
  p.addPar("MULT", static_cast<double>(1.0), &ADMSPSP103VA::Instance::MULT)
    .setDescription("Number of devices in parallel")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens);


}

void Traits::loadModelParameters(ParametricData<ADMSPSP103VA::Model> &p)
{
  // Set up each parameter directly, using the up-cased variable name
  // as the tag.

  // This kludge is to force us always to have a model parameter
  // that the device manager can set to the temperature, even if we have
  // no "TEMP".
  p.addPar("XYCEADMSMODTEMP", 0.0, &ADMSPSP103VA::Model::admsModTemp)
    .setExpressionAccess(NO_DOC)
    .setUnit(U_DEGK)
    .setCategory(CAT_TEMP)
    .setDescription("Internal-use parameter for setting device model temperature");
  p.addPar("LEVEL", static_cast<double>(103), &ADMSPSP103VA::Model::LEVEL)
    .setDescription("Model level")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("TYPE", static_cast<double>(1.0), &ADMSPSP103VA::Model::TYPE)
    .setDescription("Channel type parameter, +1=NMOS -1=PMOS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("TR", static_cast<double>(21.0), &ADMSPSP103VA::Model::TR)
    .setUnit(U_DEGC)
    .setDescription("nominal (reference) temperature")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SWGEO", static_cast<double>(1.0), &ADMSPSP103VA::Model::SWGEO)
    .setDescription("Flag for geometrical model, 0=local, 1=global, 2=binning")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SWIGATE", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWIGATE)
    .setDescription("Flag for gate current, 0=turn off IG")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SWIMPACT", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWIMPACT)
    .setDescription("Flag for impact ionization current, 0=turn off II")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SWGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWGIDL)
    .setDescription("Flag for GIDL current, 0=turn off IGIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SWJUNCAP", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWJUNCAP)
    .setDescription("Flag for juncap, 0=turn off juncap")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SWJUNASYM", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWJUNASYM)
    .setDescription("Flag for asymmetric junctions; 0=symmetric, 1=asymmetric")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SWNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWNUD)
    .setDescription("Flag for NUD-effect; 0=off, 1=on, 2=on+CV-correction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SWDELVTAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWDELVTAC)
    .setDescription("Flag for separate capacitance calculation; 0=off, 1=on")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("QMC", static_cast<double>(1.0), &ADMSPSP103VA::Model::QMC)
    .setDescription("Quantum-mechanical correction factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VFB", static_cast<double>((-1.0)), &ADMSPSP103VA::Model::VFB)
    .setUnit(U_VOLT)
    .setDescription("Flat band voltage at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STVFB", static_cast<double>(5.0e-4), &ADMSPSP103VA::Model::STVFB)
    .setUnit(U_VKM1)
    .setDescription("Temperature dependence of VFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("TOX", static_cast<double>(2.0e-09), &ADMSPSP103VA::Model::TOX)
    .setUnit(U_METER)
    .setDescription("Gate oxide thickness")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("EPSROX", static_cast<double>(3.9), &ADMSPSP103VA::Model::EPSROX)
    .setDescription("Relative permittivity of gate dielectric")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NEFF", static_cast<double>(5.0e+23), &ADMSPSP103VA::Model::NEFF)
    .setUnit(U_METERM3)
    .setDescription("Effective substrate doping")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FACNEFFAC", static_cast<double>(1.0), &ADMSPSP103VA::Model::FACNEFFAC)
    .setDescription("Pre-factor for effective substrate doping in separate charge calculation")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GFACNUD", static_cast<double>(1.0), &ADMSPSP103VA::Model::GFACNUD)
    .setDescription("Bodyfactor change due to NUD-effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VSBNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::VSBNUD)
    .setUnit(U_VOLT)
    .setDescription("Lower Vsb value for NUD-effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DVSBNUD", static_cast<double>(1.0), &ADMSPSP103VA::Model::DVSBNUD)
    .setUnit(U_VOLT)
    .setDescription("Vsb-range for NUD-effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VNSUB", static_cast<double>(0.0), &ADMSPSP103VA::Model::VNSUB)
    .setUnit(U_VOLT)
    .setDescription("Effective doping bias-dependence parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NSLP", static_cast<double>(0.05), &ADMSPSP103VA::Model::NSLP)
    .setUnit(U_VOLT)
    .setDescription("Effective doping bias-dependence parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DNSUB", static_cast<double>(0.0), &ADMSPSP103VA::Model::DNSUB)
    .setUnit(U_VOLTM1)
    .setDescription("Effective doping bias-dependence parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DPHIB", static_cast<double>(0.0), &ADMSPSP103VA::Model::DPHIB)
    .setUnit(U_VOLT)
    .setDescription("Offset parameter for PHIB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DELVTAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::DELVTAC)
    .setUnit(U_VOLT)
    .setDescription("Offset parameter for PHIB in separate charge calculation")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NP", static_cast<double>(1.0e+26), &ADMSPSP103VA::Model::NP)
    .setUnit(U_METERM3)
    .setDescription("Gate poly-silicon doping")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CT", static_cast<double>(0.0), &ADMSPSP103VA::Model::CT)
    .setDescription("Interface states factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("TOXOV", static_cast<double>(2.0e-09), &ADMSPSP103VA::Model::TOXOV)
    .setUnit(U_METER)
    .setDescription("Overlap oxide thickness")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("TOXOVD", static_cast<double>(2.0e-09), &ADMSPSP103VA::Model::TOXOVD)
    .setUnit(U_METER)
    .setDescription("Overlap oxide thickness for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NOV", static_cast<double>(5.0e+25), &ADMSPSP103VA::Model::NOV)
    .setUnit(U_METERM3)
    .setDescription("Effective doping of overlap region")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NOVD", static_cast<double>(5.0e+25), &ADMSPSP103VA::Model::NOVD)
    .setUnit(U_METERM3)
    .setDescription("Effective doping of overlap region for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CF", static_cast<double>(0.0), &ADMSPSP103VA::Model::CF)
    .setDescription("DIBL-parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFB)
    .setUnit(U_VOLTM1)
    .setDescription("Back bias dependence of CF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("BETN", static_cast<double>(7e-2), &ADMSPSP103VA::Model::BETN)
    .setUnit(U_M2VM1SM1)
    .setDescription("Channel aspect ratio times zero-field mobility")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STBET", static_cast<double>(1.0), &ADMSPSP103VA::Model::STBET)
    .setDescription("Temperature dependence of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("MUE", static_cast<double>(0.5), &ADMSPSP103VA::Model::MUE)
    .setUnit(U_MVM1)
    .setDescription("Mobility reduction coefficient at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STMUE", static_cast<double>(0.0), &ADMSPSP103VA::Model::STMUE)
    .setDescription("Temperature dependence of MUE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THEMU", static_cast<double>(1.5), &ADMSPSP103VA::Model::THEMU)
    .setDescription("Mobility reduction exponent at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STTHEMU", static_cast<double>(1.5), &ADMSPSP103VA::Model::STTHEMU)
    .setDescription("Temperature dependence of THEMU")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CS", static_cast<double>(0.0), &ADMSPSP103VA::Model::CS)
    .setDescription("Coulomb scattering parameter at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STCS", static_cast<double>(0.0), &ADMSPSP103VA::Model::STCS)
    .setDescription("Temperature dependence of CS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("XCOR", static_cast<double>(0.0), &ADMSPSP103VA::Model::XCOR)
    .setUnit(U_VOLTM1)
    .setDescription("Non-universality factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STXCOR", static_cast<double>(0.0), &ADMSPSP103VA::Model::STXCOR)
    .setDescription("Temperature dependence of XCOR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FETA", static_cast<double>(1.0), &ADMSPSP103VA::Model::FETA)
    .setDescription("Effective field parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RS", static_cast<double>(30), &ADMSPSP103VA::Model::RS)
    .setUnit(U_OHM)
    .setDescription("Series resistance at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STRS", static_cast<double>(1.0), &ADMSPSP103VA::Model::STRS)
    .setDescription("Temperature dependence of RS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RSB", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSB)
    .setUnit(U_VOLTM1)
    .setDescription("Back-bias dependence of series resistance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RSG", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSG)
    .setUnit(U_VOLTM1)
    .setDescription("Gate-bias dependence of series resistance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THESAT", static_cast<double>(1.0), &ADMSPSP103VA::Model::THESAT)
    .setUnit(U_VOLTM1)
    .setDescription("Velocity saturation parameter at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STTHESAT", static_cast<double>(1.0), &ADMSPSP103VA::Model::STTHESAT)
    .setDescription("Temperature dependence of THESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THESATB", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATB)
    .setUnit(U_VOLTM1)
    .setDescription("Back-bias dependence of velocity saturation")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THESATG", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATG)
    .setUnit(U_VOLTM1)
    .setDescription("Gate-bias dependence of velocity saturation")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("AX", static_cast<double>(3.0), &ADMSPSP103VA::Model::AX)
    .setDescription("Linear/saturation transition factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALP", static_cast<double>(0.01), &ADMSPSP103VA::Model::ALP)
    .setDescription("CLM pre-factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALP1", static_cast<double>(0.00), &ADMSPSP103VA::Model::ALP1)
    .setUnit(U_VOLT)
    .setDescription("CLM enhancement factor above threshold")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALP2", static_cast<double>(0.00), &ADMSPSP103VA::Model::ALP2)
    .setUnit(U_VOLTM1)
    .setDescription("CLM enhancement factor below threshold")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VP", static_cast<double>(0.05), &ADMSPSP103VA::Model::VP)
    .setUnit(U_VOLT)
    .setDescription("CLM logarithm dependence factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A1", static_cast<double>(1.0), &ADMSPSP103VA::Model::A1)
    .setDescription("Impact-ionization pre-factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A2", static_cast<double>(10.0), &ADMSPSP103VA::Model::A2)
    .setUnit(U_VOLT)
    .setDescription("Impact-ionization exponent at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STA2", static_cast<double>(0.0), &ADMSPSP103VA::Model::STA2)
    .setUnit(U_VOLT)
    .setDescription("Temperature dependence of A2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A3", static_cast<double>(1.0), &ADMSPSP103VA::Model::A3)
    .setDescription("Saturation-voltage dependence of impact-ionization")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A4", static_cast<double>(0.0), &ADMSPSP103VA::Model::A4)
    .setUnit(U_VOLTMH)
    .setDescription("Back-bias dependence of impact-ionization")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GCO", static_cast<double>(0.0), &ADMSPSP103VA::Model::GCO)
    .setDescription("Gate tunneling energy adjustment")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IGINV", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGINV)
    .setUnit(U_AMP)
    .setDescription("Gate channel current pre-factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGOV)
    .setUnit(U_AMP)
    .setDescription("Gate overlap current pre-factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGOVD)
    .setUnit(U_AMP)
    .setDescription("Gate overlap current pre-factor for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STIG", static_cast<double>(2.0), &ADMSPSP103VA::Model::STIG)
    .setDescription("Temperature dependence of IGINV and IGOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GC2", static_cast<double>(0.375), &ADMSPSP103VA::Model::GC2)
    .setDescription("Gate current slope factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GC3", static_cast<double>(0.063), &ADMSPSP103VA::Model::GC3)
    .setDescription("Gate current curvature factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CHIB", static_cast<double>(3.1), &ADMSPSP103VA::Model::CHIB)
    .setUnit(U_VOLT)
    .setDescription("Tunneling barrier height")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("AGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::AGIDL)
    .setUnit(U_AMPVM3)
    .setDescription("GIDL pre-factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("AGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::AGIDLD)
    .setUnit(U_AMPVM3)
    .setDescription("GIDL pre-factor for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("BGIDL", static_cast<double>(41.0), &ADMSPSP103VA::Model::BGIDL)
    .setUnit(U_VOLT)
    .setDescription("GIDL probability factor at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("BGIDLD", static_cast<double>(41.0), &ADMSPSP103VA::Model::BGIDLD)
    .setUnit(U_VOLT)
    .setDescription("GIDL probability factor at TR for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STBGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBGIDL)
    .setUnit(U_VKM1)
    .setDescription("Temperature dependence of BGIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STBGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBGIDLD)
    .setUnit(U_VKM1)
    .setDescription("Temperature dependence of BGIDL for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGIDL)
    .setDescription("Back-bias dependence of GIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGIDLD)
    .setDescription("Back-bias dependence of GIDL for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("COX", static_cast<double>(1.0e-14), &ADMSPSP103VA::Model::COX)
    .setUnit(U_FARAD)
    .setDescription("Oxide capacitance for intrinsic channel")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CGOV", static_cast<double>(1.0e-15), &ADMSPSP103VA::Model::CGOV)
    .setUnit(U_FARAD)
    .setDescription("Oxide capacitance for gate-drain/source overlap")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CGOVD", static_cast<double>(1.0e-15), &ADMSPSP103VA::Model::CGOVD)
    .setUnit(U_FARAD)
    .setDescription("Oxide capacitance for gate-drain overlap")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CGBOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGBOV)
    .setUnit(U_FARAD)
    .setDescription("Oxide capacitance for gate-bulk overlap")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CFR", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFR)
    .setUnit(U_FARAD)
    .setDescription("Outer fringe capacitance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CFRD", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFRD)
    .setUnit(U_FARAD)
    .setDescription("Outer fringe capacitance for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FNT", static_cast<double>(1.0), &ADMSPSP103VA::Model::FNT)
    .setDescription("Thermal noise coefficient")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NFA", static_cast<double>(8.0e+22), &ADMSPSP103VA::Model::NFA)
    .setDescription("First coefficient of flicker noise")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NFB", static_cast<double>(3.0e+07), &ADMSPSP103VA::Model::NFB)
    .setDescription("Second coefficient of flicker noise")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NFC", static_cast<double>(0.0), &ADMSPSP103VA::Model::NFC)
    .setUnit(U_VOLTM1)
    .setDescription("Third coefficient of flicker noise")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("EF", static_cast<double>(1.0), &ADMSPSP103VA::Model::EF)
    .setDescription("Flicker noise frequency exponent")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RG", static_cast<double>(0.0), &ADMSPSP103VA::Model::RG)
    .setUnit(U_OHM)
    .setDescription("Gate resistance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RSE", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSE)
    .setUnit(U_OHM)
    .setDescription("External source resistance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RDE", static_cast<double>(0.0), &ADMSPSP103VA::Model::RDE)
    .setUnit(U_OHM)
    .setDescription("External drain resistance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RBULK", static_cast<double>(0.0), &ADMSPSP103VA::Model::RBULK)
    .setUnit(U_OHM)
    .setDescription("Bulk resistance between node BP and BI")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RWELL", static_cast<double>(0.0), &ADMSPSP103VA::Model::RWELL)
    .setUnit(U_OHM)
    .setDescription("Well resistance between node BI and B")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RJUNS", static_cast<double>(0.0), &ADMSPSP103VA::Model::RJUNS)
    .setUnit(U_OHM)
    .setDescription("Source-side bulk resistance between node BI and BS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RJUND", static_cast<double>(0.0), &ADMSPSP103VA::Model::RJUND)
    .setUnit(U_OHM)
    .setDescription("Drain-side bulk resistance between node BI and BD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POVFB", static_cast<double>((-1)), &ADMSPSP103VA::Model::POVFB)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of VFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLVFB)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the length dependence of VFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWVFB)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the width dependence of VFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWVFB)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the length times width dependence of VFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTVFB", static_cast<double>(0.0005), &ADMSPSP103VA::Model::POSTVFB)
    .setUnit(U_VKM1)
    .setDescription("Coefficient for the geometry independent part of STVFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLSTVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLSTVFB)
    .setUnit(U_VKM1)
    .setDescription("Coefficient for the length dependence of STVFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWSTVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWSTVFB)
    .setUnit(U_VKM1)
    .setDescription("Coefficient for the width dependence of STVFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWSTVFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWSTVFB)
    .setUnit(U_VKM1)
    .setDescription("Coefficient for the length times width dependence of STVFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POTOX", static_cast<double>(2E-09), &ADMSPSP103VA::Model::POTOX)
    .setUnit(U_METER)
    .setDescription("Coefficient for the geometry independent part of TOX")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POEPSROX", static_cast<double>(3.9), &ADMSPSP103VA::Model::POEPSROX)
    .setDescription("Coefficient for the geometry independent part of EPSOX")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PONEFF", static_cast<double>(5E+23), &ADMSPSP103VA::Model::PONEFF)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the geometry independent part of NEFF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLNEFF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNEFF)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the length dependence of NEFF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWNEFF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNEFF)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the width dependence of NEFF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWNEFF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNEFF)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the length times width dependence of NEFF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POFACNEFFAC", static_cast<double>(1.0), &ADMSPSP103VA::Model::POFACNEFFAC)
    .setDescription("Coefficient for the geometry independent part of FACNEFFAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLFACNEFFAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLFACNEFFAC)
    .setDescription("Coefficient for the length dependence of FACNEFFAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWFACNEFFAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWFACNEFFAC)
    .setDescription("Coefficient for the width dependence of FACNEFFAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWFACNEFFAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWFACNEFFAC)
    .setDescription("Coefficient for the length times width dependence of FACNEFFAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POGFACNUD", static_cast<double>(1.0), &ADMSPSP103VA::Model::POGFACNUD)
    .setDescription("Coefficient for the geometry independent part of GFACNUD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLGFACNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLGFACNUD)
    .setDescription("Coefficient for the length dependence of GFACNUD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWGFACNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWGFACNUD)
    .setDescription("Coefficient for the width dependence of GFACNUD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWGFACNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWGFACNUD)
    .setDescription("Coefficient for the length times width dependence of GFACNUD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POVSBNUD", static_cast<double>(0.0), &ADMSPSP103VA::Model::POVSBNUD)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of VSBNUD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PODVSBNUD", static_cast<double>(1.0), &ADMSPSP103VA::Model::PODVSBNUD)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of DVSBNUD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POVNSUB", static_cast<double>(0), &ADMSPSP103VA::Model::POVNSUB)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of VNSUB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PONSLP", static_cast<double>(0.05), &ADMSPSP103VA::Model::PONSLP)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of NSLP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PODNSUB", static_cast<double>(0), &ADMSPSP103VA::Model::PODNSUB)
    .setDescription("Coefficient for the geometry independent part of DNSUB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PODPHIB", static_cast<double>(0), &ADMSPSP103VA::Model::PODPHIB)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of DPHIB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLDPHIB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLDPHIB)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the length dependence of DPHIB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWDPHIB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWDPHIB)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the width dependence of DPHIB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWDPHIB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWDPHIB)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the length times width dependence of DPHIB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PODELVTAC", static_cast<double>(0), &ADMSPSP103VA::Model::PODELVTAC)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of DELVTAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLDELVTAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLDELVTAC)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the length dependence of DELVTAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWDELVTAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWDELVTAC)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the width dependence of DELVTAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWDELVTAC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWDELVTAC)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the length times width dependence of DELVTAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PONP", static_cast<double>(1E+26), &ADMSPSP103VA::Model::PONP)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the geometry independent part of NP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLNP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNP)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the length dependence of NP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWNP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNP)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the width dependence of NP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWNP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNP)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the length times width dependence of NP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCT", static_cast<double>(0), &ADMSPSP103VA::Model::POCT)
    .setDescription("Coefficient for the geometry independent part of CT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLCT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCT)
    .setDescription("Coefficient for the length dependence of CT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWCT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCT)
    .setDescription("Coefficient for the width dependence of CT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWCT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCT)
    .setDescription("Coefficient for the length times width dependence of CT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POTOXOV", static_cast<double>(2E-09), &ADMSPSP103VA::Model::POTOXOV)
    .setUnit(U_METER)
    .setDescription("Coefficient for the geometry independent part of TOXOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POTOXOVD", static_cast<double>(2E-09), &ADMSPSP103VA::Model::POTOXOVD)
    .setUnit(U_METER)
    .setDescription("Coefficient for the geometry independent part of TOXOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PONOV", static_cast<double>(5E+25), &ADMSPSP103VA::Model::PONOV)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the geometry independent part of NOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLNOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNOV)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the length dependence of NOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWNOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNOV)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the width dependence of NOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWNOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNOV)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the length times width dependence of NOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PONOVD", static_cast<double>(5E+25), &ADMSPSP103VA::Model::PONOVD)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the geometry independent part of NOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLNOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNOVD)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the length dependence of NOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWNOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNOVD)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the width dependence of NOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWNOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNOVD)
    .setUnit(U_METERM3)
    .setDescription("Coefficient for the length times width dependence of NOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCF", static_cast<double>(0), &ADMSPSP103VA::Model::POCF)
    .setDescription("Coefficient for the geometry independent part of CF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLCF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCF)
    .setDescription("Coefficient for the length dependence of CF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWCF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCF)
    .setDescription("Coefficient for the width dependence of CF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWCF", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCF)
    .setDescription("Coefficient for the length times width dependence of CF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCFB", static_cast<double>(0), &ADMSPSP103VA::Model::POCFB)
    .setDescription("Coefficient for the geometry independent part of CFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POBETN", static_cast<double>(0.07), &ADMSPSP103VA::Model::POBETN)
    .setDescription("Coefficient for the geometry independent part of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLBETN", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLBETN)
    .setDescription("Coefficient for the length dependence of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWBETN", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWBETN)
    .setDescription("Coefficient for the width dependence of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWBETN", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWBETN)
    .setDescription("Coefficient for the length times width dependence of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTBET", static_cast<double>(1), &ADMSPSP103VA::Model::POSTBET)
    .setDescription("Coefficient for the geometry independent part of STBET")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLSTBET", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLSTBET)
    .setDescription("Coefficient for the length dependence of STBET")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWSTBET", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWSTBET)
    .setDescription("Coefficient for the width dependence of STBET")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWSTBET", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWSTBET)
    .setDescription("Coefficient for the length times width dependence of STBET")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POMUE", static_cast<double>(0.5), &ADMSPSP103VA::Model::POMUE)
    .setDescription("Coefficient for the geometry independent part of MUE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLMUE", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLMUE)
    .setDescription("Coefficient for the length dependence of MUE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWMUE", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWMUE)
    .setDescription("Coefficient for the width dependence of MUE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWMUE", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWMUE)
    .setDescription("Coefficient for the length times width dependence of MUE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTMUE", static_cast<double>(0), &ADMSPSP103VA::Model::POSTMUE)
    .setDescription("Coefficient for the geometry independent part of STMUE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POTHEMU", static_cast<double>(1.5), &ADMSPSP103VA::Model::POTHEMU)
    .setDescription("Coefficient for the geometry independent part of THEMU")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTTHEMU", static_cast<double>(1.5), &ADMSPSP103VA::Model::POSTTHEMU)
    .setDescription("Coefficient for the geometry independent part of STTHEMU")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCS", static_cast<double>(0), &ADMSPSP103VA::Model::POCS)
    .setDescription("Coefficient for the geometry independent part of CS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLCS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCS)
    .setDescription("Coefficient for the length dependence of CS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWCS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCS)
    .setDescription("Coefficient for the width dependence of CS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWCS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCS)
    .setDescription("Coefficient for the length times width dependence of CS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTCS", static_cast<double>(0), &ADMSPSP103VA::Model::POSTCS)
    .setDescription("Coefficient for the geometry independent part of STCS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POXCOR", static_cast<double>(0), &ADMSPSP103VA::Model::POXCOR)
    .setDescription("Coefficient for the geometry independent part of XCOR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLXCOR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLXCOR)
    .setDescription("Coefficient for the length dependence of XCOR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWXCOR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWXCOR)
    .setDescription("Coefficient for the width dependence of XCOR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWXCOR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWXCOR)
    .setDescription("Coefficient for the length times width dependence of XCOR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTXCOR", static_cast<double>(0), &ADMSPSP103VA::Model::POSTXCOR)
    .setDescription("Coefficient for the geometry independent part of STXCOR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POFETA", static_cast<double>(1), &ADMSPSP103VA::Model::POFETA)
    .setDescription("Coefficient for the geometry independent part of FETA")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PORS", static_cast<double>(30), &ADMSPSP103VA::Model::PORS)
    .setDescription("Coefficient for the geometry independent part of RS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLRS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLRS)
    .setDescription("Coefficient for the length dependence of RS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWRS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWRS)
    .setDescription("Coefficient for the width dependence of RS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWRS", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWRS)
    .setDescription("Coefficient for the length times width dependence of RS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTRS", static_cast<double>(1), &ADMSPSP103VA::Model::POSTRS)
    .setDescription("Coefficient for the geometry independent part of STRS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PORSB", static_cast<double>(0), &ADMSPSP103VA::Model::PORSB)
    .setDescription("Coefficient for the geometry independent part of RSB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PORSG", static_cast<double>(0), &ADMSPSP103VA::Model::PORSG)
    .setDescription("Coefficient for the geometry independent part of RSG")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POTHESAT", static_cast<double>(1), &ADMSPSP103VA::Model::POTHESAT)
    .setDescription("Coefficient for the geometry independent part of THESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLTHESAT)
    .setDescription("Coefficient for the length dependence of THESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWTHESAT)
    .setDescription("Coefficient for the width dependence of THESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWTHESAT)
    .setDescription("Coefficient for the length times width dependence of THESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTTHESAT", static_cast<double>(1), &ADMSPSP103VA::Model::POSTTHESAT)
    .setDescription("Coefficient for the geometry independent part of STTHESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLSTTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLSTTHESAT)
    .setDescription("Coefficient for the length dependence of STTHESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWSTTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWSTTHESAT)
    .setDescription("Coefficient for the width dependence of STTHESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWSTTHESAT", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWSTTHESAT)
    .setDescription("Coefficient for the length times width dependence of STTHESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POTHESATB", static_cast<double>(0), &ADMSPSP103VA::Model::POTHESATB)
    .setDescription("Coefficient for the geometry independent part of THESATB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLTHESATB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLTHESATB)
    .setDescription("Coefficient for the length dependence of THESATB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWTHESATB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWTHESATB)
    .setDescription("Coefficient for the width dependence of THESATB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWTHESATB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWTHESATB)
    .setDescription("Coefficient for the length times width dependence of THESATB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POTHESATG", static_cast<double>(0), &ADMSPSP103VA::Model::POTHESATG)
    .setDescription("Coefficient for the geometry independent part of THESATG")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLTHESATG", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLTHESATG)
    .setDescription("Coefficient for the length dependence of THESATG")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWTHESATG", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWTHESATG)
    .setDescription("Coefficient for the width dependence of THESATG")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWTHESATG", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWTHESATG)
    .setDescription("Coefficient for the length times width dependence of THESATG")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POAX", static_cast<double>(3), &ADMSPSP103VA::Model::POAX)
    .setDescription("Coefficient for the geometry independent part of AX")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLAX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLAX)
    .setDescription("Coefficient for the length dependence of AX")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWAX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWAX)
    .setDescription("Coefficient for the width dependence of AX")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWAX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWAX)
    .setDescription("Coefficient for the length times width dependence of AX")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POALP", static_cast<double>(0.01), &ADMSPSP103VA::Model::POALP)
    .setDescription("Coefficient for the geometry independent part of ALP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLALP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLALP)
    .setDescription("Coefficient for the length dependence of ALP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWALP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWALP)
    .setDescription("Coefficient for the width dependence of ALP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWALP", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWALP)
    .setDescription("Coefficient for the length times width dependence of ALP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POALP1", static_cast<double>(0), &ADMSPSP103VA::Model::POALP1)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of ALP1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLALP1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLALP1)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the length dependence of ALP1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWALP1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWALP1)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the width dependence of ALP1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWALP1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWALP1)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the length times width dependence of ALP1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POALP2", static_cast<double>(0), &ADMSPSP103VA::Model::POALP2)
    .setDescription("Coefficient for the geometry independent part of ALP2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLALP2", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLALP2)
    .setDescription("Coefficient for the length dependence of ALP2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWALP2", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWALP2)
    .setDescription("Coefficient for the width dependence of ALP2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWALP2", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWALP2)
    .setDescription("Coefficient for the length times width dependence of ALP2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POVP", static_cast<double>(0.05), &ADMSPSP103VA::Model::POVP)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of VP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POA1", static_cast<double>(1), &ADMSPSP103VA::Model::POA1)
    .setDescription("Coefficient for the geometry independent part of A1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLA1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLA1)
    .setDescription("Coefficient for the length dependence of A1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWA1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWA1)
    .setDescription("Coefficient for the width dependence of A1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWA1", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWA1)
    .setDescription("Coefficient for the length times width dependence of A1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POA2", static_cast<double>(10), &ADMSPSP103VA::Model::POA2)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of A2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTA2", static_cast<double>(0), &ADMSPSP103VA::Model::POSTA2)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of STA2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POA3", static_cast<double>(1), &ADMSPSP103VA::Model::POA3)
    .setDescription("Coefficient for the geometry independent part of A3")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLA3", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLA3)
    .setDescription("Coefficient for the length dependence of A3")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWA3", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWA3)
    .setDescription("Coefficient for the width dependence of A3")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWA3", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWA3)
    .setDescription("Coefficient for the length times width dependence of A3")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POA4", static_cast<double>(0), &ADMSPSP103VA::Model::POA4)
    .setDescription("Coefficient for the geometry independent part of A4")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLA4", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLA4)
    .setDescription("Coefficient for the length dependence of A4")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWA4", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWA4)
    .setDescription("Coefficient for the width dependence of A4")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWA4", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWA4)
    .setDescription("Coefficient for the length times width dependence of A4")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POGCO", static_cast<double>(0), &ADMSPSP103VA::Model::POGCO)
    .setDescription("Coefficient for the geometry independent part of GCO")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POIGINV", static_cast<double>(0), &ADMSPSP103VA::Model::POIGINV)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the geometry independent part of IGINV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLIGINV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLIGINV)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the length dependence of IGINV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWIGINV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWIGINV)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the width dependence of IGINV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWIGINV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWIGINV)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the length times width dependence of IGINV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POIGOV", static_cast<double>(0), &ADMSPSP103VA::Model::POIGOV)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the geometry independent part of IGOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLIGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLIGOV)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the length dependence of IGOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWIGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWIGOV)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the width dependence of IGOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWIGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWIGOV)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the length times width dependence of IGOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POIGOVD", static_cast<double>(0), &ADMSPSP103VA::Model::POIGOVD)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the geometry independent part of IGOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLIGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLIGOVD)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the length dependence of IGOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWIGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWIGOVD)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the width dependence of IGOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWIGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWIGOVD)
    .setUnit(U_AMP)
    .setDescription("Coefficient for the length times width dependence of IGOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTIG", static_cast<double>(2), &ADMSPSP103VA::Model::POSTIG)
    .setDescription("Coefficient for the geometry independent part of STIG")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POGC2", static_cast<double>(0.375), &ADMSPSP103VA::Model::POGC2)
    .setDescription("Coefficient for the geometry independent part of GC2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POGC3", static_cast<double>(0.063), &ADMSPSP103VA::Model::POGC3)
    .setDescription("Coefficient for the geometry independent part of GC3")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCHIB", static_cast<double>(3.1), &ADMSPSP103VA::Model::POCHIB)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of CHIB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POAGIDL", static_cast<double>(0), &ADMSPSP103VA::Model::POAGIDL)
    .setUnit(U_AMPVM3)
    .setDescription("Coefficient for the geometry independent part of AGIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLAGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLAGIDL)
    .setUnit(U_AMPVM3)
    .setDescription("Coefficient for the length dependence of AGIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWAGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWAGIDL)
    .setUnit(U_AMPVM3)
    .setDescription("Coefficient for the width dependence of AGIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWAGIDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWAGIDL)
    .setUnit(U_AMPVM3)
    .setDescription("Coefficient for the length times width dependence of AGIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POAGIDLD", static_cast<double>(0), &ADMSPSP103VA::Model::POAGIDLD)
    .setUnit(U_AMPVM3)
    .setDescription("Coefficient for the geometry independent part of AGIDL for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLAGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLAGIDLD)
    .setUnit(U_AMPVM3)
    .setDescription("Coefficient for the length dependence of AGIDL for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWAGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWAGIDLD)
    .setUnit(U_AMPVM3)
    .setDescription("Coefficient for the width dependence of AGIDL for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWAGIDLD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWAGIDLD)
    .setUnit(U_AMPVM3)
    .setDescription("Coefficient for the length times width dependence of AGIDL for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POBGIDL", static_cast<double>(41), &ADMSPSP103VA::Model::POBGIDL)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of BGIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POBGIDLD", static_cast<double>(41), &ADMSPSP103VA::Model::POBGIDLD)
    .setUnit(U_VOLT)
    .setDescription("Coefficient for the geometry independent part of BGIDL for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTBGIDL", static_cast<double>(0), &ADMSPSP103VA::Model::POSTBGIDL)
    .setUnit(U_VKM1)
    .setDescription("Coefficient for the geometry independent part of STBGIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POSTBGIDLD", static_cast<double>(0), &ADMSPSP103VA::Model::POSTBGIDLD)
    .setUnit(U_VKM1)
    .setDescription("Coefficient for the geometry independent part of STBGIDL for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCGIDL", static_cast<double>(0), &ADMSPSP103VA::Model::POCGIDL)
    .setDescription("Coefficient for the geometry independent part of CGIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCGIDLD", static_cast<double>(0), &ADMSPSP103VA::Model::POCGIDLD)
    .setDescription("Coefficient for the geometry independent part of CGIDL for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCOX", static_cast<double>(1E-14), &ADMSPSP103VA::Model::POCOX)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the geometry independent part of COX")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLCOX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCOX)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length dependence of COX")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWCOX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCOX)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the width dependence of COX")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWCOX", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCOX)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length times width dependence of COX")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCGOV", static_cast<double>(1E-15), &ADMSPSP103VA::Model::POCGOV)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the geometry independent part of CGOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLCGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCGOV)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length dependence of CGOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWCGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCGOV)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the width dependence of CGOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWCGOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCGOV)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length times width dependence of CGOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCGOVD", static_cast<double>(1E-15), &ADMSPSP103VA::Model::POCGOVD)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the geometry independent part of CGOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLCGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCGOVD)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length dependence of CGOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWCGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCGOVD)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the width dependence of CGOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWCGOVD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCGOVD)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length times width dependence of CGOV for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCGBOV", static_cast<double>(0), &ADMSPSP103VA::Model::POCGBOV)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the geometry independent part of CGBOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLCGBOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCGBOV)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length dependence of CGBOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWCGBOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCGBOV)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the width dependence of CGBOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWCGBOV", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCGBOV)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length times width dependence of CGBOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCFR", static_cast<double>(0), &ADMSPSP103VA::Model::POCFR)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the geometry independent part of CFR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLCFR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCFR)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length dependence of CFR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWCFR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCFR)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the width dependence of CFR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWCFR", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCFR)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length times width dependence of CFR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POCFRD", static_cast<double>(0), &ADMSPSP103VA::Model::POCFRD)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the geometry independent part of CFR for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLCFRD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLCFRD)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length dependence of CFR for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWCFRD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWCFRD)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the width dependence of CFR for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWCFRD", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWCFRD)
    .setUnit(U_FARAD)
    .setDescription("Coefficient for the length times width dependence of CFR for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POFNT", static_cast<double>(1), &ADMSPSP103VA::Model::POFNT)
    .setDescription("Coefficient for the geometry independent part of FNT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PONFA", static_cast<double>(8E+22), &ADMSPSP103VA::Model::PONFA)
    .setDescription("Coefficient for the geometry independent part of NFA")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLNFA", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNFA)
    .setDescription("Coefficient for the length dependence of NFA")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWNFA", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNFA)
    .setDescription("Coefficient for the width dependence of NFA")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWNFA", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNFA)
    .setDescription("Coefficient for the length times width dependence of NFA")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PONFB", static_cast<double>(3E+07), &ADMSPSP103VA::Model::PONFB)
    .setDescription("Coefficient for the geometry independent part of NFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLNFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNFB)
    .setDescription("Coefficient for the length dependence of NFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWNFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNFB)
    .setDescription("Coefficient for the width dependence of NFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWNFB", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNFB)
    .setDescription("Coefficient for the length times width dependence of NFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PONFC", static_cast<double>(0), &ADMSPSP103VA::Model::PONFC)
    .setDescription("Coefficient for the geometry independent part of NFC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLNFC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLNFC)
    .setDescription("Coefficient for the length dependence of NFC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWNFC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PWNFC)
    .setDescription("Coefficient for the width dependence of NFC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWNFC", static_cast<double>(0.0), &ADMSPSP103VA::Model::PLWNFC)
    .setDescription("Coefficient for the length times width dependence of NFC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POEF", static_cast<double>(1.0), &ADMSPSP103VA::Model::POEF)
    .setDescription("Coefficient for the flicker noise frequency exponent")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POKVTHOWE", static_cast<double>(0), &ADMSPSP103VA::Model::POKVTHOWE)
    .setDescription("Coefficient for the geometry independent part of KVTHOWE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLKVTHOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PLKVTHOWE)
    .setDescription("Coefficient for the length dependence part of KVTHOWE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWKVTHOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PWKVTHOWE)
    .setDescription("Coefficient for the width dependence part of KVTHOWE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWKVTHOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PLWKVTHOWE)
    .setDescription("Coefficient for the length times width dependence part of KVTHOWE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("POKUOWE", static_cast<double>(0), &ADMSPSP103VA::Model::POKUOWE)
    .setDescription("Coefficient for the geometry independent part of KUOWE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLKUOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PLKUOWE)
    .setDescription("Coefficient for the length dependence part of KUOWE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PWKUOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PWKUOWE)
    .setDescription("Coefficient for the width dependence part of KUOWE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PLWKUOWE", static_cast<double>(0), &ADMSPSP103VA::Model::PLWKUOWE)
    .setDescription("Coefficient for the length times width dependence part of KUOWE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LMIN", static_cast<double>(0), &ADMSPSP103VA::Model::LMIN)
    .setUnit(U_METER)
    .setDescription("Dummy parameter to label binning set")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LMAX", static_cast<double>(1.0), &ADMSPSP103VA::Model::LMAX)
    .setUnit(U_METER)
    .setDescription("Dummy parameter to label binning set")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WMIN", static_cast<double>(0), &ADMSPSP103VA::Model::WMIN)
    .setUnit(U_METER)
    .setDescription("Dummy parameter to label binning set")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WMAX", static_cast<double>(1.0), &ADMSPSP103VA::Model::WMAX)
    .setUnit(U_METER)
    .setDescription("Dummy parameter to label binning set")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LVARO", static_cast<double>(0.0), &ADMSPSP103VA::Model::LVARO)
    .setUnit(U_METER)
    .setDescription("Geom. independent difference between actual and programmed gate length")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LVARL", static_cast<double>(0.0), &ADMSPSP103VA::Model::LVARL)
    .setDescription("Length dependence of LVAR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LVARW", static_cast<double>(0.0), &ADMSPSP103VA::Model::LVARW)
    .setDescription("Width dependence of LVAR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LAP", static_cast<double>(0.0), &ADMSPSP103VA::Model::LAP)
    .setUnit(U_METER)
    .setDescription("Effective channel length reduction per side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WVARO", static_cast<double>(0.0), &ADMSPSP103VA::Model::WVARO)
    .setUnit(U_METER)
    .setDescription("Geom. independent difference between actual and programmed field-oxide opening")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WVARL", static_cast<double>(0.0), &ADMSPSP103VA::Model::WVARL)
    .setDescription("Length dependence of WVAR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WVARW", static_cast<double>(0.0), &ADMSPSP103VA::Model::WVARW)
    .setDescription("Width dependence of WVAR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WOT", static_cast<double>(0.0), &ADMSPSP103VA::Model::WOT)
    .setUnit(U_METER)
    .setDescription("Effective channel width reduction per side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DLQ", static_cast<double>(0.0), &ADMSPSP103VA::Model::DLQ)
    .setUnit(U_METER)
    .setDescription("Effective channel length reduction for CV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DWQ", static_cast<double>(0.0), &ADMSPSP103VA::Model::DWQ)
    .setUnit(U_METER)
    .setDescription("Effective channel width reduction for CV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VFBO", static_cast<double>((-1.0)), &ADMSPSP103VA::Model::VFBO)
    .setUnit(U_VOLT)
    .setDescription("Geometry-independent flat-band voltage at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VFBL", static_cast<double>(0.0), &ADMSPSP103VA::Model::VFBL)
    .setUnit(U_VOLT)
    .setDescription("Length dependence of flat-band voltage")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VFBW", static_cast<double>(0.0), &ADMSPSP103VA::Model::VFBW)
    .setUnit(U_VOLT)
    .setDescription("Width dependence of flat-band voltage")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VFBLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::VFBLW)
    .setUnit(U_VOLT)
    .setDescription("Area dependence of flat-band voltage")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STVFBO", static_cast<double>(5e-4), &ADMSPSP103VA::Model::STVFBO)
    .setUnit(U_VKM1)
    .setDescription("Geometry-independent temperature dependence of VFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STVFBL", static_cast<double>(0.0), &ADMSPSP103VA::Model::STVFBL)
    .setUnit(U_VKM1)
    .setDescription("Length dependence of temperature dependence of VFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STVFBW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STVFBW)
    .setUnit(U_VKM1)
    .setDescription("Width dependence of temperature dependence of VFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STVFBLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STVFBLW)
    .setUnit(U_VKM1)
    .setDescription("Area dependence of temperature dependence of VFB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("TOXO", static_cast<double>(2e-9), &ADMSPSP103VA::Model::TOXO)
    .setUnit(U_METER)
    .setDescription("Gate oxide thickness")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("EPSROXO", static_cast<double>(3.9), &ADMSPSP103VA::Model::EPSROXO)
    .setDescription("Relative permittivity of gate dielectric")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NSUBO", static_cast<double>(3e23), &ADMSPSP103VA::Model::NSUBO)
    .setUnit(U_METERM3)
    .setDescription("Geometry independent substrate doping")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NSUBW", static_cast<double>(0.0), &ADMSPSP103VA::Model::NSUBW)
    .setDescription("Width dependence of background doping NSUBO due to segregation")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WSEG", static_cast<double>(1e-8), &ADMSPSP103VA::Model::WSEG)
    .setUnit(U_METER)
    .setDescription("Char. length of segregation of background doping NSUBO")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NPCK", static_cast<double>(1e24), &ADMSPSP103VA::Model::NPCK)
    .setUnit(U_METERM3)
    .setDescription("Pocket doping level")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NPCKW", static_cast<double>(0.0), &ADMSPSP103VA::Model::NPCKW)
    .setDescription("Width dependence of pocket doping NPCK due to segregation")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WSEGP", static_cast<double>(1e-8), &ADMSPSP103VA::Model::WSEGP)
    .setUnit(U_METER)
    .setDescription("Char. length of segregation of pocket doping NPCK")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LPCK", static_cast<double>(1e-8), &ADMSPSP103VA::Model::LPCK)
    .setUnit(U_METER)
    .setDescription("Char. length of lateral doping profile")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LPCKW", static_cast<double>(0.0), &ADMSPSP103VA::Model::LPCKW)
    .setDescription("Width dependence of char. length of lateral doping profile")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FOL1", static_cast<double>(0.0), &ADMSPSP103VA::Model::FOL1)
    .setDescription("First length dependence coefficient for short channel body effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FOL2", static_cast<double>(0.0), &ADMSPSP103VA::Model::FOL2)
    .setDescription("Second length dependence coefficient for short channel body effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FACNEFFACO", static_cast<double>(1.0), &ADMSPSP103VA::Model::FACNEFFACO)
    .setDescription("Geom. independent pre-factor for effective substrate doping in separate charge calculation")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FACNEFFACL", static_cast<double>(0.0), &ADMSPSP103VA::Model::FACNEFFACL)
    .setDescription("Length dependence of FACNEFFAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FACNEFFACW", static_cast<double>(0.0), &ADMSPSP103VA::Model::FACNEFFACW)
    .setDescription("Width dependence of FACNEFFAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FACNEFFACLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::FACNEFFACLW)
    .setDescription("Area dependence of FACNEFFAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GFACNUDO", static_cast<double>(1.0), &ADMSPSP103VA::Model::GFACNUDO)
    .setDescription("Geom. independent bodyfactor change due to NUD-effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GFACNUDL", static_cast<double>(0.0), &ADMSPSP103VA::Model::GFACNUDL)
    .setDescription("Length dependence of GFACNUD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GFACNUDLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::GFACNUDLEXP)
    .setDescription("Exponent for length dependence of GFACNUD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GFACNUDW", static_cast<double>(0.0), &ADMSPSP103VA::Model::GFACNUDW)
    .setDescription("Width dependence of GFACNUD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GFACNUDLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::GFACNUDLW)
    .setDescription("Area dependence of GFACNUD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VSBNUDO", static_cast<double>(0.0), &ADMSPSP103VA::Model::VSBNUDO)
    .setUnit(U_VOLT)
    .setDescription("Lower Vsb value for NUD-effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DVSBNUDO", static_cast<double>(1.0), &ADMSPSP103VA::Model::DVSBNUDO)
    .setUnit(U_VOLT)
    .setDescription("Vsb range for NUD-effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VNSUBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::VNSUBO)
    .setUnit(U_VOLT)
    .setDescription("Effective doping bias-dependence parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NSLPO", static_cast<double>(0.05), &ADMSPSP103VA::Model::NSLPO)
    .setUnit(U_VOLT)
    .setDescription("Effective doping bias-dependence parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DNSUBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::DNSUBO)
    .setUnit(U_VOLTM1)
    .setDescription("Effective doping bias-dependence parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DPHIBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::DPHIBO)
    .setUnit(U_VOLT)
    .setDescription("Geometry independent offset of PHIB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DPHIBL", static_cast<double>(0.0), &ADMSPSP103VA::Model::DPHIBL)
    .setUnit(U_VOLT)
    .setDescription("Length dependence offset of PHIB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DPHIBLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::DPHIBLEXP)
    .setDescription("Exponent for length dependence of offset of PHIB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DPHIBW", static_cast<double>(0.0), &ADMSPSP103VA::Model::DPHIBW)
    .setUnit(U_VOLT)
    .setDescription("Width dependence of offset of PHIB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DPHIBLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::DPHIBLW)
    .setUnit(U_VOLT)
    .setDescription("Area dependence of offset of PHIB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DELVTACO", static_cast<double>(0.0), &ADMSPSP103VA::Model::DELVTACO)
    .setUnit(U_VOLT)
    .setDescription("Geom. independent offset parameter for PHIB in separate charge calculation")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DELVTACL", static_cast<double>(0.0), &ADMSPSP103VA::Model::DELVTACL)
    .setUnit(U_VOLT)
    .setDescription("Length dependence of DELVTAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DELVTACLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::DELVTACLEXP)
    .setDescription("Exponent for length dependence of offset of DELVTAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DELVTACW", static_cast<double>(0.0), &ADMSPSP103VA::Model::DELVTACW)
    .setUnit(U_VOLT)
    .setDescription("Width dependence of DELVTAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DELVTACLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::DELVTACLW)
    .setUnit(U_VOLT)
    .setDescription("Area dependence of DELVTAC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NPO", static_cast<double>(1e26), &ADMSPSP103VA::Model::NPO)
    .setUnit(U_METERM3)
    .setDescription("Geometry-independent gate poly-silicon doping")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NPL", static_cast<double>(0.0), &ADMSPSP103VA::Model::NPL)
    .setDescription("Length dependence of gate poly-silicon doping")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CTO", static_cast<double>(0.0), &ADMSPSP103VA::Model::CTO)
    .setDescription("Geometry-independent interface states factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CTL", static_cast<double>(0.0), &ADMSPSP103VA::Model::CTL)
    .setDescription("Length dependence of interface states factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CTLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::CTLEXP)
    .setDescription("Exponent for length dependence of interface states factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CTW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CTW)
    .setDescription("Width dependence of interface states factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CTLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CTLW)
    .setDescription("Area dependence of interface states factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("TOXOVO", static_cast<double>(2e-9), &ADMSPSP103VA::Model::TOXOVO)
    .setUnit(U_METER)
    .setDescription("Overlap oxide thickness")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("TOXOVDO", static_cast<double>(2e-9), &ADMSPSP103VA::Model::TOXOVDO)
    .setUnit(U_METER)
    .setDescription("Overlap oxide thickness for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LOV", static_cast<double>(0), &ADMSPSP103VA::Model::LOV)
    .setUnit(U_METER)
    .setDescription("Overlap length for gate/drain and gate/source overlap capacitance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LOVD", static_cast<double>(0), &ADMSPSP103VA::Model::LOVD)
    .setUnit(U_METER)
    .setDescription("Overlap length for gate/drain overlap capacitance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NOVO", static_cast<double>(5e25), &ADMSPSP103VA::Model::NOVO)
    .setUnit(U_METERM3)
    .setDescription("Effective doping of overlap region")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NOVDO", static_cast<double>(5e25), &ADMSPSP103VA::Model::NOVDO)
    .setUnit(U_METERM3)
    .setDescription("Effective doping of overlap region for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CFL", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFL)
    .setDescription("Length dependence of DIBL-parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CFLEXP", static_cast<double>(2.0), &ADMSPSP103VA::Model::CFLEXP)
    .setDescription("Exponent for length dependence of CF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CFW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFW)
    .setDescription("Width dependence of CF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CFBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFBO)
    .setUnit(U_VOLTM1)
    .setDescription("Back-bias dependence of CF")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("UO", static_cast<double>(5e-2), &ADMSPSP103VA::Model::UO)
    .setUnit(U_M2VM1SM1)
    .setDescription("Zero-field mobility at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FBET1", static_cast<double>(0.0), &ADMSPSP103VA::Model::FBET1)
    .setDescription("Relative mobility decrease due to first lateral profile")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FBET1W", static_cast<double>(0.0), &ADMSPSP103VA::Model::FBET1W)
    .setDescription("Width dependence of relative mobility decrease due to first lateral profile")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LP1", static_cast<double>(1e-8), &ADMSPSP103VA::Model::LP1)
    .setUnit(U_METER)
    .setDescription("Mobility-related characteristic length of first lateral profile")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LP1W", static_cast<double>(0.0), &ADMSPSP103VA::Model::LP1W)
    .setDescription("Width dependence of mobility-related characteristic length of first lateral profile")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FBET2", static_cast<double>(0.0), &ADMSPSP103VA::Model::FBET2)
    .setDescription("Relative mobility decrease due to second lateral profile")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LP2", static_cast<double>(1e-8), &ADMSPSP103VA::Model::LP2)
    .setUnit(U_METER)
    .setDescription("Mobility-related characteristic length of second lateral profile")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("BETW1", static_cast<double>(0.0), &ADMSPSP103VA::Model::BETW1)
    .setDescription("First higher-order width scaling coefficient of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("BETW2", static_cast<double>(0.0), &ADMSPSP103VA::Model::BETW2)
    .setDescription("Second higher-order width scaling coefficient of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WBET", static_cast<double>(1e-9), &ADMSPSP103VA::Model::WBET)
    .setUnit(U_METER)
    .setDescription("Characteristic width for width scaling of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STBETO", static_cast<double>(1.0), &ADMSPSP103VA::Model::STBETO)
    .setDescription("Geometry independent temperature dependence of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STBETL", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBETL)
    .setDescription("Length dependence of temperature dependence of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STBETW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBETW)
    .setDescription("Width dependence of temperature dependence of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STBETLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBETLW)
    .setDescription("Area dependence of temperature dependence of BETN")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("MUEO", static_cast<double>(0.5), &ADMSPSP103VA::Model::MUEO)
    .setUnit(U_MVM1)
    .setDescription("Geometry independent mobility reduction coefficient at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("MUEW", static_cast<double>(0.0), &ADMSPSP103VA::Model::MUEW)
    .setDescription("Width dependence of mobility reduction coefficient at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STMUEO", static_cast<double>(0.0), &ADMSPSP103VA::Model::STMUEO)
    .setDescription("Temperature dependence of MUE")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THEMUO", static_cast<double>(1.5), &ADMSPSP103VA::Model::THEMUO)
    .setDescription("Mobility reduction exponent at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STTHEMUO", static_cast<double>(1.5), &ADMSPSP103VA::Model::STTHEMUO)
    .setDescription("Temperature dependence of THEMU")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CSO", static_cast<double>(0.0), &ADMSPSP103VA::Model::CSO)
    .setDescription("Geometry independent coulomb scattering parameter at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CSL", static_cast<double>(0.0), &ADMSPSP103VA::Model::CSL)
    .setDescription("Length dependence of CS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CSLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::CSLEXP)
    .setDescription("Exponent for length dependence of CS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CSW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CSW)
    .setDescription("Width dependence of CS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CSLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CSLW)
    .setDescription("Area dependence of CS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STCSO", static_cast<double>(0.0), &ADMSPSP103VA::Model::STCSO)
    .setDescription("Temperature dependence of CS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("XCORO", static_cast<double>(0.0), &ADMSPSP103VA::Model::XCORO)
    .setUnit(U_VOLTM1)
    .setDescription("Geometry independent non-universality parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("XCORL", static_cast<double>(0.0), &ADMSPSP103VA::Model::XCORL)
    .setDescription("Length dependence of non-universality parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("XCORW", static_cast<double>(0.0), &ADMSPSP103VA::Model::XCORW)
    .setDescription("Width dependence of non-universality parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("XCORLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::XCORLW)
    .setDescription("Area dependence of non-universality parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STXCORO", static_cast<double>(0.0), &ADMSPSP103VA::Model::STXCORO)
    .setDescription("Temperature dependence of XCOR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FETAO", static_cast<double>(1.0), &ADMSPSP103VA::Model::FETAO)
    .setDescription("Effective field parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RSW1", static_cast<double>(50.0), &ADMSPSP103VA::Model::RSW1)
    .setUnit(U_OHM)
    .setDescription("Source/drain series resistance for 1 um wide channel at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RSW2", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSW2)
    .setDescription("Higher-order width scaling of RS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STRSO", static_cast<double>(1.0), &ADMSPSP103VA::Model::STRSO)
    .setDescription("Temperature dependence of RS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RSBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSBO)
    .setUnit(U_VOLTM1)
    .setDescription("Back-bias dependence of series resistance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RSGO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSGO)
    .setUnit(U_VOLTM1)
    .setDescription("Gate-bias dependence of series resistance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THESATO", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATO)
    .setUnit(U_VOLTM1)
    .setDescription("Geometry independent velocity saturation parameter at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THESATL", static_cast<double>(0.05), &ADMSPSP103VA::Model::THESATL)
    .setUnit(U_VOLTM1)
    .setDescription("Length dependence of THESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THESATLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::THESATLEXP)
    .setDescription("Exponent for length dependence of THESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THESATW", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATW)
    .setDescription("Width dependence of velocity saturation parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THESATLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATLW)
    .setDescription("Area dependence of velocity saturation parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STTHESATO", static_cast<double>(1.0), &ADMSPSP103VA::Model::STTHESATO)
    .setDescription("Geometry independent temperature dependence of THESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STTHESATL", static_cast<double>(0.0), &ADMSPSP103VA::Model::STTHESATL)
    .setDescription("Length dependence of temperature dependence of THESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STTHESATW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STTHESATW)
    .setDescription("Width dependence of temperature dependence of THESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STTHESATLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::STTHESATLW)
    .setDescription("Area dependence of temperature dependence of THESAT")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THESATBO", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATBO)
    .setUnit(U_VOLTM1)
    .setDescription("Back-bias dependence of velocity saturation")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("THESATGO", static_cast<double>(0.0), &ADMSPSP103VA::Model::THESATGO)
    .setUnit(U_VOLTM1)
    .setDescription("Gate-bias dependence of velocity saturation")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("AXO", static_cast<double>(18), &ADMSPSP103VA::Model::AXO)
    .setDescription("Geometry independent linear/saturation transition factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("AXL", static_cast<double>(0.4), &ADMSPSP103VA::Model::AXL)
    .setDescription("Length dependence of AX")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALPL", static_cast<double>(5e-4), &ADMSPSP103VA::Model::ALPL)
    .setDescription("Length dependence of ALP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALPLEXP", static_cast<double>(1.0), &ADMSPSP103VA::Model::ALPLEXP)
    .setDescription("Exponent for length dependence of ALP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALPW", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALPW)
    .setDescription("Width dependence of ALP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALP1L1", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP1L1)
    .setUnit(U_VOLT)
    .setDescription("Length dependence of CLM enhancement factor above threshold")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALP1LEXP", static_cast<double>(0.5), &ADMSPSP103VA::Model::ALP1LEXP)
    .setDescription("Exponent for length dependence of ALP1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALP1L2", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP1L2)
    .setDescription("Second order length dependence of ALP1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALP1W", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP1W)
    .setDescription("Width dependence of ALP1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALP2L1", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP2L1)
    .setUnit(U_VOLTM1)
    .setDescription("Length dependence of CLM enhancement factor below threshold")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALP2LEXP", static_cast<double>(0.5), &ADMSPSP103VA::Model::ALP2LEXP)
    .setDescription("Exponent for length dependence of ALP2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALP2L2", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP2L2)
    .setDescription("Second order length dependence of ALP2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALP2W", static_cast<double>(0.0), &ADMSPSP103VA::Model::ALP2W)
    .setDescription("Width dependence of ALP2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VPO", static_cast<double>(0.05), &ADMSPSP103VA::Model::VPO)
    .setUnit(U_VOLT)
    .setDescription("CLM logarithmic dependence parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A1O", static_cast<double>(1.0), &ADMSPSP103VA::Model::A1O)
    .setDescription("Geometry independent impact-ionization pre-factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A1L", static_cast<double>(0.0), &ADMSPSP103VA::Model::A1L)
    .setDescription("Length dependence of A1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A1W", static_cast<double>(0.0), &ADMSPSP103VA::Model::A1W)
    .setDescription("Width dependence of A1")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A2O", static_cast<double>(10), &ADMSPSP103VA::Model::A2O)
    .setUnit(U_VOLT)
    .setDescription("Impact-ionization exponent at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STA2O", static_cast<double>(0.0), &ADMSPSP103VA::Model::STA2O)
    .setUnit(U_VOLT)
    .setDescription("Temperature dependence of A2")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A3O", static_cast<double>(1.0), &ADMSPSP103VA::Model::A3O)
    .setDescription("Geometry independent saturation-voltage dependence of II")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A3L", static_cast<double>(0.0), &ADMSPSP103VA::Model::A3L)
    .setDescription("Length dependence of A3")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A3W", static_cast<double>(0.0), &ADMSPSP103VA::Model::A3W)
    .setDescription("Width dependence of A3")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A4O", static_cast<double>(0.0), &ADMSPSP103VA::Model::A4O)
    .setUnit(U_VOLTMH)
    .setDescription("Geometry independent back-bias dependence of II")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A4L", static_cast<double>(0.0), &ADMSPSP103VA::Model::A4L)
    .setDescription("Length dependence of A4")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("A4W", static_cast<double>(0.0), &ADMSPSP103VA::Model::A4W)
    .setDescription("Width dependence of A4")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GCOO", static_cast<double>(0.0), &ADMSPSP103VA::Model::GCOO)
    .setDescription("Gate tunneling energy adjustment")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IGINVLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGINVLW)
    .setUnit(U_AMP)
    .setDescription("Gate channel current pre-factor for 1 um**2 channel area")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IGOVW", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGOVW)
    .setUnit(U_AMP)
    .setDescription("Gate overlap current pre-factor for 1 um wide channel")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IGOVDW", static_cast<double>(0.0), &ADMSPSP103VA::Model::IGOVDW)
    .setUnit(U_AMP)
    .setDescription("Gate overlap current pre-factor for 1 um wide channel for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STIGO", static_cast<double>(2.0), &ADMSPSP103VA::Model::STIGO)
    .setDescription("Temperature dependence of IGINV and IGOV")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GC2O", static_cast<double>(0.375), &ADMSPSP103VA::Model::GC2O)
    .setDescription("Gate current slope factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("GC3O", static_cast<double>(0.063), &ADMSPSP103VA::Model::GC3O)
    .setDescription("Gate current curvature factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CHIBO", static_cast<double>(3.1), &ADMSPSP103VA::Model::CHIBO)
    .setUnit(U_VOLT)
    .setDescription("Tunneling barrier height")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("AGIDLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::AGIDLW)
    .setUnit(U_AMPVM3)
    .setDescription("Width dependence of GIDL pre-factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("AGIDLDW", static_cast<double>(0.0), &ADMSPSP103VA::Model::AGIDLDW)
    .setUnit(U_AMPVM3)
    .setDescription("Width dependence of GIDL pre-factor for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("BGIDLO", static_cast<double>(41), &ADMSPSP103VA::Model::BGIDLO)
    .setUnit(U_VOLT)
    .setDescription("GIDL probability factor at TR")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("BGIDLDO", static_cast<double>(41), &ADMSPSP103VA::Model::BGIDLDO)
    .setUnit(U_VOLT)
    .setDescription("GIDL probability factor at TR for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STBGIDLO", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBGIDLO)
    .setUnit(U_VKM1)
    .setDescription("Temperature dependence of BGIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STBGIDLDO", static_cast<double>(0.0), &ADMSPSP103VA::Model::STBGIDLDO)
    .setUnit(U_VKM1)
    .setDescription("Temperature dependence of BGIDL for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CGIDLO", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGIDLO)
    .setDescription("Back-bias dependence of GIDL")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CGIDLDO", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGIDLDO)
    .setDescription("Back-bias dependence of GIDL for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CGBOVL", static_cast<double>(0.0), &ADMSPSP103VA::Model::CGBOVL)
    .setUnit(U_FARAD)
    .setDescription("Oxide capacitance for gate-bulk overlap for 1 um long channel")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CFRW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFRW)
    .setUnit(U_FARAD)
    .setDescription("Outer fringe capacitance for 1 um wide channel")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CFRDW", static_cast<double>(0.0), &ADMSPSP103VA::Model::CFRDW)
    .setUnit(U_FARAD)
    .setDescription("Outer fringe capacitance for 1 um wide channel for drain side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FNTO", static_cast<double>(1.0), &ADMSPSP103VA::Model::FNTO)
    .setDescription("Thermal noise coefficient")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NFALW", static_cast<double>(8e22), &ADMSPSP103VA::Model::NFALW)
    .setDescription("First coefficient of flicker noise for 1 um**2 channel area")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NFBLW", static_cast<double>(3e7), &ADMSPSP103VA::Model::NFBLW)
    .setDescription("Second coefficient of flicker noise for 1 um**2 channel area")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("NFCLW", static_cast<double>(0.0), &ADMSPSP103VA::Model::NFCLW)
    .setUnit(U_VOLTM1)
    .setDescription("Third coefficient of flicker noise for 1 um**2 channel area")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("EFO", static_cast<double>(1.0), &ADMSPSP103VA::Model::EFO)
    .setDescription("Flicker noise frequency exponent")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LINTNOI", static_cast<double>(0.0), &ADMSPSP103VA::Model::LINTNOI)
    .setUnit(U_METER)
    .setDescription("Length offset for flicker noise")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("ALPNOI", static_cast<double>(2.0), &ADMSPSP103VA::Model::ALPNOI)
    .setDescription("Exponent for length offset for flicker noise")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("KVTHOWEO", static_cast<double>(0), &ADMSPSP103VA::Model::KVTHOWEO)
    .setDescription("Geometrical independent threshold shift parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("KVTHOWEL", static_cast<double>(0), &ADMSPSP103VA::Model::KVTHOWEL)
    .setDescription("Length dependent threshold shift parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("KVTHOWEW", static_cast<double>(0), &ADMSPSP103VA::Model::KVTHOWEW)
    .setDescription("Width dependent threshold shift parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("KVTHOWELW", static_cast<double>(0), &ADMSPSP103VA::Model::KVTHOWELW)
    .setDescription("Area dependent threshold shift parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("KUOWEO", static_cast<double>(0), &ADMSPSP103VA::Model::KUOWEO)
    .setDescription("Geometrical independent mobility degradation factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("KUOWEL", static_cast<double>(0), &ADMSPSP103VA::Model::KUOWEL)
    .setDescription("Length dependent mobility degradation factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("KUOWEW", static_cast<double>(0), &ADMSPSP103VA::Model::KUOWEW)
    .setDescription("Width dependent mobility degradation factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("KUOWELW", static_cast<double>(0), &ADMSPSP103VA::Model::KUOWELW)
    .setDescription("Area dependent mobility degradation factor")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RGO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RGO)
    .setUnit(U_OHM)
    .setDescription("Gate resistance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RINT", static_cast<double>(0.0), &ADMSPSP103VA::Model::RINT)
    .setUnit(U_OHMM2)
    .setDescription("Contact resistance between silicide and ploy")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RVPOLY", static_cast<double>(0.0), &ADMSPSP103VA::Model::RVPOLY)
    .setUnit(U_OHMM2)
    .setDescription("Vertical poly resistance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RSHG", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSHG)
    .setUnit(U_OSQM1)
    .setDescription("Gate electrode diffusion sheet resistance")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DLSIL", static_cast<double>(0.0), &ADMSPSP103VA::Model::DLSIL)
    .setUnit(U_METER)
    .setDescription("Silicide extension over the physical gate length")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RSH", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSH)
    .setUnit(U_OSQM1)
    .setDescription("Sheet resistance of source diffusion")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RSHD", static_cast<double>(0.0), &ADMSPSP103VA::Model::RSHD)
    .setUnit(U_OSQM1)
    .setDescription("Sheet resistance of drain diffusion")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RBULKO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RBULKO)
    .setUnit(U_OHM)
    .setDescription("Bulk resistance between node BP and BI")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RWELLO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RWELLO)
    .setUnit(U_OHM)
    .setDescription("Well resistance between node BI and B")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RJUNSO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RJUNSO)
    .setUnit(U_OHM)
    .setDescription("Source-side bulk resistance between node BI and BS")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("RJUNDO", static_cast<double>(0.0), &ADMSPSP103VA::Model::RJUNDO)
    .setUnit(U_OHM)
    .setDescription("Drain-side bulk resistance between node BI and BD")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SAREF", static_cast<double>(1.0e-6), &ADMSPSP103VA::Model::SAREF)
    .setUnit(U_METER)
    .setDescription("Reference distance between OD-edge and poly from one side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SBREF", static_cast<double>(1.0e-6), &ADMSPSP103VA::Model::SBREF)
    .setUnit(U_METER)
    .setDescription("Reference distance between OD-edge and poly from other side")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WLOD", static_cast<double>(0), &ADMSPSP103VA::Model::WLOD)
    .setUnit(U_METER)
    .setDescription("Width parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("KUO", static_cast<double>(0), &ADMSPSP103VA::Model::KUO)
    .setUnit(U_METER)
    .setDescription("Mobility degradation/enhancement coefficient")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("KVSAT", static_cast<double>(0), &ADMSPSP103VA::Model::KVSAT)
    .setUnit(U_METER)
    .setDescription("Saturation velocity degradation/enhancement coefficient")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("TKUO", static_cast<double>(0), &ADMSPSP103VA::Model::TKUO)
    .setDescription("Temperature dependence of KUO")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LKUO", static_cast<double>(0), &ADMSPSP103VA::Model::LKUO)
    .setDescription("Length dependence of KUO")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WKUO", static_cast<double>(0), &ADMSPSP103VA::Model::WKUO)
    .setDescription("Width dependence of KUO")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PKUO", static_cast<double>(0), &ADMSPSP103VA::Model::PKUO)
    .setDescription("Cross-term dependence of KUO")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LLODKUO", static_cast<double>(0), &ADMSPSP103VA::Model::LLODKUO)
    .setDescription("Length parameter for UO stress effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WLODKUO", static_cast<double>(0), &ADMSPSP103VA::Model::WLODKUO)
    .setDescription("Width parameter for UO stress effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("KVTHO", static_cast<double>(0), &ADMSPSP103VA::Model::KVTHO)
    .setUnit(U_VM)
    .setDescription("Threshold shift parameter")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LKVTHO", static_cast<double>(0), &ADMSPSP103VA::Model::LKVTHO)
    .setDescription("Length dependence of KVTHO")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WKVTHO", static_cast<double>(0), &ADMSPSP103VA::Model::WKVTHO)
    .setDescription("Width dependence of KVTHO")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PKVTHO", static_cast<double>(0), &ADMSPSP103VA::Model::PKVTHO)
    .setDescription("Cross-term dependence of KVTHO")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LLODVTH", static_cast<double>(0), &ADMSPSP103VA::Model::LLODVTH)
    .setDescription("Length parameter for VTH-stress effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WLODVTH", static_cast<double>(0), &ADMSPSP103VA::Model::WLODVTH)
    .setDescription("Width parameter for VTH-stress effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STETAO", static_cast<double>(0), &ADMSPSP103VA::Model::STETAO)
    .setUnit(U_METER)
    .setDescription("eta0 shift factor related to VTHO change")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("LODETAO", static_cast<double>(1.0), &ADMSPSP103VA::Model::LODETAO)
    .setDescription("eta0 shift modification factor for stress effect")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SCREF", static_cast<double>(1.0e-6), &ADMSPSP103VA::Model::SCREF)
    .setUnit(U_METER)
    .setDescription("Distance between OD-edge and well edge of a reference device")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WEB", static_cast<double>(0), &ADMSPSP103VA::Model::WEB)
    .setDescription("Coefficient for SCB")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("WEC", static_cast<double>(0), &ADMSPSP103VA::Model::WEC)
    .setDescription("Coefficient for SCC")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IMAX", static_cast<double>(1000), &ADMSPSP103VA::Model::IMAX)
    .setDescription("Maximum current up to which forward current behaves exponentially")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("TRJ", static_cast<double>(21), &ADMSPSP103VA::Model::TRJ)
    .setDescription("reference temperature")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CJORBOT", static_cast<double>(1E-3), &ADMSPSP103VA::Model::CJORBOT)
    .setDescription("Zero-bias capacitance per unit-of-area of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CJORSTI", static_cast<double>(1E-9), &ADMSPSP103VA::Model::CJORSTI)
    .setDescription("Zero-bias capacitance per unit-of-length of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CJORGAT", static_cast<double>(1E-9), &ADMSPSP103VA::Model::CJORGAT)
    .setDescription("Zero-bias capacitance per unit-of-length of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBIRBOT", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRBOT)
    .setDescription("Built-in voltage at the reference temperature of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBIRSTI", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRSTI)
    .setDescription("Built-in voltage at the reference temperature of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBIRGAT", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRGAT)
    .setDescription("Built-in voltage at the reference temperature of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PBOT", static_cast<double>(0.5), &ADMSPSP103VA::Model::PBOT)
    .setDescription("Grading coefficient of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PSTI", static_cast<double>(0.5), &ADMSPSP103VA::Model::PSTI)
    .setDescription("Grading coefficient of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PGAT", static_cast<double>(0.5), &ADMSPSP103VA::Model::PGAT)
    .setDescription("Grading coefficient of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PHIGBOT", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGBOT)
    .setDescription("Zero-temperature bandgap voltage of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PHIGSTI", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGSTI)
    .setDescription("Zero-temperature bandgap voltage of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PHIGGAT", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGGAT)
    .setDescription("Zero-temperature bandgap voltage of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IDSATRBOT", static_cast<double>(1E-12), &ADMSPSP103VA::Model::IDSATRBOT)
    .setDescription("Saturation current density at the reference temperature of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IDSATRSTI", static_cast<double>(1E-18), &ADMSPSP103VA::Model::IDSATRSTI)
    .setDescription("Saturation current density at the reference temperature of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IDSATRGAT", static_cast<double>(1E-18), &ADMSPSP103VA::Model::IDSATRGAT)
    .setDescription("Saturation current density at the reference temperature of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CSRHBOT", static_cast<double>(1E2), &ADMSPSP103VA::Model::CSRHBOT)
    .setDescription("Shockley-Read-Hall prefactor of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CSRHSTI", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CSRHSTI)
    .setDescription("Shockley-Read-Hall prefactor of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CSRHGAT", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CSRHGAT)
    .setDescription("Shockley-Read-Hall prefactor of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("XJUNSTI", static_cast<double>(100E-9), &ADMSPSP103VA::Model::XJUNSTI)
    .setDescription("Junction depth of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("XJUNGAT", static_cast<double>(100E-9), &ADMSPSP103VA::Model::XJUNGAT)
    .setDescription("Junction depth of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CTATBOT", static_cast<double>(1E2), &ADMSPSP103VA::Model::CTATBOT)
    .setDescription("Trap-assisted tunneling prefactor of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CTATSTI", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CTATSTI)
    .setDescription("Trap-assisted tunneling prefactor of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CTATGAT", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CTATGAT)
    .setDescription("Trap-assisted tunneling prefactor of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("MEFFTATBOT", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATBOT)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("MEFFTATSTI", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATSTI)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("MEFFTATGAT", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATGAT)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CBBTBOT", static_cast<double>(1E-12), &ADMSPSP103VA::Model::CBBTBOT)
    .setDescription("Band-to-band tunneling prefactor of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CBBTSTI", static_cast<double>(1E-18), &ADMSPSP103VA::Model::CBBTSTI)
    .setDescription("Band-to-band tunneling prefactor of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CBBTGAT", static_cast<double>(1E-18), &ADMSPSP103VA::Model::CBBTGAT)
    .setDescription("Band-to-band tunneling prefactor of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FBBTRBOT", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRBOT)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FBBTRSTI", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRSTI)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FBBTRGAT", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRGAT)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STFBBTBOT", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTBOT)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STFBBTSTI", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTSTI)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STFBBTGAT", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTGAT)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBRBOT", static_cast<double>(10), &ADMSPSP103VA::Model::VBRBOT)
    .setDescription("Breakdown voltage of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBRSTI", static_cast<double>(10), &ADMSPSP103VA::Model::VBRSTI)
    .setDescription("Breakdown voltage of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBRGAT", static_cast<double>(10), &ADMSPSP103VA::Model::VBRGAT)
    .setDescription("Breakdown voltage of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PBRBOT", static_cast<double>(4), &ADMSPSP103VA::Model::PBRBOT)
    .setDescription("Breakdown onset tuning parameter of bottom component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PBRSTI", static_cast<double>(4), &ADMSPSP103VA::Model::PBRSTI)
    .setDescription("Breakdown onset tuning parameter of STI-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PBRGAT", static_cast<double>(4), &ADMSPSP103VA::Model::PBRGAT)
    .setDescription("Breakdown onset tuning parameter of gate-edge component for source-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CJORBOTD", static_cast<double>(1E-3), &ADMSPSP103VA::Model::CJORBOTD)
    .setDescription("Zero-bias capacitance per unit-of-area of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CJORSTID", static_cast<double>(1E-9), &ADMSPSP103VA::Model::CJORSTID)
    .setDescription("Zero-bias capacitance per unit-of-length of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CJORGATD", static_cast<double>(1E-9), &ADMSPSP103VA::Model::CJORGATD)
    .setDescription("Zero-bias capacitance per unit-of-length of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBIRBOTD", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRBOTD)
    .setDescription("Built-in voltage at the reference temperature of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBIRSTID", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRSTID)
    .setDescription("Built-in voltage at the reference temperature of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBIRGATD", static_cast<double>(1), &ADMSPSP103VA::Model::VBIRGATD)
    .setDescription("Built-in voltage at the reference temperature of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PBOTD", static_cast<double>(0.5), &ADMSPSP103VA::Model::PBOTD)
    .setDescription("Grading coefficient of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PSTID", static_cast<double>(0.5), &ADMSPSP103VA::Model::PSTID)
    .setDescription("Grading coefficient of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PGATD", static_cast<double>(0.5), &ADMSPSP103VA::Model::PGATD)
    .setDescription("Grading coefficient of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PHIGBOTD", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGBOTD)
    .setDescription("Zero-temperature bandgap voltage of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PHIGSTID", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGSTID)
    .setDescription("Zero-temperature bandgap voltage of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PHIGGATD", static_cast<double>(1.16), &ADMSPSP103VA::Model::PHIGGATD)
    .setDescription("Zero-temperature bandgap voltage of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IDSATRBOTD", static_cast<double>(1E-12), &ADMSPSP103VA::Model::IDSATRBOTD)
    .setDescription("Saturation current density at the reference temperature of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IDSATRSTID", static_cast<double>(1E-18), &ADMSPSP103VA::Model::IDSATRSTID)
    .setDescription("Saturation current density at the reference temperature of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("IDSATRGATD", static_cast<double>(1E-18), &ADMSPSP103VA::Model::IDSATRGATD)
    .setDescription("Saturation current density at the reference temperature of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CSRHBOTD", static_cast<double>(1E2), &ADMSPSP103VA::Model::CSRHBOTD)
    .setDescription("Shockley-Read-Hall prefactor of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CSRHSTID", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CSRHSTID)
    .setDescription("Shockley-Read-Hall prefactor of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CSRHGATD", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CSRHGATD)
    .setDescription("Shockley-Read-Hall prefactor of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("XJUNSTID", static_cast<double>(100E-9), &ADMSPSP103VA::Model::XJUNSTID)
    .setDescription("Junction depth of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("XJUNGATD", static_cast<double>(100E-9), &ADMSPSP103VA::Model::XJUNGATD)
    .setDescription("Junction depth of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CTATBOTD", static_cast<double>(1E2), &ADMSPSP103VA::Model::CTATBOTD)
    .setDescription("Trap-assisted tunneling prefactor of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CTATSTID", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CTATSTID)
    .setDescription("Trap-assisted tunneling prefactor of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CTATGATD", static_cast<double>(1E-4), &ADMSPSP103VA::Model::CTATGATD)
    .setDescription("Trap-assisted tunneling prefactor of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("MEFFTATBOTD", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATBOTD)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("MEFFTATSTID", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATSTID)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("MEFFTATGATD", static_cast<double>(0.25), &ADMSPSP103VA::Model::MEFFTATGATD)
    .setDescription("Effective mass (in units of m0) for trap-assisted tunneling of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CBBTBOTD", static_cast<double>(1E-12), &ADMSPSP103VA::Model::CBBTBOTD)
    .setDescription("Band-to-band tunneling prefactor of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CBBTSTID", static_cast<double>(1E-18), &ADMSPSP103VA::Model::CBBTSTID)
    .setDescription("Band-to-band tunneling prefactor of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("CBBTGATD", static_cast<double>(1E-18), &ADMSPSP103VA::Model::CBBTGATD)
    .setDescription("Band-to-band tunneling prefactor of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FBBTRBOTD", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRBOTD)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FBBTRSTID", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRSTID)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FBBTRGATD", static_cast<double>(1E9), &ADMSPSP103VA::Model::FBBTRGATD)
    .setDescription("Normalization field at the reference temperature for band-to-band tunneling of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STFBBTBOTD", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTBOTD)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STFBBTSTID", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTSTID)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("STFBBTGATD", static_cast<double>((-1E-3)), &ADMSPSP103VA::Model::STFBBTGATD)
    .setDescription("Temperature scaling parameter for band-to-band tunneling of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBRBOTD", static_cast<double>(10), &ADMSPSP103VA::Model::VBRBOTD)
    .setDescription("Breakdown voltage of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBRSTID", static_cast<double>(10), &ADMSPSP103VA::Model::VBRSTID)
    .setDescription("Breakdown voltage of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VBRGATD", static_cast<double>(10), &ADMSPSP103VA::Model::VBRGATD)
    .setDescription("Breakdown voltage of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PBRBOTD", static_cast<double>(4), &ADMSPSP103VA::Model::PBRBOTD)
    .setDescription("Breakdown onset tuning parameter of bottom component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PBRSTID", static_cast<double>(4), &ADMSPSP103VA::Model::PBRSTID)
    .setDescription("Breakdown onset tuning parameter of STI-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("PBRGATD", static_cast<double>(4), &ADMSPSP103VA::Model::PBRGATD)
    .setDescription("Breakdown onset tuning parameter of gate-edge component for drain-bulk junction")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("SWJUNEXP", static_cast<double>(0.0), &ADMSPSP103VA::Model::SWJUNEXP)
    .setDescription("Flag for JUNCAP-express; 0=full model, 1=express model")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VJUNREF", static_cast<double>(2.5), &ADMSPSP103VA::Model::VJUNREF)
    .setDescription("Typical maximum source-bulk junction voltage; usually about 2*VSUP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FJUNQ", static_cast<double>(0.03), &ADMSPSP103VA::Model::FJUNQ)
    .setDescription("Fraction below which source-bulk junction capacitance components are considered negligible")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("VJUNREFD", static_cast<double>(2.5), &ADMSPSP103VA::Model::VJUNREFD)
    .setDescription("Typical maximum drain-bulk junction voltage; usually about 2*VSUP")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("FJUNQD", static_cast<double>(0.03), &ADMSPSP103VA::Model::FJUNQD)
    .setDescription("Fraction below which drain-bulk junction capacitance components are considered negligible")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);
  p.addPar("DTA", static_cast<double>(0.0), &ADMSPSP103VA::Model::DTA)
    .setUnit(U_DEGK)
    .setDescription("Temperature offset w.r.t. ambient temperature")
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens);

}

//-----------------------------------------------------------------------------
// Function      : Instance::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::processParams()
{
  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter L : [ 1e-9,  (+inf) [
  if ( (!((L >=1e-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter L value " << L << " out of range [ 1e-9,  (+inf) [";
  }

  //    Parameter W : [ 1e-9,  (+inf) [
  if ( (!((W >=1e-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter W value " << W << " out of range [ 1e-9,  (+inf) [";
  }

  //    Parameter SCA : [ 0.0,  (+inf) [
  if ( (!((SCA >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SCA value " << SCA << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter SCB : [ 0.0,  (+inf) [
  if ( (!((SCB >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SCB value " << SCB << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter SCC : [ 0.0,  (+inf) [
  if ( (!((SCC >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SCC value " << SCC << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter NF : [ 1.0,  (+inf) [
  if ( (!((NF >=1.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NF value " << NF << " out of range [ 1.0,  (+inf) [";
  }

  //    Parameter NGCON : [ 1.0, 2.0 ]
  if ( (!((NGCON >=1.0 && NGCON <=2.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NGCON value " << NGCON << " out of range [ 1.0, 2.0 ]";
  }

  //    Parameter JW : [ 0,  (+inf) [
  if ( (!((JW >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter JW value " << JW << " out of range [ 0,  (+inf) [";
  }

  //    Parameter FACTUO : [ 0.0,  (+inf) [
  if ( (!((FACTUO >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FACTUO value " << FACTUO << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter ABSOURCE : [ 0,  (+inf) [
  if ( (!((ABSOURCE >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ABSOURCE value " << ABSOURCE << " out of range [ 0,  (+inf) [";
  }

  //    Parameter LSSOURCE : [ 0,  (+inf) [
  if ( (!((LSSOURCE >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LSSOURCE value " << LSSOURCE << " out of range [ 0,  (+inf) [";
  }

  //    Parameter LGSOURCE : [ 0,  (+inf) [
  if ( (!((LGSOURCE >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LGSOURCE value " << LGSOURCE << " out of range [ 0,  (+inf) [";
  }

  //    Parameter ABDRAIN : [ 0,  (+inf) [
  if ( (!((ABDRAIN >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ABDRAIN value " << ABDRAIN << " out of range [ 0,  (+inf) [";
  }

  //    Parameter LSDRAIN : [ 0,  (+inf) [
  if ( (!((LSDRAIN >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LSDRAIN value " << LSDRAIN << " out of range [ 0,  (+inf) [";
  }

  //    Parameter LGDRAIN : [ 0,  (+inf) [
  if ( (!((LGDRAIN >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LGDRAIN value " << LGDRAIN << " out of range [ 0,  (+inf) [";
  }

  //    Parameter AS : [ 0,  (+inf) [
  if ( (!((AS >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AS value " << AS << " out of range [ 0,  (+inf) [";
  }

  //    Parameter PS : [ 0,  (+inf) [
  if ( (!((PS >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PS value " << PS << " out of range [ 0,  (+inf) [";
  }

  //    Parameter AD : [ 0,  (+inf) [
  if ( (!((AD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AD value " << AD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter PD : [ 0,  (+inf) [
  if ( (!((PD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PD value " << PD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter MULT : [ 0.0,  (+inf) [
  if ( (!((MULT >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MULT value " << MULT << " out of range [ 0.0,  (+inf) [";
  }


  // this seems a little stupid, but verilog models that use $temperature
  // don't also use a defined parameter "Temp", and count on $temperature
  // to be the one the simulator wants:

  updateTemperature(admsInstTemp);

  // and of course, this routine is where we should put the initial_instance
  // stuff
  double I5;
  double I4;
  double I3;
  double I2;
  double I1;
  double ijungat;
  double ijunsti;
  double ijunbot;
  double V5;
  double V4;
  double V3;
  double V2;
  double V1;
  double FRACI;
  double FRACNB;
  double FRACNA;
  double qjungat;
  double qjunsti;
  double qjunbot;
  double fbreakdown;
  double Fmaxr;
  double ibbt;
  double gammamax;
  double erfctimesexpmtat;
  double xerfc;
  double mtat;
  double ltat;
  double ktat;
  double wtat;
  double wgamma;
  double umaxpoweronepointfive;
  double sqrtumax;
  double umax;
  double umaxbeforelimiting;
  double twoatatoverthreebtat;
  double btat;
  double itat;
  double dwsrh;
  double wsrhstep;
  double isrh;
  double id;
  double tmp;
  double vbbt;
  double vjlim;
  double two_psistar;
  double z;
  double h5;
  double h4;
  double h3;
  double h2d;
  double h2;
  double h1;
  double erfcpos;
  double terfc;
  double ysq;
  double pmax;
  double vbigat2r;
  double vbisti2r;
  double vbibot2r;
  double pgat2;
  double psti2;
  double pbot2;
  double vbigat2;
  double vbisti2;
  double vbibot2;
  double vmaxgat;
  double vmaxsti;
  double vmaxbot;
  double alphaje;
  double zfrac;
  double tt2;
  double tt1;
  double tt0;
  double I5_cor;
  double I4_cor;
  double I3_cor;
  double I2_cor;
  double I1_cor;
  double mcor_rev;
  double m0_rev;
  double jww;
  double jwcorr;
  double LGD_i;
  double LSD_i;
  double ABD_i;
  double LGS_i;
  double LSS_i;
  double ABS_i;
  double NEFFAC_i;
  double Sfl_prefac;
  double Cox_over_q;
  double nt;
  double tempM;
  double tf_ig;
  double tf_thesat;
  double tf_ther;
  double tf_xcor;
  double tf_cs;
  double tf_mue;
  double tf_bet;
  double CoxovPrime_d;
  double CoxovPrime;
  double phix2;
  double dphibq;
  double qb0;
  double np;
  double arg2max;
  double tox_sq;
  double CoxPrime;
  double EPSOX;
  double DELVTO_i;
  double FACTUO_i;
  double EF_i;
  double NFC_i;
  double NFB_i;
  double NFA_i;
  double FNT_i;
  double STBGIDLD_i;
  double STBGIDL_i;
  double STIG_i;
  double GCO_i;
  double STA2_i;
  double VP_i;
  double STTHESAT_i;
  double STRS_i;
  double RS_i;
  double FETA_i;
  double STXCOR_i;
  double STCS_i;
  double STTHEMU_i;
  double STMUE_i;
  double STBET_i;
  double BETN_i;
  double NOVD_i;
  double NOV_i;
  double TOXOVD_i;
  double TOXOV_i;
  double CT_i;
  double NP_i;
  double DELVTAC_i;
  double DPHIB_i;
  double DVSBNUD_i;
  double VSBNUD_i;
  double FACNEFFAC_i;
  double NEFF_i;
  double EPSROX_i;
  double TOX_i;
  double STVFB_i;
  double temp00;
  double Kstressvth0;
  double rhobetaref;
  double rhobeta;
  double Kstressu0;
  double tempw;
  double templ;
  double Wx;
  double Lx;
  double Invsbref;
  double Invsaref;
  double Invsb;
  double Invsa;
  double loop;
  double tmpb;
  double tmpa;
  double iiiLWcv;
  double iLcv;
  double iiLWcv;
  double iiWcv;
  double iiLcv;
  double iiiLEWEcv;
  double iLEcv;
  double iiLEWEcv;
  double iiWEcv;
  double iiLEcv;
  double iiiLEWE;
  double iiLEWE;
  double iiWE;
  double iiLE;
  double iLEWE;
  double KUOWE;
  double KVTHOWE;
  double Lred;
  double Lnoi;
  double temp0;
  double tmpx;
  double GWE;
  double GPE;
  double LP1e;
  double FBET1e;
  double NSUB;
  double BB;
  double AA;
  double LPCKe;
  double NPCKe;
  double NSUB0e;
  double RJUND_p;
  double RJUNS_p;
  double RBULK_p;
  double RWELL_p;
  double RDE_p;
  double RSE_p;
  double RG_p;
  double EF_p;
  double NFC_p;
  double NFB_p;
  double NFA_p;
  double FNT_p;
  double CFRD_p;
  double CFR_p;
  double CGBOV_p;
  double CGOVD_p;
  double CGOV_p;
  double COX_p;
  double CGIDLD_p;
  double CGIDL_p;
  double STBGIDLD_p;
  double STBGIDL_p;
  double BGIDLD_p;
  double BGIDL_p;
  double AGIDLD_p;
  double AGIDL_p;
  double CHIB_p;
  double GC3_p;
  double GC2_p;
  double STIG_p;
  double IGOVD_p;
  double IGOV_p;
  double IGINV_p;
  double GCO_p;
  double A4_p;
  double A3_p;
  double STA2_p;
  double A2_p;
  double A1_p;
  double VP_p;
  double ALP2_p;
  double ALP1_p;
  double ALP_p;
  double AX_p;
  double THESATG_p;
  double THESATB_p;
  double STTHESAT_p;
  double THESAT_p;
  double RSG_p;
  double RSB_p;
  double STRS_p;
  double RS_p;
  double FETA_p;
  double STXCOR_p;
  double XCOR_p;
  double STCS_p;
  double CS_p;
  double STTHEMU_p;
  double THEMU_p;
  double STMUE_p;
  double MUE_p;
  double STBET_p;
  double BETN_p;
  double CFB_p;
  double CF_p;
  double NOVD_p;
  double NOV_p;
  double TOXOVD_p;
  double TOXOV_p;
  double CT_p;
  double NP_p;
  double DELVTAC_p;
  double DPHIB_p;
  double DNSUB_p;
  double NSLP_p;
  double VNSUB_p;
  double DVSBNUD_p;
  double VSBNUD_p;
  double GFACNUD_p;
  double FACNEFFAC_p;
  double NEFF_p;
  double EPSROX_p;
  double TOX_p;
  double STVFB_p;
  double VFB_p;
  double XGWE;
  double W_f;
  double L_slif;
  double L_f;
  double iWE;
  double iLE;
  double Wcv;
  double Lcv;
  double WEcv;
  double LEcv;
  double delWOD;
  double delLPS;
  double iW;
  double iL;
  double WEN;
  double LEN;
  double NGCON_i;
  double SCC_i;
  double SCB_i;
  double SCA_i;
  double JW_i;
  double PD_i;
  double AD_i;
  double PS_i;
  double AS_i;
  double XGW_i;
  double SC_i;
  double SD_i;
  double SB_i;
  double SA_i;
  double W_i;
  double L_i;
  double WE;
  double LE;
  double invNF;
  double NF_i;
  //Begin block initial_instance
  {
    NF_i = 1.0;
    invNF = 1.0;
    LE = 0.0;
    WE = 0.0;
    L_i = L;
    W_i = W;
    SA_i = SA;
    SB_i = SB;
    SD_i = SD;
    SC_i = SC;
    XGW_i = XGW;
    ABSOURCE_i = ABSOURCE;
    LSSOURCE_i = LSSOURCE;
    LGSOURCE_i = LGSOURCE;
    ABDRAIN_i = ABDRAIN;
    LSDRAIN_i = LSDRAIN;
    LGDRAIN_i = LGDRAIN;
    AS_i = AS;
    PS_i = PS;
    AD_i = AD;
    PD_i = PD;
    JW_i = JW;
    if ((((model_.SWGEO_i)==1)||((model_.SWGEO_i)==2)))
    {
      NF_i = ((NF>1.0)?NF:1.0);
      NF_i = floor((NF_i+0.5));
      invNF = (1.0/NF_i);
      L_i = ((L_i>1e-9)?L_i:1e-9);
      W_i = (((W_i*invNF)>1e-9)?(W_i*invNF):1e-9);
      SCA_i = ((SCA>0.0)?SCA:0.0);
      SCB_i = ((SCB>0.0)?SCB:0.0);
      SCC_i = ((SCC>0.0)?SCC:0.0);
      NGCON_i = ((NGCON<1.5)?1.0:2.0);
      LEN = 1e-6;
      WEN = 1e-6;
      iL = (LEN/L_i);
      iW = (WEN/W_i);
      if (((model_.SWGEO_i)==2))
      {
        delLPS = ((model_.LVARO)*(1.0+((model_.LVARL)*iL)));
        delWOD = ((model_.WVARO)*(1.0+((model_.WVARW)*iW)));
      }
      else
      {
        delLPS = (((model_.LVARO)*(1.0+((model_.LVARL)*iL)))*(1.0+((model_.LVARW)*iW)));
        delWOD = (((model_.WVARO)*(1.0+((model_.WVARL)*iL)))*(1.0+((model_.WVARW)*iW)));
      }
      LE = ((((L_i+delLPS)-(2.0*(model_.LAP)))>1e-9)?((L_i+delLPS)-(2.0*(model_.LAP))):1e-9);
      WE = ((((W_i+delWOD)-(2.0*(model_.WOT)))>1e-9)?((W_i+delWOD)-(2.0*(model_.WOT))):1e-9);
      LEcv = (((((L_i+delLPS)-(2.0*(model_.LAP)))+(model_.DLQ))>1e-9)?(((L_i+delLPS)-(2.0*(model_.LAP)))+(model_.DLQ)):1e-9);
      WEcv = (((((W_i+delWOD)-(2.0*(model_.WOT)))+(model_.DWQ))>1e-9)?(((W_i+delWOD)-(2.0*(model_.WOT)))+(model_.DWQ)):1e-9);
      Lcv = ((((L_i+delLPS)+(model_.DLQ))>1e-9)?((L_i+delLPS)+(model_.DLQ)):1e-9);
      Wcv = ((((W_i+delWOD)+(model_.DWQ))>1e-9)?((W_i+delWOD)+(model_.DWQ)):1e-9);
      iLE = (LEN/LE);
      iWE = (WEN/WE);
      L_f = (((L_i+delLPS)>1e-9)?(L_i+delLPS):1e-9);
      L_slif = (((L_f+(model_.DLSIL))>1e-9)?(L_f+(model_.DLSIL)):1e-9);
      W_f = (((W_i+delWOD)>1e-9)?(W_i+delWOD):1e-9);
      XGWE = (((XGW_i-(0.5*delWOD))>1e-9)?(XGW_i-(0.5*delWOD)):1e-9);
    }
    if (((model_.SWGEO_i)==0))
    {
      VFB_p = (model_.VFB);
      STVFB_p = (model_.STVFB);
      TOX_p = (model_.TOX);
      EPSROX_p = (model_.EPSROX);
      NEFF_p = (model_.NEFF);
      FACNEFFAC_p = (model_.FACNEFFAC);
      GFACNUD_p = (model_.GFACNUD);
      VSBNUD_p = (model_.VSBNUD);
      DVSBNUD_p = (model_.DVSBNUD);
      VNSUB_p = (model_.VNSUB);
      NSLP_p = (model_.NSLP);
      DNSUB_p = (model_.DNSUB);
      DPHIB_p = (model_.DPHIB);
      DELVTAC_p = (model_.DELVTAC);
      NP_p = (model_.NP);
      CT_p = (model_.CT);
      TOXOV_p = (model_.TOXOV);
      TOXOVD_p = (model_.TOXOVD);
      NOV_p = (model_.NOV);
      NOVD_p = (model_.NOVD);
      CF_p = (model_.CF);
      CFB_p = (model_.CFB);
      BETN_p = (model_.BETN);
      STBET_p = (model_.STBET);
      MUE_p = (model_.MUE);
      STMUE_p = (model_.STMUE);
      THEMU_p = (model_.THEMU);
      STTHEMU_p = (model_.STTHEMU);
      CS_p = (model_.CS);
      STCS_p = (model_.STCS);
      XCOR_p = (model_.XCOR);
      STXCOR_p = (model_.STXCOR);
      FETA_p = (model_.FETA);
      RS_p = (model_.RS);
      STRS_p = (model_.STRS);
      RSB_p = (model_.RSB);
      RSG_p = (model_.RSG);
      THESAT_p = (model_.THESAT);
      STTHESAT_p = (model_.STTHESAT);
      THESATB_p = (model_.THESATB);
      THESATG_p = (model_.THESATG);
      AX_p = (model_.AX);
      ALP_p = (model_.ALP);
      ALP1_p = (model_.ALP1);
      ALP2_p = (model_.ALP2);
      VP_p = (model_.VP);
      A1_p = (model_.A1);
      A2_p = (model_.A2);
      STA2_p = (model_.STA2);
      A3_p = (model_.A3);
      A4_p = (model_.A4);
      GCO_p = (model_.GCO);
      IGINV_p = (model_.IGINV);
      IGOV_p = (model_.IGOV);
      IGOVD_p = (model_.IGOVD);
      STIG_p = (model_.STIG);
      GC2_p = (model_.GC2);
      GC3_p = (model_.GC3);
      CHIB_p = (model_.CHIB);
      AGIDL_p = (model_.AGIDL);
      AGIDLD_p = (model_.AGIDLD);
      BGIDL_p = (model_.BGIDL);
      BGIDLD_p = (model_.BGIDLD);
      STBGIDL_p = (model_.STBGIDL);
      STBGIDLD_p = (model_.STBGIDLD);
      CGIDL_p = (model_.CGIDL);
      CGIDLD_p = (model_.CGIDLD);
      COX_p = (model_.COX);
      CGOV_p = (model_.CGOV);
      CGOVD_p = (model_.CGOVD);
      CGBOV_p = (model_.CGBOV);
      CFR_p = (model_.CFR);
      CFRD_p = (model_.CFRD);
      FNT_p = (model_.FNT);
      NFA_p = (model_.NFA);
      NFB_p = (model_.NFB);
      NFC_p = (model_.NFC);
      EF_p = (model_.EF);
      RG_p = (model_.RG);
      RSE_p = (model_.RSE);
      RDE_p = (model_.RDE);
      RWELL_p = (model_.RWELL);
      RBULK_p = (model_.RBULK);
      RJUNS_p = (model_.RJUNS);
      RJUND_p = (model_.RJUND);
    }
    if (((model_.SWGEO_i)==1))
    {
      VFB_p = ((((model_.VFBO)+((model_.VFBL)*iLE))+((model_.VFBW)*iWE))+(((model_.VFBLW)*iLE)*iWE));
      STVFB_p = ((((model_.STVFBO)+((model_.STVFBL)*iLE))+((model_.STVFBW)*iWE))+(((model_.STVFBLW)*iLE)*iWE));
      TOX_p = (model_.TOXO);
      EPSROX_p = (model_.EPSROXO);
      NSUB0e = ((model_.NSUBO_i)*(((1.0+(((model_.NSUBW)*iWE)*log((1.0+(WE/(model_.WSEG_i))))))>1.0E-03)?(1.0+(((model_.NSUBW)*iWE)*log((1.0+(WE/(model_.WSEG_i)))))):1.0E-03));
      NPCKe = ((model_.NPCK_i)*(((1.0+(((model_.NPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i))))))>1.0E-03)?(1.0+(((model_.NPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i)))))):1.0E-03));
      LPCKe = ((model_.LPCK_i)*(((1.0+(((model_.LPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i))))))>1.0E-03)?(1.0+(((model_.LPCKW)*iWE)*log((1.0+(WE/(model_.WSEGP_i)))))):1.0E-03));
      if ((LE>(2*LPCKe)))
      {
        AA = 7.5e10;
        BB = (sqrt((NSUB0e+(0.5*NPCKe)))-sqrt(NSUB0e));
        NSUB = (sqrt(NSUB0e)+(AA*log((1+(((2*LPCKe)/LE)*(exp((BB/AA))-1))))));
        NSUB = (NSUB*NSUB);
      }
      else
      {
        if ((LE>=LPCKe))
        {
          NSUB = (NSUB0e+((NPCKe*LPCKe)/LE));
        }
        else
        {
          NSUB = (NSUB0e+(NPCKe*(2-(LE/LPCKe))));
        }
      }
      NEFF_p = (NSUB*((1-((model_.FOL1)*iLE))-(((model_.FOL2)*iLE)*iLE)));
      FACNEFFAC_p = ((((model_.FACNEFFACO)+((model_.FACNEFFACL)*iLE))+((model_.FACNEFFACW)*iWE))+(((model_.FACNEFFACLW)*iLE)*iWE));
      GFACNUD_p = ((((model_.GFACNUDO)+((model_.GFACNUDL)*pow(iLE,(model_.GFACNUDLEXP))))+((model_.GFACNUDW)*iWE))+(((model_.GFACNUDLW)*iLE)*iWE));
      VSBNUD_p = (model_.VSBNUDO);
      DVSBNUD_p = (model_.DVSBNUDO);
      VNSUB_p = (model_.VNSUBO);
      NSLP_p = (model_.NSLPO);
      DNSUB_p = (model_.DNSUBO);
      DPHIB_p = ((((model_.DPHIBO)+((model_.DPHIBL)*pow(iLE,(model_.DPHIBLEXP))))+((model_.DPHIBW)*iWE))+(((model_.DPHIBLW)*iLE)*iWE));
      DELVTAC_p = ((((model_.DELVTACO)+((model_.DELVTACL)*pow(iLE,(model_.DELVTACLEXP))))+((model_.DELVTACW)*iWE))+(((model_.DELVTACLW)*iLE)*iWE));
      NP_p = ((model_.NPO)*((1e-6>(1.0+((model_.NPL)*iLE)))?1e-6:(1.0+((model_.NPL)*iLE))));
      CT_p = ((((model_.CTO)+((model_.CTL)*pow(iLE,(model_.CTLEXP))))*(1.0+((model_.CTW)*iWE)))*(1.0+(((model_.CTLW)*iLE)*iWE)));
      TOXOV_p = (model_.TOXOVO);
      TOXOVD_p = (model_.TOXOVDO);
      NOV_p = (model_.NOVO);
      NOVD_p = (model_.NOVDO);
      CF_p = (((model_.CFL)*pow(iLE,(model_.CFLEXP)))*(1.0+((model_.CFW)*iWE)));
      CFB_p = (model_.CFBO);
      FBET1e = ((model_.FBET1)*(1.0+((model_.FBET1W)*iWE)));
      LP1e = ((model_.LP1_i)*(((1.0+((model_.LP1W)*iWE))>1.0E-03)?(1.0+((model_.LP1W)*iWE)):1.0E-03));
      GPE = ((1.0+(((FBET1e*LP1e)/LE)*(1.0-exp(((-LE)/LP1e)))))+((((model_.FBET2)*(model_.LP2_i))/LE)*(1.0-exp(((-LE)/(model_.LP2_i))))));
      GPE = ((GPE>1e-15)?GPE:1e-15);
      GWE = ((1.0+((model_.BETW1)*iWE))+(((model_.BETW2)*iWE)*log((1.0+(WE/(model_.WBET_i))))));
      BETN_p = ((((model_.UO)*WE)/(GPE*LE))*GWE);
      STBET_p = ((((model_.STBETO)+((model_.STBETL)*iLE))+((model_.STBETW)*iWE))+(((model_.STBETLW)*iLE)*iWE));
      MUE_p = ((model_.MUEO)*(1.0+((model_.MUEW)*iWE)));
      STMUE_p = (model_.STMUEO);
      THEMU_p = (model_.THEMUO);
      STTHEMU_p = (model_.STTHEMUO);
      CS_p = ((((model_.CSO)+((model_.CSL)*pow(iLE,(model_.CSLEXP))))*(1.0+((model_.CSW)*iWE)))*(1.0+(((model_.CSLW)*iLE)*iWE)));
      STCS_p = (model_.STCSO);
      XCOR_p = ((((model_.XCORO)*(1.0+((model_.XCORL)*iLE)))*(1.0+((model_.XCORW)*iWE)))*(1.0+(((model_.XCORLW)*iLE)*iWE)));
      STXCOR_p = (model_.STXCORO);
      FETA_p = (model_.FETAO);
      RS_p = (((model_.RSW1)*iWE)*(1.0+((model_.RSW2)*iWE)));
      STRS_p = (model_.STRSO);
      RSB_p = (model_.RSBO);
      RSG_p = (model_.RSGO);
      THESAT_p = ((((model_.THESATO)+((((model_.THESATL)*GWE)/GPE)*pow(iLE,(model_.THESATLEXP))))*(1.0+((model_.THESATW)*iWE)))*(1.0+(((model_.THESATLW)*iLE)*iWE)));
      STTHESAT_p = ((((model_.STTHESATO)+((model_.STTHESATL)*iLE))+((model_.STTHESATW)*iWE))+(((model_.STTHESATLW)*iLE)*iWE));
      THESATB_p = (model_.THESATBO);
      THESATG_p = (model_.THESATGO);
      AX_p = ((model_.AXO)/(1.0+((model_.AXL_i)*iLE)));
      ALP_p = (((model_.ALPL)*pow(iLE,(model_.ALPLEXP)))*(1.0+((model_.ALPW)*iWE)));
      tmpx = pow(iLE,(model_.ALP1LEXP));
      ALP1_p = ((((model_.ALP1L1)*tmpx)*(1.0+((model_.ALP1W)*iWE)))/(1.0+(((model_.ALP1L2_i)*iLE)*tmpx)));
      tmpx = pow(iLE,(model_.ALP2LEXP));
      ALP2_p = ((((model_.ALP2L1)*tmpx)*(1.0+((model_.ALP2W)*iWE)))/(1.0+(((model_.ALP2L2_i)*iLE)*tmpx)));
      VP_p = (model_.VPO);
      A1_p = (((model_.A1O)*(1.0+((model_.A1L)*iLE)))*(1.0+((model_.A1W)*iWE)));
      A2_p = (model_.A2O);
      STA2_p = (model_.STA2O);
      A3_p = (((model_.A3O)*(1.0+((model_.A3L)*iLE)))*(1.0+((model_.A3W)*iWE)));
      A4_p = (((model_.A4O)*(1.0+((model_.A4L)*iLE)))*(1.0+((model_.A4W)*iWE)));
      GCO_p = (model_.GCOO);
      IGINV_p = ((model_.IGINVLW)/(iWE*iLE));
      IGOV_p = (((model_.IGOVW)*(model_.LOV_i))/(LEN*iWE));
      IGOVD_p = (((model_.IGOVDW)*(model_.LOVD_i))/(LEN*iWE));
      STIG_p = (model_.STIGO);
      GC2_p = (model_.GC2O);
      GC3_p = (model_.GC3O);
      CHIB_p = (model_.CHIBO);
      AGIDL_p = (((model_.AGIDLW)*(model_.LOV_i))/(LEN*iWE));
      AGIDLD_p = (((model_.AGIDLDW)*(model_.LOVD_i))/(LEN*iWE));
      BGIDL_p = (model_.BGIDLO);
      BGIDLD_p = (model_.BGIDLDO);
      STBGIDL_p = (model_.STBGIDLO);
      STBGIDLD_p = (model_.STBGIDLDO);
      CGIDL_p = (model_.CGIDLO);
      CGIDLD_p = (model_.CGIDLDO);
      COX_p = ((((8.8541878176E-12*(model_.EPSROXO_i))*WEcv)*LEcv)/(model_.TOXO_i));
      CGOV_p = ((((8.8541878176E-12*(model_.EPSROXO_i))*WEcv)*(model_.LOV_i))/(model_.TOXOVO_i));
      CGOVD_p = ((((8.8541878176E-12*(model_.EPSROXO_i))*WEcv)*(model_.LOVD_i))/(model_.TOXOVDO_i));
      CGBOV_p = (((model_.CGBOVL)*Lcv)/LEN);
      CFR_p = (((model_.CFRW)*Wcv)/WEN);
      CFRD_p = (((model_.CFRDW)*Wcv)/WEN);
      temp0 = (1.0-(((2.0*(model_.LINTNOI))*iLE)/LEN));
      Lnoi = ((temp0>1.0e-3)?temp0:1.0e-3);
      Lred = (1.0/pow(Lnoi,(model_.ALPNOI)));
      FNT_p = (model_.FNTO);
      NFA_p = (((Lred*iWE)*iLE)*(model_.NFALW));
      NFB_p = (((Lred*iWE)*iLE)*(model_.NFBLW));
      NFC_p = (((Lred*iWE)*iLE)*(model_.NFCLW));
      EF_p = (model_.EFO);
      KVTHOWE = ((((model_.KVTHOWEO)+((model_.KVTHOWEL)*iLE))+((model_.KVTHOWEW)*iWE))+(((model_.KVTHOWELW)*iLE)*iWE));
      KUOWE = ((((model_.KUOWEO)+((model_.KUOWEL)*iLE))+((model_.KUOWEW)*iWE))+(((model_.KUOWELW)*iLE)*iWE));
    }
    if (((model_.SWGEO_i)==2))
    {
      iLEWE = (iLE*iWE);
      iiLE = (LE/LEN);
      iiWE = (WE/WEN);
      iiLEWE = (iiLE*iiWE);
      iiiLEWE = (iiWE/iiLE);
      iiLEcv = (LEcv/LEN);
      iiWEcv = (WEcv/WEN);
      iiLEWEcv = (iiLEcv*iiWEcv);
      iLEcv = (LEN/LEcv);
      iiiLEWEcv = (iiWEcv/iiLEcv);
      iiLcv = (Lcv/LEN);
      iiWcv = (Wcv/WEN);
      iiLWcv = (iiLcv*iiWcv);
      iLcv = (LEN/Lcv);
      iiiLWcv = (iiWcv/iiLcv);
      VFB_p = ((((model_.POVFB)+(iLE*(model_.PLVFB)))+(iWE*(model_.PWVFB)))+(iLEWE*(model_.PLWVFB)));
      STVFB_p = ((((model_.POSTVFB)+(iLE*(model_.PLSTVFB)))+(iWE*(model_.PWSTVFB)))+(iLEWE*(model_.PLWSTVFB)));
      TOX_p = (model_.POTOX);
      EPSROX_p = (model_.POEPSROX);
      NEFF_p = ((((model_.PONEFF)+(iLE*(model_.PLNEFF)))+(iWE*(model_.PWNEFF)))+(iLEWE*(model_.PLWNEFF)));
      FACNEFFAC_p = ((((model_.POFACNEFFAC)+(iLE*(model_.PLFACNEFFAC)))+(iWE*(model_.PWFACNEFFAC)))+(iLEWE*(model_.PLWFACNEFFAC)));
      GFACNUD_p = ((((model_.POGFACNUD)+((model_.PLGFACNUD)*iLE))+((model_.PWGFACNUD)*iWE))+(((model_.PLWGFACNUD)*iLE)*iWE));
      VSBNUD_p = (model_.POVSBNUD);
      DVSBNUD_p = (model_.PODVSBNUD);
      VNSUB_p = (model_.POVNSUB);
      NSLP_p = (model_.PONSLP);
      DNSUB_p = (model_.PODNSUB);
      DPHIB_p = ((((model_.PODPHIB)+(iLE*(model_.PLDPHIB)))+(iWE*(model_.PWDPHIB)))+(iLEWE*(model_.PLWDPHIB)));
      DELVTAC_p = ((((model_.PODELVTAC)+(iLE*(model_.PLDELVTAC)))+(iWE*(model_.PWDELVTAC)))+(iLEWE*(model_.PLWDELVTAC)));
      NP_p = ((((model_.PONP)+(iLE*(model_.PLNP)))+(iWE*(model_.PWNP)))+(iLEWE*(model_.PLWNP)));
      CT_p = ((((model_.POCT)+(iLE*(model_.PLCT)))+(iWE*(model_.PWCT)))+(iLEWE*(model_.PLWCT)));
      TOXOV_p = (model_.POTOXOV);
      TOXOVD_p = (model_.POTOXOVD);
      NOV_p = ((((model_.PONOV)+(iLE*(model_.PLNOV)))+(iWE*(model_.PWNOV)))+(iLEWE*(model_.PLWNOV)));
      NOVD_p = ((((model_.PONOVD)+(iLE*(model_.PLNOVD)))+(iWE*(model_.PWNOVD)))+(iLEWE*(model_.PLWNOVD)));
      CF_p = ((((model_.POCF)+(iLE*(model_.PLCF)))+(iWE*(model_.PWCF)))+(iLEWE*(model_.PLWCF)));
      CFB_p = (model_.POCFB);
      BETN_p = ((iiWE*iLE)*((((model_.POBETN)+(iLE*(model_.PLBETN)))+(iWE*(model_.PWBETN)))+(iLEWE*(model_.PLWBETN))));
      STBET_p = ((((model_.POSTBET)+(iLE*(model_.PLSTBET)))+(iWE*(model_.PWSTBET)))+(iLEWE*(model_.PLWSTBET)));
      MUE_p = ((((model_.POMUE)+(iLE*(model_.PLMUE)))+(iWE*(model_.PWMUE)))+(iLEWE*(model_.PLWMUE)));
      STMUE_p = (model_.POSTMUE);
      THEMU_p = (model_.POTHEMU);
      STTHEMU_p = (model_.POSTTHEMU);
      CS_p = ((((model_.POCS)+(iLE*(model_.PLCS)))+(iWE*(model_.PWCS)))+(iLEWE*(model_.PLWCS)));
      STCS_p = (model_.POSTCS);
      XCOR_p = ((((model_.POXCOR)+(iLE*(model_.PLXCOR)))+(iWE*(model_.PWXCOR)))+(iLEWE*(model_.PLWXCOR)));
      STXCOR_p = (model_.POSTXCOR);
      FETA_p = (model_.POFETA);
      RS_p = ((((model_.PORS)+(iLE*(model_.PLRS)))+(iWE*(model_.PWRS)))+(iLEWE*(model_.PLWRS)));
      STRS_p = (model_.POSTRS);
      RSB_p = (model_.PORSB);
      RSG_p = (model_.PORSG);
      THESAT_p = ((((model_.POTHESAT)+(iLE*(model_.PLTHESAT)))+(iWE*(model_.PWTHESAT)))+(iLEWE*(model_.PLWTHESAT)));
      STTHESAT_p = ((((model_.POSTTHESAT)+(iLE*(model_.PLSTTHESAT)))+(iWE*(model_.PWSTTHESAT)))+(iLEWE*(model_.PLWSTTHESAT)));
      THESATB_p = ((((model_.POTHESATB)+(iLE*(model_.PLTHESATB)))+(iWE*(model_.PWTHESATB)))+(iLEWE*(model_.PLWTHESATB)));
      THESATG_p = ((((model_.POTHESATG)+(iLE*(model_.PLTHESATG)))+(iWE*(model_.PWTHESATG)))+(iLEWE*(model_.PLWTHESATG)));
      AX_p = ((((model_.POAX)+(iLE*(model_.PLAX)))+(iWE*(model_.PWAX)))+(iLEWE*(model_.PLWAX)));
      ALP_p = ((((model_.POALP)+(iLE*(model_.PLALP)))+(iWE*(model_.PWALP)))+(iLEWE*(model_.PLWALP)));
      ALP1_p = ((((model_.POALP1)+(iLE*(model_.PLALP1)))+(iWE*(model_.PWALP1)))+(iLEWE*(model_.PLWALP1)));
      ALP2_p = ((((model_.POALP2)+(iLE*(model_.PLALP2)))+(iWE*(model_.PWALP2)))+(iLEWE*(model_.PLWALP2)));
      VP_p = (model_.POVP);
      A1_p = ((((model_.POA1)+(iLE*(model_.PLA1)))+(iWE*(model_.PWA1)))+(iLEWE*(model_.PLWA1)));
      A2_p = (model_.POA2);
      STA2_p = (model_.POSTA2);
      A3_p = ((((model_.POA3)+(iLE*(model_.PLA3)))+(iWE*(model_.PWA3)))+(iLEWE*(model_.PLWA3)));
      A4_p = ((((model_.POA4)+(iLE*(model_.PLA4)))+(iWE*(model_.PWA4)))+(iLEWE*(model_.PLWA4)));
      GCO_p = (model_.POGCO);
      IGINV_p = ((((model_.POIGINV)+(iiLE*(model_.PLIGINV)))+(iiWE*(model_.PWIGINV)))+(iiLEWE*(model_.PLWIGINV)));
      IGOV_p = ((((model_.POIGOV)+(iLE*(model_.PLIGOV)))+(iiWE*(model_.PWIGOV)))+(iiiLEWE*(model_.PLWIGOV)));
      IGOVD_p = ((((model_.POIGOVD)+(iLE*(model_.PLIGOVD)))+(iiWE*(model_.PWIGOVD)))+(iiiLEWE*(model_.PLWIGOVD)));
      STIG_p = (model_.POSTIG);
      GC2_p = (model_.POGC2);
      GC3_p = (model_.POGC3);
      CHIB_p = (model_.POCHIB);
      AGIDL_p = ((((model_.POAGIDL)+(iLE*(model_.PLAGIDL)))+(iiWE*(model_.PWAGIDL)))+(iiiLEWE*(model_.PLWAGIDL)));
      AGIDLD_p = ((((model_.POAGIDLD)+(iLE*(model_.PLAGIDLD)))+(iiWE*(model_.PWAGIDLD)))+(iiiLEWE*(model_.PLWAGIDLD)));
      BGIDL_p = (model_.POBGIDL);
      BGIDLD_p = (model_.POBGIDLD);
      STBGIDL_p = (model_.POSTBGIDL);
      STBGIDLD_p = (model_.POSTBGIDLD);
      CGIDL_p = (model_.POCGIDL);
      CGIDLD_p = (model_.POCGIDLD);
      COX_p = ((((model_.POCOX)+(iiLEcv*(model_.PLCOX)))+(iiWEcv*(model_.PWCOX)))+(iiLEWEcv*(model_.PLWCOX)));
      CGOV_p = ((((model_.POCGOV)+(iLEcv*(model_.PLCGOV)))+(iiWEcv*(model_.PWCGOV)))+(iiiLEWEcv*(model_.PLWCGOV)));
      CGOVD_p = ((((model_.POCGOVD)+(iLEcv*(model_.PLCGOVD)))+(iiWEcv*(model_.PWCGOVD)))+(iiiLEWEcv*(model_.PLWCGOVD)));
      CGBOV_p = ((((model_.POCGBOV)+(iiLcv*(model_.PLCGBOV)))+(iiWcv*(model_.PWCGBOV)))+(iiLWcv*(model_.PLWCGBOV)));
      CFR_p = ((((model_.POCFR)+(iLcv*(model_.PLCFR)))+(iiWcv*(model_.PWCFR)))+(iiiLWcv*(model_.PLWCFR)));
      CFRD_p = ((((model_.POCFRD)+(iLcv*(model_.PLCFRD)))+(iiWcv*(model_.PWCFRD)))+(iiiLWcv*(model_.PLWCFRD)));
      FNT_p = (model_.POFNT);
      NFA_p = ((((model_.PONFA)+(iLE*(model_.PLNFA)))+(iWE*(model_.PWNFA)))+(iLEWE*(model_.PLWNFA)));
      NFB_p = ((((model_.PONFB)+(iLE*(model_.PLNFB)))+(iWE*(model_.PWNFB)))+(iLEWE*(model_.PLWNFB)));
      NFC_p = ((((model_.PONFC)+(iLE*(model_.PLNFC)))+(iWE*(model_.PWNFC)))+(iLEWE*(model_.PLWNFC)));
      EF_p = (model_.POEF);
      KVTHOWE = ((((model_.POKVTHOWE)+(iLE*(model_.PLKVTHOWE)))+(iWE*(model_.PWKVTHOWE)))+(iLEWE*(model_.PLWKVTHOWE)));
      KUOWE = ((((model_.POKUOWE)+(iLE*(model_.PLKUOWE)))+(iWE*(model_.PWKUOWE)))+(iLEWE*(model_.PLWKUOWE)));
    }
    if ((((model_.SWGEO_i)==1)||((model_.SWGEO_i)==2)))
    {
      RG_p = (((((model_.RSHG_i)*(((3.3333333333333333e-01*W_f)/NGCON_i)+XGWE))/(NGCON_i*L_slif))+(((model_.RINT_i)+(model_.RVPOLY_i))/(W_f*L_f)))+(NF_i*(model_.RGO)));
      if (((model_.SWJUNASYM)==0))
      {
        (model_.RSHD_i) = (model_.RSH_i);
      }
      RSE_p = (NRS*(model_.RSH_i));
      RDE_p = (NRD*(model_.RSHD_i));
      RWELL_p = (NF_i*(model_.RWELLO));
      RBULK_p = (NF_i*(model_.RBULKO));
      RJUNS_p = (NF_i*(model_.RJUNSO));
      RJUND_p = (NF_i*(model_.RJUNDO));
      tmpa = 0.0;
      tmpb = 0.0;
      loop = 0.0;
      if ((((SA_i>0.0)&&(SB_i>0.0))&&((NF_i==1.0)||((NF_i>1.0)&&(SD_i>0.0)))))
      {
        while ((loop<(NF_i-0.5)))
        {
          tmpa = (tmpa+(1.0/((SA_i+(0.5*L_i))+(loop*(SD_i+L_i)))));
          tmpb = (tmpb+(1.0/((SB_i+(0.5*L_i))+(loop*(SD_i+L_i)))));
          loop = (loop+1.0);
        }
        Invsa = (tmpa*invNF);
        Invsb = (tmpb*invNF);
        Invsaref = (1.0/((model_.SAREF_i)+(0.5*L_i)));
        Invsbref = (1.0/((model_.SBREF_i)+(0.5*L_i)));
        Lx = (((L_i+delLPS)>1e-9)?(L_i+delLPS):1e-9);
        Wx = ((((W_i+delWOD)+(model_.WLOD))>1e-9)?((W_i+delWOD)+(model_.WLOD)):1e-9);
        templ = (1.0/pow(Lx,(model_.LLODKUO_i)));
        tempw = (1.0/pow(Wx,(model_.WLODKUO_i)));
        Kstressu0 = ((((1.0+((model_.LKUO)*templ))+((model_.WKUO)*tempw))+(((model_.PKUO)*templ)*tempw))*(1.0+((model_.TKUO)*((model_.rT)-1.0))));
        rhobeta = (((model_.KUO)*(Invsa+Invsb))/Kstressu0);
        rhobetaref = (((model_.KUO)*(Invsaref+Invsbref))/Kstressu0);
        templ = (1.0/pow(Lx,(model_.LLODVTH_i)));
        tempw = (1.0/pow(Wx,(model_.WLODVTH_i)));
        Kstressvth0 = (((1.0+((model_.LKVTHO)*templ))+((model_.WKVTHO)*tempw))+(((model_.PKVTHO)*templ)*tempw));
        temp0 = (((Invsa+Invsb)-Invsaref)-Invsbref);
        BETN_p = ((BETN_p*(1.0+rhobeta))/(1.0+rhobetaref));
        THESAT_p = (((THESAT_p*(1.0+rhobeta))*(1.0+((model_.KVSAT_i)*rhobetaref)))/((1.0+rhobetaref)*(1.0+((model_.KVSAT_i)*rhobeta))));
        VFB_p = (VFB_p+(((model_.KVTHO)*temp0)/Kstressvth0));
        CF_p = (CF_p+(((model_.STETAO)*temp0)/pow(Kstressvth0,(model_.LODETAO_i))));
      }
      if (((((SCA_i>0.0)||(SCB_i>0.0))||(SCC_i>0.0))||(SC_i>0.0)))
      {
        if ((((SCA_i==0.0)&&(SCB_i==0.0))&&(SCC_i==0.0)))
        {
          temp0 = (SC_i+W_i);
          temp00 = (1.0/(model_.SCREF_i));
          SCA_i = (((model_.SCREF_i)*(model_.SCREF_i))/(SC_i*temp0));
          SCB_i = (((((0.1*SC_i)+(0.01*(model_.SCREF_i)))*exp((((-10.0)*SC_i)*temp00)))-(((0.1*temp0)+(0.01*(model_.SCREF_i)))*exp((((-10.0)*temp0)*temp00))))/W_i);
          SCC_i = (((((0.05*SC_i)+(0.0025*(model_.SCREF_i)))*exp((((-20.0)*SC_i)*temp00)))-(((0.05*temp0)+(0.0025*(model_.SCREF_i)))*exp((((-20.0)*temp0)*temp00))))/W_i);
        }
        temp0 = ((SCA_i+((model_.WEB_i)*SCB_i))+((model_.WEC_i)*SCC_i));
        VFB_p = (VFB_p+(KVTHOWE*temp0));
        BETN_p = (BETN_p*(1.0+(KUOWE*temp0)));
      }
    }
    VFB_i = VFB_p;
    STVFB_i = STVFB_p;
    TOX_i = ((TOX_p>1e-10)?TOX_p:1e-10);
    EPSROX_i = ((EPSROX_p>1.0)?EPSROX_p:1.0);
    NEFF_i = ((NEFF_p>1e20)?((NEFF_p<1e26)?NEFF_p:1e26):1e20);
    FACNEFFAC_i = ((FACNEFFAC_p>0.0)?FACNEFFAC_p:0.0);
    GFACNUD_i = ((GFACNUD_p>0.01)?GFACNUD_p:0.01);
    VSBNUD_i = ((VSBNUD_p>0.0)?VSBNUD_p:0.0);
    DVSBNUD_i = ((DVSBNUD_p>0.1)?DVSBNUD_p:0.1);
    VNSUB_i = VNSUB_p;
    NSLP_i = ((NSLP_p>1e-3)?NSLP_p:1e-3);
    DNSUB_i = ((DNSUB_p>0.0)?((DNSUB_p<1.0)?DNSUB_p:1.0):0.0);
    DPHIB_i = DPHIB_p;
    DELVTAC_i = DELVTAC_p;
    NP_i = ((NP_p>0.0)?NP_p:0.0);
    CT_i = ((CT_p>0.0)?CT_p:0.0);
    TOXOV_i = ((TOXOV_p>1e-10)?TOXOV_p:1e-10);
    TOXOVD_i = ((TOXOVD_p>1e-10)?TOXOVD_p:1e-10);
    NOV_i = ((NOV_p>1e20)?((NOV_p<1e27)?NOV_p:1e27):1e20);
    NOVD_i = ((NOVD_p>1e20)?((NOVD_p<1e27)?NOVD_p:1e27):1e20);
    CF_i = ((CF_p>0.0)?CF_p:0.0);
    CFB_i = ((CFB_p>0.0)?((CFB_p<1.0)?CFB_p:1.0):0.0);
    BETN_i = ((BETN_p>0.0)?BETN_p:0.0);
    STBET_i = STBET_p;
    MUE_i = ((MUE_p>0.0)?MUE_p:0.0);
    STMUE_i = STMUE_p;
    THEMU_i = ((THEMU_p>0.0)?THEMU_p:0.0);
    STTHEMU_i = STTHEMU_p;
    CS_i = ((CS_p>0.0)?CS_p:0.0);
    STCS_i = STCS_p;
    XCOR_i = ((XCOR_p>0.0)?XCOR_p:0.0);
    STXCOR_i = STXCOR_p;
    FETA_i = ((FETA_p>0.0)?FETA_p:0.0);
    RS_i = ((RS_p>0.0)?RS_p:0.0);
    STRS_i = STRS_p;
    RSB_i = ((RSB_p>(-0.5))?((RSB_p<1.0)?RSB_p:1.0):(-0.5));
    RSG_i = ((RSG_p>(-0.5))?RSG_p:(-0.5));
    THESAT_i = ((THESAT_p>0.0)?THESAT_p:0.0);
    STTHESAT_i = STTHESAT_p;
    THESATB_i = ((THESATB_p>(-0.5))?((THESATB_p<1.0)?THESATB_p:1.0):(-0.5));
    THESATG_i = ((THESATG_p>(-0.5))?THESATG_p:(-0.5));
    AX_i = ((AX_p>2.0)?AX_p:2.0);
    ALP_i = ((ALP_p>0.0)?ALP_p:0.0);
    ALP1_i = ((ALP1_p>0.0)?ALP1_p:0.0);
    ALP2_i = ((ALP2_p>0.0)?ALP2_p:0.0);
    VP_i = ((VP_p>1.0e-10)?VP_p:1.0e-10);
    A1_i = ((A1_p>0.0)?A1_p:0.0);
    A2_i = ((A2_p>0.0)?A2_p:0.0);
    STA2_i = STA2_p;
    A3_i = ((A3_p>0.0)?A3_p:0.0);
    A4_i = ((A4_p>0.0)?A4_p:0.0);
    GCO_i = ((GCO_p>(-10.0))?((GCO_p<10.0)?GCO_p:10.0):(-10.0));
    IGINV_i = ((IGINV_p>0.0)?IGINV_p:0.0);
    IGOV_i = ((IGOV_p>0.0)?IGOV_p:0.0);
    IGOVD_i = ((IGOVD_p>0.0)?IGOVD_p:0.0);
    STIG_i = STIG_p;
    GC2_i = ((GC2_p>0.0)?((GC2_p<10.0)?GC2_p:10.0):0.0);
    GC3_i = ((GC3_p>(-10.0))?((GC3_p<10.0)?GC3_p:10.0):(-10.0));
    CHIB_i = ((CHIB_p>1.0)?CHIB_p:1.0);
    AGIDL_i = ((AGIDL_p>0.0)?AGIDL_p:0.0);
    AGIDLD_i = ((AGIDLD_p>0.0)?AGIDLD_p:0.0);
    BGIDL_i = ((BGIDL_p>0.0)?BGIDL_p:0.0);
    BGIDLD_i = ((BGIDLD_p>0.0)?BGIDLD_p:0.0);
    STBGIDL_i = STBGIDL_p;
    STBGIDLD_i = STBGIDLD_p;
    CGIDL_i = CGIDL_p;
    CGIDLD_i = CGIDLD_p;
    COX_i = ((COX_p>0.0)?COX_p:0.0);
    CGOV_i = ((CGOV_p>0.0)?CGOV_p:0.0);
    CGOVD_i = ((CGOVD_p>0.0)?CGOVD_p:0.0);
    CGBOV_i = ((CGBOV_p>0.0)?CGBOV_p:0.0);
    CFR_i = ((CFR_p>0.0)?CFR_p:0.0);
    CFRD_i = ((CFRD_p>0.0)?CFRD_p:0.0);
    FNT_i = ((FNT_p>0.0)?FNT_p:0.0);
    NFA_i = ((NFA_p>0.0)?NFA_p:0.0);
    NFB_i = ((NFB_p>0.0)?NFB_p:0.0);
    NFC_i = ((NFC_p>0.0)?NFC_p:0.0);
    EF_i = ((EF_p>0.0)?EF_p:0.0);
    RG_i = ((RG_p>0.0)?RG_p:0.0);
    RSE_i = ((RSE_p>0.0)?RSE_p:0.0);
    RDE_i = ((RDE_p>0.0)?RDE_p:0.0);
    RBULK_i = ((RBULK_p>0.0)?RBULK_p:0.0);
    RJUNS_i = ((RJUNS_p>0.0)?RJUNS_p:0.0);
    RJUND_i = ((RJUND_p>0.0)?RJUND_p:0.0);
    RWELL_i = ((RWELL_p>0.0)?RWELL_p:0.0);
    MULT_i = (((MULT*NF_i)>0.0)?(MULT*NF_i):0.0);
    FACTUO_i = ((FACTUO>0.0)?FACTUO:0.0);
    DELVTO_i = DELVTO;
    if (((model_.SWJUNASYM_i)==0))
    {
      TOXOVD_i = TOXOV_i;
      NOVD_i = NOV_i;
      AGIDLD_i = AGIDL_i;
      BGIDLD_i = BGIDL_i;
      STBGIDLD_i = STBGIDL_i;
      CGIDLD_i = CGIDL_i;
      IGOVD_i = IGOV_i;
      CGOVD_i = CGOV_i;
      CFRD_i = CFR_i;
    }
    EPSOX = (8.8541878176E-12*EPSROX_i);
    phit1 = ((model_.phit)*(1.0+(CT_i*(model_.rTn))));
    inv_phit1 = (1.0/phit1);
    VFB_i = ((VFB_i+(STVFB_i*(model_.dT)))+DELVTO_i);
    phib_dc = (((model_.Eg)+DPHIB_i)+((2.0*(model_.phit))*log(((NEFF_i*pow((model_.phibFac),(-0.75)))*4.0e-26))));
    phib_dc = ((phib_dc>5.0E-2)?phib_dc:5.0E-2);
    CoxPrime = (EPSOX/TOX_i);
    tox_sq = (TOX_i*TOX_i);
    G_0_dc = (sqrt(((((2.0*1.6021918E-19)*NEFF_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxPrime);
    kp = 0.0;
    if ((NP_i>0.0))
    {
      arg2max = (8.0e7/tox_sq);
      np = ((NP_i>arg2max)?NP_i:arg2max);
      np = ((5.0e24>np)?5.0e24:np);
      kp = ((((2.0*CoxPrime)*CoxPrime)*(model_.phit))/((1.6021918E-19*np)*(model_.EPSSI)));
    }
    qlim2 = ((100.0*(model_.phit))*(model_.phit));
    qq = 0.0;
    if (((model_.QMC_i)>0.0))
    {
      qq = (((0.4*5.951993)*(model_.QMC_i))*pow(CoxPrime,6.6666666666666667e-01));
      if (((model_.CHNL_TYPE)==(-1)))
      {
        qq = ((7.448711/5.951993)*qq);
      }
      qb0 = sqrt(((((model_.phit)*G_0_dc)*G_0_dc)*phib_dc));
      dphibq = ((0.75*qq)*pow(qb0,6.6666666666666667e-01));
      phib_dc = (phib_dc+dphibq);
      G_0_dc = (G_0_dc*(1.0+(((2.0*6.6666666666666667e-01)*dphibq)/qb0)));
    }
    sqrt_phib_dc = sqrt(phib_dc);
    phix_dc = (0.95*phib_dc);
    aphi_dc = ((0.0025*phib_dc)*phib_dc);
    bphi_dc = aphi_dc;
    phix2 = (0.5*sqrt(bphi_dc));
    phix1_dc = (0.5*(((phix_dc-phix2))-sqrt(((((phix_dc-phix2))*((phix_dc-phix2)))+aphi_dc))));
    us1 = (sqrt((VSBNUD_i+phib_dc))-sqrt_phib_dc);
    us21 = ((sqrt(((VSBNUD_i+DVSBNUD_i)+phib_dc))-sqrt_phib_dc)-us1);
    CoxovPrime = (EPSOX/TOXOV_i);
    CoxovPrime_d = (EPSOX/TOXOVD_i);
    GOV_s = (sqrt(((((2.0*1.6021918E-19)*NOV_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxovPrime);
    GOV_d = (sqrt(((((2.0*1.6021918E-19)*NOVD_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxovPrime_d);
    GOV2_s = (GOV_s*GOV_s);
    GOV2_d = (GOV_d*GOV_d);
    xi_ov_s = (1.0+(GOV_s*7.0710678118654746e-01));
    xi_ov_d = (1.0+(GOV_d*7.0710678118654746e-01));
    inv_xi_ov_s = (1.0/xi_ov_s);
    inv_xi_ov_d = (1.0/xi_ov_d);
    x_mrg_ov_s = (1.0e-5*xi_ov_s);
    x_mrg_ov_d = (1.0e-5*xi_ov_d);
    tf_bet = pow((model_.rTn),STBET_i);
    BETN_i = (BETN_i*tf_bet);
    BET_i = ((FACTUO_i*BETN_i)*CoxPrime);
    THEMU_i = (THEMU_i*pow((model_.rTn),STTHEMU_i));
    tf_mue = pow((model_.rTn),STMUE_i);
    MUE_i = (MUE_i*tf_mue);
    tf_cs = pow((model_.rTn),STCS_i);
    CS_i = (CS_i*tf_cs);
    tf_xcor = pow((model_.rTn),STXCOR_i);
    XCOR_i = (XCOR_i*tf_xcor);
    E_eff0 = ((1.0e-8*CoxPrime)/(model_.EPSSI));
    eta_mu = (0.5*FETA_i);
    eta_mu1 = 0.5;
    if (((model_.CHNL_TYPE)==(-1)))
    {
      eta_mu = (3.3333333333333333e-01*FETA_i);
      eta_mu1 = 3.3333333333333333e-01;
    }
    tf_ther = pow((model_.rTn),STRS_i);
    RS_i = (RS_i*tf_ther);
    THER_i = ((2*BET_i)*RS_i);
    tf_thesat = pow((model_.rTn),STTHESAT_i);
    THESAT_i = (THESAT_i*tf_thesat);
    Vdsat_lim = (3.912023005*phit1);
    inv_AX = (1.0/AX_i);
    inv_VP = (1.0/VP_i);
    A2_i = (A2_i*pow((model_.rT),STA2_i));
    tf_ig = pow((model_.rT),STIG_i);
    IGINV_i = (IGINV_i*tf_ig);
    IGOV_i = (IGOV_i*tf_ig);
    IGOVD_i = (IGOVD_i*tf_ig);
    inv_CHIB = (1.0/CHIB_i);
    tempM = (((4.0*3.3333333333333333e-01)*sqrt((((2*1.6021918E-19)*9.1093826E-31)*CHIB_i)))/1.05457168E-34);
    BCH = (tempM*TOX_i);
    BOV = (tempM*TOXOV_i);
    BOV_d = (tempM*TOXOVD_i);
    GCQ = 0;
    if ((GC3_i<0))
    {
      GCQ = (((-0.495)*GC2_i)/GC3_i);
    }
    alpha_b = (0.5*(phib_dc+(model_.Eg)));
    Dch = (GCO_i*phit1);
    Dov = (GCO_i*(model_.phit));
    AGIDL_i = ((AGIDL_i*4e-18)/(TOXOV_i*TOXOV_i));
    AGIDLD_i = ((AGIDLD_i*4e-18)/(TOXOVD_i*TOXOVD_i));
    tempM = (((1.0+(STBGIDL_i*(model_.dT)))>0)?(1.0+(STBGIDL_i*(model_.dT))):0);
    BGIDL_i = (((BGIDL_i*tempM)*TOXOV_i)*5e8);
    tempM = (((1.0+(STBGIDLD_i*(model_.dT)))>0)?(1.0+(STBGIDLD_i*(model_.dT))):0);
    BGIDLD_i = (((BGIDLD_i*tempM)*TOXOVD_i)*5e8);
    nt = (((FNT_i*4)*1.3806505E-23)*(model_.TKD));
    Cox_over_q = (CoxPrime/1.6021918E-19);
    Sfl_prefac = ((((model_.phit)*(model_.phit))*BET_i)/Cox_over_q);
    x1 = 1.25;
    inv_xg1_s = (1.0/(x1+(GOV_s*7.324648775608221e-1)));
    inv_xg1_d = (1.0/(x1+(GOV_d*7.324648775608221e-1)));
    NEFFAC_i = (FACNEFFAC_i*NEFF_i);
    NEFFAC_i = ((NEFFAC_i>1e20)?((NEFFAC_i<1e26)?NEFFAC_i:1e26):1e20);
    phib_ac = ((((model_.Eg)+DPHIB_i)+DELVTAC_i)+((2.0*(model_.phit))*log(((NEFFAC_i*pow((model_.phibFac),(-0.75)))*4.0e-26))));
    phib_ac = ((phib_ac>5.0E-2)?phib_ac:5.0E-2);
    G_0_ac = (sqrt(((((2.0*1.6021918E-19)*NEFFAC_i)*(model_.EPSSI))*(model_.inv_phit)))/CoxPrime);
    if (((model_.QMC_i)>0.0))
    {
      qb0 = sqrt(((((model_.phit)*G_0_ac)*G_0_ac)*phib_ac));
      dphibq = ((0.75*qq)*pow(qb0,6.6666666666666667e-01));
      phib_ac = (phib_ac+dphibq);
      G_0_ac = (G_0_ac*(1.0+(((2.0*6.6666666666666667e-01)*dphibq)/qb0)));
    }
    sqrt_phib_ac = sqrt(phib_ac);
    phix_ac = (0.95*phib_ac);
    aphi_ac = ((0.0025*phib_ac)*phib_ac);
    bphi_ac = aphi_ac;
    phix2 = (0.5*sqrt(bphi_ac));
    phix1_ac = (0.5*(((phix_ac-phix2))-sqrt(((((phix_ac-phix2))*((phix_ac-phix2)))+aphi_ac))));
    if ((RG_i>0.0))
    {
      ggate = (1.0/RG_i);
    }
    else
    {
      ggate = 0.0;
    }
    if ((RSE_i>0.0))
    {
      gsource = (1.0/RSE_i);
    }
    else
    {
      gsource = 0.0;
    }
    if ((RDE_i>0.0))
    {
      gdrain = (1.0/RDE_i);
    }
    else
    {
      gdrain = 0.0;
    }
    if ((RBULK_i>0.0))
    {
      gbulk = (1.0/RBULK_i);
    }
    else
    {
      gbulk = 0.0;
    }
    if ((RJUNS_i>0.0))
    {
      gjuns = (1.0/RJUNS_i);
    }
    else
    {
      gjuns = 0.0;
    }
    if ((RJUND_i>0.0))
    {
      gjund = (1.0/RJUND_i);
    }
    else
    {
      gjund = 0.0;
    }
    if ((RWELL_i>0.0))
    {
      gwell = (1.0/RWELL_i);
    }
    else
    {
      gwell = 0.0;
    }
    ABS_i = 0.0;
    LSS_i = 0.0;
    LGS_i = 0.0;
    ABD_i = 0.0;
    LSD_i = 0.0;
    LGD_i = 0.0;
    jwcorr = 0.0;
    jww = WE;
    if (((model_.SWGEO_i)==0))
    {
      jww = ((JW_i>0)?JW_i:0);
    }
    if (((model_.SWJUNCAP_i)==3))
    {
      jwcorr = 1.0;
    }
    ABS_i = (ABSOURCE_i*invNF);
    LSS_i = (LSSOURCE_i*invNF);
    LGS_i = (LGSOURCE_i*invNF);
    ABD_i = (ABDRAIN_i*invNF);
    LSD_i = (LSDRAIN_i*invNF);
    LGD_i = (LGDRAIN_i*invNF);
    if ((((model_.SWJUNCAP_i)==2)||((model_.SWJUNCAP_i)==3)))
    {
      ABS_i = (AS_i*invNF);
      LSS_i = ((PS_i*invNF)-(jwcorr*jww));
      LGS_i = jww;
      ABD_i = (AD_i*invNF);
      LSD_i = ((PD_i*invNF)-(jwcorr*jww));
      LGD_i = jww;
    }
    if (((((model_.SWJUNCAP_i)==1)||((model_.SWJUNCAP_i)==2))||((model_.SWJUNCAP_i)==3)))
    {
      ABSOURCE_i = ((ABS_i>0)?ABS_i:0);
      LSSOURCE_i = ((LSS_i>0)?LSS_i:0);
      LGSOURCE_i = ((LGS_i>0)?LGS_i:0);
      ABDRAIN_i = ((ABD_i>0)?ABD_i:0);
      LSDRAIN_i = ((LSD_i>0)?LSD_i:0);
      LGDRAIN_i = ((LGD_i>0)?LGD_i:0);
    }
    else
    {
      ABSOURCE_i = 0.0;
      LSSOURCE_i = 0.0;
      LGSOURCE_i = 0.0;
      ABDRAIN_i = 0.0;
      LSDRAIN_i = 0.0;
      LGDRAIN_i = 0.0;
    }
    vbimin_s = 0.0;
    vbimin_d = 0.0;
    vfmin_s = 0.0;
    vfmin_d = 0.0;
    vch_s = 0.0;
    vch_d = 0.0;
    vbbtlim_s = 0.0;
    vbbtlim_d = 0.0;
    VMAX_s = 0.0;
    VMAX_d = 0.0;
    exp_VMAX_over_phitd_s = 0.0;
    exp_VMAX_over_phitd_d = 0.0;
    vj = 0.0;
    idmult = 0.0;
    vjsrh = 0.0;
    zinv = 0.0;
    wdep = 0.0;
    wsrh = 0.0;
    asrh = 0.0;
    vav = 0.0;
    vbi_minus_vjsrh = 0.0;
    ISATFOR1_s = 0.0;
    ISATFOR1_d = 0.0;
    MFOR1_s = 1.0;
    MFOR1_d = 1.0;
    ISATFOR2_s = 0.0;
    ISATFOR2_d = 0.0;
    MFOR2_s = 1.0;
    MFOR2_d = 1.0;
    ISATREV_s = 0.0;
    ISATREV_d = 0.0;
    MREV_s = 1.0;
    MREV_d = 1.0;
    m0flag_s = 0.0;
    m0flag_d = 0.0;
    xhighf1_s = 0.0;
    xhighf1_d = 0.0;
    expxhf1_s = 0.0;
    expxhf1_d = 0.0;
    xhighf2_s = 0.0;
    xhighf2_d = 0.0;
    expxhf2_s = 0.0;
    expxhf2_d = 0.0;
    xhighr_s = 0.0;
    xhighr_d = 0.0;
    expxhr_s = 0.0;
    expxhr_d = 0.0;
    zflagbot_s = 1.0;
    zflagbot_d = 1.0;
    zflagsti_s = 1.0;
    zflagsti_d = 1.0;
    zflaggat_s = 1.0;
    zflaggat_d = 1.0;
    m0_rev = 0.0;
    mcor_rev = 0.0;
    I1_cor = 0.0;
    I2_cor = 0.0;
    I3_cor = 0.0;
    I4_cor = 0.0;
    I5_cor = 0.0;
    tt0 = 0.0;
    tt1 = 0.0;
    tt2 = 0.0;
    zfrac = 0.0;
    alphaje = 0.0;
    tmpv = 0.0;
    vjv = 0.0;
    ijun_s = 0.0;
    ijunbot_s = 0.0;
    ijunsti_s = 0.0;
    ijungat_s = 0.0;
    qjun_s = 0.0;
    qjunbot_s = 0.0;
    qjunsti_s = 0.0;
    qjungat_s = 0.0;
    ijun_d = 0.0;
    ijunbot_d = 0.0;
    ijunsti_d = 0.0;
    ijungat_d = 0.0;
    qjun_d = 0.0;
    qjunbot_d = 0.0;
    qjunsti_d = 0.0;
    qjungat_d = 0.0;
    if (((model_.SWJUNCAP_i)>0))
    {
      (model_.CJORBOT_i) = (model_.CJORBOTS_i);
      (model_.CJORSTI_i) = (model_.CJORSTIS_i);
      (model_.CJORGAT_i) = (model_.CJORGATS_i);
      (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
      (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
      (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
      (model_.PBOT_i) = (model_.PBOTS_i);
      (model_.PSTI_i) = (model_.PSTIS_i);
      (model_.PGAT_i) = (model_.PGATS_i);
      (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
      (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
      (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
      (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
      (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
      (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
      (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
      (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
      (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
      (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
      (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
      (model_.CTATBOT_i) = (model_.CTATBOTS_i);
      (model_.CTATSTI_i) = (model_.CTATSTIS_i);
      (model_.CTATGAT_i) = (model_.CTATGATS_i);
      (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
      (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
      (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
      (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
      (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
      (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
      (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
      (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
      (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
      (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
      (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
      (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
      (model_.VBRBOT_i) = (model_.VBRBOTS_i);
      (model_.VBRSTI_i) = (model_.VBRSTIS_i);
      (model_.VBRGAT_i) = (model_.VBRGATS_i);
      (model_.PBRBOT_i) = (model_.PBRBOTS_i);
      (model_.PBRSTI_i) = (model_.PBRSTIS_i);
      (model_.PBRGAT_i) = (model_.PBRGATS_i);
      (model_.VJUNREF_i) = (model_.VJUNREFS_i);
      (model_.FJUNQ_i) = (model_.FJUNQS_i);
      (model_.phigrbot) = (model_.phigrbot_s);
      (model_.phigrsti) = (model_.phigrsti_s);
      (model_.phigrgat) = (model_.phigrgat_s);
      (model_.phigdbot) = (model_.phigdbot_s);
      (model_.phigdsti) = (model_.phigdsti_s);
      (model_.phigdgat) = (model_.phigdgat_s);
      (model_.ftdbot) = (model_.ftdbot_s);
      (model_.ftdsti) = (model_.ftdsti_s);
      (model_.ftdgat) = (model_.ftdgat_s);
      (model_.idsatbot) = (model_.idsatbot_s);
      (model_.idsatsti) = (model_.idsatsti_s);
      (model_.idsatgat) = (model_.idsatgat_s);
      (model_.ubibot) = (model_.ubibot_s);
      (model_.ubisti) = (model_.ubisti_s);
      (model_.ubigat) = (model_.ubigat_s);
      (model_.vbibot) = (model_.vbibot_s);
      (model_.vbisti) = (model_.vbisti_s);
      (model_.vbigat) = (model_.vbigat_s);
      (model_.vbiinvbot) = (model_.vbiinvbot_s);
      (model_.vbiinvsti) = (model_.vbiinvsti_s);
      (model_.vbiinvgat) = (model_.vbiinvgat_s);
      (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
      (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
      (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
      (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
      (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
      (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
      (model_.cjobot) = (model_.cjobot_s);
      (model_.cjosti) = (model_.cjosti_s);
      (model_.cjogat) = (model_.cjogat_s);
      (model_.qprefbot) = (model_.qprefbot_s);
      (model_.qprefsti) = (model_.qprefsti_s);
      (model_.qprefgat) = (model_.qprefgat_s);
      (model_.qpref2bot) = (model_.qpref2bot_s);
      (model_.qpref2sti) = (model_.qpref2sti_s);
      (model_.qpref2gat) = (model_.qpref2gat_s);
      (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
      (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
      (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
      (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
      (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
      (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
      (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
      (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
      (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
      (model_.deltaEbot) = (model_.deltaEbot_s);
      (model_.deltaEsti) = (model_.deltaEsti_s);
      (model_.deltaEgat) = (model_.deltaEgat_s);
      (model_.atatbot) = (model_.atatbot_s);
      (model_.atatsti) = (model_.atatsti_s);
      (model_.atatgat) = (model_.atatgat_s);
      (model_.btatpartbot) = (model_.btatpartbot_s);
      (model_.btatpartsti) = (model_.btatpartsti_s);
      (model_.btatpartgat) = (model_.btatpartgat_s);
      (model_.fbbtbot) = (model_.fbbtbot_s);
      (model_.fbbtsti) = (model_.fbbtsti_s);
      (model_.fbbtgat) = (model_.fbbtgat_s);
      (model_.fbbtbot) = (model_.fbbtbot_s);
      (model_.fbbtsti) = (model_.fbbtsti_s);
      (model_.fbbtgat) = (model_.fbbtgat_s);
      (model_.fstopbot) = (model_.fstopbot_s);
      (model_.fstopsti) = (model_.fstopsti_s);
      (model_.fstopgat) = (model_.fstopgat_s);
      (model_.VBRinvbot) = (model_.VBRinvbot_s);
      (model_.VBRinvsti) = (model_.VBRinvsti_s);
      (model_.VBRinvgat) = (model_.VBRinvgat_s);
      (model_.slopebot) = (model_.slopebot_s);
      (model_.slopesti) = (model_.slopesti_s);
      (model_.slopegat) = (model_.slopegat_s);
      if ((((model_.idsatbot)*ABSOURCE_i)>0))
      {
        vmaxbot = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatbot)*ABSOURCE_i))+1)));
      }
      else
      {
        vmaxbot = 1E8;
      }
      if ((((model_.idsatsti)*LSSOURCE_i)>0))
      {
        vmaxsti = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatsti)*LSSOURCE_i))+1)));
      }
      else
      {
        vmaxsti = 1E8;
      }
      if ((((model_.idsatgat)*LGSOURCE_i)>0))
      {
        vmaxgat = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatgat)*LGSOURCE_i))+1)));
      }
      else
      {
        vmaxgat = 1E8;
      }
      VMAX_s = std::min(std::min(vmaxbot,vmaxsti),vmaxgat);
      if ((fabs((VMAX_s*(model_.phitdinv)))<2.3025850929940458e+02))
      {
        exp_VMAX_over_phitd_s = exp((VMAX_s*(model_.phitdinv)));
      }
      else
      {
        if (((VMAX_s*(model_.phitdinv))<(-2.3025850929940458e+02)))
        {
          exp_VMAX_over_phitd_s = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(VMAX_s*(model_.phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(VMAX_s*(model_.phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(VMAX_s*(model_.phitdinv)))*3.3333333333333333e-01))))))));
        }
        else
        {
          exp_VMAX_over_phitd_s = (1.0e100*(1.0+(((VMAX_s*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((VMAX_s*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(((VMAX_s*(model_.phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
        }
      }
      vbibot2 = (model_.vbibot);
      vbisti2 = (model_.vbisti);
      vbigat2 = (model_.vbigat);
      pbot2 = (model_.PBOT_i);
      psti2 = (model_.PSTI_i);
      pgat2 = (model_.PGAT_i);
      vbibot2r = (model_.VBIRBOT_i);
      vbisti2r = (model_.VBIRSTI_i);
      vbigat2r = (model_.VBIRGAT_i);
      if ((ABSOURCE_i==0))
      {
        vbibot2 = ((model_.vbisti)+(model_.vbigat));
        pbot2 = (0.9*std::min((model_.PSTI_i),(model_.PGAT_i)));
        vbibot2r = ((model_.VBIRSTI_i)+(model_.VBIRGAT_i));
      }
      if ((LSSOURCE_i==0))
      {
        vbisti2 = ((model_.vbibot)+(model_.vbigat));
        psti2 = (0.9*std::min((model_.PBOT_i),(model_.PGAT_i)));
        vbisti2r = ((model_.VBIRBOT_i)+(model_.VBIRGAT_i));
      }
      if ((LGSOURCE_i==0))
      {
        vbigat2 = ((model_.vbibot)+(model_.vbisti));
        pgat2 = (0.9*std::min((model_.PBOT_i),(model_.PSTI_i)));
        vbigat2r = ((model_.VBIRBOT_i)+(model_.VBIRSTI_i));
      }
      vbimin_s = std::min(std::min(vbibot2,vbisti2),vbigat2);
      vch_s = (vbimin_s*0.1);
      pmax = std::max(std::max(pbot2,psti2),pgat2);
      vfmin_s = (vbimin_s*(1-pow(2,((-1.0)/pmax))));
      vbbtlim_s = (std::min(std::min(vbibot2r,vbisti2r),vbigat2r)-0.050);
      (model_.CJORBOT_i) = (model_.CJORBOTD_i);
      (model_.CJORSTI_i) = (model_.CJORSTID_i);
      (model_.CJORGAT_i) = (model_.CJORGATD_i);
      (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
      (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
      (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
      (model_.PBOT_i) = (model_.PBOTD_i);
      (model_.PSTI_i) = (model_.PSTID_i);
      (model_.PGAT_i) = (model_.PGATD_i);
      (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
      (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
      (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
      (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
      (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
      (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
      (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
      (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
      (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
      (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
      (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
      (model_.CTATBOT_i) = (model_.CTATBOTD_i);
      (model_.CTATSTI_i) = (model_.CTATSTID_i);
      (model_.CTATGAT_i) = (model_.CTATGATD_i);
      (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
      (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
      (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
      (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
      (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
      (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
      (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
      (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
      (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
      (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
      (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
      (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
      (model_.VBRBOT_i) = (model_.VBRBOTD_i);
      (model_.VBRSTI_i) = (model_.VBRSTID_i);
      (model_.VBRGAT_i) = (model_.VBRGATD_i);
      (model_.PBRBOT_i) = (model_.PBRBOTD_i);
      (model_.PBRSTI_i) = (model_.PBRSTID_i);
      (model_.PBRGAT_i) = (model_.PBRGATD_i);
      (model_.VJUNREF_i) = (model_.VJUNREFD_i);
      (model_.FJUNQ_i) = (model_.FJUNQD_i);
      (model_.phigrbot) = (model_.phigrbot_d);
      (model_.phigrsti) = (model_.phigrsti_d);
      (model_.phigrgat) = (model_.phigrgat_d);
      (model_.phigdbot) = (model_.phigdbot_d);
      (model_.phigdsti) = (model_.phigdsti_d);
      (model_.phigdgat) = (model_.phigdgat_d);
      (model_.ftdbot) = (model_.ftdbot_d);
      (model_.ftdsti) = (model_.ftdsti_d);
      (model_.ftdgat) = (model_.ftdgat_d);
      (model_.idsatbot) = (model_.idsatbot_d);
      (model_.idsatsti) = (model_.idsatsti_d);
      (model_.idsatgat) = (model_.idsatgat_d);
      (model_.ubibot) = (model_.ubibot_d);
      (model_.ubisti) = (model_.ubisti_d);
      (model_.ubigat) = (model_.ubigat_d);
      (model_.vbibot) = (model_.vbibot_d);
      (model_.vbisti) = (model_.vbisti_d);
      (model_.vbigat) = (model_.vbigat_d);
      (model_.vbiinvbot) = (model_.vbiinvbot_d);
      (model_.vbiinvsti) = (model_.vbiinvsti_d);
      (model_.vbiinvgat) = (model_.vbiinvgat_d);
      (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
      (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
      (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
      (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
      (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
      (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
      (model_.cjobot) = (model_.cjobot_d);
      (model_.cjosti) = (model_.cjosti_d);
      (model_.cjogat) = (model_.cjogat_d);
      (model_.qprefbot) = (model_.qprefbot_d);
      (model_.qprefsti) = (model_.qprefsti_d);
      (model_.qprefgat) = (model_.qprefgat_d);
      (model_.qpref2bot) = (model_.qpref2bot_d);
      (model_.qpref2sti) = (model_.qpref2sti_d);
      (model_.qpref2gat) = (model_.qpref2gat_d);
      (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
      (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
      (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
      (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
      (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
      (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
      (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
      (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
      (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
      (model_.deltaEbot) = (model_.deltaEbot_d);
      (model_.deltaEsti) = (model_.deltaEsti_d);
      (model_.deltaEgat) = (model_.deltaEgat_d);
      (model_.atatbot) = (model_.atatbot_d);
      (model_.atatsti) = (model_.atatsti_d);
      (model_.atatgat) = (model_.atatgat_d);
      (model_.btatpartbot) = (model_.btatpartbot_d);
      (model_.btatpartsti) = (model_.btatpartsti_d);
      (model_.btatpartgat) = (model_.btatpartgat_d);
      (model_.fbbtbot) = (model_.fbbtbot_d);
      (model_.fbbtsti) = (model_.fbbtsti_d);
      (model_.fbbtgat) = (model_.fbbtgat_d);
      (model_.fbbtbot) = (model_.fbbtbot_d);
      (model_.fbbtsti) = (model_.fbbtsti_d);
      (model_.fbbtgat) = (model_.fbbtgat_d);
      (model_.fstopbot) = (model_.fstopbot_d);
      (model_.fstopsti) = (model_.fstopsti_d);
      (model_.fstopgat) = (model_.fstopgat_d);
      (model_.VBRinvbot) = (model_.VBRinvbot_d);
      (model_.VBRinvsti) = (model_.VBRinvsti_d);
      (model_.VBRinvgat) = (model_.VBRinvgat_d);
      (model_.slopebot) = (model_.slopebot_d);
      (model_.slopesti) = (model_.slopesti_d);
      (model_.slopegat) = (model_.slopegat_d);
      if ((((model_.idsatbot)*ABDRAIN_i)>0))
      {
        vmaxbot = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatbot)*ABDRAIN_i))+1)));
      }
      else
      {
        vmaxbot = 1E8;
      }
      if ((((model_.idsatsti)*LSDRAIN_i)>0))
      {
        vmaxsti = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatsti)*LSDRAIN_i))+1)));
      }
      else
      {
        vmaxsti = 1E8;
      }
      if ((((model_.idsatgat)*LGDRAIN_i)>0))
      {
        vmaxgat = ((model_.phitd)*log((((model_.IMAX_i)/((model_.idsatgat)*LGDRAIN_i))+1)));
      }
      else
      {
        vmaxgat = 1E8;
      }
      VMAX_d = std::min(std::min(vmaxbot,vmaxsti),vmaxgat);
      if ((fabs((VMAX_d*(model_.phitdinv)))<2.3025850929940458e+02))
      {
        exp_VMAX_over_phitd_d = exp((VMAX_d*(model_.phitdinv)));
      }
      else
      {
        if (((VMAX_d*(model_.phitdinv))<(-2.3025850929940458e+02)))
        {
          exp_VMAX_over_phitd_d = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(VMAX_d*(model_.phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(VMAX_d*(model_.phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(VMAX_d*(model_.phitdinv)))*3.3333333333333333e-01))))))));
        }
        else
        {
          exp_VMAX_over_phitd_d = (1.0e100*(1.0+(((VMAX_d*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((VMAX_d*(model_.phitdinv))-2.3025850929940458e+02)*(1.0+(((VMAX_d*(model_.phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
        }
      }
      vbibot2 = (model_.vbibot);
      vbisti2 = (model_.vbisti);
      vbigat2 = (model_.vbigat);
      pbot2 = (model_.PBOT_i);
      psti2 = (model_.PSTI_i);
      pgat2 = (model_.PGAT_i);
      vbibot2r = (model_.VBIRBOT_i);
      vbisti2r = (model_.VBIRSTI_i);
      vbigat2r = (model_.VBIRGAT_i);
      if ((ABDRAIN_i==0))
      {
        vbibot2 = ((model_.vbisti)+(model_.vbigat));
        pbot2 = (0.9*std::min((model_.PSTI_i),(model_.PGAT_i)));
        vbibot2r = ((model_.VBIRSTI_i)+(model_.VBIRGAT_i));
      }
      if ((LSDRAIN_i==0))
      {
        vbisti2 = ((model_.vbibot)+(model_.vbigat));
        psti2 = (0.9*std::min((model_.PBOT_i),(model_.PGAT_i)));
        vbisti2r = ((model_.VBIRBOT_i)+(model_.VBIRGAT_i));
      }
      if ((LGDRAIN_i==0))
      {
        vbigat2 = ((model_.vbibot)+(model_.vbisti));
        pgat2 = (0.9*std::min((model_.PBOT_i),(model_.PSTI_i)));
        vbigat2r = ((model_.VBIRBOT_i)+(model_.VBIRSTI_i));
      }
      vbimin_d = std::min(std::min(vbibot2,vbisti2),vbigat2);
      vch_d = (vbimin_d*0.1);
      pmax = std::max(std::max(pbot2,psti2),pgat2);
      vfmin_d = (vbimin_d*(1-pow(2,((-1.0)/pmax))));
      vbbtlim_d = (std::min(std::min(vbibot2r,vbisti2r),vbigat2r)-0.050);
      if (((model_.SWJUNEXP_i)==1))
        //Begin block JUNCAPexpressInit
      {
        //Block-local variables for block JUNCAPexpressInit
        double ysq;
        double terfc;
        double erfcpos;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double h1;
        double h2;
        double h2d;
        double h3;
        double h4;
        double h5;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double idmult;
        double vj;
        double z;
        double zinv;
        double two_psistar;
        double vjlim;
        double vjsrh;
        double vbbt;
        double vav;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double tmp;
        double id;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double isrh;
        double vbi_minus_vjsrh;
        double wsrhstep;
        double dwsrh;
        double wsrh;
        double wdep;
        double asrh;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double itat;
        double btat;
        double twoatatoverthreebtat;
        double umaxbeforelimiting;
        double umax;
        double sqrtumax;
        double umaxpoweronepointfive;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double wgamma;
        double wtat;
        double ktat;
        double ltat;
        double mtat;
        double xerfc;
        double erfctimesexpmtat;
        double gammamax;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double ibbt;
        double Fmaxr;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double fbreakdown;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        double ijunbot;
        double ijunsti;
        double ijungat;
        double qjunbot;
        double qjunsti;
        double qjungat;
        //End of Block-local variables
        ysq = 0.0;
        terfc = 0.0;
        erfcpos = 0.0;
        h1 = 0.0;
        h2 = 0.0;
        h2d = 0.0;
        h3 = 0.0;
        h4 = 0.0;
        h5 = 0.0;
        idmult = 0.0;
        vj = 0.0;
        z = 0.0;
        zinv = 0.0;
        two_psistar = 0.0;
        vjlim = 0.0;
        vjsrh = 0.0;
        vbbt = 0.0;
        vav = 0.0;
        tmp = 0.0;
        id = 0.0;
        isrh = 0.0;
        vbi_minus_vjsrh = 0.0;
        wsrhstep = 0.0;
        dwsrh = 0.0;
        wsrh = 0.0;
        wdep = 0.0;
        asrh = 0.0;
        itat = 0.0;
        btat = 0.0;
        twoatatoverthreebtat = 0.0;
        umaxbeforelimiting = 0.0;
        umax = 0.0;
        sqrtumax = 0.0;
        umaxpoweronepointfive = 0.0;
        wgamma = 0.0;
        wtat = 0.0;
        ktat = 0.0;
        ltat = 0.0;
        mtat = 0.0;
        xerfc = 0.0;
        erfctimesexpmtat = 0.0;
        gammamax = 0.0;
        ibbt = 0.0;
        Fmaxr = 0.0;
        fbreakdown = 0.0;
        qjunbot = 0.0;
        qjunsti = 0.0;
        qjungat = 0.0;
        (model_.CJORBOT_i) = (model_.CJORBOTS_i);
        (model_.CJORSTI_i) = (model_.CJORSTIS_i);
        (model_.CJORGAT_i) = (model_.CJORGATS_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
        (model_.PBOT_i) = (model_.PBOTS_i);
        (model_.PSTI_i) = (model_.PSTIS_i);
        (model_.PGAT_i) = (model_.PGATS_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
        (model_.CTATBOT_i) = (model_.CTATBOTS_i);
        (model_.CTATSTI_i) = (model_.CTATSTIS_i);
        (model_.CTATGAT_i) = (model_.CTATGATS_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
        (model_.VBRBOT_i) = (model_.VBRBOTS_i);
        (model_.VBRSTI_i) = (model_.VBRSTIS_i);
        (model_.VBRGAT_i) = (model_.VBRGATS_i);
        (model_.PBRBOT_i) = (model_.PBRBOTS_i);
        (model_.PBRSTI_i) = (model_.PBRSTIS_i);
        (model_.PBRGAT_i) = (model_.PBRGATS_i);
        (model_.VJUNREF_i) = (model_.VJUNREFS_i);
        (model_.FJUNQ_i) = (model_.FJUNQS_i);
        (model_.phigrbot) = (model_.phigrbot_s);
        (model_.phigrsti) = (model_.phigrsti_s);
        (model_.phigrgat) = (model_.phigrgat_s);
        (model_.phigdbot) = (model_.phigdbot_s);
        (model_.phigdsti) = (model_.phigdsti_s);
        (model_.phigdgat) = (model_.phigdgat_s);
        (model_.ftdbot) = (model_.ftdbot_s);
        (model_.ftdsti) = (model_.ftdsti_s);
        (model_.ftdgat) = (model_.ftdgat_s);
        (model_.idsatbot) = (model_.idsatbot_s);
        (model_.idsatsti) = (model_.idsatsti_s);
        (model_.idsatgat) = (model_.idsatgat_s);
        (model_.ubibot) = (model_.ubibot_s);
        (model_.ubisti) = (model_.ubisti_s);
        (model_.ubigat) = (model_.ubigat_s);
        (model_.vbibot) = (model_.vbibot_s);
        (model_.vbisti) = (model_.vbisti_s);
        (model_.vbigat) = (model_.vbigat_s);
        (model_.vbiinvbot) = (model_.vbiinvbot_s);
        (model_.vbiinvsti) = (model_.vbiinvsti_s);
        (model_.vbiinvgat) = (model_.vbiinvgat_s);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
        (model_.cjobot) = (model_.cjobot_s);
        (model_.cjosti) = (model_.cjosti_s);
        (model_.cjogat) = (model_.cjogat_s);
        (model_.qprefbot) = (model_.qprefbot_s);
        (model_.qprefsti) = (model_.qprefsti_s);
        (model_.qprefgat) = (model_.qprefgat_s);
        (model_.qpref2bot) = (model_.qpref2bot_s);
        (model_.qpref2sti) = (model_.qpref2sti_s);
        (model_.qpref2gat) = (model_.qpref2gat_s);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
        (model_.deltaEbot) = (model_.deltaEbot_s);
        (model_.deltaEsti) = (model_.deltaEsti_s);
        (model_.deltaEgat) = (model_.deltaEgat_s);
        (model_.atatbot) = (model_.atatbot_s);
        (model_.atatsti) = (model_.atatsti_s);
        (model_.atatgat) = (model_.atatgat_s);
        (model_.btatpartbot) = (model_.btatpartbot_s);
        (model_.btatpartsti) = (model_.btatpartsti_s);
        (model_.btatpartgat) = (model_.btatpartgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fstopbot) = (model_.fstopbot_s);
        (model_.fstopsti) = (model_.fstopsti_s);
        (model_.fstopgat) = (model_.fstopgat_s);
        (model_.VBRinvbot) = (model_.VBRinvbot_s);
        (model_.VBRinvsti) = (model_.VBRinvsti_s);
        (model_.VBRinvgat) = (model_.VBRinvgat_s);
        (model_.slopebot) = (model_.slopebot_s);
        (model_.slopesti) = (model_.slopesti_s);
        (model_.slopegat) = (model_.slopegat_s);
        FRACNA = 0.4;
        FRACNB = 0.65;
        FRACI = 0.8;
        V1 = ((-FRACNA)*(model_.VJUNREF_i));
        V2 = ((-FRACNB)*(model_.VJUNREF_i));
        V3 = ((-FRACI)*(model_.VJUNREF_i));
        V4 = 0.1;
        V5 = 0.2;
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V1+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V1*vfmin_s)/(h3+h5)));
          if ((V1<VMAX_s))
          {
            if ((fabs((0.5*(V1*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V1*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V1*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V1-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V1>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V1)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V1+vjlim)-sqrt((((V1-vjlim)*(V1-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V1+vbbtlim_s)-sqrt((((V1-vbbtlim_s)*(V1-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V1)-sqrt((((V1)*(V1))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V1-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V1-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V1-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I1 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V2+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V2*vfmin_s)/(h3+h5)));
          if ((V2<VMAX_s))
          {
            if ((fabs((0.5*(V2*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V2*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V2*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V2-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V2>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V2)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V2+vjlim)-sqrt((((V2-vjlim)*(V2-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V2+vbbtlim_s)-sqrt((((V2-vbbtlim_s)*(V2-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V2)-sqrt((((V2)*(V2))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V2-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V2-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V2-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I2 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V3+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V3*vfmin_s)/(h3+h5)));
          if ((V3<VMAX_s))
          {
            if ((fabs((0.5*(V3*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V3*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V3*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V3-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V3>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V3)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V3+vjlim)-sqrt((((V3-vjlim)*(V3-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V3+vbbtlim_s)-sqrt((((V3-vbbtlim_s)*(V3-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V3)-sqrt((((V3)*(V3))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V3-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V3-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V3-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I3 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V4+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V4*vfmin_s)/(h3+h5)));
          if ((V4<VMAX_s))
          {
            if ((fabs((0.5*(V4*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V4*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V4*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V4-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V4>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V4)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V4+vjlim)-sqrt((((V4-vjlim)*(V4-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V4+vbbtlim_s)-sqrt((((V4-vbbtlim_s)*(V4-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V4)-sqrt((((V4)*(V4))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V4-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V4-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V4-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I4 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (V5+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V5*vfmin_s)/(h3+h5)));
          if ((V5<VMAX_s))
          {
            if ((fabs((0.5*(V5*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V5*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V5*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V5-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V5>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V5)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((V5+vjlim)-sqrt((((V5-vjlim)*(V5-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V5+vbbtlim_s)-sqrt((((V5-vbbtlim_s)*(V5-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V5)-sqrt((((V5)*(V5))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V5-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V5-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V5-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I5 = (((ABSOURCE_i*ijunbot)+(LSSOURCE_i*ijunsti))+(LGSOURCE_i*ijungat));
        ISATFOR1_s = (((ABSOURCE_i*(model_.idsatbot))+(LSSOURCE_i*(model_.idsatsti)))+(LGSOURCE_i*(model_.idsatgat)));
        I4_cor = (I4-(ISATFOR1_s*(exp(((V4*(model_.phitdinv))*MFOR1_s))-1.0)));
        I5_cor = (I5-(ISATFOR1_s*(exp(((V5*(model_.phitdinv))*MFOR1_s))-1.0)));
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          if (((I4>0)&&(I5>0)))
          {
            if ((((((I4_cor/I4)>0.001)||((I5_cor/I5)>0.001))&&(I4_cor>0))&&(I5_cor>0)))
            {
              alphaje = (I4_cor/I5_cor);
              MFOR2_s = (((model_.phitd)*log(alphaje))/(V4-V5));
              ISATFOR2_s = (I4_cor/(exp(((V4*(model_.phitdinv))*MFOR2_s))-1));
            }
          }
          I1_cor = ((I1-(ISATFOR1_s*(exp(((V1*(model_.phitdinv))*MFOR1_s))-1.0)))-(ISATFOR2_s*(exp(((V1*(model_.phitdinv))*MFOR2_s))-1.0)));
          I2_cor = ((I2-(ISATFOR1_s*(exp(((V2*(model_.phitdinv))*MFOR1_s))-1.0)))-(ISATFOR2_s*(exp(((V2*(model_.phitdinv))*MFOR2_s))-1.0)));
          I3_cor = ((I3-(ISATFOR1_s*(exp(((V3*(model_.phitdinv))*MFOR1_s))-1.0)))-(ISATFOR2_s*(exp(((V3*(model_.phitdinv))*MFOR2_s))-1.0)));
          if ((((I1<0)&&(I2<0))&&(I3<0)))
          {
            if ((((((((I1_cor/I1)>0.001)||((I2_cor/I2)>0.001))||((I3_cor/I3)>0.001))&&(I1_cor<0))&&(I2_cor<0))&&(I3_cor<0)))
            {
              alphaje = (I1_cor/I2_cor);
              m0_rev = (((-(model_.phitd))*log(alphaje))/(V1-V2));
              tt0 = (V2/(V2-V1));
              tt1 = (((model_.phitd)*(alphaje-1))*(pow(alphaje,tt0)-1));
              tt0 = (V1/(V1-V2));
              tt2 = (((pow(alphaje,tt0)*(V2-V1))+(alphaje*V1))-V2);
              mcor_rev = (tt1/tt2);
              MREV_s = (m0_rev+mcor_rev);
              if ((fabs(((V3*(model_.phitdinv))*MREV_s))<1e-6))
              {
                m0flag_s = 1.0;
                ISATREV_s = (I3_cor*((1/V3)+((0.5*(model_.phitdinv))*MREV_s)));
                MREV_s = (((((-0.5)*I3_cor)*MREV_s)*(model_.phitdinv))/V3);
              }
              else
              {
                m0flag_s = 0.0;
                ISATREV_s = ((-I3_cor)/(exp((((-V3)*(model_.phitdinv))*MREV_s))-1));
              }
            }
          }
        }
        zfrac = ((model_.FJUNQ_i)*(((ABSOURCE_i*(model_.cjobot))+(LSSOURCE_i*(model_.cjosti)))+(LGSOURCE_i*(model_.cjogat))));
        if (((ABSOURCE_i*(model_.cjobot))<=zfrac))
        {
          zflagbot_s = 0.0;
        }
        if (((LSSOURCE_i*(model_.cjosti))<=zfrac))
        {
          zflagsti_s = 0.0;
        }
        if (((LGSOURCE_i*(model_.cjogat))<=zfrac))
        {
          zflaggat_s = 0.0;
        }
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          xhighf1_s = log(((0.5*(model_.IMAX_i))/(ISATFOR1_s+1e-21)));
          xhighf2_s = log(((0.5*(model_.IMAX_i))/(ISATFOR2_s+1e-21)));
          xhighr_s = log(((0.5*(model_.IMAX_i))/(fabs(ISATREV_s)+1e-21)));
        }
        xhighf1_s = std::min(xhighf1_s,static_cast<double>(2.3025850929940458e+02));
        expxhf1_s = exp(xhighf1_s);
        xhighf2_s = std::min(xhighf2_s,static_cast<double>(2.3025850929940458e+02));
        expxhf2_s = exp(xhighf2_s);
        xhighr_s = std::min(xhighr_s,static_cast<double>(2.3025850929940458e+02));
        expxhr_s = exp(xhighr_s);
        (model_.CJORBOT_i) = (model_.CJORBOTD_i);
        (model_.CJORSTI_i) = (model_.CJORSTID_i);
        (model_.CJORGAT_i) = (model_.CJORGATD_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
        (model_.PBOT_i) = (model_.PBOTD_i);
        (model_.PSTI_i) = (model_.PSTID_i);
        (model_.PGAT_i) = (model_.PGATD_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
        (model_.CTATBOT_i) = (model_.CTATBOTD_i);
        (model_.CTATSTI_i) = (model_.CTATSTID_i);
        (model_.CTATGAT_i) = (model_.CTATGATD_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
        (model_.VBRBOT_i) = (model_.VBRBOTD_i);
        (model_.VBRSTI_i) = (model_.VBRSTID_i);
        (model_.VBRGAT_i) = (model_.VBRGATD_i);
        (model_.PBRBOT_i) = (model_.PBRBOTD_i);
        (model_.PBRSTI_i) = (model_.PBRSTID_i);
        (model_.PBRGAT_i) = (model_.PBRGATD_i);
        (model_.VJUNREF_i) = (model_.VJUNREFD_i);
        (model_.FJUNQ_i) = (model_.FJUNQD_i);
        (model_.phigrbot) = (model_.phigrbot_d);
        (model_.phigrsti) = (model_.phigrsti_d);
        (model_.phigrgat) = (model_.phigrgat_d);
        (model_.phigdbot) = (model_.phigdbot_d);
        (model_.phigdsti) = (model_.phigdsti_d);
        (model_.phigdgat) = (model_.phigdgat_d);
        (model_.ftdbot) = (model_.ftdbot_d);
        (model_.ftdsti) = (model_.ftdsti_d);
        (model_.ftdgat) = (model_.ftdgat_d);
        (model_.idsatbot) = (model_.idsatbot_d);
        (model_.idsatsti) = (model_.idsatsti_d);
        (model_.idsatgat) = (model_.idsatgat_d);
        (model_.ubibot) = (model_.ubibot_d);
        (model_.ubisti) = (model_.ubisti_d);
        (model_.ubigat) = (model_.ubigat_d);
        (model_.vbibot) = (model_.vbibot_d);
        (model_.vbisti) = (model_.vbisti_d);
        (model_.vbigat) = (model_.vbigat_d);
        (model_.vbiinvbot) = (model_.vbiinvbot_d);
        (model_.vbiinvsti) = (model_.vbiinvsti_d);
        (model_.vbiinvgat) = (model_.vbiinvgat_d);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
        (model_.cjobot) = (model_.cjobot_d);
        (model_.cjosti) = (model_.cjosti_d);
        (model_.cjogat) = (model_.cjogat_d);
        (model_.qprefbot) = (model_.qprefbot_d);
        (model_.qprefsti) = (model_.qprefsti_d);
        (model_.qprefgat) = (model_.qprefgat_d);
        (model_.qpref2bot) = (model_.qpref2bot_d);
        (model_.qpref2sti) = (model_.qpref2sti_d);
        (model_.qpref2gat) = (model_.qpref2gat_d);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
        (model_.deltaEbot) = (model_.deltaEbot_d);
        (model_.deltaEsti) = (model_.deltaEsti_d);
        (model_.deltaEgat) = (model_.deltaEgat_d);
        (model_.atatbot) = (model_.atatbot_d);
        (model_.atatsti) = (model_.atatsti_d);
        (model_.atatgat) = (model_.atatgat_d);
        (model_.btatpartbot) = (model_.btatpartbot_d);
        (model_.btatpartsti) = (model_.btatpartsti_d);
        (model_.btatpartgat) = (model_.btatpartgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fstopbot) = (model_.fstopbot_d);
        (model_.fstopsti) = (model_.fstopsti_d);
        (model_.fstopgat) = (model_.fstopgat_d);
        (model_.VBRinvbot) = (model_.VBRinvbot_d);
        (model_.VBRinvsti) = (model_.VBRinvsti_d);
        (model_.VBRinvgat) = (model_.VBRinvgat_d);
        (model_.slopebot) = (model_.slopebot_d);
        (model_.slopesti) = (model_.slopesti_d);
        (model_.slopegat) = (model_.slopegat_d);
        FRACNA = 0.4;
        FRACNB = 0.65;
        FRACI = 0.8;
        V1 = ((-FRACNA)*(model_.VJUNREF_i));
        V2 = ((-FRACNB)*(model_.VJUNREF_i));
        V3 = ((-FRACI)*(model_.VJUNREF_i));
        V4 = 0.1;
        V5 = 0.2;
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V1+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V1*vfmin_d)/(h3+h5)));
          if ((V1<VMAX_d))
          {
            if ((fabs((0.5*(V1*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V1*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V1*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V1*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V1-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V1>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V1)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V1+vjlim)-sqrt((((V1-vjlim)*(V1-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V1+vbbtlim_d)-sqrt((((V1-vbbtlim_d)*(V1-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V1)-sqrt((((V1)*(V1))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V1-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V1-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V1-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I1 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V2+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V2*vfmin_d)/(h3+h5)));
          if ((V2<VMAX_d))
          {
            if ((fabs((0.5*(V2*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V2*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V2*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V2*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V2-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V2>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V2)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V2+vjlim)-sqrt((((V2-vjlim)*(V2-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V2+vbbtlim_d)-sqrt((((V2-vbbtlim_d)*(V2-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V2)-sqrt((((V2)*(V2))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V2-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V2-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V2-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I2 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V3+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V3*vfmin_d)/(h3+h5)));
          if ((V3<VMAX_d))
          {
            if ((fabs((0.5*(V3*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V3*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V3*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V3*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V3-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V3>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V3)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V3+vjlim)-sqrt((((V3-vjlim)*(V3-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V3+vbbtlim_d)-sqrt((((V3-vbbtlim_d)*(V3-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V3)-sqrt((((V3)*(V3))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V3-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V3-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V3-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I3 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V4+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V4*vfmin_d)/(h3+h5)));
          if ((V4<VMAX_d))
          {
            if ((fabs((0.5*(V4*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V4*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V4*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V4*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V4-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V4>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V4)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V4+vjlim)-sqrt((((V4-vjlim)*(V4-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V4+vbbtlim_d)-sqrt((((V4-vbbtlim_d)*(V4-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V4)-sqrt((((V4)*(V4))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V4-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V4-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V4-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I4 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (V5+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V5*vfmin_d)/(h3+h5)));
          if ((V5<VMAX_d))
          {
            if ((fabs((0.5*(V5*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V5*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(V5*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(V5*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V5-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V5>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V5)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((V5+vjlim)-sqrt((((V5-vjlim)*(V5-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((V5+vbbtlim_d)-sqrt((((V5-vbbtlim_d)*(V5-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((V5)-sqrt((((V5)*(V5))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(V5-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(V5-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(V5-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I5 = (((ABDRAIN_i*ijunbot)+(LSDRAIN_i*ijunsti))+(LGDRAIN_i*ijungat));
        ISATFOR1_d = (((ABDRAIN_i*(model_.idsatbot))+(LSDRAIN_i*(model_.idsatsti)))+(LGDRAIN_i*(model_.idsatgat)));
        I4_cor = (I4-(ISATFOR1_d*(exp(((V4*(model_.phitdinv))*MFOR1_d))-1.0)));
        I5_cor = (I5-(ISATFOR1_d*(exp(((V5*(model_.phitdinv))*MFOR1_d))-1.0)));
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          if (((I4>0)&&(I5>0)))
          {
            if ((((((I4_cor/I4)>0.001)||((I5_cor/I5)>0.001))&&(I4_cor>0))&&(I5_cor>0)))
            {
              alphaje = (I4_cor/I5_cor);
              MFOR2_d = (((model_.phitd)*log(alphaje))/(V4-V5));
              ISATFOR2_d = (I4_cor/(exp(((V4*(model_.phitdinv))*MFOR2_d))-1));
            }
          }
          I1_cor = ((I1-(ISATFOR1_d*(exp(((V1*(model_.phitdinv))*MFOR1_d))-1.0)))-(ISATFOR2_d*(exp(((V1*(model_.phitdinv))*MFOR2_d))-1.0)));
          I2_cor = ((I2-(ISATFOR1_d*(exp(((V2*(model_.phitdinv))*MFOR1_d))-1.0)))-(ISATFOR2_d*(exp(((V2*(model_.phitdinv))*MFOR2_d))-1.0)));
          I3_cor = ((I3-(ISATFOR1_d*(exp(((V3*(model_.phitdinv))*MFOR1_d))-1.0)))-(ISATFOR2_d*(exp(((V3*(model_.phitdinv))*MFOR2_d))-1.0)));
          if ((((I1<0)&&(I2<0))&&(I3<0)))
          {
            if ((((((((I1_cor/I1)>0.001)||((I2_cor/I2)>0.001))||((I3_cor/I3)>0.001))&&(I1_cor<0))&&(I2_cor<0))&&(I3_cor<0)))
            {
              alphaje = (I1_cor/I2_cor);
              m0_rev = (((-(model_.phitd))*log(alphaje))/(V1-V2));
              tt0 = (V2/(V2-V1));
              tt1 = (((model_.phitd)*(alphaje-1))*(pow(alphaje,tt0)-1));
              tt0 = (V1/(V1-V2));
              tt2 = (((pow(alphaje,tt0)*(V2-V1))+(alphaje*V1))-V2);
              mcor_rev = (tt1/tt2);
              MREV_d = (m0_rev+mcor_rev);
              if ((fabs(((V3*(model_.phitdinv))*MREV_d))<1e-6))
              {
                m0flag_d = 1.0;
                ISATREV_d = (I3_cor*((1/V3)+((0.5*(model_.phitdinv))*MREV_d)));
                MREV_d = (((((-0.5)*I3_cor)*MREV_d)*(model_.phitdinv))/V3);
              }
              else
              {
                m0flag_d = 0.0;
                ISATREV_d = ((-I3_cor)/(exp((((-V3)*(model_.phitdinv))*MREV_d))-1));
              }
            }
          }
        }
        zfrac = ((model_.FJUNQ_i)*(((ABDRAIN_i*(model_.cjobot))+(LSDRAIN_i*(model_.cjosti)))+(LGDRAIN_i*(model_.cjogat))));
        if (((ABDRAIN_i*(model_.cjobot))<=zfrac))
        {
          zflagbot_d = 0.0;
        }
        if (((LSDRAIN_i*(model_.cjosti))<=zfrac))
        {
          zflagsti_d = 0.0;
        }
        if (((LGDRAIN_i*(model_.cjogat))<=zfrac))
        {
          zflaggat_d = 0.0;
        }
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          xhighf1_d = log(((0.5*(model_.IMAX_i))/(ISATFOR1_d+1e-21)));
          xhighf2_d = log(((0.5*(model_.IMAX_i))/(ISATFOR2_d+1e-21)));
          xhighr_d = log(((0.5*(model_.IMAX_i))/(fabs(ISATREV_d)+1e-21)));
        }
        xhighf1_d = std::min(xhighf1_d,static_cast<double>(2.3025850929940458e+02));
        expxhf1_d = exp(xhighf1_d);
        xhighf2_d = std::min(xhighf2_d,static_cast<double>(2.3025850929940458e+02));
        expxhf2_d = exp(xhighf2_d);
        xhighr_d = std::min(xhighr_d,static_cast<double>(2.3025850929940458e+02));
        expxhr_d = exp(xhighr_d);
      }
      // End block JUNCAPexpressInit
    }
  }
  // End block initial_instance


  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::Instance
// Purpose       : "instance block" constructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------

Instance::Instance(
   const Configuration & configuration,
   const InstanceBlock & instance_block,
   Model &               model,
   const FactoryBlock &  factory_block)
  : DeviceInstance(instance_block, configuration.getInstanceParameters(), factory_block),
    model_(model),
    L(10e-6),
    W(10e-6),
    SA(0.0),
    SB(0.0),
    SD(0.0),
    SCA(0.0),
    SCB(0.0),
    SCC(0.0),
    SC(0.0),
    NF(1.0),
    NGCON(1.0),
    XGW(1.0E-7),
    NRS(0.0),
    NRD(0.0),
    JW(1E-6),
    DELVTO(0.0),
    FACTUO(1.0),
    ABSOURCE(1E-12),
    LSSOURCE(1E-6),
    LGSOURCE(1E-6),
    ABDRAIN(1E-12),
    LSDRAIN(1E-6),
    LGDRAIN(1E-6),
    AS(1E-12),
    PS(1E-6),
    AD(1E-12),
    PD(1E-6),
    MULT(1.0),
    VFB_i(0.0),
    GFACNUD_i(0.0),
    VNSUB_i(0.0),
    NSLP_i(0.0),
    DNSUB_i(0.0),
    CF_i(0.0),
    CFB_i(0.0),
    MUE_i(0.0),
    THEMU_i(0.0),
    CS_i(0.0),
    XCOR_i(0.0),
    THER_i(0.0),
    RSB_i(0.0),
    RSG_i(0.0),
    THESAT_i(0.0),
    THESATB_i(0.0),
    THESATG_i(0.0),
    AX_i(0.0),
    ALP_i(0.0),
    ALP1_i(0.0),
    ALP2_i(0.0),
    A1_i(0.0),
    A2_i(0.0),
    A3_i(0.0),
    A4_i(0.0),
    IGINV_i(0.0),
    IGOV_i(0.0),
    IGOVD_i(0.0),
    GC2_i(0.0),
    GC3_i(0.0),
    CHIB_i(0.0),
    AGIDL_i(0.0),
    BGIDL_i(0.0),
    CGIDL_i(0.0),
    AGIDLD_i(0.0),
    BGIDLD_i(0.0),
    CGIDLD_i(0.0),
    COX_i(0.0),
    CGOV_i(0.0),
    CGOVD_i(0.0),
    CGBOV_i(0.0),
    CFR_i(0.0),
    CFRD_i(0.0),
    MULT_i(0.0),
    BET_i(0.0),
    kp(0.0),
    qq(0.0),
    qlim2(0.0),
    E_eff0(0.0),
    eta_mu(0.0),
    eta_mu1(0.0),
    BCH(0.0),
    BOV(0.0),
    inv_CHIB(0.0),
    GCQ(0.0),
    Dch(0.0),
    Dov(0.0),
    x1(0.0),
    Vdsat_lim(0.0),
    GOV_s(0.0),
    GOV_d(0.0),
    GOV2_s(0.0),
    GOV2_d(0.0),
    BOV_d(0.0),
    xi_ov_s(0.0),
    xi_ov_d(0.0),
    inv_xi_ov_s(0.0),
    inv_xi_ov_d(0.0),
    x_mrg_ov_s(0.0),
    x_mrg_ov_d(0.0),
    inv_xg1_s(0.0),
    inv_xg1_d(0.0),
    phit1(0.0),
    inv_phit1(0.0),
    alpha_b(0.0),
    inv_VP(0.0),
    inv_AX(0.0),
    us1(0.0),
    us21(0.0),
    phib_dc(0.0),
    sqrt_phib_dc(0.0),
    G_0_dc(0.0),
    aphi_dc(0.0),
    bphi_dc(0.0),
    phix_dc(0.0),
    phix1_dc(0.0),
    phib_ac(0.0),
    sqrt_phib_ac(0.0),
    G_0_ac(0.0),
    aphi_ac(0.0),
    bphi_ac(0.0),
    phix_ac(0.0),
    phix1_ac(0.0),
    RG_i(0.0),
    RSE_i(0.0),
    RDE_i(0.0),
    RBULK_i(0.0),
    RWELL_i(0.0),
    RJUNS_i(0.0),
    RJUND_i(0.0),
    ggate(0.0),
    gsource(0.0),
    gdrain(0.0),
    gbulk(0.0),
    gwell(0.0),
    gjund(0.0),
    gjuns(0.0),
    tmpv(0.0),
    vjv(0.0),
    idmult(0.0),
    vj(0.0),
    zinv(0.0),
    vjsrh(0.0),
    vav(0.0),
    vbi_minus_vjsrh(0.0),
    wsrh(0.0),
    wdep(0.0),
    asrh(0.0),
    ABSOURCE_i(0.0),
    LSSOURCE_i(0.0),
    LGSOURCE_i(0.0),
    zflagbot_s(0.0),
    zflagsti_s(0.0),
    zflaggat_s(0.0),
    VMAX_s(0.0),
    exp_VMAX_over_phitd_s(0.0),
    vbimin_s(0.0),
    vch_s(0.0),
    vfmin_s(0.0),
    vbbtlim_s(0.0),
    ijunbot_s(0.0),
    qjunbot_s(0.0),
    ijunsti_s(0.0),
    qjunsti_s(0.0),
    ijungat_s(0.0),
    qjungat_s(0.0),
    ijun_s(0.0),
    qjun_s(0.0),
    xhighf1_s(0.0),
    expxhf1_s(0.0),
    xhighf2_s(0.0),
    expxhf2_s(0.0),
    xhighr_s(0.0),
    expxhr_s(0.0),
    m0flag_s(0.0),
    ISATFOR1_s(0.0),
    MFOR1_s(0.0),
    ISATFOR2_s(0.0),
    MFOR2_s(0.0),
    ISATREV_s(0.0),
    MREV_s(0.0),
    ABDRAIN_i(0.0),
    LSDRAIN_i(0.0),
    LGDRAIN_i(0.0),
    zflagbot_d(0.0),
    zflagsti_d(0.0),
    zflaggat_d(0.0),
    VMAX_d(0.0),
    exp_VMAX_over_phitd_d(0.0),
    vbimin_d(0.0),
    vch_d(0.0),
    vfmin_d(0.0),
    vbbtlim_d(0.0),
    ijunbot_d(0.0),
    qjunbot_d(0.0),
    ijunsti_d(0.0),
    qjunsti_d(0.0),
    ijungat_d(0.0),
    qjungat_d(0.0),
    ijun_d(0.0),
    qjun_d(0.0),
    xhighf1_d(0.0),
    expxhf1_d(0.0),
    xhighf2_d(0.0),
    expxhf2_d(0.0),
    xhighr_d(0.0),
    expxhr_d(0.0),
    m0flag_d(0.0),
    ISATFOR1_d(0.0),
    MFOR1_d(0.0),
    ISATFOR2_d(0.0),
    MFOR2_d(0.0),
    ISATREV_d(0.0),
    MREV_d(0.0),
    li_D(-1),
    li_G(-1),
    li_S(-1),
    li_B(-1),
    li_GP(-1),
    li_SI(-1),
    li_DI(-1),
    li_BI(-1),
    li_BP(-1),
    li_BS(-1),
    li_BD(-1),
    f_DI_Equ_SI_Node_Ptr(0),
    f_DI_Equ_BP_Node_Ptr(0),
    f_BP_Equ_SI_Node_Ptr(0),
    f_BP_Equ_BP_Node_Ptr(0),
    f_DI_Equ_GP_Node_Ptr(0),
    f_BP_Equ_GP_Node_Ptr(0),
    f_DI_Equ_DI_Node_Ptr(0),
    f_BP_Equ_DI_Node_Ptr(0),
    f_SI_Equ_SI_Node_Ptr(0),
    f_SI_Equ_BP_Node_Ptr(0),
    f_SI_Equ_GP_Node_Ptr(0),
    f_SI_Equ_DI_Node_Ptr(0),
    f_GP_Equ_SI_Node_Ptr(0),
    f_GP_Equ_BP_Node_Ptr(0),
    f_GP_Equ_DI_Node_Ptr(0),
    f_GP_Equ_GP_Node_Ptr(0),
    f_BS_Equ_SI_Node_Ptr(0),
    f_BS_Equ_BS_Node_Ptr(0),
    f_SI_Equ_BS_Node_Ptr(0),
    f_BS_Equ_DI_Node_Ptr(0),
    f_BS_Equ_BD_Node_Ptr(0),
    f_SI_Equ_BD_Node_Ptr(0),
    f_BD_Equ_SI_Node_Ptr(0),
    f_BD_Equ_BS_Node_Ptr(0),
    f_DI_Equ_BS_Node_Ptr(0),
    f_BD_Equ_DI_Node_Ptr(0),
    f_BD_Equ_BD_Node_Ptr(0),
    f_DI_Equ_BD_Node_Ptr(0),
    f_G_Equ_G_Node_Ptr(0),
    f_G_Equ_GP_Node_Ptr(0),
    f_GP_Equ_G_Node_Ptr(0),
    f_S_Equ_S_Node_Ptr(0),
    f_S_Equ_SI_Node_Ptr(0),
    f_SI_Equ_S_Node_Ptr(0),
    f_D_Equ_D_Node_Ptr(0),
    f_D_Equ_DI_Node_Ptr(0),
    f_DI_Equ_D_Node_Ptr(0),
    f_BP_Equ_BI_Node_Ptr(0),
    f_BI_Equ_BP_Node_Ptr(0),
    f_BI_Equ_BI_Node_Ptr(0),
    f_BS_Equ_BI_Node_Ptr(0),
    f_BI_Equ_BS_Node_Ptr(0),
    f_BD_Equ_BI_Node_Ptr(0),
    f_BI_Equ_BD_Node_Ptr(0),
    f_B_Equ_B_Node_Ptr(0),
    f_B_Equ_BI_Node_Ptr(0),
    f_BI_Equ_B_Node_Ptr(0),
    q_DI_Equ_SI_Node_Ptr(0),
    q_DI_Equ_BP_Node_Ptr(0),
    q_BP_Equ_SI_Node_Ptr(0),
    q_BP_Equ_BP_Node_Ptr(0),
    q_DI_Equ_GP_Node_Ptr(0),
    q_BP_Equ_GP_Node_Ptr(0),
    q_DI_Equ_DI_Node_Ptr(0),
    q_BP_Equ_DI_Node_Ptr(0),
    q_SI_Equ_SI_Node_Ptr(0),
    q_SI_Equ_BP_Node_Ptr(0),
    q_SI_Equ_GP_Node_Ptr(0),
    q_SI_Equ_DI_Node_Ptr(0),
    q_GP_Equ_SI_Node_Ptr(0),
    q_GP_Equ_BP_Node_Ptr(0),
    q_GP_Equ_DI_Node_Ptr(0),
    q_GP_Equ_GP_Node_Ptr(0),
    q_BS_Equ_SI_Node_Ptr(0),
    q_BS_Equ_BS_Node_Ptr(0),
    q_SI_Equ_BS_Node_Ptr(0),
    q_BS_Equ_DI_Node_Ptr(0),
    q_BS_Equ_BD_Node_Ptr(0),
    q_SI_Equ_BD_Node_Ptr(0),
    q_BD_Equ_SI_Node_Ptr(0),
    q_BD_Equ_BS_Node_Ptr(0),
    q_DI_Equ_BS_Node_Ptr(0),
    q_BD_Equ_DI_Node_Ptr(0),
    q_BD_Equ_BD_Node_Ptr(0),
    q_DI_Equ_BD_Node_Ptr(0),
    q_G_Equ_G_Node_Ptr(0),
    q_G_Equ_GP_Node_Ptr(0),
    q_GP_Equ_G_Node_Ptr(0),
    q_S_Equ_S_Node_Ptr(0),
    q_S_Equ_SI_Node_Ptr(0),
    q_SI_Equ_S_Node_Ptr(0),
    q_D_Equ_D_Node_Ptr(0),
    q_D_Equ_DI_Node_Ptr(0),
    q_DI_Equ_D_Node_Ptr(0),
    q_BP_Equ_BI_Node_Ptr(0),
    q_BI_Equ_BP_Node_Ptr(0),
    q_BI_Equ_BI_Node_Ptr(0),
    q_BS_Equ_BI_Node_Ptr(0),
    q_BI_Equ_BS_Node_Ptr(0),
    q_BD_Equ_BI_Node_Ptr(0),
    q_BI_Equ_BD_Node_Ptr(0),
    q_B_Equ_B_Node_Ptr(0),
    q_B_Equ_BI_Node_Ptr(0),
    q_BI_Equ_B_Node_Ptr(0),
    admsTemperature(getDeviceOptions().temp.getImmutableValue<double>())

{
  numIntVars = 7 + 0;
  numExtVars = 4;


  // Right now, we only have state for limited probes...
  numStateVars = 0;


  // Set up jacobian stamp:

  if (jacStamp.empty())
  {
    jacStamp.resize(11);
    jacStamp[admsNodeID_D].resize(2);
    jacStamp[admsNodeID_D][0] = admsNodeID_D;
    jacStamp[admsNodeID_D][1] = admsNodeID_DI;
    jacStamp[admsNodeID_G].resize(2);
    jacStamp[admsNodeID_G][0] = admsNodeID_G;
    jacStamp[admsNodeID_G][1] = admsNodeID_GP;
    jacStamp[admsNodeID_S].resize(2);
    jacStamp[admsNodeID_S][0] = admsNodeID_S;
    jacStamp[admsNodeID_S][1] = admsNodeID_SI;
    jacStamp[admsNodeID_B].resize(2);
    jacStamp[admsNodeID_B][0] = admsNodeID_B;
    jacStamp[admsNodeID_B][1] = admsNodeID_BI;
    jacStamp[admsNodeID_GP].resize(5);
    jacStamp[admsNodeID_GP][0] = admsNodeID_SI;
    jacStamp[admsNodeID_GP][1] = admsNodeID_BP;
    jacStamp[admsNodeID_GP][2] = admsNodeID_DI;
    jacStamp[admsNodeID_GP][3] = admsNodeID_GP;
    jacStamp[admsNodeID_GP][4] = admsNodeID_G;
    jacStamp[admsNodeID_SI].resize(7);
    jacStamp[admsNodeID_SI][0] = admsNodeID_SI;
    jacStamp[admsNodeID_SI][1] = admsNodeID_BP;
    jacStamp[admsNodeID_SI][2] = admsNodeID_GP;
    jacStamp[admsNodeID_SI][3] = admsNodeID_DI;
    jacStamp[admsNodeID_SI][4] = admsNodeID_BS;
    jacStamp[admsNodeID_SI][5] = admsNodeID_BD;
    jacStamp[admsNodeID_SI][6] = admsNodeID_S;
    jacStamp[admsNodeID_DI].resize(7);
    jacStamp[admsNodeID_DI][0] = admsNodeID_SI;
    jacStamp[admsNodeID_DI][1] = admsNodeID_BP;
    jacStamp[admsNodeID_DI][2] = admsNodeID_GP;
    jacStamp[admsNodeID_DI][3] = admsNodeID_DI;
    jacStamp[admsNodeID_DI][4] = admsNodeID_BS;
    jacStamp[admsNodeID_DI][5] = admsNodeID_BD;
    jacStamp[admsNodeID_DI][6] = admsNodeID_D;
    jacStamp[admsNodeID_BI].resize(5);
    jacStamp[admsNodeID_BI][0] = admsNodeID_BP;
    jacStamp[admsNodeID_BI][1] = admsNodeID_BI;
    jacStamp[admsNodeID_BI][2] = admsNodeID_BS;
    jacStamp[admsNodeID_BI][3] = admsNodeID_BD;
    jacStamp[admsNodeID_BI][4] = admsNodeID_B;
    jacStamp[admsNodeID_BP].resize(5);
    jacStamp[admsNodeID_BP][0] = admsNodeID_SI;
    jacStamp[admsNodeID_BP][1] = admsNodeID_BP;
    jacStamp[admsNodeID_BP][2] = admsNodeID_GP;
    jacStamp[admsNodeID_BP][3] = admsNodeID_DI;
    jacStamp[admsNodeID_BP][4] = admsNodeID_BI;
    jacStamp[admsNodeID_BS].resize(5);
    jacStamp[admsNodeID_BS][0] = admsNodeID_SI;
    jacStamp[admsNodeID_BS][1] = admsNodeID_BS;
    jacStamp[admsNodeID_BS][2] = admsNodeID_DI;
    jacStamp[admsNodeID_BS][3] = admsNodeID_BD;
    jacStamp[admsNodeID_BS][4] = admsNodeID_BI;
    jacStamp[admsNodeID_BD].resize(5);
    jacStamp[admsNodeID_BD][0] = admsNodeID_SI;
    jacStamp[admsNodeID_BD][1] = admsNodeID_BS;
    jacStamp[admsNodeID_BD][2] = admsNodeID_DI;
    jacStamp[admsNodeID_BD][3] = admsNodeID_BD;
    jacStamp[admsNodeID_BD][4] = admsNodeID_BI;


    // This is really not strictly necessary when not mapping away nodes,
    // but makes life easier when we get to registerJacLIDs.  This block
    // simply makes a map that leaves everything in place.  Later, when we
    // start making nodes go away, we will need to modify this.

    int mapSize = jacStamp.size();
    jacMap.clear();
    jacMap2.clear();
    jacMap.resize(mapSize);
    jacMap2.resize(mapSize);
    for (int i=0;i<mapSize;++i)
    {
      int rowSize=jacStamp[i].size();
      jacMap[i]=i;
      jacMap2[i].resize(rowSize);
      for (int j=0;j<rowSize;++j)
      {
        jacMap2[i][j] = j;
      }
    }

  }


  setDefaultParams();
  setParams(instance_block.params);
  // set any non-constant parameter defaults

  // copy any model variables that have associated instance variables, but
  // are only given in the model card:



  // Set any parameters that were not given and whose defaults depend on other
  // parameters:


  // Real bogosity here...
  if (!given("XYCEADMSINSTTEMP"))
    admsInstTemp=getDeviceOptions().temp.getImmutableValue<double>();

  //calculate any parameters specified as expressions
  updateDependentParameters();

  // calculate dependent (i.e. computed params) and check for errors.
  processParams();
  collapseNodes();
}

//-----------------------------------------------------------------------------
// Function      : Instance::collapseNodes
// Purpose       : function to handle collapsing of nodes
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::collapseNodes()
{
  // Many, many lines of unnecessary and incorrect code manually deleted.

  collapseNode_GP = false;
  collapseNode_SI = false;
  collapseNode_DI = false;
  collapseNode_BI = false;
  collapseNode_BP = false;
  collapseNode_BS = false;
  collapseNode_BD = false;
      
  if (!((RG_i>0.0)))
  {

    collapseNode_GP = true;

  }

  if (!((RSE_i>0.0)))
  {

    collapseNode_SI = true;

  }

  if (!((RDE_i>0.0)))
  {

    collapseNode_DI = true;

  }

  if (!((RBULK_i>0.0)))
  {

    collapseNode_BP = true;

  }

  if (!((RJUNS_i>0.0)))
  {

    collapseNode_BS = true;

  }

  if (!((RJUND_i>0.0)))
  {

    collapseNode_BD = true;

  }

  if (!((RWELL_i>0.0)))
  {

    collapseNode_BI = true;

  }




  // Map away any unneeded internal nodes:
  // temporary stamps and maps
  std::vector< std::vector<int> > tempStamp;
  std::vector<int> tempMap;
  std::vector< std::vector<int> > tempMap2;

  int OriginalSize = jacMap.size();

  // If the columns of the jacstamp are not in ascending order then
  // jacStampMap will do bogus things.  Our ADMS back-end doesn't guarantee
  // in-order jacStamps.  So we reorder (through the maps)
  jacStampMap_fixOrder(jacStamp,jacMap2,tempStamp,tempMap2);
  jacStamp=tempStamp; jacMap2=tempMap2;

  if (collapseNode_GP)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_GP] , jacMap[admsNodeID_G],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_SI)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_SI] , jacMap[admsNodeID_S],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_DI)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_DI] , jacMap[admsNodeID_D],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BI)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BI] , jacMap[admsNodeID_B],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BP)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BP] , jacMap[admsNodeID_BI],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BS)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BS] , jacMap[admsNodeID_BI],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
  if (collapseNode_BD)
  {
    tempStamp.clear(); tempMap.clear(); tempMap2.clear();
    jacStampMap(jacStamp, jacMap, jacMap2,
                tempStamp, tempMap, tempMap2,
                jacMap[admsNodeID_BD] , jacMap[admsNodeID_BI],
                OriginalSize);
    // now move the new stuff into the old place
    jacStamp = tempStamp; jacMap = tempMap; jacMap2 = tempMap2;
    numIntVars--;
  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::~Instance
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
Instance::~Instance()
{
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerLIDs
// Purpose       : function for registering, and setting up, local ID's.
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerLIDs( const LocalIdVector & intLIDVecRef,
                             const LocalIdVector & extLIDVecRef)
{
  AssertLIDs(intLIDVecRef.size() == numIntVars);
  AssertLIDs(extLIDVecRef.size() == numExtVars);

  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS))
  {
    Xyce::dout() << std::endl << section_divider << std::endl
                 << "In ADMSPSP103VA::Instance::register LIDs\n\n"
                 << "name             = " << getName() << std::endl
                 << "number of internal variables: " << numIntVars << std::endl
                 << "number of external variables: " << numExtVars << std::endl;
  }

  // copy over the global ID lists.
  intLIDVec = intLIDVecRef;
  extLIDVec = extLIDVecRef;

  // Now use these lists to obtain the indices into the linear algebra
  // entities.  This assumes an order.
  int i=0;
  li_D = extLIDVecRef[i++];
  li_G = extLIDVecRef[i++];
  li_S = extLIDVecRef[i++];
  li_B = extLIDVecRef[i++];


  i=0;
  if (!collapseNode_GP)
    li_GP = intLIDVecRef[i++];
  else
    li_GP = li_G;
  if (!collapseNode_SI)
    li_SI = intLIDVecRef[i++];
  else
    li_SI = li_S;
  if (!collapseNode_DI)
    li_DI = intLIDVecRef[i++];
  else
    li_DI = li_D;
  if (!collapseNode_BI)
    li_BI = intLIDVecRef[i++];
  else
    li_BI = li_B;
  if (!collapseNode_BP)
    li_BP = intLIDVecRef[i++];
  else
    li_BP = li_BI;
  if (!collapseNode_BS)
    li_BS = intLIDVecRef[i++];
  else
    li_BS = li_BI;
  if (!collapseNode_BD)
    li_BD = intLIDVecRef[i++];
  else
    li_BD = li_BI;


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS))
  {
    Xyce::dout() << "\nSolution and RHS variables:\n";
    Xyce::dout() << "\nli_D = " << li_D << std::endl;
    Xyce::dout() << "\nli_G = " << li_G << std::endl;
    Xyce::dout() << "\nli_S = " << li_S << std::endl;
    Xyce::dout() << "\nli_B = " << li_B << std::endl;
    Xyce::dout() << "\nli_GP = " << li_GP << std::endl;
    Xyce::dout() << "\nli_SI = " << li_SI << std::endl;
    Xyce::dout() << "\nli_DI = " << li_DI << std::endl;
    Xyce::dout() << "\nli_BI = " << li_BI << std::endl;
    Xyce::dout() << "\nli_BP = " << li_BP << std::endl;
    Xyce::dout() << "\nli_BS = " << li_BS << std::endl;
    Xyce::dout() << "\nli_BD = " << li_BD << std::endl;

    Xyce::dout() << "\nEnd of ADMSPSP103VA::Instance::register LIDs\n";
    Xyce::dout() << section_divider << std::endl;
  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadNodeSymbols
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::loadNodeSymbols(Util::SymbolTable &symbol_table) const
{
  if (!collapseNode_GP)
  {
    addInternalNode(symbol_table, li_GP, getName(), "GP");
  }
  if (!collapseNode_SI)
  {
    addInternalNode(symbol_table, li_SI, getName(), "SI");
  }
  if (!collapseNode_DI)
  {
    addInternalNode(symbol_table, li_DI, getName(), "DI");
  }
  if (!collapseNode_BI)
  {
    addInternalNode(symbol_table, li_BI, getName(), "BI");
  }
  if (!collapseNode_BP)
  {
    addInternalNode(symbol_table, li_BP, getName(), "BP");
  }
  if (!collapseNode_BS)
  {
    addInternalNode(symbol_table, li_BS, getName(), "BS");
  }
  if (!collapseNode_BD)
  {
    addInternalNode(symbol_table, li_BD, getName(), "BD");
  }
}
 
//-----------------------------------------------------------------------------
// Function      : Instance::registerStateLIDs
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerStateLIDs( const LocalIdVector & staLIDVecRef)
{
  AssertLIDs(staLIDVecRef.size() == numStateVars);
}

//-----------------------------------------------------------------------------
// Function      : Instance::jacobianStamp
// Purpose       :
// Special Notes : In initial version, we won't support mapping away nodes
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
const JacobianStamp & Instance::jacobianStamp() const
{
  return jacStamp;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerJacLIDs
// Purpose       : Create Offset variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerJacLIDs( const JacobianStamp & jacLIDVec)
{
  DeviceInstance::registerJacLIDs(jacLIDVec);
  std::vector<int> & map=jacMap;
  std::vector< std::vector<int> > & map2=jacMap2;


  // do nothing, we won't use the jac lids anymore, we'll use pointers

}

//-----------------------------------------------------------------------------
// Function      : Instance::setupPointers
// Purpose       : Create pointer variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::setupPointers( )
{

  Linear::Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;
  Linear::Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;
  f_D_Equ_D_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_D,li_D);
  q_D_Equ_D_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_D,li_D);
  f_D_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_D,li_DI);
  q_D_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_D,li_DI);
  f_G_Equ_G_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_G,li_G);
  q_G_Equ_G_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_G,li_G);
  f_G_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_G,li_GP);
  q_G_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_G,li_GP);
  f_S_Equ_S_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_S,li_S);
  q_S_Equ_S_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_S,li_S);
  f_S_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_S,li_SI);
  q_S_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_S,li_SI);
  f_B_Equ_B_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_B,li_B);
  q_B_Equ_B_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_B,li_B);
  f_B_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_B,li_BI);
  q_B_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_B,li_BI);
  f_GP_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_SI);
  q_GP_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_SI);
  f_GP_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_BP);
  q_GP_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_BP);
  f_GP_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_DI);
  q_GP_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_DI);
  f_GP_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_GP);
  q_GP_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_GP);
  f_GP_Equ_G_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_GP,li_G);
  q_GP_Equ_G_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_GP,li_G);
  f_SI_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_SI);
  q_SI_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_SI);
  f_SI_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_BP);
  q_SI_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_BP);
  f_SI_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_GP);
  q_SI_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_GP);
  f_SI_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_DI);
  q_SI_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_DI);
  f_SI_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_BS);
  q_SI_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_BS);
  f_SI_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_BD);
  q_SI_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_BD);
  f_SI_Equ_S_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_SI,li_S);
  q_SI_Equ_S_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_SI,li_S);
  f_DI_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_SI);
  q_DI_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_SI);
  f_DI_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_BP);
  q_DI_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_BP);
  f_DI_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_GP);
  q_DI_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_GP);
  f_DI_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_DI);
  q_DI_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_DI);
  f_DI_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_BS);
  q_DI_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_BS);
  f_DI_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_BD);
  q_DI_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_BD);
  f_DI_Equ_D_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_DI,li_D);
  q_DI_Equ_D_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_DI,li_D);
  f_BI_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BP);
  q_BI_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BP);
  f_BI_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BI);
  q_BI_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BI);
  f_BI_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BS);
  q_BI_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BS);
  f_BI_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_BD);
  q_BI_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_BD);
  f_BI_Equ_B_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BI,li_B);
  q_BI_Equ_B_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BI,li_B);
  f_BP_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_SI);
  q_BP_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_SI);
  f_BP_Equ_BP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_BP);
  q_BP_Equ_BP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_BP);
  f_BP_Equ_GP_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_GP);
  q_BP_Equ_GP_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_GP);
  f_BP_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_DI);
  q_BP_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_DI);
  f_BP_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BP,li_BI);
  q_BP_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BP,li_BI);
  f_BS_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_SI);
  q_BS_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_SI);
  f_BS_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_BS);
  q_BS_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_BS);
  f_BS_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_DI);
  q_BS_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_DI);
  f_BS_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_BD);
  q_BS_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_BD);
  f_BS_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BS,li_BI);
  q_BS_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BS,li_BI);
  f_BD_Equ_SI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_SI);
  q_BD_Equ_SI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_SI);
  f_BD_Equ_BS_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_BS);
  q_BD_Equ_BS_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_BS);
  f_BD_Equ_DI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_DI);
  q_BD_Equ_DI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_DI);
  f_BD_Equ_BD_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_BD);
  q_BD_Equ_BD_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_BD);
  f_BD_Equ_BI_Node_Ptr = dFdxMatPtr->returnRawEntryPointer(li_BD,li_BI);
  q_BD_Equ_BI_Node_Ptr = dQdxMatPtr->returnRawEntryPointer(li_BD,li_BI);


}

// RHS load functions

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEFVector
// Purpose       : load F vector (static contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEFVector()
{

  bool bsuccess=true;

  (*extData.daeFVectorPtr)[li_D] += staticContributions[admsNodeID_D].val();
  (*extData.daeFVectorPtr)[li_G] += staticContributions[admsNodeID_G].val();
  (*extData.daeFVectorPtr)[li_S] += staticContributions[admsNodeID_S].val();
  (*extData.daeFVectorPtr)[li_B] += staticContributions[admsNodeID_B].val();
  (*extData.daeFVectorPtr)[li_GP] += staticContributions[admsNodeID_GP].val();
  (*extData.daeFVectorPtr)[li_SI] += staticContributions[admsNodeID_SI].val();
  (*extData.daeFVectorPtr)[li_DI] += staticContributions[admsNodeID_DI].val();
  (*extData.daeFVectorPtr)[li_BI] += staticContributions[admsNodeID_BI].val();
  (*extData.daeFVectorPtr)[li_BP] += staticContributions[admsNodeID_BP].val();
  (*extData.daeFVectorPtr)[li_BS] += staticContributions[admsNodeID_BS].val();
  (*extData.daeFVectorPtr)[li_BD] += staticContributions[admsNodeID_BD].val();

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEQVector
// Purpose       : load Q vector (dynamic contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEQVector()
{
  (*extData.daeQVectorPtr)[li_D] += dynamicContributions[admsNodeID_D].val();
  (*extData.daeQVectorPtr)[li_G] += dynamicContributions[admsNodeID_G].val();
  (*extData.daeQVectorPtr)[li_S] += dynamicContributions[admsNodeID_S].val();
  (*extData.daeQVectorPtr)[li_B] += dynamicContributions[admsNodeID_B].val();
  (*extData.daeQVectorPtr)[li_GP] += dynamicContributions[admsNodeID_GP].val();
  (*extData.daeQVectorPtr)[li_SI] += dynamicContributions[admsNodeID_SI].val();
  (*extData.daeQVectorPtr)[li_DI] += dynamicContributions[admsNodeID_DI].val();
  (*extData.daeQVectorPtr)[li_BI] += dynamicContributions[admsNodeID_BI].val();
  (*extData.daeQVectorPtr)[li_BP] += dynamicContributions[admsNodeID_BP].val();
  (*extData.daeQVectorPtr)[li_BS] += dynamicContributions[admsNodeID_BS].val();
  (*extData.daeQVectorPtr)[li_BD] += dynamicContributions[admsNodeID_BD].val();

  return true;
}


//-----------------------------------------------------------------------------
// Function      : Instance::updatePrimaryState
// Purpose       :
// Special Notes : In this initial implementation, does little more than
//                 call updateIntermediateVars()
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updatePrimaryState()
{
  bool bsuccess = true;

  bsuccess = updateIntermediateVars();

  // if old DAE were implemented, we'd save dynamic contributions as state
  // here.


  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateSecondaryState
// Purpose       :
// Special Notes : In this initial implementation, does nothing
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateSecondaryState()
{
  bool bsuccess = true;

  // were old DAE implemented, we'd pull dynamic contribution derivatives
  // out of state.

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateIntermediateVars
// Purpose       : update intermediate variables for one PSP103VA instance
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateIntermediateVars()
{

  bool bsuccess=true;
  Linear::Vector * solVectorPtr = extData.nextSolVectorPtr;

  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << std::endl << subsection_divider << std::endl;
    Xyce::dout() << "  In ADMSPSP103VA::Instance::updateIntermediateVars\n\n";
    Xyce::dout() << "  name = " << getName() << std::endl;
  }

  // Local variables
  AdmsFadType Qs;
  AdmsFadType Idse;
  AdmsFadType Igbe;
  AdmsFadType Igcse;
  AdmsFadType Igcde;
  AdmsFadType Igsove;
  AdmsFadType Igdove;
  AdmsFadType Igidle;
  AdmsFadType Igisle;
  AdmsFadType Iimpacte;
  double rgatenoise;
  double rsourcenoise;
  double rdrainnoise;
  double rbulknoise;
  double rjunsnoise;
  double rjundnoise;
  double rwellnoise;
  AdmsFadType vbbt;
  AdmsFadType two_psistar;
  AdmsFadType z;
  AdmsFadType vjlim;
  AdmsFadType tmp;
  AdmsFadType id;
  AdmsFadType wsrhstep;
  AdmsFadType dwsrh;
  AdmsFadType isrh;
  AdmsFadType btat;
  AdmsFadType twoatatoverthreebtat;
  AdmsFadType umaxbeforelimiting;
  AdmsFadType umax;
  AdmsFadType sqrtumax;
  AdmsFadType umaxpoweronepointfive;
  AdmsFadType wgamma;
  AdmsFadType wtat;
  AdmsFadType ktat;
  AdmsFadType ltat;
  AdmsFadType mtat;
  AdmsFadType xerfc;
  AdmsFadType ysq;
  AdmsFadType terfc;
  AdmsFadType erfcpos;
  AdmsFadType erfctimesexpmtat;
  AdmsFadType gammamax;
  AdmsFadType itat;
  AdmsFadType Fmaxr;
  AdmsFadType ibbt;
  AdmsFadType fbreakdown;
  AdmsFadType tm0;
  AdmsFadType tm1;
  AdmsFadType ijunfor1;
  AdmsFadType ijunfor2;
  AdmsFadType ijunrev;
  AdmsFadType h5;
  AdmsFadType h4;
  AdmsFadType h3;
  AdmsFadType h2d;
  double h2;
  double h1;
  AdmsFadType Gf_ac;
  AdmsFadType x_m_ac;
  AdmsFadType Gmob_dL_ac;
  AdmsFadType Gvsat_ac;
  AdmsFadType eta_p_ac;
  AdmsFadType H_ac;
  AdmsFadType GdL_ac;
  AdmsFadType qim1_ac;
  AdmsFadType qim_ac;
  AdmsFadType dps_ac;
  AdmsFadType alpha_ac;
  AdmsFadType Voxm_ac;
  AdmsFadType qeff1_ac;
  AdmsFadType xg_ac;
  AdmsFadType Vsbstar_ac;
  AdmsFadType Vgb;
  AdmsFadType COX_qm;
  AdmsFadType Fj;
  AdmsFadType Fj2;
  AdmsFadType QG;
  AdmsFadType QI;
  AdmsFadType QD;
  AdmsFadType QB;
  AdmsFadType Qg;
  AdmsFadType Qd;
  AdmsFadType Qb;
  AdmsFadType Qgs_ov;
  AdmsFadType Qgd_ov;
  AdmsFadType Qgb_ov;
  AdmsFadType Qfgs;
  AdmsFadType Qfgd;
  AdmsFadType QCLM;
  AdmsFadType xs_ov;
  AdmsFadType xd_ov;
  AdmsFadType Vovs;
  AdmsFadType Vovd;
  AdmsFadType Iimpact;
  AdmsFadType mavl;
  AdmsFadType Vrg;
  AdmsFadType Vrs;
  AdmsFadType Vrd;
  AdmsFadType Vrjuns;
  AdmsFadType Vrjund;
  AdmsFadType Vrbulk;
  AdmsFadType Vrwell;
  AdmsFadType Vgs;
  AdmsFadType Vds;
  AdmsFadType Vsb;
  AdmsFadType Vjun_s;
  AdmsFadType Vjun_d;
  AdmsFadType VgsPrime;
  AdmsFadType VsbPrime;
  AdmsFadType VdbPrime;
  AdmsFadType VgdPrime;
  AdmsFadType xgs_ov;
  AdmsFadType xgd_ov;
  double sigVds;
  AdmsFadType Vgd;
  AdmsFadType Vdb;
  AdmsFadType Vdsx;
  AdmsFadType Udse_dc;
  AdmsFadType Vdsat_dc;
  AdmsFadType Gf_dc;
  AdmsFadType x_m_dc;
  AdmsFadType x_ds_dc;
  AdmsFadType Gmob_dL_dc;
  AdmsFadType Gvsatinv_dc;
  AdmsFadType Gvsat_dc;
  AdmsFadType eta_p_dc;
  AdmsFadType H_dc;
  AdmsFadType FdL_dc;
  AdmsFadType GdL_dc;
  AdmsFadType qim1_dc;
  AdmsFadType qim_dc;
  AdmsFadType dps_dc;
  AdmsFadType alpha_dc;
  AdmsFadType Voxm_dc;
  AdmsFadType qeff1_dc;
  AdmsFadType xg_dc;
  AdmsFadType help;
  AdmsFadType temp1;
  AdmsFadType temp2;
  AdmsFadType mutau;
  AdmsFadType nu;
  AdmsFadType delVg;
  AdmsFadType Vgb1;
  AdmsFadType Vgbstar;
  AdmsFadType Vdbstar;
  AdmsFadType Vsbnud;
  AdmsFadType Vmbnew;
  AdmsFadType usnew;
  AdmsFadType us;
  AdmsFadType Vmb;
  AdmsFadType Vsbstar_dc;
  AdmsFadType temp;
  AdmsFadType delVsat;
  AdmsFadType Ids;
  double GOV;
  double GOV2;
  double xi_ov;
  double inv_xi_ov;
  double x_mrg_ov;
  double inv_xg1;
  double SP_OV_Afac;
  AdmsFadType SP_OV_xbar;
  AdmsFadType SP_OV_x0;
  AdmsFadType SP_OV_u;
  AdmsFadType SP_OV_yg;
  AdmsFadType SP_OV_z;
  AdmsFadType SP_OV_eta;
  AdmsFadType SP_OV_a;
  AdmsFadType SP_OV_c;
  AdmsFadType SP_OV_tau;
  AdmsFadType SP_OV_y0;
  AdmsFadType SP_OV_D0;
  AdmsFadType SP_OV_temp;
  AdmsFadType SP_OV_p;
  AdmsFadType SP_OV_q;
  AdmsFadType SP_OV_xi;
  AdmsFadType SP_OV_w;
  AdmsFadType Igsov;
  AdmsFadType Igdov;
  AdmsFadType Igc;
  AdmsFadType Igb;
  AdmsFadType Igcs;
  AdmsFadType Igcd;
  AdmsFadType arg2mina;
  AdmsFadType psi_t;
  AdmsFadType zg;
  AdmsFadType arg1;
  AdmsFadType Dsi;
  AdmsFadType Dgate;
  AdmsFadType TP;
  AdmsFadType Vm;
  AdmsFadType Igc0;
  AdmsFadType u0;
  AdmsFadType x;
  AdmsFadType u0_div_H;
  AdmsFadType Bg;
  AdmsFadType Ag;
  AdmsFadType inv_x;
  AdmsFadType ex;
  AdmsFadType inv_ex;
  AdmsFadType xsq;
  AdmsFadType igc;
  AdmsFadType igcd_h;
  AdmsFadType Sg;
  AdmsFadType Igidl;
  AdmsFadType Igisl;
  AdmsFadType Vtovd;
  AdmsFadType Vtovs;


  // set the sizes of the Fad arrays:

  if (probeVars.size() != (12))
  {
    probeVars.resize(12);
    staticContributions.resize(11+0);
    dynamicContributions.resize(11+0);
  }

  // initialize contributions to zero (automatically sets derivatives to zero)
  for (int i=0; i < 11+0 ; ++i)
  {
    staticContributions[i]=0;
    dynamicContributions[i]=0;
  }

  // extract solution variables and set as Fad independent variables.

  probeVars[admsProbeID_V_DI_BD] = (*solVectorPtr)[li_DI] - (*solVectorPtr)[li_BD];
  probeVars[admsProbeID_V_DI_BD].diff(admsProbeID_V_DI_BD,12);

  probeVars[admsProbeID_V_SI_BS] = (*solVectorPtr)[li_SI] - (*solVectorPtr)[li_BS];
  probeVars[admsProbeID_V_SI_BS].diff(admsProbeID_V_SI_BS,12);

  probeVars[admsProbeID_V_SI_BP] = (*solVectorPtr)[li_SI] - (*solVectorPtr)[li_BP];
  probeVars[admsProbeID_V_SI_BP].diff(admsProbeID_V_SI_BP,12);

  probeVars[admsProbeID_V_DI_SI] = (*solVectorPtr)[li_DI] - (*solVectorPtr)[li_SI];
  probeVars[admsProbeID_V_DI_SI].diff(admsProbeID_V_DI_SI,12);

  probeVars[admsProbeID_V_GP_SI] = (*solVectorPtr)[li_GP] - (*solVectorPtr)[li_SI];
  probeVars[admsProbeID_V_GP_SI].diff(admsProbeID_V_GP_SI,12);

  probeVars[admsProbeID_V_B_BI] = (*solVectorPtr)[li_B] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_B_BI].diff(admsProbeID_V_B_BI,12);

  probeVars[admsProbeID_V_BP_BI] = (*solVectorPtr)[li_BP] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_BP_BI].diff(admsProbeID_V_BP_BI,12);

  probeVars[admsProbeID_V_BD_BI] = (*solVectorPtr)[li_BD] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_BD_BI].diff(admsProbeID_V_BD_BI,12);

  probeVars[admsProbeID_V_BS_BI] = (*solVectorPtr)[li_BS] - (*solVectorPtr)[li_BI];
  probeVars[admsProbeID_V_BS_BI].diff(admsProbeID_V_BS_BI,12);

  probeVars[admsProbeID_V_D_DI] = (*solVectorPtr)[li_D] - (*solVectorPtr)[li_DI];
  probeVars[admsProbeID_V_D_DI].diff(admsProbeID_V_D_DI,12);

  probeVars[admsProbeID_V_S_SI] = (*solVectorPtr)[li_S] - (*solVectorPtr)[li_SI];
  probeVars[admsProbeID_V_S_SI].diff(admsProbeID_V_S_SI,12);

  probeVars[admsProbeID_V_G_GP] = (*solVectorPtr)[li_G] - (*solVectorPtr)[li_GP];
  probeVars[admsProbeID_V_G_GP].diff(admsProbeID_V_G_GP,12);


  // -- code converted from analog/code block
  //Begin block evaluateStatic
  {
    QCLM = 0.0;
    xs_ov = 0.0;
    xd_ov = 0.0;
    Vovs = 0.0;
    Vovd = 0.0;
    Iimpact = 0.0;
    mavl = 0.0;
    Vrg = (probeVars[admsProbeID_V_G_GP]);
    Vrs = (probeVars[admsProbeID_V_S_SI]);
    Vrd = (probeVars[admsProbeID_V_D_DI]);
    Vrjuns = (probeVars[admsProbeID_V_BS_BI]);
    Vrjund = (probeVars[admsProbeID_V_BD_BI]);
    Vrbulk = (probeVars[admsProbeID_V_BP_BI]);
    Vrwell = (probeVars[admsProbeID_V_B_BI]);
    if (((model_.CHNL_TYPE)==(+1)))
    {
      Vgs = (probeVars[admsProbeID_V_GP_SI]);
      Vds = (probeVars[admsProbeID_V_DI_SI]);
      Vsb = (probeVars[admsProbeID_V_SI_BP]);
      Vjun_s = (-(probeVars[admsProbeID_V_SI_BS]));
      Vjun_d = (-(probeVars[admsProbeID_V_DI_BD]));
    }
    else
    {
      Vgs = (-(probeVars[admsProbeID_V_GP_SI]));
      Vds = (-(probeVars[admsProbeID_V_DI_SI]));
      Vsb = (-(probeVars[admsProbeID_V_SI_BP]));
      Vjun_s = (probeVars[admsProbeID_V_SI_BS]);
      Vjun_d = (probeVars[admsProbeID_V_DI_BD]);
    }
    VgsPrime = Vgs;
    VsbPrime = Vsb;
    VdbPrime = (Vds+Vsb);
    VgdPrime = (Vgs-Vds);
    xgs_ov = ((-VgsPrime)*(model_.inv_phit));
    xgd_ov = ((-VgdPrime)*(model_.inv_phit));
    sigVds = 1.0;
    if ((Vds<0.0))
    {
      sigVds = (-1.0);
      Vgs = (Vgs-Vds);
      Vsb = (Vsb+Vds);
      Vds = (-Vds);
    }
    Vgd = (Vgs-Vds);
    Vdb = (Vds+Vsb);
    Vdsx = (sqrt(((Vds*Vds)+0.01))-0.1);
    //Begin block SPcalc_dc
    {
      //Block-local variables for block SPcalc_dc
      double phib;
      double G_0;
      double sqrt_phib;
      AdmsFadType Vsbstar;
      AdmsFadType Vsbx;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType xg;
      AdmsFadType qeff;
      AdmsFadType qeff1;
      AdmsFadType Voxm;
      AdmsFadType alpha;
      AdmsFadType dps;
      AdmsFadType qim;
      AdmsFadType qim1;
      AdmsFadType GdL;
      AdmsFadType H;
      AdmsFadType eta_p;
      AdmsFadType s1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Gvsat;
      AdmsFadType Gvsatinv;
      AdmsFadType Gmob_dL;
      AdmsFadType x_ds;
      AdmsFadType x_m;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Dnsub;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType x_s;
      AdmsFadType sqm;
      AdmsFadType alpha1;
      AdmsFadType phi_inf;
      AdmsFadType za;
      AdmsFadType xitsb;
      AdmsFadType rhob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType thesat1;
      AdmsFadType wsat;
      AdmsFadType ysat;
      AdmsFadType zsat;
      AdmsFadType dL;
      AdmsFadType GR;
      AdmsFadType Gmob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType xgm;
      AdmsFadType Ux;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType xn_s;
      AdmsFadType delta_ns;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Gf;
      AdmsFadType Gf2;
      AdmsFadType inv_Gf2;
      AdmsFadType xi;
      AdmsFadType inv_xi;
      AdmsFadType margin;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_xg1;
      AdmsFadType SP_S_temp;
      AdmsFadType SP_S_temp1;
      AdmsFadType SP_S_temp2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_yg;
      AdmsFadType SP_S_ysub;
      AdmsFadType SP_S_y0;
      AdmsFadType SP_S_a;
      AdmsFadType SP_S_b;
      AdmsFadType SP_S_c;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_bx;
      AdmsFadType SP_S_tau;
      AdmsFadType SP_S_eta;
      AdmsFadType SP_S_delta0;
      AdmsFadType SP_S_delta1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_pC;
      AdmsFadType SP_S_qC;
      AdmsFadType SP_S_A_fac;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_x1;
      AdmsFadType SP_S_w;
      AdmsFadType SP_S_xbar;
      AdmsFadType SP_S_x0;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType SP_S_xi0;
      AdmsFadType SP_S_xi1;
      AdmsFadType SP_S_xi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType x_d;
      AdmsFadType Rxcor;
      AdmsFadType delta_1s;
      AdmsFadType xi0s;
      AdmsFadType xi1s;
      AdmsFadType xi2s;
      AdmsFadType xi0d;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Es;
      AdmsFadType Em;
      AdmsFadType Ed;
      AdmsFadType Ds;
      AdmsFadType Dm;
      AdmsFadType Dd;
      AdmsFadType Ps;
      AdmsFadType xgs;
      AdmsFadType qis;
      AdmsFadType qbs;
      AdmsFadType qbm;
      AdmsFadType Eeffm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Phi_0;
      AdmsFadType Phi_2;
      AdmsFadType asat;
      AdmsFadType Phi_0_2;
      AdmsFadType Phi0_Phi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Vdse;
      AdmsFadType Vdsat;
      AdmsFadType Udse;
      AdmsFadType xn_d;
      AdmsFadType k_ds;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType Mutmp;
      AdmsFadType Phi_sat;
      AdmsFadType delta_nd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType pC;
      AdmsFadType qC;
      AdmsFadType Pm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType d0;
      AdmsFadType D_bar;
      AdmsFadType km;
      AdmsFadType x_pm;
      AdmsFadType xi_pd;
      AdmsFadType p_pd;
      AdmsFadType u_pd;
      AdmsFadType q_pd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsFadType FdL;
      AdmsFadType qim1_1;
      AdmsFadType r1;
      AdmsFadType r2;
      AdmsFadType s2;
      AdmsFadType dL1;
      //End of Block-local variables
      temp = ((0.5*((Vdb+Vsb)-sqrt((((Vdb-Vsb)*(Vdb-Vsb))+bphi_dc))))+phix_dc);
      Vsbstar_dc = ((Vsb-(0.5*((temp)-sqrt((((temp)*(temp))+aphi_dc)))))+phix1_dc);
      if ((((model_.SWNUD_i)!=0)&&(GFACNUD_i!=1.0)))
      {
        Vmb = (Vsbstar_dc+(0.5*(Vds-Vdsx)));
        us = (sqrt((Vmb+phib_dc))-sqrt_phib_dc);
        temp = (((2*(us-us1))/us21)-1);
        usnew = (us-(((0.25*(1-GFACNUD_i))*us21)*(temp+sqrt(((temp*temp)+0.4804530139182)))));
        Vmbnew = ((usnew*usnew)+((2*sqrt_phib_dc)*usnew));
        Vsbnud = (Vmbnew-(0.5*(Vds-Vdsx)));
      }
      else
      {
        Vsbnud = Vsbstar_dc;
      }
      phib = phib_dc;
      G_0 = G_0_dc;
      sqrt_phib = sqrt_phib_dc;
      Vsbstar = Vsbnud;
      FdL = 1.0;
      alpha = 0.0;
      GdL = 1.0;
      dL = 0.0;
      qbm = 0.0;
      dps = 0.0;
      qim = 0.0;
      qim1 = 0.0;
      H = 1.0;
      eta_p = 1.0;
      Gvsat = 1.0;
      Gvsatinv = 1.0;
      SP_S_x1 = 0.0;
      x_s = 0.0;
      sqm = 0.0;
      xitsb = 0.0;
      rhob = 0.0;
      Gmob = 1.0;
      Gmob_dL = 1.0;
      Udse = 0.0;
      thesat1 = 0.0;
      xgm = 0.0;
      Vdbstar = (Vds+Vsbstar);
      Vgbstar = (Vgs+Vsbstar);
      Vgb1 = (Vgbstar-VFB_i);
      Vsbx = (Vsbstar+(0.5*(Vds-Vdsx)));
      delVg = (CF_i*(Vdsx*(1+(CFB_i*Vsbx))));
      Vgb1 = (Vgb1+delVg);
      xg = (Vgb1*inv_phit1);
      if ((DNSUB_i>0.0))
      {
        Dnsub = ((DNSUB_i*0.5)*((+((Vgs+Vsb)-VNSUB_i))+sqrt((((-((Vgs+Vsb)-VNSUB_i))*(-((Vgs+Vsb)-VNSUB_i)))+NSLP_i))));
        Gf = (G_0*sqrt((1.0+Dnsub)));
      }
      else
      {
        Gf = G_0;
      }
      Gf2 = (Gf*Gf);
      inv_Gf2 = (1.0/Gf2);
      xi = (1.0+(Gf*7.0710678118654746e-01));
      inv_xi = (1.0/xi);
      Ux = (Vsbstar*inv_phit1);
      xn_s = ((phib*inv_phit1)+Ux);
      if ((xn_s<4.6051701859880916e+02))
      {
        delta_ns = exp((-xn_s));
      }
      else
      {
        delta_ns = (1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
      }
      margin = (1e-5*xi);
      if ((fabs(xg)<=margin))
      {
        SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
        x_s = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)));
      }
      else
      {
        if ((xg<(-margin)))
        {
          SP_S_yg = (-xg);
          SP_S_ysub = (1.25*(SP_S_yg*inv_xi));
          SP_S_eta = (0.5*((SP_S_ysub+10)-sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))));
          SP_S_temp = (SP_S_yg-SP_S_eta);
          SP_S_a = ((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0)));
          SP_S_c = ((2.0*SP_S_temp)-Gf2);
          SP_S_tau = ((-SP_S_eta)+log((SP_S_a*inv_Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a)));
          SP_S_y0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
          if ((SP_S_y0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_y0);
          }
          else
          {
            SP_S_delta0 = (1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
          SP_S_delta1 = (1.0/SP_S_delta0);
          SP_S_temp = (1.0/(2.0+(SP_S_y0*SP_S_y0)));
          SP_S_xi0 = ((SP_S_y0*SP_S_y0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_y0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (SP_S_yg-SP_S_y0);
          SP_S_temp1 = (delta_ns*SP_S_delta1);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_s = ((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
        else
        {
          SP_xg1 = (1.0/(x1+(Gf*7.324648775608221e-001)));
          SP_S_A_fac = ((((xi*x1)*SP_xg1)-1.0)*SP_xg1);
          SP_S_xbar = ((xg*inv_xi)*(1.0+(SP_S_A_fac*xg)));
          if (((-SP_S_xbar)>(-2.3025850929940458e+02)))
          {
            SP_S_temp = exp((-SP_S_xbar));
          }
          else
          {
            SP_S_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
          }
          SP_S_w = (1.0-SP_S_temp);
          SP_S_x1 = ((xg+(Gf2*0.5))-(Gf*sqrt(((xg+(Gf2*0.25))-SP_S_w))));
          SP_S_bx = (xn_s+3.0);
          SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
          SP_S_temp = (xg-SP_S_eta);
          SP_S_temp1 = exp((-SP_S_eta));
          SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
          SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
          SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
          SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
          SP_S_a = max(static_cast<double>(1.0e-40),((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))));
          SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))));
          SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))));
          SP_S_tau = ((xn_s-SP_S_eta)+log((SP_S_a/Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
          SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
          if ((SP_S_x0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_x0);
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_delta0 = (delta_ns*SP_S_delta0);
          }
          else
          {
            if ((SP_S_x0>(xn_s-2.3025850929940458e+02)))
            {
              SP_S_delta0 = exp((SP_S_x0-xn_s));
              SP_S_delta1 = (delta_ns/SP_S_delta0);
            }
            else
            {
              SP_S_delta0 = (1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
          SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (xg-SP_S_x0);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_s = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
      }
      x_d = x_s;
      x_m = x_s;
      x_ds = 0.0;
      if ((xg<=0.0))
      {
        qis = 0.0;
        xgm = (xg-x_s);
        Voxm = (xgm*phit1);
        qeff1 = Voxm;
        Vdsat = Vdsat_lim;
      }
      else
      {
        delta_1s = 0.0;
        temp = (1.0/(2.0+(x_s*x_s)));
        xi0s = ((x_s*x_s)*temp);
        xi1s = (4.0*((x_s*temp)*temp));
        xi2s = ((((8.0*temp)-(12.0*xi0s))*temp)*temp);
        if ((x_s<2.3025850929940458e+02))
        {
          delta_1s = exp(x_s);
          Es = (1.0/delta_1s);
          delta_1s = (delta_ns*delta_1s);
        }
        else
        {
          if ((x_s>(xn_s-2.3025850929940458e+02)))
          {
            delta_1s = exp((x_s-xn_s));
            Es = (delta_ns/delta_1s);
          }
          else
          {
            delta_1s = (1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            Es = (1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Ds = (delta_1s-(delta_ns*((x_s+1.0)+xi0s)));
        if ((x_s<1.0e-5))
        {
          Ps = (0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))));
          Ds = (1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s))));
          temp = sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))));
          sqm = (7.0710678118654746e-01*(x_s*temp));
          alpha = (1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp));
        }
        else
        {
          Ps = ((x_s-1.0)+Es);
          sqm = sqrt(Ps);
          alpha = (1.0+(0.5*((Gf*(1.0-Es))/sqm)));
        }
        Em = Es;
        Ed = Em;
        Dm = Ds;
        Dd = Dm;
        Rxcor = ((1.0+((0.2*XCOR_i)*Vsbx))/(1.0+(XCOR_i*Vsbx)));
        if ((Ds>1.0e-100))
        {
          xgs = (Gf*sqrt((Ps+Ds)));
          qis = (((Gf2*Ds)*phit1)/(xgs+(Gf*sqm)));
          qbs = ((sqm*Gf)*phit1);
          if ((RSB_i<0))
          {
            rhob = (1.0/(1.0-(RSB_i*Vsbx)));
          }
          else
          {
            rhob = (1.0+(RSB_i*Vsbx));
          }
          if ((RSG_i<0))
          {
            temp = (1.0-(RSG_i*qis));
          }
          else
          {
            temp = (1.0/(1.0+(RSG_i*qis)));
          }
          GR = (THER_i*((rhob*temp)*qis));
          Eeffm = (E_eff0*(qbs+(eta_mu*qis)));
          if (((Eeffm*MUE_i)!=0))
          {
            Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Ps/((Ps+Ds)+1.0e-14))));
          }
          else
          {
            Mutmp = (CS_i*(Ps/((Ps+Ds)+1.0e-14)));
          }
          Gmob = (((1.0+Mutmp)+GR)*Rxcor);
          if ((THESATB_i<0))
          {
            xitsb = (1.0/(1.0-(THESATB_i*Vsbx)));
          }
          else
          {
            xitsb = (1.0+(THESATB_i*Vsbx));
          }
          temp2 = (qis*xitsb);
          wsat = (100.0*(temp2/(100.0+temp2)));
          if ((THESATG_i<0))
          {
            temp = (1/(1-(THESATG_i*wsat)));
          }
          else
          {
            temp = (1+(THESATG_i*wsat));
          }
          thesat1 = (THESAT_i*(temp/Gmob));
          phi_inf = ((qis/alpha)+phit1);
          ysat = ((thesat1*phi_inf)*7.0710678118654746e-01);
          if (((model_.CHNL_TYPE)==(-1)))
          {
            ysat = (ysat/sqrt((1.0+ysat)));
          }
          za = (2.0/(1.0+sqrt((1.0+(4.0*ysat)))));
          temp1 = (za*ysat);
          Phi_0 = ((phi_inf*za)*(1.0+(0.86*((temp1*(1.0-(temp1*za)))/(1.0+(4.0*((temp1*temp1)*za)))))));
          asat = (xgs+(0.5*Gf2));
          Phi_2 = (0.98*(((Gf2*Ds)*phit1)/(asat+sqrt(((asat*asat)-((Gf2*Ds)*0.98))))));
          Phi_0_2 = (Phi_0+Phi_2);
          Phi0_Phi2 = (2.0*(Phi_0*Phi_2));
          Phi_sat = (Phi0_Phi2/(Phi_0_2+sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))));
          Vdsat = (Phi_sat-(phit1*log((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*phit1)))*inv_Gf2)/((phit1*phit1)*Ds))))));
        }
        else
        {
          Vdsat = Vdsat_lim;
        }
        if (((Vds/Vdsat)!=0))
        {
          temp = pow((Vds/Vdsat),AX_i);
        }
        else
        {
          temp = 0;
        }
        Vdse = (Vds*pow((1.0+temp),(-inv_AX)));
        Udse = (Vdse*inv_phit1);
        xn_d = (xn_s+Udse);
        if ((Udse<4.6051701859880916e+02))
        {
          k_ds = exp((-Udse));
        }
        else
        {
          k_ds = (1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
        }
        delta_nd = (delta_ns*k_ds);
        if ((fabs(xg)<=margin))
        {
          SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
          x_d = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)));
        }
        else
        {
          SP_S_bx = (xn_d+3);
          SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
          SP_S_temp = (xg-SP_S_eta);
          SP_S_temp1 = exp((-SP_S_eta));
          SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
          SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
          SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
          SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
          SP_S_a = max(static_cast<double>(1.0e-40),((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))));
          SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))));
          SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))));
          SP_S_tau = ((xn_d-SP_S_eta)+log((SP_S_a/Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
          SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
          if ((SP_S_x0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_x0);
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_delta0 = (delta_nd*SP_S_delta0);
          }
          else
          {
            if ((SP_S_x0>(xn_d-2.3025850929940458e+02)))
            {
              SP_S_delta0 = exp((SP_S_x0-xn_d));
              SP_S_delta1 = (delta_nd/SP_S_delta0);
            }
            else
            {
              SP_S_delta0 = (1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
          SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (xg-SP_S_x0);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_d = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
        x_ds = (x_d-x_s);
        if ((x_ds<1.0E-10))
        {
          pC = ((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))));
          qC = ((Gf2*(1.0-k_ds))*Ds);
          temp = (2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))));
          temp = ((pC*pC)-(2.0*(temp*qC)));
          x_ds = (2.0*(qC/(pC+sqrt(temp))));
          x_d = (x_s+x_ds);
        }
        dps = (x_ds*phit1);
        xi0d = ((x_d*x_d)/(2.0+(x_d*x_d)));
        if ((x_d<2.3025850929940458e+02))
        {
          Ed = exp((-x_d));
          if ((x_d<1.0e-5))
          {
            Dd = (((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d)));
          }
          else
          {
            Dd = (delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d));
          }
        }
        else
        {
          if ((x_d>(xn_d-2.3025850929940458e+02)))
          {
            temp = exp((x_d-xn_d));
            Ed = (delta_nd/temp);
            Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
          }
          else
          {
            Ed = (1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            temp = (1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
          }
        }
        x_m = (0.5*(x_s+x_d));
        Em = 0.0;
        temp = (Ed*Es);
        if ((temp>0.0))
        {
          Em = sqrt(temp);
        }
        D_bar = (0.5*(Ds+Dd));
        Dm = (D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))));
        if ((x_m<1.0e-5))
        {
          Pm = (0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))));
          xgm = (Gf*sqrt((Dm+Pm)));
          if ((kp>0.0))
          {
            eta_p = (1.0/sqrt((1.0+(kp*xgm))));
          }
          temp = sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))));
          sqm = (7.0710678118654746e-01*(x_m*temp));
          alpha = (eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)));
        }
        else
        {
          Pm = ((x_m-1.0)+Em);
          xgm = (Gf*sqrt((Dm+Pm)));
          if ((kp>0.0))
          {
            d0 = ((1.0-Em)+(2.0*(xgm*inv_Gf2)));
            eta_p = (1.0/sqrt((1.0+(kp*xgm))));
            temp = (eta_p/(eta_p+1.0));
            x_pm = (kp*(((temp*temp)*Gf2)*Dm));
            p_pd = ((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm)));
            q_pd = (x_pm*(x_pm-(2.0*xgm)));
            xi_pd = (1.0-(0.5*(Gf2*(Em+Dm))));
            u_pd = ((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd)));
            x_m = (x_m+u_pd);
            km = exp(u_pd);
            Em = (Em/km);
            Dm = (Dm*km);
            Pm = ((x_m-1.0)+Em);
            xgm = (Gf*sqrt((Dm+Pm)));
            help = ((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2)));
            x_ds = (((x_ds*km)*(d0+D_bar))/(help+(km*D_bar)));
            dps = (x_ds*phit1);
          }
          sqm = sqrt(Pm);
          alpha = (eta_p+(0.5*((Gf*(1.0-Em))/sqm)));
        }
        qim = (phit1*((Gf2*Dm)/(xgm+(Gf*sqm))));
        qim1 = (qim+(phit1*alpha));
        qbm = ((sqm*Gf)*phit1);
        if ((RSG_i<0))
        {
          temp = (1.0-(RSG_i*qim));
        }
        else
        {
          temp = (1.0/(1.0+(RSG_i*qim)));
        }
        GR = (THER_i*((rhob*temp)*qim));
        qeff = (qbm+(eta_mu*qim));
        qeff1 = (qbm+(eta_mu1*qim));
        Eeffm = (E_eff0*qeff);
        if (((Eeffm*MUE_i)!=0))
        {
          Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Pm/((Pm+Dm)+1.0e-14))));
        }
        else
        {
          Mutmp = (CS_i*(Pm/((Pm+Dm)+1.0e-14)));
        }
        Gmob = (((1.0+Mutmp)+GR)*Rxcor);
        s1 = log(((1.0+((Vds-dps)*inv_VP))/(1.0+((Vdse-dps)*inv_VP))));
        dL = (ALP_i*s1);
        GdL = (1.0/((1.0+dL)+(dL*dL)));
        temp2 = (qim*xitsb);
        wsat = (100.0*(temp2/(100.0+temp2)));
        Gmob_dL = (Gmob*GdL);
        if ((THESATG_i<0))
        {
          temp = (1/(1-(THESATG_i*wsat)));
        }
        else
        {
          temp = (1+(THESATG_i*wsat));
        }
        thesat1 = (THESAT_i*(temp/Gmob_dL));
        zsat = (((thesat1*thesat1)*dps)*dps);
        if (((model_.CHNL_TYPE)==(-1)))
        {
          zsat = (zsat/(1.0+(thesat1*dps)));
        }
        Gvsat = (0.5*(Gmob_dL*(1.0+sqrt((1.0+(2.0*zsat))))));
        Gvsatinv = (1.0/Gvsat);
        Voxm = (xgm*phit1);
        temp = (Gmob_dL*Gvsatinv);
        alpha1 = (alpha*(1.0+(0.5*((zsat*temp)*temp))));
        H = ((temp*qim1)/alpha1);
      }
      if ((xg>0.0))
      {
        qim1_1 = (1.0/qim1);
        r1 = (qim*qim1_1);
        r2 = (phit1*(alpha*qim1_1));
        s2 = log((1.0+(Vdsx*inv_VP)));
        dL1 = ((dL+(ALP1_i*((qim1_1*r1)*s1)))+(ALP2_i*(((qbm*r2)*r2)*s2)));
        FdL = (((1.0+dL1)+(dL1*dL1))*GdL);
      }
      xg_dc = xg;
      qeff1_dc = qeff1;
      Voxm_dc = Voxm;
      alpha_dc = alpha;
      dps_dc = dps;
      qim_dc = qim;
      qim1_dc = qim1;
      GdL_dc = GdL;
      FdL_dc = FdL;
      H_dc = H;
      eta_p_dc = eta_p;
      Gvsat_dc = Gvsat;
      Gvsatinv_dc = Gvsatinv;
      Gmob_dL_dc = Gmob_dL;
      x_ds_dc = x_ds;
      x_m_dc = x_m;
      Gf_dc = Gf;
      Vdsat_dc = Vdsat;
      Udse_dc = Udse;
    }
    // End block SPcalc_dc
    if ((xg_dc<=0))
    {
      Ids = 0.0;
    }
    else
    {
      Ids = (BET_i*(((FdL_dc*qim1_dc)*dps_dc)*Gvsatinv_dc));
      if (((model_.SWIMPACT_i)!=0))
      {
        delVsat = (Vds-(A3_i*dps_dc));
        if ((delVsat>0))
        {
          temp2 = (A2_i*((1.0+(A4_i*(sqrt((phib_dc+Vsbnud))-sqrt_phib_dc)))/(delVsat+1e-30)));
          if (((-temp2)>(-2.3025850929940458e+02)))
          {
            temp = exp((-temp2));
          }
          else
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
          }
          mavl = (A1_i*(delVsat*temp));
          Iimpact = (Ids*mavl);
        }
      }
    }
    if (((((((model_.SWIGATE_i)!=0)&&((IGOV_i>0)||(IGOVD_i>0)))||(((model_.SWGIDL_i)!=0)&&((AGIDL_i>0)||(AGIDLD_i>0))))||(CGOV_i>0))||(CGOVD_i>0)))
    {
      GOV = GOV_s;
      GOV2 = GOV2_s;
      xi_ov = xi_ov_s;
      inv_xi_ov = inv_xi_ov_s;
      x_mrg_ov = x_mrg_ov_s;
      inv_xg1 = inv_xg1_s;
      if ((fabs(xgs_ov)<=x_mrg_ov))
      {
        xs_ov = ((-xgs_ov)*inv_xi_ov);
      }
      else
      {
        if ((xgs_ov<(-x_mrg_ov)))
        {
          SP_OV_yg = (-xgs_ov);
          SP_OV_z = ((x1*SP_OV_yg)*inv_xi_ov);
          SP_OV_eta = (0.5*((SP_OV_z+10.0)-sqrt((((SP_OV_z-6.0)*(SP_OV_z-6.0))+64.0))));
          SP_OV_a = (((SP_OV_yg-SP_OV_eta)*(SP_OV_yg-SP_OV_eta))+(GOV2*(SP_OV_eta+1.0)));
          SP_OV_c = ((2.0*(SP_OV_yg-SP_OV_eta))-GOV2);
          SP_OV_tau = (log((SP_OV_a/GOV2))-SP_OV_eta);
          nu = (SP_OV_a+SP_OV_c);
          mutau = ((nu*nu)+(SP_OV_tau*((0.5*(SP_OV_c*SP_OV_c))-SP_OV_a)));
          SP_OV_y0 = (SP_OV_eta+(((SP_OV_a*nu)*SP_OV_tau)/(mutau+(((((nu/mutau)*SP_OV_tau)*SP_OV_tau)*SP_OV_c)*(((SP_OV_c*SP_OV_c)*3.3333333333333333e-01)-SP_OV_a)))));
          SP_OV_D0 = exp(SP_OV_y0);
          SP_OV_temp = (SP_OV_yg-SP_OV_y0);
          SP_OV_p = ((2.0*SP_OV_temp)+(GOV2*(SP_OV_D0-1.0)));
          SP_OV_q = ((SP_OV_temp*SP_OV_temp)+(GOV2*((SP_OV_y0+1.0)-SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_w = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xs_ov = (-(SP_OV_y0+SP_OV_w));
        }
        else
        {
          SP_OV_Afac = ((((xi_ov*x1)*inv_xg1)-1.0)*inv_xg1);
          SP_OV_xbar = ((xgs_ov*inv_xi_ov)*(1.0+(SP_OV_Afac*xgs_ov)));
          if (((-SP_OV_xbar)>(-2.3025850929940458e+02)))
          {
            SP_OV_temp = exp((-SP_OV_xbar));
          }
          else
          {
            SP_OV_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*3.3333333333333333e-01))))))));
          }
          SP_OV_w = (1.0-SP_OV_temp);
          SP_OV_x0 = ((xgs_ov+(GOV2*0.5))-(GOV*sqrt(((xgs_ov+(GOV2*0.25))-SP_OV_w))));
          if (((-SP_OV_x0)>(-2.3025850929940458e+02)))
          {
            SP_OV_D0 = exp((-SP_OV_x0));
          }
          else
          {
            SP_OV_D0 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*3.3333333333333333e-01))))))));
          }
          SP_OV_p = ((2.0*(xgs_ov-SP_OV_x0))+(GOV2*(1-SP_OV_D0)));
          SP_OV_q = (((xgs_ov-SP_OV_x0)*(xgs_ov-SP_OV_x0))-(GOV2*((SP_OV_x0-1.0)+SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_u = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xs_ov = (SP_OV_x0+SP_OV_u);
        }
        xs_ov = (-xs_ov);
      }
      GOV = GOV_d;
      GOV2 = GOV2_d;
      xi_ov = xi_ov_d;
      inv_xi_ov = inv_xi_ov_d;
      x_mrg_ov = x_mrg_ov_d;
      inv_xg1 = inv_xg1_d;
      if ((fabs(xgd_ov)<=x_mrg_ov))
      {
        xd_ov = ((-xgd_ov)*inv_xi_ov);
      }
      else
      {
        if ((xgd_ov<(-x_mrg_ov)))
        {
          SP_OV_yg = (-xgd_ov);
          SP_OV_z = ((x1*SP_OV_yg)*inv_xi_ov);
          SP_OV_eta = (0.5*((SP_OV_z+10.0)-sqrt((((SP_OV_z-6.0)*(SP_OV_z-6.0))+64.0))));
          SP_OV_a = (((SP_OV_yg-SP_OV_eta)*(SP_OV_yg-SP_OV_eta))+(GOV2*(SP_OV_eta+1.0)));
          SP_OV_c = ((2.0*(SP_OV_yg-SP_OV_eta))-GOV2);
          SP_OV_tau = (log((SP_OV_a/GOV2))-SP_OV_eta);
          nu = (SP_OV_a+SP_OV_c);
          mutau = ((nu*nu)+(SP_OV_tau*((0.5*(SP_OV_c*SP_OV_c))-SP_OV_a)));
          SP_OV_y0 = (SP_OV_eta+(((SP_OV_a*nu)*SP_OV_tau)/(mutau+(((((nu/mutau)*SP_OV_tau)*SP_OV_tau)*SP_OV_c)*(((SP_OV_c*SP_OV_c)*3.3333333333333333e-01)-SP_OV_a)))));
          SP_OV_D0 = exp(SP_OV_y0);
          SP_OV_temp = (SP_OV_yg-SP_OV_y0);
          SP_OV_p = ((2.0*SP_OV_temp)+(GOV2*(SP_OV_D0-1.0)));
          SP_OV_q = ((SP_OV_temp*SP_OV_temp)+(GOV2*((SP_OV_y0+1.0)-SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_w = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xd_ov = (-(SP_OV_y0+SP_OV_w));
        }
        else
        {
          SP_OV_Afac = ((((xi_ov*x1)*inv_xg1)-1.0)*inv_xg1);
          SP_OV_xbar = ((xgd_ov*inv_xi_ov)*(1.0+(SP_OV_Afac*xgd_ov)));
          if (((-SP_OV_xbar)>(-2.3025850929940458e+02)))
          {
            SP_OV_temp = exp((-SP_OV_xbar));
          }
          else
          {
            SP_OV_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*3.3333333333333333e-01))))))));
          }
          SP_OV_w = (1.0-SP_OV_temp);
          SP_OV_x0 = ((xgd_ov+(GOV2*0.5))-(GOV*sqrt(((xgd_ov+(GOV2*0.25))-SP_OV_w))));
          if (((-SP_OV_x0)>(-2.3025850929940458e+02)))
          {
            SP_OV_D0 = exp((-SP_OV_x0));
          }
          else
          {
            SP_OV_D0 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*3.3333333333333333e-01))))))));
          }
          SP_OV_p = ((2.0*(xgd_ov-SP_OV_x0))+(GOV2*(1-SP_OV_D0)));
          SP_OV_q = (((xgd_ov-SP_OV_x0)*(xgd_ov-SP_OV_x0))-(GOV2*((SP_OV_x0-1.0)+SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_u = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xd_ov = (SP_OV_x0+SP_OV_u);
        }
        xd_ov = (-xd_ov);
      }
      Vovs = ((-(model_.phit))*(xgs_ov+xs_ov));
      Vovd = ((-(model_.phit))*(xgd_ov+xd_ov));
    }
    Igsov = 0.0;
    Igdov = 0.0;
    Igc = 0.0;
    Igb = 0.0;
    Igcs = 0.0;
    Igcd = 0.0;
    if (((model_.SWIGATE_i)!=0))
    {
      if ((IGOV_i>0))
      {
        arg2mina = (Vovs+Dov);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Vovs*Vovs)+1.0e-6))*inv_CHIB);
        if ((GC3_i<0))
        {
          zg = (0.5*((zg+GCQ)-sqrt((((zg-GCQ)*(zg-GCQ))+1.0e-6))));
        }
        arg1 = ((3.0+xs_ov)+(psi_t*(model_.inv_phit)));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-VgsPrime)*(model_.inv_phit));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (BOV*((-1.5)+(zg*(GC2_i+(GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igsov = (IGOV_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
      }
      if ((IGOVD_i>0))
      {
        arg2mina = (Vovd+Dov);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Vovd*Vovd)+1.0e-6))*inv_CHIB);
        if ((GC3_i<0))
        {
          zg = (0.5*((zg+GCQ)-sqrt((((zg-GCQ)*(zg-GCQ))+1.0e-6))));
        }
        arg1 = ((3.0+xd_ov)+(psi_t*(model_.inv_phit)));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-VgdPrime)*(model_.inv_phit));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (BOV_d*((-1.5)+(zg*(GC2_i+(GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igdov = (IGOVD_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
      }
      if ((IGINV_i>0))
      {
        if ((xg_dc<=0.0))
        {
          temp = pow((Vds/Vdsat_lim),AX_i);
          Udse_dc = ((Vds*pow((1.0+temp),(-inv_AX)))*inv_phit1);
        }
        if (((x_ds_dc-Udse_dc)>(-2.3025850929940458e+02)))
        {
          temp = exp((x_ds_dc-Udse_dc));
        }
        else
        {
          temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
        }
        Vm = (Vsbnud+(phit1*((0.5*x_ds_dc)-log((0.5*(1.0+temp))))));
        arg2mina = (Voxm_dc+Dch);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*inv_CHIB);
        if ((GC3_i<0))
        {
          zg = (0.5*((zg+GCQ)-sqrt((((zg-GCQ)*(zg-GCQ))+1.0e-06))));
        }
        arg1 = (x_m_dc+(((psi_t-alpha_b)-Vm)*inv_phit1));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-((Vgs+Vsbnud)-Vm))*inv_phit1);
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (BCH*((-1.5)+(zg*(GC2_i+(GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igc0 = (IGINV_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
        if (((xg_dc<=0)||((GC2_i==0)&&(GC3_i==0))))
        {
          igc = 1.0;
          igcd_h = 0.5;
        }
        else
        {
          temp = (GC2_i+((2.0*GC3_i)*zg));
          u0 = (CHIB_i/(temp*BCH));
          x = (0.5*(dps_dc/u0));
          u0_div_H = (u0/H_dc);
          Bg = ((u0_div_H*(1.0-u0_div_H))*0.5);
          Ag = (0.5-(3.0*Bg));
          if ((x<1.0e-3))
          {
            xsq = (x*x);
            igc = (1.0+(xsq*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))));
            igcd_h = ((0.5*igc)-(1.6666666666666667e-01*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))));
          }
          else
          {
            inv_x = (1.0/x);
            if ((fabs(x)<2.3025850929940458e+02))
            {
              ex = exp(x);
            }
            else
            {
              if ((x<(-2.3025850929940458e+02)))
              {
                ex = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
              }
              else
              {
                ex = (1.0e100*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            inv_ex = (1.0/ex);
            temp = (ex-inv_ex);
            temp2 = (ex+inv_ex);
            igc = (0.5*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2)));
            igcd_h = (0.5*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x)));
          }
        }
        Sg = (0.5*(1.0+(xg_dc/sqrt(((xg_dc*xg_dc)+1.0e-6)))));
        Igc = ((Igc0*igc)*Sg);
        Igcd = ((Igc0*igcd_h)*Sg);
        Igcs = (Igc-Igcd);
        Igb = ((Igc0*igc)*(1.0-Sg));
      }
    }
    Igidl = 0.0;
    Igisl = 0.0;
    if (((model_.SWGIDL_i)!=0))
    {
      if (((AGIDLD_i>0)&&(Vovd<0)))
      {
        Vtovd = sqrt((((Vovd*Vovd)+((CGIDLD_i*CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6));
        temp = ((-BGIDLD_i)/Vtovd);
        if ((temp>(-2.3025850929940458e+02)))
        {
          temp2 = exp(temp);
        }
        else
        {
          temp2 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
        }
        Igidl = ((-AGIDLD_i)*(((VdbPrime*Vovd)*Vtovd)*temp2));
      }
      if (((AGIDL_i>0)&&(Vovs<0)))
      {
        Vtovs = sqrt((((Vovs*Vovs)+((CGIDL_i*CGIDL_i)*(VsbPrime*VsbPrime)))+1.0e-6));
        temp = ((-BGIDL_i)/Vtovs);
        if ((temp>(-2.3025850929940458e+02)))
        {
          temp2 = exp(temp);
        }
        else
        {
          temp2 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
        }
        Igisl = ((-AGIDL_i)*(((VsbPrime*Vovs)*Vtovs)*temp2));
      }
    }
  }
  // End block evaluateStatic
  //Begin block evaluateDynamic
  {
    //Begin block SPcalc_ac
    {
      //Block-local variables for block SPcalc_ac
      double phib;
      double G_0;
      double sqrt_phib;
      AdmsFadType Vsbstar;
      AdmsFadType Vsbx;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType xg;
      AdmsFadType qeff;
      AdmsFadType qeff1;
      AdmsFadType Voxm;
      AdmsFadType alpha;
      AdmsFadType dps;
      AdmsFadType qim;
      AdmsFadType qim1;
      AdmsFadType GdL;
      AdmsFadType H;
      AdmsFadType eta_p;
      AdmsFadType s1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Gvsat;
      AdmsFadType Gvsatinv;
      AdmsFadType Gmob_dL;
      AdmsFadType x_ds;
      AdmsFadType x_m;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Dnsub;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType x_s;
      AdmsFadType sqm;
      AdmsFadType alpha1;
      AdmsFadType phi_inf;
      AdmsFadType za;
      AdmsFadType xitsb;
      AdmsFadType rhob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType thesat1;
      AdmsFadType wsat;
      AdmsFadType ysat;
      AdmsFadType zsat;
      AdmsFadType dL;
      AdmsFadType GR;
      AdmsFadType Gmob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType xgm;
      AdmsFadType Ux;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType xn_s;
      AdmsFadType delta_ns;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Gf;
      AdmsFadType Gf2;
      AdmsFadType inv_Gf2;
      AdmsFadType xi;
      AdmsFadType inv_xi;
      AdmsFadType margin;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_xg1;
      AdmsFadType SP_S_temp;
      AdmsFadType SP_S_temp1;
      AdmsFadType SP_S_temp2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_yg;
      AdmsFadType SP_S_ysub;
      AdmsFadType SP_S_y0;
      AdmsFadType SP_S_a;
      AdmsFadType SP_S_b;
      AdmsFadType SP_S_c;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_bx;
      AdmsFadType SP_S_tau;
      AdmsFadType SP_S_eta;
      AdmsFadType SP_S_delta0;
      AdmsFadType SP_S_delta1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_pC;
      AdmsFadType SP_S_qC;
      AdmsFadType SP_S_A_fac;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_x1;
      AdmsFadType SP_S_w;
      AdmsFadType SP_S_xbar;
      AdmsFadType SP_S_x0;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType SP_S_xi0;
      AdmsFadType SP_S_xi1;
      AdmsFadType SP_S_xi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType x_d;
      AdmsFadType Rxcor;
      AdmsFadType delta_1s;
      AdmsFadType xi0s;
      AdmsFadType xi1s;
      AdmsFadType xi2s;
      AdmsFadType xi0d;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Es;
      AdmsFadType Em;
      AdmsFadType Ed;
      AdmsFadType Ds;
      AdmsFadType Dm;
      AdmsFadType Dd;
      AdmsFadType Ps;
      AdmsFadType xgs;
      AdmsFadType qis;
      AdmsFadType qbs;
      AdmsFadType qbm;
      AdmsFadType Eeffm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Phi_0;
      AdmsFadType Phi_2;
      AdmsFadType asat;
      AdmsFadType Phi_0_2;
      AdmsFadType Phi0_Phi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Vdse;
      AdmsFadType Vdsat;
      AdmsFadType Udse;
      AdmsFadType xn_d;
      AdmsFadType k_ds;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType Mutmp;
      AdmsFadType Phi_sat;
      AdmsFadType delta_nd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType pC;
      AdmsFadType qC;
      AdmsFadType Pm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsFadType d0;
      AdmsFadType D_bar;
      AdmsFadType km;
      AdmsFadType x_pm;
      AdmsFadType xi_pd;
      AdmsFadType p_pd;
      AdmsFadType u_pd;
      AdmsFadType q_pd;
      //End of Block-local variables
      if ((((model_.SWNUD_i)==1)||((model_.SWDELVTAC_i)!=0)))
      {
        if (((model_.SWDELVTAC_i)!=0))
        {
          temp = ((0.5*((Vdb+Vsb)-sqrt((((Vdb-Vsb)*(Vdb-Vsb))+bphi_ac))))+phix_ac);
          Vsbstar_ac = ((Vsb-(0.5*((temp)-sqrt((((temp)*(temp))+aphi_ac)))))+phix1_ac);
          Vsbstar = Vsbstar_ac;
          phib = phib_ac;
          G_0 = G_0_ac;
          sqrt_phib = sqrt_phib_ac;
        }
        else
        {
          Vsbstar = Vsbstar_dc;
          phib = phib_dc;
          G_0 = G_0_dc;
          sqrt_phib = sqrt_phib_dc;
        }
        alpha = 0.0;
        GdL = 1.0;
        dL = 0.0;
        qbm = 0.0;
        dps = 0.0;
        qim = 0.0;
        qim1 = 0.0;
        H = 1.0;
        eta_p = 1.0;
        Gvsat = 1.0;
        Gvsatinv = 1.0;
        SP_S_x1 = 0.0;
        x_s = 0.0;
        sqm = 0.0;
        xitsb = 0.0;
        rhob = 0.0;
        Gmob = 1.0;
        Gmob_dL = 1.0;
        Udse = 0.0;
        thesat1 = 0.0;
        xgm = 0.0;
        Vdbstar = (Vds+Vsbstar);
        Vgbstar = (Vgs+Vsbstar);
        Vgb1 = (Vgbstar-VFB_i);
        Vsbx = (Vsbstar+(0.5*(Vds-Vdsx)));
        delVg = (CF_i*(Vdsx*(1+(CFB_i*Vsbx))));
        Vgb1 = (Vgb1+delVg);
        xg = (Vgb1*inv_phit1);
        if ((DNSUB_i>0.0))
        {
          Dnsub = ((DNSUB_i*0.5)*((+((Vgs+Vsb)-VNSUB_i))+sqrt((((-((Vgs+Vsb)-VNSUB_i))*(-((Vgs+Vsb)-VNSUB_i)))+NSLP_i))));
          Gf = (G_0*sqrt((1.0+Dnsub)));
        }
        else
        {
          Gf = G_0;
        }
        Gf2 = (Gf*Gf);
        inv_Gf2 = (1.0/Gf2);
        xi = (1.0+(Gf*7.0710678118654746e-01));
        inv_xi = (1.0/xi);
        Ux = (Vsbstar*inv_phit1);
        xn_s = ((phib*inv_phit1)+Ux);
        if ((xn_s<4.6051701859880916e+02))
        {
          delta_ns = exp((-xn_s));
        }
        else
        {
          delta_ns = (1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
        }
        margin = (1e-5*xi);
        if ((fabs(xg)<=margin))
        {
          SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
          x_s = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)));
        }
        else
        {
          if ((xg<(-margin)))
          {
            SP_S_yg = (-xg);
            SP_S_ysub = (1.25*(SP_S_yg*inv_xi));
            SP_S_eta = (0.5*((SP_S_ysub+10)-sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))));
            SP_S_temp = (SP_S_yg-SP_S_eta);
            SP_S_a = ((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0)));
            SP_S_c = ((2.0*SP_S_temp)-Gf2);
            SP_S_tau = ((-SP_S_eta)+log((SP_S_a*inv_Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a)));
            SP_S_y0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
            if ((SP_S_y0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_y0);
            }
            else
            {
              SP_S_delta0 = (1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_temp = (1.0/(2.0+(SP_S_y0*SP_S_y0)));
            SP_S_xi0 = ((SP_S_y0*SP_S_y0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_y0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (SP_S_yg-SP_S_y0);
            SP_S_temp1 = (delta_ns*SP_S_delta1);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_s = ((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
          else
          {
            SP_xg1 = (1.0/(x1+(Gf*7.324648775608221e-001)));
            SP_S_A_fac = ((((xi*x1)*SP_xg1)-1.0)*SP_xg1);
            SP_S_xbar = ((xg*inv_xi)*(1.0+(SP_S_A_fac*xg)));
            if (((-SP_S_xbar)>(-2.3025850929940458e+02)))
            {
              SP_S_temp = exp((-SP_S_xbar));
            }
            else
            {
              SP_S_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
            }
            SP_S_w = (1.0-SP_S_temp);
            SP_S_x1 = ((xg+(Gf2*0.5))-(Gf*sqrt(((xg+(Gf2*0.25))-SP_S_w))));
            SP_S_bx = (xn_s+3.0);
            SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
            SP_S_temp = (xg-SP_S_eta);
            SP_S_temp1 = exp((-SP_S_eta));
            SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
            SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
            SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
            SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
            SP_S_a = max(static_cast<double>(1.0e-40),((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))));
            SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))));
            SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))));
            SP_S_tau = ((xn_s-SP_S_eta)+log((SP_S_a/Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
            SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
            if ((SP_S_x0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_x0);
              SP_S_delta1 = (1.0/SP_S_delta0);
              SP_S_delta0 = (delta_ns*SP_S_delta0);
            }
            else
            {
              if ((SP_S_x0>(xn_s-2.3025850929940458e+02)))
              {
                SP_S_delta0 = exp((SP_S_x0-xn_s));
                SP_S_delta1 = (delta_ns/SP_S_delta0);
              }
              else
              {
                SP_S_delta0 = (1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
                SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
            SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (xg-SP_S_x0);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_s = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
        }
        x_d = x_s;
        x_m = x_s;
        x_ds = 0.0;
        if ((xg<=0.0))
        {
          qis = 0.0;
          xgm = (xg-x_s);
          Voxm = (xgm*phit1);
          qeff1 = Voxm;
          Vdsat = Vdsat_lim;
        }
        else
        {
          delta_1s = 0.0;
          temp = (1.0/(2.0+(x_s*x_s)));
          xi0s = ((x_s*x_s)*temp);
          xi1s = (4.0*((x_s*temp)*temp));
          xi2s = ((((8.0*temp)-(12.0*xi0s))*temp)*temp);
          if ((x_s<2.3025850929940458e+02))
          {
            delta_1s = exp(x_s);
            Es = (1.0/delta_1s);
            delta_1s = (delta_ns*delta_1s);
          }
          else
          {
            if ((x_s>(xn_s-2.3025850929940458e+02)))
            {
              delta_1s = exp((x_s-xn_s));
              Es = (delta_ns/delta_1s);
            }
            else
            {
              delta_1s = (1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              Es = (1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          Ds = (delta_1s-(delta_ns*((x_s+1.0)+xi0s)));
          if ((x_s<1.0e-5))
          {
            Ps = (0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))));
            Ds = (1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s))));
            temp = sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))));
            sqm = (7.0710678118654746e-01*(x_s*temp));
            alpha = (1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp));
          }
          else
          {
            Ps = ((x_s-1.0)+Es);
            sqm = sqrt(Ps);
            alpha = (1.0+(0.5*((Gf*(1.0-Es))/sqm)));
          }
          Em = Es;
          Ed = Em;
          Dm = Ds;
          Dd = Dm;
          Rxcor = ((1.0+((0.2*XCOR_i)*Vsbx))/(1.0+(XCOR_i*Vsbx)));
          if ((Ds>1.0e-100))
          {
            xgs = (Gf*sqrt((Ps+Ds)));
            qis = (((Gf2*Ds)*phit1)/(xgs+(Gf*sqm)));
            qbs = ((sqm*Gf)*phit1);
            if ((RSB_i<0))
            {
              rhob = (1.0/(1.0-(RSB_i*Vsbx)));
            }
            else
            {
              rhob = (1.0+(RSB_i*Vsbx));
            }
            if ((RSG_i<0))
            {
              temp = (1.0-(RSG_i*qis));
            }
            else
            {
              temp = (1.0/(1.0+(RSG_i*qis)));
            }
            GR = (THER_i*((rhob*temp)*qis));
            Eeffm = (E_eff0*(qbs+(eta_mu*qis)));
            if (((Eeffm*MUE_i)!=0))
            {
              Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Ps/((Ps+Ds)+1.0e-14))));
            }
            else
            {
              Mutmp = (CS_i*(Ps/((Ps+Ds)+1.0e-14)));
            }
            Gmob = (((1.0+Mutmp)+GR)*Rxcor);
            if ((THESATB_i<0))
            {
              xitsb = (1.0/(1.0-(THESATB_i*Vsbx)));
            }
            else
            {
              xitsb = (1.0+(THESATB_i*Vsbx));
            }
            temp2 = (qis*xitsb);
            wsat = (100.0*(temp2/(100.0+temp2)));
            if ((THESATG_i<0))
            {
              temp = (1/(1-(THESATG_i*wsat)));
            }
            else
            {
              temp = (1+(THESATG_i*wsat));
            }
            thesat1 = (THESAT_i*(temp/Gmob));
            phi_inf = ((qis/alpha)+phit1);
            ysat = ((thesat1*phi_inf)*7.0710678118654746e-01);
            if (((model_.CHNL_TYPE)==(-1)))
            {
              ysat = (ysat/sqrt((1.0+ysat)));
            }
            za = (2.0/(1.0+sqrt((1.0+(4.0*ysat)))));
            temp1 = (za*ysat);
            Phi_0 = ((phi_inf*za)*(1.0+(0.86*((temp1*(1.0-(temp1*za)))/(1.0+(4.0*((temp1*temp1)*za)))))));
            asat = (xgs+(0.5*Gf2));
            Phi_2 = (0.98*(((Gf2*Ds)*phit1)/(asat+sqrt(((asat*asat)-((Gf2*Ds)*0.98))))));
            Phi_0_2 = (Phi_0+Phi_2);
            Phi0_Phi2 = (2.0*(Phi_0*Phi_2));
            Phi_sat = (Phi0_Phi2/(Phi_0_2+sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))));
            Vdsat = (Phi_sat-(phit1*log((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*phit1)))*inv_Gf2)/((phit1*phit1)*Ds))))));
          }
          else
          {
            Vdsat = Vdsat_lim;
          }
          if (((Vds/Vdsat)!=0))
          {
            temp = pow((Vds/Vdsat),AX_i);
          }
          else
          {
            temp = 0;
          }
          Vdse = (Vds*pow((1.0+temp),(-inv_AX)));
          Udse = (Vdse*inv_phit1);
          xn_d = (xn_s+Udse);
          if ((Udse<4.6051701859880916e+02))
          {
            k_ds = exp((-Udse));
          }
          else
          {
            k_ds = (1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
          }
          delta_nd = (delta_ns*k_ds);
          if ((fabs(xg)<=margin))
          {
            SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
            x_d = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)));
          }
          else
          {
            SP_S_bx = (xn_d+3);
            SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
            SP_S_temp = (xg-SP_S_eta);
            SP_S_temp1 = exp((-SP_S_eta));
            SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
            SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
            SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
            SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
            SP_S_a = max(static_cast<double>(1.0e-40),((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))));
            SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))));
            SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))));
            SP_S_tau = ((xn_d-SP_S_eta)+log((SP_S_a/Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
            SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
            if ((SP_S_x0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_x0);
              SP_S_delta1 = (1.0/SP_S_delta0);
              SP_S_delta0 = (delta_nd*SP_S_delta0);
            }
            else
            {
              if ((SP_S_x0>(xn_d-2.3025850929940458e+02)))
              {
                SP_S_delta0 = exp((SP_S_x0-xn_d));
                SP_S_delta1 = (delta_nd/SP_S_delta0);
              }
              else
              {
                SP_S_delta0 = (1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
                SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
            SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (xg-SP_S_x0);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_d = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
          x_ds = (x_d-x_s);
          if ((x_ds<1.0E-10))
          {
            pC = ((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))));
            qC = ((Gf2*(1.0-k_ds))*Ds);
            temp = (2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))));
            temp = ((pC*pC)-(2.0*(temp*qC)));
            x_ds = (2.0*(qC/(pC+sqrt(temp))));
            x_d = (x_s+x_ds);
          }
          dps = (x_ds*phit1);
          xi0d = ((x_d*x_d)/(2.0+(x_d*x_d)));
          if ((x_d<2.3025850929940458e+02))
          {
            Ed = exp((-x_d));
            if ((x_d<1.0e-5))
            {
              Dd = (((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d)));
            }
            else
            {
              Dd = (delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d));
            }
          }
          else
          {
            if ((x_d>(xn_d-2.3025850929940458e+02)))
            {
              temp = exp((x_d-xn_d));
              Ed = (delta_nd/temp);
              Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
            }
            else
            {
              Ed = (1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              temp = (1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
            }
          }
          x_m = (0.5*(x_s+x_d));
          Em = 0.0;
          temp = (Ed*Es);
          if ((temp>0.0))
          {
            Em = sqrt(temp);
          }
          D_bar = (0.5*(Ds+Dd));
          Dm = (D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))));
          if ((x_m<1.0e-5))
          {
            Pm = (0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))));
            xgm = (Gf*sqrt((Dm+Pm)));
            if ((kp>0.0))
            {
              eta_p = (1.0/sqrt((1.0+(kp*xgm))));
            }
            temp = sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))));
            sqm = (7.0710678118654746e-01*(x_m*temp));
            alpha = (eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)));
          }
          else
          {
            Pm = ((x_m-1.0)+Em);
            xgm = (Gf*sqrt((Dm+Pm)));
            if ((kp>0.0))
            {
              d0 = ((1.0-Em)+(2.0*(xgm*inv_Gf2)));
              eta_p = (1.0/sqrt((1.0+(kp*xgm))));
              temp = (eta_p/(eta_p+1.0));
              x_pm = (kp*(((temp*temp)*Gf2)*Dm));
              p_pd = ((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm)));
              q_pd = (x_pm*(x_pm-(2.0*xgm)));
              xi_pd = (1.0-(0.5*(Gf2*(Em+Dm))));
              u_pd = ((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd)));
              x_m = (x_m+u_pd);
              km = exp(u_pd);
              Em = (Em/km);
              Dm = (Dm*km);
              Pm = ((x_m-1.0)+Em);
              xgm = (Gf*sqrt((Dm+Pm)));
              help = ((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2)));
              x_ds = (((x_ds*km)*(d0+D_bar))/(help+(km*D_bar)));
              dps = (x_ds*phit1);
            }
            sqm = sqrt(Pm);
            alpha = (eta_p+(0.5*((Gf*(1.0-Em))/sqm)));
          }
          qim = (phit1*((Gf2*Dm)/(xgm+(Gf*sqm))));
          qim1 = (qim+(phit1*alpha));
          qbm = ((sqm*Gf)*phit1);
          if ((RSG_i<0))
          {
            temp = (1.0-(RSG_i*qim));
          }
          else
          {
            temp = (1.0/(1.0+(RSG_i*qim)));
          }
          GR = (THER_i*((rhob*temp)*qim));
          qeff = (qbm+(eta_mu*qim));
          qeff1 = (qbm+(eta_mu1*qim));
          Eeffm = (E_eff0*qeff);
          if (((Eeffm*MUE_i)!=0))
          {
            Mutmp = (pow((Eeffm*MUE_i),THEMU_i)+(CS_i*(Pm/((Pm+Dm)+1.0e-14))));
          }
          else
          {
            Mutmp = (CS_i*(Pm/((Pm+Dm)+1.0e-14)));
          }
          Gmob = (((1.0+Mutmp)+GR)*Rxcor);
          s1 = log(((1.0+((Vds-dps)*inv_VP))/(1.0+((Vdse-dps)*inv_VP))));
          dL = (ALP_i*s1);
          GdL = (1.0/((1.0+dL)+(dL*dL)));
          temp2 = (qim*xitsb);
          wsat = (100.0*(temp2/(100.0+temp2)));
          Gmob_dL = (Gmob*GdL);
          if ((THESATG_i<0))
          {
            temp = (1/(1-(THESATG_i*wsat)));
          }
          else
          {
            temp = (1+(THESATG_i*wsat));
          }
          thesat1 = (THESAT_i*(temp/Gmob_dL));
          zsat = (((thesat1*thesat1)*dps)*dps);
          if (((model_.CHNL_TYPE)==(-1)))
          {
            zsat = (zsat/(1.0+(thesat1*dps)));
          }
          Gvsat = (0.5*(Gmob_dL*(1.0+sqrt((1.0+(2.0*zsat))))));
          Gvsatinv = (1.0/Gvsat);
          Voxm = (xgm*phit1);
          temp = (Gmob_dL*Gvsatinv);
          alpha1 = (alpha*(1.0+(0.5*((zsat*temp)*temp))));
          H = ((temp*qim1)/alpha1);
        }
        xg_ac = xg;
        qeff1_ac = qeff1;
        Voxm_ac = Voxm;
        alpha_ac = alpha;
        dps_ac = dps;
        qim_ac = qim;
        qim1_ac = qim1;
        GdL_ac = GdL;
        H_ac = H;
        eta_p_ac = eta_p;
        Gvsat_ac = Gvsat;
        Gmob_dL_ac = Gmob_dL;
        x_m_ac = x_m;
        Gf_ac = Gf;
      }
      else
      {
        xg_ac = xg_dc;
        qeff1_ac = qeff1_dc;
        Voxm_ac = Voxm_dc;
        alpha_ac = alpha_dc;
        dps_ac = dps_dc;
        qim_ac = qim_dc;
        qim1_ac = qim1_dc;
        GdL_ac = GdL_dc;
        H_ac = H_dc;
        eta_p_ac = eta_p_dc;
        Gvsat_ac = Gvsat_dc;
        Gmob_dL_ac = Gmob_dL_dc;
        x_m_ac = x_m_dc;
        Gf_ac = Gf_dc;
      }
    }
    // End block SPcalc_ac
    Vgb = (Vgs+Vsb);
    COX_qm = COX_i;
    if ((qq>0.0))
    {
      COX_qm = (COX_i/(1.0+(qq*pow(((qeff1_ac*qeff1_ac)+qlim2),((-1.0)*1.6666666666666667e-01)))));
    }
    if ((xg_ac<=0.0))
    {
      QG = Voxm_ac;
      QI = 0.0;
      QD = 0.0;
      QB = QG;
    }
    else
    {
      Fj = (0.5*(dps_ac/H_ac));
      Fj2 = (Fj*Fj);
      QCLM = ((1.0-GdL_ac)*(qim_ac-(0.5*(alpha_ac*dps_ac))));
      QG = (Voxm_ac+(0.5*((eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))));
      temp = ((alpha_ac*dps_ac)*1.6666666666666667e-01);
      QI = ((GdL_ac*(qim_ac+(temp*Fj)))+QCLM);
      QD = (0.5*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac))));
      QB = (QG-QI);
    }
    Qg = (QG*COX_qm);
    Qd = ((-QD)*COX_qm);
    Qb = ((-QB)*COX_qm);
    Qgs_ov = (CGOV_i*Vovs);
    Qgd_ov = (CGOVD_i*Vovd);
    Qgb_ov = (CGBOV_i*Vgb);
    Qfgs = (CFR_i*VgsPrime);
    Qfgd = (CFRD_i*VgdPrime);
  }
  // End block evaluateDynamic
  //Begin block evaluateStaticDynamic
  {
    if (((model_.SWJUNCAP_i)>0))
    {
      if (((model_.SWJUNEXP_i)==1))
      {
        tm0 = ((Vjun_s*(model_.phitdinv))*MFOR1_s);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf1_s))
          {
            tm1 = (expxhf1_s*((tm0-xhighf1_s)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor1 = (ISATFOR1_s*(tm1-1.0));
        tm0 = ((Vjun_s*(model_.phitdinv))*MFOR2_s);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf2_s))
          {
            tm1 = (expxhf2_s*((tm0-xhighf2_s)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor2 = (ISATFOR2_s*(tm1-1.0));
        ijunrev = 0.0;
        if ((m0flag_s>0))
        {
          ijunrev = (Vjun_s*(ISATREV_s+(Vjun_s*MREV_s)));
        }
        else
        {
          tm0 = (((-Vjun_s)*(model_.phitdinv))*MREV_s);
          if ((tm0<(-2.3025850929940458e+02)))
          {
            tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
          }
          else
          {
            if ((tm0>xhighr_s))
            {
              tm1 = (expxhr_s*((tm0-xhighr_s)+1));
            }
            else
            {
              tm1 = exp(tm0);
            }
          }
          ijunrev = ((-ISATREV_s)*(tm1-1.0));
        }
        ijun_s = ((ijunfor1+ijunfor2)+ijunrev);
        tm0 = ((Vjun_d*(model_.phitdinv))*MFOR1_d);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf1_d))
          {
            tm1 = (expxhf1_d*((tm0-xhighf1_d)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor1 = (ISATFOR1_d*(tm1-1.0));
        tm0 = ((Vjun_d*(model_.phitdinv))*MFOR2_d);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>xhighf2_d))
          {
            tm1 = (expxhf2_d*((tm0-xhighf2_d)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor2 = (ISATFOR2_d*(tm1-1.0));
        ijunrev = 0.0;
        if ((m0flag_d>0))
        {
          ijunrev = (Vjun_d*(ISATREV_d+(Vjun_d*MREV_d)));
        }
        else
        {
          tm0 = (((-Vjun_d)*(model_.phitdinv))*MREV_d);
          if ((tm0<(-2.3025850929940458e+02)))
          {
            tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
          }
          else
          {
            if ((tm0>xhighr_d))
            {
              tm1 = (expxhr_d*((tm0-xhighr_d)+1));
            }
            else
            {
              tm1 = exp(tm0);
            }
          }
          ijunrev = ((-ISATREV_d)*(tm1-1.0));
        }
        ijun_d = ((ijunfor1+ijunfor2)+ijunrev);
        //Begin block evaluateDynamic
        {
          (model_.CJORBOT_i) = (model_.CJORBOTS_i);
          (model_.CJORSTI_i) = (model_.CJORSTIS_i);
          (model_.CJORGAT_i) = (model_.CJORGATS_i);
          (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
          (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
          (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
          (model_.PBOT_i) = (model_.PBOTS_i);
          (model_.PSTI_i) = (model_.PSTIS_i);
          (model_.PGAT_i) = (model_.PGATS_i);
          (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
          (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
          (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
          (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
          (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
          (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
          (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
          (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
          (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
          (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
          (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
          (model_.CTATBOT_i) = (model_.CTATBOTS_i);
          (model_.CTATSTI_i) = (model_.CTATSTIS_i);
          (model_.CTATGAT_i) = (model_.CTATGATS_i);
          (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
          (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
          (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
          (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
          (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
          (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
          (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
          (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
          (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
          (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
          (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
          (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
          (model_.VBRBOT_i) = (model_.VBRBOTS_i);
          (model_.VBRSTI_i) = (model_.VBRSTIS_i);
          (model_.VBRGAT_i) = (model_.VBRGATS_i);
          (model_.PBRBOT_i) = (model_.PBRBOTS_i);
          (model_.PBRSTI_i) = (model_.PBRSTIS_i);
          (model_.PBRGAT_i) = (model_.PBRGATS_i);
          (model_.VJUNREF_i) = (model_.VJUNREFS_i);
          (model_.FJUNQ_i) = (model_.FJUNQS_i);
          (model_.phigrbot) = (model_.phigrbot_s);
          (model_.phigrsti) = (model_.phigrsti_s);
          (model_.phigrgat) = (model_.phigrgat_s);
          (model_.phigdbot) = (model_.phigdbot_s);
          (model_.phigdsti) = (model_.phigdsti_s);
          (model_.phigdgat) = (model_.phigdgat_s);
          (model_.ftdbot) = (model_.ftdbot_s);
          (model_.ftdsti) = (model_.ftdsti_s);
          (model_.ftdgat) = (model_.ftdgat_s);
          (model_.idsatbot) = (model_.idsatbot_s);
          (model_.idsatsti) = (model_.idsatsti_s);
          (model_.idsatgat) = (model_.idsatgat_s);
          (model_.ubibot) = (model_.ubibot_s);
          (model_.ubisti) = (model_.ubisti_s);
          (model_.ubigat) = (model_.ubigat_s);
          (model_.vbibot) = (model_.vbibot_s);
          (model_.vbisti) = (model_.vbisti_s);
          (model_.vbigat) = (model_.vbigat_s);
          (model_.vbiinvbot) = (model_.vbiinvbot_s);
          (model_.vbiinvsti) = (model_.vbiinvsti_s);
          (model_.vbiinvgat) = (model_.vbiinvgat_s);
          (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
          (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
          (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
          (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
          (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
          (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
          (model_.cjobot) = (model_.cjobot_s);
          (model_.cjosti) = (model_.cjosti_s);
          (model_.cjogat) = (model_.cjogat_s);
          (model_.qprefbot) = (model_.qprefbot_s);
          (model_.qprefsti) = (model_.qprefsti_s);
          (model_.qprefgat) = (model_.qprefgat_s);
          (model_.qpref2bot) = (model_.qpref2bot_s);
          (model_.qpref2sti) = (model_.qpref2sti_s);
          (model_.qpref2gat) = (model_.qpref2gat_s);
          (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
          (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
          (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
          (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
          (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
          (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
          (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
          (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
          (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
          (model_.deltaEbot) = (model_.deltaEbot_s);
          (model_.deltaEsti) = (model_.deltaEsti_s);
          (model_.deltaEgat) = (model_.deltaEgat_s);
          (model_.atatbot) = (model_.atatbot_s);
          (model_.atatsti) = (model_.atatsti_s);
          (model_.atatgat) = (model_.atatgat_s);
          (model_.btatpartbot) = (model_.btatpartbot_s);
          (model_.btatpartsti) = (model_.btatpartsti_s);
          (model_.btatpartgat) = (model_.btatpartgat_s);
          (model_.fbbtbot) = (model_.fbbtbot_s);
          (model_.fbbtsti) = (model_.fbbtsti_s);
          (model_.fbbtgat) = (model_.fbbtgat_s);
          (model_.fbbtbot) = (model_.fbbtbot_s);
          (model_.fbbtsti) = (model_.fbbtsti_s);
          (model_.fbbtgat) = (model_.fbbtgat_s);
          (model_.fstopbot) = (model_.fstopbot_s);
          (model_.fstopsti) = (model_.fstopsti_s);
          (model_.fstopgat) = (model_.fstopgat_s);
          (model_.VBRinvbot) = (model_.VBRinvbot_s);
          (model_.VBRinvsti) = (model_.VBRinvsti_s);
          (model_.VBRinvgat) = (model_.VBRinvgat_s);
          (model_.slopebot) = (model_.slopebot_s);
          (model_.slopesti) = (model_.slopesti_s);
          (model_.slopegat) = (model_.slopegat_s);
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (Vjun_s+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vjv = (2.0*((Vjun_s*vfmin_s)/(h3+h5)));
          if ((zflagbot_s>0.5))
          {
            if (((model_.one_minus_PBOT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvbot))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvbot))),(model_.one_minus_PBOT));
            }
            qjunbot_s = (((model_.qprefbot)*(1-tmpv))+((model_.qpref2bot)*(Vjun_s-vjv)));
          }
          if ((zflagsti_s>0.5))
          {
            if (((model_.one_minus_PSTI)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvsti))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvsti))),(model_.one_minus_PSTI));
            }
            qjunsti_s = (((model_.qprefsti)*(1-tmpv))+((model_.qpref2sti)*(Vjun_s-vjv)));
          }
          if ((zflaggat_s>0.5))
          {
            if (((model_.one_minus_PGAT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvgat))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvgat))),(model_.one_minus_PGAT));
            }
            qjungat_s = (((model_.qprefgat)*(1-tmpv))+((model_.qpref2gat)*(Vjun_s-vjv)));
          }
          (model_.CJORBOT_i) = (model_.CJORBOTD_i);
          (model_.CJORSTI_i) = (model_.CJORSTID_i);
          (model_.CJORGAT_i) = (model_.CJORGATD_i);
          (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
          (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
          (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
          (model_.PBOT_i) = (model_.PBOTD_i);
          (model_.PSTI_i) = (model_.PSTID_i);
          (model_.PGAT_i) = (model_.PGATD_i);
          (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
          (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
          (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
          (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
          (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
          (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
          (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
          (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
          (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
          (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
          (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
          (model_.CTATBOT_i) = (model_.CTATBOTD_i);
          (model_.CTATSTI_i) = (model_.CTATSTID_i);
          (model_.CTATGAT_i) = (model_.CTATGATD_i);
          (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
          (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
          (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
          (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
          (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
          (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
          (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
          (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
          (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
          (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
          (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
          (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
          (model_.VBRBOT_i) = (model_.VBRBOTD_i);
          (model_.VBRSTI_i) = (model_.VBRSTID_i);
          (model_.VBRGAT_i) = (model_.VBRGATD_i);
          (model_.PBRBOT_i) = (model_.PBRBOTD_i);
          (model_.PBRSTI_i) = (model_.PBRSTID_i);
          (model_.PBRGAT_i) = (model_.PBRGATD_i);
          (model_.VJUNREF_i) = (model_.VJUNREFD_i);
          (model_.FJUNQ_i) = (model_.FJUNQD_i);
          (model_.phigrbot) = (model_.phigrbot_d);
          (model_.phigrsti) = (model_.phigrsti_d);
          (model_.phigrgat) = (model_.phigrgat_d);
          (model_.phigdbot) = (model_.phigdbot_d);
          (model_.phigdsti) = (model_.phigdsti_d);
          (model_.phigdgat) = (model_.phigdgat_d);
          (model_.ftdbot) = (model_.ftdbot_d);
          (model_.ftdsti) = (model_.ftdsti_d);
          (model_.ftdgat) = (model_.ftdgat_d);
          (model_.idsatbot) = (model_.idsatbot_d);
          (model_.idsatsti) = (model_.idsatsti_d);
          (model_.idsatgat) = (model_.idsatgat_d);
          (model_.ubibot) = (model_.ubibot_d);
          (model_.ubisti) = (model_.ubisti_d);
          (model_.ubigat) = (model_.ubigat_d);
          (model_.vbibot) = (model_.vbibot_d);
          (model_.vbisti) = (model_.vbisti_d);
          (model_.vbigat) = (model_.vbigat_d);
          (model_.vbiinvbot) = (model_.vbiinvbot_d);
          (model_.vbiinvsti) = (model_.vbiinvsti_d);
          (model_.vbiinvgat) = (model_.vbiinvgat_d);
          (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
          (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
          (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
          (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
          (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
          (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
          (model_.cjobot) = (model_.cjobot_d);
          (model_.cjosti) = (model_.cjosti_d);
          (model_.cjogat) = (model_.cjogat_d);
          (model_.qprefbot) = (model_.qprefbot_d);
          (model_.qprefsti) = (model_.qprefsti_d);
          (model_.qprefgat) = (model_.qprefgat_d);
          (model_.qpref2bot) = (model_.qpref2bot_d);
          (model_.qpref2sti) = (model_.qpref2sti_d);
          (model_.qpref2gat) = (model_.qpref2gat_d);
          (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
          (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
          (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
          (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
          (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
          (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
          (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
          (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
          (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
          (model_.deltaEbot) = (model_.deltaEbot_d);
          (model_.deltaEsti) = (model_.deltaEsti_d);
          (model_.deltaEgat) = (model_.deltaEgat_d);
          (model_.atatbot) = (model_.atatbot_d);
          (model_.atatsti) = (model_.atatsti_d);
          (model_.atatgat) = (model_.atatgat_d);
          (model_.btatpartbot) = (model_.btatpartbot_d);
          (model_.btatpartsti) = (model_.btatpartsti_d);
          (model_.btatpartgat) = (model_.btatpartgat_d);
          (model_.fbbtbot) = (model_.fbbtbot_d);
          (model_.fbbtsti) = (model_.fbbtsti_d);
          (model_.fbbtgat) = (model_.fbbtgat_d);
          (model_.fbbtbot) = (model_.fbbtbot_d);
          (model_.fbbtsti) = (model_.fbbtsti_d);
          (model_.fbbtgat) = (model_.fbbtgat_d);
          (model_.fstopbot) = (model_.fstopbot_d);
          (model_.fstopsti) = (model_.fstopsti_d);
          (model_.fstopgat) = (model_.fstopgat_d);
          (model_.VBRinvbot) = (model_.VBRinvbot_d);
          (model_.VBRinvsti) = (model_.VBRinvsti_d);
          (model_.VBRinvgat) = (model_.VBRinvgat_d);
          (model_.slopebot) = (model_.slopebot_d);
          (model_.slopesti) = (model_.slopesti_d);
          (model_.slopegat) = (model_.slopegat_d);
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (Vjun_d+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vjv = (2.0*((Vjun_d*vfmin_d)/(h3+h5)));
          if ((zflagbot_d>0.5))
          {
            if (((model_.one_minus_PBOT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvbot))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvbot))),(model_.one_minus_PBOT));
            }
            qjunbot_d = (((model_.qprefbot)*(1-tmpv))+((model_.qpref2bot)*(Vjun_d-vjv)));
          }
          if ((zflagsti_d>0.5))
          {
            if (((model_.one_minus_PSTI)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvsti))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvsti))),(model_.one_minus_PSTI));
            }
            qjunsti_d = (((model_.qprefsti)*(1-tmpv))+((model_.qpref2sti)*(Vjun_d-vjv)));
          }
          if ((zflaggat_d>0.5))
          {
            if (((model_.one_minus_PGAT)==0.5))
            {
              tmpv = sqrt((1-(vjv*(model_.vbiinvgat))));
            }
            else
            {
              tmpv = pow((1-(vjv*(model_.vbiinvgat))),(model_.one_minus_PGAT));
            }
            qjungat_d = (((model_.qprefgat)*(1-tmpv))+((model_.qpref2gat)*(Vjun_d-vjv)));
          }
        }
        // End block evaluateDynamic
      }
      else
      {
        (model_.CJORBOT_i) = (model_.CJORBOTS_i);
        (model_.CJORSTI_i) = (model_.CJORSTIS_i);
        (model_.CJORGAT_i) = (model_.CJORGATS_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTS_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTIS_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATS_i);
        (model_.PBOT_i) = (model_.PBOTS_i);
        (model_.PSTI_i) = (model_.PSTIS_i);
        (model_.PGAT_i) = (model_.PGATS_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTS_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTIS_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATS_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTS_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTIS_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATS_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTS_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTIS_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATS_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTIS_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATS_i);
        (model_.CTATBOT_i) = (model_.CTATBOTS_i);
        (model_.CTATSTI_i) = (model_.CTATSTIS_i);
        (model_.CTATGAT_i) = (model_.CTATGATS_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTS_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTIS_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATS_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTS_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTIS_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATS_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTS_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTIS_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATS_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTS_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTIS_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATS_i);
        (model_.VBRBOT_i) = (model_.VBRBOTS_i);
        (model_.VBRSTI_i) = (model_.VBRSTIS_i);
        (model_.VBRGAT_i) = (model_.VBRGATS_i);
        (model_.PBRBOT_i) = (model_.PBRBOTS_i);
        (model_.PBRSTI_i) = (model_.PBRSTIS_i);
        (model_.PBRGAT_i) = (model_.PBRGATS_i);
        (model_.VJUNREF_i) = (model_.VJUNREFS_i);
        (model_.FJUNQ_i) = (model_.FJUNQS_i);
        (model_.phigrbot) = (model_.phigrbot_s);
        (model_.phigrsti) = (model_.phigrsti_s);
        (model_.phigrgat) = (model_.phigrgat_s);
        (model_.phigdbot) = (model_.phigdbot_s);
        (model_.phigdsti) = (model_.phigdsti_s);
        (model_.phigdgat) = (model_.phigdgat_s);
        (model_.ftdbot) = (model_.ftdbot_s);
        (model_.ftdsti) = (model_.ftdsti_s);
        (model_.ftdgat) = (model_.ftdgat_s);
        (model_.idsatbot) = (model_.idsatbot_s);
        (model_.idsatsti) = (model_.idsatsti_s);
        (model_.idsatgat) = (model_.idsatgat_s);
        (model_.ubibot) = (model_.ubibot_s);
        (model_.ubisti) = (model_.ubisti_s);
        (model_.ubigat) = (model_.ubigat_s);
        (model_.vbibot) = (model_.vbibot_s);
        (model_.vbisti) = (model_.vbisti_s);
        (model_.vbigat) = (model_.vbigat_s);
        (model_.vbiinvbot) = (model_.vbiinvbot_s);
        (model_.vbiinvsti) = (model_.vbiinvsti_s);
        (model_.vbiinvgat) = (model_.vbiinvgat_s);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_s);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_s);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_s);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_s);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_s);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_s);
        (model_.cjobot) = (model_.cjobot_s);
        (model_.cjosti) = (model_.cjosti_s);
        (model_.cjogat) = (model_.cjogat_s);
        (model_.qprefbot) = (model_.qprefbot_s);
        (model_.qprefsti) = (model_.qprefsti_s);
        (model_.qprefgat) = (model_.qprefgat_s);
        (model_.qpref2bot) = (model_.qpref2bot_s);
        (model_.qpref2sti) = (model_.qpref2sti_s);
        (model_.qpref2gat) = (model_.qpref2gat_s);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_s);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_s);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_s);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_s);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_s);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_s);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_s);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_s);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_s);
        (model_.deltaEbot) = (model_.deltaEbot_s);
        (model_.deltaEsti) = (model_.deltaEsti_s);
        (model_.deltaEgat) = (model_.deltaEgat_s);
        (model_.atatbot) = (model_.atatbot_s);
        (model_.atatsti) = (model_.atatsti_s);
        (model_.atatgat) = (model_.atatgat_s);
        (model_.btatpartbot) = (model_.btatpartbot_s);
        (model_.btatpartsti) = (model_.btatpartsti_s);
        (model_.btatpartgat) = (model_.btatpartgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fbbtbot) = (model_.fbbtbot_s);
        (model_.fbbtsti) = (model_.fbbtsti_s);
        (model_.fbbtgat) = (model_.fbbtgat_s);
        (model_.fstopbot) = (model_.fstopbot_s);
        (model_.fstopsti) = (model_.fstopsti_s);
        (model_.fstopgat) = (model_.fstopgat_s);
        (model_.VBRinvbot) = (model_.VBRinvbot_s);
        (model_.VBRinvsti) = (model_.VBRinvsti_s);
        (model_.VBRinvgat) = (model_.VBRinvgat_s);
        (model_.slopebot) = (model_.slopebot_s);
        (model_.slopesti) = (model_.slopesti_s);
        (model_.slopegat) = (model_.slopegat_s);
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABSOURCE_i==0)&&(LSSOURCE_i==0))&&(LGSOURCE_i==0))))
        {
          h1 = ((4.0*vch_s)*vch_s);
          h2 = (vch_s/vfmin_s);
          h2d = (Vjun_s+(vch_s*h2));
          h3 = (vfmin_s+h2d);
          h4 = (vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((Vjun_s*vfmin_s)/(h3+h5)));
          if ((Vjun_s<VMAX_s))
          {
            if ((fabs((0.5*(Vjun_s*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(Vjun_s*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(Vjun_s*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(Vjun_s*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_s*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((Vjun_s-VMAX_s)*(model_.phitdinv)))*exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((Vjun_s>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-Vjun_s)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_s-two_psistar);
          vjsrh = (0.5*((Vjun_s+vjlim)-sqrt((((Vjun_s-vjlim)*(Vjun_s-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((Vjun_s+vbbtlim_s)-sqrt((((Vjun_s-vbbtlim_s)*(Vjun_s-vbbtlim_s))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((Vjun_s)-sqrt((((Vjun_s)*(Vjun_s))+((4*1E-6)*1E-6)))));
        }
        if ((ABSOURCE_i==0))
        {
          ijunbot_s = 0;
          qjunbot_s = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot_s = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(Vjun_s-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSSOURCE_i==0))
        {
          ijunsti_s = 0;
          qjunsti_s = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti_s = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(Vjun_s-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGSOURCE_i==0))
        {
          ijungat_s = 0;
          qjungat_s = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat_s = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(Vjun_s-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        ijun_s = (((ABSOURCE_i*ijunbot_s)+(LSSOURCE_i*ijunsti_s))+(LGSOURCE_i*ijungat_s));
        (model_.CJORBOT_i) = (model_.CJORBOTD_i);
        (model_.CJORSTI_i) = (model_.CJORSTID_i);
        (model_.CJORGAT_i) = (model_.CJORGATD_i);
        (model_.VBIRBOT_i) = (model_.VBIRBOTD_i);
        (model_.VBIRSTI_i) = (model_.VBIRSTID_i);
        (model_.VBIRGAT_i) = (model_.VBIRGATD_i);
        (model_.PBOT_i) = (model_.PBOTD_i);
        (model_.PSTI_i) = (model_.PSTID_i);
        (model_.PGAT_i) = (model_.PGATD_i);
        (model_.PHIGBOT_i) = (model_.PHIGBOTD_i);
        (model_.PHIGSTI_i) = (model_.PHIGSTID_i);
        (model_.PHIGGAT_i) = (model_.PHIGGATD_i);
        (model_.IDSATRBOT_i) = (model_.IDSATRBOTD_i);
        (model_.IDSATRSTI_i) = (model_.IDSATRSTID_i);
        (model_.IDSATRGAT_i) = (model_.IDSATRGATD_i);
        (model_.CSRHBOT_i) = (model_.CSRHBOTD_i);
        (model_.CSRHSTI_i) = (model_.CSRHSTID_i);
        (model_.CSRHGAT_i) = (model_.CSRHGATD_i);
        (model_.XJUNSTI_i) = (model_.XJUNSTID_i);
        (model_.XJUNGAT_i) = (model_.XJUNGATD_i);
        (model_.CTATBOT_i) = (model_.CTATBOTD_i);
        (model_.CTATSTI_i) = (model_.CTATSTID_i);
        (model_.CTATGAT_i) = (model_.CTATGATD_i);
        (model_.MEFFTATBOT_i) = (model_.MEFFTATBOTD_i);
        (model_.MEFFTATSTI_i) = (model_.MEFFTATSTID_i);
        (model_.MEFFTATGAT_i) = (model_.MEFFTATGATD_i);
        (model_.CBBTBOT_i) = (model_.CBBTBOTD_i);
        (model_.CBBTSTI_i) = (model_.CBBTSTID_i);
        (model_.CBBTGAT_i) = (model_.CBBTGATD_i);
        (model_.FBBTRBOT_i) = (model_.FBBTRBOTD_i);
        (model_.FBBTRSTI_i) = (model_.FBBTRSTID_i);
        (model_.FBBTRGAT_i) = (model_.FBBTRGATD_i);
        (model_.STFBBTBOT_i) = (model_.STFBBTBOTD_i);
        (model_.STFBBTSTI_i) = (model_.STFBBTSTID_i);
        (model_.STFBBTGAT_i) = (model_.STFBBTGATD_i);
        (model_.VBRBOT_i) = (model_.VBRBOTD_i);
        (model_.VBRSTI_i) = (model_.VBRSTID_i);
        (model_.VBRGAT_i) = (model_.VBRGATD_i);
        (model_.PBRBOT_i) = (model_.PBRBOTD_i);
        (model_.PBRSTI_i) = (model_.PBRSTID_i);
        (model_.PBRGAT_i) = (model_.PBRGATD_i);
        (model_.VJUNREF_i) = (model_.VJUNREFD_i);
        (model_.FJUNQ_i) = (model_.FJUNQD_i);
        (model_.phigrbot) = (model_.phigrbot_d);
        (model_.phigrsti) = (model_.phigrsti_d);
        (model_.phigrgat) = (model_.phigrgat_d);
        (model_.phigdbot) = (model_.phigdbot_d);
        (model_.phigdsti) = (model_.phigdsti_d);
        (model_.phigdgat) = (model_.phigdgat_d);
        (model_.ftdbot) = (model_.ftdbot_d);
        (model_.ftdsti) = (model_.ftdsti_d);
        (model_.ftdgat) = (model_.ftdgat_d);
        (model_.idsatbot) = (model_.idsatbot_d);
        (model_.idsatsti) = (model_.idsatsti_d);
        (model_.idsatgat) = (model_.idsatgat_d);
        (model_.ubibot) = (model_.ubibot_d);
        (model_.ubisti) = (model_.ubisti_d);
        (model_.ubigat) = (model_.ubigat_d);
        (model_.vbibot) = (model_.vbibot_d);
        (model_.vbisti) = (model_.vbisti_d);
        (model_.vbigat) = (model_.vbigat_d);
        (model_.vbiinvbot) = (model_.vbiinvbot_d);
        (model_.vbiinvsti) = (model_.vbiinvsti_d);
        (model_.vbiinvgat) = (model_.vbiinvgat_d);
        (model_.one_minus_PBOT) = (model_.one_minus_PBOT_d);
        (model_.one_minus_PSTI) = (model_.one_minus_PSTI_d);
        (model_.one_minus_PGAT) = (model_.one_minus_PGAT_d);
        (model_.one_over_one_minus_PBOT) = (model_.one_over_one_minus_PBOT_d);
        (model_.one_over_one_minus_PSTI) = (model_.one_over_one_minus_PSTI_d);
        (model_.one_over_one_minus_PGAT) = (model_.one_over_one_minus_PGAT_d);
        (model_.cjobot) = (model_.cjobot_d);
        (model_.cjosti) = (model_.cjosti_d);
        (model_.cjogat) = (model_.cjogat_d);
        (model_.qprefbot) = (model_.qprefbot_d);
        (model_.qprefsti) = (model_.qprefsti_d);
        (model_.qprefgat) = (model_.qprefgat_d);
        (model_.qpref2bot) = (model_.qpref2bot_d);
        (model_.qpref2sti) = (model_.qpref2sti_d);
        (model_.qpref2gat) = (model_.qpref2gat_d);
        (model_.wdepnulrbot) = (model_.wdepnulrbot_d);
        (model_.wdepnulrsti) = (model_.wdepnulrsti_d);
        (model_.wdepnulrgat) = (model_.wdepnulrgat_d);
        (model_.wdepnulrinvbot) = (model_.wdepnulrinvbot_d);
        (model_.wdepnulrinvsti) = (model_.wdepnulrinvsti_d);
        (model_.wdepnulrinvgat) = (model_.wdepnulrinvgat_d);
        (model_.VBIRBOTinv) = (model_.VBIRBOTinv_d);
        (model_.VBIRSTIinv) = (model_.VBIRSTIinv_d);
        (model_.VBIRGATinv) = (model_.VBIRGATinv_d);
        (model_.deltaEbot) = (model_.deltaEbot_d);
        (model_.deltaEsti) = (model_.deltaEsti_d);
        (model_.deltaEgat) = (model_.deltaEgat_d);
        (model_.atatbot) = (model_.atatbot_d);
        (model_.atatsti) = (model_.atatsti_d);
        (model_.atatgat) = (model_.atatgat_d);
        (model_.btatpartbot) = (model_.btatpartbot_d);
        (model_.btatpartsti) = (model_.btatpartsti_d);
        (model_.btatpartgat) = (model_.btatpartgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fbbtbot) = (model_.fbbtbot_d);
        (model_.fbbtsti) = (model_.fbbtsti_d);
        (model_.fbbtgat) = (model_.fbbtgat_d);
        (model_.fstopbot) = (model_.fstopbot_d);
        (model_.fstopsti) = (model_.fstopsti_d);
        (model_.fstopgat) = (model_.fstopgat_d);
        (model_.VBRinvbot) = (model_.VBRinvbot_d);
        (model_.VBRinvsti) = (model_.VBRinvsti_d);
        (model_.VBRinvgat) = (model_.VBRinvgat_d);
        (model_.slopebot) = (model_.slopebot_d);
        (model_.slopesti) = (model_.slopesti_d);
        (model_.slopegat) = (model_.slopegat_d);
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((ABDRAIN_i==0)&&(LSDRAIN_i==0))&&(LGDRAIN_i==0))))
        {
          h1 = ((4.0*vch_d)*vch_d);
          h2 = (vch_d/vfmin_d);
          h2d = (Vjun_d+(vch_d*h2));
          h3 = (vfmin_d+h2d);
          h4 = (vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((Vjun_d*vfmin_d)/(h3+h5)));
          if ((Vjun_d<VMAX_d))
          {
            if ((fabs((0.5*(Vjun_d*(model_.phitdinv))))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(Vjun_d*(model_.phitdinv))));
            }
            else
            {
              if (((0.5*(Vjun_d*(model_.phitdinv)))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*(model_.phitdinv))))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*(model_.phitdinv))))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*(model_.phitdinv))))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(Vjun_d*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_d*(model_.phitdinv)))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*(model_.phitdinv)))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((Vjun_d-VMAX_d)*(model_.phitdinv)))*exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((Vjun_d>0))
          {
            two_psistar = (2.0*((model_.phitd)*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-Vjun_d)+(2.0*((model_.phitd)*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (vbimin_d-two_psistar);
          vjsrh = (0.5*((Vjun_d+vjlim)-sqrt((((Vjun_d-vjlim)*(Vjun_d-vjlim))+((4*(model_.phitd))*(model_.phitd))))));
          vbbt = (0.5*((Vjun_d+vbbtlim_d)-sqrt((((Vjun_d-vbbtlim_d)*(Vjun_d-vbbtlim_d))+((4*(model_.phitr))*(model_.phitr))))));
          vav = (0.5*((Vjun_d)-sqrt((((Vjun_d)*(Vjun_d))+((4*1E-6)*1E-6)))));
        }
        if ((ABDRAIN_i==0))
        {
          ijunbot_d = 0;
          qjunbot_d = 0;
        }
        else
        {
          if (((model_.one_minus_PBOT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvbot))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvbot))),(model_.one_minus_PBOT));
          }
          qjunbot_d = (((model_.qprefbot)*(1-tmp))+((model_.qpref2bot)*(Vjun_d-vj)));
          id = ((model_.idsatbot)*idmult);
          if ((((model_.CSRHBOT_i)==0)&&((model_.CTATBOT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbibot)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PBOT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PBOT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            wdep = ((model_.wdepnulrbot)*tmp);
            asrh = ((model_.ftdbot)*((zinv-1)*wdep));
            isrh = ((model_.CSRHBOT_i)*(asrh*wsrh));
          }
          if (((model_.CTATBOT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartbot)*((wdep*(model_.one_minus_PBOT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatbot))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PBOT_i))*(model_.one_over_one_minus_PBOT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatbot)*twoatatoverthreebtat)*sqrtumax)-((model_.atatbot)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatbot)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATBOT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTBOT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PBOT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRBOT_i)-vbbt)*(model_.VBIRBOTinv)),(model_.PBOT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PBOT)*((((model_.VBIRBOT_i)-vbbt)*(model_.wdepnulrinvbot))/tmp));
            if ((fabs(((-(model_.fbbtbot))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtbot))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtbot))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtbot))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtbot))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTBOT_i)*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRBOT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRBOT_i))))
            {
              if (((model_.PBRBOT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvbot)))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))))*fabs((vav*(model_.VBRinvbot))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvbot))),(model_.PBRBOT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopbot)+((vav+(0.999*(model_.VBRBOT_i)))*(model_.slopebot)));
            }
          }
          ijunbot_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LSDRAIN_i==0))
        {
          ijunsti_d = 0;
          qjunsti_d = 0;
        }
        else
        {
          if (((model_.one_minus_PSTI)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvsti))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvsti))),(model_.one_minus_PSTI));
          }
          qjunsti_d = (((model_.qprefsti)*(1-tmp))+((model_.qpref2sti)*(Vjun_d-vj)));
          id = ((model_.idsatsti)*idmult);
          if ((((model_.CSRHSTI_i)==0)&&((model_.CTATSTI_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbisti)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PSTI_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PSTI_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            wdep = ((model_.wdepnulrsti)*tmp);
            asrh = ((model_.ftdsti)*((zinv-1)*wdep));
            isrh = ((model_.CSRHSTI_i)*(asrh*wsrh));
          }
          if (((model_.CTATSTI_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartsti)*((wdep*(model_.one_minus_PSTI))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatsti))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PSTI_i))*(model_.one_over_one_minus_PSTI)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatsti)*twoatatoverthreebtat)*sqrtumax)-((model_.atatsti)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatsti)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATSTI_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTSTI_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PSTI_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRSTI_i)-vbbt)*(model_.VBIRSTIinv)),(model_.PSTI_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PSTI)*((((model_.VBIRSTI_i)-vbbt)*(model_.wdepnulrinvsti))/tmp));
            if ((fabs(((-(model_.fbbtsti))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtsti))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtsti))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtsti))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtsti))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTSTI_i)*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRSTI_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRSTI_i))))
            {
              if (((model_.PBRSTI_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvsti)))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))))*fabs((vav*(model_.VBRinvsti))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvsti))),(model_.PBRSTI_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopsti)+((vav+(0.999*(model_.VBRSTI_i)))*(model_.slopesti)));
            }
          }
          ijunsti_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((LGDRAIN_i==0))
        {
          ijungat_d = 0;
          qjungat_d = 0;
        }
        else
        {
          if (((model_.one_minus_PGAT)==0.5))
          {
            tmp = sqrt((1-(vj*(model_.vbiinvgat))));
          }
          else
          {
            tmp = pow((1-(vj*(model_.vbiinvgat))),(model_.one_minus_PGAT));
          }
          qjungat_d = (((model_.qprefgat)*(1-tmp))+((model_.qpref2gat)*(Vjun_d-vj)));
          id = ((model_.idsatgat)*idmult);
          if ((((model_.CSRHGAT_i)==0)&&((model_.CTATGAT_i)==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = ((model_.vbigat)-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if (((model_.PGAT_i)==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*(model_.PGAT_i))));
            }
            wsrh = (wsrhstep+dwsrh);
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            wdep = ((model_.wdepnulrgat)*tmp);
            asrh = ((model_.ftdgat)*((zinv-1)*wdep));
            isrh = ((model_.CSRHGAT_i)*(asrh*wsrh));
          }
          if (((model_.CTATGAT_i)==0))
          {
            itat = 0;
          }
          else
          {
            btat = ((model_.btatpartgat)*((wdep*(model_.one_minus_PGAT))/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*(model_.atatgat))/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT))==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-(model_.PGAT_i))*(model_.one_over_one_minus_PGAT)));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = (((((model_.atatgat)*twoatatoverthreebtat)*sqrtumax)-((model_.atatgat)*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+((model_.perfc)*xerfc)));
            }
            else
            {
              terfc = (1/(1-((model_.perfc)*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+((model_.berfc)*(terfc*terfc)))+((model_.cerfc)*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*(((model_.atatgat)*erfctimesexpmtat)/ktat));
            itat = ((model_.CTATGAT_i)*((asrh*gammamax)*wtat));
          }
          if (((model_.CBBTGAT_i)==0))
          {
            ibbt = 0;
          }
          else
          {
            if (((model_.PGAT_i)==0.5))
            {
              tmp = sqrt((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)));
            }
            else
            {
              tmp = pow((((model_.VBIRGAT_i)-vbbt)*(model_.VBIRGATinv)),(model_.PGAT_i));
            }
            Fmaxr = ((model_.one_over_one_minus_PGAT)*((((model_.VBIRGAT_i)-vbbt)*(model_.wdepnulrinvgat))/tmp));
            if ((fabs(((-(model_.fbbtgat))/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-(model_.fbbtgat))/Fmaxr));
            }
            else
            {
              if ((((-(model_.fbbtgat))/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-(model_.fbbtgat))/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-(model_.fbbtgat))/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = ((model_.CBBTGAT_i)*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if (((model_.VBRGAT_i)>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*(model_.VBRGAT_i))))
            {
              if (((model_.PBRGAT_i)==4))
              {
                tmp = (((fabs((vav*(model_.VBRinvgat)))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))))*fabs((vav*(model_.VBRinvgat))));
              }
              else
              {
                tmp = pow(fabs((vav*(model_.VBRinvgat))),(model_.PBRGAT_i));
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = ((model_.fstopgat)+((vav+(0.999*(model_.VBRGAT_i)))*(model_.slopegat)));
            }
          }
          ijungat_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        ijun_d = (((ABDRAIN_i*ijunbot_d)+(LSDRAIN_i*ijunsti_d))+(LGDRAIN_i*ijungat_d));
      }
    }
  }
  // End block evaluateStaticDynamic
  //Begin block loadStatic
  {
    Idse = (MULT_i*Ids);
    Igbe = (MULT_i*Igb);
    Igcse = (MULT_i*Igcs);
    Igcde = (MULT_i*Igcd);
    Igsove = (MULT_i*Igsov);
    Igdove = (MULT_i*Igdov);
    Igidle = (MULT_i*Igidl);
    Igisle = (MULT_i*Igisl);
    Iimpacte = (MULT_i*Iimpact);
    ijun_s = (MULT_i*ijun_s);
    ijun_d = (MULT_i*ijun_d);
    if ((sigVds>0))
    {
      // I(DI,BP) <+ ((CHNL_TYPE*Iimpacte))
      staticContributions[admsNodeID_DI] += ((model_.CHNL_TYPE)*Iimpacte);
      staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Iimpacte);
      // I(DI,SI) <+ ((CHNL_TYPE*Idse))
      staticContributions[admsNodeID_DI] += ((model_.CHNL_TYPE)*Idse);
      staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Idse);
      // I(GP,SI) <+ ((CHNL_TYPE*Igcse))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcse);
      staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Igcse);
      // I(GP,DI) <+ ((CHNL_TYPE*Igcde))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcde);
      staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Igcde);
    }
    else
    {
      // I(SI,BP) <+ ((CHNL_TYPE*Iimpacte))
      staticContributions[admsNodeID_SI] += ((model_.CHNL_TYPE)*Iimpacte);
      staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Iimpacte);
      // I(SI,DI) <+ ((CHNL_TYPE*Idse))
      staticContributions[admsNodeID_SI] += ((model_.CHNL_TYPE)*Idse);
      staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Idse);
      // I(GP,DI) <+ ((CHNL_TYPE*Igcse))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcse);
      staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Igcse);
      // I(GP,SI) <+ ((CHNL_TYPE*Igcde))
      staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igcde);
      staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Igcde);
    }
    // I(GP,BP) <+ ((CHNL_TYPE*Igbe))
    staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igbe);
    staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Igbe);
    // I(GP,SI) <+ ((CHNL_TYPE*Igsove))
    staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igsove);
    staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*Igsove);
    // I(GP,DI) <+ ((CHNL_TYPE*Igdove))
    staticContributions[admsNodeID_GP] += ((model_.CHNL_TYPE)*Igdove);
    staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*Igdove);
    // I(SI,BP) <+ ((CHNL_TYPE*Igisle))
    staticContributions[admsNodeID_SI] += ((model_.CHNL_TYPE)*Igisle);
    staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Igisle);
    // I(DI,BP) <+ ((CHNL_TYPE*Igidle))
    staticContributions[admsNodeID_DI] += ((model_.CHNL_TYPE)*Igidle);
    staticContributions[admsNodeID_BP] -= ((model_.CHNL_TYPE)*Igidle);
    // I(BS,SI) <+ ((CHNL_TYPE*ijun_s))
    staticContributions[admsNodeID_BS] += ((model_.CHNL_TYPE)*ijun_s);
    staticContributions[admsNodeID_SI] -= ((model_.CHNL_TYPE)*ijun_s);
    // I(BD,DI) <+ ((CHNL_TYPE*ijun_d))
    staticContributions[admsNodeID_BD] += ((model_.CHNL_TYPE)*ijun_d);
    staticContributions[admsNodeID_DI] -= ((model_.CHNL_TYPE)*ijun_d);
    rgatenoise = (((model_.nt0)*MULT_i)*ggate);
    rsourcenoise = (((model_.nt0)*MULT_i)*gsource);
    rdrainnoise = (((model_.nt0)*MULT_i)*gdrain);
    rbulknoise = (((model_.nt0)*MULT_i)*gbulk);
    rjunsnoise = (((model_.nt0)*MULT_i)*gjuns);
    rjundnoise = (((model_.nt0)*MULT_i)*gjund);
    rwellnoise = (((model_.nt0)*MULT_i)*gwell);
    if ((RG_i>0.0))
    {
      // I(G,GP) <+ (((MULT_i*ggate)*V(G,GP)))
      staticContributions[admsNodeID_G] += ((MULT_i*ggate)*(probeVars[admsProbeID_V_G_GP]));
      staticContributions[admsNodeID_GP] -= ((MULT_i*ggate)*(probeVars[admsProbeID_V_G_GP]));
      // I(G,GP) <+ (white_noise(rgatenoise,"rgate"))
    }
    else
    {
      // V(G,GP) <+ (0.0)
      // do nothing at all
    }
    if ((RSE_i>0.0))
    {
      // I(S,SI) <+ (((MULT_i*gsource)*V(S,SI)))
      staticContributions[admsNodeID_S] += ((MULT_i*gsource)*(probeVars[admsProbeID_V_S_SI]));
      staticContributions[admsNodeID_SI] -= ((MULT_i*gsource)*(probeVars[admsProbeID_V_S_SI]));
      // I(S,SI) <+ (white_noise(rsourcenoise,"rsource"))
    }
    else
    {
      // V(S,SI) <+ (0.0)
      // do nothing at all
    }
    if ((RDE_i>0.0))
    {
      // I(D,DI) <+ (((MULT_i*gdrain)*V(D,DI)))
      staticContributions[admsNodeID_D] += ((MULT_i*gdrain)*(probeVars[admsProbeID_V_D_DI]));
      staticContributions[admsNodeID_DI] -= ((MULT_i*gdrain)*(probeVars[admsProbeID_V_D_DI]));
      // I(D,DI) <+ (white_noise(rdrainnoise,"rdrain"))
    }
    else
    {
      // V(D,DI) <+ (0.0)
      // do nothing at all
    }
    if ((RBULK_i>0.0))
    {
      // I(BP,BI) <+ (((MULT_i*gbulk)*V(BP,BI)))
      staticContributions[admsNodeID_BP] += ((MULT_i*gbulk)*(probeVars[admsProbeID_V_BP_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gbulk)*(probeVars[admsProbeID_V_BP_BI]));
      // I(BP,BI) <+ (white_noise(rbulknoise,"rbulk"))
    }
    else
    {
      // V(BP,BI) <+ (0.0)
      // do nothing at all
    }
    if ((RJUNS_i>0.0))
    {
      // I(BS,BI) <+ (((MULT_i*gjuns)*V(BS,BI)))
      staticContributions[admsNodeID_BS] += ((MULT_i*gjuns)*(probeVars[admsProbeID_V_BS_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gjuns)*(probeVars[admsProbeID_V_BS_BI]));
      // I(BS,BI) <+ (white_noise(rjunsnoise,"rjuns"))
    }
    else
    {
      // V(BS,BI) <+ (0.0)
      // do nothing at all
    }
    if ((RJUND_i>0.0))
    {
      // I(BD,BI) <+ (((MULT_i*gjund)*V(BD,BI)))
      staticContributions[admsNodeID_BD] += ((MULT_i*gjund)*(probeVars[admsProbeID_V_BD_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gjund)*(probeVars[admsProbeID_V_BD_BI]));
      // I(BD,BI) <+ (white_noise(rjundnoise,"rjund"))
    }
    else
    {
      // V(BD,BI) <+ (0.0)
      // do nothing at all
    }
    if ((RWELL_i>0.0))
    {
      // I(B,BI) <+ (((MULT_i*gwell)*V(B,BI)))
      staticContributions[admsNodeID_B] += ((MULT_i*gwell)*(probeVars[admsProbeID_V_B_BI]));
      staticContributions[admsNodeID_BI] -= ((MULT_i*gwell)*(probeVars[admsProbeID_V_B_BI]));
      // I(B,BI) <+ (white_noise(rwellnoise,"rwell"))
    }
    else
    {
      // V(B,BI) <+ (0.0)
      // do nothing at all
    }
    // I(DI,SI) <+ ((1E-15*V(DI,SI)))
    staticContributions[admsNodeID_DI] += (1E-15*(probeVars[admsProbeID_V_DI_SI]));
    staticContributions[admsNodeID_SI] -= (1E-15*(probeVars[admsProbeID_V_DI_SI]));
  }
  // End block loadStatic
  //Begin block loadDynamic
  {
    Qg = (MULT_i*Qg);
    Qb = (MULT_i*Qb);
    Qd = (MULT_i*Qd);
    Qs = (-((Qg+Qb)+Qd));
    Qfgs = (MULT_i*(Qfgs+Qgs_ov));
    Qfgd = (MULT_i*(Qfgd+Qgd_ov));
    Qgb_ov = (MULT_i*Qgb_ov);
    qjun_s = (MULT_i*(((ABSOURCE_i*qjunbot_s)+(LSSOURCE_i*qjunsti_s))+(LGSOURCE_i*qjungat_s)));
    qjun_d = (MULT_i*(((ABDRAIN_i*qjunbot_d)+(LSDRAIN_i*qjunsti_d))+(LGDRAIN_i*qjungat_d)));
    if ((sigVds<0))
    {
      temp = Qd;
      Qd = Qs;
      Qs = temp;
    }
    // I(GP,SI) <+ (ddt((CHNL_TYPE*Qg)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qg));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qg));
    // I(BP,SI) <+ (ddt((CHNL_TYPE*Qb)))
    dynamicContributions[admsNodeID_BP] += (((model_.CHNL_TYPE)*Qb));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qb));
    // I(DI,SI) <+ (ddt((CHNL_TYPE*Qd)))
    dynamicContributions[admsNodeID_DI] += (((model_.CHNL_TYPE)*Qd));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qd));
    // I(GP,SI) <+ (ddt((CHNL_TYPE*Qfgs)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qfgs));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*Qfgs));
    // I(GP,DI) <+ (ddt((CHNL_TYPE*Qfgd)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qfgd));
    dynamicContributions[admsNodeID_DI] -= (((model_.CHNL_TYPE)*Qfgd));
    // I(GP,BP) <+ (ddt((CHNL_TYPE*Qgb_ov)))
    dynamicContributions[admsNodeID_GP] += (((model_.CHNL_TYPE)*Qgb_ov));
    dynamicContributions[admsNodeID_BP] -= (((model_.CHNL_TYPE)*Qgb_ov));
    // I(BS,SI) <+ (ddt((CHNL_TYPE*qjun_s)))
    dynamicContributions[admsNodeID_BS] += (((model_.CHNL_TYPE)*qjun_s));
    dynamicContributions[admsNodeID_SI] -= (((model_.CHNL_TYPE)*qjun_s));
    // I(BD,DI) <+ (ddt((CHNL_TYPE*qjun_d)))
    dynamicContributions[admsNodeID_BD] += (((model_.CHNL_TYPE)*qjun_d));
    dynamicContributions[admsNodeID_DI] -= (((model_.CHNL_TYPE)*qjun_d));
  }
  // End block loadDynamic


  // -- endcode converted from analog/code block
  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << " probeVars[admsProbeID_V_DI_BD] =  "
                 <<probeVars[admsProbeID_V_DI_BD].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_SI_BS] =  "
                 <<probeVars[admsProbeID_V_SI_BS].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_SI_BP] =  "
                 <<probeVars[admsProbeID_V_SI_BP].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_DI_SI] =  "
                 <<probeVars[admsProbeID_V_DI_SI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_GP_SI] =  "
                 <<probeVars[admsProbeID_V_GP_SI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_B_BI] =  "
                 <<probeVars[admsProbeID_V_B_BI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_BP_BI] =  "
                 <<probeVars[admsProbeID_V_BP_BI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_BD_BI] =  "
                 <<probeVars[admsProbeID_V_BD_BI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_BS_BI] =  "
                 <<probeVars[admsProbeID_V_BS_BI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_D_DI] =  "
                 <<probeVars[admsProbeID_V_D_DI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_S_SI] =  "
                 <<probeVars[admsProbeID_V_S_SI].val() << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_G_GP] =  "
                 <<probeVars[admsProbeID_V_G_GP].val() << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_D] =  "
                 <<staticContributions[admsNodeID_D].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_D] =  "
                 <<dynamicContributions[admsNodeID_D].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_D].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_G] =  "
                 <<staticContributions[admsNodeID_G].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_G] =  "
                 <<dynamicContributions[admsNodeID_G].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_G].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_S] =  "
                 <<staticContributions[admsNodeID_S].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_S] =  "
                 <<dynamicContributions[admsNodeID_S].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_S].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_B] =  "
                 <<staticContributions[admsNodeID_B].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_B] =  "
                 <<dynamicContributions[admsNodeID_B].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_B].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_GP] =  "
                 <<staticContributions[admsNodeID_GP].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_GP] =  "
                 <<dynamicContributions[admsNodeID_GP].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_SI] =  "
                 <<staticContributions[admsNodeID_SI].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_SI] =  "
                 <<dynamicContributions[admsNodeID_SI].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_DI] =  "
                 <<staticContributions[admsNodeID_DI].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_DI] =  "
                 <<dynamicContributions[admsNodeID_DI].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_BI] =  "
                 <<staticContributions[admsNodeID_BI].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_BI] =  "
                 <<dynamicContributions[admsNodeID_BI].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BI].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_BP] =  "
                 <<staticContributions[admsNodeID_BP].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_BP] =  "
                 <<dynamicContributions[admsNodeID_BP].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_BS] =  "
                 <<staticContributions[admsNodeID_BS].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_BS] =  "
                 <<dynamicContributions[admsNodeID_BS].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_BD] =  "
                 <<staticContributions[admsNodeID_BD].val() << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    staticContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) =  " <<staticContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_BD] =  "
                 <<dynamicContributions[admsNodeID_BD].val() << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BP) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_GP_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_B_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BP_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_BS_BI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_D_DI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_S_SI) << std::endl;
    Xyce::dout() << "    dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) =  " <<dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_G_GP) << std::endl;

    if (!origFlag)
      Xyce::dout() << "This step was limited by this device." << std::endl;
  }

  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdFdx
// Purpose       :
// Special Notes : Load the dFdx ("static jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdFdx()
{
  bool bsuccess = true;
  Linear::Matrix * dFdxMatPtr = extData.dFdxMatrixPtr;

  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << subsection_divider << std::endl;
    Xyce::dout() << "ADMSPSP103VA::Instance::loadDAEdFdx (" << getName() << "):" << std::endl;
  }
  (*f_DI_Equ_SI_Node_Ptr) +=  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_SI_Node_Ptr) += " << +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*f_DI_Equ_BP_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_BP_Node_Ptr) += " << -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*f_BP_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BP_Equ_SI_Node_Ptr) += " << -staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*f_BP_Equ_BP_Node_Ptr) +=  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BP_Equ_BP_Node_Ptr) += " << +staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI) -staticContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*f_DI_Equ_GP_Node_Ptr) +=  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_GP_Node_Ptr) += " << +staticContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
  (*f_BP_Equ_GP_Node_Ptr) +=  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BP_Equ_GP_Node_Ptr) += " << +staticContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
  (*f_DI_Equ_DI_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_DI_Node_Ptr) += " << -staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
  (*f_BP_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BP_Equ_DI_Node_Ptr) += " << +staticContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
  (*f_SI_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_SI_Node_Ptr) += " << -staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*f_SI_Equ_BP_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_BP_Node_Ptr) += " << -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*f_SI_Equ_GP_Node_Ptr) +=  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_GP_Node_Ptr) += " << +staticContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
  (*f_SI_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_DI_Node_Ptr) += " << +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
  (*f_GP_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) -staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_GP_Equ_SI_Node_Ptr) += " << -staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) -staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*f_GP_Equ_BP_Node_Ptr) +=  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_GP_Equ_BP_Node_Ptr) += " << -staticContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*f_GP_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_GP_Equ_DI_Node_Ptr) += " << +staticContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
  (*f_GP_Equ_GP_Node_Ptr) +=  -staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_GP_Equ_GP_Node_Ptr) += " << -staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP) +staticContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
  (*f_BS_Equ_SI_Node_Ptr) +=  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BS_Equ_SI_Node_Ptr) += " << +staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*f_BS_Equ_BS_Node_Ptr) +=  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BS_Equ_BS_Node_Ptr) += " << +staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*f_SI_Equ_BS_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_BS_Node_Ptr) += " << -staticContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*f_BS_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BS_Equ_DI_Node_Ptr) += " << +staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
  (*f_BS_Equ_BD_Node_Ptr) +=  -staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BS_Equ_BD_Node_Ptr) += " << -staticContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
  (*f_SI_Equ_BD_Node_Ptr) +=  -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_BD_Node_Ptr) += " << -staticContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
  (*f_BD_Equ_SI_Node_Ptr) +=  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BD_Equ_SI_Node_Ptr) += " << +staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*f_BD_Equ_BS_Node_Ptr) +=  -staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BD_Equ_BS_Node_Ptr) += " << -staticContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*f_DI_Equ_BS_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_BS_Node_Ptr) += " << -staticContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*f_BD_Equ_DI_Node_Ptr) +=  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BD_Equ_DI_Node_Ptr) += " << +staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
  (*f_BD_Equ_BD_Node_Ptr) +=  +staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BD_Equ_BD_Node_Ptr) += " << +staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
  (*f_DI_Equ_BD_Node_Ptr) +=  -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_BD_Node_Ptr) += " << -staticContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
  (*f_G_Equ_G_Node_Ptr) +=  +staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_G_Equ_G_Node_Ptr) += " << +staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP)<< std::endl;
  }
  (*f_G_Equ_GP_Node_Ptr) +=  -staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_G_Equ_GP_Node_Ptr) += " << -staticContributions[admsNodeID_G].dx(admsProbeID_V_G_GP)<< std::endl;
  }
  (*f_GP_Equ_G_Node_Ptr) +=  +staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_GP_Equ_G_Node_Ptr) += " << +staticContributions[admsNodeID_GP].dx(admsProbeID_V_G_GP)<< std::endl;
  }
  (*f_S_Equ_S_Node_Ptr) +=  +staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_S_Equ_S_Node_Ptr) += " << +staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI)<< std::endl;
  }
  (*f_S_Equ_SI_Node_Ptr) +=  -staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_S_Equ_SI_Node_Ptr) += " << -staticContributions[admsNodeID_S].dx(admsProbeID_V_S_SI)<< std::endl;
  }
  (*f_SI_Equ_S_Node_Ptr) +=  +staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_SI_Equ_S_Node_Ptr) += " << +staticContributions[admsNodeID_SI].dx(admsProbeID_V_S_SI)<< std::endl;
  }
  (*f_D_Equ_D_Node_Ptr) +=  +staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_D_Equ_D_Node_Ptr) += " << +staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI)<< std::endl;
  }
  (*f_D_Equ_DI_Node_Ptr) +=  -staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_D_Equ_DI_Node_Ptr) += " << -staticContributions[admsNodeID_D].dx(admsProbeID_V_D_DI)<< std::endl;
  }
  (*f_DI_Equ_D_Node_Ptr) +=  +staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_DI_Equ_D_Node_Ptr) += " << +staticContributions[admsNodeID_DI].dx(admsProbeID_V_D_DI)<< std::endl;
  }
  (*f_BP_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BP_Equ_BI_Node_Ptr) += " << -staticContributions[admsNodeID_BP].dx(admsProbeID_V_BP_BI)<< std::endl;
  }
  (*f_BI_Equ_BP_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BI_Equ_BP_Node_Ptr) += " << +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI)<< std::endl;
  }
  (*f_BI_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BI_Equ_BI_Node_Ptr) += " << -staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI) -staticContributions[admsNodeID_BI].dx(admsProbeID_V_BP_BI)<< std::endl;
  }
  (*f_BS_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BS_Equ_BI_Node_Ptr) += " << -staticContributions[admsNodeID_BS].dx(admsProbeID_V_BS_BI)<< std::endl;
  }
  (*f_BI_Equ_BS_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BI_Equ_BS_Node_Ptr) += " << +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BS_BI)<< std::endl;
  }
  (*f_BD_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BD_Equ_BI_Node_Ptr) += " << -staticContributions[admsNodeID_BD].dx(admsProbeID_V_BD_BI)<< std::endl;
  }
  (*f_BI_Equ_BD_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BI_Equ_BD_Node_Ptr) += " << +staticContributions[admsNodeID_BI].dx(admsProbeID_V_BD_BI)<< std::endl;
  }
  (*f_B_Equ_B_Node_Ptr) +=  +staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_B_Equ_B_Node_Ptr) += " << +staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI)<< std::endl;
  }
  (*f_B_Equ_BI_Node_Ptr) +=  -staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_B_Equ_BI_Node_Ptr) += " << -staticContributions[admsNodeID_B].dx(admsProbeID_V_B_BI)<< std::endl;
  }
  (*f_BI_Equ_B_Node_Ptr) +=  +staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*f_BI_Equ_B_Node_Ptr) += " << +staticContributions[admsNodeID_BI].dx(admsProbeID_V_B_BI)<< std::endl;
  }


  return bsuccess;
}


//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdQdx
// Purpose       :
// Special Notes : Load the dQdx ("dynamic jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdQdx()
{
  bool bsuccess = true;
  Linear::Matrix * dQdxMatPtr = extData.dQdxMatrixPtr;

  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << subsection_divider << std::endl;
    Xyce::dout() << "ADMSPSP103VA::Instance::loadDAEdQdx (" << getName() << "):" << std::endl;
  }
  (*q_DI_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_SI_Node_Ptr) += " << +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*q_DI_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_BP_Node_Ptr) += " << -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*q_BP_Equ_SI_Node_Ptr) +=  -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BP_Equ_SI_Node_Ptr) += " << -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*q_BP_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BP_Equ_BP_Node_Ptr) += " << -dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*q_DI_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_GP_Node_Ptr) += " << +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
  (*q_BP_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BP_Equ_GP_Node_Ptr) += " << +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
  (*q_DI_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
  (*q_BP_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BP_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_BP].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
  (*q_SI_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_SI_Node_Ptr) += " << +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*q_SI_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_BP_Node_Ptr) += " << -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*q_SI_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_GP_Node_Ptr) += " << +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
  (*q_SI_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD) +dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
  (*q_GP_Equ_SI_Node_Ptr) +=  -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_GP_Equ_SI_Node_Ptr) += " << -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI) -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI) +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*q_GP_Equ_BP_Node_Ptr) +=  -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_GP_Equ_BP_Node_Ptr) += " << -dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_SI_BP)<< std::endl;
  }
  (*q_GP_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_GP_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_DI_SI)<< std::endl;
  }
  (*q_GP_Equ_GP_Node_Ptr) +=  +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_GP_Equ_GP_Node_Ptr) += " << +dynamicContributions[admsNodeID_GP].dx(admsProbeID_V_GP_SI)<< std::endl;
  }
  (*q_BS_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BS_Equ_SI_Node_Ptr) += " << +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*q_BS_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BS_Equ_BS_Node_Ptr) += " << -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*q_SI_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_BS_Node_Ptr) += " << -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*q_BS_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BS_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
  (*q_BS_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BS_Equ_BD_Node_Ptr) += " << -dynamicContributions[admsNodeID_BS].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
  (*q_SI_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_SI_Equ_BD_Node_Ptr) += " << -dynamicContributions[admsNodeID_SI].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
  (*q_BD_Equ_SI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BD_Equ_SI_Node_Ptr) += " << +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*q_BD_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BD_Equ_BS_Node_Ptr) += " << -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*q_DI_Equ_BS_Node_Ptr) +=  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_BS_Node_Ptr) += " << -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_SI_BS)<< std::endl;
  }
  (*q_BD_Equ_DI_Node_Ptr) +=  +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BD_Equ_DI_Node_Ptr) += " << +dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
  (*q_BD_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_BD_Equ_BD_Node_Ptr) += " << -dynamicContributions[admsNodeID_BD].dx(admsProbeID_V_DI_BD)<< std::endl;
  }
  (*q_DI_Equ_BD_Node_Ptr) +=  -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD);


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << "       (*q_DI_Equ_BD_Node_Ptr) += " << -dynamicContributions[admsNodeID_DI].dx(admsProbeID_V_DI_BD)<< std::endl;
  }


  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateTemperature
// Purpose       : Set temperature and update any parameters that depend on it
// Special Notes : In Xyce ADMS, we'll simply copy the temperature, which is
//                 in Kelvin, to our "admsTemperature" variable, which needs
//                 to be in Celsius.
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateTemperature(const double & temperatureTemp)
{

  admsTemperature = temperatureTemp;
  adms_vt_nom = adms_vt(temperatureTemp);

  return true;
}

// Class Model
//-----------------------------------------------------------------------------
// Function      : Model::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Model::processParams()
{

  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

  //    Parameter TYPE : [ (-1.0), 1.0 ]
  if ( (!((TYPE >=(-1.0) && TYPE <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TYPE value " << TYPE << " out of range [ (-1.0), 1.0 ]";
  }

  //    Parameter TR : [ (-273.0),  (+inf) [
  if ( (!((TR >=(-273.0)))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TR value " << TR << " out of range [ (-273.0),  (+inf) [";
  }

  //    Parameter SWGEO : [ 0.0, 2.0 ]
  if ( (!((SWGEO >=0.0 && SWGEO <=2.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWGEO value " << SWGEO << " out of range [ 0.0, 2.0 ]";
  }

  //    Parameter SWIGATE : [ 0.0, 1.0 ]
  if ( (!((SWIGATE >=0.0 && SWIGATE <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWIGATE value " << SWIGATE << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter SWIMPACT : [ 0.0, 1.0 ]
  if ( (!((SWIMPACT >=0.0 && SWIMPACT <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWIMPACT value " << SWIMPACT << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter SWGIDL : [ 0.0, 1.0 ]
  if ( (!((SWGIDL >=0.0 && SWGIDL <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWGIDL value " << SWGIDL << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter SWJUNCAP : [ 0.0, 3.0 ]
  if ( (!((SWJUNCAP >=0.0 && SWJUNCAP <=3.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWJUNCAP value " << SWJUNCAP << " out of range [ 0.0, 3.0 ]";
  }

  //    Parameter SWNUD : [ 0.0, 2.0 ]
  if ( (!((SWNUD >=0.0 && SWNUD <=2.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWNUD value " << SWNUD << " out of range [ 0.0, 2.0 ]";
  }

  //    Parameter SWDELVTAC : [ 0.0, 1.0 ]
  if ( (!((SWDELVTAC >=0.0 && SWDELVTAC <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWDELVTAC value " << SWDELVTAC << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter QMC : [ 0.0,  (+inf) [
  if ( (!((QMC >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter QMC value " << QMC << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter TOX : [ 1e-10,  (+inf) [
  if ( (!((TOX >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOX value " << TOX << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter EPSROX : [ 1.0,  (+inf) [
  if ( (!((EPSROX >=1.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter EPSROX value " << EPSROX << " out of range [ 1.0,  (+inf) [";
  }

  //    Parameter NEFF : [ 1e20, 1e26 ]
  if ( (!((NEFF >=1e20 && NEFF <=1e26 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NEFF value " << NEFF << " out of range [ 1e20, 1e26 ]";
  }

  //    Parameter FACNEFFAC : [ 0.0,  (+inf) [
  if ( (!((FACNEFFAC >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FACNEFFAC value " << FACNEFFAC << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter GFACNUD : [ 0.01,  (+inf) [
  if ( (!((GFACNUD >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter GFACNUD value " << GFACNUD << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter VSBNUD : [ 0.0,  (+inf) [
  if ( (!((VSBNUD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VSBNUD value " << VSBNUD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter DVSBNUD : [ 0.1,  (+inf) [
  if ( (!((DVSBNUD >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter DVSBNUD value " << DVSBNUD << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter NSLP : [ 1e-3,  (+inf) [
  if ( (!((NSLP >=1e-3))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NSLP value " << NSLP << " out of range [ 1e-3,  (+inf) [";
  }

  //    Parameter DNSUB : [ 0.0, 1.0 ]
  if ( (!((DNSUB >=0.0 && DNSUB <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter DNSUB value " << DNSUB << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter NP : [ 0.0,  (+inf) [
  if ( (!((NP >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NP value " << NP << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CT : [ 0.0,  (+inf) [
  if ( (!((CT >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CT value " << CT << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter TOXOV : [ 1e-10,  (+inf) [
  if ( (!((TOXOV >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOXOV value " << TOXOV << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter TOXOVD : [ 1e-10,  (+inf) [
  if ( (!((TOXOVD >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOXOVD value " << TOXOVD << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter NOV : [ 1e20, 1e27 ]
  if ( (!((NOV >=1e20 && NOV <=1e27 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NOV value " << NOV << " out of range [ 1e20, 1e27 ]";
  }

  //    Parameter NOVD : [ 1e20, 1e27 ]
  if ( (!((NOVD >=1e20 && NOVD <=1e27 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NOVD value " << NOVD << " out of range [ 1e20, 1e27 ]";
  }

  //    Parameter CF : [ 0.0,  (+inf) [
  if ( (!((CF >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CF value " << CF << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CFB : [ 0.0, 1.0 ]
  if ( (!((CFB >=0.0 && CFB <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CFB value " << CFB << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter BETN : [ 0.0,  (+inf) [
  if ( (!((BETN >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter BETN value " << BETN << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter MUE : [ 0.0,  (+inf) [
  if ( (!((MUE >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MUE value " << MUE << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter THEMU : [ 0.0,  (+inf) [
  if ( (!((THEMU >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter THEMU value " << THEMU << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CS : [ 0.0,  (+inf) [
  if ( (!((CS >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CS value " << CS << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter XCOR : [ 0.0,  (+inf) [
  if ( (!((XCOR >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter XCOR value " << XCOR << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter FETA : [ 0.0,  (+inf) [
  if ( (!((FETA >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FETA value " << FETA << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RS : [ 0.0,  (+inf) [
  if ( (!((RS >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RS value " << RS << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RSB : [ (-0.5), 1.0 ]
  if ( (!((RSB >=(-0.5) && RSB <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RSB value " << RSB << " out of range [ (-0.5), 1.0 ]";
  }

  //    Parameter RSG : [ (-0.5),  (+inf) [
  if ( (!((RSG >=(-0.5)))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RSG value " << RSG << " out of range [ (-0.5),  (+inf) [";
  }

  //    Parameter THESAT : [ 0.0,  (+inf) [
  if ( (!((THESAT >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter THESAT value " << THESAT << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter THESATB : [ (-0.5), 1.0 ]
  if ( (!((THESATB >=(-0.5) && THESATB <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter THESATB value " << THESATB << " out of range [ (-0.5), 1.0 ]";
  }

  //    Parameter THESATG : [ (-0.5),  (+inf) [
  if ( (!((THESATG >=(-0.5)))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter THESATG value " << THESATG << " out of range [ (-0.5),  (+inf) [";
  }

  //    Parameter AX : [ 2.0,  (+inf) [
  if ( (!((AX >=2.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AX value " << AX << " out of range [ 2.0,  (+inf) [";
  }

  //    Parameter ALP : [ 0.0,  (+inf) [
  if ( (!((ALP >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ALP value " << ALP << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter ALP1 : [ 0.0,  (+inf) [
  if ( (!((ALP1 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ALP1 value " << ALP1 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter ALP2 : [ 0.0,  (+inf) [
  if ( (!((ALP2 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ALP2 value " << ALP2 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter VP : [ 1e-10,  (+inf) [
  if ( (!((VP >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VP value " << VP << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter A1 : [ 0.0,  (+inf) [
  if ( (!((A1 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter A1 value " << A1 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter A2 : [ 0.0,  (+inf) [
  if ( (!((A2 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter A2 value " << A2 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter A3 : [ 0.0,  (+inf) [
  if ( (!((A3 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter A3 value " << A3 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter A4 : [ 0.0,  (+inf) [
  if ( (!((A4 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter A4 value " << A4 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter GCO : [ (-10.0), 10.0 ]
  if ( (!((GCO >=(-10.0) && GCO <=10.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter GCO value " << GCO << " out of range [ (-10.0), 10.0 ]";
  }

  //    Parameter IGINV : [ 0.0,  (+inf) [
  if ( (!((IGINV >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IGINV value " << IGINV << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter IGOV : [ 0.0,  (+inf) [
  if ( (!((IGOV >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IGOV value " << IGOV << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter IGOVD : [ 0.0,  (+inf) [
  if ( (!((IGOVD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IGOVD value " << IGOVD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter GC2 : [ 0.0, 10.0 ]
  if ( (!((GC2 >=0.0 && GC2 <=10.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter GC2 value " << GC2 << " out of range [ 0.0, 10.0 ]";
  }

  //    Parameter GC3 : [ (-2.0), 2.0 ]
  if ( (!((GC3 >=(-2.0) && GC3 <=2.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter GC3 value " << GC3 << " out of range [ (-2.0), 2.0 ]";
  }

  //    Parameter CHIB : [ 1.0,  (+inf) [
  if ( (!((CHIB >=1.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CHIB value " << CHIB << " out of range [ 1.0,  (+inf) [";
  }

  //    Parameter AGIDL : [ 0.0,  (+inf) [
  if ( (!((AGIDL >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AGIDL value " << AGIDL << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter AGIDLD : [ 0.0,  (+inf) [
  if ( (!((AGIDLD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AGIDLD value " << AGIDLD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter BGIDL : [ 0.0,  (+inf) [
  if ( (!((BGIDL >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter BGIDL value " << BGIDL << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter BGIDLD : [ 0.0,  (+inf) [
  if ( (!((BGIDLD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter BGIDLD value " << BGIDLD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter COX : [ 0.0,  (+inf) [
  if ( (!((COX >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter COX value " << COX << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CGOV : [ 0.0,  (+inf) [
  if ( (!((CGOV >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CGOV value " << CGOV << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CGOVD : [ 0.0,  (+inf) [
  if ( (!((CGOVD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CGOVD value " << CGOVD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CGBOV : [ 0.0,  (+inf) [
  if ( (!((CGBOV >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CGBOV value " << CGBOV << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CFR : [ 0.0,  (+inf) [
  if ( (!((CFR >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CFR value " << CFR << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter CFRD : [ 0.0,  (+inf) [
  if ( (!((CFRD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CFRD value " << CFRD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter FNT : [ 0.0,  (+inf) [
  if ( (!((FNT >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FNT value " << FNT << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter NFA : [ 0.0,  (+inf) [
  if ( (!((NFA >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NFA value " << NFA << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter NFB : [ 0.0,  (+inf) [
  if ( (!((NFB >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NFB value " << NFB << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter NFC : [ 0.0,  (+inf) [
  if ( (!((NFC >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NFC value " << NFC << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter EF : [ 0.0,  (+inf) [
  if ( (!((EF >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter EF value " << EF << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RG : [ 0.0,  (+inf) [
  if ( (!((RG >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RG value " << RG << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RSE : [ 0.0,  (+inf) [
  if ( (!((RSE >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RSE value " << RSE << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RDE : [ 0.0,  (+inf) [
  if ( (!((RDE >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RDE value " << RDE << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RBULK : [ 0.0,  (+inf) [
  if ( (!((RBULK >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RBULK value " << RBULK << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RWELL : [ 0.0,  (+inf) [
  if ( (!((RWELL >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RWELL value " << RWELL << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RJUNS : [ 0.0,  (+inf) [
  if ( (!((RJUNS >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RJUNS value " << RJUNS << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RJUND : [ 0.0,  (+inf) [
  if ( (!((RJUND >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RJUND value " << RJUND << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter TOXO : [ 1e-10,  (+inf) [
  if ( (!((TOXO >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOXO value " << TOXO << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter EPSROXO : [ 1.0,  (+inf) [
  if ( (!((EPSROXO >=1.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter EPSROXO value " << EPSROXO << " out of range [ 1.0,  (+inf) [";
  }

  //    Parameter NSUBO : [ 1e20,  (+inf) [
  if ( (!((NSUBO >=1e20))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NSUBO value " << NSUBO << " out of range [ 1e20,  (+inf) [";
  }

  //    Parameter WSEG : [ 1e-10,  (+inf) [
  if ( (!((WSEG >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter WSEG value " << WSEG << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter NPCK : [ 0.0,  (+inf) [
  if ( (!((NPCK >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter NPCK value " << NPCK << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter WSEGP : [ 1e-10,  (+inf) [
  if ( (!((WSEGP >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter WSEGP value " << WSEGP << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter LPCK : [ 1e-10,  (+inf) [
  if ( (!((LPCK >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LPCK value " << LPCK << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter TOXOVO : [ 1e-10,  (+inf) [
  if ( (!((TOXOVO >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOXOVO value " << TOXOVO << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter TOXOVDO : [ 1e-10,  (+inf) [
  if ( (!((TOXOVDO >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TOXOVDO value " << TOXOVDO << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter LOV : [ 0.0,  (+inf) [
  if ( (!((LOV >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LOV value " << LOV << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter LOVD : [ 0.0,  (+inf) [
  if ( (!((LOVD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LOVD value " << LOVD << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter LP1 : [ 1e-10,  (+inf) [
  if ( (!((LP1 >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LP1 value " << LP1 << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter LP2 : [ 1e-10,  (+inf) [
  if ( (!((LP2 >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LP2 value " << LP2 << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter WBET : [ 1e-10,  (+inf) [
  if ( (!((WBET >=1e-10))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter WBET value " << WBET << " out of range [ 1e-10,  (+inf) [";
  }

  //    Parameter AXL : [ 0.0,  (+inf) [
  if ( (!((AXL >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter AXL value " << AXL << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter ALP1L2 : [ 0.0,  (+inf) [
  if ( (!((ALP1L2 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ALP1L2 value " << ALP1L2 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter ALP2L2 : [ 0.0,  (+inf) [
  if ( (!((ALP2L2 >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter ALP2L2 value " << ALP2L2 << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RINT : [ 0.0,  (+inf) [
  if ( (!((RINT >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RINT value " << RINT << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RVPOLY : [ 0.0,  (+inf) [
  if ( (!((RVPOLY >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RVPOLY value " << RVPOLY << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter RSHG : [ 0.0,  (+inf) [
  if ( (!((RSHG >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter RSHG value " << RSHG << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter SAREF : [ 1e-9,  (+inf) [
  if ( (!((SAREF >=1e-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SAREF value " << SAREF << " out of range [ 1e-9,  (+inf) [";
  }

  //    Parameter SBREF : [ 1e-9,  (+inf) [
  if ( (!((SBREF >=1e-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SBREF value " << SBREF << " out of range [ 1e-9,  (+inf) [";
  }

  //    Parameter KVSAT : [ (-1.0), 1.0 ]
  if ( (!((KVSAT >=(-1.0) && KVSAT <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter KVSAT value " << KVSAT << " out of range [ (-1.0), 1.0 ]";
  }

  //    Parameter LLODKUO : [ 0.0,  (+inf) [
  if ( (!((LLODKUO >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LLODKUO value " << LLODKUO << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter WLODKUO : [ 0.0,  (+inf) [
  if ( (!((WLODKUO >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter WLODKUO value " << WLODKUO << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter LLODVTH : [ 0.0,  (+inf) [
  if ( (!((LLODVTH >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LLODVTH value " << LLODVTH << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter WLODVTH : [ 0.0,  (+inf) [
  if ( (!((WLODVTH >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter WLODVTH value " << WLODVTH << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter LODETAO : [ 0.0,  (+inf) [
  if ( (!((LODETAO >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter LODETAO value " << LODETAO << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter SCREF : [ 0.0,  (+inf) [
  if ( (!((SCREF >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SCREF value " << SCREF << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter IMAX : [ 1E-12,  (+inf) [
  if ( (!((IMAX >=1E-12))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IMAX value " << IMAX << " out of range [ 1E-12,  (+inf) [";
  }

  //    Parameter TRJ : [ (-250),  (+inf) [
  if ( (!((TRJ >=(-250)))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter TRJ value " << TRJ << " out of range [ (-250),  (+inf) [";
  }

  //    Parameter CJORBOT : [ 1E-12,  (+inf) [
  if ( (!((CJORBOT >=1E-12))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORBOT value " << CJORBOT << " out of range [ 1E-12,  (+inf) [";
  }

  //    Parameter CJORSTI : [ 1E-18,  (+inf) [
  if ( (!((CJORSTI >=1E-18))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORSTI value " << CJORSTI << " out of range [ 1E-18,  (+inf) [";
  }

  //    Parameter CJORGAT : [ 1E-18,  (+inf) [
  if ( (!((CJORGAT >=1E-18))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORGAT value " << CJORGAT << " out of range [ 1E-18,  (+inf) [";
  }

  //    Parameter VBIRBOT : [ 0.050,  (+inf) [
  if ( (!((VBIRBOT >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRBOT value " << VBIRBOT << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter VBIRSTI : [ 0.050,  (+inf) [
  if ( (!((VBIRSTI >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRSTI value " << VBIRSTI << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter VBIRGAT : [ 0.050,  (+inf) [
  if ( (!((VBIRGAT >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRGAT value " << VBIRGAT << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter PBOT : [ 0.05, 0.95 ]
  if ( (!((PBOT >=0.05 && PBOT <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBOT value " << PBOT << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter PSTI : [ 0.05, 0.95 ]
  if ( (!((PSTI >=0.05 && PSTI <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PSTI value " << PSTI << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter PGAT : [ 0.05, 0.95 ]
  if ( (!((PGAT >=0.05 && PGAT <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PGAT value " << PGAT << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter IDSATRBOT : [ 0,  (+inf) [
  if ( (!((IDSATRBOT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRBOT value " << IDSATRBOT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter IDSATRSTI : [ 0,  (+inf) [
  if ( (!((IDSATRSTI >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRSTI value " << IDSATRSTI << " out of range [ 0,  (+inf) [";
  }

  //    Parameter IDSATRGAT : [ 0,  (+inf) [
  if ( (!((IDSATRGAT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRGAT value " << IDSATRGAT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHBOT : [ 0,  (+inf) [
  if ( (!((CSRHBOT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHBOT value " << CSRHBOT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHSTI : [ 0,  (+inf) [
  if ( (!((CSRHSTI >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHSTI value " << CSRHSTI << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHGAT : [ 0,  (+inf) [
  if ( (!((CSRHGAT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHGAT value " << CSRHGAT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter XJUNSTI : [ 1E-9,  (+inf) [
  if ( (!((XJUNSTI >=1E-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter XJUNSTI value " << XJUNSTI << " out of range [ 1E-9,  (+inf) [";
  }

  //    Parameter XJUNGAT : [ 1E-9,  (+inf) [
  if ( (!((XJUNGAT >=1E-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter XJUNGAT value " << XJUNGAT << " out of range [ 1E-9,  (+inf) [";
  }

  //    Parameter CTATBOT : [ 0,  (+inf) [
  if ( (!((CTATBOT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATBOT value " << CTATBOT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CTATSTI : [ 0,  (+inf) [
  if ( (!((CTATSTI >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATSTI value " << CTATSTI << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CTATGAT : [ 0,  (+inf) [
  if ( (!((CTATGAT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATGAT value " << CTATGAT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter MEFFTATBOT : [ 0.01,  (+inf) [
  if ( (!((MEFFTATBOT >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATBOT value " << MEFFTATBOT << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter MEFFTATSTI : [ 0.01,  (+inf) [
  if ( (!((MEFFTATSTI >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATSTI value " << MEFFTATSTI << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter MEFFTATGAT : [ 0.01,  (+inf) [
  if ( (!((MEFFTATGAT >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATGAT value " << MEFFTATGAT << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter CBBTBOT : [ 0,  (+inf) [
  if ( (!((CBBTBOT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTBOT value " << CBBTBOT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CBBTSTI : [ 0,  (+inf) [
  if ( (!((CBBTSTI >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTSTI value " << CBBTSTI << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CBBTGAT : [ 0,  (+inf) [
  if ( (!((CBBTGAT >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTGAT value " << CBBTGAT << " out of range [ 0,  (+inf) [";
  }

  //    Parameter VBRBOT : [ 0.1,  (+inf) [
  if ( (!((VBRBOT >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRBOT value " << VBRBOT << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter VBRSTI : [ 0.1,  (+inf) [
  if ( (!((VBRSTI >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRSTI value " << VBRSTI << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter VBRGAT : [ 0.1,  (+inf) [
  if ( (!((VBRGAT >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRGAT value " << VBRGAT << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRBOT : [ 0.1,  (+inf) [
  if ( (!((PBRBOT >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRBOT value " << PBRBOT << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRSTI : [ 0.1,  (+inf) [
  if ( (!((PBRSTI >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRSTI value " << PBRSTI << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRGAT : [ 0.1,  (+inf) [
  if ( (!((PBRGAT >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRGAT value " << PBRGAT << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter CJORBOTD : [ 1E-12,  (+inf) [
  if ( (!((CJORBOTD >=1E-12))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORBOTD value " << CJORBOTD << " out of range [ 1E-12,  (+inf) [";
  }

  //    Parameter CJORSTID : [ 1E-18,  (+inf) [
  if ( (!((CJORSTID >=1E-18))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORSTID value " << CJORSTID << " out of range [ 1E-18,  (+inf) [";
  }

  //    Parameter CJORGATD : [ 1E-18,  (+inf) [
  if ( (!((CJORGATD >=1E-18))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CJORGATD value " << CJORGATD << " out of range [ 1E-18,  (+inf) [";
  }

  //    Parameter VBIRBOTD : [ 0.050,  (+inf) [
  if ( (!((VBIRBOTD >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRBOTD value " << VBIRBOTD << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter VBIRSTID : [ 0.050,  (+inf) [
  if ( (!((VBIRSTID >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRSTID value " << VBIRSTID << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter VBIRGATD : [ 0.050,  (+inf) [
  if ( (!((VBIRGATD >=0.050))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBIRGATD value " << VBIRGATD << " out of range [ 0.050,  (+inf) [";
  }

  //    Parameter PBOTD : [ 0.05, 0.95 ]
  if ( (!((PBOTD >=0.05 && PBOTD <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBOTD value " << PBOTD << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter PSTID : [ 0.05, 0.95 ]
  if ( (!((PSTID >=0.05 && PSTID <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PSTID value " << PSTID << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter PGATD : [ 0.05, 0.95 ]
  if ( (!((PGATD >=0.05 && PGATD <=0.95 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PGATD value " << PGATD << " out of range [ 0.05, 0.95 ]";
  }

  //    Parameter IDSATRBOTD : [ 0,  (+inf) [
  if ( (!((IDSATRBOTD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRBOTD value " << IDSATRBOTD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter IDSATRSTID : [ 0,  (+inf) [
  if ( (!((IDSATRSTID >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRSTID value " << IDSATRSTID << " out of range [ 0,  (+inf) [";
  }

  //    Parameter IDSATRGATD : [ 0,  (+inf) [
  if ( (!((IDSATRGATD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter IDSATRGATD value " << IDSATRGATD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHBOTD : [ 0,  (+inf) [
  if ( (!((CSRHBOTD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHBOTD value " << CSRHBOTD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHSTID : [ 0,  (+inf) [
  if ( (!((CSRHSTID >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHSTID value " << CSRHSTID << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CSRHGATD : [ 0,  (+inf) [
  if ( (!((CSRHGATD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CSRHGATD value " << CSRHGATD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter XJUNSTID : [ 1E-9,  (+inf) [
  if ( (!((XJUNSTID >=1E-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter XJUNSTID value " << XJUNSTID << " out of range [ 1E-9,  (+inf) [";
  }

  //    Parameter XJUNGATD : [ 1E-9,  (+inf) [
  if ( (!((XJUNGATD >=1E-9))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter XJUNGATD value " << XJUNGATD << " out of range [ 1E-9,  (+inf) [";
  }

  //    Parameter CTATBOTD : [ 0,  (+inf) [
  if ( (!((CTATBOTD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATBOTD value " << CTATBOTD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CTATSTID : [ 0,  (+inf) [
  if ( (!((CTATSTID >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATSTID value " << CTATSTID << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CTATGATD : [ 0,  (+inf) [
  if ( (!((CTATGATD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CTATGATD value " << CTATGATD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter MEFFTATBOTD : [ 0.01,  (+inf) [
  if ( (!((MEFFTATBOTD >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATBOTD value " << MEFFTATBOTD << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter MEFFTATSTID : [ 0.01,  (+inf) [
  if ( (!((MEFFTATSTID >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATSTID value " << MEFFTATSTID << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter MEFFTATGATD : [ 0.01,  (+inf) [
  if ( (!((MEFFTATGATD >=0.01))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter MEFFTATGATD value " << MEFFTATGATD << " out of range [ 0.01,  (+inf) [";
  }

  //    Parameter CBBTBOTD : [ 0,  (+inf) [
  if ( (!((CBBTBOTD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTBOTD value " << CBBTBOTD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CBBTSTID : [ 0,  (+inf) [
  if ( (!((CBBTSTID >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTSTID value " << CBBTSTID << " out of range [ 0,  (+inf) [";
  }

  //    Parameter CBBTGATD : [ 0,  (+inf) [
  if ( (!((CBBTGATD >=0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter CBBTGATD value " << CBBTGATD << " out of range [ 0,  (+inf) [";
  }

  //    Parameter VBRBOTD : [ 0.1,  (+inf) [
  if ( (!((VBRBOTD >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRBOTD value " << VBRBOTD << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter VBRSTID : [ 0.1,  (+inf) [
  if ( (!((VBRSTID >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRSTID value " << VBRSTID << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter VBRGATD : [ 0.1,  (+inf) [
  if ( (!((VBRGATD >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VBRGATD value " << VBRGATD << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRBOTD : [ 0.1,  (+inf) [
  if ( (!((PBRBOTD >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRBOTD value " << PBRBOTD << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRSTID : [ 0.1,  (+inf) [
  if ( (!((PBRSTID >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRSTID value " << PBRSTID << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter PBRGATD : [ 0.1,  (+inf) [
  if ( (!((PBRGATD >=0.1))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter PBRGATD value " << PBRGATD << " out of range [ 0.1,  (+inf) [";
  }

  //    Parameter SWJUNEXP : [ 0.0, 1.0 ]
  if ( (!((SWJUNEXP >=0.0 && SWJUNEXP <=1.0 ))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter SWJUNEXP value " << SWJUNEXP << " out of range [ 0.0, 1.0 ]";
  }

  //    Parameter VJUNREF : [ 0.5,  (+inf) [
  if ( (!((VJUNREF >=0.5))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VJUNREF value " << VJUNREF << " out of range [ 0.5,  (+inf) [";
  }

  //    Parameter FJUNQ : [ 0.0,  (+inf) [
  if ( (!((FJUNQ >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FJUNQ value " << FJUNQ << " out of range [ 0.0,  (+inf) [";
  }

  //    Parameter VJUNREFD : [ 0.5,  (+inf) [
  if ( (!((VJUNREFD >=0.5))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter VJUNREFD value " << VJUNREFD << " out of range [ 0.5,  (+inf) [";
  }

  //    Parameter FJUNQD : [ 0.0,  (+inf) [
  if ( (!((FJUNQD >=0.0))) )
  {
    UserError0(*this) << "ADMSPSP103VA: Parameter FJUNQD value " << FJUNQD << " out of range [ 0.0,  (+inf) [";
  }


  // and of course, this routine is where we should put the initial_model
  // stuff
  double deltaphigd;
  double deltaphigr;
  double phitrinv;
  double KBOL_over_QELE;
  double auxt;
  double tkd;
  double tkr;
  double TRJ_i;
  double TKD_sq;
  double TKR;
  double TR_i;
  //Begin block initial_model
  {
    if ((TYPE>=0))
    {
      CHNL_TYPE = (+1);
    }
    else
    {
      CHNL_TYPE = (-1);
    }
    SWGEO_i = floor((((SWGEO>0.0)?((SWGEO<2.0)?SWGEO:2.0):0.0)+0.5));
    SWIGATE_i = floor((((SWIGATE>0.0)?((SWIGATE<1.0)?SWIGATE:1.0):0.0)+0.5));
    SWIMPACT_i = floor((((SWIMPACT>0.0)?((SWIMPACT<1.0)?SWIMPACT:1.0):0.0)+0.5));
    SWGIDL_i = floor((((SWGIDL>0.0)?((SWGIDL<1.0)?SWGIDL:1.0):0.0)+0.5));
    SWJUNCAP_i = floor((((SWJUNCAP>0.0)?((SWJUNCAP<3.0)?SWJUNCAP:3.0):0.0)+0.5));
    SWJUNASYM_i = floor((((SWJUNASYM>0.0)?((SWJUNASYM<1.0)?SWJUNASYM:1.0):0.0)+0.5));
    SWNUD_i = floor((((SWNUD>0.0)?((SWNUD<2.0)?SWNUD:2.0):0.0)+0.5));
    SWDELVTAC_i = floor((((SWDELVTAC>0.0)?((SWDELVTAC<1.0)?SWDELVTAC:1.0):0.0)+0.5));
    QMC_i = ((QMC>0.0)?QMC:0.0);
    TOXO_i = ((TOXO>1e-10)?TOXO:1e-10);
    EPSROXO_i = ((EPSROXO>1.0)?EPSROXO:1.0);
    NSUBO_i = ((NSUBO>1e20)?NSUBO:1e20);
    WSEG_i = ((WSEG>1e-10)?WSEG:1e-10);
    NPCK_i = ((NPCK>0.0)?NPCK:0.0);
    WSEGP_i = ((WSEGP>1e-10)?WSEGP:1e-10);
    LPCK_i = ((LPCK>1e-10)?LPCK:1e-10);
    TOXOVO_i = ((TOXOVO>1e-10)?TOXOVO:1e-10);
    TOXOVDO_i = ((TOXOVDO>1e-10)?TOXOVDO:1e-10);
    LOV_i = ((LOV>0.0)?LOV:0.0);
    LOVD_i = ((LOVD>0.0)?LOVD:0.0);
    LP1_i = ((LP1>1e-10)?LP1:1e-10);
    LP2_i = ((LP2>1e-10)?LP2:1e-10);
    WBET_i = ((WBET>1e-10)?WBET:1e-10);
    AXL_i = ((AXL>0.0)?AXL:0.0);
    ALP1L2_i = ((ALP1L2>0.0)?ALP1L2:0.0);
    ALP2L2_i = ((ALP2L2>0.0)?ALP2L2:0.0);
    SAREF_i = ((SAREF>1e-9)?SAREF:1e-9);
    SBREF_i = ((SBREF>1e-9)?SBREF:1e-9);
    KVSAT_i = ((KVSAT>(-1.0))?((KVSAT<1.0)?KVSAT:1.0):(-1.0));
    LLODKUO_i = ((LLODKUO>0.0)?LLODKUO:0.0);
    WLODKUO_i = ((WLODKUO>0.0)?WLODKUO:0.0);
    LLODVTH_i = ((LLODVTH>0.0)?LLODVTH:0.0);
    WLODVTH_i = ((WLODVTH>0.0)?WLODVTH:0.0);
    LODETAO_i = ((LODETAO>0.0)?LODETAO:0.0);
    SCREF_i = ((SCREF>0.0)?SCREF:0.0);
    WEB_i = WEB;
    WEC_i = WEC;
    RSHG_i = ((RSHG>0.0)?RSHG:0.0);
    RSH_i = ((RSH>0.0)?RSH:0.0);
    RSHD_i = ((RSHD>0.0)?RSHD:0.0);
    RINT_i = ((RINT>0.0)?RINT:0.0);
    RVPOLY_i = ((RVPOLY>0.0)?RVPOLY:0.0);
    TR_i = ((TR>(-273))?TR:(-273));
    TKR = (273.15+TR_i);
    TKD = (admsModTemp+DTA);
    TKD_sq = (TKD*TKD);
    dT = (TKD-TKR);
    rT = (TKD/TKR);
    rTn = (TKR/TKD);
    phit = ((TKD*1.3806505E-23)/1.6021918E-19);
    inv_phit = (1.0/phit);
    Eg = ((1.179-(9.025e-5*TKD))-(3.05e-7*TKD_sq));
    phibFac = ((((1.045+(4.5e-4*TKD))*((0.523+(1.4e-3*TKD))-(1.48e-6*TKD_sq)))*TKD_sq)/9.0E4);
    phibFac = ((phibFac>1.0E-3)?phibFac:1.0E-3);
    EPSSI = (8.8541878176E-12*11.8);
    nt0 = ((4*1.3806505E-23)*TKD);
    TRJ_i = ((TRJ>(-250))?TRJ:(-250));
    IMAX_i = ((IMAX>1E-12)?IMAX:1E-12);
    CJORBOT_i = ((CJORBOT>1E-12)?CJORBOT:1E-12);
    CJORSTI_i = ((CJORSTI>1E-18)?CJORSTI:1E-18);
    CJORGAT_i = ((CJORGAT>1E-18)?CJORGAT:1E-18);
    VBIRBOT_i = ((VBIRBOT>0.050)?VBIRBOT:0.050);
    VBIRSTI_i = ((VBIRSTI>0.050)?VBIRSTI:0.050);
    VBIRGAT_i = ((VBIRGAT>0.050)?VBIRGAT:0.050);
    PBOT_i = ((PBOT>0.05)?((PBOT<0.95)?PBOT:0.95):0.05);
    PSTI_i = ((PSTI>0.05)?((PSTI<0.95)?PSTI:0.95):0.05);
    PGAT_i = ((PGAT>0.05)?((PGAT<0.95)?PGAT:0.95):0.05);
    PHIGBOT_i = PHIGBOT;
    PHIGSTI_i = PHIGSTI;
    PHIGGAT_i = PHIGGAT;
    IDSATRBOT_i = ((IDSATRBOT>0)?IDSATRBOT:0);
    IDSATRSTI_i = ((IDSATRSTI>0)?IDSATRSTI:0);
    IDSATRGAT_i = ((IDSATRGAT>0)?IDSATRGAT:0);
    CSRHBOT_i = ((CSRHBOT>0)?CSRHBOT:0);
    CSRHSTI_i = ((CSRHSTI>0)?CSRHSTI:0);
    CSRHGAT_i = ((CSRHGAT>0)?CSRHGAT:0);
    XJUNSTI_i = ((XJUNSTI>1E-9)?XJUNSTI:1E-9);
    XJUNGAT_i = ((XJUNGAT>1E-9)?XJUNGAT:1E-9);
    CTATBOT_i = ((CTATBOT>0)?CTATBOT:0);
    CTATSTI_i = ((CTATSTI>0)?CTATSTI:0);
    CTATGAT_i = ((CTATGAT>0)?CTATGAT:0);
    MEFFTATBOT_i = ((MEFFTATBOT>0.01)?MEFFTATBOT:0.01);
    MEFFTATSTI_i = ((MEFFTATSTI>0.01)?MEFFTATSTI:0.01);
    MEFFTATGAT_i = ((MEFFTATGAT>0.01)?MEFFTATGAT:0.01);
    CBBTBOT_i = ((CBBTBOT>0)?CBBTBOT:0);
    CBBTSTI_i = ((CBBTSTI>0)?CBBTSTI:0);
    CBBTGAT_i = ((CBBTGAT>0)?CBBTGAT:0);
    FBBTRBOT_i = FBBTRBOT;
    FBBTRSTI_i = FBBTRSTI;
    FBBTRGAT_i = FBBTRGAT;
    STFBBTBOT_i = STFBBTBOT;
    STFBBTSTI_i = STFBBTSTI;
    STFBBTGAT_i = STFBBTGAT;
    VBRBOT_i = ((VBRBOT>0.1)?VBRBOT:0.1);
    VBRSTI_i = ((VBRSTI>0.1)?VBRSTI:0.1);
    VBRGAT_i = ((VBRGAT>0.1)?VBRGAT:0.1);
    PBRBOT_i = ((PBRBOT>0.1)?PBRBOT:0.1);
    PBRSTI_i = ((PBRSTI>0.1)?PBRSTI:0.1);
    PBRGAT_i = ((PBRGAT>0.1)?PBRGAT:0.1);
    SWJUNEXP_i = 0.0;
    if ((SWJUNEXP>0.5))
    {
      SWJUNEXP_i = 1.0;
    }
    else
    {
      SWJUNEXP_i = 0.0;
    }
    VJUNREF_i = ((VJUNREF>0.5)?VJUNREF:0.5);
    FJUNQ_i = ((FJUNQ>0.0)?FJUNQ:0.0);
    CJORBOTS_i = CJORBOT_i;
    CJORSTIS_i = CJORSTI_i;
    CJORGATS_i = CJORGAT_i;
    VBIRBOTS_i = VBIRBOT_i;
    VBIRSTIS_i = VBIRSTI_i;
    VBIRGATS_i = VBIRGAT_i;
    PBOTS_i = PBOT_i;
    PSTIS_i = PSTI_i;
    PGATS_i = PGAT_i;
    PHIGBOTS_i = PHIGBOT_i;
    PHIGSTIS_i = PHIGSTI_i;
    PHIGGATS_i = PHIGGAT_i;
    IDSATRBOTS_i = IDSATRBOT_i;
    IDSATRSTIS_i = IDSATRSTI_i;
    IDSATRGATS_i = IDSATRGAT_i;
    CSRHBOTS_i = CSRHBOT_i;
    CSRHSTIS_i = CSRHSTI_i;
    CSRHGATS_i = CSRHGAT_i;
    XJUNSTIS_i = XJUNSTI_i;
    XJUNGATS_i = XJUNGAT_i;
    CTATBOTS_i = CTATBOT_i;
    CTATSTIS_i = CTATSTI_i;
    CTATGATS_i = CTATGAT_i;
    MEFFTATBOTS_i = MEFFTATBOT_i;
    MEFFTATSTIS_i = MEFFTATSTI_i;
    MEFFTATGATS_i = MEFFTATGAT_i;
    CBBTBOTS_i = CBBTBOT_i;
    CBBTSTIS_i = CBBTSTI_i;
    CBBTGATS_i = CBBTGAT_i;
    FBBTRBOTS_i = FBBTRBOT_i;
    FBBTRSTIS_i = FBBTRSTI_i;
    FBBTRGATS_i = FBBTRGAT_i;
    STFBBTBOTS_i = STFBBTBOT_i;
    STFBBTSTIS_i = STFBBTSTI_i;
    STFBBTGATS_i = STFBBTGAT_i;
    VBRBOTS_i = VBRBOT_i;
    VBRSTIS_i = VBRSTI_i;
    VBRGATS_i = VBRGAT_i;
    PBRBOTS_i = PBRBOT_i;
    PBRSTIS_i = PBRSTI_i;
    PBRGATS_i = PBRGAT_i;
    VJUNREFS_i = VJUNREF_i;
    FJUNQS_i = FJUNQ_i;
    if ((SWJUNASYM==0.0))
    {
      CJORBOTD_i = CJORBOTS_i;
      CJORSTID_i = CJORSTIS_i;
      CJORGATD_i = CJORGATS_i;
      VBIRBOTD_i = VBIRBOTS_i;
      VBIRSTID_i = VBIRSTIS_i;
      VBIRGATD_i = VBIRGATS_i;
      PBOTD_i = PBOTS_i;
      PSTID_i = PSTIS_i;
      PGATD_i = PGATS_i;
      PHIGBOTD_i = PHIGBOTS_i;
      PHIGSTID_i = PHIGSTIS_i;
      PHIGGATD_i = PHIGGATS_i;
      IDSATRBOTD_i = IDSATRBOTS_i;
      IDSATRSTID_i = IDSATRSTIS_i;
      IDSATRGATD_i = IDSATRGATS_i;
      CSRHBOTD_i = CSRHBOTS_i;
      CSRHSTID_i = CSRHSTIS_i;
      CSRHGATD_i = CSRHGATS_i;
      XJUNSTID_i = XJUNSTIS_i;
      XJUNGATD_i = XJUNGATS_i;
      CTATBOTD_i = CTATBOTS_i;
      CTATSTID_i = CTATSTIS_i;
      CTATGATD_i = CTATGATS_i;
      MEFFTATBOTD_i = MEFFTATBOTS_i;
      MEFFTATSTID_i = MEFFTATSTIS_i;
      MEFFTATGATD_i = MEFFTATGATS_i;
      CBBTBOTD_i = CBBTBOTS_i;
      CBBTSTID_i = CBBTSTIS_i;
      CBBTGATD_i = CBBTGATS_i;
      FBBTRBOTD_i = FBBTRBOTS_i;
      FBBTRSTID_i = FBBTRSTIS_i;
      FBBTRGATD_i = FBBTRGATS_i;
      STFBBTBOTD_i = STFBBTBOTS_i;
      STFBBTSTID_i = STFBBTSTIS_i;
      STFBBTGATD_i = STFBBTGATS_i;
      VBRBOTD_i = VBRBOTS_i;
      VBRSTID_i = VBRSTIS_i;
      VBRGATD_i = VBRGATS_i;
      PBRBOTD_i = PBRBOTS_i;
      PBRSTID_i = PBRSTIS_i;
      PBRGATD_i = PBRGATS_i;
      VJUNREFD_i = VJUNREFS_i;
      FJUNQD_i = FJUNQS_i;
    }
    else
    {
      CJORBOTD_i = ((CJORBOTD>1E-12)?CJORBOTD:1E-12);
      CJORSTID_i = ((CJORSTID>1E-18)?CJORSTID:1E-18);
      CJORGATD_i = ((CJORGATD>1E-18)?CJORGATD:1E-18);
      VBIRBOTD_i = ((VBIRBOTD>0.050)?VBIRBOTD:0.050);
      VBIRSTID_i = ((VBIRSTID>0.050)?VBIRSTID:0.050);
      VBIRGATD_i = ((VBIRGATD>0.050)?VBIRGATD:0.050);
      PBOTD_i = ((PBOTD>0.05)?((PBOTD<0.95)?PBOTD:0.95):0.05);
      PSTID_i = ((PSTID>0.05)?((PSTID<0.95)?PSTID:0.95):0.05);
      PGATD_i = ((PGATD>0.05)?((PGATD<0.95)?PGATD:0.95):0.05);
      PHIGBOTD_i = PHIGBOTD;
      PHIGSTID_i = PHIGSTID;
      PHIGGATD_i = PHIGGATD;
      IDSATRBOTD_i = ((IDSATRBOTD>0)?IDSATRBOTD:0);
      IDSATRSTID_i = ((IDSATRSTID>0)?IDSATRSTID:0);
      IDSATRGATD_i = ((IDSATRGATD>0)?IDSATRGATD:0);
      CSRHBOTD_i = ((CSRHBOTD>0)?CSRHBOTD:0);
      CSRHSTID_i = ((CSRHSTID>0)?CSRHSTID:0);
      CSRHGATD_i = ((CSRHGATD>0)?CSRHGATD:0);
      XJUNSTID_i = ((XJUNSTID>1E-9)?XJUNSTID:1E-9);
      XJUNGATD_i = ((XJUNGATD>1E-9)?XJUNGATD:1E-9);
      CTATBOTD_i = ((CTATBOTD>0)?CTATBOTD:0);
      CTATSTID_i = ((CTATSTID>0)?CTATSTID:0);
      CTATGATD_i = ((CTATGATD>0)?CTATGATD:0);
      MEFFTATBOTD_i = ((MEFFTATBOTD>0.01)?MEFFTATBOTD:0.01);
      MEFFTATSTID_i = ((MEFFTATSTID>0.01)?MEFFTATSTID:0.01);
      MEFFTATGATD_i = ((MEFFTATGATD>0.01)?MEFFTATGATD:0.01);
      CBBTBOTD_i = ((CBBTBOTD>0)?CBBTBOTD:0);
      CBBTSTID_i = ((CBBTSTID>0)?CBBTSTID:0);
      CBBTGATD_i = ((CBBTGATD>0)?CBBTGATD:0);
      FBBTRBOTD_i = FBBTRBOTD;
      FBBTRSTID_i = FBBTRSTID;
      FBBTRGATD_i = FBBTRGATD;
      STFBBTBOTD_i = STFBBTBOTD;
      STFBBTSTID_i = STFBBTSTID;
      STFBBTGATD_i = STFBBTGATD;
      VBRBOTD_i = ((VBRBOTD>0.1)?VBRBOTD:0.1);
      VBRSTID_i = ((VBRSTID>0.1)?VBRSTID:0.1);
      VBRGATD_i = ((VBRGATD>0.1)?VBRGATD:0.1);
      PBRBOTD_i = ((PBRBOTD>0.1)?PBRBOTD:0.1);
      PBRSTID_i = ((PBRSTID>0.1)?PBRSTID:0.1);
      PBRGATD_i = ((PBRGATD>0.1)?PBRGATD:0.1);
      VJUNREFD_i = ((VJUNREFD>0.5)?VJUNREFD:0.5);
      FJUNQD_i = ((FJUNQD>0.0)?FJUNQD:0.0);
    }
    tkr = (273.15+TRJ_i);
    tkd = std::max((admsModTemp+DTA),(273.15+(-250)));
    auxt = (tkd/tkr);
    KBOL_over_QELE = (1.3806505E-23/1.6021918E-19);
    phitr = (KBOL_over_QELE*tkr);
    phitrinv = (1.0/phitr);
    phitd = (KBOL_over_QELE*tkd);
    phitdinv = (1.0/phitd);
    deltaphigr = ((-((7.02e-4*tkr)*tkr))/(1108.0+tkr));
    phigrbot = (PHIGBOT_i+deltaphigr);
    phigrsti = (PHIGSTI_i+deltaphigr);
    phigrgat = (PHIGGAT_i+deltaphigr);
    deltaphigd = ((-((7.02e-4*tkd)*tkd))/(1108.0+tkd));
    phigdbot = (PHIGBOT_i+deltaphigd);
    phigdsti = (PHIGSTI_i+deltaphigd);
    phigdgat = (PHIGGAT_i+deltaphigd);
    ftdbot = (pow(auxt,1.5)*exp((0.5*((phigrbot*phitrinv)-(phigdbot*phitdinv)))));
    ftdsti = (pow(auxt,1.5)*exp((0.5*((phigrsti*phitrinv)-(phigdsti*phitdinv)))));
    ftdgat = (pow(auxt,1.5)*exp((0.5*((phigrgat*phitrinv)-(phigdgat*phitdinv)))));
    idsatbot = ((IDSATRBOT_i*ftdbot)*ftdbot);
    idsatsti = ((IDSATRSTI_i*ftdsti)*ftdsti);
    idsatgat = ((IDSATRGAT_i*ftdgat)*ftdgat);
    ubibot = ((VBIRBOT_i*auxt)-((2*phitd)*log(ftdbot)));
    ubisti = ((VBIRSTI_i*auxt)-((2*phitd)*log(ftdsti)));
    ubigat = ((VBIRGAT_i*auxt)-((2*phitd)*log(ftdgat)));
    vbibot = (ubibot+(phitd*log((1+exp(((0.050-ubibot)*phitdinv))))));
    vbisti = (ubisti+(phitd*log((1+exp(((0.050-ubisti)*phitdinv))))));
    vbigat = (ubigat+(phitd*log((1+exp(((0.050-ubigat)*phitdinv))))));
    vbiinvbot = (1.0/vbibot);
    vbiinvsti = (1.0/vbisti);
    vbiinvgat = (1.0/vbigat);
    one_minus_PBOT = (1-PBOT_i);
    one_minus_PSTI = (1-PSTI_i);
    one_minus_PGAT = (1-PGAT_i);
    one_over_one_minus_PBOT = (1/one_minus_PBOT);
    one_over_one_minus_PSTI = (1/one_minus_PSTI);
    one_over_one_minus_PGAT = (1/one_minus_PGAT);
    cjobot = (CJORBOT_i*pow((VBIRBOT_i*vbiinvbot),PBOT_i));
    cjosti = (CJORSTI_i*pow((VBIRSTI_i*vbiinvsti),PSTI_i));
    cjogat = (CJORGAT_i*pow((VBIRGAT_i*vbiinvgat),PGAT_i));
    qprefbot = ((cjobot*vbibot)*one_over_one_minus_PBOT);
    qprefsti = ((cjosti*vbisti)*one_over_one_minus_PSTI);
    qprefgat = ((cjogat*vbigat)*one_over_one_minus_PGAT);
    qpref2bot = (2*cjobot);
    qpref2sti = (2*cjosti);
    qpref2gat = (2*cjogat);
    wdepnulrbot = (EPSSI/CJORBOT_i);
    wdepnulrsti = ((XJUNSTI_i*EPSSI)/CJORSTI_i);
    wdepnulrgat = ((XJUNGAT_i*EPSSI)/CJORGAT_i);
    wdepnulrinvbot = (1/wdepnulrbot);
    wdepnulrinvsti = (1/wdepnulrsti);
    wdepnulrinvgat = (1/wdepnulrgat);
    VBIRBOTinv = (1/VBIRBOT_i);
    VBIRSTIinv = (1/VBIRSTI_i);
    VBIRGATinv = (1/VBIRGAT_i);
    perfc = (1.77245385090551603*0.29214664);
    berfc = (((((-5)*0.29214664)+6)-pow(perfc,(-2)))/3);
    cerfc = ((1.0-0.29214664)-berfc);
    deltaEbot = std::max((0.5*phigdbot),phitd);
    deltaEsti = std::max((0.5*phigdsti),phitd);
    deltaEgat = std::max((0.5*phigdgat),phitd);
    atatbot = (deltaEbot*phitdinv);
    atatsti = (deltaEsti*phitdinv);
    atatgat = (deltaEgat*phitdinv);
    btatpartbot = (sqrt(((((32*MEFFTATBOT_i)*9.1093826E-31)*1.6021918E-19)*((deltaEbot*deltaEbot)*deltaEbot)))/(3*1.05457168E-34));
    btatpartsti = (sqrt(((((32*MEFFTATSTI_i)*9.1093826E-31)*1.6021918E-19)*((deltaEsti*deltaEsti)*deltaEsti)))/(3*1.05457168E-34));
    btatpartgat = (sqrt(((((32*MEFFTATGAT_i)*9.1093826E-31)*1.6021918E-19)*((deltaEgat*deltaEgat)*deltaEgat)))/(3*1.05457168E-34));
    fbbtbot = (FBBTRBOT_i*(1+(STFBBTBOT_i*(tkd-tkr))));
    fbbtsti = (FBBTRSTI_i*(1+(STFBBTSTI_i*(tkd-tkr))));
    fbbtgat = (FBBTRGAT_i*(1+(STFBBTGAT_i*(tkd-tkr))));
    fbbtbot = ((fbbtbot>0)?fbbtbot:0);
    fbbtsti = ((fbbtsti>0)?fbbtsti:0);
    fbbtgat = ((fbbtgat>0)?fbbtgat:0);
    fstopbot = (1/(1-pow(0.999,PBRBOT_i)));
    fstopsti = (1/(1-pow(0.999,PBRSTI_i)));
    fstopgat = (1/(1-pow(0.999,PBRGAT_i)));
    VBRinvbot = (1/VBRBOT_i);
    VBRinvsti = (1/VBRSTI_i);
    VBRinvgat = (1/VBRGAT_i);
    slopebot = (((-((fstopbot*fstopbot)*pow(0.999,(PBRBOT_i-1))))*PBRBOT_i)*VBRinvbot);
    slopesti = (((-((fstopsti*fstopsti)*pow(0.999,(PBRSTI_i-1))))*PBRSTI_i)*VBRinvsti);
    slopegat = (((-((fstopgat*fstopgat)*pow(0.999,(PBRGAT_i-1))))*PBRGAT_i)*VBRinvgat);
    phigrbot_s = phigrbot;
    phigrsti_s = phigrsti;
    phigrgat_s = phigrgat;
    phigdbot_s = phigdbot;
    phigdsti_s = phigdsti;
    phigdgat_s = phigdgat;
    ftdbot_s = ftdbot;
    ftdsti_s = ftdsti;
    ftdgat_s = ftdgat;
    idsatbot_s = idsatbot;
    idsatsti_s = idsatsti;
    idsatgat_s = idsatgat;
    ubibot_s = ubibot;
    ubisti_s = ubisti;
    ubigat_s = ubigat;
    vbibot_s = vbibot;
    vbisti_s = vbisti;
    vbigat_s = vbigat;
    vbiinvbot_s = vbiinvbot;
    vbiinvsti_s = vbiinvsti;
    vbiinvgat_s = vbiinvgat;
    one_minus_PBOT_s = one_minus_PBOT;
    one_minus_PSTI_s = one_minus_PSTI;
    one_minus_PGAT_s = one_minus_PGAT;
    one_over_one_minus_PBOT_s = one_over_one_minus_PBOT;
    one_over_one_minus_PSTI_s = one_over_one_minus_PSTI;
    one_over_one_minus_PGAT_s = one_over_one_minus_PGAT;
    cjobot_s = cjobot;
    cjosti_s = cjosti;
    cjogat_s = cjogat;
    qprefbot_s = qprefbot;
    qprefsti_s = qprefsti;
    qprefgat_s = qprefgat;
    qpref2bot_s = qpref2bot;
    qpref2sti_s = qpref2sti;
    qpref2gat_s = qpref2gat;
    wdepnulrbot_s = wdepnulrbot;
    wdepnulrsti_s = wdepnulrsti;
    wdepnulrgat_s = wdepnulrgat;
    wdepnulrinvbot_s = wdepnulrinvbot;
    wdepnulrinvsti_s = wdepnulrinvsti;
    wdepnulrinvgat_s = wdepnulrinvgat;
    VBIRBOTinv_s = VBIRBOTinv;
    VBIRSTIinv_s = VBIRSTIinv;
    VBIRGATinv_s = VBIRGATinv;
    deltaEbot_s = deltaEbot;
    deltaEsti_s = deltaEsti;
    deltaEgat_s = deltaEgat;
    atatbot_s = atatbot;
    atatsti_s = atatsti;
    atatgat_s = atatgat;
    btatpartbot_s = btatpartbot;
    btatpartsti_s = btatpartsti;
    btatpartgat_s = btatpartgat;
    fbbtbot_s = fbbtbot;
    fbbtsti_s = fbbtsti;
    fbbtgat_s = fbbtgat;
    fbbtbot_s = fbbtbot;
    fbbtsti_s = fbbtsti;
    fbbtgat_s = fbbtgat;
    fstopbot_s = fstopbot;
    fstopsti_s = fstopsti;
    fstopgat_s = fstopgat;
    VBRinvbot_s = VBRinvbot;
    VBRinvsti_s = VBRinvsti;
    VBRinvgat_s = VBRinvgat;
    slopebot_s = slopebot;
    slopesti_s = slopesti;
    slopegat_s = slopegat;
    phigrbot_d = (PHIGBOTD_i+deltaphigr);
    phigrsti_d = (PHIGSTID_i+deltaphigr);
    phigrgat_d = (PHIGGATD_i+deltaphigr);
    phigdbot_d = (PHIGBOTD_i+deltaphigd);
    phigdsti_d = (PHIGSTID_i+deltaphigd);
    phigdgat_d = (PHIGGATD_i+deltaphigd);
    ftdbot_d = (pow(auxt,1.5)*exp((0.5*((phigrbot_d*phitrinv)-(phigdbot_d*phitdinv)))));
    ftdsti_d = (pow(auxt,1.5)*exp((0.5*((phigrsti_d*phitrinv)-(phigdsti_d*phitdinv)))));
    ftdgat_d = (pow(auxt,1.5)*exp((0.5*((phigrgat_d*phitrinv)-(phigdgat_d*phitdinv)))));
    idsatbot_d = ((IDSATRBOTD_i*ftdbot_d)*ftdbot_d);
    idsatsti_d = ((IDSATRSTID_i*ftdsti_d)*ftdsti_d);
    idsatgat_d = ((IDSATRGATD_i*ftdgat_d)*ftdgat_d);
    ubibot_d = ((VBIRBOTD_i*auxt)-((2*phitd)*log(ftdbot_d)));
    ubisti_d = ((VBIRSTID_i*auxt)-((2*phitd)*log(ftdsti_d)));
    ubigat_d = ((VBIRGATD_i*auxt)-((2*phitd)*log(ftdgat_d)));
    vbibot_d = (ubibot_d+(phitd*log((1+exp(((0.050-ubibot_d)*phitdinv))))));
    vbisti_d = (ubisti_d+(phitd*log((1+exp(((0.050-ubisti_d)*phitdinv))))));
    vbigat_d = (ubigat_d+(phitd*log((1+exp(((0.050-ubigat_d)*phitdinv))))));
    vbiinvbot_d = (1.0/vbibot_d);
    vbiinvsti_d = (1.0/vbisti_d);
    vbiinvgat_d = (1.0/vbigat_d);
    one_minus_PBOT_d = (1-PBOTD_i);
    one_minus_PSTI_d = (1-PSTID_i);
    one_minus_PGAT_d = (1-PGATD_i);
    one_over_one_minus_PBOT_d = (1/one_minus_PBOT_d);
    one_over_one_minus_PSTI_d = (1/one_minus_PSTI_d);
    one_over_one_minus_PGAT_d = (1/one_minus_PGAT_d);
    cjobot_d = (CJORBOTD_i*pow((VBIRBOTD_i*vbiinvbot_d),PBOTD_i));
    cjosti_d = (CJORSTID_i*pow((VBIRSTID_i*vbiinvsti_d),PSTID_i));
    cjogat_d = (CJORGATD_i*pow((VBIRGATD_i*vbiinvgat_d),PGATD_i));
    qprefbot_d = ((cjobot_d*vbibot_d)*one_over_one_minus_PBOT_d);
    qprefsti_d = ((cjosti_d*vbisti_d)*one_over_one_minus_PSTI_d);
    qprefgat_d = ((cjogat_d*vbigat_d)*one_over_one_minus_PGAT_d);
    qpref2bot_d = (2*cjobot_d);
    qpref2sti_d = (2*cjosti_d);
    qpref2gat_d = (2*cjogat_d);
    wdepnulrbot_d = (EPSSI/CJORBOTD_i);
    wdepnulrsti_d = ((XJUNSTID_i*EPSSI)/CJORSTID_i);
    wdepnulrgat_d = ((XJUNGATD_i*EPSSI)/CJORGATD_i);
    wdepnulrinvbot_d = (1/wdepnulrbot_d);
    wdepnulrinvsti_d = (1/wdepnulrsti_d);
    wdepnulrinvgat_d = (1/wdepnulrgat_d);
    VBIRBOTinv_d = (1/VBIRBOTD_i);
    VBIRSTIinv_d = (1/VBIRSTID_i);
    VBIRGATinv_d = (1/VBIRGATD_i);
    deltaEbot_d = std::max((0.5*phigdbot_d),phitd);
    deltaEsti_d = std::max((0.5*phigdsti_d),phitd);
    deltaEgat_d = std::max((0.5*phigdgat_d),phitd);
    atatbot_d = (deltaEbot_d*phitdinv);
    atatsti_d = (deltaEsti_d*phitdinv);
    atatgat_d = (deltaEgat_d*phitdinv);
    btatpartbot_d = (sqrt(((((32*MEFFTATBOTD_i)*9.1093826E-31)*1.6021918E-19)*((deltaEbot_d*deltaEbot_d)*deltaEbot_d)))/(3*1.05457168E-34));
    btatpartsti_d = (sqrt(((((32*MEFFTATSTID_i)*9.1093826E-31)*1.6021918E-19)*((deltaEsti_d*deltaEsti_d)*deltaEsti_d)))/(3*1.05457168E-34));
    btatpartgat_d = (sqrt(((((32*MEFFTATGATD_i)*9.1093826E-31)*1.6021918E-19)*((deltaEgat_d*deltaEgat_d)*deltaEgat_d)))/(3*1.05457168E-34));
    fbbtbot_d = (FBBTRBOTD_i*(1+(STFBBTBOTD_i*(tkd-tkr))));
    fbbtsti_d = (FBBTRSTID_i*(1+(STFBBTSTID_i*(tkd-tkr))));
    fbbtgat_d = (FBBTRGATD_i*(1+(STFBBTGATD_i*(tkd-tkr))));
    fbbtbot_d = ((fbbtbot_d>0)?fbbtbot_d:0);
    fbbtsti_d = ((fbbtsti_d>0)?fbbtsti_d:0);
    fbbtgat_d = ((fbbtgat_d>0)?fbbtgat_d:0);
    fstopbot_d = (1/(1-pow(0.999,PBRBOTD_i)));
    fstopsti_d = (1/(1-pow(0.999,PBRSTID_i)));
    fstopgat_d = (1/(1-pow(0.999,PBRGATD_i)));
    VBRinvbot_d = (1/VBRBOTD_i);
    VBRinvsti_d = (1/VBRSTID_i);
    VBRinvgat_d = (1/VBRGATD_i);
    slopebot_d = (((-((fstopbot_d*fstopbot_d)*pow(0.999,(PBRBOTD_i-1))))*PBRBOTD_i)*VBRinvbot_d);
    slopesti_d = (((-((fstopsti_d*fstopsti_d)*pow(0.999,(PBRSTID_i-1))))*PBRSTID_i)*VBRinvsti_d);
    slopegat_d = (((-((fstopgat_d*fstopgat_d)*pow(0.999,(PBRGATD_i-1))))*PBRGATD_i)*VBRinvgat_d);
  }
  // End block initial_model


  return true;
}
//----------------------------------------------------------------------------
// Function      : Model::processInstanceParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//----------------------------------------------------------------------------
bool Model::processInstanceParams()
{

  std::vector<Instance*>::iterator iter;
  std::vector<Instance*>::iterator first = instanceContainer.begin();
  std::vector<Instance*>::iterator last  = instanceContainer.end();

  for (iter=first; iter!=last; ++iter)
  {
    (*iter)->processParams();
  }

  return true;
}

//-----------------------------------------------------------------------------
// Function      : Model::Model
// Purpose       : model block constructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::Model(
   const Configuration & configuration,
   const ModelBlock &    model_block,
   const FactoryBlock &  factory_block)
  : DeviceModel(model_block, configuration.getModelParameters(), factory_block),
    LEVEL(103),
    TYPE(1.0),
    TR(21.0),
    SWGEO(1.0),
    SWIGATE(0.0),
    SWIMPACT(0.0),
    SWGIDL(0.0),
    SWJUNCAP(0.0),
    SWJUNASYM(0.0),
    SWNUD(0.0),
    SWDELVTAC(0.0),
    QMC(1.0),
    VFB((-1.0)),
    STVFB(5.0e-4),
    TOX(2.0e-09),
    EPSROX(3.9),
    NEFF(5.0e+23),
    FACNEFFAC(1.0),
    GFACNUD(1.0),
    VSBNUD(0.0),
    DVSBNUD(1.0),
    VNSUB(0.0),
    NSLP(0.05),
    DNSUB(0.0),
    DPHIB(0.0),
    DELVTAC(0.0),
    NP(1.0e+26),
    CT(0.0),
    TOXOV(2.0e-09),
    TOXOVD(2.0e-09),
    NOV(5.0e+25),
    NOVD(5.0e+25),
    CF(0.0),
    CFB(0.0),
    BETN(7e-2),
    STBET(1.0),
    MUE(0.5),
    STMUE(0.0),
    THEMU(1.5),
    STTHEMU(1.5),
    CS(0.0),
    STCS(0.0),
    XCOR(0.0),
    STXCOR(0.0),
    FETA(1.0),
    RS(30),
    STRS(1.0),
    RSB(0.0),
    RSG(0.0),
    THESAT(1.0),
    STTHESAT(1.0),
    THESATB(0.0),
    THESATG(0.0),
    AX(3.0),
    ALP(0.01),
    ALP1(0.00),
    ALP2(0.00),
    VP(0.05),
    A1(1.0),
    A2(10.0),
    STA2(0.0),
    A3(1.0),
    A4(0.0),
    GCO(0.0),
    IGINV(0.0),
    IGOV(0.0),
    IGOVD(0.0),
    STIG(2.0),
    GC2(0.375),
    GC3(0.063),
    CHIB(3.1),
    AGIDL(0.0),
    AGIDLD(0.0),
    BGIDL(41.0),
    BGIDLD(41.0),
    STBGIDL(0.0),
    STBGIDLD(0.0),
    CGIDL(0.0),
    CGIDLD(0.0),
    COX(1.0e-14),
    CGOV(1.0e-15),
    CGOVD(1.0e-15),
    CGBOV(0.0),
    CFR(0.0),
    CFRD(0.0),
    FNT(1.0),
    NFA(8.0e+22),
    NFB(3.0e+07),
    NFC(0.0),
    EF(1.0),
    RG(0.0),
    RSE(0.0),
    RDE(0.0),
    RBULK(0.0),
    RWELL(0.0),
    RJUNS(0.0),
    RJUND(0.0),
    POVFB((-1)),
    PLVFB(0.0),
    PWVFB(0.0),
    PLWVFB(0.0),
    POSTVFB(0.0005),
    PLSTVFB(0.0),
    PWSTVFB(0.0),
    PLWSTVFB(0.0),
    POTOX(2E-09),
    POEPSROX(3.9),
    PONEFF(5E+23),
    PLNEFF(0.0),
    PWNEFF(0.0),
    PLWNEFF(0.0),
    POFACNEFFAC(1.0),
    PLFACNEFFAC(0.0),
    PWFACNEFFAC(0.0),
    PLWFACNEFFAC(0.0),
    POGFACNUD(1.0),
    PLGFACNUD(0.0),
    PWGFACNUD(0.0),
    PLWGFACNUD(0.0),
    POVSBNUD(0.0),
    PODVSBNUD(1.0),
    POVNSUB(0),
    PONSLP(0.05),
    PODNSUB(0),
    PODPHIB(0),
    PLDPHIB(0.0),
    PWDPHIB(0.0),
    PLWDPHIB(0.0),
    PODELVTAC(0),
    PLDELVTAC(0.0),
    PWDELVTAC(0.0),
    PLWDELVTAC(0.0),
    PONP(1E+26),
    PLNP(0.0),
    PWNP(0.0),
    PLWNP(0.0),
    POCT(0),
    PLCT(0.0),
    PWCT(0.0),
    PLWCT(0.0),
    POTOXOV(2E-09),
    POTOXOVD(2E-09),
    PONOV(5E+25),
    PLNOV(0.0),
    PWNOV(0.0),
    PLWNOV(0.0),
    PONOVD(5E+25),
    PLNOVD(0.0),
    PWNOVD(0.0),
    PLWNOVD(0.0),
    POCF(0),
    PLCF(0.0),
    PWCF(0.0),
    PLWCF(0.0),
    POCFB(0),
    POBETN(0.07),
    PLBETN(0.0),
    PWBETN(0.0),
    PLWBETN(0.0),
    POSTBET(1),
    PLSTBET(0.0),
    PWSTBET(0.0),
    PLWSTBET(0.0),
    POMUE(0.5),
    PLMUE(0.0),
    PWMUE(0.0),
    PLWMUE(0.0),
    POSTMUE(0),
    POTHEMU(1.5),
    POSTTHEMU(1.5),
    POCS(0),
    PLCS(0.0),
    PWCS(0.0),
    PLWCS(0.0),
    POSTCS(0),
    POXCOR(0),
    PLXCOR(0.0),
    PWXCOR(0.0),
    PLWXCOR(0.0),
    POSTXCOR(0),
    POFETA(1),
    PORS(30),
    PLRS(0.0),
    PWRS(0.0),
    PLWRS(0.0),
    POSTRS(1),
    PORSB(0),
    PORSG(0),
    POTHESAT(1),
    PLTHESAT(0.0),
    PWTHESAT(0.0),
    PLWTHESAT(0.0),
    POSTTHESAT(1),
    PLSTTHESAT(0.0),
    PWSTTHESAT(0.0),
    PLWSTTHESAT(0.0),
    POTHESATB(0),
    PLTHESATB(0.0),
    PWTHESATB(0.0),
    PLWTHESATB(0.0),
    POTHESATG(0),
    PLTHESATG(0.0),
    PWTHESATG(0.0),
    PLWTHESATG(0.0),
    POAX(3),
    PLAX(0.0),
    PWAX(0.0),
    PLWAX(0.0),
    POALP(0.01),
    PLALP(0.0),
    PWALP(0.0),
    PLWALP(0.0),
    POALP1(0),
    PLALP1(0.0),
    PWALP1(0.0),
    PLWALP1(0.0),
    POALP2(0),
    PLALP2(0.0),
    PWALP2(0.0),
    PLWALP2(0.0),
    POVP(0.05),
    POA1(1),
    PLA1(0.0),
    PWA1(0.0),
    PLWA1(0.0),
    POA2(10),
    POSTA2(0),
    POA3(1),
    PLA3(0.0),
    PWA3(0.0),
    PLWA3(0.0),
    POA4(0),
    PLA4(0.0),
    PWA4(0.0),
    PLWA4(0.0),
    POGCO(0),
    POIGINV(0),
    PLIGINV(0.0),
    PWIGINV(0.0),
    PLWIGINV(0.0),
    POIGOV(0),
    PLIGOV(0.0),
    PWIGOV(0.0),
    PLWIGOV(0.0),
    POIGOVD(0),
    PLIGOVD(0.0),
    PWIGOVD(0.0),
    PLWIGOVD(0.0),
    POSTIG(2),
    POGC2(0.375),
    POGC3(0.063),
    POCHIB(3.1),
    POAGIDL(0),
    PLAGIDL(0.0),
    PWAGIDL(0.0),
    PLWAGIDL(0.0),
    POAGIDLD(0),
    PLAGIDLD(0.0),
    PWAGIDLD(0.0),
    PLWAGIDLD(0.0),
    POBGIDL(41),
    POBGIDLD(41),
    POSTBGIDL(0),
    POSTBGIDLD(0),
    POCGIDL(0),
    POCGIDLD(0),
    POCOX(1E-14),
    PLCOX(0.0),
    PWCOX(0.0),
    PLWCOX(0.0),
    POCGOV(1E-15),
    PLCGOV(0.0),
    PWCGOV(0.0),
    PLWCGOV(0.0),
    POCGOVD(1E-15),
    PLCGOVD(0.0),
    PWCGOVD(0.0),
    PLWCGOVD(0.0),
    POCGBOV(0),
    PLCGBOV(0.0),
    PWCGBOV(0.0),
    PLWCGBOV(0.0),
    POCFR(0),
    PLCFR(0.0),
    PWCFR(0.0),
    PLWCFR(0.0),
    POCFRD(0),
    PLCFRD(0.0),
    PWCFRD(0.0),
    PLWCFRD(0.0),
    POFNT(1),
    PONFA(8E+22),
    PLNFA(0.0),
    PWNFA(0.0),
    PLWNFA(0.0),
    PONFB(3E+07),
    PLNFB(0.0),
    PWNFB(0.0),
    PLWNFB(0.0),
    PONFC(0),
    PLNFC(0.0),
    PWNFC(0.0),
    PLWNFC(0.0),
    POEF(1.0),
    POKVTHOWE(0),
    PLKVTHOWE(0),
    PWKVTHOWE(0),
    PLWKVTHOWE(0),
    POKUOWE(0),
    PLKUOWE(0),
    PWKUOWE(0),
    PLWKUOWE(0),
    LMIN(0),
    LMAX(1.0),
    WMIN(0),
    WMAX(1.0),
    LVARO(0.0),
    LVARL(0.0),
    LVARW(0.0),
    LAP(0.0),
    WVARO(0.0),
    WVARL(0.0),
    WVARW(0.0),
    WOT(0.0),
    DLQ(0.0),
    DWQ(0.0),
    VFBO((-1.0)),
    VFBL(0.0),
    VFBW(0.0),
    VFBLW(0.0),
    STVFBO(5e-4),
    STVFBL(0.0),
    STVFBW(0.0),
    STVFBLW(0.0),
    TOXO(2e-9),
    EPSROXO(3.9),
    NSUBO(3e23),
    NSUBW(0.0),
    WSEG(1e-8),
    NPCK(1e24),
    NPCKW(0.0),
    WSEGP(1e-8),
    LPCK(1e-8),
    LPCKW(0.0),
    FOL1(0.0),
    FOL2(0.0),
    FACNEFFACO(1.0),
    FACNEFFACL(0.0),
    FACNEFFACW(0.0),
    FACNEFFACLW(0.0),
    GFACNUDO(1.0),
    GFACNUDL(0.0),
    GFACNUDLEXP(1.0),
    GFACNUDW(0.0),
    GFACNUDLW(0.0),
    VSBNUDO(0.0),
    DVSBNUDO(1.0),
    VNSUBO(0.0),
    NSLPO(0.05),
    DNSUBO(0.0),
    DPHIBO(0.0),
    DPHIBL(0.0),
    DPHIBLEXP(1.0),
    DPHIBW(0.0),
    DPHIBLW(0.0),
    DELVTACO(0.0),
    DELVTACL(0.0),
    DELVTACLEXP(1.0),
    DELVTACW(0.0),
    DELVTACLW(0.0),
    NPO(1e26),
    NPL(0.0),
    CTO(0.0),
    CTL(0.0),
    CTLEXP(1.0),
    CTW(0.0),
    CTLW(0.0),
    TOXOVO(2e-9),
    TOXOVDO(2e-9),
    LOV(0),
    LOVD(0),
    NOVO(5e25),
    NOVDO(5e25),
    CFL(0.0),
    CFLEXP(2.0),
    CFW(0.0),
    CFBO(0.0),
    UO(5e-2),
    FBET1(0.0),
    FBET1W(0.0),
    LP1(1e-8),
    LP1W(0.0),
    FBET2(0.0),
    LP2(1e-8),
    BETW1(0.0),
    BETW2(0.0),
    WBET(1e-9),
    STBETO(1.0),
    STBETL(0.0),
    STBETW(0.0),
    STBETLW(0.0),
    MUEO(0.5),
    MUEW(0.0),
    STMUEO(0.0),
    THEMUO(1.5),
    STTHEMUO(1.5),
    CSO(0.0),
    CSL(0.0),
    CSLEXP(1.0),
    CSW(0.0),
    CSLW(0.0),
    STCSO(0.0),
    XCORO(0.0),
    XCORL(0.0),
    XCORW(0.0),
    XCORLW(0.0),
    STXCORO(0.0),
    FETAO(1.0),
    RSW1(50.0),
    RSW2(0.0),
    STRSO(1.0),
    RSBO(0.0),
    RSGO(0.0),
    THESATO(0.0),
    THESATL(0.05),
    THESATLEXP(1.0),
    THESATW(0.0),
    THESATLW(0.0),
    STTHESATO(1.0),
    STTHESATL(0.0),
    STTHESATW(0.0),
    STTHESATLW(0.0),
    THESATBO(0.0),
    THESATGO(0.0),
    AXO(18),
    AXL(0.4),
    ALPL(5e-4),
    ALPLEXP(1.0),
    ALPW(0.0),
    ALP1L1(0.0),
    ALP1LEXP(0.5),
    ALP1L2(0.0),
    ALP1W(0.0),
    ALP2L1(0.0),
    ALP2LEXP(0.5),
    ALP2L2(0.0),
    ALP2W(0.0),
    VPO(0.05),
    A1O(1.0),
    A1L(0.0),
    A1W(0.0),
    A2O(10),
    STA2O(0.0),
    A3O(1.0),
    A3L(0.0),
    A3W(0.0),
    A4O(0.0),
    A4L(0.0),
    A4W(0.0),
    GCOO(0.0),
    IGINVLW(0.0),
    IGOVW(0.0),
    IGOVDW(0.0),
    STIGO(2.0),
    GC2O(0.375),
    GC3O(0.063),
    CHIBO(3.1),
    AGIDLW(0.0),
    AGIDLDW(0.0),
    BGIDLO(41),
    BGIDLDO(41),
    STBGIDLO(0.0),
    STBGIDLDO(0.0),
    CGIDLO(0.0),
    CGIDLDO(0.0),
    CGBOVL(0.0),
    CFRW(0.0),
    CFRDW(0.0),
    FNTO(1.0),
    NFALW(8e22),
    NFBLW(3e7),
    NFCLW(0.0),
    EFO(1.0),
    LINTNOI(0.0),
    ALPNOI(2.0),
    KVTHOWEO(0),
    KVTHOWEL(0),
    KVTHOWEW(0),
    KVTHOWELW(0),
    KUOWEO(0),
    KUOWEL(0),
    KUOWEW(0),
    KUOWELW(0),
    RGO(0.0),
    RINT(0.0),
    RVPOLY(0.0),
    RSHG(0.0),
    DLSIL(0.0),
    RSH(0.0),
    RSHD(0.0),
    RBULKO(0.0),
    RWELLO(0.0),
    RJUNSO(0.0),
    RJUNDO(0.0),
    SAREF(1.0e-6),
    SBREF(1.0e-6),
    WLOD(0),
    KUO(0),
    KVSAT(0),
    TKUO(0),
    LKUO(0),
    WKUO(0),
    PKUO(0),
    LLODKUO(0),
    WLODKUO(0),
    KVTHO(0),
    LKVTHO(0),
    WKVTHO(0),
    PKVTHO(0),
    LLODVTH(0),
    WLODVTH(0),
    STETAO(0),
    LODETAO(1.0),
    SCREF(1.0e-6),
    WEB(0),
    WEC(0),
    IMAX(1000),
    TRJ(21),
    CJORBOT(1E-3),
    CJORSTI(1E-9),
    CJORGAT(1E-9),
    VBIRBOT(1),
    VBIRSTI(1),
    VBIRGAT(1),
    PBOT(0.5),
    PSTI(0.5),
    PGAT(0.5),
    PHIGBOT(1.16),
    PHIGSTI(1.16),
    PHIGGAT(1.16),
    IDSATRBOT(1E-12),
    IDSATRSTI(1E-18),
    IDSATRGAT(1E-18),
    CSRHBOT(1E2),
    CSRHSTI(1E-4),
    CSRHGAT(1E-4),
    XJUNSTI(100E-9),
    XJUNGAT(100E-9),
    CTATBOT(1E2),
    CTATSTI(1E-4),
    CTATGAT(1E-4),
    MEFFTATBOT(0.25),
    MEFFTATSTI(0.25),
    MEFFTATGAT(0.25),
    CBBTBOT(1E-12),
    CBBTSTI(1E-18),
    CBBTGAT(1E-18),
    FBBTRBOT(1E9),
    FBBTRSTI(1E9),
    FBBTRGAT(1E9),
    STFBBTBOT((-1E-3)),
    STFBBTSTI((-1E-3)),
    STFBBTGAT((-1E-3)),
    VBRBOT(10),
    VBRSTI(10),
    VBRGAT(10),
    PBRBOT(4),
    PBRSTI(4),
    PBRGAT(4),
    CJORBOTD(1E-3),
    CJORSTID(1E-9),
    CJORGATD(1E-9),
    VBIRBOTD(1),
    VBIRSTID(1),
    VBIRGATD(1),
    PBOTD(0.5),
    PSTID(0.5),
    PGATD(0.5),
    PHIGBOTD(1.16),
    PHIGSTID(1.16),
    PHIGGATD(1.16),
    IDSATRBOTD(1E-12),
    IDSATRSTID(1E-18),
    IDSATRGATD(1E-18),
    CSRHBOTD(1E2),
    CSRHSTID(1E-4),
    CSRHGATD(1E-4),
    XJUNSTID(100E-9),
    XJUNGATD(100E-9),
    CTATBOTD(1E2),
    CTATSTID(1E-4),
    CTATGATD(1E-4),
    MEFFTATBOTD(0.25),
    MEFFTATSTID(0.25),
    MEFFTATGATD(0.25),
    CBBTBOTD(1E-12),
    CBBTSTID(1E-18),
    CBBTGATD(1E-18),
    FBBTRBOTD(1E9),
    FBBTRSTID(1E9),
    FBBTRGATD(1E9),
    STFBBTBOTD((-1E-3)),
    STFBBTSTID((-1E-3)),
    STFBBTGATD((-1E-3)),
    VBRBOTD(10),
    VBRSTID(10),
    VBRGATD(10),
    PBRBOTD(4),
    PBRSTID(4),
    PBRGATD(4),
    SWJUNEXP(0.0),
    VJUNREF(2.5),
    FJUNQ(0.03),
    VJUNREFD(2.5),
    FJUNQD(0.03),
    DTA(0.0),
    NSUBO_i(0.0),
    WSEG_i(0.0),
    NPCK_i(0.0),
    WSEGP_i(0.0),
    LPCK_i(0.0),
    LOV_i(0.0),
    LOVD_i(0.0),
    LP1_i(0.0),
    LP2_i(0.0),
    WBET_i(0.0),
    AXL_i(0.0),
    ALP1L2_i(0.0),
    ALP2L2_i(0.0),
    TOXO_i(0.0),
    TOXOVO_i(0.0),
    TOXOVDO_i(0.0),
    EPSROXO_i(0.0),
    RINT_i(0.0),
    RVPOLY_i(0.0),
    RSHG_i(0.0),
    RSH_i(0.0),
    RSHD_i(0.0),
    SAREF_i(0.0),
    SBREF_i(0.0),
    KVSAT_i(0.0),
    LLODKUO_i(0.0),
    WLODKUO_i(0.0),
    LLODVTH_i(0.0),
    WLODVTH_i(0.0),
    LODETAO_i(0.0),
    SCREF_i(0.0),
    WEB_i(0.0),
    WEC_i(0.0),
    QMC_i(0.0),
    TKD(0.0),
    dT(0.0),
    rT(0.0),
    rTn(0.0),
    EPSSI(0.0),
    phit(0.0),
    inv_phit(0.0),
    Eg(0.0),
    phibFac(0.0),
    nt0(0.0),
    CHNL_TYPE(0),
    SWGEO_i(0),
    SWIGATE_i(0),
    SWIMPACT_i(0),
    SWGIDL_i(0),
    SWJUNCAP_i(0),
    SWJUNASYM_i(0),
    SWNUD_i(0),
    SWDELVTAC_i(0),
    IMAX_i(0.0),
    CJORBOT_i(0.0),
    CJORSTI_i(0.0),
    CJORGAT_i(0.0),
    VBIRBOT_i(0.0),
    VBIRSTI_i(0.0),
    VBIRGAT_i(0.0),
    PBOT_i(0.0),
    PSTI_i(0.0),
    PGAT_i(0.0),
    PHIGBOT_i(0.0),
    PHIGSTI_i(0.0),
    PHIGGAT_i(0.0),
    IDSATRBOT_i(0.0),
    IDSATRSTI_i(0.0),
    IDSATRGAT_i(0.0),
    XJUNSTI_i(0.0),
    XJUNGAT_i(0.0),
    CSRHBOT_i(0.0),
    CSRHSTI_i(0.0),
    CSRHGAT_i(0.0),
    CTATBOT_i(0.0),
    CTATSTI_i(0.0),
    CTATGAT_i(0.0),
    MEFFTATBOT_i(0.0),
    MEFFTATSTI_i(0.0),
    MEFFTATGAT_i(0.0),
    CBBTBOT_i(0.0),
    CBBTSTI_i(0.0),
    CBBTGAT_i(0.0),
    FBBTRBOT_i(0.0),
    FBBTRSTI_i(0.0),
    FBBTRGAT_i(0.0),
    STFBBTBOT_i(0.0),
    STFBBTSTI_i(0.0),
    STFBBTGAT_i(0.0),
    VBRBOT_i(0.0),
    VBRSTI_i(0.0),
    VBRGAT_i(0.0),
    PBRBOT_i(0.0),
    PBRSTI_i(0.0),
    PBRGAT_i(0.0),
    SWJUNEXP_i(0.0),
    VJUNREF_i(0.0),
    FJUNQ_i(0.0),
    phitr(0.0),
    phitd(0.0),
    phitdinv(0.0),
    perfc(0.0),
    berfc(0.0),
    cerfc(0.0),
    phigrbot(0.0),
    phigrsti(0.0),
    phigrgat(0.0),
    phigdbot(0.0),
    phigdsti(0.0),
    phigdgat(0.0),
    ftdbot(0.0),
    ftdsti(0.0),
    ftdgat(0.0),
    idsatbot(0.0),
    idsatsti(0.0),
    idsatgat(0.0),
    ubibot(0.0),
    ubisti(0.0),
    ubigat(0.0),
    vbibot(0.0),
    vbisti(0.0),
    vbigat(0.0),
    vbiinvbot(0.0),
    vbiinvsti(0.0),
    vbiinvgat(0.0),
    one_minus_PBOT(0.0),
    one_minus_PSTI(0.0),
    one_minus_PGAT(0.0),
    one_over_one_minus_PBOT(0.0),
    one_over_one_minus_PSTI(0.0),
    one_over_one_minus_PGAT(0.0),
    cjobot(0.0),
    cjosti(0.0),
    cjogat(0.0),
    qprefbot(0.0),
    qprefsti(0.0),
    qprefgat(0.0),
    qpref2bot(0.0),
    qpref2sti(0.0),
    qpref2gat(0.0),
    wdepnulrbot(0.0),
    wdepnulrsti(0.0),
    wdepnulrgat(0.0),
    wdepnulrinvbot(0.0),
    wdepnulrinvsti(0.0),
    wdepnulrinvgat(0.0),
    VBIRBOTinv(0.0),
    VBIRSTIinv(0.0),
    VBIRGATinv(0.0),
    deltaEbot(0.0),
    deltaEsti(0.0),
    deltaEgat(0.0),
    atatbot(0.0),
    atatsti(0.0),
    atatgat(0.0),
    btatpartbot(0.0),
    btatpartsti(0.0),
    btatpartgat(0.0),
    fbbtbot(0.0),
    fbbtsti(0.0),
    fbbtgat(0.0),
    fstopbot(0.0),
    fstopsti(0.0),
    fstopgat(0.0),
    VBRinvbot(0.0),
    VBRinvsti(0.0),
    VBRinvgat(0.0),
    slopebot(0.0),
    slopesti(0.0),
    slopegat(0.0),
    CJORBOTS_i(0.0),
    CJORSTIS_i(0.0),
    CJORGATS_i(0.0),
    VBIRBOTS_i(0.0),
    VBIRSTIS_i(0.0),
    VBIRGATS_i(0.0),
    PBOTS_i(0.0),
    PSTIS_i(0.0),
    PGATS_i(0.0),
    PHIGBOTS_i(0.0),
    PHIGSTIS_i(0.0),
    PHIGGATS_i(0.0),
    IDSATRBOTS_i(0.0),
    IDSATRSTIS_i(0.0),
    IDSATRGATS_i(0.0),
    XJUNSTIS_i(0.0),
    XJUNGATS_i(0.0),
    CSRHBOTS_i(0.0),
    CSRHSTIS_i(0.0),
    CSRHGATS_i(0.0),
    CTATBOTS_i(0.0),
    CTATSTIS_i(0.0),
    CTATGATS_i(0.0),
    MEFFTATBOTS_i(0.0),
    MEFFTATSTIS_i(0.0),
    MEFFTATGATS_i(0.0),
    CBBTBOTS_i(0.0),
    CBBTSTIS_i(0.0),
    CBBTGATS_i(0.0),
    FBBTRBOTS_i(0.0),
    FBBTRSTIS_i(0.0),
    FBBTRGATS_i(0.0),
    STFBBTBOTS_i(0.0),
    STFBBTSTIS_i(0.0),
    STFBBTGATS_i(0.0),
    VBRBOTS_i(0.0),
    VBRSTIS_i(0.0),
    VBRGATS_i(0.0),
    PBRBOTS_i(0.0),
    PBRSTIS_i(0.0),
    PBRGATS_i(0.0),
    CJORBOTD_i(0.0),
    CJORSTID_i(0.0),
    CJORGATD_i(0.0),
    VBIRBOTD_i(0.0),
    VBIRSTID_i(0.0),
    VBIRGATD_i(0.0),
    PBOTD_i(0.0),
    PSTID_i(0.0),
    PGATD_i(0.0),
    PHIGBOTD_i(0.0),
    PHIGSTID_i(0.0),
    PHIGGATD_i(0.0),
    IDSATRBOTD_i(0.0),
    IDSATRSTID_i(0.0),
    IDSATRGATD_i(0.0),
    XJUNSTID_i(0.0),
    XJUNGATD_i(0.0),
    CSRHBOTD_i(0.0),
    CSRHSTID_i(0.0),
    CSRHGATD_i(0.0),
    CTATBOTD_i(0.0),
    CTATSTID_i(0.0),
    CTATGATD_i(0.0),
    MEFFTATBOTD_i(0.0),
    MEFFTATSTID_i(0.0),
    MEFFTATGATD_i(0.0),
    CBBTBOTD_i(0.0),
    CBBTSTID_i(0.0),
    CBBTGATD_i(0.0),
    FBBTRBOTD_i(0.0),
    FBBTRSTID_i(0.0),
    FBBTRGATD_i(0.0),
    STFBBTBOTD_i(0.0),
    STFBBTSTID_i(0.0),
    STFBBTGATD_i(0.0),
    VBRBOTD_i(0.0),
    VBRSTID_i(0.0),
    VBRGATD_i(0.0),
    PBRBOTD_i(0.0),
    PBRSTID_i(0.0),
    PBRGATD_i(0.0),
    VJUNREFS_i(0.0),
    FJUNQS_i(0.0),
    VJUNREFD_i(0.0),
    FJUNQD_i(0.0),
    phigrbot_s(0.0),
    phigrsti_s(0.0),
    phigrgat_s(0.0),
    phigdbot_s(0.0),
    phigdsti_s(0.0),
    phigdgat_s(0.0),
    ftdbot_s(0.0),
    ftdsti_s(0.0),
    ftdgat_s(0.0),
    idsatbot_s(0.0),
    idsatsti_s(0.0),
    idsatgat_s(0.0),
    ubibot_s(0.0),
    ubisti_s(0.0),
    ubigat_s(0.0),
    vbibot_s(0.0),
    vbisti_s(0.0),
    vbigat_s(0.0),
    vbiinvbot_s(0.0),
    vbiinvsti_s(0.0),
    vbiinvgat_s(0.0),
    one_minus_PBOT_s(0.0),
    one_minus_PSTI_s(0.0),
    one_minus_PGAT_s(0.0),
    one_over_one_minus_PBOT_s(0.0),
    one_over_one_minus_PSTI_s(0.0),
    one_over_one_minus_PGAT_s(0.0),
    cjobot_s(0.0),
    cjosti_s(0.0),
    cjogat_s(0.0),
    qprefbot_s(0.0),
    qprefsti_s(0.0),
    qprefgat_s(0.0),
    qpref2bot_s(0.0),
    qpref2sti_s(0.0),
    qpref2gat_s(0.0),
    wdepnulrbot_s(0.0),
    wdepnulrsti_s(0.0),
    wdepnulrgat_s(0.0),
    wdepnulrinvbot_s(0.0),
    wdepnulrinvsti_s(0.0),
    wdepnulrinvgat_s(0.0),
    VBIRBOTinv_s(0.0),
    VBIRSTIinv_s(0.0),
    VBIRGATinv_s(0.0),
    deltaEbot_s(0.0),
    deltaEsti_s(0.0),
    deltaEgat_s(0.0),
    atatbot_s(0.0),
    atatsti_s(0.0),
    atatgat_s(0.0),
    btatpartbot_s(0.0),
    btatpartsti_s(0.0),
    btatpartgat_s(0.0),
    fbbtbot_s(0.0),
    fbbtsti_s(0.0),
    fbbtgat_s(0.0),
    fstopbot_s(0.0),
    fstopsti_s(0.0),
    fstopgat_s(0.0),
    VBRinvbot_s(0.0),
    VBRinvsti_s(0.0),
    VBRinvgat_s(0.0),
    slopebot_s(0.0),
    slopesti_s(0.0),
    slopegat_s(0.0),
    phigrbot_d(0.0),
    phigrsti_d(0.0),
    phigrgat_d(0.0),
    phigdbot_d(0.0),
    phigdsti_d(0.0),
    phigdgat_d(0.0),
    ftdbot_d(0.0),
    ftdsti_d(0.0),
    ftdgat_d(0.0),
    idsatbot_d(0.0),
    idsatsti_d(0.0),
    idsatgat_d(0.0),
    ubibot_d(0.0),
    ubisti_d(0.0),
    ubigat_d(0.0),
    vbibot_d(0.0),
    vbisti_d(0.0),
    vbigat_d(0.0),
    vbiinvbot_d(0.0),
    vbiinvsti_d(0.0),
    vbiinvgat_d(0.0),
    one_minus_PBOT_d(0.0),
    one_minus_PSTI_d(0.0),
    one_minus_PGAT_d(0.0),
    one_over_one_minus_PBOT_d(0.0),
    one_over_one_minus_PSTI_d(0.0),
    one_over_one_minus_PGAT_d(0.0),
    cjobot_d(0.0),
    cjosti_d(0.0),
    cjogat_d(0.0),
    qprefbot_d(0.0),
    qprefsti_d(0.0),
    qprefgat_d(0.0),
    qpref2bot_d(0.0),
    qpref2sti_d(0.0),
    qpref2gat_d(0.0),
    wdepnulrbot_d(0.0),
    wdepnulrsti_d(0.0),
    wdepnulrgat_d(0.0),
    wdepnulrinvbot_d(0.0),
    wdepnulrinvsti_d(0.0),
    wdepnulrinvgat_d(0.0),
    VBIRBOTinv_d(0.0),
    VBIRSTIinv_d(0.0),
    VBIRGATinv_d(0.0),
    deltaEbot_d(0.0),
    deltaEsti_d(0.0),
    deltaEgat_d(0.0),
    atatbot_d(0.0),
    atatsti_d(0.0),
    atatgat_d(0.0),
    btatpartbot_d(0.0),
    btatpartsti_d(0.0),
    btatpartgat_d(0.0),
    fbbtbot_d(0.0),
    fbbtsti_d(0.0),
    fbbtgat_d(0.0),
    fstopbot_d(0.0),
    fstopsti_d(0.0),
    fstopgat_d(0.0),
    VBRinvbot_d(0.0),
    VBRinvsti_d(0.0),
    VBRinvgat_d(0.0),
    slopebot_d(0.0),
    slopesti_d(0.0),
    slopegat_d(0.0)
{
  // Set params to constant default values (from parTable):
  setDefaultParams();

  // Set params according to .model line and constant defaults from metadata:
  setModParams(model_block.params);

  // Set any non-constant parameter defaults:
  // Set any parameters that were not given and whose defaults depend on other
  // parameters:


  if (!given("XYCEADMSMODTEMP"))
    admsModTemp=getDeviceOptions().temp.getImmutableValue<double>();

  // Calculate any parameters specified as expressions:

  updateDependentParameters();

  // Manually added code:
  if (getType() == "pmos" || getType() == "PMOS")
    TYPE = -1;


  // calculate dependent (ie computed) params and check for errors:
  processParams();
}

//-----------------------------------------------------------------------------
// Function      : Model::~Model
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::~Model()
{
  std::vector<Instance*>::iterator iterI;
  std::vector<Instance*>::iterator firstI = instanceContainer.begin ();
  std::vector<Instance*>::iterator lastI  = instanceContainer.end ();

  // loop over instances:
  for (iterI = firstI; iterI != lastI; ++iterI)
  {
    delete (*iterI);
  }
}

//-----------------------------------------------------------------------------
// Function      : Model::printOutInstances
// Purpose       : debugging tool.
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
std::ostream &Model::printOutInstances(std::ostream &os) const
{
  std::vector<Instance*>::const_iterator iter;
  std::vector<Instance*>::const_iterator first = instanceContainer.begin();
  std::vector<Instance*>::const_iterator last  = instanceContainer.end();

  int i;
  os << std::endl;
  os << "    name     model name  Parameters" << std::endl;
  for (i=0, iter=first; iter!=last; ++iter, ++i)
  {
    os << "  " << i << ": " << (*iter)->getName() << "      ";
    os << getName();

    os << std::endl;
    os << "L  =  " << (*iter)->L << std::endl;
    os << "W  =  " << (*iter)->W << std::endl;
    os << "SA  =  " << (*iter)->SA << std::endl;
    os << "SB  =  " << (*iter)->SB << std::endl;
    os << "SD  =  " << (*iter)->SD << std::endl;
    os << "SCA  =  " << (*iter)->SCA << std::endl;
    os << "SCB  =  " << (*iter)->SCB << std::endl;
    os << "SCC  =  " << (*iter)->SCC << std::endl;
    os << "SC  =  " << (*iter)->SC << std::endl;
    os << "NF  =  " << (*iter)->NF << std::endl;
    os << "NGCON  =  " << (*iter)->NGCON << std::endl;
    os << "XGW  =  " << (*iter)->XGW << std::endl;
    os << "NRS  =  " << (*iter)->NRS << std::endl;
    os << "NRD  =  " << (*iter)->NRD << std::endl;
    os << "JW  =  " << (*iter)->JW << std::endl;
    os << "DELVTO  =  " << (*iter)->DELVTO << std::endl;
    os << "FACTUO  =  " << (*iter)->FACTUO << std::endl;
    os << "ABSOURCE  =  " << (*iter)->ABSOURCE << std::endl;
    os << "LSSOURCE  =  " << (*iter)->LSSOURCE << std::endl;
    os << "LGSOURCE  =  " << (*iter)->LGSOURCE << std::endl;
    os << "ABDRAIN  =  " << (*iter)->ABDRAIN << std::endl;
    os << "LSDRAIN  =  " << (*iter)->LSDRAIN << std::endl;
    os << "LGDRAIN  =  " << (*iter)->LGDRAIN << std::endl;
    os << "AS  =  " << (*iter)->AS << std::endl;
    os << "PS  =  " << (*iter)->PS << std::endl;
    os << "AD  =  " << (*iter)->AD << std::endl;
    os << "PD  =  " << (*iter)->PD << std::endl;
    os << "MULT  =  " << (*iter)->MULT << std::endl;
    os << std::endl;
  }

  os << std::endl;

  return os;
}

//-----------------------------------------------------------------------------
// Function      : Model::forEachInstance
// Purpose       : 
// Special Notes :
// Scope         : public
// Creator       : David Baur
// Creation Date : 2/4/2014
//-----------------------------------------------------------------------------
/// Apply a device instance "op" to all instances associated with this
/// model
/// 
/// @param[in] op Operator to apply to all instances.
/// 
/// 
void Model::forEachInstance(DeviceInstanceOp &op) const /* override */ 
{
  for (std::vector<Instance *>::const_iterator it = instanceContainer.begin(); it != instanceContainer.end(); ++it)
    op(*it);
}

Device *Traits::factory(const Configuration &configuration, const FactoryBlock &factory_block)
{
  return new DeviceMaster<Traits>(configuration, factory_block, factory_block.solverState_, factory_block.deviceOptions_);
}

void registerDevice()
{
  Config<Traits>::addConfiguration()
    .registerDevice("m", 103)
    .registerModelType("nmos", 103)
    .registerModelType("pmos", 103);
}



//-----------------------------------------------------------------------------
// Function      : evaluateInitialInstance
// Purpose       : Evaluate the statements in the initial_instance block
// Special Notes : specific for sensitivity use
// Scope         : public
// Creator       : admsXml
// Creation Date : 
//-----------------------------------------------------------------------------
void evaluateInitialInstance(
   // instance parameters
   // reals
   AdmsSensFadType & instancePar_L,
   bool instancePar_given_L,
   AdmsSensFadType & instancePar_W,
   bool instancePar_given_W,
   AdmsSensFadType & instancePar_SA,
   bool instancePar_given_SA,
   AdmsSensFadType & instancePar_SB,
   bool instancePar_given_SB,
   AdmsSensFadType & instancePar_SD,
   bool instancePar_given_SD,
   AdmsSensFadType & instancePar_SCA,
   bool instancePar_given_SCA,
   AdmsSensFadType & instancePar_SCB,
   bool instancePar_given_SCB,
   AdmsSensFadType & instancePar_SCC,
   bool instancePar_given_SCC,
   AdmsSensFadType & instancePar_SC,
   bool instancePar_given_SC,
   AdmsSensFadType & instancePar_NF,
   bool instancePar_given_NF,
   AdmsSensFadType & instancePar_NGCON,
   bool instancePar_given_NGCON,
   AdmsSensFadType & instancePar_XGW,
   bool instancePar_given_XGW,
   AdmsSensFadType & instancePar_NRS,
   bool instancePar_given_NRS,
   AdmsSensFadType & instancePar_NRD,
   bool instancePar_given_NRD,
   AdmsSensFadType & instancePar_JW,
   bool instancePar_given_JW,
   AdmsSensFadType & instancePar_DELVTO,
   bool instancePar_given_DELVTO,
   AdmsSensFadType & instancePar_FACTUO,
   bool instancePar_given_FACTUO,
   AdmsSensFadType & instancePar_ABSOURCE,
   bool instancePar_given_ABSOURCE,
   AdmsSensFadType & instancePar_LSSOURCE,
   bool instancePar_given_LSSOURCE,
   AdmsSensFadType & instancePar_LGSOURCE,
   bool instancePar_given_LGSOURCE,
   AdmsSensFadType & instancePar_ABDRAIN,
   bool instancePar_given_ABDRAIN,
   AdmsSensFadType & instancePar_LSDRAIN,
   bool instancePar_given_LSDRAIN,
   AdmsSensFadType & instancePar_LGDRAIN,
   bool instancePar_given_LGDRAIN,
   AdmsSensFadType & instancePar_AS,
   bool instancePar_given_AS,
   AdmsSensFadType & instancePar_PS,
   bool instancePar_given_PS,
   AdmsSensFadType & instancePar_AD,
   bool instancePar_given_AD,
   AdmsSensFadType & instancePar_PD,
   bool instancePar_given_PD,
   AdmsSensFadType & instancePar_MULT,
   bool instancePar_given_MULT,
   // instance variables
   // reals
   AdmsSensFadType & instanceVar_VFB_i,
   AdmsSensFadType & instanceVar_GFACNUD_i,
   AdmsSensFadType & instanceVar_VNSUB_i,
   AdmsSensFadType & instanceVar_NSLP_i,
   AdmsSensFadType & instanceVar_DNSUB_i,
   AdmsSensFadType & instanceVar_CF_i,
   AdmsSensFadType & instanceVar_CFB_i,
   AdmsSensFadType & instanceVar_MUE_i,
   AdmsSensFadType & instanceVar_THEMU_i,
   AdmsSensFadType & instanceVar_CS_i,
   AdmsSensFadType & instanceVar_XCOR_i,
   AdmsSensFadType & instanceVar_THER_i,
   AdmsSensFadType & instanceVar_RSB_i,
   AdmsSensFadType & instanceVar_RSG_i,
   AdmsSensFadType & instanceVar_THESAT_i,
   AdmsSensFadType & instanceVar_THESATB_i,
   AdmsSensFadType & instanceVar_THESATG_i,
   AdmsSensFadType & instanceVar_AX_i,
   AdmsSensFadType & instanceVar_ALP_i,
   AdmsSensFadType & instanceVar_ALP1_i,
   AdmsSensFadType & instanceVar_ALP2_i,
   AdmsSensFadType & instanceVar_A1_i,
   AdmsSensFadType & instanceVar_A2_i,
   AdmsSensFadType & instanceVar_A3_i,
   AdmsSensFadType & instanceVar_A4_i,
   AdmsSensFadType & instanceVar_IGINV_i,
   AdmsSensFadType & instanceVar_IGOV_i,
   AdmsSensFadType & instanceVar_IGOVD_i,
   AdmsSensFadType & instanceVar_GC2_i,
   AdmsSensFadType & instanceVar_GC3_i,
   AdmsSensFadType & instanceVar_CHIB_i,
   AdmsSensFadType & instanceVar_AGIDL_i,
   AdmsSensFadType & instanceVar_BGIDL_i,
   AdmsSensFadType & instanceVar_CGIDL_i,
   AdmsSensFadType & instanceVar_AGIDLD_i,
   AdmsSensFadType & instanceVar_BGIDLD_i,
   AdmsSensFadType & instanceVar_CGIDLD_i,
   AdmsSensFadType & instanceVar_COX_i,
   AdmsSensFadType & instanceVar_CGOV_i,
   AdmsSensFadType & instanceVar_CGOVD_i,
   AdmsSensFadType & instanceVar_CGBOV_i,
   AdmsSensFadType & instanceVar_CFR_i,
   AdmsSensFadType & instanceVar_CFRD_i,
   AdmsSensFadType & instanceVar_MULT_i,
   AdmsSensFadType & instanceVar_BET_i,
   AdmsSensFadType & instanceVar_kp,
   AdmsSensFadType & instanceVar_qq,
   AdmsSensFadType & instanceVar_qlim2,
   AdmsSensFadType & instanceVar_E_eff0,
   AdmsSensFadType & instanceVar_eta_mu,
   AdmsSensFadType & instanceVar_eta_mu1,
   AdmsSensFadType & instanceVar_BCH,
   AdmsSensFadType & instanceVar_BOV,
   AdmsSensFadType & instanceVar_inv_CHIB,
   AdmsSensFadType & instanceVar_GCQ,
   AdmsSensFadType & instanceVar_Dch,
   AdmsSensFadType & instanceVar_Dov,
   AdmsSensFadType & instanceVar_x1,
   AdmsSensFadType & instanceVar_Vdsat_lim,
   AdmsSensFadType & instanceVar_GOV_s,
   AdmsSensFadType & instanceVar_GOV_d,
   AdmsSensFadType & instanceVar_GOV2_s,
   AdmsSensFadType & instanceVar_GOV2_d,
   AdmsSensFadType & instanceVar_BOV_d,
   AdmsSensFadType & instanceVar_xi_ov_s,
   AdmsSensFadType & instanceVar_xi_ov_d,
   AdmsSensFadType & instanceVar_inv_xi_ov_s,
   AdmsSensFadType & instanceVar_inv_xi_ov_d,
   AdmsSensFadType & instanceVar_x_mrg_ov_s,
   AdmsSensFadType & instanceVar_x_mrg_ov_d,
   AdmsSensFadType & instanceVar_inv_xg1_s,
   AdmsSensFadType & instanceVar_inv_xg1_d,
   AdmsSensFadType & instanceVar_phit1,
   AdmsSensFadType & instanceVar_inv_phit1,
   AdmsSensFadType & instanceVar_alpha_b,
   AdmsSensFadType & instanceVar_inv_VP,
   AdmsSensFadType & instanceVar_inv_AX,
   AdmsSensFadType & instanceVar_us1,
   AdmsSensFadType & instanceVar_us21,
   AdmsSensFadType & instanceVar_phib_dc,
   AdmsSensFadType & instanceVar_sqrt_phib_dc,
   AdmsSensFadType & instanceVar_G_0_dc,
   AdmsSensFadType & instanceVar_aphi_dc,
   AdmsSensFadType & instanceVar_bphi_dc,
   AdmsSensFadType & instanceVar_phix_dc,
   AdmsSensFadType & instanceVar_phix1_dc,
   AdmsSensFadType & instanceVar_phib_ac,
   AdmsSensFadType & instanceVar_sqrt_phib_ac,
   AdmsSensFadType & instanceVar_G_0_ac,
   AdmsSensFadType & instanceVar_aphi_ac,
   AdmsSensFadType & instanceVar_bphi_ac,
   AdmsSensFadType & instanceVar_phix_ac,
   AdmsSensFadType & instanceVar_phix1_ac,
   AdmsSensFadType & instanceVar_RG_i,
   AdmsSensFadType & instanceVar_RSE_i,
   AdmsSensFadType & instanceVar_RDE_i,
   AdmsSensFadType & instanceVar_RBULK_i,
   AdmsSensFadType & instanceVar_RWELL_i,
   AdmsSensFadType & instanceVar_RJUNS_i,
   AdmsSensFadType & instanceVar_RJUND_i,
   AdmsSensFadType & instanceVar_ggate,
   AdmsSensFadType & instanceVar_gsource,
   AdmsSensFadType & instanceVar_gdrain,
   AdmsSensFadType & instanceVar_gbulk,
   AdmsSensFadType & instanceVar_gwell,
   AdmsSensFadType & instanceVar_gjund,
   AdmsSensFadType & instanceVar_gjuns,
   AdmsSensFadType & instanceVar_tmpv,
   AdmsSensFadType & instanceVar_vjv,
   AdmsSensFadType & instanceVar_idmult,
   AdmsSensFadType & instanceVar_vj,
   AdmsSensFadType & instanceVar_zinv,
   AdmsSensFadType & instanceVar_vjsrh,
   AdmsSensFadType & instanceVar_vav,
   AdmsSensFadType & instanceVar_vbi_minus_vjsrh,
   AdmsSensFadType & instanceVar_wsrh,
   AdmsSensFadType & instanceVar_wdep,
   AdmsSensFadType & instanceVar_asrh,
   AdmsSensFadType & instanceVar_ABSOURCE_i,
   AdmsSensFadType & instanceVar_LSSOURCE_i,
   AdmsSensFadType & instanceVar_LGSOURCE_i,
   AdmsSensFadType & instanceVar_zflagbot_s,
   AdmsSensFadType & instanceVar_zflagsti_s,
   AdmsSensFadType & instanceVar_zflaggat_s,
   AdmsSensFadType & instanceVar_VMAX_s,
   AdmsSensFadType & instanceVar_exp_VMAX_over_phitd_s,
   AdmsSensFadType & instanceVar_vbimin_s,
   AdmsSensFadType & instanceVar_vch_s,
   AdmsSensFadType & instanceVar_vfmin_s,
   AdmsSensFadType & instanceVar_vbbtlim_s,
   AdmsSensFadType & instanceVar_ijunbot_s,
   AdmsSensFadType & instanceVar_qjunbot_s,
   AdmsSensFadType & instanceVar_ijunsti_s,
   AdmsSensFadType & instanceVar_qjunsti_s,
   AdmsSensFadType & instanceVar_ijungat_s,
   AdmsSensFadType & instanceVar_qjungat_s,
   AdmsSensFadType & instanceVar_ijun_s,
   AdmsSensFadType & instanceVar_qjun_s,
   AdmsSensFadType & instanceVar_xhighf1_s,
   AdmsSensFadType & instanceVar_expxhf1_s,
   AdmsSensFadType & instanceVar_xhighf2_s,
   AdmsSensFadType & instanceVar_expxhf2_s,
   AdmsSensFadType & instanceVar_xhighr_s,
   AdmsSensFadType & instanceVar_expxhr_s,
   AdmsSensFadType & instanceVar_m0flag_s,
   AdmsSensFadType & instanceVar_ISATFOR1_s,
   AdmsSensFadType & instanceVar_MFOR1_s,
   AdmsSensFadType & instanceVar_ISATFOR2_s,
   AdmsSensFadType & instanceVar_MFOR2_s,
   AdmsSensFadType & instanceVar_ISATREV_s,
   AdmsSensFadType & instanceVar_MREV_s,
   AdmsSensFadType & instanceVar_ABDRAIN_i,
   AdmsSensFadType & instanceVar_LSDRAIN_i,
   AdmsSensFadType & instanceVar_LGDRAIN_i,
   AdmsSensFadType & instanceVar_zflagbot_d,
   AdmsSensFadType & instanceVar_zflagsti_d,
   AdmsSensFadType & instanceVar_zflaggat_d,
   AdmsSensFadType & instanceVar_VMAX_d,
   AdmsSensFadType & instanceVar_exp_VMAX_over_phitd_d,
   AdmsSensFadType & instanceVar_vbimin_d,
   AdmsSensFadType & instanceVar_vch_d,
   AdmsSensFadType & instanceVar_vfmin_d,
   AdmsSensFadType & instanceVar_vbbtlim_d,
   AdmsSensFadType & instanceVar_ijunbot_d,
   AdmsSensFadType & instanceVar_qjunbot_d,
   AdmsSensFadType & instanceVar_ijunsti_d,
   AdmsSensFadType & instanceVar_qjunsti_d,
   AdmsSensFadType & instanceVar_ijungat_d,
   AdmsSensFadType & instanceVar_qjungat_d,
   AdmsSensFadType & instanceVar_ijun_d,
   AdmsSensFadType & instanceVar_qjun_d,
   AdmsSensFadType & instanceVar_xhighf1_d,
   AdmsSensFadType & instanceVar_expxhf1_d,
   AdmsSensFadType & instanceVar_xhighf2_d,
   AdmsSensFadType & instanceVar_expxhf2_d,
   AdmsSensFadType & instanceVar_xhighr_d,
   AdmsSensFadType & instanceVar_expxhr_d,
   AdmsSensFadType & instanceVar_m0flag_d,
   AdmsSensFadType & instanceVar_ISATFOR1_d,
   AdmsSensFadType & instanceVar_MFOR1_d,
   AdmsSensFadType & instanceVar_ISATFOR2_d,
   AdmsSensFadType & instanceVar_MFOR2_d,
   AdmsSensFadType & instanceVar_ISATREV_d,
   AdmsSensFadType & instanceVar_MREV_d,
   // model parameters
   // reals
   AdmsSensFadType & modelPar_LEVEL,
   bool modelPar_given_LEVEL,
   AdmsSensFadType & modelPar_TYPE,
   bool modelPar_given_TYPE,
   AdmsSensFadType & modelPar_TR,
   bool modelPar_given_TR,
   AdmsSensFadType & modelPar_SWGEO,
   bool modelPar_given_SWGEO,
   AdmsSensFadType & modelPar_SWIGATE,
   bool modelPar_given_SWIGATE,
   AdmsSensFadType & modelPar_SWIMPACT,
   bool modelPar_given_SWIMPACT,
   AdmsSensFadType & modelPar_SWGIDL,
   bool modelPar_given_SWGIDL,
   AdmsSensFadType & modelPar_SWJUNCAP,
   bool modelPar_given_SWJUNCAP,
   AdmsSensFadType & modelPar_SWJUNASYM,
   bool modelPar_given_SWJUNASYM,
   AdmsSensFadType & modelPar_SWNUD,
   bool modelPar_given_SWNUD,
   AdmsSensFadType & modelPar_SWDELVTAC,
   bool modelPar_given_SWDELVTAC,
   AdmsSensFadType & modelPar_QMC,
   bool modelPar_given_QMC,
   AdmsSensFadType & modelPar_VFB,
   bool modelPar_given_VFB,
   AdmsSensFadType & modelPar_STVFB,
   bool modelPar_given_STVFB,
   AdmsSensFadType & modelPar_TOX,
   bool modelPar_given_TOX,
   AdmsSensFadType & modelPar_EPSROX,
   bool modelPar_given_EPSROX,
   AdmsSensFadType & modelPar_NEFF,
   bool modelPar_given_NEFF,
   AdmsSensFadType & modelPar_FACNEFFAC,
   bool modelPar_given_FACNEFFAC,
   AdmsSensFadType & modelPar_GFACNUD,
   bool modelPar_given_GFACNUD,
   AdmsSensFadType & modelPar_VSBNUD,
   bool modelPar_given_VSBNUD,
   AdmsSensFadType & modelPar_DVSBNUD,
   bool modelPar_given_DVSBNUD,
   AdmsSensFadType & modelPar_VNSUB,
   bool modelPar_given_VNSUB,
   AdmsSensFadType & modelPar_NSLP,
   bool modelPar_given_NSLP,
   AdmsSensFadType & modelPar_DNSUB,
   bool modelPar_given_DNSUB,
   AdmsSensFadType & modelPar_DPHIB,
   bool modelPar_given_DPHIB,
   AdmsSensFadType & modelPar_DELVTAC,
   bool modelPar_given_DELVTAC,
   AdmsSensFadType & modelPar_NP,
   bool modelPar_given_NP,
   AdmsSensFadType & modelPar_CT,
   bool modelPar_given_CT,
   AdmsSensFadType & modelPar_TOXOV,
   bool modelPar_given_TOXOV,
   AdmsSensFadType & modelPar_TOXOVD,
   bool modelPar_given_TOXOVD,
   AdmsSensFadType & modelPar_NOV,
   bool modelPar_given_NOV,
   AdmsSensFadType & modelPar_NOVD,
   bool modelPar_given_NOVD,
   AdmsSensFadType & modelPar_CF,
   bool modelPar_given_CF,
   AdmsSensFadType & modelPar_CFB,
   bool modelPar_given_CFB,
   AdmsSensFadType & modelPar_BETN,
   bool modelPar_given_BETN,
   AdmsSensFadType & modelPar_STBET,
   bool modelPar_given_STBET,
   AdmsSensFadType & modelPar_MUE,
   bool modelPar_given_MUE,
   AdmsSensFadType & modelPar_STMUE,
   bool modelPar_given_STMUE,
   AdmsSensFadType & modelPar_THEMU,
   bool modelPar_given_THEMU,
   AdmsSensFadType & modelPar_STTHEMU,
   bool modelPar_given_STTHEMU,
   AdmsSensFadType & modelPar_CS,
   bool modelPar_given_CS,
   AdmsSensFadType & modelPar_STCS,
   bool modelPar_given_STCS,
   AdmsSensFadType & modelPar_XCOR,
   bool modelPar_given_XCOR,
   AdmsSensFadType & modelPar_STXCOR,
   bool modelPar_given_STXCOR,
   AdmsSensFadType & modelPar_FETA,
   bool modelPar_given_FETA,
   AdmsSensFadType & modelPar_RS,
   bool modelPar_given_RS,
   AdmsSensFadType & modelPar_STRS,
   bool modelPar_given_STRS,
   AdmsSensFadType & modelPar_RSB,
   bool modelPar_given_RSB,
   AdmsSensFadType & modelPar_RSG,
   bool modelPar_given_RSG,
   AdmsSensFadType & modelPar_THESAT,
   bool modelPar_given_THESAT,
   AdmsSensFadType & modelPar_STTHESAT,
   bool modelPar_given_STTHESAT,
   AdmsSensFadType & modelPar_THESATB,
   bool modelPar_given_THESATB,
   AdmsSensFadType & modelPar_THESATG,
   bool modelPar_given_THESATG,
   AdmsSensFadType & modelPar_AX,
   bool modelPar_given_AX,
   AdmsSensFadType & modelPar_ALP,
   bool modelPar_given_ALP,
   AdmsSensFadType & modelPar_ALP1,
   bool modelPar_given_ALP1,
   AdmsSensFadType & modelPar_ALP2,
   bool modelPar_given_ALP2,
   AdmsSensFadType & modelPar_VP,
   bool modelPar_given_VP,
   AdmsSensFadType & modelPar_A1,
   bool modelPar_given_A1,
   AdmsSensFadType & modelPar_A2,
   bool modelPar_given_A2,
   AdmsSensFadType & modelPar_STA2,
   bool modelPar_given_STA2,
   AdmsSensFadType & modelPar_A3,
   bool modelPar_given_A3,
   AdmsSensFadType & modelPar_A4,
   bool modelPar_given_A4,
   AdmsSensFadType & modelPar_GCO,
   bool modelPar_given_GCO,
   AdmsSensFadType & modelPar_IGINV,
   bool modelPar_given_IGINV,
   AdmsSensFadType & modelPar_IGOV,
   bool modelPar_given_IGOV,
   AdmsSensFadType & modelPar_IGOVD,
   bool modelPar_given_IGOVD,
   AdmsSensFadType & modelPar_STIG,
   bool modelPar_given_STIG,
   AdmsSensFadType & modelPar_GC2,
   bool modelPar_given_GC2,
   AdmsSensFadType & modelPar_GC3,
   bool modelPar_given_GC3,
   AdmsSensFadType & modelPar_CHIB,
   bool modelPar_given_CHIB,
   AdmsSensFadType & modelPar_AGIDL,
   bool modelPar_given_AGIDL,
   AdmsSensFadType & modelPar_AGIDLD,
   bool modelPar_given_AGIDLD,
   AdmsSensFadType & modelPar_BGIDL,
   bool modelPar_given_BGIDL,
   AdmsSensFadType & modelPar_BGIDLD,
   bool modelPar_given_BGIDLD,
   AdmsSensFadType & modelPar_STBGIDL,
   bool modelPar_given_STBGIDL,
   AdmsSensFadType & modelPar_STBGIDLD,
   bool modelPar_given_STBGIDLD,
   AdmsSensFadType & modelPar_CGIDL,
   bool modelPar_given_CGIDL,
   AdmsSensFadType & modelPar_CGIDLD,
   bool modelPar_given_CGIDLD,
   AdmsSensFadType & modelPar_COX,
   bool modelPar_given_COX,
   AdmsSensFadType & modelPar_CGOV,
   bool modelPar_given_CGOV,
   AdmsSensFadType & modelPar_CGOVD,
   bool modelPar_given_CGOVD,
   AdmsSensFadType & modelPar_CGBOV,
   bool modelPar_given_CGBOV,
   AdmsSensFadType & modelPar_CFR,
   bool modelPar_given_CFR,
   AdmsSensFadType & modelPar_CFRD,
   bool modelPar_given_CFRD,
   AdmsSensFadType & modelPar_FNT,
   bool modelPar_given_FNT,
   AdmsSensFadType & modelPar_NFA,
   bool modelPar_given_NFA,
   AdmsSensFadType & modelPar_NFB,
   bool modelPar_given_NFB,
   AdmsSensFadType & modelPar_NFC,
   bool modelPar_given_NFC,
   AdmsSensFadType & modelPar_EF,
   bool modelPar_given_EF,
   AdmsSensFadType & modelPar_RG,
   bool modelPar_given_RG,
   AdmsSensFadType & modelPar_RSE,
   bool modelPar_given_RSE,
   AdmsSensFadType & modelPar_RDE,
   bool modelPar_given_RDE,
   AdmsSensFadType & modelPar_RBULK,
   bool modelPar_given_RBULK,
   AdmsSensFadType & modelPar_RWELL,
   bool modelPar_given_RWELL,
   AdmsSensFadType & modelPar_RJUNS,
   bool modelPar_given_RJUNS,
   AdmsSensFadType & modelPar_RJUND,
   bool modelPar_given_RJUND,
   AdmsSensFadType & modelPar_POVFB,
   bool modelPar_given_POVFB,
   AdmsSensFadType & modelPar_PLVFB,
   bool modelPar_given_PLVFB,
   AdmsSensFadType & modelPar_PWVFB,
   bool modelPar_given_PWVFB,
   AdmsSensFadType & modelPar_PLWVFB,
   bool modelPar_given_PLWVFB,
   AdmsSensFadType & modelPar_POSTVFB,
   bool modelPar_given_POSTVFB,
   AdmsSensFadType & modelPar_PLSTVFB,
   bool modelPar_given_PLSTVFB,
   AdmsSensFadType & modelPar_PWSTVFB,
   bool modelPar_given_PWSTVFB,
   AdmsSensFadType & modelPar_PLWSTVFB,
   bool modelPar_given_PLWSTVFB,
   AdmsSensFadType & modelPar_POTOX,
   bool modelPar_given_POTOX,
   AdmsSensFadType & modelPar_POEPSROX,
   bool modelPar_given_POEPSROX,
   AdmsSensFadType & modelPar_PONEFF,
   bool modelPar_given_PONEFF,
   AdmsSensFadType & modelPar_PLNEFF,
   bool modelPar_given_PLNEFF,
   AdmsSensFadType & modelPar_PWNEFF,
   bool modelPar_given_PWNEFF,
   AdmsSensFadType & modelPar_PLWNEFF,
   bool modelPar_given_PLWNEFF,
   AdmsSensFadType & modelPar_POFACNEFFAC,
   bool modelPar_given_POFACNEFFAC,
   AdmsSensFadType & modelPar_PLFACNEFFAC,
   bool modelPar_given_PLFACNEFFAC,
   AdmsSensFadType & modelPar_PWFACNEFFAC,
   bool modelPar_given_PWFACNEFFAC,
   AdmsSensFadType & modelPar_PLWFACNEFFAC,
   bool modelPar_given_PLWFACNEFFAC,
   AdmsSensFadType & modelPar_POGFACNUD,
   bool modelPar_given_POGFACNUD,
   AdmsSensFadType & modelPar_PLGFACNUD,
   bool modelPar_given_PLGFACNUD,
   AdmsSensFadType & modelPar_PWGFACNUD,
   bool modelPar_given_PWGFACNUD,
   AdmsSensFadType & modelPar_PLWGFACNUD,
   bool modelPar_given_PLWGFACNUD,
   AdmsSensFadType & modelPar_POVSBNUD,
   bool modelPar_given_POVSBNUD,
   AdmsSensFadType & modelPar_PODVSBNUD,
   bool modelPar_given_PODVSBNUD,
   AdmsSensFadType & modelPar_POVNSUB,
   bool modelPar_given_POVNSUB,
   AdmsSensFadType & modelPar_PONSLP,
   bool modelPar_given_PONSLP,
   AdmsSensFadType & modelPar_PODNSUB,
   bool modelPar_given_PODNSUB,
   AdmsSensFadType & modelPar_PODPHIB,
   bool modelPar_given_PODPHIB,
   AdmsSensFadType & modelPar_PLDPHIB,
   bool modelPar_given_PLDPHIB,
   AdmsSensFadType & modelPar_PWDPHIB,
   bool modelPar_given_PWDPHIB,
   AdmsSensFadType & modelPar_PLWDPHIB,
   bool modelPar_given_PLWDPHIB,
   AdmsSensFadType & modelPar_PODELVTAC,
   bool modelPar_given_PODELVTAC,
   AdmsSensFadType & modelPar_PLDELVTAC,
   bool modelPar_given_PLDELVTAC,
   AdmsSensFadType & modelPar_PWDELVTAC,
   bool modelPar_given_PWDELVTAC,
   AdmsSensFadType & modelPar_PLWDELVTAC,
   bool modelPar_given_PLWDELVTAC,
   AdmsSensFadType & modelPar_PONP,
   bool modelPar_given_PONP,
   AdmsSensFadType & modelPar_PLNP,
   bool modelPar_given_PLNP,
   AdmsSensFadType & modelPar_PWNP,
   bool modelPar_given_PWNP,
   AdmsSensFadType & modelPar_PLWNP,
   bool modelPar_given_PLWNP,
   AdmsSensFadType & modelPar_POCT,
   bool modelPar_given_POCT,
   AdmsSensFadType & modelPar_PLCT,
   bool modelPar_given_PLCT,
   AdmsSensFadType & modelPar_PWCT,
   bool modelPar_given_PWCT,
   AdmsSensFadType & modelPar_PLWCT,
   bool modelPar_given_PLWCT,
   AdmsSensFadType & modelPar_POTOXOV,
   bool modelPar_given_POTOXOV,
   AdmsSensFadType & modelPar_POTOXOVD,
   bool modelPar_given_POTOXOVD,
   AdmsSensFadType & modelPar_PONOV,
   bool modelPar_given_PONOV,
   AdmsSensFadType & modelPar_PLNOV,
   bool modelPar_given_PLNOV,
   AdmsSensFadType & modelPar_PWNOV,
   bool modelPar_given_PWNOV,
   AdmsSensFadType & modelPar_PLWNOV,
   bool modelPar_given_PLWNOV,
   AdmsSensFadType & modelPar_PONOVD,
   bool modelPar_given_PONOVD,
   AdmsSensFadType & modelPar_PLNOVD,
   bool modelPar_given_PLNOVD,
   AdmsSensFadType & modelPar_PWNOVD,
   bool modelPar_given_PWNOVD,
   AdmsSensFadType & modelPar_PLWNOVD,
   bool modelPar_given_PLWNOVD,
   AdmsSensFadType & modelPar_POCF,
   bool modelPar_given_POCF,
   AdmsSensFadType & modelPar_PLCF,
   bool modelPar_given_PLCF,
   AdmsSensFadType & modelPar_PWCF,
   bool modelPar_given_PWCF,
   AdmsSensFadType & modelPar_PLWCF,
   bool modelPar_given_PLWCF,
   AdmsSensFadType & modelPar_POCFB,
   bool modelPar_given_POCFB,
   AdmsSensFadType & modelPar_POBETN,
   bool modelPar_given_POBETN,
   AdmsSensFadType & modelPar_PLBETN,
   bool modelPar_given_PLBETN,
   AdmsSensFadType & modelPar_PWBETN,
   bool modelPar_given_PWBETN,
   AdmsSensFadType & modelPar_PLWBETN,
   bool modelPar_given_PLWBETN,
   AdmsSensFadType & modelPar_POSTBET,
   bool modelPar_given_POSTBET,
   AdmsSensFadType & modelPar_PLSTBET,
   bool modelPar_given_PLSTBET,
   AdmsSensFadType & modelPar_PWSTBET,
   bool modelPar_given_PWSTBET,
   AdmsSensFadType & modelPar_PLWSTBET,
   bool modelPar_given_PLWSTBET,
   AdmsSensFadType & modelPar_POMUE,
   bool modelPar_given_POMUE,
   AdmsSensFadType & modelPar_PLMUE,
   bool modelPar_given_PLMUE,
   AdmsSensFadType & modelPar_PWMUE,
   bool modelPar_given_PWMUE,
   AdmsSensFadType & modelPar_PLWMUE,
   bool modelPar_given_PLWMUE,
   AdmsSensFadType & modelPar_POSTMUE,
   bool modelPar_given_POSTMUE,
   AdmsSensFadType & modelPar_POTHEMU,
   bool modelPar_given_POTHEMU,
   AdmsSensFadType & modelPar_POSTTHEMU,
   bool modelPar_given_POSTTHEMU,
   AdmsSensFadType & modelPar_POCS,
   bool modelPar_given_POCS,
   AdmsSensFadType & modelPar_PLCS,
   bool modelPar_given_PLCS,
   AdmsSensFadType & modelPar_PWCS,
   bool modelPar_given_PWCS,
   AdmsSensFadType & modelPar_PLWCS,
   bool modelPar_given_PLWCS,
   AdmsSensFadType & modelPar_POSTCS,
   bool modelPar_given_POSTCS,
   AdmsSensFadType & modelPar_POXCOR,
   bool modelPar_given_POXCOR,
   AdmsSensFadType & modelPar_PLXCOR,
   bool modelPar_given_PLXCOR,
   AdmsSensFadType & modelPar_PWXCOR,
   bool modelPar_given_PWXCOR,
   AdmsSensFadType & modelPar_PLWXCOR,
   bool modelPar_given_PLWXCOR,
   AdmsSensFadType & modelPar_POSTXCOR,
   bool modelPar_given_POSTXCOR,
   AdmsSensFadType & modelPar_POFETA,
   bool modelPar_given_POFETA,
   AdmsSensFadType & modelPar_PORS,
   bool modelPar_given_PORS,
   AdmsSensFadType & modelPar_PLRS,
   bool modelPar_given_PLRS,
   AdmsSensFadType & modelPar_PWRS,
   bool modelPar_given_PWRS,
   AdmsSensFadType & modelPar_PLWRS,
   bool modelPar_given_PLWRS,
   AdmsSensFadType & modelPar_POSTRS,
   bool modelPar_given_POSTRS,
   AdmsSensFadType & modelPar_PORSB,
   bool modelPar_given_PORSB,
   AdmsSensFadType & modelPar_PORSG,
   bool modelPar_given_PORSG,
   AdmsSensFadType & modelPar_POTHESAT,
   bool modelPar_given_POTHESAT,
   AdmsSensFadType & modelPar_PLTHESAT,
   bool modelPar_given_PLTHESAT,
   AdmsSensFadType & modelPar_PWTHESAT,
   bool modelPar_given_PWTHESAT,
   AdmsSensFadType & modelPar_PLWTHESAT,
   bool modelPar_given_PLWTHESAT,
   AdmsSensFadType & modelPar_POSTTHESAT,
   bool modelPar_given_POSTTHESAT,
   AdmsSensFadType & modelPar_PLSTTHESAT,
   bool modelPar_given_PLSTTHESAT,
   AdmsSensFadType & modelPar_PWSTTHESAT,
   bool modelPar_given_PWSTTHESAT,
   AdmsSensFadType & modelPar_PLWSTTHESAT,
   bool modelPar_given_PLWSTTHESAT,
   AdmsSensFadType & modelPar_POTHESATB,
   bool modelPar_given_POTHESATB,
   AdmsSensFadType & modelPar_PLTHESATB,
   bool modelPar_given_PLTHESATB,
   AdmsSensFadType & modelPar_PWTHESATB,
   bool modelPar_given_PWTHESATB,
   AdmsSensFadType & modelPar_PLWTHESATB,
   bool modelPar_given_PLWTHESATB,
   AdmsSensFadType & modelPar_POTHESATG,
   bool modelPar_given_POTHESATG,
   AdmsSensFadType & modelPar_PLTHESATG,
   bool modelPar_given_PLTHESATG,
   AdmsSensFadType & modelPar_PWTHESATG,
   bool modelPar_given_PWTHESATG,
   AdmsSensFadType & modelPar_PLWTHESATG,
   bool modelPar_given_PLWTHESATG,
   AdmsSensFadType & modelPar_POAX,
   bool modelPar_given_POAX,
   AdmsSensFadType & modelPar_PLAX,
   bool modelPar_given_PLAX,
   AdmsSensFadType & modelPar_PWAX,
   bool modelPar_given_PWAX,
   AdmsSensFadType & modelPar_PLWAX,
   bool modelPar_given_PLWAX,
   AdmsSensFadType & modelPar_POALP,
   bool modelPar_given_POALP,
   AdmsSensFadType & modelPar_PLALP,
   bool modelPar_given_PLALP,
   AdmsSensFadType & modelPar_PWALP,
   bool modelPar_given_PWALP,
   AdmsSensFadType & modelPar_PLWALP,
   bool modelPar_given_PLWALP,
   AdmsSensFadType & modelPar_POALP1,
   bool modelPar_given_POALP1,
   AdmsSensFadType & modelPar_PLALP1,
   bool modelPar_given_PLALP1,
   AdmsSensFadType & modelPar_PWALP1,
   bool modelPar_given_PWALP1,
   AdmsSensFadType & modelPar_PLWALP1,
   bool modelPar_given_PLWALP1,
   AdmsSensFadType & modelPar_POALP2,
   bool modelPar_given_POALP2,
   AdmsSensFadType & modelPar_PLALP2,
   bool modelPar_given_PLALP2,
   AdmsSensFadType & modelPar_PWALP2,
   bool modelPar_given_PWALP2,
   AdmsSensFadType & modelPar_PLWALP2,
   bool modelPar_given_PLWALP2,
   AdmsSensFadType & modelPar_POVP,
   bool modelPar_given_POVP,
   AdmsSensFadType & modelPar_POA1,
   bool modelPar_given_POA1,
   AdmsSensFadType & modelPar_PLA1,
   bool modelPar_given_PLA1,
   AdmsSensFadType & modelPar_PWA1,
   bool modelPar_given_PWA1,
   AdmsSensFadType & modelPar_PLWA1,
   bool modelPar_given_PLWA1,
   AdmsSensFadType & modelPar_POA2,
   bool modelPar_given_POA2,
   AdmsSensFadType & modelPar_POSTA2,
   bool modelPar_given_POSTA2,
   AdmsSensFadType & modelPar_POA3,
   bool modelPar_given_POA3,
   AdmsSensFadType & modelPar_PLA3,
   bool modelPar_given_PLA3,
   AdmsSensFadType & modelPar_PWA3,
   bool modelPar_given_PWA3,
   AdmsSensFadType & modelPar_PLWA3,
   bool modelPar_given_PLWA3,
   AdmsSensFadType & modelPar_POA4,
   bool modelPar_given_POA4,
   AdmsSensFadType & modelPar_PLA4,
   bool modelPar_given_PLA4,
   AdmsSensFadType & modelPar_PWA4,
   bool modelPar_given_PWA4,
   AdmsSensFadType & modelPar_PLWA4,
   bool modelPar_given_PLWA4,
   AdmsSensFadType & modelPar_POGCO,
   bool modelPar_given_POGCO,
   AdmsSensFadType & modelPar_POIGINV,
   bool modelPar_given_POIGINV,
   AdmsSensFadType & modelPar_PLIGINV,
   bool modelPar_given_PLIGINV,
   AdmsSensFadType & modelPar_PWIGINV,
   bool modelPar_given_PWIGINV,
   AdmsSensFadType & modelPar_PLWIGINV,
   bool modelPar_given_PLWIGINV,
   AdmsSensFadType & modelPar_POIGOV,
   bool modelPar_given_POIGOV,
   AdmsSensFadType & modelPar_PLIGOV,
   bool modelPar_given_PLIGOV,
   AdmsSensFadType & modelPar_PWIGOV,
   bool modelPar_given_PWIGOV,
   AdmsSensFadType & modelPar_PLWIGOV,
   bool modelPar_given_PLWIGOV,
   AdmsSensFadType & modelPar_POIGOVD,
   bool modelPar_given_POIGOVD,
   AdmsSensFadType & modelPar_PLIGOVD,
   bool modelPar_given_PLIGOVD,
   AdmsSensFadType & modelPar_PWIGOVD,
   bool modelPar_given_PWIGOVD,
   AdmsSensFadType & modelPar_PLWIGOVD,
   bool modelPar_given_PLWIGOVD,
   AdmsSensFadType & modelPar_POSTIG,
   bool modelPar_given_POSTIG,
   AdmsSensFadType & modelPar_POGC2,
   bool modelPar_given_POGC2,
   AdmsSensFadType & modelPar_POGC3,
   bool modelPar_given_POGC3,
   AdmsSensFadType & modelPar_POCHIB,
   bool modelPar_given_POCHIB,
   AdmsSensFadType & modelPar_POAGIDL,
   bool modelPar_given_POAGIDL,
   AdmsSensFadType & modelPar_PLAGIDL,
   bool modelPar_given_PLAGIDL,
   AdmsSensFadType & modelPar_PWAGIDL,
   bool modelPar_given_PWAGIDL,
   AdmsSensFadType & modelPar_PLWAGIDL,
   bool modelPar_given_PLWAGIDL,
   AdmsSensFadType & modelPar_POAGIDLD,
   bool modelPar_given_POAGIDLD,
   AdmsSensFadType & modelPar_PLAGIDLD,
   bool modelPar_given_PLAGIDLD,
   AdmsSensFadType & modelPar_PWAGIDLD,
   bool modelPar_given_PWAGIDLD,
   AdmsSensFadType & modelPar_PLWAGIDLD,
   bool modelPar_given_PLWAGIDLD,
   AdmsSensFadType & modelPar_POBGIDL,
   bool modelPar_given_POBGIDL,
   AdmsSensFadType & modelPar_POBGIDLD,
   bool modelPar_given_POBGIDLD,
   AdmsSensFadType & modelPar_POSTBGIDL,
   bool modelPar_given_POSTBGIDL,
   AdmsSensFadType & modelPar_POSTBGIDLD,
   bool modelPar_given_POSTBGIDLD,
   AdmsSensFadType & modelPar_POCGIDL,
   bool modelPar_given_POCGIDL,
   AdmsSensFadType & modelPar_POCGIDLD,
   bool modelPar_given_POCGIDLD,
   AdmsSensFadType & modelPar_POCOX,
   bool modelPar_given_POCOX,
   AdmsSensFadType & modelPar_PLCOX,
   bool modelPar_given_PLCOX,
   AdmsSensFadType & modelPar_PWCOX,
   bool modelPar_given_PWCOX,
   AdmsSensFadType & modelPar_PLWCOX,
   bool modelPar_given_PLWCOX,
   AdmsSensFadType & modelPar_POCGOV,
   bool modelPar_given_POCGOV,
   AdmsSensFadType & modelPar_PLCGOV,
   bool modelPar_given_PLCGOV,
   AdmsSensFadType & modelPar_PWCGOV,
   bool modelPar_given_PWCGOV,
   AdmsSensFadType & modelPar_PLWCGOV,
   bool modelPar_given_PLWCGOV,
   AdmsSensFadType & modelPar_POCGOVD,
   bool modelPar_given_POCGOVD,
   AdmsSensFadType & modelPar_PLCGOVD,
   bool modelPar_given_PLCGOVD,
   AdmsSensFadType & modelPar_PWCGOVD,
   bool modelPar_given_PWCGOVD,
   AdmsSensFadType & modelPar_PLWCGOVD,
   bool modelPar_given_PLWCGOVD,
   AdmsSensFadType & modelPar_POCGBOV,
   bool modelPar_given_POCGBOV,
   AdmsSensFadType & modelPar_PLCGBOV,
   bool modelPar_given_PLCGBOV,
   AdmsSensFadType & modelPar_PWCGBOV,
   bool modelPar_given_PWCGBOV,
   AdmsSensFadType & modelPar_PLWCGBOV,
   bool modelPar_given_PLWCGBOV,
   AdmsSensFadType & modelPar_POCFR,
   bool modelPar_given_POCFR,
   AdmsSensFadType & modelPar_PLCFR,
   bool modelPar_given_PLCFR,
   AdmsSensFadType & modelPar_PWCFR,
   bool modelPar_given_PWCFR,
   AdmsSensFadType & modelPar_PLWCFR,
   bool modelPar_given_PLWCFR,
   AdmsSensFadType & modelPar_POCFRD,
   bool modelPar_given_POCFRD,
   AdmsSensFadType & modelPar_PLCFRD,
   bool modelPar_given_PLCFRD,
   AdmsSensFadType & modelPar_PWCFRD,
   bool modelPar_given_PWCFRD,
   AdmsSensFadType & modelPar_PLWCFRD,
   bool modelPar_given_PLWCFRD,
   AdmsSensFadType & modelPar_POFNT,
   bool modelPar_given_POFNT,
   AdmsSensFadType & modelPar_PONFA,
   bool modelPar_given_PONFA,
   AdmsSensFadType & modelPar_PLNFA,
   bool modelPar_given_PLNFA,
   AdmsSensFadType & modelPar_PWNFA,
   bool modelPar_given_PWNFA,
   AdmsSensFadType & modelPar_PLWNFA,
   bool modelPar_given_PLWNFA,
   AdmsSensFadType & modelPar_PONFB,
   bool modelPar_given_PONFB,
   AdmsSensFadType & modelPar_PLNFB,
   bool modelPar_given_PLNFB,
   AdmsSensFadType & modelPar_PWNFB,
   bool modelPar_given_PWNFB,
   AdmsSensFadType & modelPar_PLWNFB,
   bool modelPar_given_PLWNFB,
   AdmsSensFadType & modelPar_PONFC,
   bool modelPar_given_PONFC,
   AdmsSensFadType & modelPar_PLNFC,
   bool modelPar_given_PLNFC,
   AdmsSensFadType & modelPar_PWNFC,
   bool modelPar_given_PWNFC,
   AdmsSensFadType & modelPar_PLWNFC,
   bool modelPar_given_PLWNFC,
   AdmsSensFadType & modelPar_POEF,
   bool modelPar_given_POEF,
   AdmsSensFadType & modelPar_POKVTHOWE,
   bool modelPar_given_POKVTHOWE,
   AdmsSensFadType & modelPar_PLKVTHOWE,
   bool modelPar_given_PLKVTHOWE,
   AdmsSensFadType & modelPar_PWKVTHOWE,
   bool modelPar_given_PWKVTHOWE,
   AdmsSensFadType & modelPar_PLWKVTHOWE,
   bool modelPar_given_PLWKVTHOWE,
   AdmsSensFadType & modelPar_POKUOWE,
   bool modelPar_given_POKUOWE,
   AdmsSensFadType & modelPar_PLKUOWE,
   bool modelPar_given_PLKUOWE,
   AdmsSensFadType & modelPar_PWKUOWE,
   bool modelPar_given_PWKUOWE,
   AdmsSensFadType & modelPar_PLWKUOWE,
   bool modelPar_given_PLWKUOWE,
   AdmsSensFadType & modelPar_LMIN,
   bool modelPar_given_LMIN,
   AdmsSensFadType & modelPar_LMAX,
   bool modelPar_given_LMAX,
   AdmsSensFadType & modelPar_WMIN,
   bool modelPar_given_WMIN,
   AdmsSensFadType & modelPar_WMAX,
   bool modelPar_given_WMAX,
   AdmsSensFadType & modelPar_LVARO,
   bool modelPar_given_LVARO,
   AdmsSensFadType & modelPar_LVARL,
   bool modelPar_given_LVARL,
   AdmsSensFadType & modelPar_LVARW,
   bool modelPar_given_LVARW,
   AdmsSensFadType & modelPar_LAP,
   bool modelPar_given_LAP,
   AdmsSensFadType & modelPar_WVARO,
   bool modelPar_given_WVARO,
   AdmsSensFadType & modelPar_WVARL,
   bool modelPar_given_WVARL,
   AdmsSensFadType & modelPar_WVARW,
   bool modelPar_given_WVARW,
   AdmsSensFadType & modelPar_WOT,
   bool modelPar_given_WOT,
   AdmsSensFadType & modelPar_DLQ,
   bool modelPar_given_DLQ,
   AdmsSensFadType & modelPar_DWQ,
   bool modelPar_given_DWQ,
   AdmsSensFadType & modelPar_VFBO,
   bool modelPar_given_VFBO,
   AdmsSensFadType & modelPar_VFBL,
   bool modelPar_given_VFBL,
   AdmsSensFadType & modelPar_VFBW,
   bool modelPar_given_VFBW,
   AdmsSensFadType & modelPar_VFBLW,
   bool modelPar_given_VFBLW,
   AdmsSensFadType & modelPar_STVFBO,
   bool modelPar_given_STVFBO,
   AdmsSensFadType & modelPar_STVFBL,
   bool modelPar_given_STVFBL,
   AdmsSensFadType & modelPar_STVFBW,
   bool modelPar_given_STVFBW,
   AdmsSensFadType & modelPar_STVFBLW,
   bool modelPar_given_STVFBLW,
   AdmsSensFadType & modelPar_TOXO,
   bool modelPar_given_TOXO,
   AdmsSensFadType & modelPar_EPSROXO,
   bool modelPar_given_EPSROXO,
   AdmsSensFadType & modelPar_NSUBO,
   bool modelPar_given_NSUBO,
   AdmsSensFadType & modelPar_NSUBW,
   bool modelPar_given_NSUBW,
   AdmsSensFadType & modelPar_WSEG,
   bool modelPar_given_WSEG,
   AdmsSensFadType & modelPar_NPCK,
   bool modelPar_given_NPCK,
   AdmsSensFadType & modelPar_NPCKW,
   bool modelPar_given_NPCKW,
   AdmsSensFadType & modelPar_WSEGP,
   bool modelPar_given_WSEGP,
   AdmsSensFadType & modelPar_LPCK,
   bool modelPar_given_LPCK,
   AdmsSensFadType & modelPar_LPCKW,
   bool modelPar_given_LPCKW,
   AdmsSensFadType & modelPar_FOL1,
   bool modelPar_given_FOL1,
   AdmsSensFadType & modelPar_FOL2,
   bool modelPar_given_FOL2,
   AdmsSensFadType & modelPar_FACNEFFACO,
   bool modelPar_given_FACNEFFACO,
   AdmsSensFadType & modelPar_FACNEFFACL,
   bool modelPar_given_FACNEFFACL,
   AdmsSensFadType & modelPar_FACNEFFACW,
   bool modelPar_given_FACNEFFACW,
   AdmsSensFadType & modelPar_FACNEFFACLW,
   bool modelPar_given_FACNEFFACLW,
   AdmsSensFadType & modelPar_GFACNUDO,
   bool modelPar_given_GFACNUDO,
   AdmsSensFadType & modelPar_GFACNUDL,
   bool modelPar_given_GFACNUDL,
   AdmsSensFadType & modelPar_GFACNUDLEXP,
   bool modelPar_given_GFACNUDLEXP,
   AdmsSensFadType & modelPar_GFACNUDW,
   bool modelPar_given_GFACNUDW,
   AdmsSensFadType & modelPar_GFACNUDLW,
   bool modelPar_given_GFACNUDLW,
   AdmsSensFadType & modelPar_VSBNUDO,
   bool modelPar_given_VSBNUDO,
   AdmsSensFadType & modelPar_DVSBNUDO,
   bool modelPar_given_DVSBNUDO,
   AdmsSensFadType & modelPar_VNSUBO,
   bool modelPar_given_VNSUBO,
   AdmsSensFadType & modelPar_NSLPO,
   bool modelPar_given_NSLPO,
   AdmsSensFadType & modelPar_DNSUBO,
   bool modelPar_given_DNSUBO,
   AdmsSensFadType & modelPar_DPHIBO,
   bool modelPar_given_DPHIBO,
   AdmsSensFadType & modelPar_DPHIBL,
   bool modelPar_given_DPHIBL,
   AdmsSensFadType & modelPar_DPHIBLEXP,
   bool modelPar_given_DPHIBLEXP,
   AdmsSensFadType & modelPar_DPHIBW,
   bool modelPar_given_DPHIBW,
   AdmsSensFadType & modelPar_DPHIBLW,
   bool modelPar_given_DPHIBLW,
   AdmsSensFadType & modelPar_DELVTACO,
   bool modelPar_given_DELVTACO,
   AdmsSensFadType & modelPar_DELVTACL,
   bool modelPar_given_DELVTACL,
   AdmsSensFadType & modelPar_DELVTACLEXP,
   bool modelPar_given_DELVTACLEXP,
   AdmsSensFadType & modelPar_DELVTACW,
   bool modelPar_given_DELVTACW,
   AdmsSensFadType & modelPar_DELVTACLW,
   bool modelPar_given_DELVTACLW,
   AdmsSensFadType & modelPar_NPO,
   bool modelPar_given_NPO,
   AdmsSensFadType & modelPar_NPL,
   bool modelPar_given_NPL,
   AdmsSensFadType & modelPar_CTO,
   bool modelPar_given_CTO,
   AdmsSensFadType & modelPar_CTL,
   bool modelPar_given_CTL,
   AdmsSensFadType & modelPar_CTLEXP,
   bool modelPar_given_CTLEXP,
   AdmsSensFadType & modelPar_CTW,
   bool modelPar_given_CTW,
   AdmsSensFadType & modelPar_CTLW,
   bool modelPar_given_CTLW,
   AdmsSensFadType & modelPar_TOXOVO,
   bool modelPar_given_TOXOVO,
   AdmsSensFadType & modelPar_TOXOVDO,
   bool modelPar_given_TOXOVDO,
   AdmsSensFadType & modelPar_LOV,
   bool modelPar_given_LOV,
   AdmsSensFadType & modelPar_LOVD,
   bool modelPar_given_LOVD,
   AdmsSensFadType & modelPar_NOVO,
   bool modelPar_given_NOVO,
   AdmsSensFadType & modelPar_NOVDO,
   bool modelPar_given_NOVDO,
   AdmsSensFadType & modelPar_CFL,
   bool modelPar_given_CFL,
   AdmsSensFadType & modelPar_CFLEXP,
   bool modelPar_given_CFLEXP,
   AdmsSensFadType & modelPar_CFW,
   bool modelPar_given_CFW,
   AdmsSensFadType & modelPar_CFBO,
   bool modelPar_given_CFBO,
   AdmsSensFadType & modelPar_UO,
   bool modelPar_given_UO,
   AdmsSensFadType & modelPar_FBET1,
   bool modelPar_given_FBET1,
   AdmsSensFadType & modelPar_FBET1W,
   bool modelPar_given_FBET1W,
   AdmsSensFadType & modelPar_LP1,
   bool modelPar_given_LP1,
   AdmsSensFadType & modelPar_LP1W,
   bool modelPar_given_LP1W,
   AdmsSensFadType & modelPar_FBET2,
   bool modelPar_given_FBET2,
   AdmsSensFadType & modelPar_LP2,
   bool modelPar_given_LP2,
   AdmsSensFadType & modelPar_BETW1,
   bool modelPar_given_BETW1,
   AdmsSensFadType & modelPar_BETW2,
   bool modelPar_given_BETW2,
   AdmsSensFadType & modelPar_WBET,
   bool modelPar_given_WBET,
   AdmsSensFadType & modelPar_STBETO,
   bool modelPar_given_STBETO,
   AdmsSensFadType & modelPar_STBETL,
   bool modelPar_given_STBETL,
   AdmsSensFadType & modelPar_STBETW,
   bool modelPar_given_STBETW,
   AdmsSensFadType & modelPar_STBETLW,
   bool modelPar_given_STBETLW,
   AdmsSensFadType & modelPar_MUEO,
   bool modelPar_given_MUEO,
   AdmsSensFadType & modelPar_MUEW,
   bool modelPar_given_MUEW,
   AdmsSensFadType & modelPar_STMUEO,
   bool modelPar_given_STMUEO,
   AdmsSensFadType & modelPar_THEMUO,
   bool modelPar_given_THEMUO,
   AdmsSensFadType & modelPar_STTHEMUO,
   bool modelPar_given_STTHEMUO,
   AdmsSensFadType & modelPar_CSO,
   bool modelPar_given_CSO,
   AdmsSensFadType & modelPar_CSL,
   bool modelPar_given_CSL,
   AdmsSensFadType & modelPar_CSLEXP,
   bool modelPar_given_CSLEXP,
   AdmsSensFadType & modelPar_CSW,
   bool modelPar_given_CSW,
   AdmsSensFadType & modelPar_CSLW,
   bool modelPar_given_CSLW,
   AdmsSensFadType & modelPar_STCSO,
   bool modelPar_given_STCSO,
   AdmsSensFadType & modelPar_XCORO,
   bool modelPar_given_XCORO,
   AdmsSensFadType & modelPar_XCORL,
   bool modelPar_given_XCORL,
   AdmsSensFadType & modelPar_XCORW,
   bool modelPar_given_XCORW,
   AdmsSensFadType & modelPar_XCORLW,
   bool modelPar_given_XCORLW,
   AdmsSensFadType & modelPar_STXCORO,
   bool modelPar_given_STXCORO,
   AdmsSensFadType & modelPar_FETAO,
   bool modelPar_given_FETAO,
   AdmsSensFadType & modelPar_RSW1,
   bool modelPar_given_RSW1,
   AdmsSensFadType & modelPar_RSW2,
   bool modelPar_given_RSW2,
   AdmsSensFadType & modelPar_STRSO,
   bool modelPar_given_STRSO,
   AdmsSensFadType & modelPar_RSBO,
   bool modelPar_given_RSBO,
   AdmsSensFadType & modelPar_RSGO,
   bool modelPar_given_RSGO,
   AdmsSensFadType & modelPar_THESATO,
   bool modelPar_given_THESATO,
   AdmsSensFadType & modelPar_THESATL,
   bool modelPar_given_THESATL,
   AdmsSensFadType & modelPar_THESATLEXP,
   bool modelPar_given_THESATLEXP,
   AdmsSensFadType & modelPar_THESATW,
   bool modelPar_given_THESATW,
   AdmsSensFadType & modelPar_THESATLW,
   bool modelPar_given_THESATLW,
   AdmsSensFadType & modelPar_STTHESATO,
   bool modelPar_given_STTHESATO,
   AdmsSensFadType & modelPar_STTHESATL,
   bool modelPar_given_STTHESATL,
   AdmsSensFadType & modelPar_STTHESATW,
   bool modelPar_given_STTHESATW,
   AdmsSensFadType & modelPar_STTHESATLW,
   bool modelPar_given_STTHESATLW,
   AdmsSensFadType & modelPar_THESATBO,
   bool modelPar_given_THESATBO,
   AdmsSensFadType & modelPar_THESATGO,
   bool modelPar_given_THESATGO,
   AdmsSensFadType & modelPar_AXO,
   bool modelPar_given_AXO,
   AdmsSensFadType & modelPar_AXL,
   bool modelPar_given_AXL,
   AdmsSensFadType & modelPar_ALPL,
   bool modelPar_given_ALPL,
   AdmsSensFadType & modelPar_ALPLEXP,
   bool modelPar_given_ALPLEXP,
   AdmsSensFadType & modelPar_ALPW,
   bool modelPar_given_ALPW,
   AdmsSensFadType & modelPar_ALP1L1,
   bool modelPar_given_ALP1L1,
   AdmsSensFadType & modelPar_ALP1LEXP,
   bool modelPar_given_ALP1LEXP,
   AdmsSensFadType & modelPar_ALP1L2,
   bool modelPar_given_ALP1L2,
   AdmsSensFadType & modelPar_ALP1W,
   bool modelPar_given_ALP1W,
   AdmsSensFadType & modelPar_ALP2L1,
   bool modelPar_given_ALP2L1,
   AdmsSensFadType & modelPar_ALP2LEXP,
   bool modelPar_given_ALP2LEXP,
   AdmsSensFadType & modelPar_ALP2L2,
   bool modelPar_given_ALP2L2,
   AdmsSensFadType & modelPar_ALP2W,
   bool modelPar_given_ALP2W,
   AdmsSensFadType & modelPar_VPO,
   bool modelPar_given_VPO,
   AdmsSensFadType & modelPar_A1O,
   bool modelPar_given_A1O,
   AdmsSensFadType & modelPar_A1L,
   bool modelPar_given_A1L,
   AdmsSensFadType & modelPar_A1W,
   bool modelPar_given_A1W,
   AdmsSensFadType & modelPar_A2O,
   bool modelPar_given_A2O,
   AdmsSensFadType & modelPar_STA2O,
   bool modelPar_given_STA2O,
   AdmsSensFadType & modelPar_A3O,
   bool modelPar_given_A3O,
   AdmsSensFadType & modelPar_A3L,
   bool modelPar_given_A3L,
   AdmsSensFadType & modelPar_A3W,
   bool modelPar_given_A3W,
   AdmsSensFadType & modelPar_A4O,
   bool modelPar_given_A4O,
   AdmsSensFadType & modelPar_A4L,
   bool modelPar_given_A4L,
   AdmsSensFadType & modelPar_A4W,
   bool modelPar_given_A4W,
   AdmsSensFadType & modelPar_GCOO,
   bool modelPar_given_GCOO,
   AdmsSensFadType & modelPar_IGINVLW,
   bool modelPar_given_IGINVLW,
   AdmsSensFadType & modelPar_IGOVW,
   bool modelPar_given_IGOVW,
   AdmsSensFadType & modelPar_IGOVDW,
   bool modelPar_given_IGOVDW,
   AdmsSensFadType & modelPar_STIGO,
   bool modelPar_given_STIGO,
   AdmsSensFadType & modelPar_GC2O,
   bool modelPar_given_GC2O,
   AdmsSensFadType & modelPar_GC3O,
   bool modelPar_given_GC3O,
   AdmsSensFadType & modelPar_CHIBO,
   bool modelPar_given_CHIBO,
   AdmsSensFadType & modelPar_AGIDLW,
   bool modelPar_given_AGIDLW,
   AdmsSensFadType & modelPar_AGIDLDW,
   bool modelPar_given_AGIDLDW,
   AdmsSensFadType & modelPar_BGIDLO,
   bool modelPar_given_BGIDLO,
   AdmsSensFadType & modelPar_BGIDLDO,
   bool modelPar_given_BGIDLDO,
   AdmsSensFadType & modelPar_STBGIDLO,
   bool modelPar_given_STBGIDLO,
   AdmsSensFadType & modelPar_STBGIDLDO,
   bool modelPar_given_STBGIDLDO,
   AdmsSensFadType & modelPar_CGIDLO,
   bool modelPar_given_CGIDLO,
   AdmsSensFadType & modelPar_CGIDLDO,
   bool modelPar_given_CGIDLDO,
   AdmsSensFadType & modelPar_CGBOVL,
   bool modelPar_given_CGBOVL,
   AdmsSensFadType & modelPar_CFRW,
   bool modelPar_given_CFRW,
   AdmsSensFadType & modelPar_CFRDW,
   bool modelPar_given_CFRDW,
   AdmsSensFadType & modelPar_FNTO,
   bool modelPar_given_FNTO,
   AdmsSensFadType & modelPar_NFALW,
   bool modelPar_given_NFALW,
   AdmsSensFadType & modelPar_NFBLW,
   bool modelPar_given_NFBLW,
   AdmsSensFadType & modelPar_NFCLW,
   bool modelPar_given_NFCLW,
   AdmsSensFadType & modelPar_EFO,
   bool modelPar_given_EFO,
   AdmsSensFadType & modelPar_LINTNOI,
   bool modelPar_given_LINTNOI,
   AdmsSensFadType & modelPar_ALPNOI,
   bool modelPar_given_ALPNOI,
   AdmsSensFadType & modelPar_KVTHOWEO,
   bool modelPar_given_KVTHOWEO,
   AdmsSensFadType & modelPar_KVTHOWEL,
   bool modelPar_given_KVTHOWEL,
   AdmsSensFadType & modelPar_KVTHOWEW,
   bool modelPar_given_KVTHOWEW,
   AdmsSensFadType & modelPar_KVTHOWELW,
   bool modelPar_given_KVTHOWELW,
   AdmsSensFadType & modelPar_KUOWEO,
   bool modelPar_given_KUOWEO,
   AdmsSensFadType & modelPar_KUOWEL,
   bool modelPar_given_KUOWEL,
   AdmsSensFadType & modelPar_KUOWEW,
   bool modelPar_given_KUOWEW,
   AdmsSensFadType & modelPar_KUOWELW,
   bool modelPar_given_KUOWELW,
   AdmsSensFadType & modelPar_RGO,
   bool modelPar_given_RGO,
   AdmsSensFadType & modelPar_RINT,
   bool modelPar_given_RINT,
   AdmsSensFadType & modelPar_RVPOLY,
   bool modelPar_given_RVPOLY,
   AdmsSensFadType & modelPar_RSHG,
   bool modelPar_given_RSHG,
   AdmsSensFadType & modelPar_DLSIL,
   bool modelPar_given_DLSIL,
   AdmsSensFadType & modelPar_RSH,
   bool modelPar_given_RSH,
   AdmsSensFadType & modelPar_RSHD,
   bool modelPar_given_RSHD,
   AdmsSensFadType & modelPar_RBULKO,
   bool modelPar_given_RBULKO,
   AdmsSensFadType & modelPar_RWELLO,
   bool modelPar_given_RWELLO,
   AdmsSensFadType & modelPar_RJUNSO,
   bool modelPar_given_RJUNSO,
   AdmsSensFadType & modelPar_RJUNDO,
   bool modelPar_given_RJUNDO,
   AdmsSensFadType & modelPar_SAREF,
   bool modelPar_given_SAREF,
   AdmsSensFadType & modelPar_SBREF,
   bool modelPar_given_SBREF,
   AdmsSensFadType & modelPar_WLOD,
   bool modelPar_given_WLOD,
   AdmsSensFadType & modelPar_KUO,
   bool modelPar_given_KUO,
   AdmsSensFadType & modelPar_KVSAT,
   bool modelPar_given_KVSAT,
   AdmsSensFadType & modelPar_TKUO,
   bool modelPar_given_TKUO,
   AdmsSensFadType & modelPar_LKUO,
   bool modelPar_given_LKUO,
   AdmsSensFadType & modelPar_WKUO,
   bool modelPar_given_WKUO,
   AdmsSensFadType & modelPar_PKUO,
   bool modelPar_given_PKUO,
   AdmsSensFadType & modelPar_LLODKUO,
   bool modelPar_given_LLODKUO,
   AdmsSensFadType & modelPar_WLODKUO,
   bool modelPar_given_WLODKUO,
   AdmsSensFadType & modelPar_KVTHO,
   bool modelPar_given_KVTHO,
   AdmsSensFadType & modelPar_LKVTHO,
   bool modelPar_given_LKVTHO,
   AdmsSensFadType & modelPar_WKVTHO,
   bool modelPar_given_WKVTHO,
   AdmsSensFadType & modelPar_PKVTHO,
   bool modelPar_given_PKVTHO,
   AdmsSensFadType & modelPar_LLODVTH,
   bool modelPar_given_LLODVTH,
   AdmsSensFadType & modelPar_WLODVTH,
   bool modelPar_given_WLODVTH,
   AdmsSensFadType & modelPar_STETAO,
   bool modelPar_given_STETAO,
   AdmsSensFadType & modelPar_LODETAO,
   bool modelPar_given_LODETAO,
   AdmsSensFadType & modelPar_SCREF,
   bool modelPar_given_SCREF,
   AdmsSensFadType & modelPar_WEB,
   bool modelPar_given_WEB,
   AdmsSensFadType & modelPar_WEC,
   bool modelPar_given_WEC,
   AdmsSensFadType & modelPar_IMAX,
   bool modelPar_given_IMAX,
   AdmsSensFadType & modelPar_TRJ,
   bool modelPar_given_TRJ,
   AdmsSensFadType & modelPar_CJORBOT,
   bool modelPar_given_CJORBOT,
   AdmsSensFadType & modelPar_CJORSTI,
   bool modelPar_given_CJORSTI,
   AdmsSensFadType & modelPar_CJORGAT,
   bool modelPar_given_CJORGAT,
   AdmsSensFadType & modelPar_VBIRBOT,
   bool modelPar_given_VBIRBOT,
   AdmsSensFadType & modelPar_VBIRSTI,
   bool modelPar_given_VBIRSTI,
   AdmsSensFadType & modelPar_VBIRGAT,
   bool modelPar_given_VBIRGAT,
   AdmsSensFadType & modelPar_PBOT,
   bool modelPar_given_PBOT,
   AdmsSensFadType & modelPar_PSTI,
   bool modelPar_given_PSTI,
   AdmsSensFadType & modelPar_PGAT,
   bool modelPar_given_PGAT,
   AdmsSensFadType & modelPar_PHIGBOT,
   bool modelPar_given_PHIGBOT,
   AdmsSensFadType & modelPar_PHIGSTI,
   bool modelPar_given_PHIGSTI,
   AdmsSensFadType & modelPar_PHIGGAT,
   bool modelPar_given_PHIGGAT,
   AdmsSensFadType & modelPar_IDSATRBOT,
   bool modelPar_given_IDSATRBOT,
   AdmsSensFadType & modelPar_IDSATRSTI,
   bool modelPar_given_IDSATRSTI,
   AdmsSensFadType & modelPar_IDSATRGAT,
   bool modelPar_given_IDSATRGAT,
   AdmsSensFadType & modelPar_CSRHBOT,
   bool modelPar_given_CSRHBOT,
   AdmsSensFadType & modelPar_CSRHSTI,
   bool modelPar_given_CSRHSTI,
   AdmsSensFadType & modelPar_CSRHGAT,
   bool modelPar_given_CSRHGAT,
   AdmsSensFadType & modelPar_XJUNSTI,
   bool modelPar_given_XJUNSTI,
   AdmsSensFadType & modelPar_XJUNGAT,
   bool modelPar_given_XJUNGAT,
   AdmsSensFadType & modelPar_CTATBOT,
   bool modelPar_given_CTATBOT,
   AdmsSensFadType & modelPar_CTATSTI,
   bool modelPar_given_CTATSTI,
   AdmsSensFadType & modelPar_CTATGAT,
   bool modelPar_given_CTATGAT,
   AdmsSensFadType & modelPar_MEFFTATBOT,
   bool modelPar_given_MEFFTATBOT,
   AdmsSensFadType & modelPar_MEFFTATSTI,
   bool modelPar_given_MEFFTATSTI,
   AdmsSensFadType & modelPar_MEFFTATGAT,
   bool modelPar_given_MEFFTATGAT,
   AdmsSensFadType & modelPar_CBBTBOT,
   bool modelPar_given_CBBTBOT,
   AdmsSensFadType & modelPar_CBBTSTI,
   bool modelPar_given_CBBTSTI,
   AdmsSensFadType & modelPar_CBBTGAT,
   bool modelPar_given_CBBTGAT,
   AdmsSensFadType & modelPar_FBBTRBOT,
   bool modelPar_given_FBBTRBOT,
   AdmsSensFadType & modelPar_FBBTRSTI,
   bool modelPar_given_FBBTRSTI,
   AdmsSensFadType & modelPar_FBBTRGAT,
   bool modelPar_given_FBBTRGAT,
   AdmsSensFadType & modelPar_STFBBTBOT,
   bool modelPar_given_STFBBTBOT,
   AdmsSensFadType & modelPar_STFBBTSTI,
   bool modelPar_given_STFBBTSTI,
   AdmsSensFadType & modelPar_STFBBTGAT,
   bool modelPar_given_STFBBTGAT,
   AdmsSensFadType & modelPar_VBRBOT,
   bool modelPar_given_VBRBOT,
   AdmsSensFadType & modelPar_VBRSTI,
   bool modelPar_given_VBRSTI,
   AdmsSensFadType & modelPar_VBRGAT,
   bool modelPar_given_VBRGAT,
   AdmsSensFadType & modelPar_PBRBOT,
   bool modelPar_given_PBRBOT,
   AdmsSensFadType & modelPar_PBRSTI,
   bool modelPar_given_PBRSTI,
   AdmsSensFadType & modelPar_PBRGAT,
   bool modelPar_given_PBRGAT,
   AdmsSensFadType & modelPar_CJORBOTD,
   bool modelPar_given_CJORBOTD,
   AdmsSensFadType & modelPar_CJORSTID,
   bool modelPar_given_CJORSTID,
   AdmsSensFadType & modelPar_CJORGATD,
   bool modelPar_given_CJORGATD,
   AdmsSensFadType & modelPar_VBIRBOTD,
   bool modelPar_given_VBIRBOTD,
   AdmsSensFadType & modelPar_VBIRSTID,
   bool modelPar_given_VBIRSTID,
   AdmsSensFadType & modelPar_VBIRGATD,
   bool modelPar_given_VBIRGATD,
   AdmsSensFadType & modelPar_PBOTD,
   bool modelPar_given_PBOTD,
   AdmsSensFadType & modelPar_PSTID,
   bool modelPar_given_PSTID,
   AdmsSensFadType & modelPar_PGATD,
   bool modelPar_given_PGATD,
   AdmsSensFadType & modelPar_PHIGBOTD,
   bool modelPar_given_PHIGBOTD,
   AdmsSensFadType & modelPar_PHIGSTID,
   bool modelPar_given_PHIGSTID,
   AdmsSensFadType & modelPar_PHIGGATD,
   bool modelPar_given_PHIGGATD,
   AdmsSensFadType & modelPar_IDSATRBOTD,
   bool modelPar_given_IDSATRBOTD,
   AdmsSensFadType & modelPar_IDSATRSTID,
   bool modelPar_given_IDSATRSTID,
   AdmsSensFadType & modelPar_IDSATRGATD,
   bool modelPar_given_IDSATRGATD,
   AdmsSensFadType & modelPar_CSRHBOTD,
   bool modelPar_given_CSRHBOTD,
   AdmsSensFadType & modelPar_CSRHSTID,
   bool modelPar_given_CSRHSTID,
   AdmsSensFadType & modelPar_CSRHGATD,
   bool modelPar_given_CSRHGATD,
   AdmsSensFadType & modelPar_XJUNSTID,
   bool modelPar_given_XJUNSTID,
   AdmsSensFadType & modelPar_XJUNGATD,
   bool modelPar_given_XJUNGATD,
   AdmsSensFadType & modelPar_CTATBOTD,
   bool modelPar_given_CTATBOTD,
   AdmsSensFadType & modelPar_CTATSTID,
   bool modelPar_given_CTATSTID,
   AdmsSensFadType & modelPar_CTATGATD,
   bool modelPar_given_CTATGATD,
   AdmsSensFadType & modelPar_MEFFTATBOTD,
   bool modelPar_given_MEFFTATBOTD,
   AdmsSensFadType & modelPar_MEFFTATSTID,
   bool modelPar_given_MEFFTATSTID,
   AdmsSensFadType & modelPar_MEFFTATGATD,
   bool modelPar_given_MEFFTATGATD,
   AdmsSensFadType & modelPar_CBBTBOTD,
   bool modelPar_given_CBBTBOTD,
   AdmsSensFadType & modelPar_CBBTSTID,
   bool modelPar_given_CBBTSTID,
   AdmsSensFadType & modelPar_CBBTGATD,
   bool modelPar_given_CBBTGATD,
   AdmsSensFadType & modelPar_FBBTRBOTD,
   bool modelPar_given_FBBTRBOTD,
   AdmsSensFadType & modelPar_FBBTRSTID,
   bool modelPar_given_FBBTRSTID,
   AdmsSensFadType & modelPar_FBBTRGATD,
   bool modelPar_given_FBBTRGATD,
   AdmsSensFadType & modelPar_STFBBTBOTD,
   bool modelPar_given_STFBBTBOTD,
   AdmsSensFadType & modelPar_STFBBTSTID,
   bool modelPar_given_STFBBTSTID,
   AdmsSensFadType & modelPar_STFBBTGATD,
   bool modelPar_given_STFBBTGATD,
   AdmsSensFadType & modelPar_VBRBOTD,
   bool modelPar_given_VBRBOTD,
   AdmsSensFadType & modelPar_VBRSTID,
   bool modelPar_given_VBRSTID,
   AdmsSensFadType & modelPar_VBRGATD,
   bool modelPar_given_VBRGATD,
   AdmsSensFadType & modelPar_PBRBOTD,
   bool modelPar_given_PBRBOTD,
   AdmsSensFadType & modelPar_PBRSTID,
   bool modelPar_given_PBRSTID,
   AdmsSensFadType & modelPar_PBRGATD,
   bool modelPar_given_PBRGATD,
   AdmsSensFadType & modelPar_SWJUNEXP,
   bool modelPar_given_SWJUNEXP,
   AdmsSensFadType & modelPar_VJUNREF,
   bool modelPar_given_VJUNREF,
   AdmsSensFadType & modelPar_FJUNQ,
   bool modelPar_given_FJUNQ,
   AdmsSensFadType & modelPar_VJUNREFD,
   bool modelPar_given_VJUNREFD,
   AdmsSensFadType & modelPar_FJUNQD,
   bool modelPar_given_FJUNQD,
   AdmsSensFadType & modelPar_DTA,
   bool modelPar_given_DTA// model variables
   ,
   // reals
   AdmsSensFadType & modelVar_NSUBO_i,
   AdmsSensFadType & modelVar_WSEG_i,
   AdmsSensFadType & modelVar_NPCK_i,
   AdmsSensFadType & modelVar_WSEGP_i,
   AdmsSensFadType & modelVar_LPCK_i,
   AdmsSensFadType & modelVar_LOV_i,
   AdmsSensFadType & modelVar_LOVD_i,
   AdmsSensFadType & modelVar_LP1_i,
   AdmsSensFadType & modelVar_LP2_i,
   AdmsSensFadType & modelVar_WBET_i,
   AdmsSensFadType & modelVar_AXL_i,
   AdmsSensFadType & modelVar_ALP1L2_i,
   AdmsSensFadType & modelVar_ALP2L2_i,
   AdmsSensFadType & modelVar_TOXO_i,
   AdmsSensFadType & modelVar_TOXOVO_i,
   AdmsSensFadType & modelVar_TOXOVDO_i,
   AdmsSensFadType & modelVar_EPSROXO_i,
   AdmsSensFadType & modelVar_RINT_i,
   AdmsSensFadType & modelVar_RVPOLY_i,
   AdmsSensFadType & modelVar_RSHG_i,
   AdmsSensFadType & modelVar_RSH_i,
   AdmsSensFadType & modelVar_RSHD_i,
   AdmsSensFadType & modelVar_SAREF_i,
   AdmsSensFadType & modelVar_SBREF_i,
   AdmsSensFadType & modelVar_KVSAT_i,
   AdmsSensFadType & modelVar_LLODKUO_i,
   AdmsSensFadType & modelVar_WLODKUO_i,
   AdmsSensFadType & modelVar_LLODVTH_i,
   AdmsSensFadType & modelVar_WLODVTH_i,
   AdmsSensFadType & modelVar_LODETAO_i,
   AdmsSensFadType & modelVar_SCREF_i,
   AdmsSensFadType & modelVar_WEB_i,
   AdmsSensFadType & modelVar_WEC_i,
   AdmsSensFadType & modelVar_QMC_i,
   AdmsSensFadType & modelVar_TKD,
   AdmsSensFadType & modelVar_dT,
   AdmsSensFadType & modelVar_rT,
   AdmsSensFadType & modelVar_rTn,
   AdmsSensFadType & modelVar_EPSSI,
   AdmsSensFadType & modelVar_phit,
   AdmsSensFadType & modelVar_inv_phit,
   AdmsSensFadType & modelVar_Eg,
   AdmsSensFadType & modelVar_phibFac,
   AdmsSensFadType & modelVar_nt0,
   AdmsSensFadType & modelVar_IMAX_i,
   AdmsSensFadType & modelVar_CJORBOT_i,
   AdmsSensFadType & modelVar_CJORSTI_i,
   AdmsSensFadType & modelVar_CJORGAT_i,
   AdmsSensFadType & modelVar_VBIRBOT_i,
   AdmsSensFadType & modelVar_VBIRSTI_i,
   AdmsSensFadType & modelVar_VBIRGAT_i,
   AdmsSensFadType & modelVar_PBOT_i,
   AdmsSensFadType & modelVar_PSTI_i,
   AdmsSensFadType & modelVar_PGAT_i,
   AdmsSensFadType & modelVar_PHIGBOT_i,
   AdmsSensFadType & modelVar_PHIGSTI_i,
   AdmsSensFadType & modelVar_PHIGGAT_i,
   AdmsSensFadType & modelVar_IDSATRBOT_i,
   AdmsSensFadType & modelVar_IDSATRSTI_i,
   AdmsSensFadType & modelVar_IDSATRGAT_i,
   AdmsSensFadType & modelVar_XJUNSTI_i,
   AdmsSensFadType & modelVar_XJUNGAT_i,
   AdmsSensFadType & modelVar_CSRHBOT_i,
   AdmsSensFadType & modelVar_CSRHSTI_i,
   AdmsSensFadType & modelVar_CSRHGAT_i,
   AdmsSensFadType & modelVar_CTATBOT_i,
   AdmsSensFadType & modelVar_CTATSTI_i,
   AdmsSensFadType & modelVar_CTATGAT_i,
   AdmsSensFadType & modelVar_MEFFTATBOT_i,
   AdmsSensFadType & modelVar_MEFFTATSTI_i,
   AdmsSensFadType & modelVar_MEFFTATGAT_i,
   AdmsSensFadType & modelVar_CBBTBOT_i,
   AdmsSensFadType & modelVar_CBBTSTI_i,
   AdmsSensFadType & modelVar_CBBTGAT_i,
   AdmsSensFadType & modelVar_FBBTRBOT_i,
   AdmsSensFadType & modelVar_FBBTRSTI_i,
   AdmsSensFadType & modelVar_FBBTRGAT_i,
   AdmsSensFadType & modelVar_STFBBTBOT_i,
   AdmsSensFadType & modelVar_STFBBTSTI_i,
   AdmsSensFadType & modelVar_STFBBTGAT_i,
   AdmsSensFadType & modelVar_VBRBOT_i,
   AdmsSensFadType & modelVar_VBRSTI_i,
   AdmsSensFadType & modelVar_VBRGAT_i,
   AdmsSensFadType & modelVar_PBRBOT_i,
   AdmsSensFadType & modelVar_PBRSTI_i,
   AdmsSensFadType & modelVar_PBRGAT_i,
   AdmsSensFadType & modelVar_SWJUNEXP_i,
   AdmsSensFadType & modelVar_VJUNREF_i,
   AdmsSensFadType & modelVar_FJUNQ_i,
   AdmsSensFadType & modelVar_phitr,
   AdmsSensFadType & modelVar_phitd,
   AdmsSensFadType & modelVar_phitdinv,
   AdmsSensFadType & modelVar_perfc,
   AdmsSensFadType & modelVar_berfc,
   AdmsSensFadType & modelVar_cerfc,
   AdmsSensFadType & modelVar_phigrbot,
   AdmsSensFadType & modelVar_phigrsti,
   AdmsSensFadType & modelVar_phigrgat,
   AdmsSensFadType & modelVar_phigdbot,
   AdmsSensFadType & modelVar_phigdsti,
   AdmsSensFadType & modelVar_phigdgat,
   AdmsSensFadType & modelVar_ftdbot,
   AdmsSensFadType & modelVar_ftdsti,
   AdmsSensFadType & modelVar_ftdgat,
   AdmsSensFadType & modelVar_idsatbot,
   AdmsSensFadType & modelVar_idsatsti,
   AdmsSensFadType & modelVar_idsatgat,
   AdmsSensFadType & modelVar_ubibot,
   AdmsSensFadType & modelVar_ubisti,
   AdmsSensFadType & modelVar_ubigat,
   AdmsSensFadType & modelVar_vbibot,
   AdmsSensFadType & modelVar_vbisti,
   AdmsSensFadType & modelVar_vbigat,
   AdmsSensFadType & modelVar_vbiinvbot,
   AdmsSensFadType & modelVar_vbiinvsti,
   AdmsSensFadType & modelVar_vbiinvgat,
   AdmsSensFadType & modelVar_one_minus_PBOT,
   AdmsSensFadType & modelVar_one_minus_PSTI,
   AdmsSensFadType & modelVar_one_minus_PGAT,
   AdmsSensFadType & modelVar_one_over_one_minus_PBOT,
   AdmsSensFadType & modelVar_one_over_one_minus_PSTI,
   AdmsSensFadType & modelVar_one_over_one_minus_PGAT,
   AdmsSensFadType & modelVar_cjobot,
   AdmsSensFadType & modelVar_cjosti,
   AdmsSensFadType & modelVar_cjogat,
   AdmsSensFadType & modelVar_qprefbot,
   AdmsSensFadType & modelVar_qprefsti,
   AdmsSensFadType & modelVar_qprefgat,
   AdmsSensFadType & modelVar_qpref2bot,
   AdmsSensFadType & modelVar_qpref2sti,
   AdmsSensFadType & modelVar_qpref2gat,
   AdmsSensFadType & modelVar_wdepnulrbot,
   AdmsSensFadType & modelVar_wdepnulrsti,
   AdmsSensFadType & modelVar_wdepnulrgat,
   AdmsSensFadType & modelVar_wdepnulrinvbot,
   AdmsSensFadType & modelVar_wdepnulrinvsti,
   AdmsSensFadType & modelVar_wdepnulrinvgat,
   AdmsSensFadType & modelVar_VBIRBOTinv,
   AdmsSensFadType & modelVar_VBIRSTIinv,
   AdmsSensFadType & modelVar_VBIRGATinv,
   AdmsSensFadType & modelVar_deltaEbot,
   AdmsSensFadType & modelVar_deltaEsti,
   AdmsSensFadType & modelVar_deltaEgat,
   AdmsSensFadType & modelVar_atatbot,
   AdmsSensFadType & modelVar_atatsti,
   AdmsSensFadType & modelVar_atatgat,
   AdmsSensFadType & modelVar_btatpartbot,
   AdmsSensFadType & modelVar_btatpartsti,
   AdmsSensFadType & modelVar_btatpartgat,
   AdmsSensFadType & modelVar_fbbtbot,
   AdmsSensFadType & modelVar_fbbtsti,
   AdmsSensFadType & modelVar_fbbtgat,
   AdmsSensFadType & modelVar_fstopbot,
   AdmsSensFadType & modelVar_fstopsti,
   AdmsSensFadType & modelVar_fstopgat,
   AdmsSensFadType & modelVar_VBRinvbot,
   AdmsSensFadType & modelVar_VBRinvsti,
   AdmsSensFadType & modelVar_VBRinvgat,
   AdmsSensFadType & modelVar_slopebot,
   AdmsSensFadType & modelVar_slopesti,
   AdmsSensFadType & modelVar_slopegat,
   AdmsSensFadType & modelVar_CJORBOTS_i,
   AdmsSensFadType & modelVar_CJORSTIS_i,
   AdmsSensFadType & modelVar_CJORGATS_i,
   AdmsSensFadType & modelVar_VBIRBOTS_i,
   AdmsSensFadType & modelVar_VBIRSTIS_i,
   AdmsSensFadType & modelVar_VBIRGATS_i,
   AdmsSensFadType & modelVar_PBOTS_i,
   AdmsSensFadType & modelVar_PSTIS_i,
   AdmsSensFadType & modelVar_PGATS_i,
   AdmsSensFadType & modelVar_PHIGBOTS_i,
   AdmsSensFadType & modelVar_PHIGSTIS_i,
   AdmsSensFadType & modelVar_PHIGGATS_i,
   AdmsSensFadType & modelVar_IDSATRBOTS_i,
   AdmsSensFadType & modelVar_IDSATRSTIS_i,
   AdmsSensFadType & modelVar_IDSATRGATS_i,
   AdmsSensFadType & modelVar_XJUNSTIS_i,
   AdmsSensFadType & modelVar_XJUNGATS_i,
   AdmsSensFadType & modelVar_CSRHBOTS_i,
   AdmsSensFadType & modelVar_CSRHSTIS_i,
   AdmsSensFadType & modelVar_CSRHGATS_i,
   AdmsSensFadType & modelVar_CTATBOTS_i,
   AdmsSensFadType & modelVar_CTATSTIS_i,
   AdmsSensFadType & modelVar_CTATGATS_i,
   AdmsSensFadType & modelVar_MEFFTATBOTS_i,
   AdmsSensFadType & modelVar_MEFFTATSTIS_i,
   AdmsSensFadType & modelVar_MEFFTATGATS_i,
   AdmsSensFadType & modelVar_CBBTBOTS_i,
   AdmsSensFadType & modelVar_CBBTSTIS_i,
   AdmsSensFadType & modelVar_CBBTGATS_i,
   AdmsSensFadType & modelVar_FBBTRBOTS_i,
   AdmsSensFadType & modelVar_FBBTRSTIS_i,
   AdmsSensFadType & modelVar_FBBTRGATS_i,
   AdmsSensFadType & modelVar_STFBBTBOTS_i,
   AdmsSensFadType & modelVar_STFBBTSTIS_i,
   AdmsSensFadType & modelVar_STFBBTGATS_i,
   AdmsSensFadType & modelVar_VBRBOTS_i,
   AdmsSensFadType & modelVar_VBRSTIS_i,
   AdmsSensFadType & modelVar_VBRGATS_i,
   AdmsSensFadType & modelVar_PBRBOTS_i,
   AdmsSensFadType & modelVar_PBRSTIS_i,
   AdmsSensFadType & modelVar_PBRGATS_i,
   AdmsSensFadType & modelVar_CJORBOTD_i,
   AdmsSensFadType & modelVar_CJORSTID_i,
   AdmsSensFadType & modelVar_CJORGATD_i,
   AdmsSensFadType & modelVar_VBIRBOTD_i,
   AdmsSensFadType & modelVar_VBIRSTID_i,
   AdmsSensFadType & modelVar_VBIRGATD_i,
   AdmsSensFadType & modelVar_PBOTD_i,
   AdmsSensFadType & modelVar_PSTID_i,
   AdmsSensFadType & modelVar_PGATD_i,
   AdmsSensFadType & modelVar_PHIGBOTD_i,
   AdmsSensFadType & modelVar_PHIGSTID_i,
   AdmsSensFadType & modelVar_PHIGGATD_i,
   AdmsSensFadType & modelVar_IDSATRBOTD_i,
   AdmsSensFadType & modelVar_IDSATRSTID_i,
   AdmsSensFadType & modelVar_IDSATRGATD_i,
   AdmsSensFadType & modelVar_XJUNSTID_i,
   AdmsSensFadType & modelVar_XJUNGATD_i,
   AdmsSensFadType & modelVar_CSRHBOTD_i,
   AdmsSensFadType & modelVar_CSRHSTID_i,
   AdmsSensFadType & modelVar_CSRHGATD_i,
   AdmsSensFadType & modelVar_CTATBOTD_i,
   AdmsSensFadType & modelVar_CTATSTID_i,
   AdmsSensFadType & modelVar_CTATGATD_i,
   AdmsSensFadType & modelVar_MEFFTATBOTD_i,
   AdmsSensFadType & modelVar_MEFFTATSTID_i,
   AdmsSensFadType & modelVar_MEFFTATGATD_i,
   AdmsSensFadType & modelVar_CBBTBOTD_i,
   AdmsSensFadType & modelVar_CBBTSTID_i,
   AdmsSensFadType & modelVar_CBBTGATD_i,
   AdmsSensFadType & modelVar_FBBTRBOTD_i,
   AdmsSensFadType & modelVar_FBBTRSTID_i,
   AdmsSensFadType & modelVar_FBBTRGATD_i,
   AdmsSensFadType & modelVar_STFBBTBOTD_i,
   AdmsSensFadType & modelVar_STFBBTSTID_i,
   AdmsSensFadType & modelVar_STFBBTGATD_i,
   AdmsSensFadType & modelVar_VBRBOTD_i,
   AdmsSensFadType & modelVar_VBRSTID_i,
   AdmsSensFadType & modelVar_VBRGATD_i,
   AdmsSensFadType & modelVar_PBRBOTD_i,
   AdmsSensFadType & modelVar_PBRSTID_i,
   AdmsSensFadType & modelVar_PBRGATD_i,
   AdmsSensFadType & modelVar_VJUNREFS_i,
   AdmsSensFadType & modelVar_FJUNQS_i,
   AdmsSensFadType & modelVar_VJUNREFD_i,
   AdmsSensFadType & modelVar_FJUNQD_i,
   AdmsSensFadType & modelVar_phigrbot_s,
   AdmsSensFadType & modelVar_phigrsti_s,
   AdmsSensFadType & modelVar_phigrgat_s,
   AdmsSensFadType & modelVar_phigdbot_s,
   AdmsSensFadType & modelVar_phigdsti_s,
   AdmsSensFadType & modelVar_phigdgat_s,
   AdmsSensFadType & modelVar_ftdbot_s,
   AdmsSensFadType & modelVar_ftdsti_s,
   AdmsSensFadType & modelVar_ftdgat_s,
   AdmsSensFadType & modelVar_idsatbot_s,
   AdmsSensFadType & modelVar_idsatsti_s,
   AdmsSensFadType & modelVar_idsatgat_s,
   AdmsSensFadType & modelVar_ubibot_s,
   AdmsSensFadType & modelVar_ubisti_s,
   AdmsSensFadType & modelVar_ubigat_s,
   AdmsSensFadType & modelVar_vbibot_s,
   AdmsSensFadType & modelVar_vbisti_s,
   AdmsSensFadType & modelVar_vbigat_s,
   AdmsSensFadType & modelVar_vbiinvbot_s,
   AdmsSensFadType & modelVar_vbiinvsti_s,
   AdmsSensFadType & modelVar_vbiinvgat_s,
   AdmsSensFadType & modelVar_one_minus_PBOT_s,
   AdmsSensFadType & modelVar_one_minus_PSTI_s,
   AdmsSensFadType & modelVar_one_minus_PGAT_s,
   AdmsSensFadType & modelVar_one_over_one_minus_PBOT_s,
   AdmsSensFadType & modelVar_one_over_one_minus_PSTI_s,
   AdmsSensFadType & modelVar_one_over_one_minus_PGAT_s,
   AdmsSensFadType & modelVar_cjobot_s,
   AdmsSensFadType & modelVar_cjosti_s,
   AdmsSensFadType & modelVar_cjogat_s,
   AdmsSensFadType & modelVar_qprefbot_s,
   AdmsSensFadType & modelVar_qprefsti_s,
   AdmsSensFadType & modelVar_qprefgat_s,
   AdmsSensFadType & modelVar_qpref2bot_s,
   AdmsSensFadType & modelVar_qpref2sti_s,
   AdmsSensFadType & modelVar_qpref2gat_s,
   AdmsSensFadType & modelVar_wdepnulrbot_s,
   AdmsSensFadType & modelVar_wdepnulrsti_s,
   AdmsSensFadType & modelVar_wdepnulrgat_s,
   AdmsSensFadType & modelVar_wdepnulrinvbot_s,
   AdmsSensFadType & modelVar_wdepnulrinvsti_s,
   AdmsSensFadType & modelVar_wdepnulrinvgat_s,
   AdmsSensFadType & modelVar_VBIRBOTinv_s,
   AdmsSensFadType & modelVar_VBIRSTIinv_s,
   AdmsSensFadType & modelVar_VBIRGATinv_s,
   AdmsSensFadType & modelVar_deltaEbot_s,
   AdmsSensFadType & modelVar_deltaEsti_s,
   AdmsSensFadType & modelVar_deltaEgat_s,
   AdmsSensFadType & modelVar_atatbot_s,
   AdmsSensFadType & modelVar_atatsti_s,
   AdmsSensFadType & modelVar_atatgat_s,
   AdmsSensFadType & modelVar_btatpartbot_s,
   AdmsSensFadType & modelVar_btatpartsti_s,
   AdmsSensFadType & modelVar_btatpartgat_s,
   AdmsSensFadType & modelVar_fbbtbot_s,
   AdmsSensFadType & modelVar_fbbtsti_s,
   AdmsSensFadType & modelVar_fbbtgat_s,
   AdmsSensFadType & modelVar_fstopbot_s,
   AdmsSensFadType & modelVar_fstopsti_s,
   AdmsSensFadType & modelVar_fstopgat_s,
   AdmsSensFadType & modelVar_VBRinvbot_s,
   AdmsSensFadType & modelVar_VBRinvsti_s,
   AdmsSensFadType & modelVar_VBRinvgat_s,
   AdmsSensFadType & modelVar_slopebot_s,
   AdmsSensFadType & modelVar_slopesti_s,
   AdmsSensFadType & modelVar_slopegat_s,
   AdmsSensFadType & modelVar_phigrbot_d,
   AdmsSensFadType & modelVar_phigrsti_d,
   AdmsSensFadType & modelVar_phigrgat_d,
   AdmsSensFadType & modelVar_phigdbot_d,
   AdmsSensFadType & modelVar_phigdsti_d,
   AdmsSensFadType & modelVar_phigdgat_d,
   AdmsSensFadType & modelVar_ftdbot_d,
   AdmsSensFadType & modelVar_ftdsti_d,
   AdmsSensFadType & modelVar_ftdgat_d,
   AdmsSensFadType & modelVar_idsatbot_d,
   AdmsSensFadType & modelVar_idsatsti_d,
   AdmsSensFadType & modelVar_idsatgat_d,
   AdmsSensFadType & modelVar_ubibot_d,
   AdmsSensFadType & modelVar_ubisti_d,
   AdmsSensFadType & modelVar_ubigat_d,
   AdmsSensFadType & modelVar_vbibot_d,
   AdmsSensFadType & modelVar_vbisti_d,
   AdmsSensFadType & modelVar_vbigat_d,
   AdmsSensFadType & modelVar_vbiinvbot_d,
   AdmsSensFadType & modelVar_vbiinvsti_d,
   AdmsSensFadType & modelVar_vbiinvgat_d,
   AdmsSensFadType & modelVar_one_minus_PBOT_d,
   AdmsSensFadType & modelVar_one_minus_PSTI_d,
   AdmsSensFadType & modelVar_one_minus_PGAT_d,
   AdmsSensFadType & modelVar_one_over_one_minus_PBOT_d,
   AdmsSensFadType & modelVar_one_over_one_minus_PSTI_d,
   AdmsSensFadType & modelVar_one_over_one_minus_PGAT_d,
   AdmsSensFadType & modelVar_cjobot_d,
   AdmsSensFadType & modelVar_cjosti_d,
   AdmsSensFadType & modelVar_cjogat_d,
   AdmsSensFadType & modelVar_qprefbot_d,
   AdmsSensFadType & modelVar_qprefsti_d,
   AdmsSensFadType & modelVar_qprefgat_d,
   AdmsSensFadType & modelVar_qpref2bot_d,
   AdmsSensFadType & modelVar_qpref2sti_d,
   AdmsSensFadType & modelVar_qpref2gat_d,
   AdmsSensFadType & modelVar_wdepnulrbot_d,
   AdmsSensFadType & modelVar_wdepnulrsti_d,
   AdmsSensFadType & modelVar_wdepnulrgat_d,
   AdmsSensFadType & modelVar_wdepnulrinvbot_d,
   AdmsSensFadType & modelVar_wdepnulrinvsti_d,
   AdmsSensFadType & modelVar_wdepnulrinvgat_d,
   AdmsSensFadType & modelVar_VBIRBOTinv_d,
   AdmsSensFadType & modelVar_VBIRSTIinv_d,
   AdmsSensFadType & modelVar_VBIRGATinv_d,
   AdmsSensFadType & modelVar_deltaEbot_d,
   AdmsSensFadType & modelVar_deltaEsti_d,
   AdmsSensFadType & modelVar_deltaEgat_d,
   AdmsSensFadType & modelVar_atatbot_d,
   AdmsSensFadType & modelVar_atatsti_d,
   AdmsSensFadType & modelVar_atatgat_d,
   AdmsSensFadType & modelVar_btatpartbot_d,
   AdmsSensFadType & modelVar_btatpartsti_d,
   AdmsSensFadType & modelVar_btatpartgat_d,
   AdmsSensFadType & modelVar_fbbtbot_d,
   AdmsSensFadType & modelVar_fbbtsti_d,
   AdmsSensFadType & modelVar_fbbtgat_d,
   AdmsSensFadType & modelVar_fstopbot_d,
   AdmsSensFadType & modelVar_fstopsti_d,
   AdmsSensFadType & modelVar_fstopgat_d,
   AdmsSensFadType & modelVar_VBRinvbot_d,
   AdmsSensFadType & modelVar_VBRinvsti_d,
   AdmsSensFadType & modelVar_VBRinvgat_d,
   AdmsSensFadType & modelVar_slopebot_d,
   AdmsSensFadType & modelVar_slopesti_d,
   AdmsSensFadType & modelVar_slopegat_d,
   // non-reals
   int modelVar_CHNL_TYPE,
   int modelVar_SWGEO_i,
   int modelVar_SWIGATE_i,
   int modelVar_SWIMPACT_i,
   int modelVar_SWGIDL_i,
   int modelVar_SWJUNCAP_i,
   int modelVar_SWJUNASYM_i,
   int modelVar_SWNUD_i,
   int modelVar_SWDELVTAC_i,
   double admsTemperature, double adms_vt_nom)
{
  AdmsSensFadType I5;
  AdmsSensFadType I4;
  AdmsSensFadType I3;
  AdmsSensFadType I2;
  AdmsSensFadType I1;
  AdmsSensFadType ijungat;
  AdmsSensFadType ijunsti;
  AdmsSensFadType ijunbot;
  double V5;
  double V4;
  AdmsSensFadType V3;
  AdmsSensFadType V2;
  AdmsSensFadType V1;
  double FRACI;
  double FRACNB;
  double FRACNA;
  AdmsSensFadType qjungat;
  AdmsSensFadType qjunsti;
  AdmsSensFadType qjunbot;
  AdmsSensFadType fbreakdown;
  AdmsSensFadType Fmaxr;
  AdmsSensFadType ibbt;
  AdmsSensFadType gammamax;
  AdmsSensFadType erfctimesexpmtat;
  AdmsSensFadType xerfc;
  AdmsSensFadType mtat;
  AdmsSensFadType ltat;
  AdmsSensFadType ktat;
  AdmsSensFadType wtat;
  AdmsSensFadType wgamma;
  AdmsSensFadType umaxpoweronepointfive;
  AdmsSensFadType sqrtumax;
  AdmsSensFadType umax;
  AdmsSensFadType umaxbeforelimiting;
  AdmsSensFadType twoatatoverthreebtat;
  AdmsSensFadType btat;
  AdmsSensFadType itat;
  AdmsSensFadType dwsrh;
  AdmsSensFadType wsrhstep;
  AdmsSensFadType isrh;
  AdmsSensFadType id;
  AdmsSensFadType tmp;
  AdmsSensFadType vbbt;
  AdmsSensFadType vjlim;
  AdmsSensFadType two_psistar;
  AdmsSensFadType z;
  AdmsSensFadType h5;
  AdmsSensFadType h4;
  AdmsSensFadType h3;
  AdmsSensFadType h2d;
  AdmsSensFadType h2;
  AdmsSensFadType h1;
  AdmsSensFadType erfcpos;
  AdmsSensFadType terfc;
  AdmsSensFadType ysq;
  AdmsSensFadType pmax;
  AdmsSensFadType vbigat2r;
  AdmsSensFadType vbisti2r;
  AdmsSensFadType vbibot2r;
  AdmsSensFadType pgat2;
  AdmsSensFadType psti2;
  AdmsSensFadType pbot2;
  AdmsSensFadType vbigat2;
  AdmsSensFadType vbisti2;
  AdmsSensFadType vbibot2;
  AdmsSensFadType vmaxgat;
  AdmsSensFadType vmaxsti;
  AdmsSensFadType vmaxbot;
  AdmsSensFadType alphaje;
  AdmsSensFadType zfrac;
  AdmsSensFadType tt2;
  AdmsSensFadType tt1;
  AdmsSensFadType tt0;
  AdmsSensFadType I5_cor;
  AdmsSensFadType I4_cor;
  AdmsSensFadType I3_cor;
  AdmsSensFadType I2_cor;
  AdmsSensFadType I1_cor;
  AdmsSensFadType mcor_rev;
  AdmsSensFadType m0_rev;
  AdmsSensFadType jww;
  double jwcorr;
  AdmsSensFadType LGD_i;
  AdmsSensFadType LSD_i;
  AdmsSensFadType ABD_i;
  AdmsSensFadType LGS_i;
  AdmsSensFadType LSS_i;
  AdmsSensFadType ABS_i;
  AdmsSensFadType NEFFAC_i;
  AdmsSensFadType Sfl_prefac;
  AdmsSensFadType Cox_over_q;
  AdmsSensFadType nt;
  AdmsSensFadType tempM;
  AdmsSensFadType tf_ig;
  AdmsSensFadType tf_thesat;
  AdmsSensFadType tf_ther;
  AdmsSensFadType tf_xcor;
  AdmsSensFadType tf_cs;
  AdmsSensFadType tf_mue;
  AdmsSensFadType tf_bet;
  AdmsSensFadType CoxovPrime_d;
  AdmsSensFadType CoxovPrime;
  AdmsSensFadType phix2;
  AdmsSensFadType dphibq;
  AdmsSensFadType qb0;
  AdmsSensFadType np;
  AdmsSensFadType arg2max;
  AdmsSensFadType tox_sq;
  AdmsSensFadType CoxPrime;
  AdmsSensFadType EPSOX;
  AdmsSensFadType DELVTO_i;
  AdmsSensFadType FACTUO_i;
  AdmsSensFadType EF_i;
  AdmsSensFadType NFC_i;
  AdmsSensFadType NFB_i;
  AdmsSensFadType NFA_i;
  AdmsSensFadType FNT_i;
  AdmsSensFadType STBGIDLD_i;
  AdmsSensFadType STBGIDL_i;
  AdmsSensFadType STIG_i;
  AdmsSensFadType GCO_i;
  AdmsSensFadType STA2_i;
  AdmsSensFadType VP_i;
  AdmsSensFadType STTHESAT_i;
  AdmsSensFadType STRS_i;
  AdmsSensFadType RS_i;
  AdmsSensFadType FETA_i;
  AdmsSensFadType STXCOR_i;
  AdmsSensFadType STCS_i;
  AdmsSensFadType STTHEMU_i;
  AdmsSensFadType STMUE_i;
  AdmsSensFadType STBET_i;
  AdmsSensFadType BETN_i;
  AdmsSensFadType NOVD_i;
  AdmsSensFadType NOV_i;
  AdmsSensFadType TOXOVD_i;
  AdmsSensFadType TOXOV_i;
  AdmsSensFadType CT_i;
  AdmsSensFadType NP_i;
  AdmsSensFadType DELVTAC_i;
  AdmsSensFadType DPHIB_i;
  AdmsSensFadType DVSBNUD_i;
  AdmsSensFadType VSBNUD_i;
  AdmsSensFadType FACNEFFAC_i;
  AdmsSensFadType NEFF_i;
  AdmsSensFadType EPSROX_i;
  AdmsSensFadType TOX_i;
  AdmsSensFadType STVFB_i;
  AdmsSensFadType temp00;
  AdmsSensFadType Kstressvth0;
  AdmsSensFadType rhobetaref;
  AdmsSensFadType rhobeta;
  AdmsSensFadType Kstressu0;
  AdmsSensFadType tempw;
  AdmsSensFadType templ;
  AdmsSensFadType Wx;
  AdmsSensFadType Lx;
  AdmsSensFadType Invsbref;
  AdmsSensFadType Invsaref;
  AdmsSensFadType Invsb;
  AdmsSensFadType Invsa;
  double loop;
  AdmsSensFadType tmpb;
  AdmsSensFadType tmpa;
  AdmsSensFadType iiiLWcv;
  AdmsSensFadType iLcv;
  AdmsSensFadType iiLWcv;
  AdmsSensFadType iiWcv;
  AdmsSensFadType iiLcv;
  AdmsSensFadType iiiLEWEcv;
  AdmsSensFadType iLEcv;
  AdmsSensFadType iiLEWEcv;
  AdmsSensFadType iiWEcv;
  AdmsSensFadType iiLEcv;
  AdmsSensFadType iiiLEWE;
  AdmsSensFadType iiLEWE;
  AdmsSensFadType iiWE;
  AdmsSensFadType iiLE;
  AdmsSensFadType iLEWE;
  AdmsSensFadType KUOWE;
  AdmsSensFadType KVTHOWE;
  AdmsSensFadType Lred;
  AdmsSensFadType Lnoi;
  AdmsSensFadType temp0;
  AdmsSensFadType tmpx;
  AdmsSensFadType GWE;
  AdmsSensFadType GPE;
  AdmsSensFadType LP1e;
  AdmsSensFadType FBET1e;
  AdmsSensFadType NSUB;
  AdmsSensFadType BB;
  double AA;
  AdmsSensFadType LPCKe;
  AdmsSensFadType NPCKe;
  AdmsSensFadType NSUB0e;
  AdmsSensFadType RJUND_p;
  AdmsSensFadType RJUNS_p;
  AdmsSensFadType RBULK_p;
  AdmsSensFadType RWELL_p;
  AdmsSensFadType RDE_p;
  AdmsSensFadType RSE_p;
  AdmsSensFadType RG_p;
  AdmsSensFadType EF_p;
  AdmsSensFadType NFC_p;
  AdmsSensFadType NFB_p;
  AdmsSensFadType NFA_p;
  AdmsSensFadType FNT_p;
  AdmsSensFadType CFRD_p;
  AdmsSensFadType CFR_p;
  AdmsSensFadType CGBOV_p;
  AdmsSensFadType CGOVD_p;
  AdmsSensFadType CGOV_p;
  AdmsSensFadType COX_p;
  AdmsSensFadType CGIDLD_p;
  AdmsSensFadType CGIDL_p;
  AdmsSensFadType STBGIDLD_p;
  AdmsSensFadType STBGIDL_p;
  AdmsSensFadType BGIDLD_p;
  AdmsSensFadType BGIDL_p;
  AdmsSensFadType AGIDLD_p;
  AdmsSensFadType AGIDL_p;
  AdmsSensFadType CHIB_p;
  AdmsSensFadType GC3_p;
  AdmsSensFadType GC2_p;
  AdmsSensFadType STIG_p;
  AdmsSensFadType IGOVD_p;
  AdmsSensFadType IGOV_p;
  AdmsSensFadType IGINV_p;
  AdmsSensFadType GCO_p;
  AdmsSensFadType A4_p;
  AdmsSensFadType A3_p;
  AdmsSensFadType STA2_p;
  AdmsSensFadType A2_p;
  AdmsSensFadType A1_p;
  AdmsSensFadType VP_p;
  AdmsSensFadType ALP2_p;
  AdmsSensFadType ALP1_p;
  AdmsSensFadType ALP_p;
  AdmsSensFadType AX_p;
  AdmsSensFadType THESATG_p;
  AdmsSensFadType THESATB_p;
  AdmsSensFadType STTHESAT_p;
  AdmsSensFadType THESAT_p;
  AdmsSensFadType RSG_p;
  AdmsSensFadType RSB_p;
  AdmsSensFadType STRS_p;
  AdmsSensFadType RS_p;
  AdmsSensFadType FETA_p;
  AdmsSensFadType STXCOR_p;
  AdmsSensFadType XCOR_p;
  AdmsSensFadType STCS_p;
  AdmsSensFadType CS_p;
  AdmsSensFadType STTHEMU_p;
  AdmsSensFadType THEMU_p;
  AdmsSensFadType STMUE_p;
  AdmsSensFadType MUE_p;
  AdmsSensFadType STBET_p;
  AdmsSensFadType BETN_p;
  AdmsSensFadType CFB_p;
  AdmsSensFadType CF_p;
  AdmsSensFadType NOVD_p;
  AdmsSensFadType NOV_p;
  AdmsSensFadType TOXOVD_p;
  AdmsSensFadType TOXOV_p;
  AdmsSensFadType CT_p;
  AdmsSensFadType NP_p;
  AdmsSensFadType DELVTAC_p;
  AdmsSensFadType DPHIB_p;
  AdmsSensFadType DNSUB_p;
  AdmsSensFadType NSLP_p;
  AdmsSensFadType VNSUB_p;
  AdmsSensFadType DVSBNUD_p;
  AdmsSensFadType VSBNUD_p;
  AdmsSensFadType GFACNUD_p;
  AdmsSensFadType FACNEFFAC_p;
  AdmsSensFadType NEFF_p;
  AdmsSensFadType EPSROX_p;
  AdmsSensFadType TOX_p;
  AdmsSensFadType STVFB_p;
  AdmsSensFadType VFB_p;
  AdmsSensFadType XGWE;
  AdmsSensFadType W_f;
  AdmsSensFadType L_slif;
  AdmsSensFadType L_f;
  AdmsSensFadType iWE;
  AdmsSensFadType iLE;
  AdmsSensFadType Wcv;
  AdmsSensFadType Lcv;
  AdmsSensFadType WEcv;
  AdmsSensFadType LEcv;
  AdmsSensFadType delWOD;
  AdmsSensFadType delLPS;
  AdmsSensFadType iW;
  AdmsSensFadType iL;
  double WEN;
  double LEN;
  AdmsSensFadType NGCON_i;
  AdmsSensFadType SCC_i;
  AdmsSensFadType SCB_i;
  AdmsSensFadType SCA_i;
  AdmsSensFadType JW_i;
  AdmsSensFadType PD_i;
  AdmsSensFadType AD_i;
  AdmsSensFadType PS_i;
  AdmsSensFadType AS_i;
  AdmsSensFadType XGW_i;
  AdmsSensFadType SC_i;
  AdmsSensFadType SD_i;
  AdmsSensFadType SB_i;
  AdmsSensFadType SA_i;
  AdmsSensFadType W_i;
  AdmsSensFadType L_i;
  AdmsSensFadType WE;
  AdmsSensFadType LE;
  AdmsSensFadType invNF;
  AdmsSensFadType NF_i;
  //Begin block initial_instance
  {
    NF_i = 1.0;
    invNF = 1.0;
    LE = 0.0;
    WE = 0.0;
    L_i = instancePar_L;
    W_i = instancePar_W;
    SA_i = instancePar_SA;
    SB_i = instancePar_SB;
    SD_i = instancePar_SD;
    SC_i = instancePar_SC;
    XGW_i = instancePar_XGW;
    instanceVar_ABSOURCE_i = instancePar_ABSOURCE;
    instanceVar_LSSOURCE_i = instancePar_LSSOURCE;
    instanceVar_LGSOURCE_i = instancePar_LGSOURCE;
    instanceVar_ABDRAIN_i = instancePar_ABDRAIN;
    instanceVar_LSDRAIN_i = instancePar_LSDRAIN;
    instanceVar_LGDRAIN_i = instancePar_LGDRAIN;
    AS_i = instancePar_AS;
    PS_i = instancePar_PS;
    AD_i = instancePar_AD;
    PD_i = instancePar_PD;
    JW_i = instancePar_JW;
    if (((modelVar_SWGEO_i==1)||(modelVar_SWGEO_i==2)))
    {
      NF_i = adms_ternary_op<AdmsSensFadType>((instancePar_NF>1.0),instancePar_NF,1.0);
      NF_i = ADMSfloor((NF_i+0.5));
      invNF = (1.0/NF_i);
      L_i = adms_ternary_op<AdmsSensFadType>((L_i>1e-9),L_i,1e-9);
      W_i = adms_ternary_op<AdmsSensFadType>(((W_i*invNF)>1e-9),(W_i*invNF),1e-9);
      SCA_i = adms_ternary_op<AdmsSensFadType>((instancePar_SCA>0.0),instancePar_SCA,0.0);
      SCB_i = adms_ternary_op<AdmsSensFadType>((instancePar_SCB>0.0),instancePar_SCB,0.0);
      SCC_i = adms_ternary_op<AdmsSensFadType>((instancePar_SCC>0.0),instancePar_SCC,0.0);
      NGCON_i = ((instancePar_NGCON<1.5)?1.0:2.0);
      LEN = 1e-6;
      WEN = 1e-6;
      iL = (LEN/L_i);
      iW = (WEN/W_i);
      if ((modelVar_SWGEO_i==2))
      {
        delLPS = (modelPar_LVARO*(1.0+(modelPar_LVARL*iL)));
        delWOD = (modelPar_WVARO*(1.0+(modelPar_WVARW*iW)));
      }
      else
      {
        delLPS = ((modelPar_LVARO*(1.0+(modelPar_LVARL*iL)))*(1.0+(modelPar_LVARW*iW)));
        delWOD = ((modelPar_WVARO*(1.0+(modelPar_WVARL*iL)))*(1.0+(modelPar_WVARW*iW)));
      }
      LE = adms_ternary_op<AdmsSensFadType>((((L_i+delLPS)-(2.0*modelPar_LAP))>1e-9),((L_i+delLPS)-(2.0*modelPar_LAP)),1e-9);
      WE = adms_ternary_op<AdmsSensFadType>((((W_i+delWOD)-(2.0*modelPar_WOT))>1e-9),((W_i+delWOD)-(2.0*modelPar_WOT)),1e-9);
      LEcv = adms_ternary_op<AdmsSensFadType>(((((L_i+delLPS)-(2.0*modelPar_LAP))+modelPar_DLQ)>1e-9),(((L_i+delLPS)-(2.0*modelPar_LAP))+modelPar_DLQ),1e-9);
      WEcv = adms_ternary_op<AdmsSensFadType>(((((W_i+delWOD)-(2.0*modelPar_WOT))+modelPar_DWQ)>1e-9),(((W_i+delWOD)-(2.0*modelPar_WOT))+modelPar_DWQ),1e-9);
      Lcv = adms_ternary_op<AdmsSensFadType>((((L_i+delLPS)+modelPar_DLQ)>1e-9),((L_i+delLPS)+modelPar_DLQ),1e-9);
      Wcv = adms_ternary_op<AdmsSensFadType>((((W_i+delWOD)+modelPar_DWQ)>1e-9),((W_i+delWOD)+modelPar_DWQ),1e-9);
      iLE = (LEN/LE);
      iWE = (WEN/WE);
      L_f = adms_ternary_op<AdmsSensFadType>(((L_i+delLPS)>1e-9),(L_i+delLPS),1e-9);
      L_slif = adms_ternary_op<AdmsSensFadType>(((L_f+modelPar_DLSIL)>1e-9),(L_f+modelPar_DLSIL),1e-9);
      W_f = adms_ternary_op<AdmsSensFadType>(((W_i+delWOD)>1e-9),(W_i+delWOD),1e-9);
      XGWE = adms_ternary_op<AdmsSensFadType>(((XGW_i-(0.5*delWOD))>1e-9),(XGW_i-(0.5*delWOD)),1e-9);
    }
    if ((modelVar_SWGEO_i==0))
    {
      VFB_p = modelPar_VFB;
      STVFB_p = modelPar_STVFB;
      TOX_p = modelPar_TOX;
      EPSROX_p = modelPar_EPSROX;
      NEFF_p = modelPar_NEFF;
      FACNEFFAC_p = modelPar_FACNEFFAC;
      GFACNUD_p = modelPar_GFACNUD;
      VSBNUD_p = modelPar_VSBNUD;
      DVSBNUD_p = modelPar_DVSBNUD;
      VNSUB_p = modelPar_VNSUB;
      NSLP_p = modelPar_NSLP;
      DNSUB_p = modelPar_DNSUB;
      DPHIB_p = modelPar_DPHIB;
      DELVTAC_p = modelPar_DELVTAC;
      NP_p = modelPar_NP;
      CT_p = modelPar_CT;
      TOXOV_p = modelPar_TOXOV;
      TOXOVD_p = modelPar_TOXOVD;
      NOV_p = modelPar_NOV;
      NOVD_p = modelPar_NOVD;
      CF_p = modelPar_CF;
      CFB_p = modelPar_CFB;
      BETN_p = modelPar_BETN;
      STBET_p = modelPar_STBET;
      MUE_p = modelPar_MUE;
      STMUE_p = modelPar_STMUE;
      THEMU_p = modelPar_THEMU;
      STTHEMU_p = modelPar_STTHEMU;
      CS_p = modelPar_CS;
      STCS_p = modelPar_STCS;
      XCOR_p = modelPar_XCOR;
      STXCOR_p = modelPar_STXCOR;
      FETA_p = modelPar_FETA;
      RS_p = modelPar_RS;
      STRS_p = modelPar_STRS;
      RSB_p = modelPar_RSB;
      RSG_p = modelPar_RSG;
      THESAT_p = modelPar_THESAT;
      STTHESAT_p = modelPar_STTHESAT;
      THESATB_p = modelPar_THESATB;
      THESATG_p = modelPar_THESATG;
      AX_p = modelPar_AX;
      ALP_p = modelPar_ALP;
      ALP1_p = modelPar_ALP1;
      ALP2_p = modelPar_ALP2;
      VP_p = modelPar_VP;
      A1_p = modelPar_A1;
      A2_p = modelPar_A2;
      STA2_p = modelPar_STA2;
      A3_p = modelPar_A3;
      A4_p = modelPar_A4;
      GCO_p = modelPar_GCO;
      IGINV_p = modelPar_IGINV;
      IGOV_p = modelPar_IGOV;
      IGOVD_p = modelPar_IGOVD;
      STIG_p = modelPar_STIG;
      GC2_p = modelPar_GC2;
      GC3_p = modelPar_GC3;
      CHIB_p = modelPar_CHIB;
      AGIDL_p = modelPar_AGIDL;
      AGIDLD_p = modelPar_AGIDLD;
      BGIDL_p = modelPar_BGIDL;
      BGIDLD_p = modelPar_BGIDLD;
      STBGIDL_p = modelPar_STBGIDL;
      STBGIDLD_p = modelPar_STBGIDLD;
      CGIDL_p = modelPar_CGIDL;
      CGIDLD_p = modelPar_CGIDLD;
      COX_p = modelPar_COX;
      CGOV_p = modelPar_CGOV;
      CGOVD_p = modelPar_CGOVD;
      CGBOV_p = modelPar_CGBOV;
      CFR_p = modelPar_CFR;
      CFRD_p = modelPar_CFRD;
      FNT_p = modelPar_FNT;
      NFA_p = modelPar_NFA;
      NFB_p = modelPar_NFB;
      NFC_p = modelPar_NFC;
      EF_p = modelPar_EF;
      RG_p = modelPar_RG;
      RSE_p = modelPar_RSE;
      RDE_p = modelPar_RDE;
      RWELL_p = modelPar_RWELL;
      RBULK_p = modelPar_RBULK;
      RJUNS_p = modelPar_RJUNS;
      RJUND_p = modelPar_RJUND;
    }
    if ((modelVar_SWGEO_i==1))
    {
      VFB_p = (((modelPar_VFBO+(modelPar_VFBL*iLE))+(modelPar_VFBW*iWE))+((modelPar_VFBLW*iLE)*iWE));
      STVFB_p = (((modelPar_STVFBO+(modelPar_STVFBL*iLE))+(modelPar_STVFBW*iWE))+((modelPar_STVFBLW*iLE)*iWE));
      TOX_p = modelPar_TOXO;
      EPSROX_p = modelPar_EPSROXO;
      NSUB0e = (modelVar_NSUBO_i*adms_ternary_op<AdmsSensFadType>(((1.0+((modelPar_NSUBW*iWE)*log((1.0+(WE/modelVar_WSEG_i)))))>1.0E-03),(1.0+((modelPar_NSUBW*iWE)*log((1.0+(WE/modelVar_WSEG_i))))),1.0E-03));
      NPCKe = (modelVar_NPCK_i*adms_ternary_op<AdmsSensFadType>(((1.0+((modelPar_NPCKW*iWE)*log((1.0+(WE/modelVar_WSEGP_i)))))>1.0E-03),(1.0+((modelPar_NPCKW*iWE)*log((1.0+(WE/modelVar_WSEGP_i))))),1.0E-03));
      LPCKe = (modelVar_LPCK_i*adms_ternary_op<AdmsSensFadType>(((1.0+((modelPar_LPCKW*iWE)*log((1.0+(WE/modelVar_WSEGP_i)))))>1.0E-03),(1.0+((modelPar_LPCKW*iWE)*log((1.0+(WE/modelVar_WSEGP_i))))),1.0E-03));
      if ((LE>(2*LPCKe)))
      {
        AA = 7.5e10;
        BB = (sqrt((NSUB0e+(0.5*NPCKe)))-sqrt(NSUB0e));
        NSUB = (sqrt(NSUB0e)+(AA*log((1+(((2*LPCKe)/LE)*(exp((BB/AA))-1))))));
        NSUB = (NSUB*NSUB);
      }
      else
      {
        if ((LE>=LPCKe))
        {
          NSUB = (NSUB0e+((NPCKe*LPCKe)/LE));
        }
        else
        {
          NSUB = (NSUB0e+(NPCKe*(2-(LE/LPCKe))));
        }
      }
      NEFF_p = (NSUB*((1-(modelPar_FOL1*iLE))-((modelPar_FOL2*iLE)*iLE)));
      FACNEFFAC_p = (((modelPar_FACNEFFACO+(modelPar_FACNEFFACL*iLE))+(modelPar_FACNEFFACW*iWE))+((modelPar_FACNEFFACLW*iLE)*iWE));
      GFACNUD_p = (((modelPar_GFACNUDO+(modelPar_GFACNUDL*pow(iLE,modelPar_GFACNUDLEXP)))+(modelPar_GFACNUDW*iWE))+((modelPar_GFACNUDLW*iLE)*iWE));
      VSBNUD_p = modelPar_VSBNUDO;
      DVSBNUD_p = modelPar_DVSBNUDO;
      VNSUB_p = modelPar_VNSUBO;
      NSLP_p = modelPar_NSLPO;
      DNSUB_p = modelPar_DNSUBO;
      DPHIB_p = (((modelPar_DPHIBO+(modelPar_DPHIBL*pow(iLE,modelPar_DPHIBLEXP)))+(modelPar_DPHIBW*iWE))+((modelPar_DPHIBLW*iLE)*iWE));
      DELVTAC_p = (((modelPar_DELVTACO+(modelPar_DELVTACL*pow(iLE,modelPar_DELVTACLEXP)))+(modelPar_DELVTACW*iWE))+((modelPar_DELVTACLW*iLE)*iWE));
      NP_p = (modelPar_NPO*adms_ternary_op<AdmsSensFadType>((1e-6>(1.0+(modelPar_NPL*iLE))),1e-6,(1.0+(modelPar_NPL*iLE))));
      CT_p = (((modelPar_CTO+(modelPar_CTL*pow(iLE,modelPar_CTLEXP)))*(1.0+(modelPar_CTW*iWE)))*(1.0+((modelPar_CTLW*iLE)*iWE)));
      TOXOV_p = modelPar_TOXOVO;
      TOXOVD_p = modelPar_TOXOVDO;
      NOV_p = modelPar_NOVO;
      NOVD_p = modelPar_NOVDO;
      CF_p = ((modelPar_CFL*pow(iLE,modelPar_CFLEXP))*(1.0+(modelPar_CFW*iWE)));
      CFB_p = modelPar_CFBO;
      FBET1e = (modelPar_FBET1*(1.0+(modelPar_FBET1W*iWE)));
      LP1e = (modelVar_LP1_i*adms_ternary_op<AdmsSensFadType>(((1.0+(modelPar_LP1W*iWE))>1.0E-03),(1.0+(modelPar_LP1W*iWE)),1.0E-03));
      GPE = ((1.0+(((FBET1e*LP1e)/LE)*(1.0-exp(((-LE)/LP1e)))))+(((modelPar_FBET2*modelVar_LP2_i)/LE)*(1.0-exp(((-LE)/modelVar_LP2_i)))));
      GPE = adms_ternary_op<AdmsSensFadType>((GPE>1e-15),GPE,1e-15);
      GWE = ((1.0+(modelPar_BETW1*iWE))+((modelPar_BETW2*iWE)*log((1.0+(WE/modelVar_WBET_i)))));
      BETN_p = (((modelPar_UO*WE)/(GPE*LE))*GWE);
      STBET_p = (((modelPar_STBETO+(modelPar_STBETL*iLE))+(modelPar_STBETW*iWE))+((modelPar_STBETLW*iLE)*iWE));
      MUE_p = (modelPar_MUEO*(1.0+(modelPar_MUEW*iWE)));
      STMUE_p = modelPar_STMUEO;
      THEMU_p = modelPar_THEMUO;
      STTHEMU_p = modelPar_STTHEMUO;
      CS_p = (((modelPar_CSO+(modelPar_CSL*pow(iLE,modelPar_CSLEXP)))*(1.0+(modelPar_CSW*iWE)))*(1.0+((modelPar_CSLW*iLE)*iWE)));
      STCS_p = modelPar_STCSO;
      XCOR_p = (((modelPar_XCORO*(1.0+(modelPar_XCORL*iLE)))*(1.0+(modelPar_XCORW*iWE)))*(1.0+((modelPar_XCORLW*iLE)*iWE)));
      STXCOR_p = modelPar_STXCORO;
      FETA_p = modelPar_FETAO;
      RS_p = ((modelPar_RSW1*iWE)*(1.0+(modelPar_RSW2*iWE)));
      STRS_p = modelPar_STRSO;
      RSB_p = modelPar_RSBO;
      RSG_p = modelPar_RSGO;
      THESAT_p = (((modelPar_THESATO+(((modelPar_THESATL*GWE)/GPE)*pow(iLE,modelPar_THESATLEXP)))*(1.0+(modelPar_THESATW*iWE)))*(1.0+((modelPar_THESATLW*iLE)*iWE)));
      STTHESAT_p = (((modelPar_STTHESATO+(modelPar_STTHESATL*iLE))+(modelPar_STTHESATW*iWE))+((modelPar_STTHESATLW*iLE)*iWE));
      THESATB_p = modelPar_THESATBO;
      THESATG_p = modelPar_THESATGO;
      AX_p = (modelPar_AXO/(1.0+(modelVar_AXL_i*iLE)));
      ALP_p = ((modelPar_ALPL*pow(iLE,modelPar_ALPLEXP))*(1.0+(modelPar_ALPW*iWE)));
      tmpx = pow(iLE,modelPar_ALP1LEXP);
      ALP1_p = (((modelPar_ALP1L1*tmpx)*(1.0+(modelPar_ALP1W*iWE)))/(1.0+((modelVar_ALP1L2_i*iLE)*tmpx)));
      tmpx = pow(iLE,modelPar_ALP2LEXP);
      ALP2_p = (((modelPar_ALP2L1*tmpx)*(1.0+(modelPar_ALP2W*iWE)))/(1.0+((modelVar_ALP2L2_i*iLE)*tmpx)));
      VP_p = modelPar_VPO;
      A1_p = ((modelPar_A1O*(1.0+(modelPar_A1L*iLE)))*(1.0+(modelPar_A1W*iWE)));
      A2_p = modelPar_A2O;
      STA2_p = modelPar_STA2O;
      A3_p = ((modelPar_A3O*(1.0+(modelPar_A3L*iLE)))*(1.0+(modelPar_A3W*iWE)));
      A4_p = ((modelPar_A4O*(1.0+(modelPar_A4L*iLE)))*(1.0+(modelPar_A4W*iWE)));
      GCO_p = modelPar_GCOO;
      IGINV_p = (modelPar_IGINVLW/(iWE*iLE));
      IGOV_p = ((modelPar_IGOVW*modelVar_LOV_i)/(LEN*iWE));
      IGOVD_p = ((modelPar_IGOVDW*modelVar_LOVD_i)/(LEN*iWE));
      STIG_p = modelPar_STIGO;
      GC2_p = modelPar_GC2O;
      GC3_p = modelPar_GC3O;
      CHIB_p = modelPar_CHIBO;
      AGIDL_p = ((modelPar_AGIDLW*modelVar_LOV_i)/(LEN*iWE));
      AGIDLD_p = ((modelPar_AGIDLDW*modelVar_LOVD_i)/(LEN*iWE));
      BGIDL_p = modelPar_BGIDLO;
      BGIDLD_p = modelPar_BGIDLDO;
      STBGIDL_p = modelPar_STBGIDLO;
      STBGIDLD_p = modelPar_STBGIDLDO;
      CGIDL_p = modelPar_CGIDLO;
      CGIDLD_p = modelPar_CGIDLDO;
      COX_p = ((((8.8541878176E-12*modelVar_EPSROXO_i)*WEcv)*LEcv)/modelVar_TOXO_i);
      CGOV_p = ((((8.8541878176E-12*modelVar_EPSROXO_i)*WEcv)*modelVar_LOV_i)/modelVar_TOXOVO_i);
      CGOVD_p = ((((8.8541878176E-12*modelVar_EPSROXO_i)*WEcv)*modelVar_LOVD_i)/modelVar_TOXOVDO_i);
      CGBOV_p = ((modelPar_CGBOVL*Lcv)/LEN);
      CFR_p = ((modelPar_CFRW*Wcv)/WEN);
      CFRD_p = ((modelPar_CFRDW*Wcv)/WEN);
      temp0 = (1.0-(((2.0*modelPar_LINTNOI)*iLE)/LEN));
      Lnoi = adms_ternary_op<AdmsSensFadType>((temp0>1.0e-3),temp0,1.0e-3);
      Lred = (1.0/pow(Lnoi,modelPar_ALPNOI));
      FNT_p = modelPar_FNTO;
      NFA_p = (((Lred*iWE)*iLE)*modelPar_NFALW);
      NFB_p = (((Lred*iWE)*iLE)*modelPar_NFBLW);
      NFC_p = (((Lred*iWE)*iLE)*modelPar_NFCLW);
      EF_p = modelPar_EFO;
      KVTHOWE = (((modelPar_KVTHOWEO+(modelPar_KVTHOWEL*iLE))+(modelPar_KVTHOWEW*iWE))+((modelPar_KVTHOWELW*iLE)*iWE));
      KUOWE = (((modelPar_KUOWEO+(modelPar_KUOWEL*iLE))+(modelPar_KUOWEW*iWE))+((modelPar_KUOWELW*iLE)*iWE));
    }
    if ((modelVar_SWGEO_i==2))
    {
      iLEWE = (iLE*iWE);
      iiLE = (LE/LEN);
      iiWE = (WE/WEN);
      iiLEWE = (iiLE*iiWE);
      iiiLEWE = (iiWE/iiLE);
      iiLEcv = (LEcv/LEN);
      iiWEcv = (WEcv/WEN);
      iiLEWEcv = (iiLEcv*iiWEcv);
      iLEcv = (LEN/LEcv);
      iiiLEWEcv = (iiWEcv/iiLEcv);
      iiLcv = (Lcv/LEN);
      iiWcv = (Wcv/WEN);
      iiLWcv = (iiLcv*iiWcv);
      iLcv = (LEN/Lcv);
      iiiLWcv = (iiWcv/iiLcv);
      VFB_p = (((modelPar_POVFB+(iLE*modelPar_PLVFB))+(iWE*modelPar_PWVFB))+(iLEWE*modelPar_PLWVFB));
      STVFB_p = (((modelPar_POSTVFB+(iLE*modelPar_PLSTVFB))+(iWE*modelPar_PWSTVFB))+(iLEWE*modelPar_PLWSTVFB));
      TOX_p = modelPar_POTOX;
      EPSROX_p = modelPar_POEPSROX;
      NEFF_p = (((modelPar_PONEFF+(iLE*modelPar_PLNEFF))+(iWE*modelPar_PWNEFF))+(iLEWE*modelPar_PLWNEFF));
      FACNEFFAC_p = (((modelPar_POFACNEFFAC+(iLE*modelPar_PLFACNEFFAC))+(iWE*modelPar_PWFACNEFFAC))+(iLEWE*modelPar_PLWFACNEFFAC));
      GFACNUD_p = (((modelPar_POGFACNUD+(modelPar_PLGFACNUD*iLE))+(modelPar_PWGFACNUD*iWE))+((modelPar_PLWGFACNUD*iLE)*iWE));
      VSBNUD_p = modelPar_POVSBNUD;
      DVSBNUD_p = modelPar_PODVSBNUD;
      VNSUB_p = modelPar_POVNSUB;
      NSLP_p = modelPar_PONSLP;
      DNSUB_p = modelPar_PODNSUB;
      DPHIB_p = (((modelPar_PODPHIB+(iLE*modelPar_PLDPHIB))+(iWE*modelPar_PWDPHIB))+(iLEWE*modelPar_PLWDPHIB));
      DELVTAC_p = (((modelPar_PODELVTAC+(iLE*modelPar_PLDELVTAC))+(iWE*modelPar_PWDELVTAC))+(iLEWE*modelPar_PLWDELVTAC));
      NP_p = (((modelPar_PONP+(iLE*modelPar_PLNP))+(iWE*modelPar_PWNP))+(iLEWE*modelPar_PLWNP));
      CT_p = (((modelPar_POCT+(iLE*modelPar_PLCT))+(iWE*modelPar_PWCT))+(iLEWE*modelPar_PLWCT));
      TOXOV_p = modelPar_POTOXOV;
      TOXOVD_p = modelPar_POTOXOVD;
      NOV_p = (((modelPar_PONOV+(iLE*modelPar_PLNOV))+(iWE*modelPar_PWNOV))+(iLEWE*modelPar_PLWNOV));
      NOVD_p = (((modelPar_PONOVD+(iLE*modelPar_PLNOVD))+(iWE*modelPar_PWNOVD))+(iLEWE*modelPar_PLWNOVD));
      CF_p = (((modelPar_POCF+(iLE*modelPar_PLCF))+(iWE*modelPar_PWCF))+(iLEWE*modelPar_PLWCF));
      CFB_p = modelPar_POCFB;
      BETN_p = ((iiWE*iLE)*(((modelPar_POBETN+(iLE*modelPar_PLBETN))+(iWE*modelPar_PWBETN))+(iLEWE*modelPar_PLWBETN)));
      STBET_p = (((modelPar_POSTBET+(iLE*modelPar_PLSTBET))+(iWE*modelPar_PWSTBET))+(iLEWE*modelPar_PLWSTBET));
      MUE_p = (((modelPar_POMUE+(iLE*modelPar_PLMUE))+(iWE*modelPar_PWMUE))+(iLEWE*modelPar_PLWMUE));
      STMUE_p = modelPar_POSTMUE;
      THEMU_p = modelPar_POTHEMU;
      STTHEMU_p = modelPar_POSTTHEMU;
      CS_p = (((modelPar_POCS+(iLE*modelPar_PLCS))+(iWE*modelPar_PWCS))+(iLEWE*modelPar_PLWCS));
      STCS_p = modelPar_POSTCS;
      XCOR_p = (((modelPar_POXCOR+(iLE*modelPar_PLXCOR))+(iWE*modelPar_PWXCOR))+(iLEWE*modelPar_PLWXCOR));
      STXCOR_p = modelPar_POSTXCOR;
      FETA_p = modelPar_POFETA;
      RS_p = (((modelPar_PORS+(iLE*modelPar_PLRS))+(iWE*modelPar_PWRS))+(iLEWE*modelPar_PLWRS));
      STRS_p = modelPar_POSTRS;
      RSB_p = modelPar_PORSB;
      RSG_p = modelPar_PORSG;
      THESAT_p = (((modelPar_POTHESAT+(iLE*modelPar_PLTHESAT))+(iWE*modelPar_PWTHESAT))+(iLEWE*modelPar_PLWTHESAT));
      STTHESAT_p = (((modelPar_POSTTHESAT+(iLE*modelPar_PLSTTHESAT))+(iWE*modelPar_PWSTTHESAT))+(iLEWE*modelPar_PLWSTTHESAT));
      THESATB_p = (((modelPar_POTHESATB+(iLE*modelPar_PLTHESATB))+(iWE*modelPar_PWTHESATB))+(iLEWE*modelPar_PLWTHESATB));
      THESATG_p = (((modelPar_POTHESATG+(iLE*modelPar_PLTHESATG))+(iWE*modelPar_PWTHESATG))+(iLEWE*modelPar_PLWTHESATG));
      AX_p = (((modelPar_POAX+(iLE*modelPar_PLAX))+(iWE*modelPar_PWAX))+(iLEWE*modelPar_PLWAX));
      ALP_p = (((modelPar_POALP+(iLE*modelPar_PLALP))+(iWE*modelPar_PWALP))+(iLEWE*modelPar_PLWALP));
      ALP1_p = (((modelPar_POALP1+(iLE*modelPar_PLALP1))+(iWE*modelPar_PWALP1))+(iLEWE*modelPar_PLWALP1));
      ALP2_p = (((modelPar_POALP2+(iLE*modelPar_PLALP2))+(iWE*modelPar_PWALP2))+(iLEWE*modelPar_PLWALP2));
      VP_p = modelPar_POVP;
      A1_p = (((modelPar_POA1+(iLE*modelPar_PLA1))+(iWE*modelPar_PWA1))+(iLEWE*modelPar_PLWA1));
      A2_p = modelPar_POA2;
      STA2_p = modelPar_POSTA2;
      A3_p = (((modelPar_POA3+(iLE*modelPar_PLA3))+(iWE*modelPar_PWA3))+(iLEWE*modelPar_PLWA3));
      A4_p = (((modelPar_POA4+(iLE*modelPar_PLA4))+(iWE*modelPar_PWA4))+(iLEWE*modelPar_PLWA4));
      GCO_p = modelPar_POGCO;
      IGINV_p = (((modelPar_POIGINV+(iiLE*modelPar_PLIGINV))+(iiWE*modelPar_PWIGINV))+(iiLEWE*modelPar_PLWIGINV));
      IGOV_p = (((modelPar_POIGOV+(iLE*modelPar_PLIGOV))+(iiWE*modelPar_PWIGOV))+(iiiLEWE*modelPar_PLWIGOV));
      IGOVD_p = (((modelPar_POIGOVD+(iLE*modelPar_PLIGOVD))+(iiWE*modelPar_PWIGOVD))+(iiiLEWE*modelPar_PLWIGOVD));
      STIG_p = modelPar_POSTIG;
      GC2_p = modelPar_POGC2;
      GC3_p = modelPar_POGC3;
      CHIB_p = modelPar_POCHIB;
      AGIDL_p = (((modelPar_POAGIDL+(iLE*modelPar_PLAGIDL))+(iiWE*modelPar_PWAGIDL))+(iiiLEWE*modelPar_PLWAGIDL));
      AGIDLD_p = (((modelPar_POAGIDLD+(iLE*modelPar_PLAGIDLD))+(iiWE*modelPar_PWAGIDLD))+(iiiLEWE*modelPar_PLWAGIDLD));
      BGIDL_p = modelPar_POBGIDL;
      BGIDLD_p = modelPar_POBGIDLD;
      STBGIDL_p = modelPar_POSTBGIDL;
      STBGIDLD_p = modelPar_POSTBGIDLD;
      CGIDL_p = modelPar_POCGIDL;
      CGIDLD_p = modelPar_POCGIDLD;
      COX_p = (((modelPar_POCOX+(iiLEcv*modelPar_PLCOX))+(iiWEcv*modelPar_PWCOX))+(iiLEWEcv*modelPar_PLWCOX));
      CGOV_p = (((modelPar_POCGOV+(iLEcv*modelPar_PLCGOV))+(iiWEcv*modelPar_PWCGOV))+(iiiLEWEcv*modelPar_PLWCGOV));
      CGOVD_p = (((modelPar_POCGOVD+(iLEcv*modelPar_PLCGOVD))+(iiWEcv*modelPar_PWCGOVD))+(iiiLEWEcv*modelPar_PLWCGOVD));
      CGBOV_p = (((modelPar_POCGBOV+(iiLcv*modelPar_PLCGBOV))+(iiWcv*modelPar_PWCGBOV))+(iiLWcv*modelPar_PLWCGBOV));
      CFR_p = (((modelPar_POCFR+(iLcv*modelPar_PLCFR))+(iiWcv*modelPar_PWCFR))+(iiiLWcv*modelPar_PLWCFR));
      CFRD_p = (((modelPar_POCFRD+(iLcv*modelPar_PLCFRD))+(iiWcv*modelPar_PWCFRD))+(iiiLWcv*modelPar_PLWCFRD));
      FNT_p = modelPar_POFNT;
      NFA_p = (((modelPar_PONFA+(iLE*modelPar_PLNFA))+(iWE*modelPar_PWNFA))+(iLEWE*modelPar_PLWNFA));
      NFB_p = (((modelPar_PONFB+(iLE*modelPar_PLNFB))+(iWE*modelPar_PWNFB))+(iLEWE*modelPar_PLWNFB));
      NFC_p = (((modelPar_PONFC+(iLE*modelPar_PLNFC))+(iWE*modelPar_PWNFC))+(iLEWE*modelPar_PLWNFC));
      EF_p = modelPar_POEF;
      KVTHOWE = (((modelPar_POKVTHOWE+(iLE*modelPar_PLKVTHOWE))+(iWE*modelPar_PWKVTHOWE))+(iLEWE*modelPar_PLWKVTHOWE));
      KUOWE = (((modelPar_POKUOWE+(iLE*modelPar_PLKUOWE))+(iWE*modelPar_PWKUOWE))+(iLEWE*modelPar_PLWKUOWE));
    }
    if (((modelVar_SWGEO_i==1)||(modelVar_SWGEO_i==2)))
    {
      RG_p = ((((modelVar_RSHG_i*(((3.3333333333333333e-01*W_f)/NGCON_i)+XGWE))/(NGCON_i*L_slif))+((modelVar_RINT_i+modelVar_RVPOLY_i)/(W_f*L_f)))+(NF_i*modelPar_RGO));
      if ((modelPar_SWJUNASYM==0))
      {
        modelVar_RSHD_i = modelVar_RSH_i;
      }
      RSE_p = (instancePar_NRS*modelVar_RSH_i);
      RDE_p = (instancePar_NRD*modelVar_RSHD_i);
      RWELL_p = (NF_i*modelPar_RWELLO);
      RBULK_p = (NF_i*modelPar_RBULKO);
      RJUNS_p = (NF_i*modelPar_RJUNSO);
      RJUND_p = (NF_i*modelPar_RJUNDO);
      tmpa = 0.0;
      tmpb = 0.0;
      loop = 0.0;
      if ((((SA_i>0.0)&&(SB_i>0.0))&&((NF_i==1.0)||((NF_i>1.0)&&(SD_i>0.0)))))
      {
        while ((loop<(NF_i-0.5)))
        {
          tmpa = (tmpa+(1.0/((SA_i+(0.5*L_i))+(loop*(SD_i+L_i)))));
          tmpb = (tmpb+(1.0/((SB_i+(0.5*L_i))+(loop*(SD_i+L_i)))));
          loop = (loop+1.0);
        }
        Invsa = (tmpa*invNF);
        Invsb = (tmpb*invNF);
        Invsaref = (1.0/(modelVar_SAREF_i+(0.5*L_i)));
        Invsbref = (1.0/(modelVar_SBREF_i+(0.5*L_i)));
        Lx = adms_ternary_op<AdmsSensFadType>(((L_i+delLPS)>1e-9),(L_i+delLPS),1e-9);
        Wx = adms_ternary_op<AdmsSensFadType>((((W_i+delWOD)+modelPar_WLOD)>1e-9),((W_i+delWOD)+modelPar_WLOD),1e-9);
        templ = (1.0/pow(Lx,modelVar_LLODKUO_i));
        tempw = (1.0/pow(Wx,modelVar_WLODKUO_i));
        Kstressu0 = ((((1.0+(modelPar_LKUO*templ))+(modelPar_WKUO*tempw))+((modelPar_PKUO*templ)*tempw))*(1.0+(modelPar_TKUO*(modelVar_rT-1.0))));
        rhobeta = ((modelPar_KUO*(Invsa+Invsb))/Kstressu0);
        rhobetaref = ((modelPar_KUO*(Invsaref+Invsbref))/Kstressu0);
        templ = (1.0/pow(Lx,modelVar_LLODVTH_i));
        tempw = (1.0/pow(Wx,modelVar_WLODVTH_i));
        Kstressvth0 = (((1.0+(modelPar_LKVTHO*templ))+(modelPar_WKVTHO*tempw))+((modelPar_PKVTHO*templ)*tempw));
        temp0 = (((Invsa+Invsb)-Invsaref)-Invsbref);
        BETN_p = ((BETN_p*(1.0+rhobeta))/(1.0+rhobetaref));
        THESAT_p = (((THESAT_p*(1.0+rhobeta))*(1.0+(modelVar_KVSAT_i*rhobetaref)))/((1.0+rhobetaref)*(1.0+(modelVar_KVSAT_i*rhobeta))));
        VFB_p = (VFB_p+((modelPar_KVTHO*temp0)/Kstressvth0));
        CF_p = (CF_p+((modelPar_STETAO*temp0)/pow(Kstressvth0,modelVar_LODETAO_i)));
      }
      if (((((SCA_i>0.0)||(SCB_i>0.0))||(SCC_i>0.0))||(SC_i>0.0)))
      {
        if ((((SCA_i==0.0)&&(SCB_i==0.0))&&(SCC_i==0.0)))
        {
          temp0 = (SC_i+W_i);
          temp00 = (1.0/modelVar_SCREF_i);
          SCA_i = ((modelVar_SCREF_i*modelVar_SCREF_i)/(SC_i*temp0));
          SCB_i = (((((0.1*SC_i)+(0.01*modelVar_SCREF_i))*exp((((-10.0)*SC_i)*temp00)))-(((0.1*temp0)+(0.01*modelVar_SCREF_i))*exp((((-10.0)*temp0)*temp00))))/W_i);
          SCC_i = (((((0.05*SC_i)+(0.0025*modelVar_SCREF_i))*exp((((-20.0)*SC_i)*temp00)))-(((0.05*temp0)+(0.0025*modelVar_SCREF_i))*exp((((-20.0)*temp0)*temp00))))/W_i);
        }
        temp0 = ((SCA_i+(modelVar_WEB_i*SCB_i))+(modelVar_WEC_i*SCC_i));
        VFB_p = (VFB_p+(KVTHOWE*temp0));
        BETN_p = (BETN_p*(1.0+(KUOWE*temp0)));
      }
    }
    instanceVar_VFB_i = VFB_p;
    STVFB_i = STVFB_p;
    TOX_i = adms_ternary_op<AdmsSensFadType>((TOX_p>1e-10),TOX_p,1e-10);
    EPSROX_i = adms_ternary_op<AdmsSensFadType>((EPSROX_p>1.0),EPSROX_p,1.0);
    NEFF_i = adms_ternary_op<AdmsSensFadType>((NEFF_p>1e20),adms_ternary_op<AdmsSensFadType>((NEFF_p<1e26),NEFF_p,1e26),1e20);
    FACNEFFAC_i = adms_ternary_op<AdmsSensFadType>((FACNEFFAC_p>0.0),FACNEFFAC_p,0.0);
    instanceVar_GFACNUD_i = adms_ternary_op<AdmsSensFadType>((GFACNUD_p>0.01),GFACNUD_p,0.01);
    VSBNUD_i = adms_ternary_op<AdmsSensFadType>((VSBNUD_p>0.0),VSBNUD_p,0.0);
    DVSBNUD_i = adms_ternary_op<AdmsSensFadType>((DVSBNUD_p>0.1),DVSBNUD_p,0.1);
    instanceVar_VNSUB_i = VNSUB_p;
    instanceVar_NSLP_i = adms_ternary_op<AdmsSensFadType>((NSLP_p>1e-3),NSLP_p,1e-3);
    instanceVar_DNSUB_i = adms_ternary_op<AdmsSensFadType>((DNSUB_p>0.0),adms_ternary_op<AdmsSensFadType>((DNSUB_p<1.0),DNSUB_p,1.0),0.0);
    DPHIB_i = DPHIB_p;
    DELVTAC_i = DELVTAC_p;
    NP_i = adms_ternary_op<AdmsSensFadType>((NP_p>0.0),NP_p,0.0);
    CT_i = adms_ternary_op<AdmsSensFadType>((CT_p>0.0),CT_p,0.0);
    TOXOV_i = adms_ternary_op<AdmsSensFadType>((TOXOV_p>1e-10),TOXOV_p,1e-10);
    TOXOVD_i = adms_ternary_op<AdmsSensFadType>((TOXOVD_p>1e-10),TOXOVD_p,1e-10);
    NOV_i = adms_ternary_op<AdmsSensFadType>((NOV_p>1e20),adms_ternary_op<AdmsSensFadType>((NOV_p<1e27),NOV_p,1e27),1e20);
    NOVD_i = adms_ternary_op<AdmsSensFadType>((NOVD_p>1e20),adms_ternary_op<AdmsSensFadType>((NOVD_p<1e27),NOVD_p,1e27),1e20);
    instanceVar_CF_i = adms_ternary_op<AdmsSensFadType>((CF_p>0.0),CF_p,0.0);
    instanceVar_CFB_i = adms_ternary_op<AdmsSensFadType>((CFB_p>0.0),adms_ternary_op<AdmsSensFadType>((CFB_p<1.0),CFB_p,1.0),0.0);
    BETN_i = adms_ternary_op<AdmsSensFadType>((BETN_p>0.0),BETN_p,0.0);
    STBET_i = STBET_p;
    instanceVar_MUE_i = adms_ternary_op<AdmsSensFadType>((MUE_p>0.0),MUE_p,0.0);
    STMUE_i = STMUE_p;
    instanceVar_THEMU_i = adms_ternary_op<AdmsSensFadType>((THEMU_p>0.0),THEMU_p,0.0);
    STTHEMU_i = STTHEMU_p;
    instanceVar_CS_i = adms_ternary_op<AdmsSensFadType>((CS_p>0.0),CS_p,0.0);
    STCS_i = STCS_p;
    instanceVar_XCOR_i = adms_ternary_op<AdmsSensFadType>((XCOR_p>0.0),XCOR_p,0.0);
    STXCOR_i = STXCOR_p;
    FETA_i = adms_ternary_op<AdmsSensFadType>((FETA_p>0.0),FETA_p,0.0);
    RS_i = adms_ternary_op<AdmsSensFadType>((RS_p>0.0),RS_p,0.0);
    STRS_i = STRS_p;
    instanceVar_RSB_i = adms_ternary_op<AdmsSensFadType>((RSB_p>(-0.5)),adms_ternary_op<AdmsSensFadType>((RSB_p<1.0),RSB_p,1.0),(-0.5));
    instanceVar_RSG_i = adms_ternary_op<AdmsSensFadType>((RSG_p>(-0.5)),RSG_p,(-0.5));
    instanceVar_THESAT_i = adms_ternary_op<AdmsSensFadType>((THESAT_p>0.0),THESAT_p,0.0);
    STTHESAT_i = STTHESAT_p;
    instanceVar_THESATB_i = adms_ternary_op<AdmsSensFadType>((THESATB_p>(-0.5)),adms_ternary_op<AdmsSensFadType>((THESATB_p<1.0),THESATB_p,1.0),(-0.5));
    instanceVar_THESATG_i = adms_ternary_op<AdmsSensFadType>((THESATG_p>(-0.5)),THESATG_p,(-0.5));
    instanceVar_AX_i = adms_ternary_op<AdmsSensFadType>((AX_p>2.0),AX_p,2.0);
    instanceVar_ALP_i = adms_ternary_op<AdmsSensFadType>((ALP_p>0.0),ALP_p,0.0);
    instanceVar_ALP1_i = adms_ternary_op<AdmsSensFadType>((ALP1_p>0.0),ALP1_p,0.0);
    instanceVar_ALP2_i = adms_ternary_op<AdmsSensFadType>((ALP2_p>0.0),ALP2_p,0.0);
    VP_i = adms_ternary_op<AdmsSensFadType>((VP_p>1.0e-10),VP_p,1.0e-10);
    instanceVar_A1_i = adms_ternary_op<AdmsSensFadType>((A1_p>0.0),A1_p,0.0);
    instanceVar_A2_i = adms_ternary_op<AdmsSensFadType>((A2_p>0.0),A2_p,0.0);
    STA2_i = STA2_p;
    instanceVar_A3_i = adms_ternary_op<AdmsSensFadType>((A3_p>0.0),A3_p,0.0);
    instanceVar_A4_i = adms_ternary_op<AdmsSensFadType>((A4_p>0.0),A4_p,0.0);
    GCO_i = adms_ternary_op<AdmsSensFadType>((GCO_p>(-10.0)),adms_ternary_op<AdmsSensFadType>((GCO_p<10.0),GCO_p,10.0),(-10.0));
    instanceVar_IGINV_i = adms_ternary_op<AdmsSensFadType>((IGINV_p>0.0),IGINV_p,0.0);
    instanceVar_IGOV_i = adms_ternary_op<AdmsSensFadType>((IGOV_p>0.0),IGOV_p,0.0);
    instanceVar_IGOVD_i = adms_ternary_op<AdmsSensFadType>((IGOVD_p>0.0),IGOVD_p,0.0);
    STIG_i = STIG_p;
    instanceVar_GC2_i = adms_ternary_op<AdmsSensFadType>((GC2_p>0.0),adms_ternary_op<AdmsSensFadType>((GC2_p<10.0),GC2_p,10.0),0.0);
    instanceVar_GC3_i = adms_ternary_op<AdmsSensFadType>((GC3_p>(-10.0)),adms_ternary_op<AdmsSensFadType>((GC3_p<10.0),GC3_p,10.0),(-10.0));
    instanceVar_CHIB_i = adms_ternary_op<AdmsSensFadType>((CHIB_p>1.0),CHIB_p,1.0);
    instanceVar_AGIDL_i = adms_ternary_op<AdmsSensFadType>((AGIDL_p>0.0),AGIDL_p,0.0);
    instanceVar_AGIDLD_i = adms_ternary_op<AdmsSensFadType>((AGIDLD_p>0.0),AGIDLD_p,0.0);
    instanceVar_BGIDL_i = adms_ternary_op<AdmsSensFadType>((BGIDL_p>0.0),BGIDL_p,0.0);
    instanceVar_BGIDLD_i = adms_ternary_op<AdmsSensFadType>((BGIDLD_p>0.0),BGIDLD_p,0.0);
    STBGIDL_i = STBGIDL_p;
    STBGIDLD_i = STBGIDLD_p;
    instanceVar_CGIDL_i = CGIDL_p;
    instanceVar_CGIDLD_i = CGIDLD_p;
    instanceVar_COX_i = adms_ternary_op<AdmsSensFadType>((COX_p>0.0),COX_p,0.0);
    instanceVar_CGOV_i = adms_ternary_op<AdmsSensFadType>((CGOV_p>0.0),CGOV_p,0.0);
    instanceVar_CGOVD_i = adms_ternary_op<AdmsSensFadType>((CGOVD_p>0.0),CGOVD_p,0.0);
    instanceVar_CGBOV_i = adms_ternary_op<AdmsSensFadType>((CGBOV_p>0.0),CGBOV_p,0.0);
    instanceVar_CFR_i = adms_ternary_op<AdmsSensFadType>((CFR_p>0.0),CFR_p,0.0);
    instanceVar_CFRD_i = adms_ternary_op<AdmsSensFadType>((CFRD_p>0.0),CFRD_p,0.0);
    FNT_i = adms_ternary_op<AdmsSensFadType>((FNT_p>0.0),FNT_p,0.0);
    NFA_i = adms_ternary_op<AdmsSensFadType>((NFA_p>0.0),NFA_p,0.0);
    NFB_i = adms_ternary_op<AdmsSensFadType>((NFB_p>0.0),NFB_p,0.0);
    NFC_i = adms_ternary_op<AdmsSensFadType>((NFC_p>0.0),NFC_p,0.0);
    EF_i = adms_ternary_op<AdmsSensFadType>((EF_p>0.0),EF_p,0.0);
    instanceVar_RG_i = adms_ternary_op<AdmsSensFadType>((RG_p>0.0),RG_p,0.0);
    instanceVar_RSE_i = adms_ternary_op<AdmsSensFadType>((RSE_p>0.0),RSE_p,0.0);
    instanceVar_RDE_i = adms_ternary_op<AdmsSensFadType>((RDE_p>0.0),RDE_p,0.0);
    instanceVar_RBULK_i = adms_ternary_op<AdmsSensFadType>((RBULK_p>0.0),RBULK_p,0.0);
    instanceVar_RJUNS_i = adms_ternary_op<AdmsSensFadType>((RJUNS_p>0.0),RJUNS_p,0.0);
    instanceVar_RJUND_i = adms_ternary_op<AdmsSensFadType>((RJUND_p>0.0),RJUND_p,0.0);
    instanceVar_RWELL_i = adms_ternary_op<AdmsSensFadType>((RWELL_p>0.0),RWELL_p,0.0);
    instanceVar_MULT_i = adms_ternary_op<AdmsSensFadType>(((instancePar_MULT*NF_i)>0.0),(instancePar_MULT*NF_i),0.0);
    FACTUO_i = adms_ternary_op<AdmsSensFadType>((instancePar_FACTUO>0.0),instancePar_FACTUO,0.0);
    DELVTO_i = instancePar_DELVTO;
    if ((modelVar_SWJUNASYM_i==0))
    {
      TOXOVD_i = TOXOV_i;
      NOVD_i = NOV_i;
      instanceVar_AGIDLD_i = instanceVar_AGIDL_i;
      instanceVar_BGIDLD_i = instanceVar_BGIDL_i;
      STBGIDLD_i = STBGIDL_i;
      instanceVar_CGIDLD_i = instanceVar_CGIDL_i;
      instanceVar_IGOVD_i = instanceVar_IGOV_i;
      instanceVar_CGOVD_i = instanceVar_CGOV_i;
      instanceVar_CFRD_i = instanceVar_CFR_i;
    }
    EPSOX = (8.8541878176E-12*EPSROX_i);
    instanceVar_phit1 = (modelVar_phit*(1.0+(CT_i*modelVar_rTn)));
    instanceVar_inv_phit1 = (1.0/instanceVar_phit1);
    instanceVar_VFB_i = ((instanceVar_VFB_i+(STVFB_i*modelVar_dT))+DELVTO_i);
    instanceVar_phib_dc = ((modelVar_Eg+DPHIB_i)+((2.0*modelVar_phit)*log(((NEFF_i*pow(modelVar_phibFac,(-0.75)))*4.0e-26))));
    instanceVar_phib_dc = adms_ternary_op<AdmsSensFadType>((instanceVar_phib_dc>5.0E-2),instanceVar_phib_dc,5.0E-2);
    CoxPrime = (EPSOX/TOX_i);
    tox_sq = (TOX_i*TOX_i);
    instanceVar_G_0_dc = (sqrt(((((2.0*1.6021918E-19)*NEFF_i)*modelVar_EPSSI)*modelVar_inv_phit))/CoxPrime);
    instanceVar_kp = 0.0;
    if ((NP_i>0.0))
    {
      arg2max = (8.0e7/tox_sq);
      np = adms_ternary_op<AdmsSensFadType>((NP_i>arg2max),NP_i,arg2max);
      np = adms_ternary_op<AdmsSensFadType>((5.0e24>np),5.0e24,np);
      instanceVar_kp = ((((2.0*CoxPrime)*CoxPrime)*modelVar_phit)/((1.6021918E-19*np)*modelVar_EPSSI));
    }
    instanceVar_qlim2 = ((100.0*modelVar_phit)*modelVar_phit);
    instanceVar_qq = 0.0;
    if ((modelVar_QMC_i>0.0))
    {
      instanceVar_qq = (((0.4*5.951993)*modelVar_QMC_i)*pow(CoxPrime,6.6666666666666667e-01));
      if ((modelVar_CHNL_TYPE==(-1)))
      {
        instanceVar_qq = ((7.448711/5.951993)*instanceVar_qq);
      }
      qb0 = sqrt((((modelVar_phit*instanceVar_G_0_dc)*instanceVar_G_0_dc)*instanceVar_phib_dc));
      dphibq = ((0.75*instanceVar_qq)*pow(qb0,6.6666666666666667e-01));
      instanceVar_phib_dc = (instanceVar_phib_dc+dphibq);
      instanceVar_G_0_dc = (instanceVar_G_0_dc*(1.0+(((2.0*6.6666666666666667e-01)*dphibq)/qb0)));
    }
    instanceVar_sqrt_phib_dc = sqrt(instanceVar_phib_dc);
    instanceVar_phix_dc = (0.95*instanceVar_phib_dc);
    instanceVar_aphi_dc = ((0.0025*instanceVar_phib_dc)*instanceVar_phib_dc);
    instanceVar_bphi_dc = instanceVar_aphi_dc;
    phix2 = (0.5*sqrt(instanceVar_bphi_dc));
    instanceVar_phix1_dc = (0.5*(((instanceVar_phix_dc-phix2))-sqrt(((((instanceVar_phix_dc-phix2))*((instanceVar_phix_dc-phix2)))+instanceVar_aphi_dc))));
    instanceVar_us1 = (sqrt((VSBNUD_i+instanceVar_phib_dc))-instanceVar_sqrt_phib_dc);
    instanceVar_us21 = ((sqrt(((VSBNUD_i+DVSBNUD_i)+instanceVar_phib_dc))-instanceVar_sqrt_phib_dc)-instanceVar_us1);
    CoxovPrime = (EPSOX/TOXOV_i);
    CoxovPrime_d = (EPSOX/TOXOVD_i);
    instanceVar_GOV_s = (sqrt(((((2.0*1.6021918E-19)*NOV_i)*modelVar_EPSSI)*modelVar_inv_phit))/CoxovPrime);
    instanceVar_GOV_d = (sqrt(((((2.0*1.6021918E-19)*NOVD_i)*modelVar_EPSSI)*modelVar_inv_phit))/CoxovPrime_d);
    instanceVar_GOV2_s = (instanceVar_GOV_s*instanceVar_GOV_s);
    instanceVar_GOV2_d = (instanceVar_GOV_d*instanceVar_GOV_d);
    instanceVar_xi_ov_s = (1.0+(instanceVar_GOV_s*7.0710678118654746e-01));
    instanceVar_xi_ov_d = (1.0+(instanceVar_GOV_d*7.0710678118654746e-01));
    instanceVar_inv_xi_ov_s = (1.0/instanceVar_xi_ov_s);
    instanceVar_inv_xi_ov_d = (1.0/instanceVar_xi_ov_d);
    instanceVar_x_mrg_ov_s = (1.0e-5*instanceVar_xi_ov_s);
    instanceVar_x_mrg_ov_d = (1.0e-5*instanceVar_xi_ov_d);
    tf_bet = pow(modelVar_rTn,STBET_i);
    BETN_i = (BETN_i*tf_bet);
    instanceVar_BET_i = ((FACTUO_i*BETN_i)*CoxPrime);
    instanceVar_THEMU_i = (instanceVar_THEMU_i*pow(modelVar_rTn,STTHEMU_i));
    tf_mue = pow(modelVar_rTn,STMUE_i);
    instanceVar_MUE_i = (instanceVar_MUE_i*tf_mue);
    tf_cs = pow(modelVar_rTn,STCS_i);
    instanceVar_CS_i = (instanceVar_CS_i*tf_cs);
    tf_xcor = pow(modelVar_rTn,STXCOR_i);
    instanceVar_XCOR_i = (instanceVar_XCOR_i*tf_xcor);
    instanceVar_E_eff0 = ((1.0e-8*CoxPrime)/modelVar_EPSSI);
    instanceVar_eta_mu = (0.5*FETA_i);
    instanceVar_eta_mu1 = 0.5;
    if ((modelVar_CHNL_TYPE==(-1)))
    {
      instanceVar_eta_mu = (3.3333333333333333e-01*FETA_i);
      instanceVar_eta_mu1 = 3.3333333333333333e-01;
    }
    tf_ther = pow(modelVar_rTn,STRS_i);
    RS_i = (RS_i*tf_ther);
    instanceVar_THER_i = ((2*instanceVar_BET_i)*RS_i);
    tf_thesat = pow(modelVar_rTn,STTHESAT_i);
    instanceVar_THESAT_i = (instanceVar_THESAT_i*tf_thesat);
    instanceVar_Vdsat_lim = (3.912023005*instanceVar_phit1);
    instanceVar_inv_AX = (1.0/instanceVar_AX_i);
    instanceVar_inv_VP = (1.0/VP_i);
    instanceVar_A2_i = (instanceVar_A2_i*pow(modelVar_rT,STA2_i));
    tf_ig = pow(modelVar_rT,STIG_i);
    instanceVar_IGINV_i = (instanceVar_IGINV_i*tf_ig);
    instanceVar_IGOV_i = (instanceVar_IGOV_i*tf_ig);
    instanceVar_IGOVD_i = (instanceVar_IGOVD_i*tf_ig);
    instanceVar_inv_CHIB = (1.0/instanceVar_CHIB_i);
    tempM = (((4.0*3.3333333333333333e-01)*sqrt((((2*1.6021918E-19)*9.1093826E-31)*instanceVar_CHIB_i)))/1.05457168E-34);
    instanceVar_BCH = (tempM*TOX_i);
    instanceVar_BOV = (tempM*TOXOV_i);
    instanceVar_BOV_d = (tempM*TOXOVD_i);
    instanceVar_GCQ = 0;
    if ((instanceVar_GC3_i<0))
    {
      instanceVar_GCQ = (((-0.495)*instanceVar_GC2_i)/instanceVar_GC3_i);
    }
    instanceVar_alpha_b = (0.5*(instanceVar_phib_dc+modelVar_Eg));
    instanceVar_Dch = (GCO_i*instanceVar_phit1);
    instanceVar_Dov = (GCO_i*modelVar_phit);
    instanceVar_AGIDL_i = ((instanceVar_AGIDL_i*4e-18)/(TOXOV_i*TOXOV_i));
    instanceVar_AGIDLD_i = ((instanceVar_AGIDLD_i*4e-18)/(TOXOVD_i*TOXOVD_i));
    tempM = adms_ternary_op<AdmsSensFadType>(((1.0+(STBGIDL_i*modelVar_dT))>0),(1.0+(STBGIDL_i*modelVar_dT)),0);
    instanceVar_BGIDL_i = (((instanceVar_BGIDL_i*tempM)*TOXOV_i)*5e8);
    tempM = adms_ternary_op<AdmsSensFadType>(((1.0+(STBGIDLD_i*modelVar_dT))>0),(1.0+(STBGIDLD_i*modelVar_dT)),0);
    instanceVar_BGIDLD_i = (((instanceVar_BGIDLD_i*tempM)*TOXOVD_i)*5e8);
    nt = (((FNT_i*4)*1.3806505E-23)*modelVar_TKD);
    Cox_over_q = (CoxPrime/1.6021918E-19);
    Sfl_prefac = (((modelVar_phit*modelVar_phit)*instanceVar_BET_i)/Cox_over_q);
    instanceVar_x1 = 1.25;
    instanceVar_inv_xg1_s = (1.0/(instanceVar_x1+(instanceVar_GOV_s*7.324648775608221e-1)));
    instanceVar_inv_xg1_d = (1.0/(instanceVar_x1+(instanceVar_GOV_d*7.324648775608221e-1)));
    NEFFAC_i = (FACNEFFAC_i*NEFF_i);
    NEFFAC_i = adms_ternary_op<AdmsSensFadType>((NEFFAC_i>1e20),adms_ternary_op<AdmsSensFadType>((NEFFAC_i<1e26),NEFFAC_i,1e26),1e20);
    instanceVar_phib_ac = (((modelVar_Eg+DPHIB_i)+DELVTAC_i)+((2.0*modelVar_phit)*log(((NEFFAC_i*pow(modelVar_phibFac,(-0.75)))*4.0e-26))));
    instanceVar_phib_ac = adms_ternary_op<AdmsSensFadType>((instanceVar_phib_ac>5.0E-2),instanceVar_phib_ac,5.0E-2);
    instanceVar_G_0_ac = (sqrt(((((2.0*1.6021918E-19)*NEFFAC_i)*modelVar_EPSSI)*modelVar_inv_phit))/CoxPrime);
    if ((modelVar_QMC_i>0.0))
    {
      qb0 = sqrt((((modelVar_phit*instanceVar_G_0_ac)*instanceVar_G_0_ac)*instanceVar_phib_ac));
      dphibq = ((0.75*instanceVar_qq)*pow(qb0,6.6666666666666667e-01));
      instanceVar_phib_ac = (instanceVar_phib_ac+dphibq);
      instanceVar_G_0_ac = (instanceVar_G_0_ac*(1.0+(((2.0*6.6666666666666667e-01)*dphibq)/qb0)));
    }
    instanceVar_sqrt_phib_ac = sqrt(instanceVar_phib_ac);
    instanceVar_phix_ac = (0.95*instanceVar_phib_ac);
    instanceVar_aphi_ac = ((0.0025*instanceVar_phib_ac)*instanceVar_phib_ac);
    instanceVar_bphi_ac = instanceVar_aphi_ac;
    phix2 = (0.5*sqrt(instanceVar_bphi_ac));
    instanceVar_phix1_ac = (0.5*(((instanceVar_phix_ac-phix2))-sqrt(((((instanceVar_phix_ac-phix2))*((instanceVar_phix_ac-phix2)))+instanceVar_aphi_ac))));
    if ((instanceVar_RG_i>0.0))
    {
      instanceVar_ggate = (1.0/instanceVar_RG_i);
    }
    else
    {
      instanceVar_ggate = 0.0;
    }
    if ((instanceVar_RSE_i>0.0))
    {
      instanceVar_gsource = (1.0/instanceVar_RSE_i);
    }
    else
    {
      instanceVar_gsource = 0.0;
    }
    if ((instanceVar_RDE_i>0.0))
    {
      instanceVar_gdrain = (1.0/instanceVar_RDE_i);
    }
    else
    {
      instanceVar_gdrain = 0.0;
    }
    if ((instanceVar_RBULK_i>0.0))
    {
      instanceVar_gbulk = (1.0/instanceVar_RBULK_i);
    }
    else
    {
      instanceVar_gbulk = 0.0;
    }
    if ((instanceVar_RJUNS_i>0.0))
    {
      instanceVar_gjuns = (1.0/instanceVar_RJUNS_i);
    }
    else
    {
      instanceVar_gjuns = 0.0;
    }
    if ((instanceVar_RJUND_i>0.0))
    {
      instanceVar_gjund = (1.0/instanceVar_RJUND_i);
    }
    else
    {
      instanceVar_gjund = 0.0;
    }
    if ((instanceVar_RWELL_i>0.0))
    {
      instanceVar_gwell = (1.0/instanceVar_RWELL_i);
    }
    else
    {
      instanceVar_gwell = 0.0;
    }
    ABS_i = 0.0;
    LSS_i = 0.0;
    LGS_i = 0.0;
    ABD_i = 0.0;
    LSD_i = 0.0;
    LGD_i = 0.0;
    jwcorr = 0.0;
    jww = WE;
    if ((modelVar_SWGEO_i==0))
    {
      jww = adms_ternary_op<AdmsSensFadType>((JW_i>0),JW_i,0);
    }
    if ((modelVar_SWJUNCAP_i==3))
    {
      jwcorr = 1.0;
    }
    ABS_i = (instanceVar_ABSOURCE_i*invNF);
    LSS_i = (instanceVar_LSSOURCE_i*invNF);
    LGS_i = (instanceVar_LGSOURCE_i*invNF);
    ABD_i = (instanceVar_ABDRAIN_i*invNF);
    LSD_i = (instanceVar_LSDRAIN_i*invNF);
    LGD_i = (instanceVar_LGDRAIN_i*invNF);
    if (((modelVar_SWJUNCAP_i==2)||(modelVar_SWJUNCAP_i==3)))
    {
      ABS_i = (AS_i*invNF);
      LSS_i = ((PS_i*invNF)-(jwcorr*jww));
      LGS_i = jww;
      ABD_i = (AD_i*invNF);
      LSD_i = ((PD_i*invNF)-(jwcorr*jww));
      LGD_i = jww;
    }
    if ((((modelVar_SWJUNCAP_i==1)||(modelVar_SWJUNCAP_i==2))||(modelVar_SWJUNCAP_i==3)))
    {
      instanceVar_ABSOURCE_i = adms_ternary_op<AdmsSensFadType>((ABS_i>0),ABS_i,0);
      instanceVar_LSSOURCE_i = adms_ternary_op<AdmsSensFadType>((LSS_i>0),LSS_i,0);
      instanceVar_LGSOURCE_i = adms_ternary_op<AdmsSensFadType>((LGS_i>0),LGS_i,0);
      instanceVar_ABDRAIN_i = adms_ternary_op<AdmsSensFadType>((ABD_i>0),ABD_i,0);
      instanceVar_LSDRAIN_i = adms_ternary_op<AdmsSensFadType>((LSD_i>0),LSD_i,0);
      instanceVar_LGDRAIN_i = adms_ternary_op<AdmsSensFadType>((LGD_i>0),LGD_i,0);
    }
    else
    {
      instanceVar_ABSOURCE_i = 0.0;
      instanceVar_LSSOURCE_i = 0.0;
      instanceVar_LGSOURCE_i = 0.0;
      instanceVar_ABDRAIN_i = 0.0;
      instanceVar_LSDRAIN_i = 0.0;
      instanceVar_LGDRAIN_i = 0.0;
    }
    instanceVar_vbimin_s = 0.0;
    instanceVar_vbimin_d = 0.0;
    instanceVar_vfmin_s = 0.0;
    instanceVar_vfmin_d = 0.0;
    instanceVar_vch_s = 0.0;
    instanceVar_vch_d = 0.0;
    instanceVar_vbbtlim_s = 0.0;
    instanceVar_vbbtlim_d = 0.0;
    instanceVar_VMAX_s = 0.0;
    instanceVar_VMAX_d = 0.0;
    instanceVar_exp_VMAX_over_phitd_s = 0.0;
    instanceVar_exp_VMAX_over_phitd_d = 0.0;
    instanceVar_vj = 0.0;
    instanceVar_idmult = 0.0;
    instanceVar_vjsrh = 0.0;
    instanceVar_zinv = 0.0;
    instanceVar_wdep = 0.0;
    instanceVar_wsrh = 0.0;
    instanceVar_asrh = 0.0;
    instanceVar_vav = 0.0;
    instanceVar_vbi_minus_vjsrh = 0.0;
    instanceVar_ISATFOR1_s = 0.0;
    instanceVar_ISATFOR1_d = 0.0;
    instanceVar_MFOR1_s = 1.0;
    instanceVar_MFOR1_d = 1.0;
    instanceVar_ISATFOR2_s = 0.0;
    instanceVar_ISATFOR2_d = 0.0;
    instanceVar_MFOR2_s = 1.0;
    instanceVar_MFOR2_d = 1.0;
    instanceVar_ISATREV_s = 0.0;
    instanceVar_ISATREV_d = 0.0;
    instanceVar_MREV_s = 1.0;
    instanceVar_MREV_d = 1.0;
    instanceVar_m0flag_s = 0.0;
    instanceVar_m0flag_d = 0.0;
    instanceVar_xhighf1_s = 0.0;
    instanceVar_xhighf1_d = 0.0;
    instanceVar_expxhf1_s = 0.0;
    instanceVar_expxhf1_d = 0.0;
    instanceVar_xhighf2_s = 0.0;
    instanceVar_xhighf2_d = 0.0;
    instanceVar_expxhf2_s = 0.0;
    instanceVar_expxhf2_d = 0.0;
    instanceVar_xhighr_s = 0.0;
    instanceVar_xhighr_d = 0.0;
    instanceVar_expxhr_s = 0.0;
    instanceVar_expxhr_d = 0.0;
    instanceVar_zflagbot_s = 1.0;
    instanceVar_zflagbot_d = 1.0;
    instanceVar_zflagsti_s = 1.0;
    instanceVar_zflagsti_d = 1.0;
    instanceVar_zflaggat_s = 1.0;
    instanceVar_zflaggat_d = 1.0;
    m0_rev = 0.0;
    mcor_rev = 0.0;
    I1_cor = 0.0;
    I2_cor = 0.0;
    I3_cor = 0.0;
    I4_cor = 0.0;
    I5_cor = 0.0;
    tt0 = 0.0;
    tt1 = 0.0;
    tt2 = 0.0;
    zfrac = 0.0;
    alphaje = 0.0;
    instanceVar_tmpv = 0.0;
    instanceVar_vjv = 0.0;
    instanceVar_ijun_s = 0.0;
    instanceVar_ijunbot_s = 0.0;
    instanceVar_ijunsti_s = 0.0;
    instanceVar_ijungat_s = 0.0;
    instanceVar_qjun_s = 0.0;
    instanceVar_qjunbot_s = 0.0;
    instanceVar_qjunsti_s = 0.0;
    instanceVar_qjungat_s = 0.0;
    instanceVar_ijun_d = 0.0;
    instanceVar_ijunbot_d = 0.0;
    instanceVar_ijunsti_d = 0.0;
    instanceVar_ijungat_d = 0.0;
    instanceVar_qjun_d = 0.0;
    instanceVar_qjunbot_d = 0.0;
    instanceVar_qjunsti_d = 0.0;
    instanceVar_qjungat_d = 0.0;
    if ((modelVar_SWJUNCAP_i>0))
    {
      modelVar_CJORBOT_i = modelVar_CJORBOTS_i;
      modelVar_CJORSTI_i = modelVar_CJORSTIS_i;
      modelVar_CJORGAT_i = modelVar_CJORGATS_i;
      modelVar_VBIRBOT_i = modelVar_VBIRBOTS_i;
      modelVar_VBIRSTI_i = modelVar_VBIRSTIS_i;
      modelVar_VBIRGAT_i = modelVar_VBIRGATS_i;
      modelVar_PBOT_i = modelVar_PBOTS_i;
      modelVar_PSTI_i = modelVar_PSTIS_i;
      modelVar_PGAT_i = modelVar_PGATS_i;
      modelVar_PHIGBOT_i = modelVar_PHIGBOTS_i;
      modelVar_PHIGSTI_i = modelVar_PHIGSTIS_i;
      modelVar_PHIGGAT_i = modelVar_PHIGGATS_i;
      modelVar_IDSATRBOT_i = modelVar_IDSATRBOTS_i;
      modelVar_IDSATRSTI_i = modelVar_IDSATRSTIS_i;
      modelVar_IDSATRGAT_i = modelVar_IDSATRGATS_i;
      modelVar_CSRHBOT_i = modelVar_CSRHBOTS_i;
      modelVar_CSRHSTI_i = modelVar_CSRHSTIS_i;
      modelVar_CSRHGAT_i = modelVar_CSRHGATS_i;
      modelVar_XJUNSTI_i = modelVar_XJUNSTIS_i;
      modelVar_XJUNGAT_i = modelVar_XJUNGATS_i;
      modelVar_CTATBOT_i = modelVar_CTATBOTS_i;
      modelVar_CTATSTI_i = modelVar_CTATSTIS_i;
      modelVar_CTATGAT_i = modelVar_CTATGATS_i;
      modelVar_MEFFTATBOT_i = modelVar_MEFFTATBOTS_i;
      modelVar_MEFFTATSTI_i = modelVar_MEFFTATSTIS_i;
      modelVar_MEFFTATGAT_i = modelVar_MEFFTATGATS_i;
      modelVar_CBBTBOT_i = modelVar_CBBTBOTS_i;
      modelVar_CBBTSTI_i = modelVar_CBBTSTIS_i;
      modelVar_CBBTGAT_i = modelVar_CBBTGATS_i;
      modelVar_FBBTRBOT_i = modelVar_FBBTRBOTS_i;
      modelVar_FBBTRSTI_i = modelVar_FBBTRSTIS_i;
      modelVar_FBBTRGAT_i = modelVar_FBBTRGATS_i;
      modelVar_STFBBTBOT_i = modelVar_STFBBTBOTS_i;
      modelVar_STFBBTSTI_i = modelVar_STFBBTSTIS_i;
      modelVar_STFBBTGAT_i = modelVar_STFBBTGATS_i;
      modelVar_VBRBOT_i = modelVar_VBRBOTS_i;
      modelVar_VBRSTI_i = modelVar_VBRSTIS_i;
      modelVar_VBRGAT_i = modelVar_VBRGATS_i;
      modelVar_PBRBOT_i = modelVar_PBRBOTS_i;
      modelVar_PBRSTI_i = modelVar_PBRSTIS_i;
      modelVar_PBRGAT_i = modelVar_PBRGATS_i;
      modelVar_VJUNREF_i = modelVar_VJUNREFS_i;
      modelVar_FJUNQ_i = modelVar_FJUNQS_i;
      modelVar_phigrbot = modelVar_phigrbot_s;
      modelVar_phigrsti = modelVar_phigrsti_s;
      modelVar_phigrgat = modelVar_phigrgat_s;
      modelVar_phigdbot = modelVar_phigdbot_s;
      modelVar_phigdsti = modelVar_phigdsti_s;
      modelVar_phigdgat = modelVar_phigdgat_s;
      modelVar_ftdbot = modelVar_ftdbot_s;
      modelVar_ftdsti = modelVar_ftdsti_s;
      modelVar_ftdgat = modelVar_ftdgat_s;
      modelVar_idsatbot = modelVar_idsatbot_s;
      modelVar_idsatsti = modelVar_idsatsti_s;
      modelVar_idsatgat = modelVar_idsatgat_s;
      modelVar_ubibot = modelVar_ubibot_s;
      modelVar_ubisti = modelVar_ubisti_s;
      modelVar_ubigat = modelVar_ubigat_s;
      modelVar_vbibot = modelVar_vbibot_s;
      modelVar_vbisti = modelVar_vbisti_s;
      modelVar_vbigat = modelVar_vbigat_s;
      modelVar_vbiinvbot = modelVar_vbiinvbot_s;
      modelVar_vbiinvsti = modelVar_vbiinvsti_s;
      modelVar_vbiinvgat = modelVar_vbiinvgat_s;
      modelVar_one_minus_PBOT = modelVar_one_minus_PBOT_s;
      modelVar_one_minus_PSTI = modelVar_one_minus_PSTI_s;
      modelVar_one_minus_PGAT = modelVar_one_minus_PGAT_s;
      modelVar_one_over_one_minus_PBOT = modelVar_one_over_one_minus_PBOT_s;
      modelVar_one_over_one_minus_PSTI = modelVar_one_over_one_minus_PSTI_s;
      modelVar_one_over_one_minus_PGAT = modelVar_one_over_one_minus_PGAT_s;
      modelVar_cjobot = modelVar_cjobot_s;
      modelVar_cjosti = modelVar_cjosti_s;
      modelVar_cjogat = modelVar_cjogat_s;
      modelVar_qprefbot = modelVar_qprefbot_s;
      modelVar_qprefsti = modelVar_qprefsti_s;
      modelVar_qprefgat = modelVar_qprefgat_s;
      modelVar_qpref2bot = modelVar_qpref2bot_s;
      modelVar_qpref2sti = modelVar_qpref2sti_s;
      modelVar_qpref2gat = modelVar_qpref2gat_s;
      modelVar_wdepnulrbot = modelVar_wdepnulrbot_s;
      modelVar_wdepnulrsti = modelVar_wdepnulrsti_s;
      modelVar_wdepnulrgat = modelVar_wdepnulrgat_s;
      modelVar_wdepnulrinvbot = modelVar_wdepnulrinvbot_s;
      modelVar_wdepnulrinvsti = modelVar_wdepnulrinvsti_s;
      modelVar_wdepnulrinvgat = modelVar_wdepnulrinvgat_s;
      modelVar_VBIRBOTinv = modelVar_VBIRBOTinv_s;
      modelVar_VBIRSTIinv = modelVar_VBIRSTIinv_s;
      modelVar_VBIRGATinv = modelVar_VBIRGATinv_s;
      modelVar_deltaEbot = modelVar_deltaEbot_s;
      modelVar_deltaEsti = modelVar_deltaEsti_s;
      modelVar_deltaEgat = modelVar_deltaEgat_s;
      modelVar_atatbot = modelVar_atatbot_s;
      modelVar_atatsti = modelVar_atatsti_s;
      modelVar_atatgat = modelVar_atatgat_s;
      modelVar_btatpartbot = modelVar_btatpartbot_s;
      modelVar_btatpartsti = modelVar_btatpartsti_s;
      modelVar_btatpartgat = modelVar_btatpartgat_s;
      modelVar_fbbtbot = modelVar_fbbtbot_s;
      modelVar_fbbtsti = modelVar_fbbtsti_s;
      modelVar_fbbtgat = modelVar_fbbtgat_s;
      modelVar_fbbtbot = modelVar_fbbtbot_s;
      modelVar_fbbtsti = modelVar_fbbtsti_s;
      modelVar_fbbtgat = modelVar_fbbtgat_s;
      modelVar_fstopbot = modelVar_fstopbot_s;
      modelVar_fstopsti = modelVar_fstopsti_s;
      modelVar_fstopgat = modelVar_fstopgat_s;
      modelVar_VBRinvbot = modelVar_VBRinvbot_s;
      modelVar_VBRinvsti = modelVar_VBRinvsti_s;
      modelVar_VBRinvgat = modelVar_VBRinvgat_s;
      modelVar_slopebot = modelVar_slopebot_s;
      modelVar_slopesti = modelVar_slopesti_s;
      modelVar_slopegat = modelVar_slopegat_s;
      if (((modelVar_idsatbot*instanceVar_ABSOURCE_i)>0))
      {
        vmaxbot = (modelVar_phitd*log(((modelVar_IMAX_i/(modelVar_idsatbot*instanceVar_ABSOURCE_i))+1)));
      }
      else
      {
        vmaxbot = 1E8;
      }
      if (((modelVar_idsatsti*instanceVar_LSSOURCE_i)>0))
      {
        vmaxsti = (modelVar_phitd*log(((modelVar_IMAX_i/(modelVar_idsatsti*instanceVar_LSSOURCE_i))+1)));
      }
      else
      {
        vmaxsti = 1E8;
      }
      if (((modelVar_idsatgat*instanceVar_LGSOURCE_i)>0))
      {
        vmaxgat = (modelVar_phitd*log(((modelVar_IMAX_i/(modelVar_idsatgat*instanceVar_LGSOURCE_i))+1)));
      }
      else
      {
        vmaxgat = 1E8;
      }
      instanceVar_VMAX_s = std::min(std::min(vmaxbot,vmaxsti),vmaxgat);
      if ((fabs((instanceVar_VMAX_s*modelVar_phitdinv))<2.3025850929940458e+02))
      {
        instanceVar_exp_VMAX_over_phitd_s = exp((instanceVar_VMAX_s*modelVar_phitdinv));
      }
      else
      {
        if (((instanceVar_VMAX_s*modelVar_phitdinv)<(-2.3025850929940458e+02)))
        {
          instanceVar_exp_VMAX_over_phitd_s = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(instanceVar_VMAX_s*modelVar_phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(instanceVar_VMAX_s*modelVar_phitdinv))*(1.0+(((-2.3025850929940458e+02)-(instanceVar_VMAX_s*modelVar_phitdinv))*3.3333333333333333e-01))))))));
        }
        else
        {
          instanceVar_exp_VMAX_over_phitd_s = (1.0e100*(1.0+(((instanceVar_VMAX_s*modelVar_phitdinv)-2.3025850929940458e+02)*(1.0+(0.5*(((instanceVar_VMAX_s*modelVar_phitdinv)-2.3025850929940458e+02)*(1.0+(((instanceVar_VMAX_s*modelVar_phitdinv)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
        }
      }
      vbibot2 = modelVar_vbibot;
      vbisti2 = modelVar_vbisti;
      vbigat2 = modelVar_vbigat;
      pbot2 = modelVar_PBOT_i;
      psti2 = modelVar_PSTI_i;
      pgat2 = modelVar_PGAT_i;
      vbibot2r = modelVar_VBIRBOT_i;
      vbisti2r = modelVar_VBIRSTI_i;
      vbigat2r = modelVar_VBIRGAT_i;
      if ((instanceVar_ABSOURCE_i==0))
      {
        vbibot2 = (modelVar_vbisti+modelVar_vbigat);
        pbot2 = (0.9*std::min(modelVar_PSTI_i,modelVar_PGAT_i));
        vbibot2r = (modelVar_VBIRSTI_i+modelVar_VBIRGAT_i);
      }
      if ((instanceVar_LSSOURCE_i==0))
      {
        vbisti2 = (modelVar_vbibot+modelVar_vbigat);
        psti2 = (0.9*std::min(modelVar_PBOT_i,modelVar_PGAT_i));
        vbisti2r = (modelVar_VBIRBOT_i+modelVar_VBIRGAT_i);
      }
      if ((instanceVar_LGSOURCE_i==0))
      {
        vbigat2 = (modelVar_vbibot+modelVar_vbisti);
        pgat2 = (0.9*std::min(modelVar_PBOT_i,modelVar_PSTI_i));
        vbigat2r = (modelVar_VBIRBOT_i+modelVar_VBIRSTI_i);
      }
      instanceVar_vbimin_s = std::min(std::min(vbibot2,vbisti2),vbigat2);
      instanceVar_vch_s = (instanceVar_vbimin_s*0.1);
      pmax = std::max(std::max(pbot2,psti2),pgat2);
      instanceVar_vfmin_s = (instanceVar_vbimin_s*(1-pow(2,((-1.0)/pmax))));
      instanceVar_vbbtlim_s = (std::min(std::min(vbibot2r,vbisti2r),vbigat2r)-0.050);
      modelVar_CJORBOT_i = modelVar_CJORBOTD_i;
      modelVar_CJORSTI_i = modelVar_CJORSTID_i;
      modelVar_CJORGAT_i = modelVar_CJORGATD_i;
      modelVar_VBIRBOT_i = modelVar_VBIRBOTD_i;
      modelVar_VBIRSTI_i = modelVar_VBIRSTID_i;
      modelVar_VBIRGAT_i = modelVar_VBIRGATD_i;
      modelVar_PBOT_i = modelVar_PBOTD_i;
      modelVar_PSTI_i = modelVar_PSTID_i;
      modelVar_PGAT_i = modelVar_PGATD_i;
      modelVar_PHIGBOT_i = modelVar_PHIGBOTD_i;
      modelVar_PHIGSTI_i = modelVar_PHIGSTID_i;
      modelVar_PHIGGAT_i = modelVar_PHIGGATD_i;
      modelVar_IDSATRBOT_i = modelVar_IDSATRBOTD_i;
      modelVar_IDSATRSTI_i = modelVar_IDSATRSTID_i;
      modelVar_IDSATRGAT_i = modelVar_IDSATRGATD_i;
      modelVar_CSRHBOT_i = modelVar_CSRHBOTD_i;
      modelVar_CSRHSTI_i = modelVar_CSRHSTID_i;
      modelVar_CSRHGAT_i = modelVar_CSRHGATD_i;
      modelVar_XJUNSTI_i = modelVar_XJUNSTID_i;
      modelVar_XJUNGAT_i = modelVar_XJUNGATD_i;
      modelVar_CTATBOT_i = modelVar_CTATBOTD_i;
      modelVar_CTATSTI_i = modelVar_CTATSTID_i;
      modelVar_CTATGAT_i = modelVar_CTATGATD_i;
      modelVar_MEFFTATBOT_i = modelVar_MEFFTATBOTD_i;
      modelVar_MEFFTATSTI_i = modelVar_MEFFTATSTID_i;
      modelVar_MEFFTATGAT_i = modelVar_MEFFTATGATD_i;
      modelVar_CBBTBOT_i = modelVar_CBBTBOTD_i;
      modelVar_CBBTSTI_i = modelVar_CBBTSTID_i;
      modelVar_CBBTGAT_i = modelVar_CBBTGATD_i;
      modelVar_FBBTRBOT_i = modelVar_FBBTRBOTD_i;
      modelVar_FBBTRSTI_i = modelVar_FBBTRSTID_i;
      modelVar_FBBTRGAT_i = modelVar_FBBTRGATD_i;
      modelVar_STFBBTBOT_i = modelVar_STFBBTBOTD_i;
      modelVar_STFBBTSTI_i = modelVar_STFBBTSTID_i;
      modelVar_STFBBTGAT_i = modelVar_STFBBTGATD_i;
      modelVar_VBRBOT_i = modelVar_VBRBOTD_i;
      modelVar_VBRSTI_i = modelVar_VBRSTID_i;
      modelVar_VBRGAT_i = modelVar_VBRGATD_i;
      modelVar_PBRBOT_i = modelVar_PBRBOTD_i;
      modelVar_PBRSTI_i = modelVar_PBRSTID_i;
      modelVar_PBRGAT_i = modelVar_PBRGATD_i;
      modelVar_VJUNREF_i = modelVar_VJUNREFD_i;
      modelVar_FJUNQ_i = modelVar_FJUNQD_i;
      modelVar_phigrbot = modelVar_phigrbot_d;
      modelVar_phigrsti = modelVar_phigrsti_d;
      modelVar_phigrgat = modelVar_phigrgat_d;
      modelVar_phigdbot = modelVar_phigdbot_d;
      modelVar_phigdsti = modelVar_phigdsti_d;
      modelVar_phigdgat = modelVar_phigdgat_d;
      modelVar_ftdbot = modelVar_ftdbot_d;
      modelVar_ftdsti = modelVar_ftdsti_d;
      modelVar_ftdgat = modelVar_ftdgat_d;
      modelVar_idsatbot = modelVar_idsatbot_d;
      modelVar_idsatsti = modelVar_idsatsti_d;
      modelVar_idsatgat = modelVar_idsatgat_d;
      modelVar_ubibot = modelVar_ubibot_d;
      modelVar_ubisti = modelVar_ubisti_d;
      modelVar_ubigat = modelVar_ubigat_d;
      modelVar_vbibot = modelVar_vbibot_d;
      modelVar_vbisti = modelVar_vbisti_d;
      modelVar_vbigat = modelVar_vbigat_d;
      modelVar_vbiinvbot = modelVar_vbiinvbot_d;
      modelVar_vbiinvsti = modelVar_vbiinvsti_d;
      modelVar_vbiinvgat = modelVar_vbiinvgat_d;
      modelVar_one_minus_PBOT = modelVar_one_minus_PBOT_d;
      modelVar_one_minus_PSTI = modelVar_one_minus_PSTI_d;
      modelVar_one_minus_PGAT = modelVar_one_minus_PGAT_d;
      modelVar_one_over_one_minus_PBOT = modelVar_one_over_one_minus_PBOT_d;
      modelVar_one_over_one_minus_PSTI = modelVar_one_over_one_minus_PSTI_d;
      modelVar_one_over_one_minus_PGAT = modelVar_one_over_one_minus_PGAT_d;
      modelVar_cjobot = modelVar_cjobot_d;
      modelVar_cjosti = modelVar_cjosti_d;
      modelVar_cjogat = modelVar_cjogat_d;
      modelVar_qprefbot = modelVar_qprefbot_d;
      modelVar_qprefsti = modelVar_qprefsti_d;
      modelVar_qprefgat = modelVar_qprefgat_d;
      modelVar_qpref2bot = modelVar_qpref2bot_d;
      modelVar_qpref2sti = modelVar_qpref2sti_d;
      modelVar_qpref2gat = modelVar_qpref2gat_d;
      modelVar_wdepnulrbot = modelVar_wdepnulrbot_d;
      modelVar_wdepnulrsti = modelVar_wdepnulrsti_d;
      modelVar_wdepnulrgat = modelVar_wdepnulrgat_d;
      modelVar_wdepnulrinvbot = modelVar_wdepnulrinvbot_d;
      modelVar_wdepnulrinvsti = modelVar_wdepnulrinvsti_d;
      modelVar_wdepnulrinvgat = modelVar_wdepnulrinvgat_d;
      modelVar_VBIRBOTinv = modelVar_VBIRBOTinv_d;
      modelVar_VBIRSTIinv = modelVar_VBIRSTIinv_d;
      modelVar_VBIRGATinv = modelVar_VBIRGATinv_d;
      modelVar_deltaEbot = modelVar_deltaEbot_d;
      modelVar_deltaEsti = modelVar_deltaEsti_d;
      modelVar_deltaEgat = modelVar_deltaEgat_d;
      modelVar_atatbot = modelVar_atatbot_d;
      modelVar_atatsti = modelVar_atatsti_d;
      modelVar_atatgat = modelVar_atatgat_d;
      modelVar_btatpartbot = modelVar_btatpartbot_d;
      modelVar_btatpartsti = modelVar_btatpartsti_d;
      modelVar_btatpartgat = modelVar_btatpartgat_d;
      modelVar_fbbtbot = modelVar_fbbtbot_d;
      modelVar_fbbtsti = modelVar_fbbtsti_d;
      modelVar_fbbtgat = modelVar_fbbtgat_d;
      modelVar_fbbtbot = modelVar_fbbtbot_d;
      modelVar_fbbtsti = modelVar_fbbtsti_d;
      modelVar_fbbtgat = modelVar_fbbtgat_d;
      modelVar_fstopbot = modelVar_fstopbot_d;
      modelVar_fstopsti = modelVar_fstopsti_d;
      modelVar_fstopgat = modelVar_fstopgat_d;
      modelVar_VBRinvbot = modelVar_VBRinvbot_d;
      modelVar_VBRinvsti = modelVar_VBRinvsti_d;
      modelVar_VBRinvgat = modelVar_VBRinvgat_d;
      modelVar_slopebot = modelVar_slopebot_d;
      modelVar_slopesti = modelVar_slopesti_d;
      modelVar_slopegat = modelVar_slopegat_d;
      if (((modelVar_idsatbot*instanceVar_ABDRAIN_i)>0))
      {
        vmaxbot = (modelVar_phitd*log(((modelVar_IMAX_i/(modelVar_idsatbot*instanceVar_ABDRAIN_i))+1)));
      }
      else
      {
        vmaxbot = 1E8;
      }
      if (((modelVar_idsatsti*instanceVar_LSDRAIN_i)>0))
      {
        vmaxsti = (modelVar_phitd*log(((modelVar_IMAX_i/(modelVar_idsatsti*instanceVar_LSDRAIN_i))+1)));
      }
      else
      {
        vmaxsti = 1E8;
      }
      if (((modelVar_idsatgat*instanceVar_LGDRAIN_i)>0))
      {
        vmaxgat = (modelVar_phitd*log(((modelVar_IMAX_i/(modelVar_idsatgat*instanceVar_LGDRAIN_i))+1)));
      }
      else
      {
        vmaxgat = 1E8;
      }
      instanceVar_VMAX_d = std::min(std::min(vmaxbot,vmaxsti),vmaxgat);
      if ((fabs((instanceVar_VMAX_d*modelVar_phitdinv))<2.3025850929940458e+02))
      {
        instanceVar_exp_VMAX_over_phitd_d = exp((instanceVar_VMAX_d*modelVar_phitdinv));
      }
      else
      {
        if (((instanceVar_VMAX_d*modelVar_phitdinv)<(-2.3025850929940458e+02)))
        {
          instanceVar_exp_VMAX_over_phitd_d = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(instanceVar_VMAX_d*modelVar_phitdinv))*(1.0+(0.5*(((-2.3025850929940458e+02)-(instanceVar_VMAX_d*modelVar_phitdinv))*(1.0+(((-2.3025850929940458e+02)-(instanceVar_VMAX_d*modelVar_phitdinv))*3.3333333333333333e-01))))))));
        }
        else
        {
          instanceVar_exp_VMAX_over_phitd_d = (1.0e100*(1.0+(((instanceVar_VMAX_d*modelVar_phitdinv)-2.3025850929940458e+02)*(1.0+(0.5*(((instanceVar_VMAX_d*modelVar_phitdinv)-2.3025850929940458e+02)*(1.0+(((instanceVar_VMAX_d*modelVar_phitdinv)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
        }
      }
      vbibot2 = modelVar_vbibot;
      vbisti2 = modelVar_vbisti;
      vbigat2 = modelVar_vbigat;
      pbot2 = modelVar_PBOT_i;
      psti2 = modelVar_PSTI_i;
      pgat2 = modelVar_PGAT_i;
      vbibot2r = modelVar_VBIRBOT_i;
      vbisti2r = modelVar_VBIRSTI_i;
      vbigat2r = modelVar_VBIRGAT_i;
      if ((instanceVar_ABDRAIN_i==0))
      {
        vbibot2 = (modelVar_vbisti+modelVar_vbigat);
        pbot2 = (0.9*std::min(modelVar_PSTI_i,modelVar_PGAT_i));
        vbibot2r = (modelVar_VBIRSTI_i+modelVar_VBIRGAT_i);
      }
      if ((instanceVar_LSDRAIN_i==0))
      {
        vbisti2 = (modelVar_vbibot+modelVar_vbigat);
        psti2 = (0.9*std::min(modelVar_PBOT_i,modelVar_PGAT_i));
        vbisti2r = (modelVar_VBIRBOT_i+modelVar_VBIRGAT_i);
      }
      if ((instanceVar_LGDRAIN_i==0))
      {
        vbigat2 = (modelVar_vbibot+modelVar_vbisti);
        pgat2 = (0.9*std::min(modelVar_PBOT_i,modelVar_PSTI_i));
        vbigat2r = (modelVar_VBIRBOT_i+modelVar_VBIRSTI_i);
      }
      instanceVar_vbimin_d = std::min(std::min(vbibot2,vbisti2),vbigat2);
      instanceVar_vch_d = (instanceVar_vbimin_d*0.1);
      pmax = std::max(std::max(pbot2,psti2),pgat2);
      instanceVar_vfmin_d = (instanceVar_vbimin_d*(1-pow(2,((-1.0)/pmax))));
      instanceVar_vbbtlim_d = (std::min(std::min(vbibot2r,vbisti2r),vbigat2r)-0.050);
      if ((modelVar_SWJUNEXP_i==1))
        //Begin block JUNCAPexpressInit
      {
        //Block-local variables for block JUNCAPexpressInit
        AdmsSensFadType ysq;
        AdmsSensFadType terfc;
        AdmsSensFadType erfcpos;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        AdmsSensFadType h1;
        AdmsSensFadType h2;
        AdmsSensFadType h2d;
        AdmsSensFadType h3;
        AdmsSensFadType h4;
        AdmsSensFadType h5;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        AdmsSensFadType idmult;
        AdmsSensFadType vj;
        AdmsSensFadType z;
        AdmsSensFadType zinv;
        AdmsSensFadType two_psistar;
        AdmsSensFadType vjlim;
        AdmsSensFadType vjsrh;
        AdmsSensFadType vbbt;
        AdmsSensFadType vav;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        AdmsSensFadType tmp;
        AdmsSensFadType id;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        AdmsSensFadType isrh;
        AdmsSensFadType vbi_minus_vjsrh;
        AdmsSensFadType wsrhstep;
        AdmsSensFadType dwsrh;
        AdmsSensFadType wsrh;
        AdmsSensFadType wdep;
        AdmsSensFadType asrh;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        AdmsSensFadType itat;
        AdmsSensFadType btat;
        AdmsSensFadType twoatatoverthreebtat;
        AdmsSensFadType umaxbeforelimiting;
        AdmsSensFadType umax;
        AdmsSensFadType sqrtumax;
        AdmsSensFadType umaxpoweronepointfive;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        AdmsSensFadType wgamma;
        AdmsSensFadType wtat;
        AdmsSensFadType ktat;
        AdmsSensFadType ltat;
        AdmsSensFadType mtat;
        AdmsSensFadType xerfc;
        AdmsSensFadType erfctimesexpmtat;
        AdmsSensFadType gammamax;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        AdmsSensFadType ibbt;
        AdmsSensFadType Fmaxr;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        AdmsSensFadType fbreakdown;
        //End of Block-local variables
        //Block-local variables for block JUNCAPexpressInit
        AdmsSensFadType ijunbot;
        AdmsSensFadType ijunsti;
        AdmsSensFadType ijungat;
        AdmsSensFadType qjunbot;
        AdmsSensFadType qjunsti;
        AdmsSensFadType qjungat;
        //End of Block-local variables
        ysq = 0.0;
        terfc = 0.0;
        erfcpos = 0.0;
        h1 = 0.0;
        h2 = 0.0;
        h2d = 0.0;
        h3 = 0.0;
        h4 = 0.0;
        h5 = 0.0;
        idmult = 0.0;
        vj = 0.0;
        z = 0.0;
        zinv = 0.0;
        two_psistar = 0.0;
        vjlim = 0.0;
        vjsrh = 0.0;
        vbbt = 0.0;
        vav = 0.0;
        tmp = 0.0;
        id = 0.0;
        isrh = 0.0;
        vbi_minus_vjsrh = 0.0;
        wsrhstep = 0.0;
        dwsrh = 0.0;
        wsrh = 0.0;
        wdep = 0.0;
        asrh = 0.0;
        itat = 0.0;
        btat = 0.0;
        twoatatoverthreebtat = 0.0;
        umaxbeforelimiting = 0.0;
        umax = 0.0;
        sqrtumax = 0.0;
        umaxpoweronepointfive = 0.0;
        wgamma = 0.0;
        wtat = 0.0;
        ktat = 0.0;
        ltat = 0.0;
        mtat = 0.0;
        xerfc = 0.0;
        erfctimesexpmtat = 0.0;
        gammamax = 0.0;
        ibbt = 0.0;
        Fmaxr = 0.0;
        fbreakdown = 0.0;
        qjunbot = 0.0;
        qjunsti = 0.0;
        qjungat = 0.0;
        modelVar_CJORBOT_i = modelVar_CJORBOTS_i;
        modelVar_CJORSTI_i = modelVar_CJORSTIS_i;
        modelVar_CJORGAT_i = modelVar_CJORGATS_i;
        modelVar_VBIRBOT_i = modelVar_VBIRBOTS_i;
        modelVar_VBIRSTI_i = modelVar_VBIRSTIS_i;
        modelVar_VBIRGAT_i = modelVar_VBIRGATS_i;
        modelVar_PBOT_i = modelVar_PBOTS_i;
        modelVar_PSTI_i = modelVar_PSTIS_i;
        modelVar_PGAT_i = modelVar_PGATS_i;
        modelVar_PHIGBOT_i = modelVar_PHIGBOTS_i;
        modelVar_PHIGSTI_i = modelVar_PHIGSTIS_i;
        modelVar_PHIGGAT_i = modelVar_PHIGGATS_i;
        modelVar_IDSATRBOT_i = modelVar_IDSATRBOTS_i;
        modelVar_IDSATRSTI_i = modelVar_IDSATRSTIS_i;
        modelVar_IDSATRGAT_i = modelVar_IDSATRGATS_i;
        modelVar_CSRHBOT_i = modelVar_CSRHBOTS_i;
        modelVar_CSRHSTI_i = modelVar_CSRHSTIS_i;
        modelVar_CSRHGAT_i = modelVar_CSRHGATS_i;
        modelVar_XJUNSTI_i = modelVar_XJUNSTIS_i;
        modelVar_XJUNGAT_i = modelVar_XJUNGATS_i;
        modelVar_CTATBOT_i = modelVar_CTATBOTS_i;
        modelVar_CTATSTI_i = modelVar_CTATSTIS_i;
        modelVar_CTATGAT_i = modelVar_CTATGATS_i;
        modelVar_MEFFTATBOT_i = modelVar_MEFFTATBOTS_i;
        modelVar_MEFFTATSTI_i = modelVar_MEFFTATSTIS_i;
        modelVar_MEFFTATGAT_i = modelVar_MEFFTATGATS_i;
        modelVar_CBBTBOT_i = modelVar_CBBTBOTS_i;
        modelVar_CBBTSTI_i = modelVar_CBBTSTIS_i;
        modelVar_CBBTGAT_i = modelVar_CBBTGATS_i;
        modelVar_FBBTRBOT_i = modelVar_FBBTRBOTS_i;
        modelVar_FBBTRSTI_i = modelVar_FBBTRSTIS_i;
        modelVar_FBBTRGAT_i = modelVar_FBBTRGATS_i;
        modelVar_STFBBTBOT_i = modelVar_STFBBTBOTS_i;
        modelVar_STFBBTSTI_i = modelVar_STFBBTSTIS_i;
        modelVar_STFBBTGAT_i = modelVar_STFBBTGATS_i;
        modelVar_VBRBOT_i = modelVar_VBRBOTS_i;
        modelVar_VBRSTI_i = modelVar_VBRSTIS_i;
        modelVar_VBRGAT_i = modelVar_VBRGATS_i;
        modelVar_PBRBOT_i = modelVar_PBRBOTS_i;
        modelVar_PBRSTI_i = modelVar_PBRSTIS_i;
        modelVar_PBRGAT_i = modelVar_PBRGATS_i;
        modelVar_VJUNREF_i = modelVar_VJUNREFS_i;
        modelVar_FJUNQ_i = modelVar_FJUNQS_i;
        modelVar_phigrbot = modelVar_phigrbot_s;
        modelVar_phigrsti = modelVar_phigrsti_s;
        modelVar_phigrgat = modelVar_phigrgat_s;
        modelVar_phigdbot = modelVar_phigdbot_s;
        modelVar_phigdsti = modelVar_phigdsti_s;
        modelVar_phigdgat = modelVar_phigdgat_s;
        modelVar_ftdbot = modelVar_ftdbot_s;
        modelVar_ftdsti = modelVar_ftdsti_s;
        modelVar_ftdgat = modelVar_ftdgat_s;
        modelVar_idsatbot = modelVar_idsatbot_s;
        modelVar_idsatsti = modelVar_idsatsti_s;
        modelVar_idsatgat = modelVar_idsatgat_s;
        modelVar_ubibot = modelVar_ubibot_s;
        modelVar_ubisti = modelVar_ubisti_s;
        modelVar_ubigat = modelVar_ubigat_s;
        modelVar_vbibot = modelVar_vbibot_s;
        modelVar_vbisti = modelVar_vbisti_s;
        modelVar_vbigat = modelVar_vbigat_s;
        modelVar_vbiinvbot = modelVar_vbiinvbot_s;
        modelVar_vbiinvsti = modelVar_vbiinvsti_s;
        modelVar_vbiinvgat = modelVar_vbiinvgat_s;
        modelVar_one_minus_PBOT = modelVar_one_minus_PBOT_s;
        modelVar_one_minus_PSTI = modelVar_one_minus_PSTI_s;
        modelVar_one_minus_PGAT = modelVar_one_minus_PGAT_s;
        modelVar_one_over_one_minus_PBOT = modelVar_one_over_one_minus_PBOT_s;
        modelVar_one_over_one_minus_PSTI = modelVar_one_over_one_minus_PSTI_s;
        modelVar_one_over_one_minus_PGAT = modelVar_one_over_one_minus_PGAT_s;
        modelVar_cjobot = modelVar_cjobot_s;
        modelVar_cjosti = modelVar_cjosti_s;
        modelVar_cjogat = modelVar_cjogat_s;
        modelVar_qprefbot = modelVar_qprefbot_s;
        modelVar_qprefsti = modelVar_qprefsti_s;
        modelVar_qprefgat = modelVar_qprefgat_s;
        modelVar_qpref2bot = modelVar_qpref2bot_s;
        modelVar_qpref2sti = modelVar_qpref2sti_s;
        modelVar_qpref2gat = modelVar_qpref2gat_s;
        modelVar_wdepnulrbot = modelVar_wdepnulrbot_s;
        modelVar_wdepnulrsti = modelVar_wdepnulrsti_s;
        modelVar_wdepnulrgat = modelVar_wdepnulrgat_s;
        modelVar_wdepnulrinvbot = modelVar_wdepnulrinvbot_s;
        modelVar_wdepnulrinvsti = modelVar_wdepnulrinvsti_s;
        modelVar_wdepnulrinvgat = modelVar_wdepnulrinvgat_s;
        modelVar_VBIRBOTinv = modelVar_VBIRBOTinv_s;
        modelVar_VBIRSTIinv = modelVar_VBIRSTIinv_s;
        modelVar_VBIRGATinv = modelVar_VBIRGATinv_s;
        modelVar_deltaEbot = modelVar_deltaEbot_s;
        modelVar_deltaEsti = modelVar_deltaEsti_s;
        modelVar_deltaEgat = modelVar_deltaEgat_s;
        modelVar_atatbot = modelVar_atatbot_s;
        modelVar_atatsti = modelVar_atatsti_s;
        modelVar_atatgat = modelVar_atatgat_s;
        modelVar_btatpartbot = modelVar_btatpartbot_s;
        modelVar_btatpartsti = modelVar_btatpartsti_s;
        modelVar_btatpartgat = modelVar_btatpartgat_s;
        modelVar_fbbtbot = modelVar_fbbtbot_s;
        modelVar_fbbtsti = modelVar_fbbtsti_s;
        modelVar_fbbtgat = modelVar_fbbtgat_s;
        modelVar_fbbtbot = modelVar_fbbtbot_s;
        modelVar_fbbtsti = modelVar_fbbtsti_s;
        modelVar_fbbtgat = modelVar_fbbtgat_s;
        modelVar_fstopbot = modelVar_fstopbot_s;
        modelVar_fstopsti = modelVar_fstopsti_s;
        modelVar_fstopgat = modelVar_fstopgat_s;
        modelVar_VBRinvbot = modelVar_VBRinvbot_s;
        modelVar_VBRinvsti = modelVar_VBRinvsti_s;
        modelVar_VBRinvgat = modelVar_VBRinvgat_s;
        modelVar_slopebot = modelVar_slopebot_s;
        modelVar_slopesti = modelVar_slopesti_s;
        modelVar_slopegat = modelVar_slopegat_s;
        FRACNA = 0.4;
        FRACNB = 0.65;
        FRACI = 0.8;
        V1 = ((-FRACNA)*modelVar_VJUNREF_i);
        V2 = ((-FRACNB)*modelVar_VJUNREF_i);
        V3 = ((-FRACI)*modelVar_VJUNREF_i);
        V4 = 0.1;
        V5 = 0.2;
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABSOURCE_i==0)&&(instanceVar_LSSOURCE_i==0))&&(instanceVar_LGSOURCE_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_s)*instanceVar_vch_s);
          h2 = (instanceVar_vch_s/instanceVar_vfmin_s);
          h2d = (V1+(instanceVar_vch_s*h2));
          h3 = (instanceVar_vfmin_s+h2d);
          h4 = (instanceVar_vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V1*instanceVar_vfmin_s)/(h3+h5)));
          if ((V1<instanceVar_VMAX_s))
          {
            if ((fabs((0.5*(V1*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V1*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(V1*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V1*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V1*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V1*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(V1*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V1-instanceVar_VMAX_s)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V1>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V1)+(2.0*(modelVar_phitd*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_s-two_psistar);
          vjsrh = (0.5*((V1+vjlim)-sqrt((((V1-vjlim)*(V1-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((V1+instanceVar_vbbtlim_s)-sqrt((((V1-instanceVar_vbbtlim_s)*(V1-instanceVar_vbbtlim_s))+((4*modelVar_phitr)*modelVar_phitr)))));
          vav = (0.5*((V1)-sqrt((((V1)*(V1))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          qjunbot = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(V1-vj)));
          id = (modelVar_idsatbot*idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbibot-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            wdep = (modelVar_wdepnulrbot*tmp);
            asrh = (modelVar_ftdbot*((zinv-1)*wdep));
            isrh = (modelVar_CSRHBOT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((wdep*modelVar_one_minus_PBOT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvbot))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          qjunsti = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(V1-vj)));
          id = (modelVar_idsatsti*idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbisti-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            wdep = (modelVar_wdepnulrsti*tmp);
            asrh = (modelVar_ftdsti*((zinv-1)*wdep));
            isrh = (modelVar_CSRHSTI_i*(asrh*wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((wdep*modelVar_one_minus_PSTI)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvsti))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          qjungat = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(V1-vj)));
          id = (modelVar_idsatgat*idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbigat-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            wdep = (modelVar_wdepnulrgat*tmp);
            asrh = (modelVar_ftdgat*((zinv-1)*wdep));
            isrh = (modelVar_CSRHGAT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((wdep*modelVar_one_minus_PGAT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvgat))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I1 = (((instanceVar_ABSOURCE_i*ijunbot)+(instanceVar_LSSOURCE_i*ijunsti))+(instanceVar_LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABSOURCE_i==0)&&(instanceVar_LSSOURCE_i==0))&&(instanceVar_LGSOURCE_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_s)*instanceVar_vch_s);
          h2 = (instanceVar_vch_s/instanceVar_vfmin_s);
          h2d = (V2+(instanceVar_vch_s*h2));
          h3 = (instanceVar_vfmin_s+h2d);
          h4 = (instanceVar_vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V2*instanceVar_vfmin_s)/(h3+h5)));
          if ((V2<instanceVar_VMAX_s))
          {
            if ((fabs((0.5*(V2*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V2*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(V2*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V2*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V2*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V2*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(V2*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V2-instanceVar_VMAX_s)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V2>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V2)+(2.0*(modelVar_phitd*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_s-two_psistar);
          vjsrh = (0.5*((V2+vjlim)-sqrt((((V2-vjlim)*(V2-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((V2+instanceVar_vbbtlim_s)-sqrt((((V2-instanceVar_vbbtlim_s)*(V2-instanceVar_vbbtlim_s))+((4*modelVar_phitr)*modelVar_phitr)))));
          vav = (0.5*((V2)-sqrt((((V2)*(V2))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          qjunbot = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(V2-vj)));
          id = (modelVar_idsatbot*idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbibot-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            wdep = (modelVar_wdepnulrbot*tmp);
            asrh = (modelVar_ftdbot*((zinv-1)*wdep));
            isrh = (modelVar_CSRHBOT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((wdep*modelVar_one_minus_PBOT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvbot))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          qjunsti = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(V2-vj)));
          id = (modelVar_idsatsti*idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbisti-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            wdep = (modelVar_wdepnulrsti*tmp);
            asrh = (modelVar_ftdsti*((zinv-1)*wdep));
            isrh = (modelVar_CSRHSTI_i*(asrh*wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((wdep*modelVar_one_minus_PSTI)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvsti))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          qjungat = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(V2-vj)));
          id = (modelVar_idsatgat*idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbigat-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            wdep = (modelVar_wdepnulrgat*tmp);
            asrh = (modelVar_ftdgat*((zinv-1)*wdep));
            isrh = (modelVar_CSRHGAT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((wdep*modelVar_one_minus_PGAT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvgat))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I2 = (((instanceVar_ABSOURCE_i*ijunbot)+(instanceVar_LSSOURCE_i*ijunsti))+(instanceVar_LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABSOURCE_i==0)&&(instanceVar_LSSOURCE_i==0))&&(instanceVar_LGSOURCE_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_s)*instanceVar_vch_s);
          h2 = (instanceVar_vch_s/instanceVar_vfmin_s);
          h2d = (V3+(instanceVar_vch_s*h2));
          h3 = (instanceVar_vfmin_s+h2d);
          h4 = (instanceVar_vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V3*instanceVar_vfmin_s)/(h3+h5)));
          if ((V3<instanceVar_VMAX_s))
          {
            if ((fabs((0.5*(V3*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V3*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(V3*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V3*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V3*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V3*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(V3*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V3-instanceVar_VMAX_s)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V3>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V3)+(2.0*(modelVar_phitd*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_s-two_psistar);
          vjsrh = (0.5*((V3+vjlim)-sqrt((((V3-vjlim)*(V3-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((V3+instanceVar_vbbtlim_s)-sqrt((((V3-instanceVar_vbbtlim_s)*(V3-instanceVar_vbbtlim_s))+((4*modelVar_phitr)*modelVar_phitr)))));
          vav = (0.5*((V3)-sqrt((((V3)*(V3))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          qjunbot = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(V3-vj)));
          id = (modelVar_idsatbot*idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbibot-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            wdep = (modelVar_wdepnulrbot*tmp);
            asrh = (modelVar_ftdbot*((zinv-1)*wdep));
            isrh = (modelVar_CSRHBOT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((wdep*modelVar_one_minus_PBOT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvbot))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          qjunsti = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(V3-vj)));
          id = (modelVar_idsatsti*idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbisti-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            wdep = (modelVar_wdepnulrsti*tmp);
            asrh = (modelVar_ftdsti*((zinv-1)*wdep));
            isrh = (modelVar_CSRHSTI_i*(asrh*wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((wdep*modelVar_one_minus_PSTI)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvsti))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          qjungat = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(V3-vj)));
          id = (modelVar_idsatgat*idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbigat-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            wdep = (modelVar_wdepnulrgat*tmp);
            asrh = (modelVar_ftdgat*((zinv-1)*wdep));
            isrh = (modelVar_CSRHGAT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((wdep*modelVar_one_minus_PGAT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvgat))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I3 = (((instanceVar_ABSOURCE_i*ijunbot)+(instanceVar_LSSOURCE_i*ijunsti))+(instanceVar_LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABSOURCE_i==0)&&(instanceVar_LSSOURCE_i==0))&&(instanceVar_LGSOURCE_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_s)*instanceVar_vch_s);
          h2 = (instanceVar_vch_s/instanceVar_vfmin_s);
          h2d = (V4+(instanceVar_vch_s*h2));
          h3 = (instanceVar_vfmin_s+h2d);
          h4 = (instanceVar_vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V4*instanceVar_vfmin_s)/(h3+h5)));
          if ((V4<instanceVar_VMAX_s))
          {
            if ((fabs((0.5*(V4*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V4*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(V4*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V4*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V4*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V4*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(V4*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V4-instanceVar_VMAX_s)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V4>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V4)+(2.0*(modelVar_phitd*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_s-two_psistar);
          vjsrh = (0.5*((V4+vjlim)-sqrt((((V4-vjlim)*(V4-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((V4+instanceVar_vbbtlim_s)-sqrt((((V4-instanceVar_vbbtlim_s)*(V4-instanceVar_vbbtlim_s))+((4*modelVar_phitr)*modelVar_phitr)))));
          vav = (0.5*((V4)-sqrt((((V4)*(V4))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          qjunbot = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(V4-vj)));
          id = (modelVar_idsatbot*idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbibot-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            wdep = (modelVar_wdepnulrbot*tmp);
            asrh = (modelVar_ftdbot*((zinv-1)*wdep));
            isrh = (modelVar_CSRHBOT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((wdep*modelVar_one_minus_PBOT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvbot))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          qjunsti = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(V4-vj)));
          id = (modelVar_idsatsti*idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbisti-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            wdep = (modelVar_wdepnulrsti*tmp);
            asrh = (modelVar_ftdsti*((zinv-1)*wdep));
            isrh = (modelVar_CSRHSTI_i*(asrh*wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((wdep*modelVar_one_minus_PSTI)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvsti))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          qjungat = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(V4-vj)));
          id = (modelVar_idsatgat*idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbigat-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            wdep = (modelVar_wdepnulrgat*tmp);
            asrh = (modelVar_ftdgat*((zinv-1)*wdep));
            isrh = (modelVar_CSRHGAT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((wdep*modelVar_one_minus_PGAT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvgat))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I4 = (((instanceVar_ABSOURCE_i*ijunbot)+(instanceVar_LSSOURCE_i*ijunsti))+(instanceVar_LGSOURCE_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABSOURCE_i==0)&&(instanceVar_LSSOURCE_i==0))&&(instanceVar_LGSOURCE_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_s)*instanceVar_vch_s);
          h2 = (instanceVar_vch_s/instanceVar_vfmin_s);
          h2d = (V5+(instanceVar_vch_s*h2));
          h3 = (instanceVar_vfmin_s+h2d);
          h4 = (instanceVar_vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V5*instanceVar_vfmin_s)/(h3+h5)));
          if ((V5<instanceVar_VMAX_s))
          {
            if ((fabs((0.5*(V5*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V5*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(V5*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V5*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V5*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V5*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(V5*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V5-instanceVar_VMAX_s)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_s);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V5>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V5)+(2.0*(modelVar_phitd*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_s-two_psistar);
          vjsrh = (0.5*((V5+vjlim)-sqrt((((V5-vjlim)*(V5-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((V5+instanceVar_vbbtlim_s)-sqrt((((V5-instanceVar_vbbtlim_s)*(V5-instanceVar_vbbtlim_s))+((4*modelVar_phitr)*modelVar_phitr)))));
          vav = (0.5*((V5)-sqrt((((V5)*(V5))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABSOURCE_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          qjunbot = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(V5-vj)));
          id = (modelVar_idsatbot*idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbibot-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            wdep = (modelVar_wdepnulrbot*tmp);
            asrh = (modelVar_ftdbot*((zinv-1)*wdep));
            isrh = (modelVar_CSRHBOT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((wdep*modelVar_one_minus_PBOT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvbot))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSSOURCE_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          qjunsti = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(V5-vj)));
          id = (modelVar_idsatsti*idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbisti-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            wdep = (modelVar_wdepnulrsti*tmp);
            asrh = (modelVar_ftdsti*((zinv-1)*wdep));
            isrh = (modelVar_CSRHSTI_i*(asrh*wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((wdep*modelVar_one_minus_PSTI)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvsti))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGSOURCE_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          qjungat = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(V5-vj)));
          id = (modelVar_idsatgat*idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbigat-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            wdep = (modelVar_wdepnulrgat*tmp);
            asrh = (modelVar_ftdgat*((zinv-1)*wdep));
            isrh = (modelVar_CSRHGAT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((wdep*modelVar_one_minus_PGAT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvgat))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I5 = (((instanceVar_ABSOURCE_i*ijunbot)+(instanceVar_LSSOURCE_i*ijunsti))+(instanceVar_LGSOURCE_i*ijungat));
        instanceVar_ISATFOR1_s = (((instanceVar_ABSOURCE_i*modelVar_idsatbot)+(instanceVar_LSSOURCE_i*modelVar_idsatsti))+(instanceVar_LGSOURCE_i*modelVar_idsatgat));
        I4_cor = (I4-(instanceVar_ISATFOR1_s*(exp(((V4*modelVar_phitdinv)*instanceVar_MFOR1_s))-1.0)));
        I5_cor = (I5-(instanceVar_ISATFOR1_s*(exp(((V5*modelVar_phitdinv)*instanceVar_MFOR1_s))-1.0)));
        if ((!(((instanceVar_ABSOURCE_i==0)&&(instanceVar_LSSOURCE_i==0))&&(instanceVar_LGSOURCE_i==0))))
        {
          if (((I4>0)&&(I5>0)))
          {
            if ((((((I4_cor/I4)>0.001)||((I5_cor/I5)>0.001))&&(I4_cor>0))&&(I5_cor>0)))
            {
              alphaje = (I4_cor/I5_cor);
              instanceVar_MFOR2_s = ((modelVar_phitd*log(alphaje))/(V4-V5));
              instanceVar_ISATFOR2_s = (I4_cor/(exp(((V4*modelVar_phitdinv)*instanceVar_MFOR2_s))-1));
            }
          }
          I1_cor = ((I1-(instanceVar_ISATFOR1_s*(exp(((V1*modelVar_phitdinv)*instanceVar_MFOR1_s))-1.0)))-(instanceVar_ISATFOR2_s*(exp(((V1*modelVar_phitdinv)*instanceVar_MFOR2_s))-1.0)));
          I2_cor = ((I2-(instanceVar_ISATFOR1_s*(exp(((V2*modelVar_phitdinv)*instanceVar_MFOR1_s))-1.0)))-(instanceVar_ISATFOR2_s*(exp(((V2*modelVar_phitdinv)*instanceVar_MFOR2_s))-1.0)));
          I3_cor = ((I3-(instanceVar_ISATFOR1_s*(exp(((V3*modelVar_phitdinv)*instanceVar_MFOR1_s))-1.0)))-(instanceVar_ISATFOR2_s*(exp(((V3*modelVar_phitdinv)*instanceVar_MFOR2_s))-1.0)));
          if ((((I1<0)&&(I2<0))&&(I3<0)))
          {
            if ((((((((I1_cor/I1)>0.001)||((I2_cor/I2)>0.001))||((I3_cor/I3)>0.001))&&(I1_cor<0))&&(I2_cor<0))&&(I3_cor<0)))
            {
              alphaje = (I1_cor/I2_cor);
              m0_rev = (((-modelVar_phitd)*log(alphaje))/(V1-V2));
              tt0 = (V2/(V2-V1));
              tt1 = ((modelVar_phitd*(alphaje-1))*(pow(alphaje,tt0)-1));
              tt0 = (V1/(V1-V2));
              tt2 = (((pow(alphaje,tt0)*(V2-V1))+(alphaje*V1))-V2);
              mcor_rev = (tt1/tt2);
              instanceVar_MREV_s = (m0_rev+mcor_rev);
              if ((fabs(((V3*modelVar_phitdinv)*instanceVar_MREV_s))<1e-6))
              {
                instanceVar_m0flag_s = 1.0;
                instanceVar_ISATREV_s = (I3_cor*((1/V3)+((0.5*modelVar_phitdinv)*instanceVar_MREV_s)));
                instanceVar_MREV_s = (((((-0.5)*I3_cor)*instanceVar_MREV_s)*modelVar_phitdinv)/V3);
              }
              else
              {
                instanceVar_m0flag_s = 0.0;
                instanceVar_ISATREV_s = ((-I3_cor)/(exp((((-V3)*modelVar_phitdinv)*instanceVar_MREV_s))-1));
              }
            }
          }
        }
        zfrac = (modelVar_FJUNQ_i*(((instanceVar_ABSOURCE_i*modelVar_cjobot)+(instanceVar_LSSOURCE_i*modelVar_cjosti))+(instanceVar_LGSOURCE_i*modelVar_cjogat)));
        if (((instanceVar_ABSOURCE_i*modelVar_cjobot)<=zfrac))
        {
          instanceVar_zflagbot_s = 0.0;
        }
        if (((instanceVar_LSSOURCE_i*modelVar_cjosti)<=zfrac))
        {
          instanceVar_zflagsti_s = 0.0;
        }
        if (((instanceVar_LGSOURCE_i*modelVar_cjogat)<=zfrac))
        {
          instanceVar_zflaggat_s = 0.0;
        }
        if ((!(((instanceVar_ABSOURCE_i==0)&&(instanceVar_LSSOURCE_i==0))&&(instanceVar_LGSOURCE_i==0))))
        {
          instanceVar_xhighf1_s = log(((0.5*modelVar_IMAX_i)/(instanceVar_ISATFOR1_s+1e-21)));
          instanceVar_xhighf2_s = log(((0.5*modelVar_IMAX_i)/(instanceVar_ISATFOR2_s+1e-21)));
          instanceVar_xhighr_s = log(((0.5*modelVar_IMAX_i)/(fabs(instanceVar_ISATREV_s)+1e-21)));
        }
        instanceVar_xhighf1_s = std::min(instanceVar_xhighf1_s,static_cast<double>(2.3025850929940458e+02));
        instanceVar_expxhf1_s = exp(instanceVar_xhighf1_s);
        instanceVar_xhighf2_s = std::min(instanceVar_xhighf2_s,static_cast<double>(2.3025850929940458e+02));
        instanceVar_expxhf2_s = exp(instanceVar_xhighf2_s);
        instanceVar_xhighr_s = std::min(instanceVar_xhighr_s,static_cast<double>(2.3025850929940458e+02));
        instanceVar_expxhr_s = exp(instanceVar_xhighr_s);
        modelVar_CJORBOT_i = modelVar_CJORBOTD_i;
        modelVar_CJORSTI_i = modelVar_CJORSTID_i;
        modelVar_CJORGAT_i = modelVar_CJORGATD_i;
        modelVar_VBIRBOT_i = modelVar_VBIRBOTD_i;
        modelVar_VBIRSTI_i = modelVar_VBIRSTID_i;
        modelVar_VBIRGAT_i = modelVar_VBIRGATD_i;
        modelVar_PBOT_i = modelVar_PBOTD_i;
        modelVar_PSTI_i = modelVar_PSTID_i;
        modelVar_PGAT_i = modelVar_PGATD_i;
        modelVar_PHIGBOT_i = modelVar_PHIGBOTD_i;
        modelVar_PHIGSTI_i = modelVar_PHIGSTID_i;
        modelVar_PHIGGAT_i = modelVar_PHIGGATD_i;
        modelVar_IDSATRBOT_i = modelVar_IDSATRBOTD_i;
        modelVar_IDSATRSTI_i = modelVar_IDSATRSTID_i;
        modelVar_IDSATRGAT_i = modelVar_IDSATRGATD_i;
        modelVar_CSRHBOT_i = modelVar_CSRHBOTD_i;
        modelVar_CSRHSTI_i = modelVar_CSRHSTID_i;
        modelVar_CSRHGAT_i = modelVar_CSRHGATD_i;
        modelVar_XJUNSTI_i = modelVar_XJUNSTID_i;
        modelVar_XJUNGAT_i = modelVar_XJUNGATD_i;
        modelVar_CTATBOT_i = modelVar_CTATBOTD_i;
        modelVar_CTATSTI_i = modelVar_CTATSTID_i;
        modelVar_CTATGAT_i = modelVar_CTATGATD_i;
        modelVar_MEFFTATBOT_i = modelVar_MEFFTATBOTD_i;
        modelVar_MEFFTATSTI_i = modelVar_MEFFTATSTID_i;
        modelVar_MEFFTATGAT_i = modelVar_MEFFTATGATD_i;
        modelVar_CBBTBOT_i = modelVar_CBBTBOTD_i;
        modelVar_CBBTSTI_i = modelVar_CBBTSTID_i;
        modelVar_CBBTGAT_i = modelVar_CBBTGATD_i;
        modelVar_FBBTRBOT_i = modelVar_FBBTRBOTD_i;
        modelVar_FBBTRSTI_i = modelVar_FBBTRSTID_i;
        modelVar_FBBTRGAT_i = modelVar_FBBTRGATD_i;
        modelVar_STFBBTBOT_i = modelVar_STFBBTBOTD_i;
        modelVar_STFBBTSTI_i = modelVar_STFBBTSTID_i;
        modelVar_STFBBTGAT_i = modelVar_STFBBTGATD_i;
        modelVar_VBRBOT_i = modelVar_VBRBOTD_i;
        modelVar_VBRSTI_i = modelVar_VBRSTID_i;
        modelVar_VBRGAT_i = modelVar_VBRGATD_i;
        modelVar_PBRBOT_i = modelVar_PBRBOTD_i;
        modelVar_PBRSTI_i = modelVar_PBRSTID_i;
        modelVar_PBRGAT_i = modelVar_PBRGATD_i;
        modelVar_VJUNREF_i = modelVar_VJUNREFD_i;
        modelVar_FJUNQ_i = modelVar_FJUNQD_i;
        modelVar_phigrbot = modelVar_phigrbot_d;
        modelVar_phigrsti = modelVar_phigrsti_d;
        modelVar_phigrgat = modelVar_phigrgat_d;
        modelVar_phigdbot = modelVar_phigdbot_d;
        modelVar_phigdsti = modelVar_phigdsti_d;
        modelVar_phigdgat = modelVar_phigdgat_d;
        modelVar_ftdbot = modelVar_ftdbot_d;
        modelVar_ftdsti = modelVar_ftdsti_d;
        modelVar_ftdgat = modelVar_ftdgat_d;
        modelVar_idsatbot = modelVar_idsatbot_d;
        modelVar_idsatsti = modelVar_idsatsti_d;
        modelVar_idsatgat = modelVar_idsatgat_d;
        modelVar_ubibot = modelVar_ubibot_d;
        modelVar_ubisti = modelVar_ubisti_d;
        modelVar_ubigat = modelVar_ubigat_d;
        modelVar_vbibot = modelVar_vbibot_d;
        modelVar_vbisti = modelVar_vbisti_d;
        modelVar_vbigat = modelVar_vbigat_d;
        modelVar_vbiinvbot = modelVar_vbiinvbot_d;
        modelVar_vbiinvsti = modelVar_vbiinvsti_d;
        modelVar_vbiinvgat = modelVar_vbiinvgat_d;
        modelVar_one_minus_PBOT = modelVar_one_minus_PBOT_d;
        modelVar_one_minus_PSTI = modelVar_one_minus_PSTI_d;
        modelVar_one_minus_PGAT = modelVar_one_minus_PGAT_d;
        modelVar_one_over_one_minus_PBOT = modelVar_one_over_one_minus_PBOT_d;
        modelVar_one_over_one_minus_PSTI = modelVar_one_over_one_minus_PSTI_d;
        modelVar_one_over_one_minus_PGAT = modelVar_one_over_one_minus_PGAT_d;
        modelVar_cjobot = modelVar_cjobot_d;
        modelVar_cjosti = modelVar_cjosti_d;
        modelVar_cjogat = modelVar_cjogat_d;
        modelVar_qprefbot = modelVar_qprefbot_d;
        modelVar_qprefsti = modelVar_qprefsti_d;
        modelVar_qprefgat = modelVar_qprefgat_d;
        modelVar_qpref2bot = modelVar_qpref2bot_d;
        modelVar_qpref2sti = modelVar_qpref2sti_d;
        modelVar_qpref2gat = modelVar_qpref2gat_d;
        modelVar_wdepnulrbot = modelVar_wdepnulrbot_d;
        modelVar_wdepnulrsti = modelVar_wdepnulrsti_d;
        modelVar_wdepnulrgat = modelVar_wdepnulrgat_d;
        modelVar_wdepnulrinvbot = modelVar_wdepnulrinvbot_d;
        modelVar_wdepnulrinvsti = modelVar_wdepnulrinvsti_d;
        modelVar_wdepnulrinvgat = modelVar_wdepnulrinvgat_d;
        modelVar_VBIRBOTinv = modelVar_VBIRBOTinv_d;
        modelVar_VBIRSTIinv = modelVar_VBIRSTIinv_d;
        modelVar_VBIRGATinv = modelVar_VBIRGATinv_d;
        modelVar_deltaEbot = modelVar_deltaEbot_d;
        modelVar_deltaEsti = modelVar_deltaEsti_d;
        modelVar_deltaEgat = modelVar_deltaEgat_d;
        modelVar_atatbot = modelVar_atatbot_d;
        modelVar_atatsti = modelVar_atatsti_d;
        modelVar_atatgat = modelVar_atatgat_d;
        modelVar_btatpartbot = modelVar_btatpartbot_d;
        modelVar_btatpartsti = modelVar_btatpartsti_d;
        modelVar_btatpartgat = modelVar_btatpartgat_d;
        modelVar_fbbtbot = modelVar_fbbtbot_d;
        modelVar_fbbtsti = modelVar_fbbtsti_d;
        modelVar_fbbtgat = modelVar_fbbtgat_d;
        modelVar_fbbtbot = modelVar_fbbtbot_d;
        modelVar_fbbtsti = modelVar_fbbtsti_d;
        modelVar_fbbtgat = modelVar_fbbtgat_d;
        modelVar_fstopbot = modelVar_fstopbot_d;
        modelVar_fstopsti = modelVar_fstopsti_d;
        modelVar_fstopgat = modelVar_fstopgat_d;
        modelVar_VBRinvbot = modelVar_VBRinvbot_d;
        modelVar_VBRinvsti = modelVar_VBRinvsti_d;
        modelVar_VBRinvgat = modelVar_VBRinvgat_d;
        modelVar_slopebot = modelVar_slopebot_d;
        modelVar_slopesti = modelVar_slopesti_d;
        modelVar_slopegat = modelVar_slopegat_d;
        FRACNA = 0.4;
        FRACNB = 0.65;
        FRACI = 0.8;
        V1 = ((-FRACNA)*modelVar_VJUNREF_i);
        V2 = ((-FRACNB)*modelVar_VJUNREF_i);
        V3 = ((-FRACI)*modelVar_VJUNREF_i);
        V4 = 0.1;
        V5 = 0.2;
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABDRAIN_i==0)&&(instanceVar_LSDRAIN_i==0))&&(instanceVar_LGDRAIN_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_d)*instanceVar_vch_d);
          h2 = (instanceVar_vch_d/instanceVar_vfmin_d);
          h2d = (V1+(instanceVar_vch_d*h2));
          h3 = (instanceVar_vfmin_d+h2d);
          h4 = (instanceVar_vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V1*instanceVar_vfmin_d)/(h3+h5)));
          if ((V1<instanceVar_VMAX_d))
          {
            if ((fabs((0.5*(V1*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V1*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(V1*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V1*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V1*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V1*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V1*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(V1*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V1-instanceVar_VMAX_d)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V1>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V1)+(2.0*(modelVar_phitd*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_d-two_psistar);
          vjsrh = (0.5*((V1+vjlim)-sqrt((((V1-vjlim)*(V1-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((V1+instanceVar_vbbtlim_d)-sqrt((((V1-instanceVar_vbbtlim_d)*(V1-instanceVar_vbbtlim_d))+((4*modelVar_phitr)*modelVar_phitr)))));
          vav = (0.5*((V1)-sqrt((((V1)*(V1))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          qjunbot = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(V1-vj)));
          id = (modelVar_idsatbot*idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbibot-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            wdep = (modelVar_wdepnulrbot*tmp);
            asrh = (modelVar_ftdbot*((zinv-1)*wdep));
            isrh = (modelVar_CSRHBOT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((wdep*modelVar_one_minus_PBOT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvbot))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          qjunsti = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(V1-vj)));
          id = (modelVar_idsatsti*idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbisti-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            wdep = (modelVar_wdepnulrsti*tmp);
            asrh = (modelVar_ftdsti*((zinv-1)*wdep));
            isrh = (modelVar_CSRHSTI_i*(asrh*wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((wdep*modelVar_one_minus_PSTI)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvsti))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          qjungat = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(V1-vj)));
          id = (modelVar_idsatgat*idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbigat-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            wdep = (modelVar_wdepnulrgat*tmp);
            asrh = (modelVar_ftdgat*((zinv-1)*wdep));
            isrh = (modelVar_CSRHGAT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((wdep*modelVar_one_minus_PGAT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((V1*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvgat))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I1 = (((instanceVar_ABDRAIN_i*ijunbot)+(instanceVar_LSDRAIN_i*ijunsti))+(instanceVar_LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABDRAIN_i==0)&&(instanceVar_LSDRAIN_i==0))&&(instanceVar_LGDRAIN_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_d)*instanceVar_vch_d);
          h2 = (instanceVar_vch_d/instanceVar_vfmin_d);
          h2d = (V2+(instanceVar_vch_d*h2));
          h3 = (instanceVar_vfmin_d+h2d);
          h4 = (instanceVar_vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V2*instanceVar_vfmin_d)/(h3+h5)));
          if ((V2<instanceVar_VMAX_d))
          {
            if ((fabs((0.5*(V2*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V2*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(V2*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V2*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V2*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V2*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V2*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(V2*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V2-instanceVar_VMAX_d)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V2>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V2)+(2.0*(modelVar_phitd*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_d-two_psistar);
          vjsrh = (0.5*((V2+vjlim)-sqrt((((V2-vjlim)*(V2-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((V2+instanceVar_vbbtlim_d)-sqrt((((V2-instanceVar_vbbtlim_d)*(V2-instanceVar_vbbtlim_d))+((4*modelVar_phitr)*modelVar_phitr)))));
          vav = (0.5*((V2)-sqrt((((V2)*(V2))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          qjunbot = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(V2-vj)));
          id = (modelVar_idsatbot*idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbibot-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            wdep = (modelVar_wdepnulrbot*tmp);
            asrh = (modelVar_ftdbot*((zinv-1)*wdep));
            isrh = (modelVar_CSRHBOT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((wdep*modelVar_one_minus_PBOT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvbot))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          qjunsti = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(V2-vj)));
          id = (modelVar_idsatsti*idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbisti-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            wdep = (modelVar_wdepnulrsti*tmp);
            asrh = (modelVar_ftdsti*((zinv-1)*wdep));
            isrh = (modelVar_CSRHSTI_i*(asrh*wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((wdep*modelVar_one_minus_PSTI)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvsti))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          qjungat = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(V2-vj)));
          id = (modelVar_idsatgat*idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbigat-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            wdep = (modelVar_wdepnulrgat*tmp);
            asrh = (modelVar_ftdgat*((zinv-1)*wdep));
            isrh = (modelVar_CSRHGAT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((wdep*modelVar_one_minus_PGAT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((V2*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvgat))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I2 = (((instanceVar_ABDRAIN_i*ijunbot)+(instanceVar_LSDRAIN_i*ijunsti))+(instanceVar_LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABDRAIN_i==0)&&(instanceVar_LSDRAIN_i==0))&&(instanceVar_LGDRAIN_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_d)*instanceVar_vch_d);
          h2 = (instanceVar_vch_d/instanceVar_vfmin_d);
          h2d = (V3+(instanceVar_vch_d*h2));
          h3 = (instanceVar_vfmin_d+h2d);
          h4 = (instanceVar_vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V3*instanceVar_vfmin_d)/(h3+h5)));
          if ((V3<instanceVar_VMAX_d))
          {
            if ((fabs((0.5*(V3*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V3*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(V3*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V3*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V3*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V3*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V3*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(V3*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V3-instanceVar_VMAX_d)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V3>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V3)+(2.0*(modelVar_phitd*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_d-two_psistar);
          vjsrh = (0.5*((V3+vjlim)-sqrt((((V3-vjlim)*(V3-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((V3+instanceVar_vbbtlim_d)-sqrt((((V3-instanceVar_vbbtlim_d)*(V3-instanceVar_vbbtlim_d))+((4*modelVar_phitr)*modelVar_phitr)))));
          vav = (0.5*((V3)-sqrt((((V3)*(V3))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          qjunbot = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(V3-vj)));
          id = (modelVar_idsatbot*idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbibot-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            wdep = (modelVar_wdepnulrbot*tmp);
            asrh = (modelVar_ftdbot*((zinv-1)*wdep));
            isrh = (modelVar_CSRHBOT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((wdep*modelVar_one_minus_PBOT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvbot))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          qjunsti = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(V3-vj)));
          id = (modelVar_idsatsti*idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbisti-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            wdep = (modelVar_wdepnulrsti*tmp);
            asrh = (modelVar_ftdsti*((zinv-1)*wdep));
            isrh = (modelVar_CSRHSTI_i*(asrh*wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((wdep*modelVar_one_minus_PSTI)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvsti))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          qjungat = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(V3-vj)));
          id = (modelVar_idsatgat*idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbigat-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            wdep = (modelVar_wdepnulrgat*tmp);
            asrh = (modelVar_ftdgat*((zinv-1)*wdep));
            isrh = (modelVar_CSRHGAT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((wdep*modelVar_one_minus_PGAT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((V3*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvgat))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I3 = (((instanceVar_ABDRAIN_i*ijunbot)+(instanceVar_LSDRAIN_i*ijunsti))+(instanceVar_LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABDRAIN_i==0)&&(instanceVar_LSDRAIN_i==0))&&(instanceVar_LGDRAIN_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_d)*instanceVar_vch_d);
          h2 = (instanceVar_vch_d/instanceVar_vfmin_d);
          h2d = (V4+(instanceVar_vch_d*h2));
          h3 = (instanceVar_vfmin_d+h2d);
          h4 = (instanceVar_vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V4*instanceVar_vfmin_d)/(h3+h5)));
          if ((V4<instanceVar_VMAX_d))
          {
            if ((fabs((0.5*(V4*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V4*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(V4*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V4*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V4*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V4*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V4*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(V4*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V4-instanceVar_VMAX_d)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V4>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V4)+(2.0*(modelVar_phitd*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_d-two_psistar);
          vjsrh = (0.5*((V4+vjlim)-sqrt((((V4-vjlim)*(V4-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((V4+instanceVar_vbbtlim_d)-sqrt((((V4-instanceVar_vbbtlim_d)*(V4-instanceVar_vbbtlim_d))+((4*modelVar_phitr)*modelVar_phitr)))));
          vav = (0.5*((V4)-sqrt((((V4)*(V4))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          qjunbot = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(V4-vj)));
          id = (modelVar_idsatbot*idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbibot-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            wdep = (modelVar_wdepnulrbot*tmp);
            asrh = (modelVar_ftdbot*((zinv-1)*wdep));
            isrh = (modelVar_CSRHBOT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((wdep*modelVar_one_minus_PBOT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvbot))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          qjunsti = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(V4-vj)));
          id = (modelVar_idsatsti*idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbisti-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            wdep = (modelVar_wdepnulrsti*tmp);
            asrh = (modelVar_ftdsti*((zinv-1)*wdep));
            isrh = (modelVar_CSRHSTI_i*(asrh*wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((wdep*modelVar_one_minus_PSTI)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvsti))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          qjungat = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(V4-vj)));
          id = (modelVar_idsatgat*idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbigat-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            wdep = (modelVar_wdepnulrgat*tmp);
            asrh = (modelVar_ftdgat*((zinv-1)*wdep));
            isrh = (modelVar_CSRHGAT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((wdep*modelVar_one_minus_PGAT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((V4*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvgat))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I4 = (((instanceVar_ABDRAIN_i*ijunbot)+(instanceVar_LSDRAIN_i*ijunsti))+(instanceVar_LGDRAIN_i*ijungat));
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABDRAIN_i==0)&&(instanceVar_LSDRAIN_i==0))&&(instanceVar_LGDRAIN_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_d)*instanceVar_vch_d);
          h2 = (instanceVar_vch_d/instanceVar_vfmin_d);
          h2d = (V5+(instanceVar_vch_d*h2));
          h3 = (instanceVar_vfmin_d+h2d);
          h4 = (instanceVar_vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          vj = (2.0*((V5*instanceVar_vfmin_d)/(h3+h5)));
          if ((V5<instanceVar_VMAX_d))
          {
            if ((fabs((0.5*(V5*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              zinv = exp((0.5*(V5*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(V5*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(V5*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(V5*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                zinv = (1.0e100*(1.0+(((0.5*(V5*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(V5*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(V5*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            idmult = (zinv*zinv);
          }
          else
          {
            idmult = ((1+((V5-instanceVar_VMAX_d)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_d);
            zinv = sqrt(idmult);
          }
          idmult = (idmult-1.0);
          z = (1/zinv);
          if ((V5>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-V5)+(2.0*(modelVar_phitd*log((((2*zinv)+1)+sqrt(((1+zinv)*(1+(3*zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_d-two_psistar);
          vjsrh = (0.5*((V5+vjlim)-sqrt((((V5-vjlim)*(V5-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((V5+instanceVar_vbbtlim_d)-sqrt((((V5-instanceVar_vbbtlim_d)*(V5-instanceVar_vbbtlim_d))+((4*modelVar_phitr)*modelVar_phitr)))));
          vav = (0.5*((V5)-sqrt((((V5)*(V5))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABDRAIN_i==0))
        {
          ijunbot = 0;
          qjunbot = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          qjunbot = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(V5-vj)));
          id = (modelVar_idsatbot*idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbibot-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            wdep = (modelVar_wdepnulrbot*tmp);
            asrh = (modelVar_ftdbot*((zinv-1)*wdep));
            isrh = (modelVar_CSRHBOT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((wdep*modelVar_one_minus_PBOT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvbot))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)))*fabs((vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          ijunbot = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSDRAIN_i==0))
        {
          ijunsti = 0;
          qjunsti = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          qjunsti = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(V5-vj)));
          id = (modelVar_idsatsti*idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbisti-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            wdep = (modelVar_wdepnulrsti*tmp);
            asrh = (modelVar_ftdsti*((zinv-1)*wdep));
            isrh = (modelVar_CSRHSTI_i*(asrh*wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((wdep*modelVar_one_minus_PSTI)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvsti))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)))*fabs((vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          ijunsti = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGDRAIN_i==0))
        {
          ijungat = 0;
          qjungat = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          qjungat = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(V5-vj)));
          id = (modelVar_idsatgat*idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            vbi_minus_vjsrh = (modelVar_vbigat-vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            wdep = (modelVar_wdepnulrgat*tmp);
            asrh = (modelVar_ftdgat*((zinv-1)*wdep));
            isrh = (modelVar_CSRHGAT_i*(asrh*wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((wdep*modelVar_one_minus_PGAT)/vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((wsrh*wgamma)/(wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((V5*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((vav*modelVar_VBRinvgat))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)))*fabs((vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          ijungat = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        I5 = (((instanceVar_ABDRAIN_i*ijunbot)+(instanceVar_LSDRAIN_i*ijunsti))+(instanceVar_LGDRAIN_i*ijungat));
        instanceVar_ISATFOR1_d = (((instanceVar_ABDRAIN_i*modelVar_idsatbot)+(instanceVar_LSDRAIN_i*modelVar_idsatsti))+(instanceVar_LGDRAIN_i*modelVar_idsatgat));
        I4_cor = (I4-(instanceVar_ISATFOR1_d*(exp(((V4*modelVar_phitdinv)*instanceVar_MFOR1_d))-1.0)));
        I5_cor = (I5-(instanceVar_ISATFOR1_d*(exp(((V5*modelVar_phitdinv)*instanceVar_MFOR1_d))-1.0)));
        if ((!(((instanceVar_ABDRAIN_i==0)&&(instanceVar_LSDRAIN_i==0))&&(instanceVar_LGDRAIN_i==0))))
        {
          if (((I4>0)&&(I5>0)))
          {
            if ((((((I4_cor/I4)>0.001)||((I5_cor/I5)>0.001))&&(I4_cor>0))&&(I5_cor>0)))
            {
              alphaje = (I4_cor/I5_cor);
              instanceVar_MFOR2_d = ((modelVar_phitd*log(alphaje))/(V4-V5));
              instanceVar_ISATFOR2_d = (I4_cor/(exp(((V4*modelVar_phitdinv)*instanceVar_MFOR2_d))-1));
            }
          }
          I1_cor = ((I1-(instanceVar_ISATFOR1_d*(exp(((V1*modelVar_phitdinv)*instanceVar_MFOR1_d))-1.0)))-(instanceVar_ISATFOR2_d*(exp(((V1*modelVar_phitdinv)*instanceVar_MFOR2_d))-1.0)));
          I2_cor = ((I2-(instanceVar_ISATFOR1_d*(exp(((V2*modelVar_phitdinv)*instanceVar_MFOR1_d))-1.0)))-(instanceVar_ISATFOR2_d*(exp(((V2*modelVar_phitdinv)*instanceVar_MFOR2_d))-1.0)));
          I3_cor = ((I3-(instanceVar_ISATFOR1_d*(exp(((V3*modelVar_phitdinv)*instanceVar_MFOR1_d))-1.0)))-(instanceVar_ISATFOR2_d*(exp(((V3*modelVar_phitdinv)*instanceVar_MFOR2_d))-1.0)));
          if ((((I1<0)&&(I2<0))&&(I3<0)))
          {
            if ((((((((I1_cor/I1)>0.001)||((I2_cor/I2)>0.001))||((I3_cor/I3)>0.001))&&(I1_cor<0))&&(I2_cor<0))&&(I3_cor<0)))
            {
              alphaje = (I1_cor/I2_cor);
              m0_rev = (((-modelVar_phitd)*log(alphaje))/(V1-V2));
              tt0 = (V2/(V2-V1));
              tt1 = ((modelVar_phitd*(alphaje-1))*(pow(alphaje,tt0)-1));
              tt0 = (V1/(V1-V2));
              tt2 = (((pow(alphaje,tt0)*(V2-V1))+(alphaje*V1))-V2);
              mcor_rev = (tt1/tt2);
              instanceVar_MREV_d = (m0_rev+mcor_rev);
              if ((fabs(((V3*modelVar_phitdinv)*instanceVar_MREV_d))<1e-6))
              {
                instanceVar_m0flag_d = 1.0;
                instanceVar_ISATREV_d = (I3_cor*((1/V3)+((0.5*modelVar_phitdinv)*instanceVar_MREV_d)));
                instanceVar_MREV_d = (((((-0.5)*I3_cor)*instanceVar_MREV_d)*modelVar_phitdinv)/V3);
              }
              else
              {
                instanceVar_m0flag_d = 0.0;
                instanceVar_ISATREV_d = ((-I3_cor)/(exp((((-V3)*modelVar_phitdinv)*instanceVar_MREV_d))-1));
              }
            }
          }
        }
        zfrac = (modelVar_FJUNQ_i*(((instanceVar_ABDRAIN_i*modelVar_cjobot)+(instanceVar_LSDRAIN_i*modelVar_cjosti))+(instanceVar_LGDRAIN_i*modelVar_cjogat)));
        if (((instanceVar_ABDRAIN_i*modelVar_cjobot)<=zfrac))
        {
          instanceVar_zflagbot_d = 0.0;
        }
        if (((instanceVar_LSDRAIN_i*modelVar_cjosti)<=zfrac))
        {
          instanceVar_zflagsti_d = 0.0;
        }
        if (((instanceVar_LGDRAIN_i*modelVar_cjogat)<=zfrac))
        {
          instanceVar_zflaggat_d = 0.0;
        }
        if ((!(((instanceVar_ABDRAIN_i==0)&&(instanceVar_LSDRAIN_i==0))&&(instanceVar_LGDRAIN_i==0))))
        {
          instanceVar_xhighf1_d = log(((0.5*modelVar_IMAX_i)/(instanceVar_ISATFOR1_d+1e-21)));
          instanceVar_xhighf2_d = log(((0.5*modelVar_IMAX_i)/(instanceVar_ISATFOR2_d+1e-21)));
          instanceVar_xhighr_d = log(((0.5*modelVar_IMAX_i)/(fabs(instanceVar_ISATREV_d)+1e-21)));
        }
        instanceVar_xhighf1_d = std::min(instanceVar_xhighf1_d,static_cast<double>(2.3025850929940458e+02));
        instanceVar_expxhf1_d = exp(instanceVar_xhighf1_d);
        instanceVar_xhighf2_d = std::min(instanceVar_xhighf2_d,static_cast<double>(2.3025850929940458e+02));
        instanceVar_expxhf2_d = exp(instanceVar_xhighf2_d);
        instanceVar_xhighr_d = std::min(instanceVar_xhighr_d,static_cast<double>(2.3025850929940458e+02));
        instanceVar_expxhr_d = exp(instanceVar_xhighr_d);
      }
      // End block JUNCAPexpressInit
    }
  }
  // End block initial_instance
}



//-----------------------------------------------------------------------------
// Function      : evaluateInitialModel
// Purpose       : Evaluate the statements in the initial_model block
// Special Notes : specific for sensitivity use
// Scope         : public
// Creator       : admsXml
// Creation Date : 
//-----------------------------------------------------------------------------
void evaluateInitialModel(
   // model parameters
   // reals
   AdmsSensFadType & modelPar_LEVEL,
   bool modelPar_given_LEVEL,
   AdmsSensFadType & modelPar_TYPE,
   bool modelPar_given_TYPE,
   AdmsSensFadType & modelPar_TR,
   bool modelPar_given_TR,
   AdmsSensFadType & modelPar_SWGEO,
   bool modelPar_given_SWGEO,
   AdmsSensFadType & modelPar_SWIGATE,
   bool modelPar_given_SWIGATE,
   AdmsSensFadType & modelPar_SWIMPACT,
   bool modelPar_given_SWIMPACT,
   AdmsSensFadType & modelPar_SWGIDL,
   bool modelPar_given_SWGIDL,
   AdmsSensFadType & modelPar_SWJUNCAP,
   bool modelPar_given_SWJUNCAP,
   AdmsSensFadType & modelPar_SWJUNASYM,
   bool modelPar_given_SWJUNASYM,
   AdmsSensFadType & modelPar_SWNUD,
   bool modelPar_given_SWNUD,
   AdmsSensFadType & modelPar_SWDELVTAC,
   bool modelPar_given_SWDELVTAC,
   AdmsSensFadType & modelPar_QMC,
   bool modelPar_given_QMC,
   AdmsSensFadType & modelPar_VFB,
   bool modelPar_given_VFB,
   AdmsSensFadType & modelPar_STVFB,
   bool modelPar_given_STVFB,
   AdmsSensFadType & modelPar_TOX,
   bool modelPar_given_TOX,
   AdmsSensFadType & modelPar_EPSROX,
   bool modelPar_given_EPSROX,
   AdmsSensFadType & modelPar_NEFF,
   bool modelPar_given_NEFF,
   AdmsSensFadType & modelPar_FACNEFFAC,
   bool modelPar_given_FACNEFFAC,
   AdmsSensFadType & modelPar_GFACNUD,
   bool modelPar_given_GFACNUD,
   AdmsSensFadType & modelPar_VSBNUD,
   bool modelPar_given_VSBNUD,
   AdmsSensFadType & modelPar_DVSBNUD,
   bool modelPar_given_DVSBNUD,
   AdmsSensFadType & modelPar_VNSUB,
   bool modelPar_given_VNSUB,
   AdmsSensFadType & modelPar_NSLP,
   bool modelPar_given_NSLP,
   AdmsSensFadType & modelPar_DNSUB,
   bool modelPar_given_DNSUB,
   AdmsSensFadType & modelPar_DPHIB,
   bool modelPar_given_DPHIB,
   AdmsSensFadType & modelPar_DELVTAC,
   bool modelPar_given_DELVTAC,
   AdmsSensFadType & modelPar_NP,
   bool modelPar_given_NP,
   AdmsSensFadType & modelPar_CT,
   bool modelPar_given_CT,
   AdmsSensFadType & modelPar_TOXOV,
   bool modelPar_given_TOXOV,
   AdmsSensFadType & modelPar_TOXOVD,
   bool modelPar_given_TOXOVD,
   AdmsSensFadType & modelPar_NOV,
   bool modelPar_given_NOV,
   AdmsSensFadType & modelPar_NOVD,
   bool modelPar_given_NOVD,
   AdmsSensFadType & modelPar_CF,
   bool modelPar_given_CF,
   AdmsSensFadType & modelPar_CFB,
   bool modelPar_given_CFB,
   AdmsSensFadType & modelPar_BETN,
   bool modelPar_given_BETN,
   AdmsSensFadType & modelPar_STBET,
   bool modelPar_given_STBET,
   AdmsSensFadType & modelPar_MUE,
   bool modelPar_given_MUE,
   AdmsSensFadType & modelPar_STMUE,
   bool modelPar_given_STMUE,
   AdmsSensFadType & modelPar_THEMU,
   bool modelPar_given_THEMU,
   AdmsSensFadType & modelPar_STTHEMU,
   bool modelPar_given_STTHEMU,
   AdmsSensFadType & modelPar_CS,
   bool modelPar_given_CS,
   AdmsSensFadType & modelPar_STCS,
   bool modelPar_given_STCS,
   AdmsSensFadType & modelPar_XCOR,
   bool modelPar_given_XCOR,
   AdmsSensFadType & modelPar_STXCOR,
   bool modelPar_given_STXCOR,
   AdmsSensFadType & modelPar_FETA,
   bool modelPar_given_FETA,
   AdmsSensFadType & modelPar_RS,
   bool modelPar_given_RS,
   AdmsSensFadType & modelPar_STRS,
   bool modelPar_given_STRS,
   AdmsSensFadType & modelPar_RSB,
   bool modelPar_given_RSB,
   AdmsSensFadType & modelPar_RSG,
   bool modelPar_given_RSG,
   AdmsSensFadType & modelPar_THESAT,
   bool modelPar_given_THESAT,
   AdmsSensFadType & modelPar_STTHESAT,
   bool modelPar_given_STTHESAT,
   AdmsSensFadType & modelPar_THESATB,
   bool modelPar_given_THESATB,
   AdmsSensFadType & modelPar_THESATG,
   bool modelPar_given_THESATG,
   AdmsSensFadType & modelPar_AX,
   bool modelPar_given_AX,
   AdmsSensFadType & modelPar_ALP,
   bool modelPar_given_ALP,
   AdmsSensFadType & modelPar_ALP1,
   bool modelPar_given_ALP1,
   AdmsSensFadType & modelPar_ALP2,
   bool modelPar_given_ALP2,
   AdmsSensFadType & modelPar_VP,
   bool modelPar_given_VP,
   AdmsSensFadType & modelPar_A1,
   bool modelPar_given_A1,
   AdmsSensFadType & modelPar_A2,
   bool modelPar_given_A2,
   AdmsSensFadType & modelPar_STA2,
   bool modelPar_given_STA2,
   AdmsSensFadType & modelPar_A3,
   bool modelPar_given_A3,
   AdmsSensFadType & modelPar_A4,
   bool modelPar_given_A4,
   AdmsSensFadType & modelPar_GCO,
   bool modelPar_given_GCO,
   AdmsSensFadType & modelPar_IGINV,
   bool modelPar_given_IGINV,
   AdmsSensFadType & modelPar_IGOV,
   bool modelPar_given_IGOV,
   AdmsSensFadType & modelPar_IGOVD,
   bool modelPar_given_IGOVD,
   AdmsSensFadType & modelPar_STIG,
   bool modelPar_given_STIG,
   AdmsSensFadType & modelPar_GC2,
   bool modelPar_given_GC2,
   AdmsSensFadType & modelPar_GC3,
   bool modelPar_given_GC3,
   AdmsSensFadType & modelPar_CHIB,
   bool modelPar_given_CHIB,
   AdmsSensFadType & modelPar_AGIDL,
   bool modelPar_given_AGIDL,
   AdmsSensFadType & modelPar_AGIDLD,
   bool modelPar_given_AGIDLD,
   AdmsSensFadType & modelPar_BGIDL,
   bool modelPar_given_BGIDL,
   AdmsSensFadType & modelPar_BGIDLD,
   bool modelPar_given_BGIDLD,
   AdmsSensFadType & modelPar_STBGIDL,
   bool modelPar_given_STBGIDL,
   AdmsSensFadType & modelPar_STBGIDLD,
   bool modelPar_given_STBGIDLD,
   AdmsSensFadType & modelPar_CGIDL,
   bool modelPar_given_CGIDL,
   AdmsSensFadType & modelPar_CGIDLD,
   bool modelPar_given_CGIDLD,
   AdmsSensFadType & modelPar_COX,
   bool modelPar_given_COX,
   AdmsSensFadType & modelPar_CGOV,
   bool modelPar_given_CGOV,
   AdmsSensFadType & modelPar_CGOVD,
   bool modelPar_given_CGOVD,
   AdmsSensFadType & modelPar_CGBOV,
   bool modelPar_given_CGBOV,
   AdmsSensFadType & modelPar_CFR,
   bool modelPar_given_CFR,
   AdmsSensFadType & modelPar_CFRD,
   bool modelPar_given_CFRD,
   AdmsSensFadType & modelPar_FNT,
   bool modelPar_given_FNT,
   AdmsSensFadType & modelPar_NFA,
   bool modelPar_given_NFA,
   AdmsSensFadType & modelPar_NFB,
   bool modelPar_given_NFB,
   AdmsSensFadType & modelPar_NFC,
   bool modelPar_given_NFC,
   AdmsSensFadType & modelPar_EF,
   bool modelPar_given_EF,
   AdmsSensFadType & modelPar_RG,
   bool modelPar_given_RG,
   AdmsSensFadType & modelPar_RSE,
   bool modelPar_given_RSE,
   AdmsSensFadType & modelPar_RDE,
   bool modelPar_given_RDE,
   AdmsSensFadType & modelPar_RBULK,
   bool modelPar_given_RBULK,
   AdmsSensFadType & modelPar_RWELL,
   bool modelPar_given_RWELL,
   AdmsSensFadType & modelPar_RJUNS,
   bool modelPar_given_RJUNS,
   AdmsSensFadType & modelPar_RJUND,
   bool modelPar_given_RJUND,
   AdmsSensFadType & modelPar_POVFB,
   bool modelPar_given_POVFB,
   AdmsSensFadType & modelPar_PLVFB,
   bool modelPar_given_PLVFB,
   AdmsSensFadType & modelPar_PWVFB,
   bool modelPar_given_PWVFB,
   AdmsSensFadType & modelPar_PLWVFB,
   bool modelPar_given_PLWVFB,
   AdmsSensFadType & modelPar_POSTVFB,
   bool modelPar_given_POSTVFB,
   AdmsSensFadType & modelPar_PLSTVFB,
   bool modelPar_given_PLSTVFB,
   AdmsSensFadType & modelPar_PWSTVFB,
   bool modelPar_given_PWSTVFB,
   AdmsSensFadType & modelPar_PLWSTVFB,
   bool modelPar_given_PLWSTVFB,
   AdmsSensFadType & modelPar_POTOX,
   bool modelPar_given_POTOX,
   AdmsSensFadType & modelPar_POEPSROX,
   bool modelPar_given_POEPSROX,
   AdmsSensFadType & modelPar_PONEFF,
   bool modelPar_given_PONEFF,
   AdmsSensFadType & modelPar_PLNEFF,
   bool modelPar_given_PLNEFF,
   AdmsSensFadType & modelPar_PWNEFF,
   bool modelPar_given_PWNEFF,
   AdmsSensFadType & modelPar_PLWNEFF,
   bool modelPar_given_PLWNEFF,
   AdmsSensFadType & modelPar_POFACNEFFAC,
   bool modelPar_given_POFACNEFFAC,
   AdmsSensFadType & modelPar_PLFACNEFFAC,
   bool modelPar_given_PLFACNEFFAC,
   AdmsSensFadType & modelPar_PWFACNEFFAC,
   bool modelPar_given_PWFACNEFFAC,
   AdmsSensFadType & modelPar_PLWFACNEFFAC,
   bool modelPar_given_PLWFACNEFFAC,
   AdmsSensFadType & modelPar_POGFACNUD,
   bool modelPar_given_POGFACNUD,
   AdmsSensFadType & modelPar_PLGFACNUD,
   bool modelPar_given_PLGFACNUD,
   AdmsSensFadType & modelPar_PWGFACNUD,
   bool modelPar_given_PWGFACNUD,
   AdmsSensFadType & modelPar_PLWGFACNUD,
   bool modelPar_given_PLWGFACNUD,
   AdmsSensFadType & modelPar_POVSBNUD,
   bool modelPar_given_POVSBNUD,
   AdmsSensFadType & modelPar_PODVSBNUD,
   bool modelPar_given_PODVSBNUD,
   AdmsSensFadType & modelPar_POVNSUB,
   bool modelPar_given_POVNSUB,
   AdmsSensFadType & modelPar_PONSLP,
   bool modelPar_given_PONSLP,
   AdmsSensFadType & modelPar_PODNSUB,
   bool modelPar_given_PODNSUB,
   AdmsSensFadType & modelPar_PODPHIB,
   bool modelPar_given_PODPHIB,
   AdmsSensFadType & modelPar_PLDPHIB,
   bool modelPar_given_PLDPHIB,
   AdmsSensFadType & modelPar_PWDPHIB,
   bool modelPar_given_PWDPHIB,
   AdmsSensFadType & modelPar_PLWDPHIB,
   bool modelPar_given_PLWDPHIB,
   AdmsSensFadType & modelPar_PODELVTAC,
   bool modelPar_given_PODELVTAC,
   AdmsSensFadType & modelPar_PLDELVTAC,
   bool modelPar_given_PLDELVTAC,
   AdmsSensFadType & modelPar_PWDELVTAC,
   bool modelPar_given_PWDELVTAC,
   AdmsSensFadType & modelPar_PLWDELVTAC,
   bool modelPar_given_PLWDELVTAC,
   AdmsSensFadType & modelPar_PONP,
   bool modelPar_given_PONP,
   AdmsSensFadType & modelPar_PLNP,
   bool modelPar_given_PLNP,
   AdmsSensFadType & modelPar_PWNP,
   bool modelPar_given_PWNP,
   AdmsSensFadType & modelPar_PLWNP,
   bool modelPar_given_PLWNP,
   AdmsSensFadType & modelPar_POCT,
   bool modelPar_given_POCT,
   AdmsSensFadType & modelPar_PLCT,
   bool modelPar_given_PLCT,
   AdmsSensFadType & modelPar_PWCT,
   bool modelPar_given_PWCT,
   AdmsSensFadType & modelPar_PLWCT,
   bool modelPar_given_PLWCT,
   AdmsSensFadType & modelPar_POTOXOV,
   bool modelPar_given_POTOXOV,
   AdmsSensFadType & modelPar_POTOXOVD,
   bool modelPar_given_POTOXOVD,
   AdmsSensFadType & modelPar_PONOV,
   bool modelPar_given_PONOV,
   AdmsSensFadType & modelPar_PLNOV,
   bool modelPar_given_PLNOV,
   AdmsSensFadType & modelPar_PWNOV,
   bool modelPar_given_PWNOV,
   AdmsSensFadType & modelPar_PLWNOV,
   bool modelPar_given_PLWNOV,
   AdmsSensFadType & modelPar_PONOVD,
   bool modelPar_given_PONOVD,
   AdmsSensFadType & modelPar_PLNOVD,
   bool modelPar_given_PLNOVD,
   AdmsSensFadType & modelPar_PWNOVD,
   bool modelPar_given_PWNOVD,
   AdmsSensFadType & modelPar_PLWNOVD,
   bool modelPar_given_PLWNOVD,
   AdmsSensFadType & modelPar_POCF,
   bool modelPar_given_POCF,
   AdmsSensFadType & modelPar_PLCF,
   bool modelPar_given_PLCF,
   AdmsSensFadType & modelPar_PWCF,
   bool modelPar_given_PWCF,
   AdmsSensFadType & modelPar_PLWCF,
   bool modelPar_given_PLWCF,
   AdmsSensFadType & modelPar_POCFB,
   bool modelPar_given_POCFB,
   AdmsSensFadType & modelPar_POBETN,
   bool modelPar_given_POBETN,
   AdmsSensFadType & modelPar_PLBETN,
   bool modelPar_given_PLBETN,
   AdmsSensFadType & modelPar_PWBETN,
   bool modelPar_given_PWBETN,
   AdmsSensFadType & modelPar_PLWBETN,
   bool modelPar_given_PLWBETN,
   AdmsSensFadType & modelPar_POSTBET,
   bool modelPar_given_POSTBET,
   AdmsSensFadType & modelPar_PLSTBET,
   bool modelPar_given_PLSTBET,
   AdmsSensFadType & modelPar_PWSTBET,
   bool modelPar_given_PWSTBET,
   AdmsSensFadType & modelPar_PLWSTBET,
   bool modelPar_given_PLWSTBET,
   AdmsSensFadType & modelPar_POMUE,
   bool modelPar_given_POMUE,
   AdmsSensFadType & modelPar_PLMUE,
   bool modelPar_given_PLMUE,
   AdmsSensFadType & modelPar_PWMUE,
   bool modelPar_given_PWMUE,
   AdmsSensFadType & modelPar_PLWMUE,
   bool modelPar_given_PLWMUE,
   AdmsSensFadType & modelPar_POSTMUE,
   bool modelPar_given_POSTMUE,
   AdmsSensFadType & modelPar_POTHEMU,
   bool modelPar_given_POTHEMU,
   AdmsSensFadType & modelPar_POSTTHEMU,
   bool modelPar_given_POSTTHEMU,
   AdmsSensFadType & modelPar_POCS,
   bool modelPar_given_POCS,
   AdmsSensFadType & modelPar_PLCS,
   bool modelPar_given_PLCS,
   AdmsSensFadType & modelPar_PWCS,
   bool modelPar_given_PWCS,
   AdmsSensFadType & modelPar_PLWCS,
   bool modelPar_given_PLWCS,
   AdmsSensFadType & modelPar_POSTCS,
   bool modelPar_given_POSTCS,
   AdmsSensFadType & modelPar_POXCOR,
   bool modelPar_given_POXCOR,
   AdmsSensFadType & modelPar_PLXCOR,
   bool modelPar_given_PLXCOR,
   AdmsSensFadType & modelPar_PWXCOR,
   bool modelPar_given_PWXCOR,
   AdmsSensFadType & modelPar_PLWXCOR,
   bool modelPar_given_PLWXCOR,
   AdmsSensFadType & modelPar_POSTXCOR,
   bool modelPar_given_POSTXCOR,
   AdmsSensFadType & modelPar_POFETA,
   bool modelPar_given_POFETA,
   AdmsSensFadType & modelPar_PORS,
   bool modelPar_given_PORS,
   AdmsSensFadType & modelPar_PLRS,
   bool modelPar_given_PLRS,
   AdmsSensFadType & modelPar_PWRS,
   bool modelPar_given_PWRS,
   AdmsSensFadType & modelPar_PLWRS,
   bool modelPar_given_PLWRS,
   AdmsSensFadType & modelPar_POSTRS,
   bool modelPar_given_POSTRS,
   AdmsSensFadType & modelPar_PORSB,
   bool modelPar_given_PORSB,
   AdmsSensFadType & modelPar_PORSG,
   bool modelPar_given_PORSG,
   AdmsSensFadType & modelPar_POTHESAT,
   bool modelPar_given_POTHESAT,
   AdmsSensFadType & modelPar_PLTHESAT,
   bool modelPar_given_PLTHESAT,
   AdmsSensFadType & modelPar_PWTHESAT,
   bool modelPar_given_PWTHESAT,
   AdmsSensFadType & modelPar_PLWTHESAT,
   bool modelPar_given_PLWTHESAT,
   AdmsSensFadType & modelPar_POSTTHESAT,
   bool modelPar_given_POSTTHESAT,
   AdmsSensFadType & modelPar_PLSTTHESAT,
   bool modelPar_given_PLSTTHESAT,
   AdmsSensFadType & modelPar_PWSTTHESAT,
   bool modelPar_given_PWSTTHESAT,
   AdmsSensFadType & modelPar_PLWSTTHESAT,
   bool modelPar_given_PLWSTTHESAT,
   AdmsSensFadType & modelPar_POTHESATB,
   bool modelPar_given_POTHESATB,
   AdmsSensFadType & modelPar_PLTHESATB,
   bool modelPar_given_PLTHESATB,
   AdmsSensFadType & modelPar_PWTHESATB,
   bool modelPar_given_PWTHESATB,
   AdmsSensFadType & modelPar_PLWTHESATB,
   bool modelPar_given_PLWTHESATB,
   AdmsSensFadType & modelPar_POTHESATG,
   bool modelPar_given_POTHESATG,
   AdmsSensFadType & modelPar_PLTHESATG,
   bool modelPar_given_PLTHESATG,
   AdmsSensFadType & modelPar_PWTHESATG,
   bool modelPar_given_PWTHESATG,
   AdmsSensFadType & modelPar_PLWTHESATG,
   bool modelPar_given_PLWTHESATG,
   AdmsSensFadType & modelPar_POAX,
   bool modelPar_given_POAX,
   AdmsSensFadType & modelPar_PLAX,
   bool modelPar_given_PLAX,
   AdmsSensFadType & modelPar_PWAX,
   bool modelPar_given_PWAX,
   AdmsSensFadType & modelPar_PLWAX,
   bool modelPar_given_PLWAX,
   AdmsSensFadType & modelPar_POALP,
   bool modelPar_given_POALP,
   AdmsSensFadType & modelPar_PLALP,
   bool modelPar_given_PLALP,
   AdmsSensFadType & modelPar_PWALP,
   bool modelPar_given_PWALP,
   AdmsSensFadType & modelPar_PLWALP,
   bool modelPar_given_PLWALP,
   AdmsSensFadType & modelPar_POALP1,
   bool modelPar_given_POALP1,
   AdmsSensFadType & modelPar_PLALP1,
   bool modelPar_given_PLALP1,
   AdmsSensFadType & modelPar_PWALP1,
   bool modelPar_given_PWALP1,
   AdmsSensFadType & modelPar_PLWALP1,
   bool modelPar_given_PLWALP1,
   AdmsSensFadType & modelPar_POALP2,
   bool modelPar_given_POALP2,
   AdmsSensFadType & modelPar_PLALP2,
   bool modelPar_given_PLALP2,
   AdmsSensFadType & modelPar_PWALP2,
   bool modelPar_given_PWALP2,
   AdmsSensFadType & modelPar_PLWALP2,
   bool modelPar_given_PLWALP2,
   AdmsSensFadType & modelPar_POVP,
   bool modelPar_given_POVP,
   AdmsSensFadType & modelPar_POA1,
   bool modelPar_given_POA1,
   AdmsSensFadType & modelPar_PLA1,
   bool modelPar_given_PLA1,
   AdmsSensFadType & modelPar_PWA1,
   bool modelPar_given_PWA1,
   AdmsSensFadType & modelPar_PLWA1,
   bool modelPar_given_PLWA1,
   AdmsSensFadType & modelPar_POA2,
   bool modelPar_given_POA2,
   AdmsSensFadType & modelPar_POSTA2,
   bool modelPar_given_POSTA2,
   AdmsSensFadType & modelPar_POA3,
   bool modelPar_given_POA3,
   AdmsSensFadType & modelPar_PLA3,
   bool modelPar_given_PLA3,
   AdmsSensFadType & modelPar_PWA3,
   bool modelPar_given_PWA3,
   AdmsSensFadType & modelPar_PLWA3,
   bool modelPar_given_PLWA3,
   AdmsSensFadType & modelPar_POA4,
   bool modelPar_given_POA4,
   AdmsSensFadType & modelPar_PLA4,
   bool modelPar_given_PLA4,
   AdmsSensFadType & modelPar_PWA4,
   bool modelPar_given_PWA4,
   AdmsSensFadType & modelPar_PLWA4,
   bool modelPar_given_PLWA4,
   AdmsSensFadType & modelPar_POGCO,
   bool modelPar_given_POGCO,
   AdmsSensFadType & modelPar_POIGINV,
   bool modelPar_given_POIGINV,
   AdmsSensFadType & modelPar_PLIGINV,
   bool modelPar_given_PLIGINV,
   AdmsSensFadType & modelPar_PWIGINV,
   bool modelPar_given_PWIGINV,
   AdmsSensFadType & modelPar_PLWIGINV,
   bool modelPar_given_PLWIGINV,
   AdmsSensFadType & modelPar_POIGOV,
   bool modelPar_given_POIGOV,
   AdmsSensFadType & modelPar_PLIGOV,
   bool modelPar_given_PLIGOV,
   AdmsSensFadType & modelPar_PWIGOV,
   bool modelPar_given_PWIGOV,
   AdmsSensFadType & modelPar_PLWIGOV,
   bool modelPar_given_PLWIGOV,
   AdmsSensFadType & modelPar_POIGOVD,
   bool modelPar_given_POIGOVD,
   AdmsSensFadType & modelPar_PLIGOVD,
   bool modelPar_given_PLIGOVD,
   AdmsSensFadType & modelPar_PWIGOVD,
   bool modelPar_given_PWIGOVD,
   AdmsSensFadType & modelPar_PLWIGOVD,
   bool modelPar_given_PLWIGOVD,
   AdmsSensFadType & modelPar_POSTIG,
   bool modelPar_given_POSTIG,
   AdmsSensFadType & modelPar_POGC2,
   bool modelPar_given_POGC2,
   AdmsSensFadType & modelPar_POGC3,
   bool modelPar_given_POGC3,
   AdmsSensFadType & modelPar_POCHIB,
   bool modelPar_given_POCHIB,
   AdmsSensFadType & modelPar_POAGIDL,
   bool modelPar_given_POAGIDL,
   AdmsSensFadType & modelPar_PLAGIDL,
   bool modelPar_given_PLAGIDL,
   AdmsSensFadType & modelPar_PWAGIDL,
   bool modelPar_given_PWAGIDL,
   AdmsSensFadType & modelPar_PLWAGIDL,
   bool modelPar_given_PLWAGIDL,
   AdmsSensFadType & modelPar_POAGIDLD,
   bool modelPar_given_POAGIDLD,
   AdmsSensFadType & modelPar_PLAGIDLD,
   bool modelPar_given_PLAGIDLD,
   AdmsSensFadType & modelPar_PWAGIDLD,
   bool modelPar_given_PWAGIDLD,
   AdmsSensFadType & modelPar_PLWAGIDLD,
   bool modelPar_given_PLWAGIDLD,
   AdmsSensFadType & modelPar_POBGIDL,
   bool modelPar_given_POBGIDL,
   AdmsSensFadType & modelPar_POBGIDLD,
   bool modelPar_given_POBGIDLD,
   AdmsSensFadType & modelPar_POSTBGIDL,
   bool modelPar_given_POSTBGIDL,
   AdmsSensFadType & modelPar_POSTBGIDLD,
   bool modelPar_given_POSTBGIDLD,
   AdmsSensFadType & modelPar_POCGIDL,
   bool modelPar_given_POCGIDL,
   AdmsSensFadType & modelPar_POCGIDLD,
   bool modelPar_given_POCGIDLD,
   AdmsSensFadType & modelPar_POCOX,
   bool modelPar_given_POCOX,
   AdmsSensFadType & modelPar_PLCOX,
   bool modelPar_given_PLCOX,
   AdmsSensFadType & modelPar_PWCOX,
   bool modelPar_given_PWCOX,
   AdmsSensFadType & modelPar_PLWCOX,
   bool modelPar_given_PLWCOX,
   AdmsSensFadType & modelPar_POCGOV,
   bool modelPar_given_POCGOV,
   AdmsSensFadType & modelPar_PLCGOV,
   bool modelPar_given_PLCGOV,
   AdmsSensFadType & modelPar_PWCGOV,
   bool modelPar_given_PWCGOV,
   AdmsSensFadType & modelPar_PLWCGOV,
   bool modelPar_given_PLWCGOV,
   AdmsSensFadType & modelPar_POCGOVD,
   bool modelPar_given_POCGOVD,
   AdmsSensFadType & modelPar_PLCGOVD,
   bool modelPar_given_PLCGOVD,
   AdmsSensFadType & modelPar_PWCGOVD,
   bool modelPar_given_PWCGOVD,
   AdmsSensFadType & modelPar_PLWCGOVD,
   bool modelPar_given_PLWCGOVD,
   AdmsSensFadType & modelPar_POCGBOV,
   bool modelPar_given_POCGBOV,
   AdmsSensFadType & modelPar_PLCGBOV,
   bool modelPar_given_PLCGBOV,
   AdmsSensFadType & modelPar_PWCGBOV,
   bool modelPar_given_PWCGBOV,
   AdmsSensFadType & modelPar_PLWCGBOV,
   bool modelPar_given_PLWCGBOV,
   AdmsSensFadType & modelPar_POCFR,
   bool modelPar_given_POCFR,
   AdmsSensFadType & modelPar_PLCFR,
   bool modelPar_given_PLCFR,
   AdmsSensFadType & modelPar_PWCFR,
   bool modelPar_given_PWCFR,
   AdmsSensFadType & modelPar_PLWCFR,
   bool modelPar_given_PLWCFR,
   AdmsSensFadType & modelPar_POCFRD,
   bool modelPar_given_POCFRD,
   AdmsSensFadType & modelPar_PLCFRD,
   bool modelPar_given_PLCFRD,
   AdmsSensFadType & modelPar_PWCFRD,
   bool modelPar_given_PWCFRD,
   AdmsSensFadType & modelPar_PLWCFRD,
   bool modelPar_given_PLWCFRD,
   AdmsSensFadType & modelPar_POFNT,
   bool modelPar_given_POFNT,
   AdmsSensFadType & modelPar_PONFA,
   bool modelPar_given_PONFA,
   AdmsSensFadType & modelPar_PLNFA,
   bool modelPar_given_PLNFA,
   AdmsSensFadType & modelPar_PWNFA,
   bool modelPar_given_PWNFA,
   AdmsSensFadType & modelPar_PLWNFA,
   bool modelPar_given_PLWNFA,
   AdmsSensFadType & modelPar_PONFB,
   bool modelPar_given_PONFB,
   AdmsSensFadType & modelPar_PLNFB,
   bool modelPar_given_PLNFB,
   AdmsSensFadType & modelPar_PWNFB,
   bool modelPar_given_PWNFB,
   AdmsSensFadType & modelPar_PLWNFB,
   bool modelPar_given_PLWNFB,
   AdmsSensFadType & modelPar_PONFC,
   bool modelPar_given_PONFC,
   AdmsSensFadType & modelPar_PLNFC,
   bool modelPar_given_PLNFC,
   AdmsSensFadType & modelPar_PWNFC,
   bool modelPar_given_PWNFC,
   AdmsSensFadType & modelPar_PLWNFC,
   bool modelPar_given_PLWNFC,
   AdmsSensFadType & modelPar_POEF,
   bool modelPar_given_POEF,
   AdmsSensFadType & modelPar_POKVTHOWE,
   bool modelPar_given_POKVTHOWE,
   AdmsSensFadType & modelPar_PLKVTHOWE,
   bool modelPar_given_PLKVTHOWE,
   AdmsSensFadType & modelPar_PWKVTHOWE,
   bool modelPar_given_PWKVTHOWE,
   AdmsSensFadType & modelPar_PLWKVTHOWE,
   bool modelPar_given_PLWKVTHOWE,
   AdmsSensFadType & modelPar_POKUOWE,
   bool modelPar_given_POKUOWE,
   AdmsSensFadType & modelPar_PLKUOWE,
   bool modelPar_given_PLKUOWE,
   AdmsSensFadType & modelPar_PWKUOWE,
   bool modelPar_given_PWKUOWE,
   AdmsSensFadType & modelPar_PLWKUOWE,
   bool modelPar_given_PLWKUOWE,
   AdmsSensFadType & modelPar_LMIN,
   bool modelPar_given_LMIN,
   AdmsSensFadType & modelPar_LMAX,
   bool modelPar_given_LMAX,
   AdmsSensFadType & modelPar_WMIN,
   bool modelPar_given_WMIN,
   AdmsSensFadType & modelPar_WMAX,
   bool modelPar_given_WMAX,
   AdmsSensFadType & modelPar_LVARO,
   bool modelPar_given_LVARO,
   AdmsSensFadType & modelPar_LVARL,
   bool modelPar_given_LVARL,
   AdmsSensFadType & modelPar_LVARW,
   bool modelPar_given_LVARW,
   AdmsSensFadType & modelPar_LAP,
   bool modelPar_given_LAP,
   AdmsSensFadType & modelPar_WVARO,
   bool modelPar_given_WVARO,
   AdmsSensFadType & modelPar_WVARL,
   bool modelPar_given_WVARL,
   AdmsSensFadType & modelPar_WVARW,
   bool modelPar_given_WVARW,
   AdmsSensFadType & modelPar_WOT,
   bool modelPar_given_WOT,
   AdmsSensFadType & modelPar_DLQ,
   bool modelPar_given_DLQ,
   AdmsSensFadType & modelPar_DWQ,
   bool modelPar_given_DWQ,
   AdmsSensFadType & modelPar_VFBO,
   bool modelPar_given_VFBO,
   AdmsSensFadType & modelPar_VFBL,
   bool modelPar_given_VFBL,
   AdmsSensFadType & modelPar_VFBW,
   bool modelPar_given_VFBW,
   AdmsSensFadType & modelPar_VFBLW,
   bool modelPar_given_VFBLW,
   AdmsSensFadType & modelPar_STVFBO,
   bool modelPar_given_STVFBO,
   AdmsSensFadType & modelPar_STVFBL,
   bool modelPar_given_STVFBL,
   AdmsSensFadType & modelPar_STVFBW,
   bool modelPar_given_STVFBW,
   AdmsSensFadType & modelPar_STVFBLW,
   bool modelPar_given_STVFBLW,
   AdmsSensFadType & modelPar_TOXO,
   bool modelPar_given_TOXO,
   AdmsSensFadType & modelPar_EPSROXO,
   bool modelPar_given_EPSROXO,
   AdmsSensFadType & modelPar_NSUBO,
   bool modelPar_given_NSUBO,
   AdmsSensFadType & modelPar_NSUBW,
   bool modelPar_given_NSUBW,
   AdmsSensFadType & modelPar_WSEG,
   bool modelPar_given_WSEG,
   AdmsSensFadType & modelPar_NPCK,
   bool modelPar_given_NPCK,
   AdmsSensFadType & modelPar_NPCKW,
   bool modelPar_given_NPCKW,
   AdmsSensFadType & modelPar_WSEGP,
   bool modelPar_given_WSEGP,
   AdmsSensFadType & modelPar_LPCK,
   bool modelPar_given_LPCK,
   AdmsSensFadType & modelPar_LPCKW,
   bool modelPar_given_LPCKW,
   AdmsSensFadType & modelPar_FOL1,
   bool modelPar_given_FOL1,
   AdmsSensFadType & modelPar_FOL2,
   bool modelPar_given_FOL2,
   AdmsSensFadType & modelPar_FACNEFFACO,
   bool modelPar_given_FACNEFFACO,
   AdmsSensFadType & modelPar_FACNEFFACL,
   bool modelPar_given_FACNEFFACL,
   AdmsSensFadType & modelPar_FACNEFFACW,
   bool modelPar_given_FACNEFFACW,
   AdmsSensFadType & modelPar_FACNEFFACLW,
   bool modelPar_given_FACNEFFACLW,
   AdmsSensFadType & modelPar_GFACNUDO,
   bool modelPar_given_GFACNUDO,
   AdmsSensFadType & modelPar_GFACNUDL,
   bool modelPar_given_GFACNUDL,
   AdmsSensFadType & modelPar_GFACNUDLEXP,
   bool modelPar_given_GFACNUDLEXP,
   AdmsSensFadType & modelPar_GFACNUDW,
   bool modelPar_given_GFACNUDW,
   AdmsSensFadType & modelPar_GFACNUDLW,
   bool modelPar_given_GFACNUDLW,
   AdmsSensFadType & modelPar_VSBNUDO,
   bool modelPar_given_VSBNUDO,
   AdmsSensFadType & modelPar_DVSBNUDO,
   bool modelPar_given_DVSBNUDO,
   AdmsSensFadType & modelPar_VNSUBO,
   bool modelPar_given_VNSUBO,
   AdmsSensFadType & modelPar_NSLPO,
   bool modelPar_given_NSLPO,
   AdmsSensFadType & modelPar_DNSUBO,
   bool modelPar_given_DNSUBO,
   AdmsSensFadType & modelPar_DPHIBO,
   bool modelPar_given_DPHIBO,
   AdmsSensFadType & modelPar_DPHIBL,
   bool modelPar_given_DPHIBL,
   AdmsSensFadType & modelPar_DPHIBLEXP,
   bool modelPar_given_DPHIBLEXP,
   AdmsSensFadType & modelPar_DPHIBW,
   bool modelPar_given_DPHIBW,
   AdmsSensFadType & modelPar_DPHIBLW,
   bool modelPar_given_DPHIBLW,
   AdmsSensFadType & modelPar_DELVTACO,
   bool modelPar_given_DELVTACO,
   AdmsSensFadType & modelPar_DELVTACL,
   bool modelPar_given_DELVTACL,
   AdmsSensFadType & modelPar_DELVTACLEXP,
   bool modelPar_given_DELVTACLEXP,
   AdmsSensFadType & modelPar_DELVTACW,
   bool modelPar_given_DELVTACW,
   AdmsSensFadType & modelPar_DELVTACLW,
   bool modelPar_given_DELVTACLW,
   AdmsSensFadType & modelPar_NPO,
   bool modelPar_given_NPO,
   AdmsSensFadType & modelPar_NPL,
   bool modelPar_given_NPL,
   AdmsSensFadType & modelPar_CTO,
   bool modelPar_given_CTO,
   AdmsSensFadType & modelPar_CTL,
   bool modelPar_given_CTL,
   AdmsSensFadType & modelPar_CTLEXP,
   bool modelPar_given_CTLEXP,
   AdmsSensFadType & modelPar_CTW,
   bool modelPar_given_CTW,
   AdmsSensFadType & modelPar_CTLW,
   bool modelPar_given_CTLW,
   AdmsSensFadType & modelPar_TOXOVO,
   bool modelPar_given_TOXOVO,
   AdmsSensFadType & modelPar_TOXOVDO,
   bool modelPar_given_TOXOVDO,
   AdmsSensFadType & modelPar_LOV,
   bool modelPar_given_LOV,
   AdmsSensFadType & modelPar_LOVD,
   bool modelPar_given_LOVD,
   AdmsSensFadType & modelPar_NOVO,
   bool modelPar_given_NOVO,
   AdmsSensFadType & modelPar_NOVDO,
   bool modelPar_given_NOVDO,
   AdmsSensFadType & modelPar_CFL,
   bool modelPar_given_CFL,
   AdmsSensFadType & modelPar_CFLEXP,
   bool modelPar_given_CFLEXP,
   AdmsSensFadType & modelPar_CFW,
   bool modelPar_given_CFW,
   AdmsSensFadType & modelPar_CFBO,
   bool modelPar_given_CFBO,
   AdmsSensFadType & modelPar_UO,
   bool modelPar_given_UO,
   AdmsSensFadType & modelPar_FBET1,
   bool modelPar_given_FBET1,
   AdmsSensFadType & modelPar_FBET1W,
   bool modelPar_given_FBET1W,
   AdmsSensFadType & modelPar_LP1,
   bool modelPar_given_LP1,
   AdmsSensFadType & modelPar_LP1W,
   bool modelPar_given_LP1W,
   AdmsSensFadType & modelPar_FBET2,
   bool modelPar_given_FBET2,
   AdmsSensFadType & modelPar_LP2,
   bool modelPar_given_LP2,
   AdmsSensFadType & modelPar_BETW1,
   bool modelPar_given_BETW1,
   AdmsSensFadType & modelPar_BETW2,
   bool modelPar_given_BETW2,
   AdmsSensFadType & modelPar_WBET,
   bool modelPar_given_WBET,
   AdmsSensFadType & modelPar_STBETO,
   bool modelPar_given_STBETO,
   AdmsSensFadType & modelPar_STBETL,
   bool modelPar_given_STBETL,
   AdmsSensFadType & modelPar_STBETW,
   bool modelPar_given_STBETW,
   AdmsSensFadType & modelPar_STBETLW,
   bool modelPar_given_STBETLW,
   AdmsSensFadType & modelPar_MUEO,
   bool modelPar_given_MUEO,
   AdmsSensFadType & modelPar_MUEW,
   bool modelPar_given_MUEW,
   AdmsSensFadType & modelPar_STMUEO,
   bool modelPar_given_STMUEO,
   AdmsSensFadType & modelPar_THEMUO,
   bool modelPar_given_THEMUO,
   AdmsSensFadType & modelPar_STTHEMUO,
   bool modelPar_given_STTHEMUO,
   AdmsSensFadType & modelPar_CSO,
   bool modelPar_given_CSO,
   AdmsSensFadType & modelPar_CSL,
   bool modelPar_given_CSL,
   AdmsSensFadType & modelPar_CSLEXP,
   bool modelPar_given_CSLEXP,
   AdmsSensFadType & modelPar_CSW,
   bool modelPar_given_CSW,
   AdmsSensFadType & modelPar_CSLW,
   bool modelPar_given_CSLW,
   AdmsSensFadType & modelPar_STCSO,
   bool modelPar_given_STCSO,
   AdmsSensFadType & modelPar_XCORO,
   bool modelPar_given_XCORO,
   AdmsSensFadType & modelPar_XCORL,
   bool modelPar_given_XCORL,
   AdmsSensFadType & modelPar_XCORW,
   bool modelPar_given_XCORW,
   AdmsSensFadType & modelPar_XCORLW,
   bool modelPar_given_XCORLW,
   AdmsSensFadType & modelPar_STXCORO,
   bool modelPar_given_STXCORO,
   AdmsSensFadType & modelPar_FETAO,
   bool modelPar_given_FETAO,
   AdmsSensFadType & modelPar_RSW1,
   bool modelPar_given_RSW1,
   AdmsSensFadType & modelPar_RSW2,
   bool modelPar_given_RSW2,
   AdmsSensFadType & modelPar_STRSO,
   bool modelPar_given_STRSO,
   AdmsSensFadType & modelPar_RSBO,
   bool modelPar_given_RSBO,
   AdmsSensFadType & modelPar_RSGO,
   bool modelPar_given_RSGO,
   AdmsSensFadType & modelPar_THESATO,
   bool modelPar_given_THESATO,
   AdmsSensFadType & modelPar_THESATL,
   bool modelPar_given_THESATL,
   AdmsSensFadType & modelPar_THESATLEXP,
   bool modelPar_given_THESATLEXP,
   AdmsSensFadType & modelPar_THESATW,
   bool modelPar_given_THESATW,
   AdmsSensFadType & modelPar_THESATLW,
   bool modelPar_given_THESATLW,
   AdmsSensFadType & modelPar_STTHESATO,
   bool modelPar_given_STTHESATO,
   AdmsSensFadType & modelPar_STTHESATL,
   bool modelPar_given_STTHESATL,
   AdmsSensFadType & modelPar_STTHESATW,
   bool modelPar_given_STTHESATW,
   AdmsSensFadType & modelPar_STTHESATLW,
   bool modelPar_given_STTHESATLW,
   AdmsSensFadType & modelPar_THESATBO,
   bool modelPar_given_THESATBO,
   AdmsSensFadType & modelPar_THESATGO,
   bool modelPar_given_THESATGO,
   AdmsSensFadType & modelPar_AXO,
   bool modelPar_given_AXO,
   AdmsSensFadType & modelPar_AXL,
   bool modelPar_given_AXL,
   AdmsSensFadType & modelPar_ALPL,
   bool modelPar_given_ALPL,
   AdmsSensFadType & modelPar_ALPLEXP,
   bool modelPar_given_ALPLEXP,
   AdmsSensFadType & modelPar_ALPW,
   bool modelPar_given_ALPW,
   AdmsSensFadType & modelPar_ALP1L1,
   bool modelPar_given_ALP1L1,
   AdmsSensFadType & modelPar_ALP1LEXP,
   bool modelPar_given_ALP1LEXP,
   AdmsSensFadType & modelPar_ALP1L2,
   bool modelPar_given_ALP1L2,
   AdmsSensFadType & modelPar_ALP1W,
   bool modelPar_given_ALP1W,
   AdmsSensFadType & modelPar_ALP2L1,
   bool modelPar_given_ALP2L1,
   AdmsSensFadType & modelPar_ALP2LEXP,
   bool modelPar_given_ALP2LEXP,
   AdmsSensFadType & modelPar_ALP2L2,
   bool modelPar_given_ALP2L2,
   AdmsSensFadType & modelPar_ALP2W,
   bool modelPar_given_ALP2W,
   AdmsSensFadType & modelPar_VPO,
   bool modelPar_given_VPO,
   AdmsSensFadType & modelPar_A1O,
   bool modelPar_given_A1O,
   AdmsSensFadType & modelPar_A1L,
   bool modelPar_given_A1L,
   AdmsSensFadType & modelPar_A1W,
   bool modelPar_given_A1W,
   AdmsSensFadType & modelPar_A2O,
   bool modelPar_given_A2O,
   AdmsSensFadType & modelPar_STA2O,
   bool modelPar_given_STA2O,
   AdmsSensFadType & modelPar_A3O,
   bool modelPar_given_A3O,
   AdmsSensFadType & modelPar_A3L,
   bool modelPar_given_A3L,
   AdmsSensFadType & modelPar_A3W,
   bool modelPar_given_A3W,
   AdmsSensFadType & modelPar_A4O,
   bool modelPar_given_A4O,
   AdmsSensFadType & modelPar_A4L,
   bool modelPar_given_A4L,
   AdmsSensFadType & modelPar_A4W,
   bool modelPar_given_A4W,
   AdmsSensFadType & modelPar_GCOO,
   bool modelPar_given_GCOO,
   AdmsSensFadType & modelPar_IGINVLW,
   bool modelPar_given_IGINVLW,
   AdmsSensFadType & modelPar_IGOVW,
   bool modelPar_given_IGOVW,
   AdmsSensFadType & modelPar_IGOVDW,
   bool modelPar_given_IGOVDW,
   AdmsSensFadType & modelPar_STIGO,
   bool modelPar_given_STIGO,
   AdmsSensFadType & modelPar_GC2O,
   bool modelPar_given_GC2O,
   AdmsSensFadType & modelPar_GC3O,
   bool modelPar_given_GC3O,
   AdmsSensFadType & modelPar_CHIBO,
   bool modelPar_given_CHIBO,
   AdmsSensFadType & modelPar_AGIDLW,
   bool modelPar_given_AGIDLW,
   AdmsSensFadType & modelPar_AGIDLDW,
   bool modelPar_given_AGIDLDW,
   AdmsSensFadType & modelPar_BGIDLO,
   bool modelPar_given_BGIDLO,
   AdmsSensFadType & modelPar_BGIDLDO,
   bool modelPar_given_BGIDLDO,
   AdmsSensFadType & modelPar_STBGIDLO,
   bool modelPar_given_STBGIDLO,
   AdmsSensFadType & modelPar_STBGIDLDO,
   bool modelPar_given_STBGIDLDO,
   AdmsSensFadType & modelPar_CGIDLO,
   bool modelPar_given_CGIDLO,
   AdmsSensFadType & modelPar_CGIDLDO,
   bool modelPar_given_CGIDLDO,
   AdmsSensFadType & modelPar_CGBOVL,
   bool modelPar_given_CGBOVL,
   AdmsSensFadType & modelPar_CFRW,
   bool modelPar_given_CFRW,
   AdmsSensFadType & modelPar_CFRDW,
   bool modelPar_given_CFRDW,
   AdmsSensFadType & modelPar_FNTO,
   bool modelPar_given_FNTO,
   AdmsSensFadType & modelPar_NFALW,
   bool modelPar_given_NFALW,
   AdmsSensFadType & modelPar_NFBLW,
   bool modelPar_given_NFBLW,
   AdmsSensFadType & modelPar_NFCLW,
   bool modelPar_given_NFCLW,
   AdmsSensFadType & modelPar_EFO,
   bool modelPar_given_EFO,
   AdmsSensFadType & modelPar_LINTNOI,
   bool modelPar_given_LINTNOI,
   AdmsSensFadType & modelPar_ALPNOI,
   bool modelPar_given_ALPNOI,
   AdmsSensFadType & modelPar_KVTHOWEO,
   bool modelPar_given_KVTHOWEO,
   AdmsSensFadType & modelPar_KVTHOWEL,
   bool modelPar_given_KVTHOWEL,
   AdmsSensFadType & modelPar_KVTHOWEW,
   bool modelPar_given_KVTHOWEW,
   AdmsSensFadType & modelPar_KVTHOWELW,
   bool modelPar_given_KVTHOWELW,
   AdmsSensFadType & modelPar_KUOWEO,
   bool modelPar_given_KUOWEO,
   AdmsSensFadType & modelPar_KUOWEL,
   bool modelPar_given_KUOWEL,
   AdmsSensFadType & modelPar_KUOWEW,
   bool modelPar_given_KUOWEW,
   AdmsSensFadType & modelPar_KUOWELW,
   bool modelPar_given_KUOWELW,
   AdmsSensFadType & modelPar_RGO,
   bool modelPar_given_RGO,
   AdmsSensFadType & modelPar_RINT,
   bool modelPar_given_RINT,
   AdmsSensFadType & modelPar_RVPOLY,
   bool modelPar_given_RVPOLY,
   AdmsSensFadType & modelPar_RSHG,
   bool modelPar_given_RSHG,
   AdmsSensFadType & modelPar_DLSIL,
   bool modelPar_given_DLSIL,
   AdmsSensFadType & modelPar_RSH,
   bool modelPar_given_RSH,
   AdmsSensFadType & modelPar_RSHD,
   bool modelPar_given_RSHD,
   AdmsSensFadType & modelPar_RBULKO,
   bool modelPar_given_RBULKO,
   AdmsSensFadType & modelPar_RWELLO,
   bool modelPar_given_RWELLO,
   AdmsSensFadType & modelPar_RJUNSO,
   bool modelPar_given_RJUNSO,
   AdmsSensFadType & modelPar_RJUNDO,
   bool modelPar_given_RJUNDO,
   AdmsSensFadType & modelPar_SAREF,
   bool modelPar_given_SAREF,
   AdmsSensFadType & modelPar_SBREF,
   bool modelPar_given_SBREF,
   AdmsSensFadType & modelPar_WLOD,
   bool modelPar_given_WLOD,
   AdmsSensFadType & modelPar_KUO,
   bool modelPar_given_KUO,
   AdmsSensFadType & modelPar_KVSAT,
   bool modelPar_given_KVSAT,
   AdmsSensFadType & modelPar_TKUO,
   bool modelPar_given_TKUO,
   AdmsSensFadType & modelPar_LKUO,
   bool modelPar_given_LKUO,
   AdmsSensFadType & modelPar_WKUO,
   bool modelPar_given_WKUO,
   AdmsSensFadType & modelPar_PKUO,
   bool modelPar_given_PKUO,
   AdmsSensFadType & modelPar_LLODKUO,
   bool modelPar_given_LLODKUO,
   AdmsSensFadType & modelPar_WLODKUO,
   bool modelPar_given_WLODKUO,
   AdmsSensFadType & modelPar_KVTHO,
   bool modelPar_given_KVTHO,
   AdmsSensFadType & modelPar_LKVTHO,
   bool modelPar_given_LKVTHO,
   AdmsSensFadType & modelPar_WKVTHO,
   bool modelPar_given_WKVTHO,
   AdmsSensFadType & modelPar_PKVTHO,
   bool modelPar_given_PKVTHO,
   AdmsSensFadType & modelPar_LLODVTH,
   bool modelPar_given_LLODVTH,
   AdmsSensFadType & modelPar_WLODVTH,
   bool modelPar_given_WLODVTH,
   AdmsSensFadType & modelPar_STETAO,
   bool modelPar_given_STETAO,
   AdmsSensFadType & modelPar_LODETAO,
   bool modelPar_given_LODETAO,
   AdmsSensFadType & modelPar_SCREF,
   bool modelPar_given_SCREF,
   AdmsSensFadType & modelPar_WEB,
   bool modelPar_given_WEB,
   AdmsSensFadType & modelPar_WEC,
   bool modelPar_given_WEC,
   AdmsSensFadType & modelPar_IMAX,
   bool modelPar_given_IMAX,
   AdmsSensFadType & modelPar_TRJ,
   bool modelPar_given_TRJ,
   AdmsSensFadType & modelPar_CJORBOT,
   bool modelPar_given_CJORBOT,
   AdmsSensFadType & modelPar_CJORSTI,
   bool modelPar_given_CJORSTI,
   AdmsSensFadType & modelPar_CJORGAT,
   bool modelPar_given_CJORGAT,
   AdmsSensFadType & modelPar_VBIRBOT,
   bool modelPar_given_VBIRBOT,
   AdmsSensFadType & modelPar_VBIRSTI,
   bool modelPar_given_VBIRSTI,
   AdmsSensFadType & modelPar_VBIRGAT,
   bool modelPar_given_VBIRGAT,
   AdmsSensFadType & modelPar_PBOT,
   bool modelPar_given_PBOT,
   AdmsSensFadType & modelPar_PSTI,
   bool modelPar_given_PSTI,
   AdmsSensFadType & modelPar_PGAT,
   bool modelPar_given_PGAT,
   AdmsSensFadType & modelPar_PHIGBOT,
   bool modelPar_given_PHIGBOT,
   AdmsSensFadType & modelPar_PHIGSTI,
   bool modelPar_given_PHIGSTI,
   AdmsSensFadType & modelPar_PHIGGAT,
   bool modelPar_given_PHIGGAT,
   AdmsSensFadType & modelPar_IDSATRBOT,
   bool modelPar_given_IDSATRBOT,
   AdmsSensFadType & modelPar_IDSATRSTI,
   bool modelPar_given_IDSATRSTI,
   AdmsSensFadType & modelPar_IDSATRGAT,
   bool modelPar_given_IDSATRGAT,
   AdmsSensFadType & modelPar_CSRHBOT,
   bool modelPar_given_CSRHBOT,
   AdmsSensFadType & modelPar_CSRHSTI,
   bool modelPar_given_CSRHSTI,
   AdmsSensFadType & modelPar_CSRHGAT,
   bool modelPar_given_CSRHGAT,
   AdmsSensFadType & modelPar_XJUNSTI,
   bool modelPar_given_XJUNSTI,
   AdmsSensFadType & modelPar_XJUNGAT,
   bool modelPar_given_XJUNGAT,
   AdmsSensFadType & modelPar_CTATBOT,
   bool modelPar_given_CTATBOT,
   AdmsSensFadType & modelPar_CTATSTI,
   bool modelPar_given_CTATSTI,
   AdmsSensFadType & modelPar_CTATGAT,
   bool modelPar_given_CTATGAT,
   AdmsSensFadType & modelPar_MEFFTATBOT,
   bool modelPar_given_MEFFTATBOT,
   AdmsSensFadType & modelPar_MEFFTATSTI,
   bool modelPar_given_MEFFTATSTI,
   AdmsSensFadType & modelPar_MEFFTATGAT,
   bool modelPar_given_MEFFTATGAT,
   AdmsSensFadType & modelPar_CBBTBOT,
   bool modelPar_given_CBBTBOT,
   AdmsSensFadType & modelPar_CBBTSTI,
   bool modelPar_given_CBBTSTI,
   AdmsSensFadType & modelPar_CBBTGAT,
   bool modelPar_given_CBBTGAT,
   AdmsSensFadType & modelPar_FBBTRBOT,
   bool modelPar_given_FBBTRBOT,
   AdmsSensFadType & modelPar_FBBTRSTI,
   bool modelPar_given_FBBTRSTI,
   AdmsSensFadType & modelPar_FBBTRGAT,
   bool modelPar_given_FBBTRGAT,
   AdmsSensFadType & modelPar_STFBBTBOT,
   bool modelPar_given_STFBBTBOT,
   AdmsSensFadType & modelPar_STFBBTSTI,
   bool modelPar_given_STFBBTSTI,
   AdmsSensFadType & modelPar_STFBBTGAT,
   bool modelPar_given_STFBBTGAT,
   AdmsSensFadType & modelPar_VBRBOT,
   bool modelPar_given_VBRBOT,
   AdmsSensFadType & modelPar_VBRSTI,
   bool modelPar_given_VBRSTI,
   AdmsSensFadType & modelPar_VBRGAT,
   bool modelPar_given_VBRGAT,
   AdmsSensFadType & modelPar_PBRBOT,
   bool modelPar_given_PBRBOT,
   AdmsSensFadType & modelPar_PBRSTI,
   bool modelPar_given_PBRSTI,
   AdmsSensFadType & modelPar_PBRGAT,
   bool modelPar_given_PBRGAT,
   AdmsSensFadType & modelPar_CJORBOTD,
   bool modelPar_given_CJORBOTD,
   AdmsSensFadType & modelPar_CJORSTID,
   bool modelPar_given_CJORSTID,
   AdmsSensFadType & modelPar_CJORGATD,
   bool modelPar_given_CJORGATD,
   AdmsSensFadType & modelPar_VBIRBOTD,
   bool modelPar_given_VBIRBOTD,
   AdmsSensFadType & modelPar_VBIRSTID,
   bool modelPar_given_VBIRSTID,
   AdmsSensFadType & modelPar_VBIRGATD,
   bool modelPar_given_VBIRGATD,
   AdmsSensFadType & modelPar_PBOTD,
   bool modelPar_given_PBOTD,
   AdmsSensFadType & modelPar_PSTID,
   bool modelPar_given_PSTID,
   AdmsSensFadType & modelPar_PGATD,
   bool modelPar_given_PGATD,
   AdmsSensFadType & modelPar_PHIGBOTD,
   bool modelPar_given_PHIGBOTD,
   AdmsSensFadType & modelPar_PHIGSTID,
   bool modelPar_given_PHIGSTID,
   AdmsSensFadType & modelPar_PHIGGATD,
   bool modelPar_given_PHIGGATD,
   AdmsSensFadType & modelPar_IDSATRBOTD,
   bool modelPar_given_IDSATRBOTD,
   AdmsSensFadType & modelPar_IDSATRSTID,
   bool modelPar_given_IDSATRSTID,
   AdmsSensFadType & modelPar_IDSATRGATD,
   bool modelPar_given_IDSATRGATD,
   AdmsSensFadType & modelPar_CSRHBOTD,
   bool modelPar_given_CSRHBOTD,
   AdmsSensFadType & modelPar_CSRHSTID,
   bool modelPar_given_CSRHSTID,
   AdmsSensFadType & modelPar_CSRHGATD,
   bool modelPar_given_CSRHGATD,
   AdmsSensFadType & modelPar_XJUNSTID,
   bool modelPar_given_XJUNSTID,
   AdmsSensFadType & modelPar_XJUNGATD,
   bool modelPar_given_XJUNGATD,
   AdmsSensFadType & modelPar_CTATBOTD,
   bool modelPar_given_CTATBOTD,
   AdmsSensFadType & modelPar_CTATSTID,
   bool modelPar_given_CTATSTID,
   AdmsSensFadType & modelPar_CTATGATD,
   bool modelPar_given_CTATGATD,
   AdmsSensFadType & modelPar_MEFFTATBOTD,
   bool modelPar_given_MEFFTATBOTD,
   AdmsSensFadType & modelPar_MEFFTATSTID,
   bool modelPar_given_MEFFTATSTID,
   AdmsSensFadType & modelPar_MEFFTATGATD,
   bool modelPar_given_MEFFTATGATD,
   AdmsSensFadType & modelPar_CBBTBOTD,
   bool modelPar_given_CBBTBOTD,
   AdmsSensFadType & modelPar_CBBTSTID,
   bool modelPar_given_CBBTSTID,
   AdmsSensFadType & modelPar_CBBTGATD,
   bool modelPar_given_CBBTGATD,
   AdmsSensFadType & modelPar_FBBTRBOTD,
   bool modelPar_given_FBBTRBOTD,
   AdmsSensFadType & modelPar_FBBTRSTID,
   bool modelPar_given_FBBTRSTID,
   AdmsSensFadType & modelPar_FBBTRGATD,
   bool modelPar_given_FBBTRGATD,
   AdmsSensFadType & modelPar_STFBBTBOTD,
   bool modelPar_given_STFBBTBOTD,
   AdmsSensFadType & modelPar_STFBBTSTID,
   bool modelPar_given_STFBBTSTID,
   AdmsSensFadType & modelPar_STFBBTGATD,
   bool modelPar_given_STFBBTGATD,
   AdmsSensFadType & modelPar_VBRBOTD,
   bool modelPar_given_VBRBOTD,
   AdmsSensFadType & modelPar_VBRSTID,
   bool modelPar_given_VBRSTID,
   AdmsSensFadType & modelPar_VBRGATD,
   bool modelPar_given_VBRGATD,
   AdmsSensFadType & modelPar_PBRBOTD,
   bool modelPar_given_PBRBOTD,
   AdmsSensFadType & modelPar_PBRSTID,
   bool modelPar_given_PBRSTID,
   AdmsSensFadType & modelPar_PBRGATD,
   bool modelPar_given_PBRGATD,
   AdmsSensFadType & modelPar_SWJUNEXP,
   bool modelPar_given_SWJUNEXP,
   AdmsSensFadType & modelPar_VJUNREF,
   bool modelPar_given_VJUNREF,
   AdmsSensFadType & modelPar_FJUNQ,
   bool modelPar_given_FJUNQ,
   AdmsSensFadType & modelPar_VJUNREFD,
   bool modelPar_given_VJUNREFD,
   AdmsSensFadType & modelPar_FJUNQD,
   bool modelPar_given_FJUNQD,
   AdmsSensFadType & modelPar_DTA,
   bool modelPar_given_DTA// model variables
   ,
   // reals
   AdmsSensFadType & modelVar_NSUBO_i,
   AdmsSensFadType & modelVar_WSEG_i,
   AdmsSensFadType & modelVar_NPCK_i,
   AdmsSensFadType & modelVar_WSEGP_i,
   AdmsSensFadType & modelVar_LPCK_i,
   AdmsSensFadType & modelVar_LOV_i,
   AdmsSensFadType & modelVar_LOVD_i,
   AdmsSensFadType & modelVar_LP1_i,
   AdmsSensFadType & modelVar_LP2_i,
   AdmsSensFadType & modelVar_WBET_i,
   AdmsSensFadType & modelVar_AXL_i,
   AdmsSensFadType & modelVar_ALP1L2_i,
   AdmsSensFadType & modelVar_ALP2L2_i,
   AdmsSensFadType & modelVar_TOXO_i,
   AdmsSensFadType & modelVar_TOXOVO_i,
   AdmsSensFadType & modelVar_TOXOVDO_i,
   AdmsSensFadType & modelVar_EPSROXO_i,
   AdmsSensFadType & modelVar_RINT_i,
   AdmsSensFadType & modelVar_RVPOLY_i,
   AdmsSensFadType & modelVar_RSHG_i,
   AdmsSensFadType & modelVar_RSH_i,
   AdmsSensFadType & modelVar_RSHD_i,
   AdmsSensFadType & modelVar_SAREF_i,
   AdmsSensFadType & modelVar_SBREF_i,
   AdmsSensFadType & modelVar_KVSAT_i,
   AdmsSensFadType & modelVar_LLODKUO_i,
   AdmsSensFadType & modelVar_WLODKUO_i,
   AdmsSensFadType & modelVar_LLODVTH_i,
   AdmsSensFadType & modelVar_WLODVTH_i,
   AdmsSensFadType & modelVar_LODETAO_i,
   AdmsSensFadType & modelVar_SCREF_i,
   AdmsSensFadType & modelVar_WEB_i,
   AdmsSensFadType & modelVar_WEC_i,
   AdmsSensFadType & modelVar_QMC_i,
   AdmsSensFadType & modelVar_TKD,
   AdmsSensFadType & modelVar_dT,
   AdmsSensFadType & modelVar_rT,
   AdmsSensFadType & modelVar_rTn,
   AdmsSensFadType & modelVar_EPSSI,
   AdmsSensFadType & modelVar_phit,
   AdmsSensFadType & modelVar_inv_phit,
   AdmsSensFadType & modelVar_Eg,
   AdmsSensFadType & modelVar_phibFac,
   AdmsSensFadType & modelVar_nt0,
   AdmsSensFadType & modelVar_IMAX_i,
   AdmsSensFadType & modelVar_CJORBOT_i,
   AdmsSensFadType & modelVar_CJORSTI_i,
   AdmsSensFadType & modelVar_CJORGAT_i,
   AdmsSensFadType & modelVar_VBIRBOT_i,
   AdmsSensFadType & modelVar_VBIRSTI_i,
   AdmsSensFadType & modelVar_VBIRGAT_i,
   AdmsSensFadType & modelVar_PBOT_i,
   AdmsSensFadType & modelVar_PSTI_i,
   AdmsSensFadType & modelVar_PGAT_i,
   AdmsSensFadType & modelVar_PHIGBOT_i,
   AdmsSensFadType & modelVar_PHIGSTI_i,
   AdmsSensFadType & modelVar_PHIGGAT_i,
   AdmsSensFadType & modelVar_IDSATRBOT_i,
   AdmsSensFadType & modelVar_IDSATRSTI_i,
   AdmsSensFadType & modelVar_IDSATRGAT_i,
   AdmsSensFadType & modelVar_XJUNSTI_i,
   AdmsSensFadType & modelVar_XJUNGAT_i,
   AdmsSensFadType & modelVar_CSRHBOT_i,
   AdmsSensFadType & modelVar_CSRHSTI_i,
   AdmsSensFadType & modelVar_CSRHGAT_i,
   AdmsSensFadType & modelVar_CTATBOT_i,
   AdmsSensFadType & modelVar_CTATSTI_i,
   AdmsSensFadType & modelVar_CTATGAT_i,
   AdmsSensFadType & modelVar_MEFFTATBOT_i,
   AdmsSensFadType & modelVar_MEFFTATSTI_i,
   AdmsSensFadType & modelVar_MEFFTATGAT_i,
   AdmsSensFadType & modelVar_CBBTBOT_i,
   AdmsSensFadType & modelVar_CBBTSTI_i,
   AdmsSensFadType & modelVar_CBBTGAT_i,
   AdmsSensFadType & modelVar_FBBTRBOT_i,
   AdmsSensFadType & modelVar_FBBTRSTI_i,
   AdmsSensFadType & modelVar_FBBTRGAT_i,
   AdmsSensFadType & modelVar_STFBBTBOT_i,
   AdmsSensFadType & modelVar_STFBBTSTI_i,
   AdmsSensFadType & modelVar_STFBBTGAT_i,
   AdmsSensFadType & modelVar_VBRBOT_i,
   AdmsSensFadType & modelVar_VBRSTI_i,
   AdmsSensFadType & modelVar_VBRGAT_i,
   AdmsSensFadType & modelVar_PBRBOT_i,
   AdmsSensFadType & modelVar_PBRSTI_i,
   AdmsSensFadType & modelVar_PBRGAT_i,
   AdmsSensFadType & modelVar_SWJUNEXP_i,
   AdmsSensFadType & modelVar_VJUNREF_i,
   AdmsSensFadType & modelVar_FJUNQ_i,
   AdmsSensFadType & modelVar_phitr,
   AdmsSensFadType & modelVar_phitd,
   AdmsSensFadType & modelVar_phitdinv,
   AdmsSensFadType & modelVar_perfc,
   AdmsSensFadType & modelVar_berfc,
   AdmsSensFadType & modelVar_cerfc,
   AdmsSensFadType & modelVar_phigrbot,
   AdmsSensFadType & modelVar_phigrsti,
   AdmsSensFadType & modelVar_phigrgat,
   AdmsSensFadType & modelVar_phigdbot,
   AdmsSensFadType & modelVar_phigdsti,
   AdmsSensFadType & modelVar_phigdgat,
   AdmsSensFadType & modelVar_ftdbot,
   AdmsSensFadType & modelVar_ftdsti,
   AdmsSensFadType & modelVar_ftdgat,
   AdmsSensFadType & modelVar_idsatbot,
   AdmsSensFadType & modelVar_idsatsti,
   AdmsSensFadType & modelVar_idsatgat,
   AdmsSensFadType & modelVar_ubibot,
   AdmsSensFadType & modelVar_ubisti,
   AdmsSensFadType & modelVar_ubigat,
   AdmsSensFadType & modelVar_vbibot,
   AdmsSensFadType & modelVar_vbisti,
   AdmsSensFadType & modelVar_vbigat,
   AdmsSensFadType & modelVar_vbiinvbot,
   AdmsSensFadType & modelVar_vbiinvsti,
   AdmsSensFadType & modelVar_vbiinvgat,
   AdmsSensFadType & modelVar_one_minus_PBOT,
   AdmsSensFadType & modelVar_one_minus_PSTI,
   AdmsSensFadType & modelVar_one_minus_PGAT,
   AdmsSensFadType & modelVar_one_over_one_minus_PBOT,
   AdmsSensFadType & modelVar_one_over_one_minus_PSTI,
   AdmsSensFadType & modelVar_one_over_one_minus_PGAT,
   AdmsSensFadType & modelVar_cjobot,
   AdmsSensFadType & modelVar_cjosti,
   AdmsSensFadType & modelVar_cjogat,
   AdmsSensFadType & modelVar_qprefbot,
   AdmsSensFadType & modelVar_qprefsti,
   AdmsSensFadType & modelVar_qprefgat,
   AdmsSensFadType & modelVar_qpref2bot,
   AdmsSensFadType & modelVar_qpref2sti,
   AdmsSensFadType & modelVar_qpref2gat,
   AdmsSensFadType & modelVar_wdepnulrbot,
   AdmsSensFadType & modelVar_wdepnulrsti,
   AdmsSensFadType & modelVar_wdepnulrgat,
   AdmsSensFadType & modelVar_wdepnulrinvbot,
   AdmsSensFadType & modelVar_wdepnulrinvsti,
   AdmsSensFadType & modelVar_wdepnulrinvgat,
   AdmsSensFadType & modelVar_VBIRBOTinv,
   AdmsSensFadType & modelVar_VBIRSTIinv,
   AdmsSensFadType & modelVar_VBIRGATinv,
   AdmsSensFadType & modelVar_deltaEbot,
   AdmsSensFadType & modelVar_deltaEsti,
   AdmsSensFadType & modelVar_deltaEgat,
   AdmsSensFadType & modelVar_atatbot,
   AdmsSensFadType & modelVar_atatsti,
   AdmsSensFadType & modelVar_atatgat,
   AdmsSensFadType & modelVar_btatpartbot,
   AdmsSensFadType & modelVar_btatpartsti,
   AdmsSensFadType & modelVar_btatpartgat,
   AdmsSensFadType & modelVar_fbbtbot,
   AdmsSensFadType & modelVar_fbbtsti,
   AdmsSensFadType & modelVar_fbbtgat,
   AdmsSensFadType & modelVar_fstopbot,
   AdmsSensFadType & modelVar_fstopsti,
   AdmsSensFadType & modelVar_fstopgat,
   AdmsSensFadType & modelVar_VBRinvbot,
   AdmsSensFadType & modelVar_VBRinvsti,
   AdmsSensFadType & modelVar_VBRinvgat,
   AdmsSensFadType & modelVar_slopebot,
   AdmsSensFadType & modelVar_slopesti,
   AdmsSensFadType & modelVar_slopegat,
   AdmsSensFadType & modelVar_CJORBOTS_i,
   AdmsSensFadType & modelVar_CJORSTIS_i,
   AdmsSensFadType & modelVar_CJORGATS_i,
   AdmsSensFadType & modelVar_VBIRBOTS_i,
   AdmsSensFadType & modelVar_VBIRSTIS_i,
   AdmsSensFadType & modelVar_VBIRGATS_i,
   AdmsSensFadType & modelVar_PBOTS_i,
   AdmsSensFadType & modelVar_PSTIS_i,
   AdmsSensFadType & modelVar_PGATS_i,
   AdmsSensFadType & modelVar_PHIGBOTS_i,
   AdmsSensFadType & modelVar_PHIGSTIS_i,
   AdmsSensFadType & modelVar_PHIGGATS_i,
   AdmsSensFadType & modelVar_IDSATRBOTS_i,
   AdmsSensFadType & modelVar_IDSATRSTIS_i,
   AdmsSensFadType & modelVar_IDSATRGATS_i,
   AdmsSensFadType & modelVar_XJUNSTIS_i,
   AdmsSensFadType & modelVar_XJUNGATS_i,
   AdmsSensFadType & modelVar_CSRHBOTS_i,
   AdmsSensFadType & modelVar_CSRHSTIS_i,
   AdmsSensFadType & modelVar_CSRHGATS_i,
   AdmsSensFadType & modelVar_CTATBOTS_i,
   AdmsSensFadType & modelVar_CTATSTIS_i,
   AdmsSensFadType & modelVar_CTATGATS_i,
   AdmsSensFadType & modelVar_MEFFTATBOTS_i,
   AdmsSensFadType & modelVar_MEFFTATSTIS_i,
   AdmsSensFadType & modelVar_MEFFTATGATS_i,
   AdmsSensFadType & modelVar_CBBTBOTS_i,
   AdmsSensFadType & modelVar_CBBTSTIS_i,
   AdmsSensFadType & modelVar_CBBTGATS_i,
   AdmsSensFadType & modelVar_FBBTRBOTS_i,
   AdmsSensFadType & modelVar_FBBTRSTIS_i,
   AdmsSensFadType & modelVar_FBBTRGATS_i,
   AdmsSensFadType & modelVar_STFBBTBOTS_i,
   AdmsSensFadType & modelVar_STFBBTSTIS_i,
   AdmsSensFadType & modelVar_STFBBTGATS_i,
   AdmsSensFadType & modelVar_VBRBOTS_i,
   AdmsSensFadType & modelVar_VBRSTIS_i,
   AdmsSensFadType & modelVar_VBRGATS_i,
   AdmsSensFadType & modelVar_PBRBOTS_i,
   AdmsSensFadType & modelVar_PBRSTIS_i,
   AdmsSensFadType & modelVar_PBRGATS_i,
   AdmsSensFadType & modelVar_CJORBOTD_i,
   AdmsSensFadType & modelVar_CJORSTID_i,
   AdmsSensFadType & modelVar_CJORGATD_i,
   AdmsSensFadType & modelVar_VBIRBOTD_i,
   AdmsSensFadType & modelVar_VBIRSTID_i,
   AdmsSensFadType & modelVar_VBIRGATD_i,
   AdmsSensFadType & modelVar_PBOTD_i,
   AdmsSensFadType & modelVar_PSTID_i,
   AdmsSensFadType & modelVar_PGATD_i,
   AdmsSensFadType & modelVar_PHIGBOTD_i,
   AdmsSensFadType & modelVar_PHIGSTID_i,
   AdmsSensFadType & modelVar_PHIGGATD_i,
   AdmsSensFadType & modelVar_IDSATRBOTD_i,
   AdmsSensFadType & modelVar_IDSATRSTID_i,
   AdmsSensFadType & modelVar_IDSATRGATD_i,
   AdmsSensFadType & modelVar_XJUNSTID_i,
   AdmsSensFadType & modelVar_XJUNGATD_i,
   AdmsSensFadType & modelVar_CSRHBOTD_i,
   AdmsSensFadType & modelVar_CSRHSTID_i,
   AdmsSensFadType & modelVar_CSRHGATD_i,
   AdmsSensFadType & modelVar_CTATBOTD_i,
   AdmsSensFadType & modelVar_CTATSTID_i,
   AdmsSensFadType & modelVar_CTATGATD_i,
   AdmsSensFadType & modelVar_MEFFTATBOTD_i,
   AdmsSensFadType & modelVar_MEFFTATSTID_i,
   AdmsSensFadType & modelVar_MEFFTATGATD_i,
   AdmsSensFadType & modelVar_CBBTBOTD_i,
   AdmsSensFadType & modelVar_CBBTSTID_i,
   AdmsSensFadType & modelVar_CBBTGATD_i,
   AdmsSensFadType & modelVar_FBBTRBOTD_i,
   AdmsSensFadType & modelVar_FBBTRSTID_i,
   AdmsSensFadType & modelVar_FBBTRGATD_i,
   AdmsSensFadType & modelVar_STFBBTBOTD_i,
   AdmsSensFadType & modelVar_STFBBTSTID_i,
   AdmsSensFadType & modelVar_STFBBTGATD_i,
   AdmsSensFadType & modelVar_VBRBOTD_i,
   AdmsSensFadType & modelVar_VBRSTID_i,
   AdmsSensFadType & modelVar_VBRGATD_i,
   AdmsSensFadType & modelVar_PBRBOTD_i,
   AdmsSensFadType & modelVar_PBRSTID_i,
   AdmsSensFadType & modelVar_PBRGATD_i,
   AdmsSensFadType & modelVar_VJUNREFS_i,
   AdmsSensFadType & modelVar_FJUNQS_i,
   AdmsSensFadType & modelVar_VJUNREFD_i,
   AdmsSensFadType & modelVar_FJUNQD_i,
   AdmsSensFadType & modelVar_phigrbot_s,
   AdmsSensFadType & modelVar_phigrsti_s,
   AdmsSensFadType & modelVar_phigrgat_s,
   AdmsSensFadType & modelVar_phigdbot_s,
   AdmsSensFadType & modelVar_phigdsti_s,
   AdmsSensFadType & modelVar_phigdgat_s,
   AdmsSensFadType & modelVar_ftdbot_s,
   AdmsSensFadType & modelVar_ftdsti_s,
   AdmsSensFadType & modelVar_ftdgat_s,
   AdmsSensFadType & modelVar_idsatbot_s,
   AdmsSensFadType & modelVar_idsatsti_s,
   AdmsSensFadType & modelVar_idsatgat_s,
   AdmsSensFadType & modelVar_ubibot_s,
   AdmsSensFadType & modelVar_ubisti_s,
   AdmsSensFadType & modelVar_ubigat_s,
   AdmsSensFadType & modelVar_vbibot_s,
   AdmsSensFadType & modelVar_vbisti_s,
   AdmsSensFadType & modelVar_vbigat_s,
   AdmsSensFadType & modelVar_vbiinvbot_s,
   AdmsSensFadType & modelVar_vbiinvsti_s,
   AdmsSensFadType & modelVar_vbiinvgat_s,
   AdmsSensFadType & modelVar_one_minus_PBOT_s,
   AdmsSensFadType & modelVar_one_minus_PSTI_s,
   AdmsSensFadType & modelVar_one_minus_PGAT_s,
   AdmsSensFadType & modelVar_one_over_one_minus_PBOT_s,
   AdmsSensFadType & modelVar_one_over_one_minus_PSTI_s,
   AdmsSensFadType & modelVar_one_over_one_minus_PGAT_s,
   AdmsSensFadType & modelVar_cjobot_s,
   AdmsSensFadType & modelVar_cjosti_s,
   AdmsSensFadType & modelVar_cjogat_s,
   AdmsSensFadType & modelVar_qprefbot_s,
   AdmsSensFadType & modelVar_qprefsti_s,
   AdmsSensFadType & modelVar_qprefgat_s,
   AdmsSensFadType & modelVar_qpref2bot_s,
   AdmsSensFadType & modelVar_qpref2sti_s,
   AdmsSensFadType & modelVar_qpref2gat_s,
   AdmsSensFadType & modelVar_wdepnulrbot_s,
   AdmsSensFadType & modelVar_wdepnulrsti_s,
   AdmsSensFadType & modelVar_wdepnulrgat_s,
   AdmsSensFadType & modelVar_wdepnulrinvbot_s,
   AdmsSensFadType & modelVar_wdepnulrinvsti_s,
   AdmsSensFadType & modelVar_wdepnulrinvgat_s,
   AdmsSensFadType & modelVar_VBIRBOTinv_s,
   AdmsSensFadType & modelVar_VBIRSTIinv_s,
   AdmsSensFadType & modelVar_VBIRGATinv_s,
   AdmsSensFadType & modelVar_deltaEbot_s,
   AdmsSensFadType & modelVar_deltaEsti_s,
   AdmsSensFadType & modelVar_deltaEgat_s,
   AdmsSensFadType & modelVar_atatbot_s,
   AdmsSensFadType & modelVar_atatsti_s,
   AdmsSensFadType & modelVar_atatgat_s,
   AdmsSensFadType & modelVar_btatpartbot_s,
   AdmsSensFadType & modelVar_btatpartsti_s,
   AdmsSensFadType & modelVar_btatpartgat_s,
   AdmsSensFadType & modelVar_fbbtbot_s,
   AdmsSensFadType & modelVar_fbbtsti_s,
   AdmsSensFadType & modelVar_fbbtgat_s,
   AdmsSensFadType & modelVar_fstopbot_s,
   AdmsSensFadType & modelVar_fstopsti_s,
   AdmsSensFadType & modelVar_fstopgat_s,
   AdmsSensFadType & modelVar_VBRinvbot_s,
   AdmsSensFadType & modelVar_VBRinvsti_s,
   AdmsSensFadType & modelVar_VBRinvgat_s,
   AdmsSensFadType & modelVar_slopebot_s,
   AdmsSensFadType & modelVar_slopesti_s,
   AdmsSensFadType & modelVar_slopegat_s,
   AdmsSensFadType & modelVar_phigrbot_d,
   AdmsSensFadType & modelVar_phigrsti_d,
   AdmsSensFadType & modelVar_phigrgat_d,
   AdmsSensFadType & modelVar_phigdbot_d,
   AdmsSensFadType & modelVar_phigdsti_d,
   AdmsSensFadType & modelVar_phigdgat_d,
   AdmsSensFadType & modelVar_ftdbot_d,
   AdmsSensFadType & modelVar_ftdsti_d,
   AdmsSensFadType & modelVar_ftdgat_d,
   AdmsSensFadType & modelVar_idsatbot_d,
   AdmsSensFadType & modelVar_idsatsti_d,
   AdmsSensFadType & modelVar_idsatgat_d,
   AdmsSensFadType & modelVar_ubibot_d,
   AdmsSensFadType & modelVar_ubisti_d,
   AdmsSensFadType & modelVar_ubigat_d,
   AdmsSensFadType & modelVar_vbibot_d,
   AdmsSensFadType & modelVar_vbisti_d,
   AdmsSensFadType & modelVar_vbigat_d,
   AdmsSensFadType & modelVar_vbiinvbot_d,
   AdmsSensFadType & modelVar_vbiinvsti_d,
   AdmsSensFadType & modelVar_vbiinvgat_d,
   AdmsSensFadType & modelVar_one_minus_PBOT_d,
   AdmsSensFadType & modelVar_one_minus_PSTI_d,
   AdmsSensFadType & modelVar_one_minus_PGAT_d,
   AdmsSensFadType & modelVar_one_over_one_minus_PBOT_d,
   AdmsSensFadType & modelVar_one_over_one_minus_PSTI_d,
   AdmsSensFadType & modelVar_one_over_one_minus_PGAT_d,
   AdmsSensFadType & modelVar_cjobot_d,
   AdmsSensFadType & modelVar_cjosti_d,
   AdmsSensFadType & modelVar_cjogat_d,
   AdmsSensFadType & modelVar_qprefbot_d,
   AdmsSensFadType & modelVar_qprefsti_d,
   AdmsSensFadType & modelVar_qprefgat_d,
   AdmsSensFadType & modelVar_qpref2bot_d,
   AdmsSensFadType & modelVar_qpref2sti_d,
   AdmsSensFadType & modelVar_qpref2gat_d,
   AdmsSensFadType & modelVar_wdepnulrbot_d,
   AdmsSensFadType & modelVar_wdepnulrsti_d,
   AdmsSensFadType & modelVar_wdepnulrgat_d,
   AdmsSensFadType & modelVar_wdepnulrinvbot_d,
   AdmsSensFadType & modelVar_wdepnulrinvsti_d,
   AdmsSensFadType & modelVar_wdepnulrinvgat_d,
   AdmsSensFadType & modelVar_VBIRBOTinv_d,
   AdmsSensFadType & modelVar_VBIRSTIinv_d,
   AdmsSensFadType & modelVar_VBIRGATinv_d,
   AdmsSensFadType & modelVar_deltaEbot_d,
   AdmsSensFadType & modelVar_deltaEsti_d,
   AdmsSensFadType & modelVar_deltaEgat_d,
   AdmsSensFadType & modelVar_atatbot_d,
   AdmsSensFadType & modelVar_atatsti_d,
   AdmsSensFadType & modelVar_atatgat_d,
   AdmsSensFadType & modelVar_btatpartbot_d,
   AdmsSensFadType & modelVar_btatpartsti_d,
   AdmsSensFadType & modelVar_btatpartgat_d,
   AdmsSensFadType & modelVar_fbbtbot_d,
   AdmsSensFadType & modelVar_fbbtsti_d,
   AdmsSensFadType & modelVar_fbbtgat_d,
   AdmsSensFadType & modelVar_fstopbot_d,
   AdmsSensFadType & modelVar_fstopsti_d,
   AdmsSensFadType & modelVar_fstopgat_d,
   AdmsSensFadType & modelVar_VBRinvbot_d,
   AdmsSensFadType & modelVar_VBRinvsti_d,
   AdmsSensFadType & modelVar_VBRinvgat_d,
   AdmsSensFadType & modelVar_slopebot_d,
   AdmsSensFadType & modelVar_slopesti_d,
   AdmsSensFadType & modelVar_slopegat_d,
   // non-reals
   int modelVar_CHNL_TYPE,
   int modelVar_SWGEO_i,
   int modelVar_SWIGATE_i,
   int modelVar_SWIMPACT_i,
   int modelVar_SWGIDL_i,
   int modelVar_SWJUNCAP_i,
   int modelVar_SWJUNASYM_i,
   int modelVar_SWNUD_i,
   int modelVar_SWDELVTAC_i,
   double admsTemperature)
{
  AdmsSensFadType deltaphigd;
  AdmsSensFadType deltaphigr;
  AdmsSensFadType phitrinv;
  double KBOL_over_QELE;
  AdmsSensFadType auxt;
  AdmsSensFadType tkd;
  AdmsSensFadType tkr;
  AdmsSensFadType TRJ_i;
  AdmsSensFadType TKD_sq;
  AdmsSensFadType TKR;
  AdmsSensFadType TR_i;
  //Begin block initial_model
  {
    if ((modelPar_TYPE>=0))
    {
      modelVar_CHNL_TYPE = (+1);
    }
    else
    {
      modelVar_CHNL_TYPE = (-1);
    }
    modelVar_SWGEO_i = ADMSfloor((adms_ternary_op<AdmsSensFadType>((modelPar_SWGEO>0.0),adms_ternary_op<AdmsSensFadType>((modelPar_SWGEO<2.0),modelPar_SWGEO,2.0),0.0)+0.5));
    modelVar_SWIGATE_i = ADMSfloor((adms_ternary_op<AdmsSensFadType>((modelPar_SWIGATE>0.0),adms_ternary_op<AdmsSensFadType>((modelPar_SWIGATE<1.0),modelPar_SWIGATE,1.0),0.0)+0.5));
    modelVar_SWIMPACT_i = ADMSfloor((adms_ternary_op<AdmsSensFadType>((modelPar_SWIMPACT>0.0),adms_ternary_op<AdmsSensFadType>((modelPar_SWIMPACT<1.0),modelPar_SWIMPACT,1.0),0.0)+0.5));
    modelVar_SWGIDL_i = ADMSfloor((adms_ternary_op<AdmsSensFadType>((modelPar_SWGIDL>0.0),adms_ternary_op<AdmsSensFadType>((modelPar_SWGIDL<1.0),modelPar_SWGIDL,1.0),0.0)+0.5));
    modelVar_SWJUNCAP_i = ADMSfloor((adms_ternary_op<AdmsSensFadType>((modelPar_SWJUNCAP>0.0),adms_ternary_op<AdmsSensFadType>((modelPar_SWJUNCAP<3.0),modelPar_SWJUNCAP,3.0),0.0)+0.5));
    modelVar_SWJUNASYM_i = ADMSfloor((adms_ternary_op<AdmsSensFadType>((modelPar_SWJUNASYM>0.0),adms_ternary_op<AdmsSensFadType>((modelPar_SWJUNASYM<1.0),modelPar_SWJUNASYM,1.0),0.0)+0.5));
    modelVar_SWNUD_i = ADMSfloor((adms_ternary_op<AdmsSensFadType>((modelPar_SWNUD>0.0),adms_ternary_op<AdmsSensFadType>((modelPar_SWNUD<2.0),modelPar_SWNUD,2.0),0.0)+0.5));
    modelVar_SWDELVTAC_i = ADMSfloor((adms_ternary_op<AdmsSensFadType>((modelPar_SWDELVTAC>0.0),adms_ternary_op<AdmsSensFadType>((modelPar_SWDELVTAC<1.0),modelPar_SWDELVTAC,1.0),0.0)+0.5));
    modelVar_QMC_i = adms_ternary_op<AdmsSensFadType>((modelPar_QMC>0.0),modelPar_QMC,0.0);
    modelVar_TOXO_i = adms_ternary_op<AdmsSensFadType>((modelPar_TOXO>1e-10),modelPar_TOXO,1e-10);
    modelVar_EPSROXO_i = adms_ternary_op<AdmsSensFadType>((modelPar_EPSROXO>1.0),modelPar_EPSROXO,1.0);
    modelVar_NSUBO_i = adms_ternary_op<AdmsSensFadType>((modelPar_NSUBO>1e20),modelPar_NSUBO,1e20);
    modelVar_WSEG_i = adms_ternary_op<AdmsSensFadType>((modelPar_WSEG>1e-10),modelPar_WSEG,1e-10);
    modelVar_NPCK_i = adms_ternary_op<AdmsSensFadType>((modelPar_NPCK>0.0),modelPar_NPCK,0.0);
    modelVar_WSEGP_i = adms_ternary_op<AdmsSensFadType>((modelPar_WSEGP>1e-10),modelPar_WSEGP,1e-10);
    modelVar_LPCK_i = adms_ternary_op<AdmsSensFadType>((modelPar_LPCK>1e-10),modelPar_LPCK,1e-10);
    modelVar_TOXOVO_i = adms_ternary_op<AdmsSensFadType>((modelPar_TOXOVO>1e-10),modelPar_TOXOVO,1e-10);
    modelVar_TOXOVDO_i = adms_ternary_op<AdmsSensFadType>((modelPar_TOXOVDO>1e-10),modelPar_TOXOVDO,1e-10);
    modelVar_LOV_i = adms_ternary_op<AdmsSensFadType>((modelPar_LOV>0.0),modelPar_LOV,0.0);
    modelVar_LOVD_i = adms_ternary_op<AdmsSensFadType>((modelPar_LOVD>0.0),modelPar_LOVD,0.0);
    modelVar_LP1_i = adms_ternary_op<AdmsSensFadType>((modelPar_LP1>1e-10),modelPar_LP1,1e-10);
    modelVar_LP2_i = adms_ternary_op<AdmsSensFadType>((modelPar_LP2>1e-10),modelPar_LP2,1e-10);
    modelVar_WBET_i = adms_ternary_op<AdmsSensFadType>((modelPar_WBET>1e-10),modelPar_WBET,1e-10);
    modelVar_AXL_i = adms_ternary_op<AdmsSensFadType>((modelPar_AXL>0.0),modelPar_AXL,0.0);
    modelVar_ALP1L2_i = adms_ternary_op<AdmsSensFadType>((modelPar_ALP1L2>0.0),modelPar_ALP1L2,0.0);
    modelVar_ALP2L2_i = adms_ternary_op<AdmsSensFadType>((modelPar_ALP2L2>0.0),modelPar_ALP2L2,0.0);
    modelVar_SAREF_i = adms_ternary_op<AdmsSensFadType>((modelPar_SAREF>1e-9),modelPar_SAREF,1e-9);
    modelVar_SBREF_i = adms_ternary_op<AdmsSensFadType>((modelPar_SBREF>1e-9),modelPar_SBREF,1e-9);
    modelVar_KVSAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_KVSAT>(-1.0)),adms_ternary_op<AdmsSensFadType>((modelPar_KVSAT<1.0),modelPar_KVSAT,1.0),(-1.0));
    modelVar_LLODKUO_i = adms_ternary_op<AdmsSensFadType>((modelPar_LLODKUO>0.0),modelPar_LLODKUO,0.0);
    modelVar_WLODKUO_i = adms_ternary_op<AdmsSensFadType>((modelPar_WLODKUO>0.0),modelPar_WLODKUO,0.0);
    modelVar_LLODVTH_i = adms_ternary_op<AdmsSensFadType>((modelPar_LLODVTH>0.0),modelPar_LLODVTH,0.0);
    modelVar_WLODVTH_i = adms_ternary_op<AdmsSensFadType>((modelPar_WLODVTH>0.0),modelPar_WLODVTH,0.0);
    modelVar_LODETAO_i = adms_ternary_op<AdmsSensFadType>((modelPar_LODETAO>0.0),modelPar_LODETAO,0.0);
    modelVar_SCREF_i = adms_ternary_op<AdmsSensFadType>((modelPar_SCREF>0.0),modelPar_SCREF,0.0);
    modelVar_WEB_i = modelPar_WEB;
    modelVar_WEC_i = modelPar_WEC;
    modelVar_RSHG_i = adms_ternary_op<AdmsSensFadType>((modelPar_RSHG>0.0),modelPar_RSHG,0.0);
    modelVar_RSH_i = adms_ternary_op<AdmsSensFadType>((modelPar_RSH>0.0),modelPar_RSH,0.0);
    modelVar_RSHD_i = adms_ternary_op<AdmsSensFadType>((modelPar_RSHD>0.0),modelPar_RSHD,0.0);
    modelVar_RINT_i = adms_ternary_op<AdmsSensFadType>((modelPar_RINT>0.0),modelPar_RINT,0.0);
    modelVar_RVPOLY_i = adms_ternary_op<AdmsSensFadType>((modelPar_RVPOLY>0.0),modelPar_RVPOLY,0.0);
    TR_i = adms_ternary_op<AdmsSensFadType>((modelPar_TR>(-273)),modelPar_TR,(-273));
    TKR = (273.15+TR_i);
    modelVar_TKD = (admsTemperature+modelPar_DTA);
    TKD_sq = (modelVar_TKD*modelVar_TKD);
    modelVar_dT = (modelVar_TKD-TKR);
    modelVar_rT = (modelVar_TKD/TKR);
    modelVar_rTn = (TKR/modelVar_TKD);
    modelVar_phit = ((modelVar_TKD*1.3806505E-23)/1.6021918E-19);
    modelVar_inv_phit = (1.0/modelVar_phit);
    modelVar_Eg = ((1.179-(9.025e-5*modelVar_TKD))-(3.05e-7*TKD_sq));
    modelVar_phibFac = ((((1.045+(4.5e-4*modelVar_TKD))*((0.523+(1.4e-3*modelVar_TKD))-(1.48e-6*TKD_sq)))*TKD_sq)/9.0E4);
    modelVar_phibFac = adms_ternary_op<AdmsSensFadType>((modelVar_phibFac>1.0E-3),modelVar_phibFac,1.0E-3);
    modelVar_EPSSI = (8.8541878176E-12*11.8);
    modelVar_nt0 = ((4*1.3806505E-23)*modelVar_TKD);
    TRJ_i = adms_ternary_op<AdmsSensFadType>((modelPar_TRJ>(-250)),modelPar_TRJ,(-250));
    modelVar_IMAX_i = adms_ternary_op<AdmsSensFadType>((modelPar_IMAX>1E-12),modelPar_IMAX,1E-12);
    modelVar_CJORBOT_i = adms_ternary_op<AdmsSensFadType>((modelPar_CJORBOT>1E-12),modelPar_CJORBOT,1E-12);
    modelVar_CJORSTI_i = adms_ternary_op<AdmsSensFadType>((modelPar_CJORSTI>1E-18),modelPar_CJORSTI,1E-18);
    modelVar_CJORGAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_CJORGAT>1E-18),modelPar_CJORGAT,1E-18);
    modelVar_VBIRBOT_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBIRBOT>0.050),modelPar_VBIRBOT,0.050);
    modelVar_VBIRSTI_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBIRSTI>0.050),modelPar_VBIRSTI,0.050);
    modelVar_VBIRGAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBIRGAT>0.050),modelPar_VBIRGAT,0.050);
    modelVar_PBOT_i = adms_ternary_op<AdmsSensFadType>((modelPar_PBOT>0.05),adms_ternary_op<AdmsSensFadType>((modelPar_PBOT<0.95),modelPar_PBOT,0.95),0.05);
    modelVar_PSTI_i = adms_ternary_op<AdmsSensFadType>((modelPar_PSTI>0.05),adms_ternary_op<AdmsSensFadType>((modelPar_PSTI<0.95),modelPar_PSTI,0.95),0.05);
    modelVar_PGAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_PGAT>0.05),adms_ternary_op<AdmsSensFadType>((modelPar_PGAT<0.95),modelPar_PGAT,0.95),0.05);
    modelVar_PHIGBOT_i = modelPar_PHIGBOT;
    modelVar_PHIGSTI_i = modelPar_PHIGSTI;
    modelVar_PHIGGAT_i = modelPar_PHIGGAT;
    modelVar_IDSATRBOT_i = adms_ternary_op<AdmsSensFadType>((modelPar_IDSATRBOT>0),modelPar_IDSATRBOT,0);
    modelVar_IDSATRSTI_i = adms_ternary_op<AdmsSensFadType>((modelPar_IDSATRSTI>0),modelPar_IDSATRSTI,0);
    modelVar_IDSATRGAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_IDSATRGAT>0),modelPar_IDSATRGAT,0);
    modelVar_CSRHBOT_i = adms_ternary_op<AdmsSensFadType>((modelPar_CSRHBOT>0),modelPar_CSRHBOT,0);
    modelVar_CSRHSTI_i = adms_ternary_op<AdmsSensFadType>((modelPar_CSRHSTI>0),modelPar_CSRHSTI,0);
    modelVar_CSRHGAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_CSRHGAT>0),modelPar_CSRHGAT,0);
    modelVar_XJUNSTI_i = adms_ternary_op<AdmsSensFadType>((modelPar_XJUNSTI>1E-9),modelPar_XJUNSTI,1E-9);
    modelVar_XJUNGAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_XJUNGAT>1E-9),modelPar_XJUNGAT,1E-9);
    modelVar_CTATBOT_i = adms_ternary_op<AdmsSensFadType>((modelPar_CTATBOT>0),modelPar_CTATBOT,0);
    modelVar_CTATSTI_i = adms_ternary_op<AdmsSensFadType>((modelPar_CTATSTI>0),modelPar_CTATSTI,0);
    modelVar_CTATGAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_CTATGAT>0),modelPar_CTATGAT,0);
    modelVar_MEFFTATBOT_i = adms_ternary_op<AdmsSensFadType>((modelPar_MEFFTATBOT>0.01),modelPar_MEFFTATBOT,0.01);
    modelVar_MEFFTATSTI_i = adms_ternary_op<AdmsSensFadType>((modelPar_MEFFTATSTI>0.01),modelPar_MEFFTATSTI,0.01);
    modelVar_MEFFTATGAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_MEFFTATGAT>0.01),modelPar_MEFFTATGAT,0.01);
    modelVar_CBBTBOT_i = adms_ternary_op<AdmsSensFadType>((modelPar_CBBTBOT>0),modelPar_CBBTBOT,0);
    modelVar_CBBTSTI_i = adms_ternary_op<AdmsSensFadType>((modelPar_CBBTSTI>0),modelPar_CBBTSTI,0);
    modelVar_CBBTGAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_CBBTGAT>0),modelPar_CBBTGAT,0);
    modelVar_FBBTRBOT_i = modelPar_FBBTRBOT;
    modelVar_FBBTRSTI_i = modelPar_FBBTRSTI;
    modelVar_FBBTRGAT_i = modelPar_FBBTRGAT;
    modelVar_STFBBTBOT_i = modelPar_STFBBTBOT;
    modelVar_STFBBTSTI_i = modelPar_STFBBTSTI;
    modelVar_STFBBTGAT_i = modelPar_STFBBTGAT;
    modelVar_VBRBOT_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBRBOT>0.1),modelPar_VBRBOT,0.1);
    modelVar_VBRSTI_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBRSTI>0.1),modelPar_VBRSTI,0.1);
    modelVar_VBRGAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBRGAT>0.1),modelPar_VBRGAT,0.1);
    modelVar_PBRBOT_i = adms_ternary_op<AdmsSensFadType>((modelPar_PBRBOT>0.1),modelPar_PBRBOT,0.1);
    modelVar_PBRSTI_i = adms_ternary_op<AdmsSensFadType>((modelPar_PBRSTI>0.1),modelPar_PBRSTI,0.1);
    modelVar_PBRGAT_i = adms_ternary_op<AdmsSensFadType>((modelPar_PBRGAT>0.1),modelPar_PBRGAT,0.1);
    modelVar_SWJUNEXP_i = 0.0;
    if ((modelPar_SWJUNEXP>0.5))
    {
      modelVar_SWJUNEXP_i = 1.0;
    }
    else
    {
      modelVar_SWJUNEXP_i = 0.0;
    }
    modelVar_VJUNREF_i = adms_ternary_op<AdmsSensFadType>((modelPar_VJUNREF>0.5),modelPar_VJUNREF,0.5);
    modelVar_FJUNQ_i = adms_ternary_op<AdmsSensFadType>((modelPar_FJUNQ>0.0),modelPar_FJUNQ,0.0);
    modelVar_CJORBOTS_i = modelVar_CJORBOT_i;
    modelVar_CJORSTIS_i = modelVar_CJORSTI_i;
    modelVar_CJORGATS_i = modelVar_CJORGAT_i;
    modelVar_VBIRBOTS_i = modelVar_VBIRBOT_i;
    modelVar_VBIRSTIS_i = modelVar_VBIRSTI_i;
    modelVar_VBIRGATS_i = modelVar_VBIRGAT_i;
    modelVar_PBOTS_i = modelVar_PBOT_i;
    modelVar_PSTIS_i = modelVar_PSTI_i;
    modelVar_PGATS_i = modelVar_PGAT_i;
    modelVar_PHIGBOTS_i = modelVar_PHIGBOT_i;
    modelVar_PHIGSTIS_i = modelVar_PHIGSTI_i;
    modelVar_PHIGGATS_i = modelVar_PHIGGAT_i;
    modelVar_IDSATRBOTS_i = modelVar_IDSATRBOT_i;
    modelVar_IDSATRSTIS_i = modelVar_IDSATRSTI_i;
    modelVar_IDSATRGATS_i = modelVar_IDSATRGAT_i;
    modelVar_CSRHBOTS_i = modelVar_CSRHBOT_i;
    modelVar_CSRHSTIS_i = modelVar_CSRHSTI_i;
    modelVar_CSRHGATS_i = modelVar_CSRHGAT_i;
    modelVar_XJUNSTIS_i = modelVar_XJUNSTI_i;
    modelVar_XJUNGATS_i = modelVar_XJUNGAT_i;
    modelVar_CTATBOTS_i = modelVar_CTATBOT_i;
    modelVar_CTATSTIS_i = modelVar_CTATSTI_i;
    modelVar_CTATGATS_i = modelVar_CTATGAT_i;
    modelVar_MEFFTATBOTS_i = modelVar_MEFFTATBOT_i;
    modelVar_MEFFTATSTIS_i = modelVar_MEFFTATSTI_i;
    modelVar_MEFFTATGATS_i = modelVar_MEFFTATGAT_i;
    modelVar_CBBTBOTS_i = modelVar_CBBTBOT_i;
    modelVar_CBBTSTIS_i = modelVar_CBBTSTI_i;
    modelVar_CBBTGATS_i = modelVar_CBBTGAT_i;
    modelVar_FBBTRBOTS_i = modelVar_FBBTRBOT_i;
    modelVar_FBBTRSTIS_i = modelVar_FBBTRSTI_i;
    modelVar_FBBTRGATS_i = modelVar_FBBTRGAT_i;
    modelVar_STFBBTBOTS_i = modelVar_STFBBTBOT_i;
    modelVar_STFBBTSTIS_i = modelVar_STFBBTSTI_i;
    modelVar_STFBBTGATS_i = modelVar_STFBBTGAT_i;
    modelVar_VBRBOTS_i = modelVar_VBRBOT_i;
    modelVar_VBRSTIS_i = modelVar_VBRSTI_i;
    modelVar_VBRGATS_i = modelVar_VBRGAT_i;
    modelVar_PBRBOTS_i = modelVar_PBRBOT_i;
    modelVar_PBRSTIS_i = modelVar_PBRSTI_i;
    modelVar_PBRGATS_i = modelVar_PBRGAT_i;
    modelVar_VJUNREFS_i = modelVar_VJUNREF_i;
    modelVar_FJUNQS_i = modelVar_FJUNQ_i;
    if ((modelPar_SWJUNASYM==0.0))
    {
      modelVar_CJORBOTD_i = modelVar_CJORBOTS_i;
      modelVar_CJORSTID_i = modelVar_CJORSTIS_i;
      modelVar_CJORGATD_i = modelVar_CJORGATS_i;
      modelVar_VBIRBOTD_i = modelVar_VBIRBOTS_i;
      modelVar_VBIRSTID_i = modelVar_VBIRSTIS_i;
      modelVar_VBIRGATD_i = modelVar_VBIRGATS_i;
      modelVar_PBOTD_i = modelVar_PBOTS_i;
      modelVar_PSTID_i = modelVar_PSTIS_i;
      modelVar_PGATD_i = modelVar_PGATS_i;
      modelVar_PHIGBOTD_i = modelVar_PHIGBOTS_i;
      modelVar_PHIGSTID_i = modelVar_PHIGSTIS_i;
      modelVar_PHIGGATD_i = modelVar_PHIGGATS_i;
      modelVar_IDSATRBOTD_i = modelVar_IDSATRBOTS_i;
      modelVar_IDSATRSTID_i = modelVar_IDSATRSTIS_i;
      modelVar_IDSATRGATD_i = modelVar_IDSATRGATS_i;
      modelVar_CSRHBOTD_i = modelVar_CSRHBOTS_i;
      modelVar_CSRHSTID_i = modelVar_CSRHSTIS_i;
      modelVar_CSRHGATD_i = modelVar_CSRHGATS_i;
      modelVar_XJUNSTID_i = modelVar_XJUNSTIS_i;
      modelVar_XJUNGATD_i = modelVar_XJUNGATS_i;
      modelVar_CTATBOTD_i = modelVar_CTATBOTS_i;
      modelVar_CTATSTID_i = modelVar_CTATSTIS_i;
      modelVar_CTATGATD_i = modelVar_CTATGATS_i;
      modelVar_MEFFTATBOTD_i = modelVar_MEFFTATBOTS_i;
      modelVar_MEFFTATSTID_i = modelVar_MEFFTATSTIS_i;
      modelVar_MEFFTATGATD_i = modelVar_MEFFTATGATS_i;
      modelVar_CBBTBOTD_i = modelVar_CBBTBOTS_i;
      modelVar_CBBTSTID_i = modelVar_CBBTSTIS_i;
      modelVar_CBBTGATD_i = modelVar_CBBTGATS_i;
      modelVar_FBBTRBOTD_i = modelVar_FBBTRBOTS_i;
      modelVar_FBBTRSTID_i = modelVar_FBBTRSTIS_i;
      modelVar_FBBTRGATD_i = modelVar_FBBTRGATS_i;
      modelVar_STFBBTBOTD_i = modelVar_STFBBTBOTS_i;
      modelVar_STFBBTSTID_i = modelVar_STFBBTSTIS_i;
      modelVar_STFBBTGATD_i = modelVar_STFBBTGATS_i;
      modelVar_VBRBOTD_i = modelVar_VBRBOTS_i;
      modelVar_VBRSTID_i = modelVar_VBRSTIS_i;
      modelVar_VBRGATD_i = modelVar_VBRGATS_i;
      modelVar_PBRBOTD_i = modelVar_PBRBOTS_i;
      modelVar_PBRSTID_i = modelVar_PBRSTIS_i;
      modelVar_PBRGATD_i = modelVar_PBRGATS_i;
      modelVar_VJUNREFD_i = modelVar_VJUNREFS_i;
      modelVar_FJUNQD_i = modelVar_FJUNQS_i;
    }
    else
    {
      modelVar_CJORBOTD_i = adms_ternary_op<AdmsSensFadType>((modelPar_CJORBOTD>1E-12),modelPar_CJORBOTD,1E-12);
      modelVar_CJORSTID_i = adms_ternary_op<AdmsSensFadType>((modelPar_CJORSTID>1E-18),modelPar_CJORSTID,1E-18);
      modelVar_CJORGATD_i = adms_ternary_op<AdmsSensFadType>((modelPar_CJORGATD>1E-18),modelPar_CJORGATD,1E-18);
      modelVar_VBIRBOTD_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBIRBOTD>0.050),modelPar_VBIRBOTD,0.050);
      modelVar_VBIRSTID_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBIRSTID>0.050),modelPar_VBIRSTID,0.050);
      modelVar_VBIRGATD_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBIRGATD>0.050),modelPar_VBIRGATD,0.050);
      modelVar_PBOTD_i = adms_ternary_op<AdmsSensFadType>((modelPar_PBOTD>0.05),adms_ternary_op<AdmsSensFadType>((modelPar_PBOTD<0.95),modelPar_PBOTD,0.95),0.05);
      modelVar_PSTID_i = adms_ternary_op<AdmsSensFadType>((modelPar_PSTID>0.05),adms_ternary_op<AdmsSensFadType>((modelPar_PSTID<0.95),modelPar_PSTID,0.95),0.05);
      modelVar_PGATD_i = adms_ternary_op<AdmsSensFadType>((modelPar_PGATD>0.05),adms_ternary_op<AdmsSensFadType>((modelPar_PGATD<0.95),modelPar_PGATD,0.95),0.05);
      modelVar_PHIGBOTD_i = modelPar_PHIGBOTD;
      modelVar_PHIGSTID_i = modelPar_PHIGSTID;
      modelVar_PHIGGATD_i = modelPar_PHIGGATD;
      modelVar_IDSATRBOTD_i = adms_ternary_op<AdmsSensFadType>((modelPar_IDSATRBOTD>0),modelPar_IDSATRBOTD,0);
      modelVar_IDSATRSTID_i = adms_ternary_op<AdmsSensFadType>((modelPar_IDSATRSTID>0),modelPar_IDSATRSTID,0);
      modelVar_IDSATRGATD_i = adms_ternary_op<AdmsSensFadType>((modelPar_IDSATRGATD>0),modelPar_IDSATRGATD,0);
      modelVar_CSRHBOTD_i = adms_ternary_op<AdmsSensFadType>((modelPar_CSRHBOTD>0),modelPar_CSRHBOTD,0);
      modelVar_CSRHSTID_i = adms_ternary_op<AdmsSensFadType>((modelPar_CSRHSTID>0),modelPar_CSRHSTID,0);
      modelVar_CSRHGATD_i = adms_ternary_op<AdmsSensFadType>((modelPar_CSRHGATD>0),modelPar_CSRHGATD,0);
      modelVar_XJUNSTID_i = adms_ternary_op<AdmsSensFadType>((modelPar_XJUNSTID>1E-9),modelPar_XJUNSTID,1E-9);
      modelVar_XJUNGATD_i = adms_ternary_op<AdmsSensFadType>((modelPar_XJUNGATD>1E-9),modelPar_XJUNGATD,1E-9);
      modelVar_CTATBOTD_i = adms_ternary_op<AdmsSensFadType>((modelPar_CTATBOTD>0),modelPar_CTATBOTD,0);
      modelVar_CTATSTID_i = adms_ternary_op<AdmsSensFadType>((modelPar_CTATSTID>0),modelPar_CTATSTID,0);
      modelVar_CTATGATD_i = adms_ternary_op<AdmsSensFadType>((modelPar_CTATGATD>0),modelPar_CTATGATD,0);
      modelVar_MEFFTATBOTD_i = adms_ternary_op<AdmsSensFadType>((modelPar_MEFFTATBOTD>0.01),modelPar_MEFFTATBOTD,0.01);
      modelVar_MEFFTATSTID_i = adms_ternary_op<AdmsSensFadType>((modelPar_MEFFTATSTID>0.01),modelPar_MEFFTATSTID,0.01);
      modelVar_MEFFTATGATD_i = adms_ternary_op<AdmsSensFadType>((modelPar_MEFFTATGATD>0.01),modelPar_MEFFTATGATD,0.01);
      modelVar_CBBTBOTD_i = adms_ternary_op<AdmsSensFadType>((modelPar_CBBTBOTD>0),modelPar_CBBTBOTD,0);
      modelVar_CBBTSTID_i = adms_ternary_op<AdmsSensFadType>((modelPar_CBBTSTID>0),modelPar_CBBTSTID,0);
      modelVar_CBBTGATD_i = adms_ternary_op<AdmsSensFadType>((modelPar_CBBTGATD>0),modelPar_CBBTGATD,0);
      modelVar_FBBTRBOTD_i = modelPar_FBBTRBOTD;
      modelVar_FBBTRSTID_i = modelPar_FBBTRSTID;
      modelVar_FBBTRGATD_i = modelPar_FBBTRGATD;
      modelVar_STFBBTBOTD_i = modelPar_STFBBTBOTD;
      modelVar_STFBBTSTID_i = modelPar_STFBBTSTID;
      modelVar_STFBBTGATD_i = modelPar_STFBBTGATD;
      modelVar_VBRBOTD_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBRBOTD>0.1),modelPar_VBRBOTD,0.1);
      modelVar_VBRSTID_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBRSTID>0.1),modelPar_VBRSTID,0.1);
      modelVar_VBRGATD_i = adms_ternary_op<AdmsSensFadType>((modelPar_VBRGATD>0.1),modelPar_VBRGATD,0.1);
      modelVar_PBRBOTD_i = adms_ternary_op<AdmsSensFadType>((modelPar_PBRBOTD>0.1),modelPar_PBRBOTD,0.1);
      modelVar_PBRSTID_i = adms_ternary_op<AdmsSensFadType>((modelPar_PBRSTID>0.1),modelPar_PBRSTID,0.1);
      modelVar_PBRGATD_i = adms_ternary_op<AdmsSensFadType>((modelPar_PBRGATD>0.1),modelPar_PBRGATD,0.1);
      modelVar_VJUNREFD_i = adms_ternary_op<AdmsSensFadType>((modelPar_VJUNREFD>0.5),modelPar_VJUNREFD,0.5);
      modelVar_FJUNQD_i = adms_ternary_op<AdmsSensFadType>((modelPar_FJUNQD>0.0),modelPar_FJUNQD,0.0);
    }
    tkr = (273.15+TRJ_i);
    tkd = std::max((admsTemperature+modelPar_DTA),(273.15+(-250)));
    auxt = (tkd/tkr);
    KBOL_over_QELE = (1.3806505E-23/1.6021918E-19);
    modelVar_phitr = (KBOL_over_QELE*tkr);
    phitrinv = (1.0/modelVar_phitr);
    modelVar_phitd = (KBOL_over_QELE*tkd);
    modelVar_phitdinv = (1.0/modelVar_phitd);
    deltaphigr = ((-((7.02e-4*tkr)*tkr))/(1108.0+tkr));
    modelVar_phigrbot = (modelVar_PHIGBOT_i+deltaphigr);
    modelVar_phigrsti = (modelVar_PHIGSTI_i+deltaphigr);
    modelVar_phigrgat = (modelVar_PHIGGAT_i+deltaphigr);
    deltaphigd = ((-((7.02e-4*tkd)*tkd))/(1108.0+tkd));
    modelVar_phigdbot = (modelVar_PHIGBOT_i+deltaphigd);
    modelVar_phigdsti = (modelVar_PHIGSTI_i+deltaphigd);
    modelVar_phigdgat = (modelVar_PHIGGAT_i+deltaphigd);
    modelVar_ftdbot = (pow(auxt,1.5)*exp((0.5*((modelVar_phigrbot*phitrinv)-(modelVar_phigdbot*modelVar_phitdinv)))));
    modelVar_ftdsti = (pow(auxt,1.5)*exp((0.5*((modelVar_phigrsti*phitrinv)-(modelVar_phigdsti*modelVar_phitdinv)))));
    modelVar_ftdgat = (pow(auxt,1.5)*exp((0.5*((modelVar_phigrgat*phitrinv)-(modelVar_phigdgat*modelVar_phitdinv)))));
    modelVar_idsatbot = ((modelVar_IDSATRBOT_i*modelVar_ftdbot)*modelVar_ftdbot);
    modelVar_idsatsti = ((modelVar_IDSATRSTI_i*modelVar_ftdsti)*modelVar_ftdsti);
    modelVar_idsatgat = ((modelVar_IDSATRGAT_i*modelVar_ftdgat)*modelVar_ftdgat);
    modelVar_ubibot = ((modelVar_VBIRBOT_i*auxt)-((2*modelVar_phitd)*log(modelVar_ftdbot)));
    modelVar_ubisti = ((modelVar_VBIRSTI_i*auxt)-((2*modelVar_phitd)*log(modelVar_ftdsti)));
    modelVar_ubigat = ((modelVar_VBIRGAT_i*auxt)-((2*modelVar_phitd)*log(modelVar_ftdgat)));
    modelVar_vbibot = (modelVar_ubibot+(modelVar_phitd*log((1+exp(((0.050-modelVar_ubibot)*modelVar_phitdinv))))));
    modelVar_vbisti = (modelVar_ubisti+(modelVar_phitd*log((1+exp(((0.050-modelVar_ubisti)*modelVar_phitdinv))))));
    modelVar_vbigat = (modelVar_ubigat+(modelVar_phitd*log((1+exp(((0.050-modelVar_ubigat)*modelVar_phitdinv))))));
    modelVar_vbiinvbot = (1.0/modelVar_vbibot);
    modelVar_vbiinvsti = (1.0/modelVar_vbisti);
    modelVar_vbiinvgat = (1.0/modelVar_vbigat);
    modelVar_one_minus_PBOT = (1-modelVar_PBOT_i);
    modelVar_one_minus_PSTI = (1-modelVar_PSTI_i);
    modelVar_one_minus_PGAT = (1-modelVar_PGAT_i);
    modelVar_one_over_one_minus_PBOT = (1/modelVar_one_minus_PBOT);
    modelVar_one_over_one_minus_PSTI = (1/modelVar_one_minus_PSTI);
    modelVar_one_over_one_minus_PGAT = (1/modelVar_one_minus_PGAT);
    modelVar_cjobot = (modelVar_CJORBOT_i*pow((modelVar_VBIRBOT_i*modelVar_vbiinvbot),modelVar_PBOT_i));
    modelVar_cjosti = (modelVar_CJORSTI_i*pow((modelVar_VBIRSTI_i*modelVar_vbiinvsti),modelVar_PSTI_i));
    modelVar_cjogat = (modelVar_CJORGAT_i*pow((modelVar_VBIRGAT_i*modelVar_vbiinvgat),modelVar_PGAT_i));
    modelVar_qprefbot = ((modelVar_cjobot*modelVar_vbibot)*modelVar_one_over_one_minus_PBOT);
    modelVar_qprefsti = ((modelVar_cjosti*modelVar_vbisti)*modelVar_one_over_one_minus_PSTI);
    modelVar_qprefgat = ((modelVar_cjogat*modelVar_vbigat)*modelVar_one_over_one_minus_PGAT);
    modelVar_qpref2bot = (2*modelVar_cjobot);
    modelVar_qpref2sti = (2*modelVar_cjosti);
    modelVar_qpref2gat = (2*modelVar_cjogat);
    modelVar_wdepnulrbot = (modelVar_EPSSI/modelVar_CJORBOT_i);
    modelVar_wdepnulrsti = ((modelVar_XJUNSTI_i*modelVar_EPSSI)/modelVar_CJORSTI_i);
    modelVar_wdepnulrgat = ((modelVar_XJUNGAT_i*modelVar_EPSSI)/modelVar_CJORGAT_i);
    modelVar_wdepnulrinvbot = (1/modelVar_wdepnulrbot);
    modelVar_wdepnulrinvsti = (1/modelVar_wdepnulrsti);
    modelVar_wdepnulrinvgat = (1/modelVar_wdepnulrgat);
    modelVar_VBIRBOTinv = (1/modelVar_VBIRBOT_i);
    modelVar_VBIRSTIinv = (1/modelVar_VBIRSTI_i);
    modelVar_VBIRGATinv = (1/modelVar_VBIRGAT_i);
    modelVar_perfc = (1.77245385090551603*0.29214664);
    modelVar_berfc = (((((-5)*0.29214664)+6)-pow(modelVar_perfc,(-2)))/3);
    modelVar_cerfc = ((1.0-0.29214664)-modelVar_berfc);
    modelVar_deltaEbot = std::max((0.5*modelVar_phigdbot),modelVar_phitd);
    modelVar_deltaEsti = std::max((0.5*modelVar_phigdsti),modelVar_phitd);
    modelVar_deltaEgat = std::max((0.5*modelVar_phigdgat),modelVar_phitd);
    modelVar_atatbot = (modelVar_deltaEbot*modelVar_phitdinv);
    modelVar_atatsti = (modelVar_deltaEsti*modelVar_phitdinv);
    modelVar_atatgat = (modelVar_deltaEgat*modelVar_phitdinv);
    modelVar_btatpartbot = (sqrt(((((32*modelVar_MEFFTATBOT_i)*9.1093826E-31)*1.6021918E-19)*((modelVar_deltaEbot*modelVar_deltaEbot)*modelVar_deltaEbot)))/(3*1.05457168E-34));
    modelVar_btatpartsti = (sqrt(((((32*modelVar_MEFFTATSTI_i)*9.1093826E-31)*1.6021918E-19)*((modelVar_deltaEsti*modelVar_deltaEsti)*modelVar_deltaEsti)))/(3*1.05457168E-34));
    modelVar_btatpartgat = (sqrt(((((32*modelVar_MEFFTATGAT_i)*9.1093826E-31)*1.6021918E-19)*((modelVar_deltaEgat*modelVar_deltaEgat)*modelVar_deltaEgat)))/(3*1.05457168E-34));
    modelVar_fbbtbot = (modelVar_FBBTRBOT_i*(1+(modelVar_STFBBTBOT_i*(tkd-tkr))));
    modelVar_fbbtsti = (modelVar_FBBTRSTI_i*(1+(modelVar_STFBBTSTI_i*(tkd-tkr))));
    modelVar_fbbtgat = (modelVar_FBBTRGAT_i*(1+(modelVar_STFBBTGAT_i*(tkd-tkr))));
    modelVar_fbbtbot = adms_ternary_op<AdmsSensFadType>((modelVar_fbbtbot>0),modelVar_fbbtbot,0);
    modelVar_fbbtsti = adms_ternary_op<AdmsSensFadType>((modelVar_fbbtsti>0),modelVar_fbbtsti,0);
    modelVar_fbbtgat = adms_ternary_op<AdmsSensFadType>((modelVar_fbbtgat>0),modelVar_fbbtgat,0);
    modelVar_fstopbot = (1/(1-pow(0.999,modelVar_PBRBOT_i)));
    modelVar_fstopsti = (1/(1-pow(0.999,modelVar_PBRSTI_i)));
    modelVar_fstopgat = (1/(1-pow(0.999,modelVar_PBRGAT_i)));
    modelVar_VBRinvbot = (1/modelVar_VBRBOT_i);
    modelVar_VBRinvsti = (1/modelVar_VBRSTI_i);
    modelVar_VBRinvgat = (1/modelVar_VBRGAT_i);
    modelVar_slopebot = (((-((modelVar_fstopbot*modelVar_fstopbot)*pow(0.999,(modelVar_PBRBOT_i-1))))*modelVar_PBRBOT_i)*modelVar_VBRinvbot);
    modelVar_slopesti = (((-((modelVar_fstopsti*modelVar_fstopsti)*pow(0.999,(modelVar_PBRSTI_i-1))))*modelVar_PBRSTI_i)*modelVar_VBRinvsti);
    modelVar_slopegat = (((-((modelVar_fstopgat*modelVar_fstopgat)*pow(0.999,(modelVar_PBRGAT_i-1))))*modelVar_PBRGAT_i)*modelVar_VBRinvgat);
    modelVar_phigrbot_s = modelVar_phigrbot;
    modelVar_phigrsti_s = modelVar_phigrsti;
    modelVar_phigrgat_s = modelVar_phigrgat;
    modelVar_phigdbot_s = modelVar_phigdbot;
    modelVar_phigdsti_s = modelVar_phigdsti;
    modelVar_phigdgat_s = modelVar_phigdgat;
    modelVar_ftdbot_s = modelVar_ftdbot;
    modelVar_ftdsti_s = modelVar_ftdsti;
    modelVar_ftdgat_s = modelVar_ftdgat;
    modelVar_idsatbot_s = modelVar_idsatbot;
    modelVar_idsatsti_s = modelVar_idsatsti;
    modelVar_idsatgat_s = modelVar_idsatgat;
    modelVar_ubibot_s = modelVar_ubibot;
    modelVar_ubisti_s = modelVar_ubisti;
    modelVar_ubigat_s = modelVar_ubigat;
    modelVar_vbibot_s = modelVar_vbibot;
    modelVar_vbisti_s = modelVar_vbisti;
    modelVar_vbigat_s = modelVar_vbigat;
    modelVar_vbiinvbot_s = modelVar_vbiinvbot;
    modelVar_vbiinvsti_s = modelVar_vbiinvsti;
    modelVar_vbiinvgat_s = modelVar_vbiinvgat;
    modelVar_one_minus_PBOT_s = modelVar_one_minus_PBOT;
    modelVar_one_minus_PSTI_s = modelVar_one_minus_PSTI;
    modelVar_one_minus_PGAT_s = modelVar_one_minus_PGAT;
    modelVar_one_over_one_minus_PBOT_s = modelVar_one_over_one_minus_PBOT;
    modelVar_one_over_one_minus_PSTI_s = modelVar_one_over_one_minus_PSTI;
    modelVar_one_over_one_minus_PGAT_s = modelVar_one_over_one_minus_PGAT;
    modelVar_cjobot_s = modelVar_cjobot;
    modelVar_cjosti_s = modelVar_cjosti;
    modelVar_cjogat_s = modelVar_cjogat;
    modelVar_qprefbot_s = modelVar_qprefbot;
    modelVar_qprefsti_s = modelVar_qprefsti;
    modelVar_qprefgat_s = modelVar_qprefgat;
    modelVar_qpref2bot_s = modelVar_qpref2bot;
    modelVar_qpref2sti_s = modelVar_qpref2sti;
    modelVar_qpref2gat_s = modelVar_qpref2gat;
    modelVar_wdepnulrbot_s = modelVar_wdepnulrbot;
    modelVar_wdepnulrsti_s = modelVar_wdepnulrsti;
    modelVar_wdepnulrgat_s = modelVar_wdepnulrgat;
    modelVar_wdepnulrinvbot_s = modelVar_wdepnulrinvbot;
    modelVar_wdepnulrinvsti_s = modelVar_wdepnulrinvsti;
    modelVar_wdepnulrinvgat_s = modelVar_wdepnulrinvgat;
    modelVar_VBIRBOTinv_s = modelVar_VBIRBOTinv;
    modelVar_VBIRSTIinv_s = modelVar_VBIRSTIinv;
    modelVar_VBIRGATinv_s = modelVar_VBIRGATinv;
    modelVar_deltaEbot_s = modelVar_deltaEbot;
    modelVar_deltaEsti_s = modelVar_deltaEsti;
    modelVar_deltaEgat_s = modelVar_deltaEgat;
    modelVar_atatbot_s = modelVar_atatbot;
    modelVar_atatsti_s = modelVar_atatsti;
    modelVar_atatgat_s = modelVar_atatgat;
    modelVar_btatpartbot_s = modelVar_btatpartbot;
    modelVar_btatpartsti_s = modelVar_btatpartsti;
    modelVar_btatpartgat_s = modelVar_btatpartgat;
    modelVar_fbbtbot_s = modelVar_fbbtbot;
    modelVar_fbbtsti_s = modelVar_fbbtsti;
    modelVar_fbbtgat_s = modelVar_fbbtgat;
    modelVar_fbbtbot_s = modelVar_fbbtbot;
    modelVar_fbbtsti_s = modelVar_fbbtsti;
    modelVar_fbbtgat_s = modelVar_fbbtgat;
    modelVar_fstopbot_s = modelVar_fstopbot;
    modelVar_fstopsti_s = modelVar_fstopsti;
    modelVar_fstopgat_s = modelVar_fstopgat;
    modelVar_VBRinvbot_s = modelVar_VBRinvbot;
    modelVar_VBRinvsti_s = modelVar_VBRinvsti;
    modelVar_VBRinvgat_s = modelVar_VBRinvgat;
    modelVar_slopebot_s = modelVar_slopebot;
    modelVar_slopesti_s = modelVar_slopesti;
    modelVar_slopegat_s = modelVar_slopegat;
    modelVar_phigrbot_d = (modelVar_PHIGBOTD_i+deltaphigr);
    modelVar_phigrsti_d = (modelVar_PHIGSTID_i+deltaphigr);
    modelVar_phigrgat_d = (modelVar_PHIGGATD_i+deltaphigr);
    modelVar_phigdbot_d = (modelVar_PHIGBOTD_i+deltaphigd);
    modelVar_phigdsti_d = (modelVar_PHIGSTID_i+deltaphigd);
    modelVar_phigdgat_d = (modelVar_PHIGGATD_i+deltaphigd);
    modelVar_ftdbot_d = (pow(auxt,1.5)*exp((0.5*((modelVar_phigrbot_d*phitrinv)-(modelVar_phigdbot_d*modelVar_phitdinv)))));
    modelVar_ftdsti_d = (pow(auxt,1.5)*exp((0.5*((modelVar_phigrsti_d*phitrinv)-(modelVar_phigdsti_d*modelVar_phitdinv)))));
    modelVar_ftdgat_d = (pow(auxt,1.5)*exp((0.5*((modelVar_phigrgat_d*phitrinv)-(modelVar_phigdgat_d*modelVar_phitdinv)))));
    modelVar_idsatbot_d = ((modelVar_IDSATRBOTD_i*modelVar_ftdbot_d)*modelVar_ftdbot_d);
    modelVar_idsatsti_d = ((modelVar_IDSATRSTID_i*modelVar_ftdsti_d)*modelVar_ftdsti_d);
    modelVar_idsatgat_d = ((modelVar_IDSATRGATD_i*modelVar_ftdgat_d)*modelVar_ftdgat_d);
    modelVar_ubibot_d = ((modelVar_VBIRBOTD_i*auxt)-((2*modelVar_phitd)*log(modelVar_ftdbot_d)));
    modelVar_ubisti_d = ((modelVar_VBIRSTID_i*auxt)-((2*modelVar_phitd)*log(modelVar_ftdsti_d)));
    modelVar_ubigat_d = ((modelVar_VBIRGATD_i*auxt)-((2*modelVar_phitd)*log(modelVar_ftdgat_d)));
    modelVar_vbibot_d = (modelVar_ubibot_d+(modelVar_phitd*log((1+exp(((0.050-modelVar_ubibot_d)*modelVar_phitdinv))))));
    modelVar_vbisti_d = (modelVar_ubisti_d+(modelVar_phitd*log((1+exp(((0.050-modelVar_ubisti_d)*modelVar_phitdinv))))));
    modelVar_vbigat_d = (modelVar_ubigat_d+(modelVar_phitd*log((1+exp(((0.050-modelVar_ubigat_d)*modelVar_phitdinv))))));
    modelVar_vbiinvbot_d = (1.0/modelVar_vbibot_d);
    modelVar_vbiinvsti_d = (1.0/modelVar_vbisti_d);
    modelVar_vbiinvgat_d = (1.0/modelVar_vbigat_d);
    modelVar_one_minus_PBOT_d = (1-modelVar_PBOTD_i);
    modelVar_one_minus_PSTI_d = (1-modelVar_PSTID_i);
    modelVar_one_minus_PGAT_d = (1-modelVar_PGATD_i);
    modelVar_one_over_one_minus_PBOT_d = (1/modelVar_one_minus_PBOT_d);
    modelVar_one_over_one_minus_PSTI_d = (1/modelVar_one_minus_PSTI_d);
    modelVar_one_over_one_minus_PGAT_d = (1/modelVar_one_minus_PGAT_d);
    modelVar_cjobot_d = (modelVar_CJORBOTD_i*pow((modelVar_VBIRBOTD_i*modelVar_vbiinvbot_d),modelVar_PBOTD_i));
    modelVar_cjosti_d = (modelVar_CJORSTID_i*pow((modelVar_VBIRSTID_i*modelVar_vbiinvsti_d),modelVar_PSTID_i));
    modelVar_cjogat_d = (modelVar_CJORGATD_i*pow((modelVar_VBIRGATD_i*modelVar_vbiinvgat_d),modelVar_PGATD_i));
    modelVar_qprefbot_d = ((modelVar_cjobot_d*modelVar_vbibot_d)*modelVar_one_over_one_minus_PBOT_d);
    modelVar_qprefsti_d = ((modelVar_cjosti_d*modelVar_vbisti_d)*modelVar_one_over_one_minus_PSTI_d);
    modelVar_qprefgat_d = ((modelVar_cjogat_d*modelVar_vbigat_d)*modelVar_one_over_one_minus_PGAT_d);
    modelVar_qpref2bot_d = (2*modelVar_cjobot_d);
    modelVar_qpref2sti_d = (2*modelVar_cjosti_d);
    modelVar_qpref2gat_d = (2*modelVar_cjogat_d);
    modelVar_wdepnulrbot_d = (modelVar_EPSSI/modelVar_CJORBOTD_i);
    modelVar_wdepnulrsti_d = ((modelVar_XJUNSTID_i*modelVar_EPSSI)/modelVar_CJORSTID_i);
    modelVar_wdepnulrgat_d = ((modelVar_XJUNGATD_i*modelVar_EPSSI)/modelVar_CJORGATD_i);
    modelVar_wdepnulrinvbot_d = (1/modelVar_wdepnulrbot_d);
    modelVar_wdepnulrinvsti_d = (1/modelVar_wdepnulrsti_d);
    modelVar_wdepnulrinvgat_d = (1/modelVar_wdepnulrgat_d);
    modelVar_VBIRBOTinv_d = (1/modelVar_VBIRBOTD_i);
    modelVar_VBIRSTIinv_d = (1/modelVar_VBIRSTID_i);
    modelVar_VBIRGATinv_d = (1/modelVar_VBIRGATD_i);
    modelVar_deltaEbot_d = std::max((0.5*modelVar_phigdbot_d),modelVar_phitd);
    modelVar_deltaEsti_d = std::max((0.5*modelVar_phigdsti_d),modelVar_phitd);
    modelVar_deltaEgat_d = std::max((0.5*modelVar_phigdgat_d),modelVar_phitd);
    modelVar_atatbot_d = (modelVar_deltaEbot_d*modelVar_phitdinv);
    modelVar_atatsti_d = (modelVar_deltaEsti_d*modelVar_phitdinv);
    modelVar_atatgat_d = (modelVar_deltaEgat_d*modelVar_phitdinv);
    modelVar_btatpartbot_d = (sqrt(((((32*modelVar_MEFFTATBOTD_i)*9.1093826E-31)*1.6021918E-19)*((modelVar_deltaEbot_d*modelVar_deltaEbot_d)*modelVar_deltaEbot_d)))/(3*1.05457168E-34));
    modelVar_btatpartsti_d = (sqrt(((((32*modelVar_MEFFTATSTID_i)*9.1093826E-31)*1.6021918E-19)*((modelVar_deltaEsti_d*modelVar_deltaEsti_d)*modelVar_deltaEsti_d)))/(3*1.05457168E-34));
    modelVar_btatpartgat_d = (sqrt(((((32*modelVar_MEFFTATGATD_i)*9.1093826E-31)*1.6021918E-19)*((modelVar_deltaEgat_d*modelVar_deltaEgat_d)*modelVar_deltaEgat_d)))/(3*1.05457168E-34));
    modelVar_fbbtbot_d = (modelVar_FBBTRBOTD_i*(1+(modelVar_STFBBTBOTD_i*(tkd-tkr))));
    modelVar_fbbtsti_d = (modelVar_FBBTRSTID_i*(1+(modelVar_STFBBTSTID_i*(tkd-tkr))));
    modelVar_fbbtgat_d = (modelVar_FBBTRGATD_i*(1+(modelVar_STFBBTGATD_i*(tkd-tkr))));
    modelVar_fbbtbot_d = adms_ternary_op<AdmsSensFadType>((modelVar_fbbtbot_d>0),modelVar_fbbtbot_d,0);
    modelVar_fbbtsti_d = adms_ternary_op<AdmsSensFadType>((modelVar_fbbtsti_d>0),modelVar_fbbtsti_d,0);
    modelVar_fbbtgat_d = adms_ternary_op<AdmsSensFadType>((modelVar_fbbtgat_d>0),modelVar_fbbtgat_d,0);
    modelVar_fstopbot_d = (1/(1-pow(0.999,modelVar_PBRBOTD_i)));
    modelVar_fstopsti_d = (1/(1-pow(0.999,modelVar_PBRSTID_i)));
    modelVar_fstopgat_d = (1/(1-pow(0.999,modelVar_PBRGATD_i)));
    modelVar_VBRinvbot_d = (1/modelVar_VBRBOTD_i);
    modelVar_VBRinvsti_d = (1/modelVar_VBRSTID_i);
    modelVar_VBRinvgat_d = (1/modelVar_VBRGATD_i);
    modelVar_slopebot_d = (((-((modelVar_fstopbot_d*modelVar_fstopbot_d)*pow(0.999,(modelVar_PBRBOTD_i-1))))*modelVar_PBRBOTD_i)*modelVar_VBRinvbot_d);
    modelVar_slopesti_d = (((-((modelVar_fstopsti_d*modelVar_fstopsti_d)*pow(0.999,(modelVar_PBRSTID_i-1))))*modelVar_PBRSTID_i)*modelVar_VBRinvsti_d);
    modelVar_slopegat_d = (((-((modelVar_fstopgat_d*modelVar_fstopgat_d)*pow(0.999,(modelVar_PBRGATD_i-1))))*modelVar_PBRGATD_i)*modelVar_VBRinvgat_d);
  }
  // End block initial_model
}



//-----------------------------------------------------------------------------
// Function      : evaluateModelEquations
// Purpose       : Evaluate the main module block.  Similar to
//                 updateIntermediateVars, but takes all instance and model
//                 parameters and variables as arguments instead of using
//                 the ones stored in the objects.
// Special Notes : specific for sensitivity use
// Scope         : public
// Creator       : admsXml
// Creation Date : 
//-----------------------------------------------------------------------------
void evaluateModelEquations(
   std::vector <double> & probeVars,
   // probe constants
   const int admsProbeID_V_DI_BD,
   const int admsProbeID_V_SI_BS,
   const int admsProbeID_V_SI_BP,
   const int admsProbeID_V_DI_SI,
   const int admsProbeID_V_GP_SI,
   const int admsProbeID_V_B_BI,
   const int admsProbeID_V_BP_BI,
   const int admsProbeID_V_BD_BI,
   const int admsProbeID_V_BS_BI,
   const int admsProbeID_V_D_DI,
   const int admsProbeID_V_S_SI,
   const int admsProbeID_V_G_GP,
   // node constants
   const int admsNodeID_D,
   const int admsNodeID_G,
   const int admsNodeID_S,
   const int admsNodeID_B,
   const int admsNodeID_GP,
   const int admsNodeID_SI,
   const int admsNodeID_DI,
   const int admsNodeID_BI,
   const int admsNodeID_BP,
   const int admsNodeID_BS,
   const int admsNodeID_BD,
   // instance parameters
   // reals
   AdmsSensFadType & instancePar_L,
   bool instancePar_given_L,
   AdmsSensFadType & instancePar_W,
   bool instancePar_given_W,
   AdmsSensFadType & instancePar_SA,
   bool instancePar_given_SA,
   AdmsSensFadType & instancePar_SB,
   bool instancePar_given_SB,
   AdmsSensFadType & instancePar_SD,
   bool instancePar_given_SD,
   AdmsSensFadType & instancePar_SCA,
   bool instancePar_given_SCA,
   AdmsSensFadType & instancePar_SCB,
   bool instancePar_given_SCB,
   AdmsSensFadType & instancePar_SCC,
   bool instancePar_given_SCC,
   AdmsSensFadType & instancePar_SC,
   bool instancePar_given_SC,
   AdmsSensFadType & instancePar_NF,
   bool instancePar_given_NF,
   AdmsSensFadType & instancePar_NGCON,
   bool instancePar_given_NGCON,
   AdmsSensFadType & instancePar_XGW,
   bool instancePar_given_XGW,
   AdmsSensFadType & instancePar_NRS,
   bool instancePar_given_NRS,
   AdmsSensFadType & instancePar_NRD,
   bool instancePar_given_NRD,
   AdmsSensFadType & instancePar_JW,
   bool instancePar_given_JW,
   AdmsSensFadType & instancePar_DELVTO,
   bool instancePar_given_DELVTO,
   AdmsSensFadType & instancePar_FACTUO,
   bool instancePar_given_FACTUO,
   AdmsSensFadType & instancePar_ABSOURCE,
   bool instancePar_given_ABSOURCE,
   AdmsSensFadType & instancePar_LSSOURCE,
   bool instancePar_given_LSSOURCE,
   AdmsSensFadType & instancePar_LGSOURCE,
   bool instancePar_given_LGSOURCE,
   AdmsSensFadType & instancePar_ABDRAIN,
   bool instancePar_given_ABDRAIN,
   AdmsSensFadType & instancePar_LSDRAIN,
   bool instancePar_given_LSDRAIN,
   AdmsSensFadType & instancePar_LGDRAIN,
   bool instancePar_given_LGDRAIN,
   AdmsSensFadType & instancePar_AS,
   bool instancePar_given_AS,
   AdmsSensFadType & instancePar_PS,
   bool instancePar_given_PS,
   AdmsSensFadType & instancePar_AD,
   bool instancePar_given_AD,
   AdmsSensFadType & instancePar_PD,
   bool instancePar_given_PD,
   AdmsSensFadType & instancePar_MULT,
   bool instancePar_given_MULT,
   // instance variables
   // reals
   AdmsSensFadType & instanceVar_VFB_i,
   AdmsSensFadType & instanceVar_GFACNUD_i,
   AdmsSensFadType & instanceVar_VNSUB_i,
   AdmsSensFadType & instanceVar_NSLP_i,
   AdmsSensFadType & instanceVar_DNSUB_i,
   AdmsSensFadType & instanceVar_CF_i,
   AdmsSensFadType & instanceVar_CFB_i,
   AdmsSensFadType & instanceVar_MUE_i,
   AdmsSensFadType & instanceVar_THEMU_i,
   AdmsSensFadType & instanceVar_CS_i,
   AdmsSensFadType & instanceVar_XCOR_i,
   AdmsSensFadType & instanceVar_THER_i,
   AdmsSensFadType & instanceVar_RSB_i,
   AdmsSensFadType & instanceVar_RSG_i,
   AdmsSensFadType & instanceVar_THESAT_i,
   AdmsSensFadType & instanceVar_THESATB_i,
   AdmsSensFadType & instanceVar_THESATG_i,
   AdmsSensFadType & instanceVar_AX_i,
   AdmsSensFadType & instanceVar_ALP_i,
   AdmsSensFadType & instanceVar_ALP1_i,
   AdmsSensFadType & instanceVar_ALP2_i,
   AdmsSensFadType & instanceVar_A1_i,
   AdmsSensFadType & instanceVar_A2_i,
   AdmsSensFadType & instanceVar_A3_i,
   AdmsSensFadType & instanceVar_A4_i,
   AdmsSensFadType & instanceVar_IGINV_i,
   AdmsSensFadType & instanceVar_IGOV_i,
   AdmsSensFadType & instanceVar_IGOVD_i,
   AdmsSensFadType & instanceVar_GC2_i,
   AdmsSensFadType & instanceVar_GC3_i,
   AdmsSensFadType & instanceVar_CHIB_i,
   AdmsSensFadType & instanceVar_AGIDL_i,
   AdmsSensFadType & instanceVar_BGIDL_i,
   AdmsSensFadType & instanceVar_CGIDL_i,
   AdmsSensFadType & instanceVar_AGIDLD_i,
   AdmsSensFadType & instanceVar_BGIDLD_i,
   AdmsSensFadType & instanceVar_CGIDLD_i,
   AdmsSensFadType & instanceVar_COX_i,
   AdmsSensFadType & instanceVar_CGOV_i,
   AdmsSensFadType & instanceVar_CGOVD_i,
   AdmsSensFadType & instanceVar_CGBOV_i,
   AdmsSensFadType & instanceVar_CFR_i,
   AdmsSensFadType & instanceVar_CFRD_i,
   AdmsSensFadType & instanceVar_MULT_i,
   AdmsSensFadType & instanceVar_BET_i,
   AdmsSensFadType & instanceVar_kp,
   AdmsSensFadType & instanceVar_qq,
   AdmsSensFadType & instanceVar_qlim2,
   AdmsSensFadType & instanceVar_E_eff0,
   AdmsSensFadType & instanceVar_eta_mu,
   AdmsSensFadType & instanceVar_eta_mu1,
   AdmsSensFadType & instanceVar_BCH,
   AdmsSensFadType & instanceVar_BOV,
   AdmsSensFadType & instanceVar_inv_CHIB,
   AdmsSensFadType & instanceVar_GCQ,
   AdmsSensFadType & instanceVar_Dch,
   AdmsSensFadType & instanceVar_Dov,
   AdmsSensFadType & instanceVar_x1,
   AdmsSensFadType & instanceVar_Vdsat_lim,
   AdmsSensFadType & instanceVar_GOV_s,
   AdmsSensFadType & instanceVar_GOV_d,
   AdmsSensFadType & instanceVar_GOV2_s,
   AdmsSensFadType & instanceVar_GOV2_d,
   AdmsSensFadType & instanceVar_BOV_d,
   AdmsSensFadType & instanceVar_xi_ov_s,
   AdmsSensFadType & instanceVar_xi_ov_d,
   AdmsSensFadType & instanceVar_inv_xi_ov_s,
   AdmsSensFadType & instanceVar_inv_xi_ov_d,
   AdmsSensFadType & instanceVar_x_mrg_ov_s,
   AdmsSensFadType & instanceVar_x_mrg_ov_d,
   AdmsSensFadType & instanceVar_inv_xg1_s,
   AdmsSensFadType & instanceVar_inv_xg1_d,
   AdmsSensFadType & instanceVar_phit1,
   AdmsSensFadType & instanceVar_inv_phit1,
   AdmsSensFadType & instanceVar_alpha_b,
   AdmsSensFadType & instanceVar_inv_VP,
   AdmsSensFadType & instanceVar_inv_AX,
   AdmsSensFadType & instanceVar_us1,
   AdmsSensFadType & instanceVar_us21,
   AdmsSensFadType & instanceVar_phib_dc,
   AdmsSensFadType & instanceVar_sqrt_phib_dc,
   AdmsSensFadType & instanceVar_G_0_dc,
   AdmsSensFadType & instanceVar_aphi_dc,
   AdmsSensFadType & instanceVar_bphi_dc,
   AdmsSensFadType & instanceVar_phix_dc,
   AdmsSensFadType & instanceVar_phix1_dc,
   AdmsSensFadType & instanceVar_phib_ac,
   AdmsSensFadType & instanceVar_sqrt_phib_ac,
   AdmsSensFadType & instanceVar_G_0_ac,
   AdmsSensFadType & instanceVar_aphi_ac,
   AdmsSensFadType & instanceVar_bphi_ac,
   AdmsSensFadType & instanceVar_phix_ac,
   AdmsSensFadType & instanceVar_phix1_ac,
   AdmsSensFadType & instanceVar_RG_i,
   AdmsSensFadType & instanceVar_RSE_i,
   AdmsSensFadType & instanceVar_RDE_i,
   AdmsSensFadType & instanceVar_RBULK_i,
   AdmsSensFadType & instanceVar_RWELL_i,
   AdmsSensFadType & instanceVar_RJUNS_i,
   AdmsSensFadType & instanceVar_RJUND_i,
   AdmsSensFadType & instanceVar_ggate,
   AdmsSensFadType & instanceVar_gsource,
   AdmsSensFadType & instanceVar_gdrain,
   AdmsSensFadType & instanceVar_gbulk,
   AdmsSensFadType & instanceVar_gwell,
   AdmsSensFadType & instanceVar_gjund,
   AdmsSensFadType & instanceVar_gjuns,
   AdmsSensFadType & instanceVar_tmpv,
   AdmsSensFadType & instanceVar_vjv,
   AdmsSensFadType & instanceVar_idmult,
   AdmsSensFadType & instanceVar_vj,
   AdmsSensFadType & instanceVar_zinv,
   AdmsSensFadType & instanceVar_vjsrh,
   AdmsSensFadType & instanceVar_vav,
   AdmsSensFadType & instanceVar_vbi_minus_vjsrh,
   AdmsSensFadType & instanceVar_wsrh,
   AdmsSensFadType & instanceVar_wdep,
   AdmsSensFadType & instanceVar_asrh,
   AdmsSensFadType & instanceVar_ABSOURCE_i,
   AdmsSensFadType & instanceVar_LSSOURCE_i,
   AdmsSensFadType & instanceVar_LGSOURCE_i,
   AdmsSensFadType & instanceVar_zflagbot_s,
   AdmsSensFadType & instanceVar_zflagsti_s,
   AdmsSensFadType & instanceVar_zflaggat_s,
   AdmsSensFadType & instanceVar_VMAX_s,
   AdmsSensFadType & instanceVar_exp_VMAX_over_phitd_s,
   AdmsSensFadType & instanceVar_vbimin_s,
   AdmsSensFadType & instanceVar_vch_s,
   AdmsSensFadType & instanceVar_vfmin_s,
   AdmsSensFadType & instanceVar_vbbtlim_s,
   AdmsSensFadType & instanceVar_ijunbot_s,
   AdmsSensFadType & instanceVar_qjunbot_s,
   AdmsSensFadType & instanceVar_ijunsti_s,
   AdmsSensFadType & instanceVar_qjunsti_s,
   AdmsSensFadType & instanceVar_ijungat_s,
   AdmsSensFadType & instanceVar_qjungat_s,
   AdmsSensFadType & instanceVar_ijun_s,
   AdmsSensFadType & instanceVar_qjun_s,
   AdmsSensFadType & instanceVar_xhighf1_s,
   AdmsSensFadType & instanceVar_expxhf1_s,
   AdmsSensFadType & instanceVar_xhighf2_s,
   AdmsSensFadType & instanceVar_expxhf2_s,
   AdmsSensFadType & instanceVar_xhighr_s,
   AdmsSensFadType & instanceVar_expxhr_s,
   AdmsSensFadType & instanceVar_m0flag_s,
   AdmsSensFadType & instanceVar_ISATFOR1_s,
   AdmsSensFadType & instanceVar_MFOR1_s,
   AdmsSensFadType & instanceVar_ISATFOR2_s,
   AdmsSensFadType & instanceVar_MFOR2_s,
   AdmsSensFadType & instanceVar_ISATREV_s,
   AdmsSensFadType & instanceVar_MREV_s,
   AdmsSensFadType & instanceVar_ABDRAIN_i,
   AdmsSensFadType & instanceVar_LSDRAIN_i,
   AdmsSensFadType & instanceVar_LGDRAIN_i,
   AdmsSensFadType & instanceVar_zflagbot_d,
   AdmsSensFadType & instanceVar_zflagsti_d,
   AdmsSensFadType & instanceVar_zflaggat_d,
   AdmsSensFadType & instanceVar_VMAX_d,
   AdmsSensFadType & instanceVar_exp_VMAX_over_phitd_d,
   AdmsSensFadType & instanceVar_vbimin_d,
   AdmsSensFadType & instanceVar_vch_d,
   AdmsSensFadType & instanceVar_vfmin_d,
   AdmsSensFadType & instanceVar_vbbtlim_d,
   AdmsSensFadType & instanceVar_ijunbot_d,
   AdmsSensFadType & instanceVar_qjunbot_d,
   AdmsSensFadType & instanceVar_ijunsti_d,
   AdmsSensFadType & instanceVar_qjunsti_d,
   AdmsSensFadType & instanceVar_ijungat_d,
   AdmsSensFadType & instanceVar_qjungat_d,
   AdmsSensFadType & instanceVar_ijun_d,
   AdmsSensFadType & instanceVar_qjun_d,
   AdmsSensFadType & instanceVar_xhighf1_d,
   AdmsSensFadType & instanceVar_expxhf1_d,
   AdmsSensFadType & instanceVar_xhighf2_d,
   AdmsSensFadType & instanceVar_expxhf2_d,
   AdmsSensFadType & instanceVar_xhighr_d,
   AdmsSensFadType & instanceVar_expxhr_d,
   AdmsSensFadType & instanceVar_m0flag_d,
   AdmsSensFadType & instanceVar_ISATFOR1_d,
   AdmsSensFadType & instanceVar_MFOR1_d,
   AdmsSensFadType & instanceVar_ISATFOR2_d,
   AdmsSensFadType & instanceVar_MFOR2_d,
   AdmsSensFadType & instanceVar_ISATREV_d,
   AdmsSensFadType & instanceVar_MREV_d,
   // model parameters
   // reals
   AdmsSensFadType & modelPar_LEVEL,
   bool modelPar_given_LEVEL,
   AdmsSensFadType & modelPar_TYPE,
   bool modelPar_given_TYPE,
   AdmsSensFadType & modelPar_TR,
   bool modelPar_given_TR,
   AdmsSensFadType & modelPar_SWGEO,
   bool modelPar_given_SWGEO,
   AdmsSensFadType & modelPar_SWIGATE,
   bool modelPar_given_SWIGATE,
   AdmsSensFadType & modelPar_SWIMPACT,
   bool modelPar_given_SWIMPACT,
   AdmsSensFadType & modelPar_SWGIDL,
   bool modelPar_given_SWGIDL,
   AdmsSensFadType & modelPar_SWJUNCAP,
   bool modelPar_given_SWJUNCAP,
   AdmsSensFadType & modelPar_SWJUNASYM,
   bool modelPar_given_SWJUNASYM,
   AdmsSensFadType & modelPar_SWNUD,
   bool modelPar_given_SWNUD,
   AdmsSensFadType & modelPar_SWDELVTAC,
   bool modelPar_given_SWDELVTAC,
   AdmsSensFadType & modelPar_QMC,
   bool modelPar_given_QMC,
   AdmsSensFadType & modelPar_VFB,
   bool modelPar_given_VFB,
   AdmsSensFadType & modelPar_STVFB,
   bool modelPar_given_STVFB,
   AdmsSensFadType & modelPar_TOX,
   bool modelPar_given_TOX,
   AdmsSensFadType & modelPar_EPSROX,
   bool modelPar_given_EPSROX,
   AdmsSensFadType & modelPar_NEFF,
   bool modelPar_given_NEFF,
   AdmsSensFadType & modelPar_FACNEFFAC,
   bool modelPar_given_FACNEFFAC,
   AdmsSensFadType & modelPar_GFACNUD,
   bool modelPar_given_GFACNUD,
   AdmsSensFadType & modelPar_VSBNUD,
   bool modelPar_given_VSBNUD,
   AdmsSensFadType & modelPar_DVSBNUD,
   bool modelPar_given_DVSBNUD,
   AdmsSensFadType & modelPar_VNSUB,
   bool modelPar_given_VNSUB,
   AdmsSensFadType & modelPar_NSLP,
   bool modelPar_given_NSLP,
   AdmsSensFadType & modelPar_DNSUB,
   bool modelPar_given_DNSUB,
   AdmsSensFadType & modelPar_DPHIB,
   bool modelPar_given_DPHIB,
   AdmsSensFadType & modelPar_DELVTAC,
   bool modelPar_given_DELVTAC,
   AdmsSensFadType & modelPar_NP,
   bool modelPar_given_NP,
   AdmsSensFadType & modelPar_CT,
   bool modelPar_given_CT,
   AdmsSensFadType & modelPar_TOXOV,
   bool modelPar_given_TOXOV,
   AdmsSensFadType & modelPar_TOXOVD,
   bool modelPar_given_TOXOVD,
   AdmsSensFadType & modelPar_NOV,
   bool modelPar_given_NOV,
   AdmsSensFadType & modelPar_NOVD,
   bool modelPar_given_NOVD,
   AdmsSensFadType & modelPar_CF,
   bool modelPar_given_CF,
   AdmsSensFadType & modelPar_CFB,
   bool modelPar_given_CFB,
   AdmsSensFadType & modelPar_BETN,
   bool modelPar_given_BETN,
   AdmsSensFadType & modelPar_STBET,
   bool modelPar_given_STBET,
   AdmsSensFadType & modelPar_MUE,
   bool modelPar_given_MUE,
   AdmsSensFadType & modelPar_STMUE,
   bool modelPar_given_STMUE,
   AdmsSensFadType & modelPar_THEMU,
   bool modelPar_given_THEMU,
   AdmsSensFadType & modelPar_STTHEMU,
   bool modelPar_given_STTHEMU,
   AdmsSensFadType & modelPar_CS,
   bool modelPar_given_CS,
   AdmsSensFadType & modelPar_STCS,
   bool modelPar_given_STCS,
   AdmsSensFadType & modelPar_XCOR,
   bool modelPar_given_XCOR,
   AdmsSensFadType & modelPar_STXCOR,
   bool modelPar_given_STXCOR,
   AdmsSensFadType & modelPar_FETA,
   bool modelPar_given_FETA,
   AdmsSensFadType & modelPar_RS,
   bool modelPar_given_RS,
   AdmsSensFadType & modelPar_STRS,
   bool modelPar_given_STRS,
   AdmsSensFadType & modelPar_RSB,
   bool modelPar_given_RSB,
   AdmsSensFadType & modelPar_RSG,
   bool modelPar_given_RSG,
   AdmsSensFadType & modelPar_THESAT,
   bool modelPar_given_THESAT,
   AdmsSensFadType & modelPar_STTHESAT,
   bool modelPar_given_STTHESAT,
   AdmsSensFadType & modelPar_THESATB,
   bool modelPar_given_THESATB,
   AdmsSensFadType & modelPar_THESATG,
   bool modelPar_given_THESATG,
   AdmsSensFadType & modelPar_AX,
   bool modelPar_given_AX,
   AdmsSensFadType & modelPar_ALP,
   bool modelPar_given_ALP,
   AdmsSensFadType & modelPar_ALP1,
   bool modelPar_given_ALP1,
   AdmsSensFadType & modelPar_ALP2,
   bool modelPar_given_ALP2,
   AdmsSensFadType & modelPar_VP,
   bool modelPar_given_VP,
   AdmsSensFadType & modelPar_A1,
   bool modelPar_given_A1,
   AdmsSensFadType & modelPar_A2,
   bool modelPar_given_A2,
   AdmsSensFadType & modelPar_STA2,
   bool modelPar_given_STA2,
   AdmsSensFadType & modelPar_A3,
   bool modelPar_given_A3,
   AdmsSensFadType & modelPar_A4,
   bool modelPar_given_A4,
   AdmsSensFadType & modelPar_GCO,
   bool modelPar_given_GCO,
   AdmsSensFadType & modelPar_IGINV,
   bool modelPar_given_IGINV,
   AdmsSensFadType & modelPar_IGOV,
   bool modelPar_given_IGOV,
   AdmsSensFadType & modelPar_IGOVD,
   bool modelPar_given_IGOVD,
   AdmsSensFadType & modelPar_STIG,
   bool modelPar_given_STIG,
   AdmsSensFadType & modelPar_GC2,
   bool modelPar_given_GC2,
   AdmsSensFadType & modelPar_GC3,
   bool modelPar_given_GC3,
   AdmsSensFadType & modelPar_CHIB,
   bool modelPar_given_CHIB,
   AdmsSensFadType & modelPar_AGIDL,
   bool modelPar_given_AGIDL,
   AdmsSensFadType & modelPar_AGIDLD,
   bool modelPar_given_AGIDLD,
   AdmsSensFadType & modelPar_BGIDL,
   bool modelPar_given_BGIDL,
   AdmsSensFadType & modelPar_BGIDLD,
   bool modelPar_given_BGIDLD,
   AdmsSensFadType & modelPar_STBGIDL,
   bool modelPar_given_STBGIDL,
   AdmsSensFadType & modelPar_STBGIDLD,
   bool modelPar_given_STBGIDLD,
   AdmsSensFadType & modelPar_CGIDL,
   bool modelPar_given_CGIDL,
   AdmsSensFadType & modelPar_CGIDLD,
   bool modelPar_given_CGIDLD,
   AdmsSensFadType & modelPar_COX,
   bool modelPar_given_COX,
   AdmsSensFadType & modelPar_CGOV,
   bool modelPar_given_CGOV,
   AdmsSensFadType & modelPar_CGOVD,
   bool modelPar_given_CGOVD,
   AdmsSensFadType & modelPar_CGBOV,
   bool modelPar_given_CGBOV,
   AdmsSensFadType & modelPar_CFR,
   bool modelPar_given_CFR,
   AdmsSensFadType & modelPar_CFRD,
   bool modelPar_given_CFRD,
   AdmsSensFadType & modelPar_FNT,
   bool modelPar_given_FNT,
   AdmsSensFadType & modelPar_NFA,
   bool modelPar_given_NFA,
   AdmsSensFadType & modelPar_NFB,
   bool modelPar_given_NFB,
   AdmsSensFadType & modelPar_NFC,
   bool modelPar_given_NFC,
   AdmsSensFadType & modelPar_EF,
   bool modelPar_given_EF,
   AdmsSensFadType & modelPar_RG,
   bool modelPar_given_RG,
   AdmsSensFadType & modelPar_RSE,
   bool modelPar_given_RSE,
   AdmsSensFadType & modelPar_RDE,
   bool modelPar_given_RDE,
   AdmsSensFadType & modelPar_RBULK,
   bool modelPar_given_RBULK,
   AdmsSensFadType & modelPar_RWELL,
   bool modelPar_given_RWELL,
   AdmsSensFadType & modelPar_RJUNS,
   bool modelPar_given_RJUNS,
   AdmsSensFadType & modelPar_RJUND,
   bool modelPar_given_RJUND,
   AdmsSensFadType & modelPar_POVFB,
   bool modelPar_given_POVFB,
   AdmsSensFadType & modelPar_PLVFB,
   bool modelPar_given_PLVFB,
   AdmsSensFadType & modelPar_PWVFB,
   bool modelPar_given_PWVFB,
   AdmsSensFadType & modelPar_PLWVFB,
   bool modelPar_given_PLWVFB,
   AdmsSensFadType & modelPar_POSTVFB,
   bool modelPar_given_POSTVFB,
   AdmsSensFadType & modelPar_PLSTVFB,
   bool modelPar_given_PLSTVFB,
   AdmsSensFadType & modelPar_PWSTVFB,
   bool modelPar_given_PWSTVFB,
   AdmsSensFadType & modelPar_PLWSTVFB,
   bool modelPar_given_PLWSTVFB,
   AdmsSensFadType & modelPar_POTOX,
   bool modelPar_given_POTOX,
   AdmsSensFadType & modelPar_POEPSROX,
   bool modelPar_given_POEPSROX,
   AdmsSensFadType & modelPar_PONEFF,
   bool modelPar_given_PONEFF,
   AdmsSensFadType & modelPar_PLNEFF,
   bool modelPar_given_PLNEFF,
   AdmsSensFadType & modelPar_PWNEFF,
   bool modelPar_given_PWNEFF,
   AdmsSensFadType & modelPar_PLWNEFF,
   bool modelPar_given_PLWNEFF,
   AdmsSensFadType & modelPar_POFACNEFFAC,
   bool modelPar_given_POFACNEFFAC,
   AdmsSensFadType & modelPar_PLFACNEFFAC,
   bool modelPar_given_PLFACNEFFAC,
   AdmsSensFadType & modelPar_PWFACNEFFAC,
   bool modelPar_given_PWFACNEFFAC,
   AdmsSensFadType & modelPar_PLWFACNEFFAC,
   bool modelPar_given_PLWFACNEFFAC,
   AdmsSensFadType & modelPar_POGFACNUD,
   bool modelPar_given_POGFACNUD,
   AdmsSensFadType & modelPar_PLGFACNUD,
   bool modelPar_given_PLGFACNUD,
   AdmsSensFadType & modelPar_PWGFACNUD,
   bool modelPar_given_PWGFACNUD,
   AdmsSensFadType & modelPar_PLWGFACNUD,
   bool modelPar_given_PLWGFACNUD,
   AdmsSensFadType & modelPar_POVSBNUD,
   bool modelPar_given_POVSBNUD,
   AdmsSensFadType & modelPar_PODVSBNUD,
   bool modelPar_given_PODVSBNUD,
   AdmsSensFadType & modelPar_POVNSUB,
   bool modelPar_given_POVNSUB,
   AdmsSensFadType & modelPar_PONSLP,
   bool modelPar_given_PONSLP,
   AdmsSensFadType & modelPar_PODNSUB,
   bool modelPar_given_PODNSUB,
   AdmsSensFadType & modelPar_PODPHIB,
   bool modelPar_given_PODPHIB,
   AdmsSensFadType & modelPar_PLDPHIB,
   bool modelPar_given_PLDPHIB,
   AdmsSensFadType & modelPar_PWDPHIB,
   bool modelPar_given_PWDPHIB,
   AdmsSensFadType & modelPar_PLWDPHIB,
   bool modelPar_given_PLWDPHIB,
   AdmsSensFadType & modelPar_PODELVTAC,
   bool modelPar_given_PODELVTAC,
   AdmsSensFadType & modelPar_PLDELVTAC,
   bool modelPar_given_PLDELVTAC,
   AdmsSensFadType & modelPar_PWDELVTAC,
   bool modelPar_given_PWDELVTAC,
   AdmsSensFadType & modelPar_PLWDELVTAC,
   bool modelPar_given_PLWDELVTAC,
   AdmsSensFadType & modelPar_PONP,
   bool modelPar_given_PONP,
   AdmsSensFadType & modelPar_PLNP,
   bool modelPar_given_PLNP,
   AdmsSensFadType & modelPar_PWNP,
   bool modelPar_given_PWNP,
   AdmsSensFadType & modelPar_PLWNP,
   bool modelPar_given_PLWNP,
   AdmsSensFadType & modelPar_POCT,
   bool modelPar_given_POCT,
   AdmsSensFadType & modelPar_PLCT,
   bool modelPar_given_PLCT,
   AdmsSensFadType & modelPar_PWCT,
   bool modelPar_given_PWCT,
   AdmsSensFadType & modelPar_PLWCT,
   bool modelPar_given_PLWCT,
   AdmsSensFadType & modelPar_POTOXOV,
   bool modelPar_given_POTOXOV,
   AdmsSensFadType & modelPar_POTOXOVD,
   bool modelPar_given_POTOXOVD,
   AdmsSensFadType & modelPar_PONOV,
   bool modelPar_given_PONOV,
   AdmsSensFadType & modelPar_PLNOV,
   bool modelPar_given_PLNOV,
   AdmsSensFadType & modelPar_PWNOV,
   bool modelPar_given_PWNOV,
   AdmsSensFadType & modelPar_PLWNOV,
   bool modelPar_given_PLWNOV,
   AdmsSensFadType & modelPar_PONOVD,
   bool modelPar_given_PONOVD,
   AdmsSensFadType & modelPar_PLNOVD,
   bool modelPar_given_PLNOVD,
   AdmsSensFadType & modelPar_PWNOVD,
   bool modelPar_given_PWNOVD,
   AdmsSensFadType & modelPar_PLWNOVD,
   bool modelPar_given_PLWNOVD,
   AdmsSensFadType & modelPar_POCF,
   bool modelPar_given_POCF,
   AdmsSensFadType & modelPar_PLCF,
   bool modelPar_given_PLCF,
   AdmsSensFadType & modelPar_PWCF,
   bool modelPar_given_PWCF,
   AdmsSensFadType & modelPar_PLWCF,
   bool modelPar_given_PLWCF,
   AdmsSensFadType & modelPar_POCFB,
   bool modelPar_given_POCFB,
   AdmsSensFadType & modelPar_POBETN,
   bool modelPar_given_POBETN,
   AdmsSensFadType & modelPar_PLBETN,
   bool modelPar_given_PLBETN,
   AdmsSensFadType & modelPar_PWBETN,
   bool modelPar_given_PWBETN,
   AdmsSensFadType & modelPar_PLWBETN,
   bool modelPar_given_PLWBETN,
   AdmsSensFadType & modelPar_POSTBET,
   bool modelPar_given_POSTBET,
   AdmsSensFadType & modelPar_PLSTBET,
   bool modelPar_given_PLSTBET,
   AdmsSensFadType & modelPar_PWSTBET,
   bool modelPar_given_PWSTBET,
   AdmsSensFadType & modelPar_PLWSTBET,
   bool modelPar_given_PLWSTBET,
   AdmsSensFadType & modelPar_POMUE,
   bool modelPar_given_POMUE,
   AdmsSensFadType & modelPar_PLMUE,
   bool modelPar_given_PLMUE,
   AdmsSensFadType & modelPar_PWMUE,
   bool modelPar_given_PWMUE,
   AdmsSensFadType & modelPar_PLWMUE,
   bool modelPar_given_PLWMUE,
   AdmsSensFadType & modelPar_POSTMUE,
   bool modelPar_given_POSTMUE,
   AdmsSensFadType & modelPar_POTHEMU,
   bool modelPar_given_POTHEMU,
   AdmsSensFadType & modelPar_POSTTHEMU,
   bool modelPar_given_POSTTHEMU,
   AdmsSensFadType & modelPar_POCS,
   bool modelPar_given_POCS,
   AdmsSensFadType & modelPar_PLCS,
   bool modelPar_given_PLCS,
   AdmsSensFadType & modelPar_PWCS,
   bool modelPar_given_PWCS,
   AdmsSensFadType & modelPar_PLWCS,
   bool modelPar_given_PLWCS,
   AdmsSensFadType & modelPar_POSTCS,
   bool modelPar_given_POSTCS,
   AdmsSensFadType & modelPar_POXCOR,
   bool modelPar_given_POXCOR,
   AdmsSensFadType & modelPar_PLXCOR,
   bool modelPar_given_PLXCOR,
   AdmsSensFadType & modelPar_PWXCOR,
   bool modelPar_given_PWXCOR,
   AdmsSensFadType & modelPar_PLWXCOR,
   bool modelPar_given_PLWXCOR,
   AdmsSensFadType & modelPar_POSTXCOR,
   bool modelPar_given_POSTXCOR,
   AdmsSensFadType & modelPar_POFETA,
   bool modelPar_given_POFETA,
   AdmsSensFadType & modelPar_PORS,
   bool modelPar_given_PORS,
   AdmsSensFadType & modelPar_PLRS,
   bool modelPar_given_PLRS,
   AdmsSensFadType & modelPar_PWRS,
   bool modelPar_given_PWRS,
   AdmsSensFadType & modelPar_PLWRS,
   bool modelPar_given_PLWRS,
   AdmsSensFadType & modelPar_POSTRS,
   bool modelPar_given_POSTRS,
   AdmsSensFadType & modelPar_PORSB,
   bool modelPar_given_PORSB,
   AdmsSensFadType & modelPar_PORSG,
   bool modelPar_given_PORSG,
   AdmsSensFadType & modelPar_POTHESAT,
   bool modelPar_given_POTHESAT,
   AdmsSensFadType & modelPar_PLTHESAT,
   bool modelPar_given_PLTHESAT,
   AdmsSensFadType & modelPar_PWTHESAT,
   bool modelPar_given_PWTHESAT,
   AdmsSensFadType & modelPar_PLWTHESAT,
   bool modelPar_given_PLWTHESAT,
   AdmsSensFadType & modelPar_POSTTHESAT,
   bool modelPar_given_POSTTHESAT,
   AdmsSensFadType & modelPar_PLSTTHESAT,
   bool modelPar_given_PLSTTHESAT,
   AdmsSensFadType & modelPar_PWSTTHESAT,
   bool modelPar_given_PWSTTHESAT,
   AdmsSensFadType & modelPar_PLWSTTHESAT,
   bool modelPar_given_PLWSTTHESAT,
   AdmsSensFadType & modelPar_POTHESATB,
   bool modelPar_given_POTHESATB,
   AdmsSensFadType & modelPar_PLTHESATB,
   bool modelPar_given_PLTHESATB,
   AdmsSensFadType & modelPar_PWTHESATB,
   bool modelPar_given_PWTHESATB,
   AdmsSensFadType & modelPar_PLWTHESATB,
   bool modelPar_given_PLWTHESATB,
   AdmsSensFadType & modelPar_POTHESATG,
   bool modelPar_given_POTHESATG,
   AdmsSensFadType & modelPar_PLTHESATG,
   bool modelPar_given_PLTHESATG,
   AdmsSensFadType & modelPar_PWTHESATG,
   bool modelPar_given_PWTHESATG,
   AdmsSensFadType & modelPar_PLWTHESATG,
   bool modelPar_given_PLWTHESATG,
   AdmsSensFadType & modelPar_POAX,
   bool modelPar_given_POAX,
   AdmsSensFadType & modelPar_PLAX,
   bool modelPar_given_PLAX,
   AdmsSensFadType & modelPar_PWAX,
   bool modelPar_given_PWAX,
   AdmsSensFadType & modelPar_PLWAX,
   bool modelPar_given_PLWAX,
   AdmsSensFadType & modelPar_POALP,
   bool modelPar_given_POALP,
   AdmsSensFadType & modelPar_PLALP,
   bool modelPar_given_PLALP,
   AdmsSensFadType & modelPar_PWALP,
   bool modelPar_given_PWALP,
   AdmsSensFadType & modelPar_PLWALP,
   bool modelPar_given_PLWALP,
   AdmsSensFadType & modelPar_POALP1,
   bool modelPar_given_POALP1,
   AdmsSensFadType & modelPar_PLALP1,
   bool modelPar_given_PLALP1,
   AdmsSensFadType & modelPar_PWALP1,
   bool modelPar_given_PWALP1,
   AdmsSensFadType & modelPar_PLWALP1,
   bool modelPar_given_PLWALP1,
   AdmsSensFadType & modelPar_POALP2,
   bool modelPar_given_POALP2,
   AdmsSensFadType & modelPar_PLALP2,
   bool modelPar_given_PLALP2,
   AdmsSensFadType & modelPar_PWALP2,
   bool modelPar_given_PWALP2,
   AdmsSensFadType & modelPar_PLWALP2,
   bool modelPar_given_PLWALP2,
   AdmsSensFadType & modelPar_POVP,
   bool modelPar_given_POVP,
   AdmsSensFadType & modelPar_POA1,
   bool modelPar_given_POA1,
   AdmsSensFadType & modelPar_PLA1,
   bool modelPar_given_PLA1,
   AdmsSensFadType & modelPar_PWA1,
   bool modelPar_given_PWA1,
   AdmsSensFadType & modelPar_PLWA1,
   bool modelPar_given_PLWA1,
   AdmsSensFadType & modelPar_POA2,
   bool modelPar_given_POA2,
   AdmsSensFadType & modelPar_POSTA2,
   bool modelPar_given_POSTA2,
   AdmsSensFadType & modelPar_POA3,
   bool modelPar_given_POA3,
   AdmsSensFadType & modelPar_PLA3,
   bool modelPar_given_PLA3,
   AdmsSensFadType & modelPar_PWA3,
   bool modelPar_given_PWA3,
   AdmsSensFadType & modelPar_PLWA3,
   bool modelPar_given_PLWA3,
   AdmsSensFadType & modelPar_POA4,
   bool modelPar_given_POA4,
   AdmsSensFadType & modelPar_PLA4,
   bool modelPar_given_PLA4,
   AdmsSensFadType & modelPar_PWA4,
   bool modelPar_given_PWA4,
   AdmsSensFadType & modelPar_PLWA4,
   bool modelPar_given_PLWA4,
   AdmsSensFadType & modelPar_POGCO,
   bool modelPar_given_POGCO,
   AdmsSensFadType & modelPar_POIGINV,
   bool modelPar_given_POIGINV,
   AdmsSensFadType & modelPar_PLIGINV,
   bool modelPar_given_PLIGINV,
   AdmsSensFadType & modelPar_PWIGINV,
   bool modelPar_given_PWIGINV,
   AdmsSensFadType & modelPar_PLWIGINV,
   bool modelPar_given_PLWIGINV,
   AdmsSensFadType & modelPar_POIGOV,
   bool modelPar_given_POIGOV,
   AdmsSensFadType & modelPar_PLIGOV,
   bool modelPar_given_PLIGOV,
   AdmsSensFadType & modelPar_PWIGOV,
   bool modelPar_given_PWIGOV,
   AdmsSensFadType & modelPar_PLWIGOV,
   bool modelPar_given_PLWIGOV,
   AdmsSensFadType & modelPar_POIGOVD,
   bool modelPar_given_POIGOVD,
   AdmsSensFadType & modelPar_PLIGOVD,
   bool modelPar_given_PLIGOVD,
   AdmsSensFadType & modelPar_PWIGOVD,
   bool modelPar_given_PWIGOVD,
   AdmsSensFadType & modelPar_PLWIGOVD,
   bool modelPar_given_PLWIGOVD,
   AdmsSensFadType & modelPar_POSTIG,
   bool modelPar_given_POSTIG,
   AdmsSensFadType & modelPar_POGC2,
   bool modelPar_given_POGC2,
   AdmsSensFadType & modelPar_POGC3,
   bool modelPar_given_POGC3,
   AdmsSensFadType & modelPar_POCHIB,
   bool modelPar_given_POCHIB,
   AdmsSensFadType & modelPar_POAGIDL,
   bool modelPar_given_POAGIDL,
   AdmsSensFadType & modelPar_PLAGIDL,
   bool modelPar_given_PLAGIDL,
   AdmsSensFadType & modelPar_PWAGIDL,
   bool modelPar_given_PWAGIDL,
   AdmsSensFadType & modelPar_PLWAGIDL,
   bool modelPar_given_PLWAGIDL,
   AdmsSensFadType & modelPar_POAGIDLD,
   bool modelPar_given_POAGIDLD,
   AdmsSensFadType & modelPar_PLAGIDLD,
   bool modelPar_given_PLAGIDLD,
   AdmsSensFadType & modelPar_PWAGIDLD,
   bool modelPar_given_PWAGIDLD,
   AdmsSensFadType & modelPar_PLWAGIDLD,
   bool modelPar_given_PLWAGIDLD,
   AdmsSensFadType & modelPar_POBGIDL,
   bool modelPar_given_POBGIDL,
   AdmsSensFadType & modelPar_POBGIDLD,
   bool modelPar_given_POBGIDLD,
   AdmsSensFadType & modelPar_POSTBGIDL,
   bool modelPar_given_POSTBGIDL,
   AdmsSensFadType & modelPar_POSTBGIDLD,
   bool modelPar_given_POSTBGIDLD,
   AdmsSensFadType & modelPar_POCGIDL,
   bool modelPar_given_POCGIDL,
   AdmsSensFadType & modelPar_POCGIDLD,
   bool modelPar_given_POCGIDLD,
   AdmsSensFadType & modelPar_POCOX,
   bool modelPar_given_POCOX,
   AdmsSensFadType & modelPar_PLCOX,
   bool modelPar_given_PLCOX,
   AdmsSensFadType & modelPar_PWCOX,
   bool modelPar_given_PWCOX,
   AdmsSensFadType & modelPar_PLWCOX,
   bool modelPar_given_PLWCOX,
   AdmsSensFadType & modelPar_POCGOV,
   bool modelPar_given_POCGOV,
   AdmsSensFadType & modelPar_PLCGOV,
   bool modelPar_given_PLCGOV,
   AdmsSensFadType & modelPar_PWCGOV,
   bool modelPar_given_PWCGOV,
   AdmsSensFadType & modelPar_PLWCGOV,
   bool modelPar_given_PLWCGOV,
   AdmsSensFadType & modelPar_POCGOVD,
   bool modelPar_given_POCGOVD,
   AdmsSensFadType & modelPar_PLCGOVD,
   bool modelPar_given_PLCGOVD,
   AdmsSensFadType & modelPar_PWCGOVD,
   bool modelPar_given_PWCGOVD,
   AdmsSensFadType & modelPar_PLWCGOVD,
   bool modelPar_given_PLWCGOVD,
   AdmsSensFadType & modelPar_POCGBOV,
   bool modelPar_given_POCGBOV,
   AdmsSensFadType & modelPar_PLCGBOV,
   bool modelPar_given_PLCGBOV,
   AdmsSensFadType & modelPar_PWCGBOV,
   bool modelPar_given_PWCGBOV,
   AdmsSensFadType & modelPar_PLWCGBOV,
   bool modelPar_given_PLWCGBOV,
   AdmsSensFadType & modelPar_POCFR,
   bool modelPar_given_POCFR,
   AdmsSensFadType & modelPar_PLCFR,
   bool modelPar_given_PLCFR,
   AdmsSensFadType & modelPar_PWCFR,
   bool modelPar_given_PWCFR,
   AdmsSensFadType & modelPar_PLWCFR,
   bool modelPar_given_PLWCFR,
   AdmsSensFadType & modelPar_POCFRD,
   bool modelPar_given_POCFRD,
   AdmsSensFadType & modelPar_PLCFRD,
   bool modelPar_given_PLCFRD,
   AdmsSensFadType & modelPar_PWCFRD,
   bool modelPar_given_PWCFRD,
   AdmsSensFadType & modelPar_PLWCFRD,
   bool modelPar_given_PLWCFRD,
   AdmsSensFadType & modelPar_POFNT,
   bool modelPar_given_POFNT,
   AdmsSensFadType & modelPar_PONFA,
   bool modelPar_given_PONFA,
   AdmsSensFadType & modelPar_PLNFA,
   bool modelPar_given_PLNFA,
   AdmsSensFadType & modelPar_PWNFA,
   bool modelPar_given_PWNFA,
   AdmsSensFadType & modelPar_PLWNFA,
   bool modelPar_given_PLWNFA,
   AdmsSensFadType & modelPar_PONFB,
   bool modelPar_given_PONFB,
   AdmsSensFadType & modelPar_PLNFB,
   bool modelPar_given_PLNFB,
   AdmsSensFadType & modelPar_PWNFB,
   bool modelPar_given_PWNFB,
   AdmsSensFadType & modelPar_PLWNFB,
   bool modelPar_given_PLWNFB,
   AdmsSensFadType & modelPar_PONFC,
   bool modelPar_given_PONFC,
   AdmsSensFadType & modelPar_PLNFC,
   bool modelPar_given_PLNFC,
   AdmsSensFadType & modelPar_PWNFC,
   bool modelPar_given_PWNFC,
   AdmsSensFadType & modelPar_PLWNFC,
   bool modelPar_given_PLWNFC,
   AdmsSensFadType & modelPar_POEF,
   bool modelPar_given_POEF,
   AdmsSensFadType & modelPar_POKVTHOWE,
   bool modelPar_given_POKVTHOWE,
   AdmsSensFadType & modelPar_PLKVTHOWE,
   bool modelPar_given_PLKVTHOWE,
   AdmsSensFadType & modelPar_PWKVTHOWE,
   bool modelPar_given_PWKVTHOWE,
   AdmsSensFadType & modelPar_PLWKVTHOWE,
   bool modelPar_given_PLWKVTHOWE,
   AdmsSensFadType & modelPar_POKUOWE,
   bool modelPar_given_POKUOWE,
   AdmsSensFadType & modelPar_PLKUOWE,
   bool modelPar_given_PLKUOWE,
   AdmsSensFadType & modelPar_PWKUOWE,
   bool modelPar_given_PWKUOWE,
   AdmsSensFadType & modelPar_PLWKUOWE,
   bool modelPar_given_PLWKUOWE,
   AdmsSensFadType & modelPar_LMIN,
   bool modelPar_given_LMIN,
   AdmsSensFadType & modelPar_LMAX,
   bool modelPar_given_LMAX,
   AdmsSensFadType & modelPar_WMIN,
   bool modelPar_given_WMIN,
   AdmsSensFadType & modelPar_WMAX,
   bool modelPar_given_WMAX,
   AdmsSensFadType & modelPar_LVARO,
   bool modelPar_given_LVARO,
   AdmsSensFadType & modelPar_LVARL,
   bool modelPar_given_LVARL,
   AdmsSensFadType & modelPar_LVARW,
   bool modelPar_given_LVARW,
   AdmsSensFadType & modelPar_LAP,
   bool modelPar_given_LAP,
   AdmsSensFadType & modelPar_WVARO,
   bool modelPar_given_WVARO,
   AdmsSensFadType & modelPar_WVARL,
   bool modelPar_given_WVARL,
   AdmsSensFadType & modelPar_WVARW,
   bool modelPar_given_WVARW,
   AdmsSensFadType & modelPar_WOT,
   bool modelPar_given_WOT,
   AdmsSensFadType & modelPar_DLQ,
   bool modelPar_given_DLQ,
   AdmsSensFadType & modelPar_DWQ,
   bool modelPar_given_DWQ,
   AdmsSensFadType & modelPar_VFBO,
   bool modelPar_given_VFBO,
   AdmsSensFadType & modelPar_VFBL,
   bool modelPar_given_VFBL,
   AdmsSensFadType & modelPar_VFBW,
   bool modelPar_given_VFBW,
   AdmsSensFadType & modelPar_VFBLW,
   bool modelPar_given_VFBLW,
   AdmsSensFadType & modelPar_STVFBO,
   bool modelPar_given_STVFBO,
   AdmsSensFadType & modelPar_STVFBL,
   bool modelPar_given_STVFBL,
   AdmsSensFadType & modelPar_STVFBW,
   bool modelPar_given_STVFBW,
   AdmsSensFadType & modelPar_STVFBLW,
   bool modelPar_given_STVFBLW,
   AdmsSensFadType & modelPar_TOXO,
   bool modelPar_given_TOXO,
   AdmsSensFadType & modelPar_EPSROXO,
   bool modelPar_given_EPSROXO,
   AdmsSensFadType & modelPar_NSUBO,
   bool modelPar_given_NSUBO,
   AdmsSensFadType & modelPar_NSUBW,
   bool modelPar_given_NSUBW,
   AdmsSensFadType & modelPar_WSEG,
   bool modelPar_given_WSEG,
   AdmsSensFadType & modelPar_NPCK,
   bool modelPar_given_NPCK,
   AdmsSensFadType & modelPar_NPCKW,
   bool modelPar_given_NPCKW,
   AdmsSensFadType & modelPar_WSEGP,
   bool modelPar_given_WSEGP,
   AdmsSensFadType & modelPar_LPCK,
   bool modelPar_given_LPCK,
   AdmsSensFadType & modelPar_LPCKW,
   bool modelPar_given_LPCKW,
   AdmsSensFadType & modelPar_FOL1,
   bool modelPar_given_FOL1,
   AdmsSensFadType & modelPar_FOL2,
   bool modelPar_given_FOL2,
   AdmsSensFadType & modelPar_FACNEFFACO,
   bool modelPar_given_FACNEFFACO,
   AdmsSensFadType & modelPar_FACNEFFACL,
   bool modelPar_given_FACNEFFACL,
   AdmsSensFadType & modelPar_FACNEFFACW,
   bool modelPar_given_FACNEFFACW,
   AdmsSensFadType & modelPar_FACNEFFACLW,
   bool modelPar_given_FACNEFFACLW,
   AdmsSensFadType & modelPar_GFACNUDO,
   bool modelPar_given_GFACNUDO,
   AdmsSensFadType & modelPar_GFACNUDL,
   bool modelPar_given_GFACNUDL,
   AdmsSensFadType & modelPar_GFACNUDLEXP,
   bool modelPar_given_GFACNUDLEXP,
   AdmsSensFadType & modelPar_GFACNUDW,
   bool modelPar_given_GFACNUDW,
   AdmsSensFadType & modelPar_GFACNUDLW,
   bool modelPar_given_GFACNUDLW,
   AdmsSensFadType & modelPar_VSBNUDO,
   bool modelPar_given_VSBNUDO,
   AdmsSensFadType & modelPar_DVSBNUDO,
   bool modelPar_given_DVSBNUDO,
   AdmsSensFadType & modelPar_VNSUBO,
   bool modelPar_given_VNSUBO,
   AdmsSensFadType & modelPar_NSLPO,
   bool modelPar_given_NSLPO,
   AdmsSensFadType & modelPar_DNSUBO,
   bool modelPar_given_DNSUBO,
   AdmsSensFadType & modelPar_DPHIBO,
   bool modelPar_given_DPHIBO,
   AdmsSensFadType & modelPar_DPHIBL,
   bool modelPar_given_DPHIBL,
   AdmsSensFadType & modelPar_DPHIBLEXP,
   bool modelPar_given_DPHIBLEXP,
   AdmsSensFadType & modelPar_DPHIBW,
   bool modelPar_given_DPHIBW,
   AdmsSensFadType & modelPar_DPHIBLW,
   bool modelPar_given_DPHIBLW,
   AdmsSensFadType & modelPar_DELVTACO,
   bool modelPar_given_DELVTACO,
   AdmsSensFadType & modelPar_DELVTACL,
   bool modelPar_given_DELVTACL,
   AdmsSensFadType & modelPar_DELVTACLEXP,
   bool modelPar_given_DELVTACLEXP,
   AdmsSensFadType & modelPar_DELVTACW,
   bool modelPar_given_DELVTACW,
   AdmsSensFadType & modelPar_DELVTACLW,
   bool modelPar_given_DELVTACLW,
   AdmsSensFadType & modelPar_NPO,
   bool modelPar_given_NPO,
   AdmsSensFadType & modelPar_NPL,
   bool modelPar_given_NPL,
   AdmsSensFadType & modelPar_CTO,
   bool modelPar_given_CTO,
   AdmsSensFadType & modelPar_CTL,
   bool modelPar_given_CTL,
   AdmsSensFadType & modelPar_CTLEXP,
   bool modelPar_given_CTLEXP,
   AdmsSensFadType & modelPar_CTW,
   bool modelPar_given_CTW,
   AdmsSensFadType & modelPar_CTLW,
   bool modelPar_given_CTLW,
   AdmsSensFadType & modelPar_TOXOVO,
   bool modelPar_given_TOXOVO,
   AdmsSensFadType & modelPar_TOXOVDO,
   bool modelPar_given_TOXOVDO,
   AdmsSensFadType & modelPar_LOV,
   bool modelPar_given_LOV,
   AdmsSensFadType & modelPar_LOVD,
   bool modelPar_given_LOVD,
   AdmsSensFadType & modelPar_NOVO,
   bool modelPar_given_NOVO,
   AdmsSensFadType & modelPar_NOVDO,
   bool modelPar_given_NOVDO,
   AdmsSensFadType & modelPar_CFL,
   bool modelPar_given_CFL,
   AdmsSensFadType & modelPar_CFLEXP,
   bool modelPar_given_CFLEXP,
   AdmsSensFadType & modelPar_CFW,
   bool modelPar_given_CFW,
   AdmsSensFadType & modelPar_CFBO,
   bool modelPar_given_CFBO,
   AdmsSensFadType & modelPar_UO,
   bool modelPar_given_UO,
   AdmsSensFadType & modelPar_FBET1,
   bool modelPar_given_FBET1,
   AdmsSensFadType & modelPar_FBET1W,
   bool modelPar_given_FBET1W,
   AdmsSensFadType & modelPar_LP1,
   bool modelPar_given_LP1,
   AdmsSensFadType & modelPar_LP1W,
   bool modelPar_given_LP1W,
   AdmsSensFadType & modelPar_FBET2,
   bool modelPar_given_FBET2,
   AdmsSensFadType & modelPar_LP2,
   bool modelPar_given_LP2,
   AdmsSensFadType & modelPar_BETW1,
   bool modelPar_given_BETW1,
   AdmsSensFadType & modelPar_BETW2,
   bool modelPar_given_BETW2,
   AdmsSensFadType & modelPar_WBET,
   bool modelPar_given_WBET,
   AdmsSensFadType & modelPar_STBETO,
   bool modelPar_given_STBETO,
   AdmsSensFadType & modelPar_STBETL,
   bool modelPar_given_STBETL,
   AdmsSensFadType & modelPar_STBETW,
   bool modelPar_given_STBETW,
   AdmsSensFadType & modelPar_STBETLW,
   bool modelPar_given_STBETLW,
   AdmsSensFadType & modelPar_MUEO,
   bool modelPar_given_MUEO,
   AdmsSensFadType & modelPar_MUEW,
   bool modelPar_given_MUEW,
   AdmsSensFadType & modelPar_STMUEO,
   bool modelPar_given_STMUEO,
   AdmsSensFadType & modelPar_THEMUO,
   bool modelPar_given_THEMUO,
   AdmsSensFadType & modelPar_STTHEMUO,
   bool modelPar_given_STTHEMUO,
   AdmsSensFadType & modelPar_CSO,
   bool modelPar_given_CSO,
   AdmsSensFadType & modelPar_CSL,
   bool modelPar_given_CSL,
   AdmsSensFadType & modelPar_CSLEXP,
   bool modelPar_given_CSLEXP,
   AdmsSensFadType & modelPar_CSW,
   bool modelPar_given_CSW,
   AdmsSensFadType & modelPar_CSLW,
   bool modelPar_given_CSLW,
   AdmsSensFadType & modelPar_STCSO,
   bool modelPar_given_STCSO,
   AdmsSensFadType & modelPar_XCORO,
   bool modelPar_given_XCORO,
   AdmsSensFadType & modelPar_XCORL,
   bool modelPar_given_XCORL,
   AdmsSensFadType & modelPar_XCORW,
   bool modelPar_given_XCORW,
   AdmsSensFadType & modelPar_XCORLW,
   bool modelPar_given_XCORLW,
   AdmsSensFadType & modelPar_STXCORO,
   bool modelPar_given_STXCORO,
   AdmsSensFadType & modelPar_FETAO,
   bool modelPar_given_FETAO,
   AdmsSensFadType & modelPar_RSW1,
   bool modelPar_given_RSW1,
   AdmsSensFadType & modelPar_RSW2,
   bool modelPar_given_RSW2,
   AdmsSensFadType & modelPar_STRSO,
   bool modelPar_given_STRSO,
   AdmsSensFadType & modelPar_RSBO,
   bool modelPar_given_RSBO,
   AdmsSensFadType & modelPar_RSGO,
   bool modelPar_given_RSGO,
   AdmsSensFadType & modelPar_THESATO,
   bool modelPar_given_THESATO,
   AdmsSensFadType & modelPar_THESATL,
   bool modelPar_given_THESATL,
   AdmsSensFadType & modelPar_THESATLEXP,
   bool modelPar_given_THESATLEXP,
   AdmsSensFadType & modelPar_THESATW,
   bool modelPar_given_THESATW,
   AdmsSensFadType & modelPar_THESATLW,
   bool modelPar_given_THESATLW,
   AdmsSensFadType & modelPar_STTHESATO,
   bool modelPar_given_STTHESATO,
   AdmsSensFadType & modelPar_STTHESATL,
   bool modelPar_given_STTHESATL,
   AdmsSensFadType & modelPar_STTHESATW,
   bool modelPar_given_STTHESATW,
   AdmsSensFadType & modelPar_STTHESATLW,
   bool modelPar_given_STTHESATLW,
   AdmsSensFadType & modelPar_THESATBO,
   bool modelPar_given_THESATBO,
   AdmsSensFadType & modelPar_THESATGO,
   bool modelPar_given_THESATGO,
   AdmsSensFadType & modelPar_AXO,
   bool modelPar_given_AXO,
   AdmsSensFadType & modelPar_AXL,
   bool modelPar_given_AXL,
   AdmsSensFadType & modelPar_ALPL,
   bool modelPar_given_ALPL,
   AdmsSensFadType & modelPar_ALPLEXP,
   bool modelPar_given_ALPLEXP,
   AdmsSensFadType & modelPar_ALPW,
   bool modelPar_given_ALPW,
   AdmsSensFadType & modelPar_ALP1L1,
   bool modelPar_given_ALP1L1,
   AdmsSensFadType & modelPar_ALP1LEXP,
   bool modelPar_given_ALP1LEXP,
   AdmsSensFadType & modelPar_ALP1L2,
   bool modelPar_given_ALP1L2,
   AdmsSensFadType & modelPar_ALP1W,
   bool modelPar_given_ALP1W,
   AdmsSensFadType & modelPar_ALP2L1,
   bool modelPar_given_ALP2L1,
   AdmsSensFadType & modelPar_ALP2LEXP,
   bool modelPar_given_ALP2LEXP,
   AdmsSensFadType & modelPar_ALP2L2,
   bool modelPar_given_ALP2L2,
   AdmsSensFadType & modelPar_ALP2W,
   bool modelPar_given_ALP2W,
   AdmsSensFadType & modelPar_VPO,
   bool modelPar_given_VPO,
   AdmsSensFadType & modelPar_A1O,
   bool modelPar_given_A1O,
   AdmsSensFadType & modelPar_A1L,
   bool modelPar_given_A1L,
   AdmsSensFadType & modelPar_A1W,
   bool modelPar_given_A1W,
   AdmsSensFadType & modelPar_A2O,
   bool modelPar_given_A2O,
   AdmsSensFadType & modelPar_STA2O,
   bool modelPar_given_STA2O,
   AdmsSensFadType & modelPar_A3O,
   bool modelPar_given_A3O,
   AdmsSensFadType & modelPar_A3L,
   bool modelPar_given_A3L,
   AdmsSensFadType & modelPar_A3W,
   bool modelPar_given_A3W,
   AdmsSensFadType & modelPar_A4O,
   bool modelPar_given_A4O,
   AdmsSensFadType & modelPar_A4L,
   bool modelPar_given_A4L,
   AdmsSensFadType & modelPar_A4W,
   bool modelPar_given_A4W,
   AdmsSensFadType & modelPar_GCOO,
   bool modelPar_given_GCOO,
   AdmsSensFadType & modelPar_IGINVLW,
   bool modelPar_given_IGINVLW,
   AdmsSensFadType & modelPar_IGOVW,
   bool modelPar_given_IGOVW,
   AdmsSensFadType & modelPar_IGOVDW,
   bool modelPar_given_IGOVDW,
   AdmsSensFadType & modelPar_STIGO,
   bool modelPar_given_STIGO,
   AdmsSensFadType & modelPar_GC2O,
   bool modelPar_given_GC2O,
   AdmsSensFadType & modelPar_GC3O,
   bool modelPar_given_GC3O,
   AdmsSensFadType & modelPar_CHIBO,
   bool modelPar_given_CHIBO,
   AdmsSensFadType & modelPar_AGIDLW,
   bool modelPar_given_AGIDLW,
   AdmsSensFadType & modelPar_AGIDLDW,
   bool modelPar_given_AGIDLDW,
   AdmsSensFadType & modelPar_BGIDLO,
   bool modelPar_given_BGIDLO,
   AdmsSensFadType & modelPar_BGIDLDO,
   bool modelPar_given_BGIDLDO,
   AdmsSensFadType & modelPar_STBGIDLO,
   bool modelPar_given_STBGIDLO,
   AdmsSensFadType & modelPar_STBGIDLDO,
   bool modelPar_given_STBGIDLDO,
   AdmsSensFadType & modelPar_CGIDLO,
   bool modelPar_given_CGIDLO,
   AdmsSensFadType & modelPar_CGIDLDO,
   bool modelPar_given_CGIDLDO,
   AdmsSensFadType & modelPar_CGBOVL,
   bool modelPar_given_CGBOVL,
   AdmsSensFadType & modelPar_CFRW,
   bool modelPar_given_CFRW,
   AdmsSensFadType & modelPar_CFRDW,
   bool modelPar_given_CFRDW,
   AdmsSensFadType & modelPar_FNTO,
   bool modelPar_given_FNTO,
   AdmsSensFadType & modelPar_NFALW,
   bool modelPar_given_NFALW,
   AdmsSensFadType & modelPar_NFBLW,
   bool modelPar_given_NFBLW,
   AdmsSensFadType & modelPar_NFCLW,
   bool modelPar_given_NFCLW,
   AdmsSensFadType & modelPar_EFO,
   bool modelPar_given_EFO,
   AdmsSensFadType & modelPar_LINTNOI,
   bool modelPar_given_LINTNOI,
   AdmsSensFadType & modelPar_ALPNOI,
   bool modelPar_given_ALPNOI,
   AdmsSensFadType & modelPar_KVTHOWEO,
   bool modelPar_given_KVTHOWEO,
   AdmsSensFadType & modelPar_KVTHOWEL,
   bool modelPar_given_KVTHOWEL,
   AdmsSensFadType & modelPar_KVTHOWEW,
   bool modelPar_given_KVTHOWEW,
   AdmsSensFadType & modelPar_KVTHOWELW,
   bool modelPar_given_KVTHOWELW,
   AdmsSensFadType & modelPar_KUOWEO,
   bool modelPar_given_KUOWEO,
   AdmsSensFadType & modelPar_KUOWEL,
   bool modelPar_given_KUOWEL,
   AdmsSensFadType & modelPar_KUOWEW,
   bool modelPar_given_KUOWEW,
   AdmsSensFadType & modelPar_KUOWELW,
   bool modelPar_given_KUOWELW,
   AdmsSensFadType & modelPar_RGO,
   bool modelPar_given_RGO,
   AdmsSensFadType & modelPar_RINT,
   bool modelPar_given_RINT,
   AdmsSensFadType & modelPar_RVPOLY,
   bool modelPar_given_RVPOLY,
   AdmsSensFadType & modelPar_RSHG,
   bool modelPar_given_RSHG,
   AdmsSensFadType & modelPar_DLSIL,
   bool modelPar_given_DLSIL,
   AdmsSensFadType & modelPar_RSH,
   bool modelPar_given_RSH,
   AdmsSensFadType & modelPar_RSHD,
   bool modelPar_given_RSHD,
   AdmsSensFadType & modelPar_RBULKO,
   bool modelPar_given_RBULKO,
   AdmsSensFadType & modelPar_RWELLO,
   bool modelPar_given_RWELLO,
   AdmsSensFadType & modelPar_RJUNSO,
   bool modelPar_given_RJUNSO,
   AdmsSensFadType & modelPar_RJUNDO,
   bool modelPar_given_RJUNDO,
   AdmsSensFadType & modelPar_SAREF,
   bool modelPar_given_SAREF,
   AdmsSensFadType & modelPar_SBREF,
   bool modelPar_given_SBREF,
   AdmsSensFadType & modelPar_WLOD,
   bool modelPar_given_WLOD,
   AdmsSensFadType & modelPar_KUO,
   bool modelPar_given_KUO,
   AdmsSensFadType & modelPar_KVSAT,
   bool modelPar_given_KVSAT,
   AdmsSensFadType & modelPar_TKUO,
   bool modelPar_given_TKUO,
   AdmsSensFadType & modelPar_LKUO,
   bool modelPar_given_LKUO,
   AdmsSensFadType & modelPar_WKUO,
   bool modelPar_given_WKUO,
   AdmsSensFadType & modelPar_PKUO,
   bool modelPar_given_PKUO,
   AdmsSensFadType & modelPar_LLODKUO,
   bool modelPar_given_LLODKUO,
   AdmsSensFadType & modelPar_WLODKUO,
   bool modelPar_given_WLODKUO,
   AdmsSensFadType & modelPar_KVTHO,
   bool modelPar_given_KVTHO,
   AdmsSensFadType & modelPar_LKVTHO,
   bool modelPar_given_LKVTHO,
   AdmsSensFadType & modelPar_WKVTHO,
   bool modelPar_given_WKVTHO,
   AdmsSensFadType & modelPar_PKVTHO,
   bool modelPar_given_PKVTHO,
   AdmsSensFadType & modelPar_LLODVTH,
   bool modelPar_given_LLODVTH,
   AdmsSensFadType & modelPar_WLODVTH,
   bool modelPar_given_WLODVTH,
   AdmsSensFadType & modelPar_STETAO,
   bool modelPar_given_STETAO,
   AdmsSensFadType & modelPar_LODETAO,
   bool modelPar_given_LODETAO,
   AdmsSensFadType & modelPar_SCREF,
   bool modelPar_given_SCREF,
   AdmsSensFadType & modelPar_WEB,
   bool modelPar_given_WEB,
   AdmsSensFadType & modelPar_WEC,
   bool modelPar_given_WEC,
   AdmsSensFadType & modelPar_IMAX,
   bool modelPar_given_IMAX,
   AdmsSensFadType & modelPar_TRJ,
   bool modelPar_given_TRJ,
   AdmsSensFadType & modelPar_CJORBOT,
   bool modelPar_given_CJORBOT,
   AdmsSensFadType & modelPar_CJORSTI,
   bool modelPar_given_CJORSTI,
   AdmsSensFadType & modelPar_CJORGAT,
   bool modelPar_given_CJORGAT,
   AdmsSensFadType & modelPar_VBIRBOT,
   bool modelPar_given_VBIRBOT,
   AdmsSensFadType & modelPar_VBIRSTI,
   bool modelPar_given_VBIRSTI,
   AdmsSensFadType & modelPar_VBIRGAT,
   bool modelPar_given_VBIRGAT,
   AdmsSensFadType & modelPar_PBOT,
   bool modelPar_given_PBOT,
   AdmsSensFadType & modelPar_PSTI,
   bool modelPar_given_PSTI,
   AdmsSensFadType & modelPar_PGAT,
   bool modelPar_given_PGAT,
   AdmsSensFadType & modelPar_PHIGBOT,
   bool modelPar_given_PHIGBOT,
   AdmsSensFadType & modelPar_PHIGSTI,
   bool modelPar_given_PHIGSTI,
   AdmsSensFadType & modelPar_PHIGGAT,
   bool modelPar_given_PHIGGAT,
   AdmsSensFadType & modelPar_IDSATRBOT,
   bool modelPar_given_IDSATRBOT,
   AdmsSensFadType & modelPar_IDSATRSTI,
   bool modelPar_given_IDSATRSTI,
   AdmsSensFadType & modelPar_IDSATRGAT,
   bool modelPar_given_IDSATRGAT,
   AdmsSensFadType & modelPar_CSRHBOT,
   bool modelPar_given_CSRHBOT,
   AdmsSensFadType & modelPar_CSRHSTI,
   bool modelPar_given_CSRHSTI,
   AdmsSensFadType & modelPar_CSRHGAT,
   bool modelPar_given_CSRHGAT,
   AdmsSensFadType & modelPar_XJUNSTI,
   bool modelPar_given_XJUNSTI,
   AdmsSensFadType & modelPar_XJUNGAT,
   bool modelPar_given_XJUNGAT,
   AdmsSensFadType & modelPar_CTATBOT,
   bool modelPar_given_CTATBOT,
   AdmsSensFadType & modelPar_CTATSTI,
   bool modelPar_given_CTATSTI,
   AdmsSensFadType & modelPar_CTATGAT,
   bool modelPar_given_CTATGAT,
   AdmsSensFadType & modelPar_MEFFTATBOT,
   bool modelPar_given_MEFFTATBOT,
   AdmsSensFadType & modelPar_MEFFTATSTI,
   bool modelPar_given_MEFFTATSTI,
   AdmsSensFadType & modelPar_MEFFTATGAT,
   bool modelPar_given_MEFFTATGAT,
   AdmsSensFadType & modelPar_CBBTBOT,
   bool modelPar_given_CBBTBOT,
   AdmsSensFadType & modelPar_CBBTSTI,
   bool modelPar_given_CBBTSTI,
   AdmsSensFadType & modelPar_CBBTGAT,
   bool modelPar_given_CBBTGAT,
   AdmsSensFadType & modelPar_FBBTRBOT,
   bool modelPar_given_FBBTRBOT,
   AdmsSensFadType & modelPar_FBBTRSTI,
   bool modelPar_given_FBBTRSTI,
   AdmsSensFadType & modelPar_FBBTRGAT,
   bool modelPar_given_FBBTRGAT,
   AdmsSensFadType & modelPar_STFBBTBOT,
   bool modelPar_given_STFBBTBOT,
   AdmsSensFadType & modelPar_STFBBTSTI,
   bool modelPar_given_STFBBTSTI,
   AdmsSensFadType & modelPar_STFBBTGAT,
   bool modelPar_given_STFBBTGAT,
   AdmsSensFadType & modelPar_VBRBOT,
   bool modelPar_given_VBRBOT,
   AdmsSensFadType & modelPar_VBRSTI,
   bool modelPar_given_VBRSTI,
   AdmsSensFadType & modelPar_VBRGAT,
   bool modelPar_given_VBRGAT,
   AdmsSensFadType & modelPar_PBRBOT,
   bool modelPar_given_PBRBOT,
   AdmsSensFadType & modelPar_PBRSTI,
   bool modelPar_given_PBRSTI,
   AdmsSensFadType & modelPar_PBRGAT,
   bool modelPar_given_PBRGAT,
   AdmsSensFadType & modelPar_CJORBOTD,
   bool modelPar_given_CJORBOTD,
   AdmsSensFadType & modelPar_CJORSTID,
   bool modelPar_given_CJORSTID,
   AdmsSensFadType & modelPar_CJORGATD,
   bool modelPar_given_CJORGATD,
   AdmsSensFadType & modelPar_VBIRBOTD,
   bool modelPar_given_VBIRBOTD,
   AdmsSensFadType & modelPar_VBIRSTID,
   bool modelPar_given_VBIRSTID,
   AdmsSensFadType & modelPar_VBIRGATD,
   bool modelPar_given_VBIRGATD,
   AdmsSensFadType & modelPar_PBOTD,
   bool modelPar_given_PBOTD,
   AdmsSensFadType & modelPar_PSTID,
   bool modelPar_given_PSTID,
   AdmsSensFadType & modelPar_PGATD,
   bool modelPar_given_PGATD,
   AdmsSensFadType & modelPar_PHIGBOTD,
   bool modelPar_given_PHIGBOTD,
   AdmsSensFadType & modelPar_PHIGSTID,
   bool modelPar_given_PHIGSTID,
   AdmsSensFadType & modelPar_PHIGGATD,
   bool modelPar_given_PHIGGATD,
   AdmsSensFadType & modelPar_IDSATRBOTD,
   bool modelPar_given_IDSATRBOTD,
   AdmsSensFadType & modelPar_IDSATRSTID,
   bool modelPar_given_IDSATRSTID,
   AdmsSensFadType & modelPar_IDSATRGATD,
   bool modelPar_given_IDSATRGATD,
   AdmsSensFadType & modelPar_CSRHBOTD,
   bool modelPar_given_CSRHBOTD,
   AdmsSensFadType & modelPar_CSRHSTID,
   bool modelPar_given_CSRHSTID,
   AdmsSensFadType & modelPar_CSRHGATD,
   bool modelPar_given_CSRHGATD,
   AdmsSensFadType & modelPar_XJUNSTID,
   bool modelPar_given_XJUNSTID,
   AdmsSensFadType & modelPar_XJUNGATD,
   bool modelPar_given_XJUNGATD,
   AdmsSensFadType & modelPar_CTATBOTD,
   bool modelPar_given_CTATBOTD,
   AdmsSensFadType & modelPar_CTATSTID,
   bool modelPar_given_CTATSTID,
   AdmsSensFadType & modelPar_CTATGATD,
   bool modelPar_given_CTATGATD,
   AdmsSensFadType & modelPar_MEFFTATBOTD,
   bool modelPar_given_MEFFTATBOTD,
   AdmsSensFadType & modelPar_MEFFTATSTID,
   bool modelPar_given_MEFFTATSTID,
   AdmsSensFadType & modelPar_MEFFTATGATD,
   bool modelPar_given_MEFFTATGATD,
   AdmsSensFadType & modelPar_CBBTBOTD,
   bool modelPar_given_CBBTBOTD,
   AdmsSensFadType & modelPar_CBBTSTID,
   bool modelPar_given_CBBTSTID,
   AdmsSensFadType & modelPar_CBBTGATD,
   bool modelPar_given_CBBTGATD,
   AdmsSensFadType & modelPar_FBBTRBOTD,
   bool modelPar_given_FBBTRBOTD,
   AdmsSensFadType & modelPar_FBBTRSTID,
   bool modelPar_given_FBBTRSTID,
   AdmsSensFadType & modelPar_FBBTRGATD,
   bool modelPar_given_FBBTRGATD,
   AdmsSensFadType & modelPar_STFBBTBOTD,
   bool modelPar_given_STFBBTBOTD,
   AdmsSensFadType & modelPar_STFBBTSTID,
   bool modelPar_given_STFBBTSTID,
   AdmsSensFadType & modelPar_STFBBTGATD,
   bool modelPar_given_STFBBTGATD,
   AdmsSensFadType & modelPar_VBRBOTD,
   bool modelPar_given_VBRBOTD,
   AdmsSensFadType & modelPar_VBRSTID,
   bool modelPar_given_VBRSTID,
   AdmsSensFadType & modelPar_VBRGATD,
   bool modelPar_given_VBRGATD,
   AdmsSensFadType & modelPar_PBRBOTD,
   bool modelPar_given_PBRBOTD,
   AdmsSensFadType & modelPar_PBRSTID,
   bool modelPar_given_PBRSTID,
   AdmsSensFadType & modelPar_PBRGATD,
   bool modelPar_given_PBRGATD,
   AdmsSensFadType & modelPar_SWJUNEXP,
   bool modelPar_given_SWJUNEXP,
   AdmsSensFadType & modelPar_VJUNREF,
   bool modelPar_given_VJUNREF,
   AdmsSensFadType & modelPar_FJUNQ,
   bool modelPar_given_FJUNQ,
   AdmsSensFadType & modelPar_VJUNREFD,
   bool modelPar_given_VJUNREFD,
   AdmsSensFadType & modelPar_FJUNQD,
   bool modelPar_given_FJUNQD,
   AdmsSensFadType & modelPar_DTA,
   bool modelPar_given_DTA// model variables
   ,
   // reals
   AdmsSensFadType & modelVar_NSUBO_i,
   AdmsSensFadType & modelVar_WSEG_i,
   AdmsSensFadType & modelVar_NPCK_i,
   AdmsSensFadType & modelVar_WSEGP_i,
   AdmsSensFadType & modelVar_LPCK_i,
   AdmsSensFadType & modelVar_LOV_i,
   AdmsSensFadType & modelVar_LOVD_i,
   AdmsSensFadType & modelVar_LP1_i,
   AdmsSensFadType & modelVar_LP2_i,
   AdmsSensFadType & modelVar_WBET_i,
   AdmsSensFadType & modelVar_AXL_i,
   AdmsSensFadType & modelVar_ALP1L2_i,
   AdmsSensFadType & modelVar_ALP2L2_i,
   AdmsSensFadType & modelVar_TOXO_i,
   AdmsSensFadType & modelVar_TOXOVO_i,
   AdmsSensFadType & modelVar_TOXOVDO_i,
   AdmsSensFadType & modelVar_EPSROXO_i,
   AdmsSensFadType & modelVar_RINT_i,
   AdmsSensFadType & modelVar_RVPOLY_i,
   AdmsSensFadType & modelVar_RSHG_i,
   AdmsSensFadType & modelVar_RSH_i,
   AdmsSensFadType & modelVar_RSHD_i,
   AdmsSensFadType & modelVar_SAREF_i,
   AdmsSensFadType & modelVar_SBREF_i,
   AdmsSensFadType & modelVar_KVSAT_i,
   AdmsSensFadType & modelVar_LLODKUO_i,
   AdmsSensFadType & modelVar_WLODKUO_i,
   AdmsSensFadType & modelVar_LLODVTH_i,
   AdmsSensFadType & modelVar_WLODVTH_i,
   AdmsSensFadType & modelVar_LODETAO_i,
   AdmsSensFadType & modelVar_SCREF_i,
   AdmsSensFadType & modelVar_WEB_i,
   AdmsSensFadType & modelVar_WEC_i,
   AdmsSensFadType & modelVar_QMC_i,
   AdmsSensFadType & modelVar_TKD,
   AdmsSensFadType & modelVar_dT,
   AdmsSensFadType & modelVar_rT,
   AdmsSensFadType & modelVar_rTn,
   AdmsSensFadType & modelVar_EPSSI,
   AdmsSensFadType & modelVar_phit,
   AdmsSensFadType & modelVar_inv_phit,
   AdmsSensFadType & modelVar_Eg,
   AdmsSensFadType & modelVar_phibFac,
   AdmsSensFadType & modelVar_nt0,
   AdmsSensFadType & modelVar_IMAX_i,
   AdmsSensFadType & modelVar_CJORBOT_i,
   AdmsSensFadType & modelVar_CJORSTI_i,
   AdmsSensFadType & modelVar_CJORGAT_i,
   AdmsSensFadType & modelVar_VBIRBOT_i,
   AdmsSensFadType & modelVar_VBIRSTI_i,
   AdmsSensFadType & modelVar_VBIRGAT_i,
   AdmsSensFadType & modelVar_PBOT_i,
   AdmsSensFadType & modelVar_PSTI_i,
   AdmsSensFadType & modelVar_PGAT_i,
   AdmsSensFadType & modelVar_PHIGBOT_i,
   AdmsSensFadType & modelVar_PHIGSTI_i,
   AdmsSensFadType & modelVar_PHIGGAT_i,
   AdmsSensFadType & modelVar_IDSATRBOT_i,
   AdmsSensFadType & modelVar_IDSATRSTI_i,
   AdmsSensFadType & modelVar_IDSATRGAT_i,
   AdmsSensFadType & modelVar_XJUNSTI_i,
   AdmsSensFadType & modelVar_XJUNGAT_i,
   AdmsSensFadType & modelVar_CSRHBOT_i,
   AdmsSensFadType & modelVar_CSRHSTI_i,
   AdmsSensFadType & modelVar_CSRHGAT_i,
   AdmsSensFadType & modelVar_CTATBOT_i,
   AdmsSensFadType & modelVar_CTATSTI_i,
   AdmsSensFadType & modelVar_CTATGAT_i,
   AdmsSensFadType & modelVar_MEFFTATBOT_i,
   AdmsSensFadType & modelVar_MEFFTATSTI_i,
   AdmsSensFadType & modelVar_MEFFTATGAT_i,
   AdmsSensFadType & modelVar_CBBTBOT_i,
   AdmsSensFadType & modelVar_CBBTSTI_i,
   AdmsSensFadType & modelVar_CBBTGAT_i,
   AdmsSensFadType & modelVar_FBBTRBOT_i,
   AdmsSensFadType & modelVar_FBBTRSTI_i,
   AdmsSensFadType & modelVar_FBBTRGAT_i,
   AdmsSensFadType & modelVar_STFBBTBOT_i,
   AdmsSensFadType & modelVar_STFBBTSTI_i,
   AdmsSensFadType & modelVar_STFBBTGAT_i,
   AdmsSensFadType & modelVar_VBRBOT_i,
   AdmsSensFadType & modelVar_VBRSTI_i,
   AdmsSensFadType & modelVar_VBRGAT_i,
   AdmsSensFadType & modelVar_PBRBOT_i,
   AdmsSensFadType & modelVar_PBRSTI_i,
   AdmsSensFadType & modelVar_PBRGAT_i,
   AdmsSensFadType & modelVar_SWJUNEXP_i,
   AdmsSensFadType & modelVar_VJUNREF_i,
   AdmsSensFadType & modelVar_FJUNQ_i,
   AdmsSensFadType & modelVar_phitr,
   AdmsSensFadType & modelVar_phitd,
   AdmsSensFadType & modelVar_phitdinv,
   AdmsSensFadType & modelVar_perfc,
   AdmsSensFadType & modelVar_berfc,
   AdmsSensFadType & modelVar_cerfc,
   AdmsSensFadType & modelVar_phigrbot,
   AdmsSensFadType & modelVar_phigrsti,
   AdmsSensFadType & modelVar_phigrgat,
   AdmsSensFadType & modelVar_phigdbot,
   AdmsSensFadType & modelVar_phigdsti,
   AdmsSensFadType & modelVar_phigdgat,
   AdmsSensFadType & modelVar_ftdbot,
   AdmsSensFadType & modelVar_ftdsti,
   AdmsSensFadType & modelVar_ftdgat,
   AdmsSensFadType & modelVar_idsatbot,
   AdmsSensFadType & modelVar_idsatsti,
   AdmsSensFadType & modelVar_idsatgat,
   AdmsSensFadType & modelVar_ubibot,
   AdmsSensFadType & modelVar_ubisti,
   AdmsSensFadType & modelVar_ubigat,
   AdmsSensFadType & modelVar_vbibot,
   AdmsSensFadType & modelVar_vbisti,
   AdmsSensFadType & modelVar_vbigat,
   AdmsSensFadType & modelVar_vbiinvbot,
   AdmsSensFadType & modelVar_vbiinvsti,
   AdmsSensFadType & modelVar_vbiinvgat,
   AdmsSensFadType & modelVar_one_minus_PBOT,
   AdmsSensFadType & modelVar_one_minus_PSTI,
   AdmsSensFadType & modelVar_one_minus_PGAT,
   AdmsSensFadType & modelVar_one_over_one_minus_PBOT,
   AdmsSensFadType & modelVar_one_over_one_minus_PSTI,
   AdmsSensFadType & modelVar_one_over_one_minus_PGAT,
   AdmsSensFadType & modelVar_cjobot,
   AdmsSensFadType & modelVar_cjosti,
   AdmsSensFadType & modelVar_cjogat,
   AdmsSensFadType & modelVar_qprefbot,
   AdmsSensFadType & modelVar_qprefsti,
   AdmsSensFadType & modelVar_qprefgat,
   AdmsSensFadType & modelVar_qpref2bot,
   AdmsSensFadType & modelVar_qpref2sti,
   AdmsSensFadType & modelVar_qpref2gat,
   AdmsSensFadType & modelVar_wdepnulrbot,
   AdmsSensFadType & modelVar_wdepnulrsti,
   AdmsSensFadType & modelVar_wdepnulrgat,
   AdmsSensFadType & modelVar_wdepnulrinvbot,
   AdmsSensFadType & modelVar_wdepnulrinvsti,
   AdmsSensFadType & modelVar_wdepnulrinvgat,
   AdmsSensFadType & modelVar_VBIRBOTinv,
   AdmsSensFadType & modelVar_VBIRSTIinv,
   AdmsSensFadType & modelVar_VBIRGATinv,
   AdmsSensFadType & modelVar_deltaEbot,
   AdmsSensFadType & modelVar_deltaEsti,
   AdmsSensFadType & modelVar_deltaEgat,
   AdmsSensFadType & modelVar_atatbot,
   AdmsSensFadType & modelVar_atatsti,
   AdmsSensFadType & modelVar_atatgat,
   AdmsSensFadType & modelVar_btatpartbot,
   AdmsSensFadType & modelVar_btatpartsti,
   AdmsSensFadType & modelVar_btatpartgat,
   AdmsSensFadType & modelVar_fbbtbot,
   AdmsSensFadType & modelVar_fbbtsti,
   AdmsSensFadType & modelVar_fbbtgat,
   AdmsSensFadType & modelVar_fstopbot,
   AdmsSensFadType & modelVar_fstopsti,
   AdmsSensFadType & modelVar_fstopgat,
   AdmsSensFadType & modelVar_VBRinvbot,
   AdmsSensFadType & modelVar_VBRinvsti,
   AdmsSensFadType & modelVar_VBRinvgat,
   AdmsSensFadType & modelVar_slopebot,
   AdmsSensFadType & modelVar_slopesti,
   AdmsSensFadType & modelVar_slopegat,
   AdmsSensFadType & modelVar_CJORBOTS_i,
   AdmsSensFadType & modelVar_CJORSTIS_i,
   AdmsSensFadType & modelVar_CJORGATS_i,
   AdmsSensFadType & modelVar_VBIRBOTS_i,
   AdmsSensFadType & modelVar_VBIRSTIS_i,
   AdmsSensFadType & modelVar_VBIRGATS_i,
   AdmsSensFadType & modelVar_PBOTS_i,
   AdmsSensFadType & modelVar_PSTIS_i,
   AdmsSensFadType & modelVar_PGATS_i,
   AdmsSensFadType & modelVar_PHIGBOTS_i,
   AdmsSensFadType & modelVar_PHIGSTIS_i,
   AdmsSensFadType & modelVar_PHIGGATS_i,
   AdmsSensFadType & modelVar_IDSATRBOTS_i,
   AdmsSensFadType & modelVar_IDSATRSTIS_i,
   AdmsSensFadType & modelVar_IDSATRGATS_i,
   AdmsSensFadType & modelVar_XJUNSTIS_i,
   AdmsSensFadType & modelVar_XJUNGATS_i,
   AdmsSensFadType & modelVar_CSRHBOTS_i,
   AdmsSensFadType & modelVar_CSRHSTIS_i,
   AdmsSensFadType & modelVar_CSRHGATS_i,
   AdmsSensFadType & modelVar_CTATBOTS_i,
   AdmsSensFadType & modelVar_CTATSTIS_i,
   AdmsSensFadType & modelVar_CTATGATS_i,
   AdmsSensFadType & modelVar_MEFFTATBOTS_i,
   AdmsSensFadType & modelVar_MEFFTATSTIS_i,
   AdmsSensFadType & modelVar_MEFFTATGATS_i,
   AdmsSensFadType & modelVar_CBBTBOTS_i,
   AdmsSensFadType & modelVar_CBBTSTIS_i,
   AdmsSensFadType & modelVar_CBBTGATS_i,
   AdmsSensFadType & modelVar_FBBTRBOTS_i,
   AdmsSensFadType & modelVar_FBBTRSTIS_i,
   AdmsSensFadType & modelVar_FBBTRGATS_i,
   AdmsSensFadType & modelVar_STFBBTBOTS_i,
   AdmsSensFadType & modelVar_STFBBTSTIS_i,
   AdmsSensFadType & modelVar_STFBBTGATS_i,
   AdmsSensFadType & modelVar_VBRBOTS_i,
   AdmsSensFadType & modelVar_VBRSTIS_i,
   AdmsSensFadType & modelVar_VBRGATS_i,
   AdmsSensFadType & modelVar_PBRBOTS_i,
   AdmsSensFadType & modelVar_PBRSTIS_i,
   AdmsSensFadType & modelVar_PBRGATS_i,
   AdmsSensFadType & modelVar_CJORBOTD_i,
   AdmsSensFadType & modelVar_CJORSTID_i,
   AdmsSensFadType & modelVar_CJORGATD_i,
   AdmsSensFadType & modelVar_VBIRBOTD_i,
   AdmsSensFadType & modelVar_VBIRSTID_i,
   AdmsSensFadType & modelVar_VBIRGATD_i,
   AdmsSensFadType & modelVar_PBOTD_i,
   AdmsSensFadType & modelVar_PSTID_i,
   AdmsSensFadType & modelVar_PGATD_i,
   AdmsSensFadType & modelVar_PHIGBOTD_i,
   AdmsSensFadType & modelVar_PHIGSTID_i,
   AdmsSensFadType & modelVar_PHIGGATD_i,
   AdmsSensFadType & modelVar_IDSATRBOTD_i,
   AdmsSensFadType & modelVar_IDSATRSTID_i,
   AdmsSensFadType & modelVar_IDSATRGATD_i,
   AdmsSensFadType & modelVar_XJUNSTID_i,
   AdmsSensFadType & modelVar_XJUNGATD_i,
   AdmsSensFadType & modelVar_CSRHBOTD_i,
   AdmsSensFadType & modelVar_CSRHSTID_i,
   AdmsSensFadType & modelVar_CSRHGATD_i,
   AdmsSensFadType & modelVar_CTATBOTD_i,
   AdmsSensFadType & modelVar_CTATSTID_i,
   AdmsSensFadType & modelVar_CTATGATD_i,
   AdmsSensFadType & modelVar_MEFFTATBOTD_i,
   AdmsSensFadType & modelVar_MEFFTATSTID_i,
   AdmsSensFadType & modelVar_MEFFTATGATD_i,
   AdmsSensFadType & modelVar_CBBTBOTD_i,
   AdmsSensFadType & modelVar_CBBTSTID_i,
   AdmsSensFadType & modelVar_CBBTGATD_i,
   AdmsSensFadType & modelVar_FBBTRBOTD_i,
   AdmsSensFadType & modelVar_FBBTRSTID_i,
   AdmsSensFadType & modelVar_FBBTRGATD_i,
   AdmsSensFadType & modelVar_STFBBTBOTD_i,
   AdmsSensFadType & modelVar_STFBBTSTID_i,
   AdmsSensFadType & modelVar_STFBBTGATD_i,
   AdmsSensFadType & modelVar_VBRBOTD_i,
   AdmsSensFadType & modelVar_VBRSTID_i,
   AdmsSensFadType & modelVar_VBRGATD_i,
   AdmsSensFadType & modelVar_PBRBOTD_i,
   AdmsSensFadType & modelVar_PBRSTID_i,
   AdmsSensFadType & modelVar_PBRGATD_i,
   AdmsSensFadType & modelVar_VJUNREFS_i,
   AdmsSensFadType & modelVar_FJUNQS_i,
   AdmsSensFadType & modelVar_VJUNREFD_i,
   AdmsSensFadType & modelVar_FJUNQD_i,
   AdmsSensFadType & modelVar_phigrbot_s,
   AdmsSensFadType & modelVar_phigrsti_s,
   AdmsSensFadType & modelVar_phigrgat_s,
   AdmsSensFadType & modelVar_phigdbot_s,
   AdmsSensFadType & modelVar_phigdsti_s,
   AdmsSensFadType & modelVar_phigdgat_s,
   AdmsSensFadType & modelVar_ftdbot_s,
   AdmsSensFadType & modelVar_ftdsti_s,
   AdmsSensFadType & modelVar_ftdgat_s,
   AdmsSensFadType & modelVar_idsatbot_s,
   AdmsSensFadType & modelVar_idsatsti_s,
   AdmsSensFadType & modelVar_idsatgat_s,
   AdmsSensFadType & modelVar_ubibot_s,
   AdmsSensFadType & modelVar_ubisti_s,
   AdmsSensFadType & modelVar_ubigat_s,
   AdmsSensFadType & modelVar_vbibot_s,
   AdmsSensFadType & modelVar_vbisti_s,
   AdmsSensFadType & modelVar_vbigat_s,
   AdmsSensFadType & modelVar_vbiinvbot_s,
   AdmsSensFadType & modelVar_vbiinvsti_s,
   AdmsSensFadType & modelVar_vbiinvgat_s,
   AdmsSensFadType & modelVar_one_minus_PBOT_s,
   AdmsSensFadType & modelVar_one_minus_PSTI_s,
   AdmsSensFadType & modelVar_one_minus_PGAT_s,
   AdmsSensFadType & modelVar_one_over_one_minus_PBOT_s,
   AdmsSensFadType & modelVar_one_over_one_minus_PSTI_s,
   AdmsSensFadType & modelVar_one_over_one_minus_PGAT_s,
   AdmsSensFadType & modelVar_cjobot_s,
   AdmsSensFadType & modelVar_cjosti_s,
   AdmsSensFadType & modelVar_cjogat_s,
   AdmsSensFadType & modelVar_qprefbot_s,
   AdmsSensFadType & modelVar_qprefsti_s,
   AdmsSensFadType & modelVar_qprefgat_s,
   AdmsSensFadType & modelVar_qpref2bot_s,
   AdmsSensFadType & modelVar_qpref2sti_s,
   AdmsSensFadType & modelVar_qpref2gat_s,
   AdmsSensFadType & modelVar_wdepnulrbot_s,
   AdmsSensFadType & modelVar_wdepnulrsti_s,
   AdmsSensFadType & modelVar_wdepnulrgat_s,
   AdmsSensFadType & modelVar_wdepnulrinvbot_s,
   AdmsSensFadType & modelVar_wdepnulrinvsti_s,
   AdmsSensFadType & modelVar_wdepnulrinvgat_s,
   AdmsSensFadType & modelVar_VBIRBOTinv_s,
   AdmsSensFadType & modelVar_VBIRSTIinv_s,
   AdmsSensFadType & modelVar_VBIRGATinv_s,
   AdmsSensFadType & modelVar_deltaEbot_s,
   AdmsSensFadType & modelVar_deltaEsti_s,
   AdmsSensFadType & modelVar_deltaEgat_s,
   AdmsSensFadType & modelVar_atatbot_s,
   AdmsSensFadType & modelVar_atatsti_s,
   AdmsSensFadType & modelVar_atatgat_s,
   AdmsSensFadType & modelVar_btatpartbot_s,
   AdmsSensFadType & modelVar_btatpartsti_s,
   AdmsSensFadType & modelVar_btatpartgat_s,
   AdmsSensFadType & modelVar_fbbtbot_s,
   AdmsSensFadType & modelVar_fbbtsti_s,
   AdmsSensFadType & modelVar_fbbtgat_s,
   AdmsSensFadType & modelVar_fstopbot_s,
   AdmsSensFadType & modelVar_fstopsti_s,
   AdmsSensFadType & modelVar_fstopgat_s,
   AdmsSensFadType & modelVar_VBRinvbot_s,
   AdmsSensFadType & modelVar_VBRinvsti_s,
   AdmsSensFadType & modelVar_VBRinvgat_s,
   AdmsSensFadType & modelVar_slopebot_s,
   AdmsSensFadType & modelVar_slopesti_s,
   AdmsSensFadType & modelVar_slopegat_s,
   AdmsSensFadType & modelVar_phigrbot_d,
   AdmsSensFadType & modelVar_phigrsti_d,
   AdmsSensFadType & modelVar_phigrgat_d,
   AdmsSensFadType & modelVar_phigdbot_d,
   AdmsSensFadType & modelVar_phigdsti_d,
   AdmsSensFadType & modelVar_phigdgat_d,
   AdmsSensFadType & modelVar_ftdbot_d,
   AdmsSensFadType & modelVar_ftdsti_d,
   AdmsSensFadType & modelVar_ftdgat_d,
   AdmsSensFadType & modelVar_idsatbot_d,
   AdmsSensFadType & modelVar_idsatsti_d,
   AdmsSensFadType & modelVar_idsatgat_d,
   AdmsSensFadType & modelVar_ubibot_d,
   AdmsSensFadType & modelVar_ubisti_d,
   AdmsSensFadType & modelVar_ubigat_d,
   AdmsSensFadType & modelVar_vbibot_d,
   AdmsSensFadType & modelVar_vbisti_d,
   AdmsSensFadType & modelVar_vbigat_d,
   AdmsSensFadType & modelVar_vbiinvbot_d,
   AdmsSensFadType & modelVar_vbiinvsti_d,
   AdmsSensFadType & modelVar_vbiinvgat_d,
   AdmsSensFadType & modelVar_one_minus_PBOT_d,
   AdmsSensFadType & modelVar_one_minus_PSTI_d,
   AdmsSensFadType & modelVar_one_minus_PGAT_d,
   AdmsSensFadType & modelVar_one_over_one_minus_PBOT_d,
   AdmsSensFadType & modelVar_one_over_one_minus_PSTI_d,
   AdmsSensFadType & modelVar_one_over_one_minus_PGAT_d,
   AdmsSensFadType & modelVar_cjobot_d,
   AdmsSensFadType & modelVar_cjosti_d,
   AdmsSensFadType & modelVar_cjogat_d,
   AdmsSensFadType & modelVar_qprefbot_d,
   AdmsSensFadType & modelVar_qprefsti_d,
   AdmsSensFadType & modelVar_qprefgat_d,
   AdmsSensFadType & modelVar_qpref2bot_d,
   AdmsSensFadType & modelVar_qpref2sti_d,
   AdmsSensFadType & modelVar_qpref2gat_d,
   AdmsSensFadType & modelVar_wdepnulrbot_d,
   AdmsSensFadType & modelVar_wdepnulrsti_d,
   AdmsSensFadType & modelVar_wdepnulrgat_d,
   AdmsSensFadType & modelVar_wdepnulrinvbot_d,
   AdmsSensFadType & modelVar_wdepnulrinvsti_d,
   AdmsSensFadType & modelVar_wdepnulrinvgat_d,
   AdmsSensFadType & modelVar_VBIRBOTinv_d,
   AdmsSensFadType & modelVar_VBIRSTIinv_d,
   AdmsSensFadType & modelVar_VBIRGATinv_d,
   AdmsSensFadType & modelVar_deltaEbot_d,
   AdmsSensFadType & modelVar_deltaEsti_d,
   AdmsSensFadType & modelVar_deltaEgat_d,
   AdmsSensFadType & modelVar_atatbot_d,
   AdmsSensFadType & modelVar_atatsti_d,
   AdmsSensFadType & modelVar_atatgat_d,
   AdmsSensFadType & modelVar_btatpartbot_d,
   AdmsSensFadType & modelVar_btatpartsti_d,
   AdmsSensFadType & modelVar_btatpartgat_d,
   AdmsSensFadType & modelVar_fbbtbot_d,
   AdmsSensFadType & modelVar_fbbtsti_d,
   AdmsSensFadType & modelVar_fbbtgat_d,
   AdmsSensFadType & modelVar_fstopbot_d,
   AdmsSensFadType & modelVar_fstopsti_d,
   AdmsSensFadType & modelVar_fstopgat_d,
   AdmsSensFadType & modelVar_VBRinvbot_d,
   AdmsSensFadType & modelVar_VBRinvsti_d,
   AdmsSensFadType & modelVar_VBRinvgat_d,
   AdmsSensFadType & modelVar_slopebot_d,
   AdmsSensFadType & modelVar_slopesti_d,
   AdmsSensFadType & modelVar_slopegat_d,
   // non-reals
   int modelVar_CHNL_TYPE,
   int modelVar_SWGEO_i,
   int modelVar_SWIGATE_i,
   int modelVar_SWIMPACT_i,
   int modelVar_SWGIDL_i,
   int modelVar_SWJUNCAP_i,
   int modelVar_SWJUNASYM_i,
   int modelVar_SWNUD_i,
   int modelVar_SWDELVTAC_i,
   // basic variables
   double admsTemperature, double adms_vt_nom, double gmin, std::vector <AdmsSensFadType> & staticContributions, std::vector <AdmsSensFadType> & dynamicContributions, const Instance & theInstance)
{

  // Local variables
  AdmsSensFadType Qs;
  AdmsSensFadType Idse;
  AdmsSensFadType Igbe;
  AdmsSensFadType Igcse;
  AdmsSensFadType Igcde;
  AdmsSensFadType Igsove;
  AdmsSensFadType Igdove;
  AdmsSensFadType Igidle;
  AdmsSensFadType Igisle;
  AdmsSensFadType Iimpacte;
  AdmsSensFadType rgatenoise;
  AdmsSensFadType rsourcenoise;
  AdmsSensFadType rdrainnoise;
  AdmsSensFadType rbulknoise;
  AdmsSensFadType rjunsnoise;
  AdmsSensFadType rjundnoise;
  AdmsSensFadType rwellnoise;
  AdmsSensFadType vbbt;
  AdmsSensFadType two_psistar;
  AdmsSensFadType z;
  AdmsSensFadType vjlim;
  AdmsSensFadType tmp;
  AdmsSensFadType id;
  AdmsSensFadType wsrhstep;
  AdmsSensFadType dwsrh;
  AdmsSensFadType isrh;
  AdmsSensFadType btat;
  AdmsSensFadType twoatatoverthreebtat;
  AdmsSensFadType umaxbeforelimiting;
  AdmsSensFadType umax;
  AdmsSensFadType sqrtumax;
  AdmsSensFadType umaxpoweronepointfive;
  AdmsSensFadType wgamma;
  AdmsSensFadType wtat;
  AdmsSensFadType ktat;
  AdmsSensFadType ltat;
  AdmsSensFadType mtat;
  AdmsSensFadType xerfc;
  AdmsSensFadType ysq;
  AdmsSensFadType terfc;
  AdmsSensFadType erfcpos;
  AdmsSensFadType erfctimesexpmtat;
  AdmsSensFadType gammamax;
  AdmsSensFadType itat;
  AdmsSensFadType Fmaxr;
  AdmsSensFadType ibbt;
  AdmsSensFadType fbreakdown;
  AdmsSensFadType tm0;
  AdmsSensFadType tm1;
  AdmsSensFadType ijunfor1;
  AdmsSensFadType ijunfor2;
  AdmsSensFadType ijunrev;
  AdmsSensFadType h5;
  AdmsSensFadType h4;
  AdmsSensFadType h3;
  AdmsSensFadType h2d;
  AdmsSensFadType h2;
  AdmsSensFadType h1;
  AdmsSensFadType Gf_ac;
  AdmsSensFadType x_m_ac;
  AdmsSensFadType Gmob_dL_ac;
  AdmsSensFadType Gvsat_ac;
  AdmsSensFadType eta_p_ac;
  AdmsSensFadType H_ac;
  AdmsSensFadType GdL_ac;
  AdmsSensFadType qim1_ac;
  AdmsSensFadType qim_ac;
  AdmsSensFadType dps_ac;
  AdmsSensFadType alpha_ac;
  AdmsSensFadType Voxm_ac;
  AdmsSensFadType qeff1_ac;
  AdmsSensFadType xg_ac;
  AdmsSensFadType Vsbstar_ac;
  double Vgb;
  AdmsSensFadType COX_qm;
  AdmsSensFadType Fj;
  AdmsSensFadType Fj2;
  AdmsSensFadType QG;
  AdmsSensFadType QI;
  AdmsSensFadType QD;
  AdmsSensFadType QB;
  AdmsSensFadType Qg;
  AdmsSensFadType Qd;
  AdmsSensFadType Qb;
  AdmsSensFadType Qgs_ov;
  AdmsSensFadType Qgd_ov;
  AdmsSensFadType Qgb_ov;
  AdmsSensFadType Qfgs;
  AdmsSensFadType Qfgd;
  AdmsSensFadType QCLM;
  AdmsSensFadType xs_ov;
  AdmsSensFadType xd_ov;
  AdmsSensFadType Vovs;
  AdmsSensFadType Vovd;
  AdmsSensFadType Iimpact;
  AdmsSensFadType mavl;
  double Vrg;
  double Vrs;
  double Vrd;
  double Vrjuns;
  double Vrjund;
  double Vrbulk;
  double Vrwell;
  double Vgs;
  double Vds;
  double Vsb;
  double Vjun_s;
  double Vjun_d;
  double VgsPrime;
  double VsbPrime;
  double VdbPrime;
  double VgdPrime;
  AdmsSensFadType xgs_ov;
  AdmsSensFadType xgd_ov;
  double sigVds;
  double Vgd;
  double Vdb;
  double Vdsx;
  AdmsSensFadType Udse_dc;
  AdmsSensFadType Vdsat_dc;
  AdmsSensFadType Gf_dc;
  AdmsSensFadType x_m_dc;
  AdmsSensFadType x_ds_dc;
  AdmsSensFadType Gmob_dL_dc;
  AdmsSensFadType Gvsatinv_dc;
  AdmsSensFadType Gvsat_dc;
  AdmsSensFadType eta_p_dc;
  AdmsSensFadType H_dc;
  AdmsSensFadType FdL_dc;
  AdmsSensFadType GdL_dc;
  AdmsSensFadType qim1_dc;
  AdmsSensFadType qim_dc;
  AdmsSensFadType dps_dc;
  AdmsSensFadType alpha_dc;
  AdmsSensFadType Voxm_dc;
  AdmsSensFadType qeff1_dc;
  AdmsSensFadType xg_dc;
  AdmsSensFadType help;
  AdmsSensFadType temp1;
  AdmsSensFadType temp2;
  AdmsSensFadType mutau;
  AdmsSensFadType nu;
  AdmsSensFadType delVg;
  AdmsSensFadType Vgb1;
  AdmsSensFadType Vgbstar;
  AdmsSensFadType Vdbstar;
  AdmsSensFadType Vsbnud;
  AdmsSensFadType Vmbnew;
  AdmsSensFadType usnew;
  AdmsSensFadType us;
  AdmsSensFadType Vmb;
  AdmsSensFadType Vsbstar_dc;
  AdmsSensFadType temp;
  AdmsSensFadType delVsat;
  AdmsSensFadType Ids;
  AdmsSensFadType GOV;
  AdmsSensFadType GOV2;
  AdmsSensFadType xi_ov;
  AdmsSensFadType inv_xi_ov;
  AdmsSensFadType x_mrg_ov;
  AdmsSensFadType inv_xg1;
  AdmsSensFadType SP_OV_Afac;
  AdmsSensFadType SP_OV_xbar;
  AdmsSensFadType SP_OV_x0;
  AdmsSensFadType SP_OV_u;
  AdmsSensFadType SP_OV_yg;
  AdmsSensFadType SP_OV_z;
  AdmsSensFadType SP_OV_eta;
  AdmsSensFadType SP_OV_a;
  AdmsSensFadType SP_OV_c;
  AdmsSensFadType SP_OV_tau;
  AdmsSensFadType SP_OV_y0;
  AdmsSensFadType SP_OV_D0;
  AdmsSensFadType SP_OV_temp;
  AdmsSensFadType SP_OV_p;
  AdmsSensFadType SP_OV_q;
  AdmsSensFadType SP_OV_xi;
  AdmsSensFadType SP_OV_w;
  AdmsSensFadType Igsov;
  AdmsSensFadType Igdov;
  AdmsSensFadType Igc;
  AdmsSensFadType Igb;
  AdmsSensFadType Igcs;
  AdmsSensFadType Igcd;
  AdmsSensFadType arg2mina;
  AdmsSensFadType psi_t;
  AdmsSensFadType zg;
  AdmsSensFadType arg1;
  AdmsSensFadType Dsi;
  AdmsSensFadType Dgate;
  AdmsSensFadType TP;
  AdmsSensFadType Vm;
  AdmsSensFadType Igc0;
  AdmsSensFadType u0;
  AdmsSensFadType x;
  AdmsSensFadType u0_div_H;
  AdmsSensFadType Bg;
  AdmsSensFadType Ag;
  AdmsSensFadType inv_x;
  AdmsSensFadType ex;
  AdmsSensFadType inv_ex;
  AdmsSensFadType xsq;
  AdmsSensFadType igc;
  AdmsSensFadType igcd_h;
  AdmsSensFadType Sg;
  AdmsSensFadType Igidl;
  AdmsSensFadType Igisl;
  AdmsSensFadType Vtovd;
  AdmsSensFadType Vtovs;


  // -- code converted from analog/code block
  //Begin block evaluateStatic
  {
    QCLM = 0.0;
    xs_ov = 0.0;
    xd_ov = 0.0;
    Vovs = 0.0;
    Vovd = 0.0;
    Iimpact = 0.0;
    mavl = 0.0;
    Vrg = (probeVars[admsProbeID_V_G_GP]);
    Vrs = (probeVars[admsProbeID_V_S_SI]);
    Vrd = (probeVars[admsProbeID_V_D_DI]);
    Vrjuns = (probeVars[admsProbeID_V_BS_BI]);
    Vrjund = (probeVars[admsProbeID_V_BD_BI]);
    Vrbulk = (probeVars[admsProbeID_V_BP_BI]);
    Vrwell = (probeVars[admsProbeID_V_B_BI]);
    if ((modelVar_CHNL_TYPE==(+1)))
    {
      Vgs = (probeVars[admsProbeID_V_GP_SI]);
      Vds = (probeVars[admsProbeID_V_DI_SI]);
      Vsb = (probeVars[admsProbeID_V_SI_BP]);
      Vjun_s = (-(probeVars[admsProbeID_V_SI_BS]));
      Vjun_d = (-(probeVars[admsProbeID_V_DI_BD]));
    }
    else
    {
      Vgs = (-(probeVars[admsProbeID_V_GP_SI]));
      Vds = (-(probeVars[admsProbeID_V_DI_SI]));
      Vsb = (-(probeVars[admsProbeID_V_SI_BP]));
      Vjun_s = (probeVars[admsProbeID_V_SI_BS]);
      Vjun_d = (probeVars[admsProbeID_V_DI_BD]);
    }
    VgsPrime = Vgs;
    VsbPrime = Vsb;
    VdbPrime = (Vds+Vsb);
    VgdPrime = (Vgs-Vds);
    xgs_ov = ((-VgsPrime)*modelVar_inv_phit);
    xgd_ov = ((-VgdPrime)*modelVar_inv_phit);
    sigVds = 1.0;
    if ((Vds<0.0))
    {
      sigVds = (-1.0);
      Vgs = (Vgs-Vds);
      Vsb = (Vsb+Vds);
      Vds = (-Vds);
    }
    Vgd = (Vgs-Vds);
    Vdb = (Vds+Vsb);
    Vdsx = (sqrt(((Vds*Vds)+0.01))-0.1);
    //Begin block SPcalc_dc
    {
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType phib;
      AdmsSensFadType G_0;
      AdmsSensFadType sqrt_phib;
      AdmsSensFadType Vsbstar;
      AdmsSensFadType Vsbx;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType xg;
      AdmsSensFadType qeff;
      AdmsSensFadType qeff1;
      AdmsSensFadType Voxm;
      AdmsSensFadType alpha;
      AdmsSensFadType dps;
      AdmsSensFadType qim;
      AdmsSensFadType qim1;
      AdmsSensFadType GdL;
      AdmsSensFadType H;
      AdmsSensFadType eta_p;
      AdmsSensFadType s1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType Gvsat;
      AdmsSensFadType Gvsatinv;
      AdmsSensFadType Gmob_dL;
      AdmsSensFadType x_ds;
      AdmsSensFadType x_m;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType Dnsub;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType x_s;
      AdmsSensFadType sqm;
      AdmsSensFadType alpha1;
      AdmsSensFadType phi_inf;
      AdmsSensFadType za;
      AdmsSensFadType xitsb;
      AdmsSensFadType rhob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType thesat1;
      AdmsSensFadType wsat;
      AdmsSensFadType ysat;
      AdmsSensFadType zsat;
      AdmsSensFadType dL;
      AdmsSensFadType GR;
      AdmsSensFadType Gmob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType xgm;
      AdmsSensFadType Ux;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType xn_s;
      AdmsSensFadType delta_ns;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType Gf;
      AdmsSensFadType Gf2;
      AdmsSensFadType inv_Gf2;
      AdmsSensFadType xi;
      AdmsSensFadType inv_xi;
      AdmsSensFadType margin;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType SP_xg1;
      AdmsSensFadType SP_S_temp;
      AdmsSensFadType SP_S_temp1;
      AdmsSensFadType SP_S_temp2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType SP_S_yg;
      AdmsSensFadType SP_S_ysub;
      AdmsSensFadType SP_S_y0;
      AdmsSensFadType SP_S_a;
      AdmsSensFadType SP_S_b;
      AdmsSensFadType SP_S_c;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType SP_S_bx;
      AdmsSensFadType SP_S_tau;
      AdmsSensFadType SP_S_eta;
      AdmsSensFadType SP_S_delta0;
      AdmsSensFadType SP_S_delta1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType SP_S_pC;
      AdmsSensFadType SP_S_qC;
      AdmsSensFadType SP_S_A_fac;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType SP_S_x1;
      AdmsSensFadType SP_S_w;
      AdmsSensFadType SP_S_xbar;
      AdmsSensFadType SP_S_x0;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType SP_S_xi0;
      AdmsSensFadType SP_S_xi1;
      AdmsSensFadType SP_S_xi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType x_d;
      AdmsSensFadType Rxcor;
      AdmsSensFadType delta_1s;
      AdmsSensFadType xi0s;
      AdmsSensFadType xi1s;
      AdmsSensFadType xi2s;
      AdmsSensFadType xi0d;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType Es;
      AdmsSensFadType Em;
      AdmsSensFadType Ed;
      AdmsSensFadType Ds;
      AdmsSensFadType Dm;
      AdmsSensFadType Dd;
      AdmsSensFadType Ps;
      AdmsSensFadType xgs;
      AdmsSensFadType qis;
      AdmsSensFadType qbs;
      AdmsSensFadType qbm;
      AdmsSensFadType Eeffm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType Phi_0;
      AdmsSensFadType Phi_2;
      AdmsSensFadType asat;
      AdmsSensFadType Phi_0_2;
      AdmsSensFadType Phi0_Phi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType Vdse;
      AdmsSensFadType Vdsat;
      AdmsSensFadType Udse;
      AdmsSensFadType xn_d;
      AdmsSensFadType k_ds;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType Mutmp;
      AdmsSensFadType Phi_sat;
      AdmsSensFadType delta_nd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType pC;
      AdmsSensFadType qC;
      AdmsSensFadType Pm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType d0;
      AdmsSensFadType D_bar;
      AdmsSensFadType km;
      AdmsSensFadType x_pm;
      AdmsSensFadType xi_pd;
      AdmsSensFadType p_pd;
      AdmsSensFadType u_pd;
      AdmsSensFadType q_pd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_dc
      AdmsSensFadType FdL;
      AdmsSensFadType qim1_1;
      AdmsSensFadType r1;
      AdmsSensFadType r2;
      AdmsSensFadType s2;
      AdmsSensFadType dL1;
      //End of Block-local variables
      temp = ((0.5*((Vdb+Vsb)-sqrt((((Vdb-Vsb)*(Vdb-Vsb))+instanceVar_bphi_dc))))+instanceVar_phix_dc);
      Vsbstar_dc = ((Vsb-(0.5*((temp)-sqrt((((temp)*(temp))+instanceVar_aphi_dc)))))+instanceVar_phix1_dc);
      if (((modelVar_SWNUD_i!=0)&&(instanceVar_GFACNUD_i!=1.0)))
      {
        Vmb = (Vsbstar_dc+(0.5*(Vds-Vdsx)));
        us = (sqrt((Vmb+instanceVar_phib_dc))-instanceVar_sqrt_phib_dc);
        temp = (((2*(us-instanceVar_us1))/instanceVar_us21)-1);
        usnew = (us-(((0.25*(1-instanceVar_GFACNUD_i))*instanceVar_us21)*(temp+sqrt(((temp*temp)+0.4804530139182)))));
        Vmbnew = ((usnew*usnew)+((2*instanceVar_sqrt_phib_dc)*usnew));
        Vsbnud = (Vmbnew-(0.5*(Vds-Vdsx)));
      }
      else
      {
        Vsbnud = Vsbstar_dc;
      }
      phib = instanceVar_phib_dc;
      G_0 = instanceVar_G_0_dc;
      sqrt_phib = instanceVar_sqrt_phib_dc;
      Vsbstar = Vsbnud;
      FdL = 1.0;
      alpha = 0.0;
      GdL = 1.0;
      dL = 0.0;
      qbm = 0.0;
      dps = 0.0;
      qim = 0.0;
      qim1 = 0.0;
      H = 1.0;
      eta_p = 1.0;
      Gvsat = 1.0;
      Gvsatinv = 1.0;
      SP_S_x1 = 0.0;
      x_s = 0.0;
      sqm = 0.0;
      xitsb = 0.0;
      rhob = 0.0;
      Gmob = 1.0;
      Gmob_dL = 1.0;
      Udse = 0.0;
      thesat1 = 0.0;
      xgm = 0.0;
      Vdbstar = (Vds+Vsbstar);
      Vgbstar = (Vgs+Vsbstar);
      Vgb1 = (Vgbstar-instanceVar_VFB_i);
      Vsbx = (Vsbstar+(0.5*(Vds-Vdsx)));
      delVg = (instanceVar_CF_i*(Vdsx*(1+(instanceVar_CFB_i*Vsbx))));
      Vgb1 = (Vgb1+delVg);
      xg = (Vgb1*instanceVar_inv_phit1);
      if ((instanceVar_DNSUB_i>0.0))
      {
        Dnsub = ((instanceVar_DNSUB_i*0.5)*((+((Vgs+Vsb)-instanceVar_VNSUB_i))+sqrt((((-((Vgs+Vsb)-instanceVar_VNSUB_i))*(-((Vgs+Vsb)-instanceVar_VNSUB_i)))+instanceVar_NSLP_i))));
        Gf = (G_0*sqrt((1.0+Dnsub)));
      }
      else
      {
        Gf = G_0;
      }
      Gf2 = (Gf*Gf);
      inv_Gf2 = (1.0/Gf2);
      xi = (1.0+(Gf*7.0710678118654746e-01));
      inv_xi = (1.0/xi);
      Ux = (Vsbstar*instanceVar_inv_phit1);
      xn_s = ((phib*instanceVar_inv_phit1)+Ux);
      if ((xn_s<4.6051701859880916e+02))
      {
        delta_ns = exp((-xn_s));
      }
      else
      {
        delta_ns = (1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
      }
      margin = (1e-5*xi);
      if ((fabs(xg)<=margin))
      {
        SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
        x_s = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)));
      }
      else
      {
        if ((xg<(-margin)))
        {
          SP_S_yg = (-xg);
          SP_S_ysub = (1.25*(SP_S_yg*inv_xi));
          SP_S_eta = (0.5*((SP_S_ysub+10)-sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))));
          SP_S_temp = (SP_S_yg-SP_S_eta);
          SP_S_a = ((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0)));
          SP_S_c = ((2.0*SP_S_temp)-Gf2);
          SP_S_tau = ((-SP_S_eta)+log((SP_S_a*inv_Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a)));
          SP_S_y0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
          if ((SP_S_y0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_y0);
          }
          else
          {
            SP_S_delta0 = (1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
          SP_S_delta1 = (1.0/SP_S_delta0);
          SP_S_temp = (1.0/(2.0+(SP_S_y0*SP_S_y0)));
          SP_S_xi0 = ((SP_S_y0*SP_S_y0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_y0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (SP_S_yg-SP_S_y0);
          SP_S_temp1 = (delta_ns*SP_S_delta1);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_s = ((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
        else
        {
          SP_xg1 = (1.0/(instanceVar_x1+(Gf*7.324648775608221e-001)));
          SP_S_A_fac = ((((xi*instanceVar_x1)*SP_xg1)-1.0)*SP_xg1);
          SP_S_xbar = ((xg*inv_xi)*(1.0+(SP_S_A_fac*xg)));
          if (((-SP_S_xbar)>(-2.3025850929940458e+02)))
          {
            SP_S_temp = exp((-SP_S_xbar));
          }
          else
          {
            SP_S_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
          }
          SP_S_w = (1.0-SP_S_temp);
          SP_S_x1 = ((xg+(Gf2*0.5))-(Gf*sqrt(((xg+(Gf2*0.25))-SP_S_w))));
          SP_S_bx = (xn_s+3.0);
          SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
          SP_S_temp = (xg-SP_S_eta);
          SP_S_temp1 = exp((-SP_S_eta));
          SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
          SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
          SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
          SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
          SP_S_a = max(static_cast<double>(1.0e-40),((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))));
          SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))));
          SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))));
          SP_S_tau = ((xn_s-SP_S_eta)+log((SP_S_a/Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
          SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
          if ((SP_S_x0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_x0);
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_delta0 = (delta_ns*SP_S_delta0);
          }
          else
          {
            if ((SP_S_x0>(xn_s-2.3025850929940458e+02)))
            {
              SP_S_delta0 = exp((SP_S_x0-xn_s));
              SP_S_delta1 = (delta_ns/SP_S_delta0);
            }
            else
            {
              SP_S_delta0 = (1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
          SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (xg-SP_S_x0);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_s = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
      }
      x_d = x_s;
      x_m = x_s;
      x_ds = 0.0;
      if ((xg<=0.0))
      {
        qis = 0.0;
        xgm = (xg-x_s);
        Voxm = (xgm*instanceVar_phit1);
        qeff1 = Voxm;
        Vdsat = instanceVar_Vdsat_lim;
      }
      else
      {
        delta_1s = 0.0;
        temp = (1.0/(2.0+(x_s*x_s)));
        xi0s = ((x_s*x_s)*temp);
        xi1s = (4.0*((x_s*temp)*temp));
        xi2s = ((((8.0*temp)-(12.0*xi0s))*temp)*temp);
        if ((x_s<2.3025850929940458e+02))
        {
          delta_1s = exp(x_s);
          Es = (1.0/delta_1s);
          delta_1s = (delta_ns*delta_1s);
        }
        else
        {
          if ((x_s>(xn_s-2.3025850929940458e+02)))
          {
            delta_1s = exp((x_s-xn_s));
            Es = (delta_ns/delta_1s);
          }
          else
          {
            delta_1s = (1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            Es = (1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Ds = (delta_1s-(delta_ns*((x_s+1.0)+xi0s)));
        if ((x_s<1.0e-5))
        {
          Ps = (0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))));
          Ds = (1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s))));
          temp = sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))));
          sqm = (7.0710678118654746e-01*(x_s*temp));
          alpha = (1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp));
        }
        else
        {
          Ps = ((x_s-1.0)+Es);
          sqm = sqrt(Ps);
          alpha = (1.0+(0.5*((Gf*(1.0-Es))/sqm)));
        }
        Em = Es;
        Ed = Em;
        Dm = Ds;
        Dd = Dm;
        Rxcor = ((1.0+((0.2*instanceVar_XCOR_i)*Vsbx))/(1.0+(instanceVar_XCOR_i*Vsbx)));
        if ((Ds>1.0e-100))
        {
          xgs = (Gf*sqrt((Ps+Ds)));
          qis = (((Gf2*Ds)*instanceVar_phit1)/(xgs+(Gf*sqm)));
          qbs = ((sqm*Gf)*instanceVar_phit1);
          if ((instanceVar_RSB_i<0))
          {
            rhob = (1.0/(1.0-(instanceVar_RSB_i*Vsbx)));
          }
          else
          {
            rhob = (1.0+(instanceVar_RSB_i*Vsbx));
          }
          if ((instanceVar_RSG_i<0))
          {
            temp = (1.0-(instanceVar_RSG_i*qis));
          }
          else
          {
            temp = (1.0/(1.0+(instanceVar_RSG_i*qis)));
          }
          GR = (instanceVar_THER_i*((rhob*temp)*qis));
          Eeffm = (instanceVar_E_eff0*(qbs+(instanceVar_eta_mu*qis)));
          if (((Eeffm*instanceVar_MUE_i)!=0))
          {
            Mutmp = (pow((Eeffm*instanceVar_MUE_i),instanceVar_THEMU_i)+(instanceVar_CS_i*(Ps/((Ps+Ds)+1.0e-14))));
          }
          else
          {
            Mutmp = (instanceVar_CS_i*(Ps/((Ps+Ds)+1.0e-14)));
          }
          Gmob = (((1.0+Mutmp)+GR)*Rxcor);
          if ((instanceVar_THESATB_i<0))
          {
            xitsb = (1.0/(1.0-(instanceVar_THESATB_i*Vsbx)));
          }
          else
          {
            xitsb = (1.0+(instanceVar_THESATB_i*Vsbx));
          }
          temp2 = (qis*xitsb);
          wsat = (100.0*(temp2/(100.0+temp2)));
          if ((instanceVar_THESATG_i<0))
          {
            temp = (1/(1-(instanceVar_THESATG_i*wsat)));
          }
          else
          {
            temp = (1+(instanceVar_THESATG_i*wsat));
          }
          thesat1 = (instanceVar_THESAT_i*(temp/Gmob));
          phi_inf = ((qis/alpha)+instanceVar_phit1);
          ysat = ((thesat1*phi_inf)*7.0710678118654746e-01);
          if ((modelVar_CHNL_TYPE==(-1)))
          {
            ysat = (ysat/sqrt((1.0+ysat)));
          }
          za = (2.0/(1.0+sqrt((1.0+(4.0*ysat)))));
          temp1 = (za*ysat);
          Phi_0 = ((phi_inf*za)*(1.0+(0.86*((temp1*(1.0-(temp1*za)))/(1.0+(4.0*((temp1*temp1)*za)))))));
          asat = (xgs+(0.5*Gf2));
          Phi_2 = (0.98*(((Gf2*Ds)*instanceVar_phit1)/(asat+sqrt(((asat*asat)-((Gf2*Ds)*0.98))))));
          Phi_0_2 = (Phi_0+Phi_2);
          Phi0_Phi2 = (2.0*(Phi_0*Phi_2));
          Phi_sat = (Phi0_Phi2/(Phi_0_2+sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))));
          Vdsat = (Phi_sat-(instanceVar_phit1*log((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*instanceVar_phit1)))*inv_Gf2)/((instanceVar_phit1*instanceVar_phit1)*Ds))))));
        }
        else
        {
          Vdsat = instanceVar_Vdsat_lim;
        }
        if (((Vds/Vdsat)!=0))
        {
          temp = pow((Vds/Vdsat),instanceVar_AX_i);
        }
        else
        {
          temp = 0;
        }
        Vdse = (Vds*pow((1.0+temp),(-instanceVar_inv_AX)));
        Udse = (Vdse*instanceVar_inv_phit1);
        xn_d = (xn_s+Udse);
        if ((Udse<4.6051701859880916e+02))
        {
          k_ds = exp((-Udse));
        }
        else
        {
          k_ds = (1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
        }
        delta_nd = (delta_ns*k_ds);
        if ((fabs(xg)<=margin))
        {
          SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
          x_d = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)));
        }
        else
        {
          SP_S_bx = (xn_d+3);
          SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
          SP_S_temp = (xg-SP_S_eta);
          SP_S_temp1 = exp((-SP_S_eta));
          SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
          SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
          SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
          SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
          SP_S_a = max(static_cast<double>(1.0e-40),((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))));
          SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))));
          SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))));
          SP_S_tau = ((xn_d-SP_S_eta)+log((SP_S_a/Gf2)));
          nu = (SP_S_a+SP_S_c);
          mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
          SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
          if ((SP_S_x0<2.3025850929940458e+02))
          {
            SP_S_delta0 = exp(SP_S_x0);
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_delta0 = (delta_nd*SP_S_delta0);
          }
          else
          {
            if ((SP_S_x0>(xn_d-2.3025850929940458e+02)))
            {
              SP_S_delta0 = exp((SP_S_x0-xn_d));
              SP_S_delta1 = (delta_nd/SP_S_delta0);
            }
            else
            {
              SP_S_delta0 = (1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
          SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
          SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
          SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
          SP_S_temp = (xg-SP_S_x0);
          SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))));
          SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))));
          SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))));
          SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
          x_d = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
        }
        x_ds = (x_d-x_s);
        if ((x_ds<1.0E-10))
        {
          pC = ((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))));
          qC = ((Gf2*(1.0-k_ds))*Ds);
          temp = (2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))));
          temp = ((pC*pC)-(2.0*(temp*qC)));
          x_ds = (2.0*(qC/(pC+sqrt(temp))));
          x_d = (x_s+x_ds);
        }
        dps = (x_ds*instanceVar_phit1);
        xi0d = ((x_d*x_d)/(2.0+(x_d*x_d)));
        if ((x_d<2.3025850929940458e+02))
        {
          Ed = exp((-x_d));
          if ((x_d<1.0e-5))
          {
            Dd = (((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d)));
          }
          else
          {
            Dd = (delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d));
          }
        }
        else
        {
          if ((x_d>(xn_d-2.3025850929940458e+02)))
          {
            temp = exp((x_d-xn_d));
            Ed = (delta_nd/temp);
            Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
          }
          else
          {
            Ed = (1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            temp = (1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
          }
        }
        x_m = (0.5*(x_s+x_d));
        Em = 0.0;
        temp = (Ed*Es);
        if ((temp>0.0))
        {
          Em = sqrt(temp);
        }
        D_bar = (0.5*(Ds+Dd));
        Dm = (D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))));
        if ((x_m<1.0e-5))
        {
          Pm = (0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))));
          xgm = (Gf*sqrt((Dm+Pm)));
          if ((instanceVar_kp>0.0))
          {
            eta_p = (1.0/sqrt((1.0+(instanceVar_kp*xgm))));
          }
          temp = sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))));
          sqm = (7.0710678118654746e-01*(x_m*temp));
          alpha = (eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)));
        }
        else
        {
          Pm = ((x_m-1.0)+Em);
          xgm = (Gf*sqrt((Dm+Pm)));
          if ((instanceVar_kp>0.0))
          {
            d0 = ((1.0-Em)+(2.0*(xgm*inv_Gf2)));
            eta_p = (1.0/sqrt((1.0+(instanceVar_kp*xgm))));
            temp = (eta_p/(eta_p+1.0));
            x_pm = (instanceVar_kp*(((temp*temp)*Gf2)*Dm));
            p_pd = ((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm)));
            q_pd = (x_pm*(x_pm-(2.0*xgm)));
            xi_pd = (1.0-(0.5*(Gf2*(Em+Dm))));
            u_pd = ((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd)));
            x_m = (x_m+u_pd);
            km = exp(u_pd);
            Em = (Em/km);
            Dm = (Dm*km);
            Pm = ((x_m-1.0)+Em);
            xgm = (Gf*sqrt((Dm+Pm)));
            help = ((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2)));
            x_ds = (((x_ds*km)*(d0+D_bar))/(help+(km*D_bar)));
            dps = (x_ds*instanceVar_phit1);
          }
          sqm = sqrt(Pm);
          alpha = (eta_p+(0.5*((Gf*(1.0-Em))/sqm)));
        }
        qim = (instanceVar_phit1*((Gf2*Dm)/(xgm+(Gf*sqm))));
        qim1 = (qim+(instanceVar_phit1*alpha));
        qbm = ((sqm*Gf)*instanceVar_phit1);
        if ((instanceVar_RSG_i<0))
        {
          temp = (1.0-(instanceVar_RSG_i*qim));
        }
        else
        {
          temp = (1.0/(1.0+(instanceVar_RSG_i*qim)));
        }
        GR = (instanceVar_THER_i*((rhob*temp)*qim));
        qeff = (qbm+(instanceVar_eta_mu*qim));
        qeff1 = (qbm+(instanceVar_eta_mu1*qim));
        Eeffm = (instanceVar_E_eff0*qeff);
        if (((Eeffm*instanceVar_MUE_i)!=0))
        {
          Mutmp = (pow((Eeffm*instanceVar_MUE_i),instanceVar_THEMU_i)+(instanceVar_CS_i*(Pm/((Pm+Dm)+1.0e-14))));
        }
        else
        {
          Mutmp = (instanceVar_CS_i*(Pm/((Pm+Dm)+1.0e-14)));
        }
        Gmob = (((1.0+Mutmp)+GR)*Rxcor);
        s1 = log(((1.0+((Vds-dps)*instanceVar_inv_VP))/(1.0+((Vdse-dps)*instanceVar_inv_VP))));
        dL = (instanceVar_ALP_i*s1);
        GdL = (1.0/((1.0+dL)+(dL*dL)));
        temp2 = (qim*xitsb);
        wsat = (100.0*(temp2/(100.0+temp2)));
        Gmob_dL = (Gmob*GdL);
        if ((instanceVar_THESATG_i<0))
        {
          temp = (1/(1-(instanceVar_THESATG_i*wsat)));
        }
        else
        {
          temp = (1+(instanceVar_THESATG_i*wsat));
        }
        thesat1 = (instanceVar_THESAT_i*(temp/Gmob_dL));
        zsat = (((thesat1*thesat1)*dps)*dps);
        if ((modelVar_CHNL_TYPE==(-1)))
        {
          zsat = (zsat/(1.0+(thesat1*dps)));
        }
        Gvsat = (0.5*(Gmob_dL*(1.0+sqrt((1.0+(2.0*zsat))))));
        Gvsatinv = (1.0/Gvsat);
        Voxm = (xgm*instanceVar_phit1);
        temp = (Gmob_dL*Gvsatinv);
        alpha1 = (alpha*(1.0+(0.5*((zsat*temp)*temp))));
        H = ((temp*qim1)/alpha1);
      }
      if ((xg>0.0))
      {
        qim1_1 = (1.0/qim1);
        r1 = (qim*qim1_1);
        r2 = (instanceVar_phit1*(alpha*qim1_1));
        s2 = log((1.0+(Vdsx*instanceVar_inv_VP)));
        dL1 = ((dL+(instanceVar_ALP1_i*((qim1_1*r1)*s1)))+(instanceVar_ALP2_i*(((qbm*r2)*r2)*s2)));
        FdL = (((1.0+dL1)+(dL1*dL1))*GdL);
      }
      xg_dc = xg;
      qeff1_dc = qeff1;
      Voxm_dc = Voxm;
      alpha_dc = alpha;
      dps_dc = dps;
      qim_dc = qim;
      qim1_dc = qim1;
      GdL_dc = GdL;
      FdL_dc = FdL;
      H_dc = H;
      eta_p_dc = eta_p;
      Gvsat_dc = Gvsat;
      Gvsatinv_dc = Gvsatinv;
      Gmob_dL_dc = Gmob_dL;
      x_ds_dc = x_ds;
      x_m_dc = x_m;
      Gf_dc = Gf;
      Vdsat_dc = Vdsat;
      Udse_dc = Udse;
    }
    // End block SPcalc_dc
    if ((xg_dc<=0))
    {
      Ids = 0.0;
    }
    else
    {
      Ids = (instanceVar_BET_i*(((FdL_dc*qim1_dc)*dps_dc)*Gvsatinv_dc));
      if ((modelVar_SWIMPACT_i!=0))
      {
        delVsat = (Vds-(instanceVar_A3_i*dps_dc));
        if ((delVsat>0))
        {
          temp2 = (instanceVar_A2_i*((1.0+(instanceVar_A4_i*(sqrt((instanceVar_phib_dc+Vsbnud))-instanceVar_sqrt_phib_dc)))/(delVsat+1e-30)));
          if (((-temp2)>(-2.3025850929940458e+02)))
          {
            temp = exp((-temp2));
          }
          else
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-temp2))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-temp2))*(1.0+(((-2.3025850929940458e+02)-(-temp2))*3.3333333333333333e-01))))))));
          }
          mavl = (instanceVar_A1_i*(delVsat*temp));
          Iimpact = (Ids*mavl);
        }
      }
    }
    if ((((((modelVar_SWIGATE_i!=0)&&((instanceVar_IGOV_i>0)||(instanceVar_IGOVD_i>0)))||((modelVar_SWGIDL_i!=0)&&((instanceVar_AGIDL_i>0)||(instanceVar_AGIDLD_i>0))))||(instanceVar_CGOV_i>0))||(instanceVar_CGOVD_i>0)))
    {
      GOV = instanceVar_GOV_s;
      GOV2 = instanceVar_GOV2_s;
      xi_ov = instanceVar_xi_ov_s;
      inv_xi_ov = instanceVar_inv_xi_ov_s;
      x_mrg_ov = instanceVar_x_mrg_ov_s;
      inv_xg1 = instanceVar_inv_xg1_s;
      if ((fabs(xgs_ov)<=x_mrg_ov))
      {
        xs_ov = ((-xgs_ov)*inv_xi_ov);
      }
      else
      {
        if ((xgs_ov<(-x_mrg_ov)))
        {
          SP_OV_yg = (-xgs_ov);
          SP_OV_z = ((instanceVar_x1*SP_OV_yg)*inv_xi_ov);
          SP_OV_eta = (0.5*((SP_OV_z+10.0)-sqrt((((SP_OV_z-6.0)*(SP_OV_z-6.0))+64.0))));
          SP_OV_a = (((SP_OV_yg-SP_OV_eta)*(SP_OV_yg-SP_OV_eta))+(GOV2*(SP_OV_eta+1.0)));
          SP_OV_c = ((2.0*(SP_OV_yg-SP_OV_eta))-GOV2);
          SP_OV_tau = (log((SP_OV_a/GOV2))-SP_OV_eta);
          nu = (SP_OV_a+SP_OV_c);
          mutau = ((nu*nu)+(SP_OV_tau*((0.5*(SP_OV_c*SP_OV_c))-SP_OV_a)));
          SP_OV_y0 = (SP_OV_eta+(((SP_OV_a*nu)*SP_OV_tau)/(mutau+(((((nu/mutau)*SP_OV_tau)*SP_OV_tau)*SP_OV_c)*(((SP_OV_c*SP_OV_c)*3.3333333333333333e-01)-SP_OV_a)))));
          SP_OV_D0 = exp(SP_OV_y0);
          SP_OV_temp = (SP_OV_yg-SP_OV_y0);
          SP_OV_p = ((2.0*SP_OV_temp)+(GOV2*(SP_OV_D0-1.0)));
          SP_OV_q = ((SP_OV_temp*SP_OV_temp)+(GOV2*((SP_OV_y0+1.0)-SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_w = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xs_ov = (-(SP_OV_y0+SP_OV_w));
        }
        else
        {
          SP_OV_Afac = ((((xi_ov*instanceVar_x1)*inv_xg1)-1.0)*inv_xg1);
          SP_OV_xbar = ((xgs_ov*inv_xi_ov)*(1.0+(SP_OV_Afac*xgs_ov)));
          if (((-SP_OV_xbar)>(-2.3025850929940458e+02)))
          {
            SP_OV_temp = exp((-SP_OV_xbar));
          }
          else
          {
            SP_OV_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*3.3333333333333333e-01))))))));
          }
          SP_OV_w = (1.0-SP_OV_temp);
          SP_OV_x0 = ((xgs_ov+(GOV2*0.5))-(GOV*sqrt(((xgs_ov+(GOV2*0.25))-SP_OV_w))));
          if (((-SP_OV_x0)>(-2.3025850929940458e+02)))
          {
            SP_OV_D0 = exp((-SP_OV_x0));
          }
          else
          {
            SP_OV_D0 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*3.3333333333333333e-01))))))));
          }
          SP_OV_p = ((2.0*(xgs_ov-SP_OV_x0))+(GOV2*(1-SP_OV_D0)));
          SP_OV_q = (((xgs_ov-SP_OV_x0)*(xgs_ov-SP_OV_x0))-(GOV2*((SP_OV_x0-1.0)+SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_u = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xs_ov = (SP_OV_x0+SP_OV_u);
        }
        xs_ov = (-xs_ov);
      }
      GOV = instanceVar_GOV_d;
      GOV2 = instanceVar_GOV2_d;
      xi_ov = instanceVar_xi_ov_d;
      inv_xi_ov = instanceVar_inv_xi_ov_d;
      x_mrg_ov = instanceVar_x_mrg_ov_d;
      inv_xg1 = instanceVar_inv_xg1_d;
      if ((fabs(xgd_ov)<=x_mrg_ov))
      {
        xd_ov = ((-xgd_ov)*inv_xi_ov);
      }
      else
      {
        if ((xgd_ov<(-x_mrg_ov)))
        {
          SP_OV_yg = (-xgd_ov);
          SP_OV_z = ((instanceVar_x1*SP_OV_yg)*inv_xi_ov);
          SP_OV_eta = (0.5*((SP_OV_z+10.0)-sqrt((((SP_OV_z-6.0)*(SP_OV_z-6.0))+64.0))));
          SP_OV_a = (((SP_OV_yg-SP_OV_eta)*(SP_OV_yg-SP_OV_eta))+(GOV2*(SP_OV_eta+1.0)));
          SP_OV_c = ((2.0*(SP_OV_yg-SP_OV_eta))-GOV2);
          SP_OV_tau = (log((SP_OV_a/GOV2))-SP_OV_eta);
          nu = (SP_OV_a+SP_OV_c);
          mutau = ((nu*nu)+(SP_OV_tau*((0.5*(SP_OV_c*SP_OV_c))-SP_OV_a)));
          SP_OV_y0 = (SP_OV_eta+(((SP_OV_a*nu)*SP_OV_tau)/(mutau+(((((nu/mutau)*SP_OV_tau)*SP_OV_tau)*SP_OV_c)*(((SP_OV_c*SP_OV_c)*3.3333333333333333e-01)-SP_OV_a)))));
          SP_OV_D0 = exp(SP_OV_y0);
          SP_OV_temp = (SP_OV_yg-SP_OV_y0);
          SP_OV_p = ((2.0*SP_OV_temp)+(GOV2*(SP_OV_D0-1.0)));
          SP_OV_q = ((SP_OV_temp*SP_OV_temp)+(GOV2*((SP_OV_y0+1.0)-SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_w = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xd_ov = (-(SP_OV_y0+SP_OV_w));
        }
        else
        {
          SP_OV_Afac = ((((xi_ov*instanceVar_x1)*inv_xg1)-1.0)*inv_xg1);
          SP_OV_xbar = ((xgd_ov*inv_xi_ov)*(1.0+(SP_OV_Afac*xgd_ov)));
          if (((-SP_OV_xbar)>(-2.3025850929940458e+02)))
          {
            SP_OV_temp = exp((-SP_OV_xbar));
          }
          else
          {
            SP_OV_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_xbar))*3.3333333333333333e-01))))))));
          }
          SP_OV_w = (1.0-SP_OV_temp);
          SP_OV_x0 = ((xgd_ov+(GOV2*0.5))-(GOV*sqrt(((xgd_ov+(GOV2*0.25))-SP_OV_w))));
          if (((-SP_OV_x0)>(-2.3025850929940458e+02)))
          {
            SP_OV_D0 = exp((-SP_OV_x0));
          }
          else
          {
            SP_OV_D0 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_OV_x0))*(1.0+(((-2.3025850929940458e+02)-(-SP_OV_x0))*3.3333333333333333e-01))))))));
          }
          SP_OV_p = ((2.0*(xgd_ov-SP_OV_x0))+(GOV2*(1-SP_OV_D0)));
          SP_OV_q = (((xgd_ov-SP_OV_x0)*(xgd_ov-SP_OV_x0))-(GOV2*((SP_OV_x0-1.0)+SP_OV_D0)));
          SP_OV_xi = (1.0-((GOV2*0.5)*SP_OV_D0));
          SP_OV_temp = ((SP_OV_p*SP_OV_p)-(4.0*(SP_OV_xi*SP_OV_q)));
          SP_OV_u = (2.0*(SP_OV_q/(SP_OV_p+sqrt(SP_OV_temp))));
          xd_ov = (SP_OV_x0+SP_OV_u);
        }
        xd_ov = (-xd_ov);
      }
      Vovs = ((-modelVar_phit)*(xgs_ov+xs_ov));
      Vovd = ((-modelVar_phit)*(xgd_ov+xd_ov));
    }
    Igsov = 0.0;
    Igdov = 0.0;
    Igc = 0.0;
    Igb = 0.0;
    Igcs = 0.0;
    Igcd = 0.0;
    if ((modelVar_SWIGATE_i!=0))
    {
      if ((instanceVar_IGOV_i>0))
      {
        arg2mina = (Vovs+instanceVar_Dov);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Vovs*Vovs)+1.0e-6))*instanceVar_inv_CHIB);
        if ((instanceVar_GC3_i<0))
        {
          zg = (0.5*((zg+instanceVar_GCQ)-sqrt((((zg-instanceVar_GCQ)*(zg-instanceVar_GCQ))+1.0e-6))));
        }
        arg1 = ((3.0+xs_ov)+(psi_t*modelVar_inv_phit));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-VgsPrime)*modelVar_inv_phit);
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (instanceVar_BOV*((-1.5)+(zg*(instanceVar_GC2_i+(instanceVar_GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igsov = (instanceVar_IGOV_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
      }
      if ((instanceVar_IGOVD_i>0))
      {
        arg2mina = (Vovd+instanceVar_Dov);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Vovd*Vovd)+1.0e-6))*instanceVar_inv_CHIB);
        if ((instanceVar_GC3_i<0))
        {
          zg = (0.5*((zg+instanceVar_GCQ)-sqrt((((zg-instanceVar_GCQ)*(zg-instanceVar_GCQ))+1.0e-6))));
        }
        arg1 = ((3.0+xd_ov)+(psi_t*modelVar_inv_phit));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-VgdPrime)*modelVar_inv_phit);
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (instanceVar_BOV_d*((-1.5)+(zg*(instanceVar_GC2_i+(instanceVar_GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igdov = (instanceVar_IGOVD_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
      }
      if ((instanceVar_IGINV_i>0))
      {
        if ((xg_dc<=0.0))
        {
          temp = pow((Vds/instanceVar_Vdsat_lim),instanceVar_AX_i);
          Udse_dc = ((Vds*pow((1.0+temp),(-instanceVar_inv_AX)))*instanceVar_inv_phit1);
        }
        if (((x_ds_dc-Udse_dc)>(-2.3025850929940458e+02)))
        {
          temp = exp((x_ds_dc-Udse_dc));
        }
        else
        {
          temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(0.5*(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*(1.0+(((-2.3025850929940458e+02)-(x_ds_dc-Udse_dc))*3.3333333333333333e-01))))))));
        }
        Vm = (Vsbnud+(instanceVar_phit1*((0.5*x_ds_dc)-log((0.5*(1.0+temp))))));
        arg2mina = (Voxm_dc+instanceVar_Dch);
        psi_t = (0.5*((+arg2mina)-sqrt((((-arg2mina)*(-arg2mina))+0.01))));
        zg = (sqrt(((Voxm_dc*Voxm_dc)+1.0e-6))*instanceVar_inv_CHIB);
        if ((instanceVar_GC3_i<0))
        {
          zg = (0.5*((zg+instanceVar_GCQ)-sqrt((((zg-instanceVar_GCQ)*(zg-instanceVar_GCQ))+1.0e-06))));
        }
        arg1 = (x_m_dc+(((psi_t-instanceVar_alpha_b)-Vm)*instanceVar_inv_phit1));
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          Dsi = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            Dsi = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            Dsi = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        arg1 = ((-((Vgs+Vsbnud)-Vm))*instanceVar_inv_phit1);
        if ((fabs(arg1)<2.3025850929940458e+02))
        {
          temp = exp(arg1);
        }
        else
        {
          if ((arg1<(-2.3025850929940458e+02)))
          {
            temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-arg1)*(1.0+(0.5*(((-2.3025850929940458e+02)-arg1)*(1.0+(((-2.3025850929940458e+02)-arg1)*3.3333333333333333e-01))))))));
          }
          else
          {
            temp = (1.0e100*(1.0+((arg1-2.3025850929940458e+02)*(1.0+(0.5*((arg1-2.3025850929940458e+02)*(1.0+((arg1-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
          }
        }
        Dgate = (Dsi*temp);
        temp = (instanceVar_BCH*((-1.5)+(zg*(instanceVar_GC2_i+(instanceVar_GC3_i*zg)))));
        if ((temp>0))
        {
          TP = (1.0+(temp*(1.0+(0.5*(temp*(1.0+(temp*3.3333333333333333e-01)))))));
        }
        else
        {
          if ((temp>(-2.3025850929940458e+02)))
          {
            TP = exp(temp);
          }
          else
          {
            TP = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
          }
        }
        Igc0 = (instanceVar_IGINV_i*(TP*log(((1.0+Dsi)/(1.0+Dgate)))));
        if (((xg_dc<=0)||((instanceVar_GC2_i==0)&&(instanceVar_GC3_i==0))))
        {
          igc = 1.0;
          igcd_h = 0.5;
        }
        else
        {
          temp = (instanceVar_GC2_i+((2.0*instanceVar_GC3_i)*zg));
          u0 = (instanceVar_CHIB_i/(temp*instanceVar_BCH));
          x = (0.5*(dps_dc/u0));
          u0_div_H = (u0/H_dc);
          Bg = ((u0_div_H*(1.0-u0_div_H))*0.5);
          Ag = (0.5-(3.0*Bg));
          if ((x<1.0e-3))
          {
            xsq = (x*x);
            igc = (1.0+(xsq*((1.6666666666666667e-01+(u0_div_H*3.3333333333333333e-01))+(1.6666666666666667e-01*(xsq*(0.05+(0.2*u0_div_H)))))));
            igcd_h = ((0.5*igc)-(1.6666666666666667e-01*(x*(1.0+(xsq*((0.4*(Bg+0.25))+(0.0285714285714*(xsq*(0.125+Bg)))))))));
          }
          else
          {
            inv_x = (1.0/x);
            if ((fabs(x)<2.3025850929940458e+02))
            {
              ex = exp(x);
            }
            else
            {
              if ((x<(-2.3025850929940458e+02)))
              {
                ex = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-x)*(1.0+(0.5*(((-2.3025850929940458e+02)-x)*(1.0+(((-2.3025850929940458e+02)-x)*3.3333333333333333e-01))))))));
              }
              else
              {
                ex = (1.0e100*(1.0+((x-2.3025850929940458e+02)*(1.0+(0.5*((x-2.3025850929940458e+02)*(1.0+((x-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            inv_ex = (1.0/ex);
            temp = (ex-inv_ex);
            temp2 = (ex+inv_ex);
            igc = (0.5*((((1.0-u0_div_H)*temp)*inv_x)+(u0_div_H*temp2)));
            igcd_h = (0.5*((igc-(temp*(Bg-((Ag*inv_x)*inv_x))))-((Ag*temp2)*inv_x)));
          }
        }
        Sg = (0.5*(1.0+(xg_dc/sqrt(((xg_dc*xg_dc)+1.0e-6)))));
        Igc = ((Igc0*igc)*Sg);
        Igcd = ((Igc0*igcd_h)*Sg);
        Igcs = (Igc-Igcd);
        Igb = ((Igc0*igc)*(1.0-Sg));
      }
    }
    Igidl = 0.0;
    Igisl = 0.0;
    if ((modelVar_SWGIDL_i!=0))
    {
      if (((instanceVar_AGIDLD_i>0)&&(Vovd<0)))
      {
        Vtovd = sqrt((((Vovd*Vovd)+((instanceVar_CGIDLD_i*instanceVar_CGIDLD_i)*(VdbPrime*VdbPrime)))+1.0e-6));
        temp = ((-instanceVar_BGIDLD_i)/Vtovd);
        if ((temp>(-2.3025850929940458e+02)))
        {
          temp2 = exp(temp);
        }
        else
        {
          temp2 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
        }
        Igidl = ((-instanceVar_AGIDLD_i)*(((VdbPrime*Vovd)*Vtovd)*temp2));
      }
      if (((instanceVar_AGIDL_i>0)&&(Vovs<0)))
      {
        Vtovs = sqrt((((Vovs*Vovs)+((instanceVar_CGIDL_i*instanceVar_CGIDL_i)*(VsbPrime*VsbPrime)))+1.0e-6));
        temp = ((-instanceVar_BGIDL_i)/Vtovs);
        if ((temp>(-2.3025850929940458e+02)))
        {
          temp2 = exp(temp);
        }
        else
        {
          temp2 = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-temp)*(1.0+(0.5*(((-2.3025850929940458e+02)-temp)*(1.0+(((-2.3025850929940458e+02)-temp)*3.3333333333333333e-01))))))));
        }
        Igisl = ((-instanceVar_AGIDL_i)*(((VsbPrime*Vovs)*Vtovs)*temp2));
      }
    }
  }
  // End block evaluateStatic
  //Begin block evaluateDynamic
  {
    //Begin block SPcalc_ac
    {
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType phib;
      AdmsSensFadType G_0;
      AdmsSensFadType sqrt_phib;
      AdmsSensFadType Vsbstar;
      AdmsSensFadType Vsbx;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType xg;
      AdmsSensFadType qeff;
      AdmsSensFadType qeff1;
      AdmsSensFadType Voxm;
      AdmsSensFadType alpha;
      AdmsSensFadType dps;
      AdmsSensFadType qim;
      AdmsSensFadType qim1;
      AdmsSensFadType GdL;
      AdmsSensFadType H;
      AdmsSensFadType eta_p;
      AdmsSensFadType s1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType Gvsat;
      AdmsSensFadType Gvsatinv;
      AdmsSensFadType Gmob_dL;
      AdmsSensFadType x_ds;
      AdmsSensFadType x_m;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType Dnsub;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType x_s;
      AdmsSensFadType sqm;
      AdmsSensFadType alpha1;
      AdmsSensFadType phi_inf;
      AdmsSensFadType za;
      AdmsSensFadType xitsb;
      AdmsSensFadType rhob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType thesat1;
      AdmsSensFadType wsat;
      AdmsSensFadType ysat;
      AdmsSensFadType zsat;
      AdmsSensFadType dL;
      AdmsSensFadType GR;
      AdmsSensFadType Gmob;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType xgm;
      AdmsSensFadType Ux;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType xn_s;
      AdmsSensFadType delta_ns;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType Gf;
      AdmsSensFadType Gf2;
      AdmsSensFadType inv_Gf2;
      AdmsSensFadType xi;
      AdmsSensFadType inv_xi;
      AdmsSensFadType margin;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType SP_xg1;
      AdmsSensFadType SP_S_temp;
      AdmsSensFadType SP_S_temp1;
      AdmsSensFadType SP_S_temp2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType SP_S_yg;
      AdmsSensFadType SP_S_ysub;
      AdmsSensFadType SP_S_y0;
      AdmsSensFadType SP_S_a;
      AdmsSensFadType SP_S_b;
      AdmsSensFadType SP_S_c;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType SP_S_bx;
      AdmsSensFadType SP_S_tau;
      AdmsSensFadType SP_S_eta;
      AdmsSensFadType SP_S_delta0;
      AdmsSensFadType SP_S_delta1;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType SP_S_pC;
      AdmsSensFadType SP_S_qC;
      AdmsSensFadType SP_S_A_fac;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType SP_S_x1;
      AdmsSensFadType SP_S_w;
      AdmsSensFadType SP_S_xbar;
      AdmsSensFadType SP_S_x0;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType SP_S_xi0;
      AdmsSensFadType SP_S_xi1;
      AdmsSensFadType SP_S_xi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType x_d;
      AdmsSensFadType Rxcor;
      AdmsSensFadType delta_1s;
      AdmsSensFadType xi0s;
      AdmsSensFadType xi1s;
      AdmsSensFadType xi2s;
      AdmsSensFadType xi0d;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType Es;
      AdmsSensFadType Em;
      AdmsSensFadType Ed;
      AdmsSensFadType Ds;
      AdmsSensFadType Dm;
      AdmsSensFadType Dd;
      AdmsSensFadType Ps;
      AdmsSensFadType xgs;
      AdmsSensFadType qis;
      AdmsSensFadType qbs;
      AdmsSensFadType qbm;
      AdmsSensFadType Eeffm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType Phi_0;
      AdmsSensFadType Phi_2;
      AdmsSensFadType asat;
      AdmsSensFadType Phi_0_2;
      AdmsSensFadType Phi0_Phi2;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType Vdse;
      AdmsSensFadType Vdsat;
      AdmsSensFadType Udse;
      AdmsSensFadType xn_d;
      AdmsSensFadType k_ds;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType Mutmp;
      AdmsSensFadType Phi_sat;
      AdmsSensFadType delta_nd;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType pC;
      AdmsSensFadType qC;
      AdmsSensFadType Pm;
      //End of Block-local variables
      //Block-local variables for block SPcalc_ac
      AdmsSensFadType d0;
      AdmsSensFadType D_bar;
      AdmsSensFadType km;
      AdmsSensFadType x_pm;
      AdmsSensFadType xi_pd;
      AdmsSensFadType p_pd;
      AdmsSensFadType u_pd;
      AdmsSensFadType q_pd;
      //End of Block-local variables
      if (((modelVar_SWNUD_i==1)||(modelVar_SWDELVTAC_i!=0)))
      {
        if ((modelVar_SWDELVTAC_i!=0))
        {
          temp = ((0.5*((Vdb+Vsb)-sqrt((((Vdb-Vsb)*(Vdb-Vsb))+instanceVar_bphi_ac))))+instanceVar_phix_ac);
          Vsbstar_ac = ((Vsb-(0.5*((temp)-sqrt((((temp)*(temp))+instanceVar_aphi_ac)))))+instanceVar_phix1_ac);
          Vsbstar = Vsbstar_ac;
          phib = instanceVar_phib_ac;
          G_0 = instanceVar_G_0_ac;
          sqrt_phib = instanceVar_sqrt_phib_ac;
        }
        else
        {
          Vsbstar = Vsbstar_dc;
          phib = instanceVar_phib_dc;
          G_0 = instanceVar_G_0_dc;
          sqrt_phib = instanceVar_sqrt_phib_dc;
        }
        alpha = 0.0;
        GdL = 1.0;
        dL = 0.0;
        qbm = 0.0;
        dps = 0.0;
        qim = 0.0;
        qim1 = 0.0;
        H = 1.0;
        eta_p = 1.0;
        Gvsat = 1.0;
        Gvsatinv = 1.0;
        SP_S_x1 = 0.0;
        x_s = 0.0;
        sqm = 0.0;
        xitsb = 0.0;
        rhob = 0.0;
        Gmob = 1.0;
        Gmob_dL = 1.0;
        Udse = 0.0;
        thesat1 = 0.0;
        xgm = 0.0;
        Vdbstar = (Vds+Vsbstar);
        Vgbstar = (Vgs+Vsbstar);
        Vgb1 = (Vgbstar-instanceVar_VFB_i);
        Vsbx = (Vsbstar+(0.5*(Vds-Vdsx)));
        delVg = (instanceVar_CF_i*(Vdsx*(1+(instanceVar_CFB_i*Vsbx))));
        Vgb1 = (Vgb1+delVg);
        xg = (Vgb1*instanceVar_inv_phit1);
        if ((instanceVar_DNSUB_i>0.0))
        {
          Dnsub = ((instanceVar_DNSUB_i*0.5)*((+((Vgs+Vsb)-instanceVar_VNSUB_i))+sqrt((((-((Vgs+Vsb)-instanceVar_VNSUB_i))*(-((Vgs+Vsb)-instanceVar_VNSUB_i)))+instanceVar_NSLP_i))));
          Gf = (G_0*sqrt((1.0+Dnsub)));
        }
        else
        {
          Gf = G_0;
        }
        Gf2 = (Gf*Gf);
        inv_Gf2 = (1.0/Gf2);
        xi = (1.0+(Gf*7.0710678118654746e-01));
        inv_xi = (1.0/xi);
        Ux = (Vsbstar*instanceVar_inv_phit1);
        xn_s = ((phib*instanceVar_inv_phit1)+Ux);
        if ((xn_s<4.6051701859880916e+02))
        {
          delta_ns = exp((-xn_s));
        }
        else
        {
          delta_ns = (1.0e-200/(1.0+((xn_s-4.6051701859880916e+02)*(1.0+(0.5*((xn_s-4.6051701859880916e+02)*(1.0+((xn_s-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
        }
        margin = (1e-5*xi);
        if ((fabs(xg)<=margin))
        {
          SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
          x_s = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_ns))*Gf)*SP_S_temp1)));
        }
        else
        {
          if ((xg<(-margin)))
          {
            SP_S_yg = (-xg);
            SP_S_ysub = (1.25*(SP_S_yg*inv_xi));
            SP_S_eta = (0.5*((SP_S_ysub+10)-sqrt((((SP_S_ysub-6.0)*(SP_S_ysub-6.0))+64.0))));
            SP_S_temp = (SP_S_yg-SP_S_eta);
            SP_S_a = ((SP_S_temp*SP_S_temp)+(Gf2*(SP_S_eta+1.0)));
            SP_S_c = ((2.0*SP_S_temp)-Gf2);
            SP_S_tau = ((-SP_S_eta)+log((SP_S_a*inv_Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-SP_S_a)));
            SP_S_y0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-SP_S_a)))));
            if ((SP_S_y0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_y0);
            }
            else
            {
              SP_S_delta0 = (1.0e100*(1.0+((SP_S_y0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_y0-2.3025850929940458e+02)*(1.0+((SP_S_y0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
            SP_S_delta1 = (1.0/SP_S_delta0);
            SP_S_temp = (1.0/(2.0+(SP_S_y0*SP_S_y0)));
            SP_S_xi0 = ((SP_S_y0*SP_S_y0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_y0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (SP_S_yg-SP_S_y0);
            SP_S_temp1 = (delta_ns*SP_S_delta1);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((SP_S_delta0-1.0)-SP_S_temp1)+(delta_ns*(1.0-SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta0-SP_S_y0)-1.0)+SP_S_temp1)+(delta_ns*((SP_S_y0-1.0)-SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta0+SP_S_temp1)-(delta_ns*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_s = ((-SP_S_y0)-(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
          else
          {
            SP_xg1 = (1.0/(instanceVar_x1+(Gf*7.324648775608221e-001)));
            SP_S_A_fac = ((((xi*instanceVar_x1)*SP_xg1)-1.0)*SP_xg1);
            SP_S_xbar = ((xg*inv_xi)*(1.0+(SP_S_A_fac*xg)));
            if (((-SP_S_xbar)>(-2.3025850929940458e+02)))
            {
              SP_S_temp = exp((-SP_S_xbar));
            }
            else
            {
              SP_S_temp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(0.5*(((-2.3025850929940458e+02)-(-SP_S_xbar))*(1.0+(((-2.3025850929940458e+02)-(-SP_S_xbar))*3.3333333333333333e-01))))))));
            }
            SP_S_w = (1.0-SP_S_temp);
            SP_S_x1 = ((xg+(Gf2*0.5))-(Gf*sqrt(((xg+(Gf2*0.25))-SP_S_w))));
            SP_S_bx = (xn_s+3.0);
            SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
            SP_S_temp = (xg-SP_S_eta);
            SP_S_temp1 = exp((-SP_S_eta));
            SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
            SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
            SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
            SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
            SP_S_a = max(static_cast<double>(1.0e-40),((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_ns*((SP_S_eta+1.0)+SP_S_xi0))))));
            SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_ns*SP_S_xi2)))));
            SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_ns*(1.0+SP_S_xi1)))));
            SP_S_tau = ((xn_s-SP_S_eta)+log((SP_S_a/Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
            SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
            if ((SP_S_x0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_x0);
              SP_S_delta1 = (1.0/SP_S_delta0);
              SP_S_delta0 = (delta_ns*SP_S_delta0);
            }
            else
            {
              if ((SP_S_x0>(xn_s-2.3025850929940458e+02)))
              {
                SP_S_delta0 = exp((SP_S_x0-xn_s));
                SP_S_delta1 = (delta_ns/SP_S_delta0);
              }
              else
              {
                SP_S_delta0 = (1.0e-100/(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_s-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
                SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
            SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (xg-SP_S_x0);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_ns*(1.0+SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_ns*((SP_S_x0+1.0)+SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_ns*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_s = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
        }
        x_d = x_s;
        x_m = x_s;
        x_ds = 0.0;
        if ((xg<=0.0))
        {
          qis = 0.0;
          xgm = (xg-x_s);
          Voxm = (xgm*instanceVar_phit1);
          qeff1 = Voxm;
          Vdsat = instanceVar_Vdsat_lim;
        }
        else
        {
          delta_1s = 0.0;
          temp = (1.0/(2.0+(x_s*x_s)));
          xi0s = ((x_s*x_s)*temp);
          xi1s = (4.0*((x_s*temp)*temp));
          xi2s = ((((8.0*temp)-(12.0*xi0s))*temp)*temp);
          if ((x_s<2.3025850929940458e+02))
          {
            delta_1s = exp(x_s);
            Es = (1.0/delta_1s);
            delta_1s = (delta_ns*delta_1s);
          }
          else
          {
            if ((x_s>(xn_s-2.3025850929940458e+02)))
            {
              delta_1s = exp((x_s-xn_s));
              Es = (delta_ns/delta_1s);
            }
            else
            {
              delta_1s = (1.0e-100/(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_s-x_s)-2.3025850929940458e+02)*(1.0+(((xn_s-x_s)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              Es = (1.0e-100/(1.0+((x_s-2.3025850929940458e+02)*(1.0+(0.5*((x_s-2.3025850929940458e+02)*(1.0+((x_s-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
            }
          }
          Ds = (delta_1s-(delta_ns*((x_s+1.0)+xi0s)));
          if ((x_s<1.0e-5))
          {
            Ps = (0.5*((x_s*x_s)*(1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s)))))));
            Ds = (1.6666666666666667e-01*((((delta_ns*x_s)*x_s)*x_s)*(1.0+(1.75*x_s))));
            temp = sqrt((1.0-(3.3333333333333333e-01*(x_s*(1.0-(0.25*x_s))))));
            sqm = (7.0710678118654746e-01*(x_s*temp));
            alpha = (1.0+(((Gf*7.0710678118654746e-01)*((1.0-(0.5*x_s))+(1.6666666666666667e-01*(x_s*x_s))))/temp));
          }
          else
          {
            Ps = ((x_s-1.0)+Es);
            sqm = sqrt(Ps);
            alpha = (1.0+(0.5*((Gf*(1.0-Es))/sqm)));
          }
          Em = Es;
          Ed = Em;
          Dm = Ds;
          Dd = Dm;
          Rxcor = ((1.0+((0.2*instanceVar_XCOR_i)*Vsbx))/(1.0+(instanceVar_XCOR_i*Vsbx)));
          if ((Ds>1.0e-100))
          {
            xgs = (Gf*sqrt((Ps+Ds)));
            qis = (((Gf2*Ds)*instanceVar_phit1)/(xgs+(Gf*sqm)));
            qbs = ((sqm*Gf)*instanceVar_phit1);
            if ((instanceVar_RSB_i<0))
            {
              rhob = (1.0/(1.0-(instanceVar_RSB_i*Vsbx)));
            }
            else
            {
              rhob = (1.0+(instanceVar_RSB_i*Vsbx));
            }
            if ((instanceVar_RSG_i<0))
            {
              temp = (1.0-(instanceVar_RSG_i*qis));
            }
            else
            {
              temp = (1.0/(1.0+(instanceVar_RSG_i*qis)));
            }
            GR = (instanceVar_THER_i*((rhob*temp)*qis));
            Eeffm = (instanceVar_E_eff0*(qbs+(instanceVar_eta_mu*qis)));
            if (((Eeffm*instanceVar_MUE_i)!=0))
            {
              Mutmp = (pow((Eeffm*instanceVar_MUE_i),instanceVar_THEMU_i)+(instanceVar_CS_i*(Ps/((Ps+Ds)+1.0e-14))));
            }
            else
            {
              Mutmp = (instanceVar_CS_i*(Ps/((Ps+Ds)+1.0e-14)));
            }
            Gmob = (((1.0+Mutmp)+GR)*Rxcor);
            if ((instanceVar_THESATB_i<0))
            {
              xitsb = (1.0/(1.0-(instanceVar_THESATB_i*Vsbx)));
            }
            else
            {
              xitsb = (1.0+(instanceVar_THESATB_i*Vsbx));
            }
            temp2 = (qis*xitsb);
            wsat = (100.0*(temp2/(100.0+temp2)));
            if ((instanceVar_THESATG_i<0))
            {
              temp = (1/(1-(instanceVar_THESATG_i*wsat)));
            }
            else
            {
              temp = (1+(instanceVar_THESATG_i*wsat));
            }
            thesat1 = (instanceVar_THESAT_i*(temp/Gmob));
            phi_inf = ((qis/alpha)+instanceVar_phit1);
            ysat = ((thesat1*phi_inf)*7.0710678118654746e-01);
            if ((modelVar_CHNL_TYPE==(-1)))
            {
              ysat = (ysat/sqrt((1.0+ysat)));
            }
            za = (2.0/(1.0+sqrt((1.0+(4.0*ysat)))));
            temp1 = (za*ysat);
            Phi_0 = ((phi_inf*za)*(1.0+(0.86*((temp1*(1.0-(temp1*za)))/(1.0+(4.0*((temp1*temp1)*za)))))));
            asat = (xgs+(0.5*Gf2));
            Phi_2 = (0.98*(((Gf2*Ds)*instanceVar_phit1)/(asat+sqrt(((asat*asat)-((Gf2*Ds)*0.98))))));
            Phi_0_2 = (Phi_0+Phi_2);
            Phi0_Phi2 = (2.0*(Phi_0*Phi_2));
            Phi_sat = (Phi0_Phi2/(Phi_0_2+sqrt(((Phi_0_2*Phi_0_2)-(1.98*Phi0_Phi2)))));
            Vdsat = (Phi_sat-(instanceVar_phit1*log((1.0+(((Phi_sat*(Phi_sat-((2.0*asat)*instanceVar_phit1)))*inv_Gf2)/((instanceVar_phit1*instanceVar_phit1)*Ds))))));
          }
          else
          {
            Vdsat = instanceVar_Vdsat_lim;
          }
          if (((Vds/Vdsat)!=0))
          {
            temp = pow((Vds/Vdsat),instanceVar_AX_i);
          }
          else
          {
            temp = 0;
          }
          Vdse = (Vds*pow((1.0+temp),(-instanceVar_inv_AX)));
          Udse = (Vdse*instanceVar_inv_phit1);
          xn_d = (xn_s+Udse);
          if ((Udse<4.6051701859880916e+02))
          {
            k_ds = exp((-Udse));
          }
          else
          {
            k_ds = (1.0e-200/(1.0+((Udse-4.6051701859880916e+02)*(1.0+(0.5*((Udse-4.6051701859880916e+02)*(1.0+((Udse-4.6051701859880916e+02)*3.3333333333333333e-01))))))));
          }
          delta_nd = (delta_ns*k_ds);
          if ((fabs(xg)<=margin))
          {
            SP_S_temp1 = (((inv_xi*inv_xi)*1.6666666666666667e-01)*7.0710678118654746e-01);
            x_d = ((xg*inv_xi)*(1.0+(((xg*(1.0-delta_nd))*Gf)*SP_S_temp1)));
          }
          else
          {
            SP_S_bx = (xn_d+3);
            SP_S_eta = ((0.5*((SP_S_x1+SP_S_bx)-sqrt((((SP_S_x1-SP_S_bx)*(SP_S_x1-SP_S_bx))+5.0))))-(0.5*(SP_S_bx-sqrt(((SP_S_bx*SP_S_bx)+5.0)))));
            SP_S_temp = (xg-SP_S_eta);
            SP_S_temp1 = exp((-SP_S_eta));
            SP_S_temp2 = (1.0/(2.0+(SP_S_eta*SP_S_eta)));
            SP_S_xi0 = ((SP_S_eta*SP_S_eta)*SP_S_temp2);
            SP_S_xi1 = (4.0*((SP_S_eta*SP_S_temp2)*SP_S_temp2));
            SP_S_xi2 = ((((8.0*SP_S_temp2)-(12.0*SP_S_xi0))*SP_S_temp2)*SP_S_temp2);
            SP_S_a = max(static_cast<double>(1.0e-40),((SP_S_temp*SP_S_temp)-(Gf2*(((SP_S_temp1+SP_S_eta)-1.0)-(delta_nd*((SP_S_eta+1.0)+SP_S_xi0))))));
            SP_S_b = (1.0-(0.5*(Gf2*(SP_S_temp1-(delta_nd*SP_S_xi2)))));
            SP_S_c = ((2.0*SP_S_temp)+(Gf2*((1.0-SP_S_temp1)-(delta_nd*(1.0+SP_S_xi1)))));
            SP_S_tau = ((xn_d-SP_S_eta)+log((SP_S_a/Gf2)));
            nu = (SP_S_a+SP_S_c);
            mutau = ((nu*nu)+(SP_S_tau*((0.5*(SP_S_c*SP_S_c))-(SP_S_a*SP_S_b))));
            SP_S_x0 = (SP_S_eta+(((SP_S_a*nu)*SP_S_tau)/(mutau+(((((nu/mutau)*SP_S_tau)*SP_S_tau)*SP_S_c)*(((SP_S_c*SP_S_c)*3.3333333333333333e-01)-(SP_S_a*SP_S_b))))));
            if ((SP_S_x0<2.3025850929940458e+02))
            {
              SP_S_delta0 = exp(SP_S_x0);
              SP_S_delta1 = (1.0/SP_S_delta0);
              SP_S_delta0 = (delta_nd*SP_S_delta0);
            }
            else
            {
              if ((SP_S_x0>(xn_d-2.3025850929940458e+02)))
              {
                SP_S_delta0 = exp((SP_S_x0-xn_d));
                SP_S_delta1 = (delta_nd/SP_S_delta0);
              }
              else
              {
                SP_S_delta0 = (1.0e-100/(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-SP_S_x0)-2.3025850929940458e+02)*(1.0+(((xn_d-SP_S_x0)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
                SP_S_delta1 = (1.0e-100/(1.0+((SP_S_x0-2.3025850929940458e+02)*(1.0+(0.5*((SP_S_x0-2.3025850929940458e+02)*(1.0+((SP_S_x0-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            SP_S_temp = (1.0/(2.0+(SP_S_x0*SP_S_x0)));
            SP_S_xi0 = ((SP_S_x0*SP_S_x0)*SP_S_temp);
            SP_S_xi1 = (4.0*((SP_S_x0*SP_S_temp)*SP_S_temp));
            SP_S_xi2 = ((((8.0*SP_S_temp)-(12.0*SP_S_xi0))*SP_S_temp)*SP_S_temp);
            SP_S_temp = (xg-SP_S_x0);
            SP_S_pC = ((2.0*SP_S_temp)+(Gf2*(((1.0-SP_S_delta1)+SP_S_delta0)-(delta_nd*(1.0+SP_S_xi1)))));
            SP_S_qC = ((SP_S_temp*SP_S_temp)-(Gf2*((((SP_S_delta1+SP_S_x0)-1.0)+SP_S_delta0)-(delta_nd*((SP_S_x0+1.0)+SP_S_xi0)))));
            SP_S_temp = (2.0-(Gf2*((SP_S_delta1+SP_S_delta0)-(delta_nd*SP_S_xi2))));
            SP_S_temp = ((SP_S_pC*SP_S_pC)-(2.0*(SP_S_qC*SP_S_temp)));
            x_d = (SP_S_x0+(2.0*(SP_S_qC/(SP_S_pC+sqrt(SP_S_temp)))));
          }
          x_ds = (x_d-x_s);
          if ((x_ds<1.0E-10))
          {
            pC = ((2.0*(xg-x_s))+(Gf2*(((1.0-Es)+(delta_1s*k_ds))-(delta_nd*(1.0+xi1s)))));
            qC = ((Gf2*(1.0-k_ds))*Ds);
            temp = (2.0-(Gf2*((Es+(delta_1s*k_ds))-(delta_nd*xi2s))));
            temp = ((pC*pC)-(2.0*(temp*qC)));
            x_ds = (2.0*(qC/(pC+sqrt(temp))));
            x_d = (x_s+x_ds);
          }
          dps = (x_ds*instanceVar_phit1);
          xi0d = ((x_d*x_d)/(2.0+(x_d*x_d)));
          if ((x_d<2.3025850929940458e+02))
          {
            Ed = exp((-x_d));
            if ((x_d<1.0e-5))
            {
              Dd = (((((1.6666666666666667e-01*delta_nd)*x_d)*x_d)*x_d)*(1.0+(1.75*x_d)));
            }
            else
            {
              Dd = (delta_nd*((((1.0/Ed)-x_d)-1.0)-xi0d));
            }
          }
          else
          {
            if ((x_d>(xn_d-2.3025850929940458e+02)))
            {
              temp = exp((x_d-xn_d));
              Ed = (delta_nd/temp);
              Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
            }
            else
            {
              Ed = (1.0e-100/(1.0+((x_d-2.3025850929940458e+02)*(1.0+(0.5*((x_d-2.3025850929940458e+02)*(1.0+((x_d-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              temp = (1.0e-100/(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(0.5*(((xn_d-x_d)-2.3025850929940458e+02)*(1.0+(((xn_d-x_d)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              Dd = (temp-(delta_nd*((x_d+1.0)+xi0d)));
            }
          }
          x_m = (0.5*(x_s+x_d));
          Em = 0.0;
          temp = (Ed*Es);
          if ((temp>0.0))
          {
            Em = sqrt(temp);
          }
          D_bar = (0.5*(Ds+Dd));
          Dm = (D_bar+(0.125*((x_ds*x_ds)*(Em-(2.0*inv_Gf2)))));
          if ((x_m<1.0e-5))
          {
            Pm = (0.5*((x_m*x_m)*(1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m)))))));
            xgm = (Gf*sqrt((Dm+Pm)));
            if ((instanceVar_kp>0.0))
            {
              eta_p = (1.0/sqrt((1.0+(instanceVar_kp*xgm))));
            }
            temp = sqrt((1.0-(3.3333333333333333e-01*(x_m*(1.0-(0.25*x_m))))));
            sqm = (7.0710678118654746e-01*(x_m*temp));
            alpha = (eta_p+(7.0710678118654746e-01*((Gf*((1.0-(0.5*x_m))+(1.6666666666666667e-01*(x_m*x_m))))/temp)));
          }
          else
          {
            Pm = ((x_m-1.0)+Em);
            xgm = (Gf*sqrt((Dm+Pm)));
            if ((instanceVar_kp>0.0))
            {
              d0 = ((1.0-Em)+(2.0*(xgm*inv_Gf2)));
              eta_p = (1.0/sqrt((1.0+(instanceVar_kp*xgm))));
              temp = (eta_p/(eta_p+1.0));
              x_pm = (instanceVar_kp*(((temp*temp)*Gf2)*Dm));
              p_pd = ((2.0*(xgm-x_pm))+(Gf2*((1.0-Em)+Dm)));
              q_pd = (x_pm*(x_pm-(2.0*xgm)));
              xi_pd = (1.0-(0.5*(Gf2*(Em+Dm))));
              u_pd = ((q_pd*p_pd)/((p_pd*p_pd)-(xi_pd*q_pd)));
              x_m = (x_m+u_pd);
              km = exp(u_pd);
              Em = (Em/km);
              Dm = (Dm*km);
              Pm = ((x_m-1.0)+Em);
              xgm = (Gf*sqrt((Dm+Pm)));
              help = ((1.0-Em)+(2.0*((xgm*eta_p)*inv_Gf2)));
              x_ds = (((x_ds*km)*(d0+D_bar))/(help+(km*D_bar)));
              dps = (x_ds*instanceVar_phit1);
            }
            sqm = sqrt(Pm);
            alpha = (eta_p+(0.5*((Gf*(1.0-Em))/sqm)));
          }
          qim = (instanceVar_phit1*((Gf2*Dm)/(xgm+(Gf*sqm))));
          qim1 = (qim+(instanceVar_phit1*alpha));
          qbm = ((sqm*Gf)*instanceVar_phit1);
          if ((instanceVar_RSG_i<0))
          {
            temp = (1.0-(instanceVar_RSG_i*qim));
          }
          else
          {
            temp = (1.0/(1.0+(instanceVar_RSG_i*qim)));
          }
          GR = (instanceVar_THER_i*((rhob*temp)*qim));
          qeff = (qbm+(instanceVar_eta_mu*qim));
          qeff1 = (qbm+(instanceVar_eta_mu1*qim));
          Eeffm = (instanceVar_E_eff0*qeff);
          if (((Eeffm*instanceVar_MUE_i)!=0))
          {
            Mutmp = (pow((Eeffm*instanceVar_MUE_i),instanceVar_THEMU_i)+(instanceVar_CS_i*(Pm/((Pm+Dm)+1.0e-14))));
          }
          else
          {
            Mutmp = (instanceVar_CS_i*(Pm/((Pm+Dm)+1.0e-14)));
          }
          Gmob = (((1.0+Mutmp)+GR)*Rxcor);
          s1 = log(((1.0+((Vds-dps)*instanceVar_inv_VP))/(1.0+((Vdse-dps)*instanceVar_inv_VP))));
          dL = (instanceVar_ALP_i*s1);
          GdL = (1.0/((1.0+dL)+(dL*dL)));
          temp2 = (qim*xitsb);
          wsat = (100.0*(temp2/(100.0+temp2)));
          Gmob_dL = (Gmob*GdL);
          if ((instanceVar_THESATG_i<0))
          {
            temp = (1/(1-(instanceVar_THESATG_i*wsat)));
          }
          else
          {
            temp = (1+(instanceVar_THESATG_i*wsat));
          }
          thesat1 = (instanceVar_THESAT_i*(temp/Gmob_dL));
          zsat = (((thesat1*thesat1)*dps)*dps);
          if ((modelVar_CHNL_TYPE==(-1)))
          {
            zsat = (zsat/(1.0+(thesat1*dps)));
          }
          Gvsat = (0.5*(Gmob_dL*(1.0+sqrt((1.0+(2.0*zsat))))));
          Gvsatinv = (1.0/Gvsat);
          Voxm = (xgm*instanceVar_phit1);
          temp = (Gmob_dL*Gvsatinv);
          alpha1 = (alpha*(1.0+(0.5*((zsat*temp)*temp))));
          H = ((temp*qim1)/alpha1);
        }
        xg_ac = xg;
        qeff1_ac = qeff1;
        Voxm_ac = Voxm;
        alpha_ac = alpha;
        dps_ac = dps;
        qim_ac = qim;
        qim1_ac = qim1;
        GdL_ac = GdL;
        H_ac = H;
        eta_p_ac = eta_p;
        Gvsat_ac = Gvsat;
        Gmob_dL_ac = Gmob_dL;
        x_m_ac = x_m;
        Gf_ac = Gf;
      }
      else
      {
        xg_ac = xg_dc;
        qeff1_ac = qeff1_dc;
        Voxm_ac = Voxm_dc;
        alpha_ac = alpha_dc;
        dps_ac = dps_dc;
        qim_ac = qim_dc;
        qim1_ac = qim1_dc;
        GdL_ac = GdL_dc;
        H_ac = H_dc;
        eta_p_ac = eta_p_dc;
        Gvsat_ac = Gvsat_dc;
        Gmob_dL_ac = Gmob_dL_dc;
        x_m_ac = x_m_dc;
        Gf_ac = Gf_dc;
      }
    }
    // End block SPcalc_ac
    Vgb = (Vgs+Vsb);
    COX_qm = instanceVar_COX_i;
    if ((instanceVar_qq>0.0))
    {
      COX_qm = (instanceVar_COX_i/(1.0+(instanceVar_qq*pow(((qeff1_ac*qeff1_ac)+instanceVar_qlim2),((-1.0)*1.6666666666666667e-01)))));
    }
    if ((xg_ac<=0.0))
    {
      QG = Voxm_ac;
      QI = 0.0;
      QD = 0.0;
      QB = QG;
    }
    else
    {
      Fj = (0.5*(dps_ac/H_ac));
      Fj2 = (Fj*Fj);
      QCLM = ((1.0-GdL_ac)*(qim_ac-(0.5*(alpha_ac*dps_ac))));
      QG = (Voxm_ac+(0.5*((eta_p_ac*dps_ac)*((((Fj*GdL_ac)*3.3333333333333333e-01)-1.0)+GdL_ac))));
      temp = ((alpha_ac*dps_ac)*1.6666666666666667e-01);
      QI = ((GdL_ac*(qim_ac+(temp*Fj)))+QCLM);
      QD = (0.5*(((GdL_ac*GdL_ac)*(qim_ac-(temp*((1.0-Fj)-(0.2*Fj2)))))+(QCLM*(1.0+GdL_ac))));
      QB = (QG-QI);
    }
    Qg = (QG*COX_qm);
    Qd = ((-QD)*COX_qm);
    Qb = ((-QB)*COX_qm);
    Qgs_ov = (instanceVar_CGOV_i*Vovs);
    Qgd_ov = (instanceVar_CGOVD_i*Vovd);
    Qgb_ov = (instanceVar_CGBOV_i*Vgb);
    Qfgs = (instanceVar_CFR_i*VgsPrime);
    Qfgd = (instanceVar_CFRD_i*VgdPrime);
  }
  // End block evaluateDynamic
  //Begin block evaluateStaticDynamic
  {
    if ((modelVar_SWJUNCAP_i>0))
    {
      if ((modelVar_SWJUNEXP_i==1))
      {
        tm0 = ((Vjun_s*modelVar_phitdinv)*instanceVar_MFOR1_s);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>instanceVar_xhighf1_s))
          {
            tm1 = (instanceVar_expxhf1_s*((tm0-instanceVar_xhighf1_s)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor1 = (instanceVar_ISATFOR1_s*(tm1-1.0));
        tm0 = ((Vjun_s*modelVar_phitdinv)*instanceVar_MFOR2_s);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>instanceVar_xhighf2_s))
          {
            tm1 = (instanceVar_expxhf2_s*((tm0-instanceVar_xhighf2_s)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor2 = (instanceVar_ISATFOR2_s*(tm1-1.0));
        ijunrev = 0.0;
        if ((instanceVar_m0flag_s>0))
        {
          ijunrev = (Vjun_s*(instanceVar_ISATREV_s+(Vjun_s*instanceVar_MREV_s)));
        }
        else
        {
          tm0 = (((-Vjun_s)*modelVar_phitdinv)*instanceVar_MREV_s);
          if ((tm0<(-2.3025850929940458e+02)))
          {
            tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
          }
          else
          {
            if ((tm0>instanceVar_xhighr_s))
            {
              tm1 = (instanceVar_expxhr_s*((tm0-instanceVar_xhighr_s)+1));
            }
            else
            {
              tm1 = exp(tm0);
            }
          }
          ijunrev = ((-instanceVar_ISATREV_s)*(tm1-1.0));
        }
        instanceVar_ijun_s = ((ijunfor1+ijunfor2)+ijunrev);
        tm0 = ((Vjun_d*modelVar_phitdinv)*instanceVar_MFOR1_d);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>instanceVar_xhighf1_d))
          {
            tm1 = (instanceVar_expxhf1_d*((tm0-instanceVar_xhighf1_d)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor1 = (instanceVar_ISATFOR1_d*(tm1-1.0));
        tm0 = ((Vjun_d*modelVar_phitdinv)*instanceVar_MFOR2_d);
        if ((tm0<(-2.3025850929940458e+02)))
        {
          tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
        }
        else
        {
          if ((tm0>instanceVar_xhighf2_d))
          {
            tm1 = (instanceVar_expxhf2_d*((tm0-instanceVar_xhighf2_d)+1));
          }
          else
          {
            tm1 = exp(tm0);
          }
        }
        ijunfor2 = (instanceVar_ISATFOR2_d*(tm1-1.0));
        ijunrev = 0.0;
        if ((instanceVar_m0flag_d>0))
        {
          ijunrev = (Vjun_d*(instanceVar_ISATREV_d+(Vjun_d*instanceVar_MREV_d)));
        }
        else
        {
          tm0 = (((-Vjun_d)*modelVar_phitdinv)*instanceVar_MREV_d);
          if ((tm0<(-2.3025850929940458e+02)))
          {
            tm1 = (1.0e-100/(((-2.3025850929940458e+02)-tm0)+1));
          }
          else
          {
            if ((tm0>instanceVar_xhighr_d))
            {
              tm1 = (instanceVar_expxhr_d*((tm0-instanceVar_xhighr_d)+1));
            }
            else
            {
              tm1 = exp(tm0);
            }
          }
          ijunrev = ((-instanceVar_ISATREV_d)*(tm1-1.0));
        }
        instanceVar_ijun_d = ((ijunfor1+ijunfor2)+ijunrev);
        //Begin block evaluateDynamic
        {
          modelVar_CJORBOT_i = modelVar_CJORBOTS_i;
          modelVar_CJORSTI_i = modelVar_CJORSTIS_i;
          modelVar_CJORGAT_i = modelVar_CJORGATS_i;
          modelVar_VBIRBOT_i = modelVar_VBIRBOTS_i;
          modelVar_VBIRSTI_i = modelVar_VBIRSTIS_i;
          modelVar_VBIRGAT_i = modelVar_VBIRGATS_i;
          modelVar_PBOT_i = modelVar_PBOTS_i;
          modelVar_PSTI_i = modelVar_PSTIS_i;
          modelVar_PGAT_i = modelVar_PGATS_i;
          modelVar_PHIGBOT_i = modelVar_PHIGBOTS_i;
          modelVar_PHIGSTI_i = modelVar_PHIGSTIS_i;
          modelVar_PHIGGAT_i = modelVar_PHIGGATS_i;
          modelVar_IDSATRBOT_i = modelVar_IDSATRBOTS_i;
          modelVar_IDSATRSTI_i = modelVar_IDSATRSTIS_i;
          modelVar_IDSATRGAT_i = modelVar_IDSATRGATS_i;
          modelVar_CSRHBOT_i = modelVar_CSRHBOTS_i;
          modelVar_CSRHSTI_i = modelVar_CSRHSTIS_i;
          modelVar_CSRHGAT_i = modelVar_CSRHGATS_i;
          modelVar_XJUNSTI_i = modelVar_XJUNSTIS_i;
          modelVar_XJUNGAT_i = modelVar_XJUNGATS_i;
          modelVar_CTATBOT_i = modelVar_CTATBOTS_i;
          modelVar_CTATSTI_i = modelVar_CTATSTIS_i;
          modelVar_CTATGAT_i = modelVar_CTATGATS_i;
          modelVar_MEFFTATBOT_i = modelVar_MEFFTATBOTS_i;
          modelVar_MEFFTATSTI_i = modelVar_MEFFTATSTIS_i;
          modelVar_MEFFTATGAT_i = modelVar_MEFFTATGATS_i;
          modelVar_CBBTBOT_i = modelVar_CBBTBOTS_i;
          modelVar_CBBTSTI_i = modelVar_CBBTSTIS_i;
          modelVar_CBBTGAT_i = modelVar_CBBTGATS_i;
          modelVar_FBBTRBOT_i = modelVar_FBBTRBOTS_i;
          modelVar_FBBTRSTI_i = modelVar_FBBTRSTIS_i;
          modelVar_FBBTRGAT_i = modelVar_FBBTRGATS_i;
          modelVar_STFBBTBOT_i = modelVar_STFBBTBOTS_i;
          modelVar_STFBBTSTI_i = modelVar_STFBBTSTIS_i;
          modelVar_STFBBTGAT_i = modelVar_STFBBTGATS_i;
          modelVar_VBRBOT_i = modelVar_VBRBOTS_i;
          modelVar_VBRSTI_i = modelVar_VBRSTIS_i;
          modelVar_VBRGAT_i = modelVar_VBRGATS_i;
          modelVar_PBRBOT_i = modelVar_PBRBOTS_i;
          modelVar_PBRSTI_i = modelVar_PBRSTIS_i;
          modelVar_PBRGAT_i = modelVar_PBRGATS_i;
          modelVar_VJUNREF_i = modelVar_VJUNREFS_i;
          modelVar_FJUNQ_i = modelVar_FJUNQS_i;
          modelVar_phigrbot = modelVar_phigrbot_s;
          modelVar_phigrsti = modelVar_phigrsti_s;
          modelVar_phigrgat = modelVar_phigrgat_s;
          modelVar_phigdbot = modelVar_phigdbot_s;
          modelVar_phigdsti = modelVar_phigdsti_s;
          modelVar_phigdgat = modelVar_phigdgat_s;
          modelVar_ftdbot = modelVar_ftdbot_s;
          modelVar_ftdsti = modelVar_ftdsti_s;
          modelVar_ftdgat = modelVar_ftdgat_s;
          modelVar_idsatbot = modelVar_idsatbot_s;
          modelVar_idsatsti = modelVar_idsatsti_s;
          modelVar_idsatgat = modelVar_idsatgat_s;
          modelVar_ubibot = modelVar_ubibot_s;
          modelVar_ubisti = modelVar_ubisti_s;
          modelVar_ubigat = modelVar_ubigat_s;
          modelVar_vbibot = modelVar_vbibot_s;
          modelVar_vbisti = modelVar_vbisti_s;
          modelVar_vbigat = modelVar_vbigat_s;
          modelVar_vbiinvbot = modelVar_vbiinvbot_s;
          modelVar_vbiinvsti = modelVar_vbiinvsti_s;
          modelVar_vbiinvgat = modelVar_vbiinvgat_s;
          modelVar_one_minus_PBOT = modelVar_one_minus_PBOT_s;
          modelVar_one_minus_PSTI = modelVar_one_minus_PSTI_s;
          modelVar_one_minus_PGAT = modelVar_one_minus_PGAT_s;
          modelVar_one_over_one_minus_PBOT = modelVar_one_over_one_minus_PBOT_s;
          modelVar_one_over_one_minus_PSTI = modelVar_one_over_one_minus_PSTI_s;
          modelVar_one_over_one_minus_PGAT = modelVar_one_over_one_minus_PGAT_s;
          modelVar_cjobot = modelVar_cjobot_s;
          modelVar_cjosti = modelVar_cjosti_s;
          modelVar_cjogat = modelVar_cjogat_s;
          modelVar_qprefbot = modelVar_qprefbot_s;
          modelVar_qprefsti = modelVar_qprefsti_s;
          modelVar_qprefgat = modelVar_qprefgat_s;
          modelVar_qpref2bot = modelVar_qpref2bot_s;
          modelVar_qpref2sti = modelVar_qpref2sti_s;
          modelVar_qpref2gat = modelVar_qpref2gat_s;
          modelVar_wdepnulrbot = modelVar_wdepnulrbot_s;
          modelVar_wdepnulrsti = modelVar_wdepnulrsti_s;
          modelVar_wdepnulrgat = modelVar_wdepnulrgat_s;
          modelVar_wdepnulrinvbot = modelVar_wdepnulrinvbot_s;
          modelVar_wdepnulrinvsti = modelVar_wdepnulrinvsti_s;
          modelVar_wdepnulrinvgat = modelVar_wdepnulrinvgat_s;
          modelVar_VBIRBOTinv = modelVar_VBIRBOTinv_s;
          modelVar_VBIRSTIinv = modelVar_VBIRSTIinv_s;
          modelVar_VBIRGATinv = modelVar_VBIRGATinv_s;
          modelVar_deltaEbot = modelVar_deltaEbot_s;
          modelVar_deltaEsti = modelVar_deltaEsti_s;
          modelVar_deltaEgat = modelVar_deltaEgat_s;
          modelVar_atatbot = modelVar_atatbot_s;
          modelVar_atatsti = modelVar_atatsti_s;
          modelVar_atatgat = modelVar_atatgat_s;
          modelVar_btatpartbot = modelVar_btatpartbot_s;
          modelVar_btatpartsti = modelVar_btatpartsti_s;
          modelVar_btatpartgat = modelVar_btatpartgat_s;
          modelVar_fbbtbot = modelVar_fbbtbot_s;
          modelVar_fbbtsti = modelVar_fbbtsti_s;
          modelVar_fbbtgat = modelVar_fbbtgat_s;
          modelVar_fbbtbot = modelVar_fbbtbot_s;
          modelVar_fbbtsti = modelVar_fbbtsti_s;
          modelVar_fbbtgat = modelVar_fbbtgat_s;
          modelVar_fstopbot = modelVar_fstopbot_s;
          modelVar_fstopsti = modelVar_fstopsti_s;
          modelVar_fstopgat = modelVar_fstopgat_s;
          modelVar_VBRinvbot = modelVar_VBRinvbot_s;
          modelVar_VBRinvsti = modelVar_VBRinvsti_s;
          modelVar_VBRinvgat = modelVar_VBRinvgat_s;
          modelVar_slopebot = modelVar_slopebot_s;
          modelVar_slopesti = modelVar_slopesti_s;
          modelVar_slopegat = modelVar_slopegat_s;
          h1 = ((4.0*instanceVar_vch_s)*instanceVar_vch_s);
          h2 = (instanceVar_vch_s/instanceVar_vfmin_s);
          h2d = (Vjun_s+(instanceVar_vch_s*h2));
          h3 = (instanceVar_vfmin_s+h2d);
          h4 = (instanceVar_vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          instanceVar_vjv = (2.0*((Vjun_s*instanceVar_vfmin_s)/(h3+h5)));
          if ((instanceVar_zflagbot_s>0.5))
          {
            if ((modelVar_one_minus_PBOT==0.5))
            {
              instanceVar_tmpv = sqrt((1-(instanceVar_vjv*modelVar_vbiinvbot)));
            }
            else
            {
              instanceVar_tmpv = pow((1-(instanceVar_vjv*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
            }
            instanceVar_qjunbot_s = ((modelVar_qprefbot*(1-instanceVar_tmpv))+(modelVar_qpref2bot*(Vjun_s-instanceVar_vjv)));
          }
          if ((instanceVar_zflagsti_s>0.5))
          {
            if ((modelVar_one_minus_PSTI==0.5))
            {
              instanceVar_tmpv = sqrt((1-(instanceVar_vjv*modelVar_vbiinvsti)));
            }
            else
            {
              instanceVar_tmpv = pow((1-(instanceVar_vjv*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
            }
            instanceVar_qjunsti_s = ((modelVar_qprefsti*(1-instanceVar_tmpv))+(modelVar_qpref2sti*(Vjun_s-instanceVar_vjv)));
          }
          if ((instanceVar_zflaggat_s>0.5))
          {
            if ((modelVar_one_minus_PGAT==0.5))
            {
              instanceVar_tmpv = sqrt((1-(instanceVar_vjv*modelVar_vbiinvgat)));
            }
            else
            {
              instanceVar_tmpv = pow((1-(instanceVar_vjv*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
            }
            instanceVar_qjungat_s = ((modelVar_qprefgat*(1-instanceVar_tmpv))+(modelVar_qpref2gat*(Vjun_s-instanceVar_vjv)));
          }
          modelVar_CJORBOT_i = modelVar_CJORBOTD_i;
          modelVar_CJORSTI_i = modelVar_CJORSTID_i;
          modelVar_CJORGAT_i = modelVar_CJORGATD_i;
          modelVar_VBIRBOT_i = modelVar_VBIRBOTD_i;
          modelVar_VBIRSTI_i = modelVar_VBIRSTID_i;
          modelVar_VBIRGAT_i = modelVar_VBIRGATD_i;
          modelVar_PBOT_i = modelVar_PBOTD_i;
          modelVar_PSTI_i = modelVar_PSTID_i;
          modelVar_PGAT_i = modelVar_PGATD_i;
          modelVar_PHIGBOT_i = modelVar_PHIGBOTD_i;
          modelVar_PHIGSTI_i = modelVar_PHIGSTID_i;
          modelVar_PHIGGAT_i = modelVar_PHIGGATD_i;
          modelVar_IDSATRBOT_i = modelVar_IDSATRBOTD_i;
          modelVar_IDSATRSTI_i = modelVar_IDSATRSTID_i;
          modelVar_IDSATRGAT_i = modelVar_IDSATRGATD_i;
          modelVar_CSRHBOT_i = modelVar_CSRHBOTD_i;
          modelVar_CSRHSTI_i = modelVar_CSRHSTID_i;
          modelVar_CSRHGAT_i = modelVar_CSRHGATD_i;
          modelVar_XJUNSTI_i = modelVar_XJUNSTID_i;
          modelVar_XJUNGAT_i = modelVar_XJUNGATD_i;
          modelVar_CTATBOT_i = modelVar_CTATBOTD_i;
          modelVar_CTATSTI_i = modelVar_CTATSTID_i;
          modelVar_CTATGAT_i = modelVar_CTATGATD_i;
          modelVar_MEFFTATBOT_i = modelVar_MEFFTATBOTD_i;
          modelVar_MEFFTATSTI_i = modelVar_MEFFTATSTID_i;
          modelVar_MEFFTATGAT_i = modelVar_MEFFTATGATD_i;
          modelVar_CBBTBOT_i = modelVar_CBBTBOTD_i;
          modelVar_CBBTSTI_i = modelVar_CBBTSTID_i;
          modelVar_CBBTGAT_i = modelVar_CBBTGATD_i;
          modelVar_FBBTRBOT_i = modelVar_FBBTRBOTD_i;
          modelVar_FBBTRSTI_i = modelVar_FBBTRSTID_i;
          modelVar_FBBTRGAT_i = modelVar_FBBTRGATD_i;
          modelVar_STFBBTBOT_i = modelVar_STFBBTBOTD_i;
          modelVar_STFBBTSTI_i = modelVar_STFBBTSTID_i;
          modelVar_STFBBTGAT_i = modelVar_STFBBTGATD_i;
          modelVar_VBRBOT_i = modelVar_VBRBOTD_i;
          modelVar_VBRSTI_i = modelVar_VBRSTID_i;
          modelVar_VBRGAT_i = modelVar_VBRGATD_i;
          modelVar_PBRBOT_i = modelVar_PBRBOTD_i;
          modelVar_PBRSTI_i = modelVar_PBRSTID_i;
          modelVar_PBRGAT_i = modelVar_PBRGATD_i;
          modelVar_VJUNREF_i = modelVar_VJUNREFD_i;
          modelVar_FJUNQ_i = modelVar_FJUNQD_i;
          modelVar_phigrbot = modelVar_phigrbot_d;
          modelVar_phigrsti = modelVar_phigrsti_d;
          modelVar_phigrgat = modelVar_phigrgat_d;
          modelVar_phigdbot = modelVar_phigdbot_d;
          modelVar_phigdsti = modelVar_phigdsti_d;
          modelVar_phigdgat = modelVar_phigdgat_d;
          modelVar_ftdbot = modelVar_ftdbot_d;
          modelVar_ftdsti = modelVar_ftdsti_d;
          modelVar_ftdgat = modelVar_ftdgat_d;
          modelVar_idsatbot = modelVar_idsatbot_d;
          modelVar_idsatsti = modelVar_idsatsti_d;
          modelVar_idsatgat = modelVar_idsatgat_d;
          modelVar_ubibot = modelVar_ubibot_d;
          modelVar_ubisti = modelVar_ubisti_d;
          modelVar_ubigat = modelVar_ubigat_d;
          modelVar_vbibot = modelVar_vbibot_d;
          modelVar_vbisti = modelVar_vbisti_d;
          modelVar_vbigat = modelVar_vbigat_d;
          modelVar_vbiinvbot = modelVar_vbiinvbot_d;
          modelVar_vbiinvsti = modelVar_vbiinvsti_d;
          modelVar_vbiinvgat = modelVar_vbiinvgat_d;
          modelVar_one_minus_PBOT = modelVar_one_minus_PBOT_d;
          modelVar_one_minus_PSTI = modelVar_one_minus_PSTI_d;
          modelVar_one_minus_PGAT = modelVar_one_minus_PGAT_d;
          modelVar_one_over_one_minus_PBOT = modelVar_one_over_one_minus_PBOT_d;
          modelVar_one_over_one_minus_PSTI = modelVar_one_over_one_minus_PSTI_d;
          modelVar_one_over_one_minus_PGAT = modelVar_one_over_one_minus_PGAT_d;
          modelVar_cjobot = modelVar_cjobot_d;
          modelVar_cjosti = modelVar_cjosti_d;
          modelVar_cjogat = modelVar_cjogat_d;
          modelVar_qprefbot = modelVar_qprefbot_d;
          modelVar_qprefsti = modelVar_qprefsti_d;
          modelVar_qprefgat = modelVar_qprefgat_d;
          modelVar_qpref2bot = modelVar_qpref2bot_d;
          modelVar_qpref2sti = modelVar_qpref2sti_d;
          modelVar_qpref2gat = modelVar_qpref2gat_d;
          modelVar_wdepnulrbot = modelVar_wdepnulrbot_d;
          modelVar_wdepnulrsti = modelVar_wdepnulrsti_d;
          modelVar_wdepnulrgat = modelVar_wdepnulrgat_d;
          modelVar_wdepnulrinvbot = modelVar_wdepnulrinvbot_d;
          modelVar_wdepnulrinvsti = modelVar_wdepnulrinvsti_d;
          modelVar_wdepnulrinvgat = modelVar_wdepnulrinvgat_d;
          modelVar_VBIRBOTinv = modelVar_VBIRBOTinv_d;
          modelVar_VBIRSTIinv = modelVar_VBIRSTIinv_d;
          modelVar_VBIRGATinv = modelVar_VBIRGATinv_d;
          modelVar_deltaEbot = modelVar_deltaEbot_d;
          modelVar_deltaEsti = modelVar_deltaEsti_d;
          modelVar_deltaEgat = modelVar_deltaEgat_d;
          modelVar_atatbot = modelVar_atatbot_d;
          modelVar_atatsti = modelVar_atatsti_d;
          modelVar_atatgat = modelVar_atatgat_d;
          modelVar_btatpartbot = modelVar_btatpartbot_d;
          modelVar_btatpartsti = modelVar_btatpartsti_d;
          modelVar_btatpartgat = modelVar_btatpartgat_d;
          modelVar_fbbtbot = modelVar_fbbtbot_d;
          modelVar_fbbtsti = modelVar_fbbtsti_d;
          modelVar_fbbtgat = modelVar_fbbtgat_d;
          modelVar_fbbtbot = modelVar_fbbtbot_d;
          modelVar_fbbtsti = modelVar_fbbtsti_d;
          modelVar_fbbtgat = modelVar_fbbtgat_d;
          modelVar_fstopbot = modelVar_fstopbot_d;
          modelVar_fstopsti = modelVar_fstopsti_d;
          modelVar_fstopgat = modelVar_fstopgat_d;
          modelVar_VBRinvbot = modelVar_VBRinvbot_d;
          modelVar_VBRinvsti = modelVar_VBRinvsti_d;
          modelVar_VBRinvgat = modelVar_VBRinvgat_d;
          modelVar_slopebot = modelVar_slopebot_d;
          modelVar_slopesti = modelVar_slopesti_d;
          modelVar_slopegat = modelVar_slopegat_d;
          h1 = ((4.0*instanceVar_vch_d)*instanceVar_vch_d);
          h2 = (instanceVar_vch_d/instanceVar_vfmin_d);
          h2d = (Vjun_d+(instanceVar_vch_d*h2));
          h3 = (instanceVar_vfmin_d+h2d);
          h4 = (instanceVar_vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          instanceVar_vjv = (2.0*((Vjun_d*instanceVar_vfmin_d)/(h3+h5)));
          if ((instanceVar_zflagbot_d>0.5))
          {
            if ((modelVar_one_minus_PBOT==0.5))
            {
              instanceVar_tmpv = sqrt((1-(instanceVar_vjv*modelVar_vbiinvbot)));
            }
            else
            {
              instanceVar_tmpv = pow((1-(instanceVar_vjv*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
            }
            instanceVar_qjunbot_d = ((modelVar_qprefbot*(1-instanceVar_tmpv))+(modelVar_qpref2bot*(Vjun_d-instanceVar_vjv)));
          }
          if ((instanceVar_zflagsti_d>0.5))
          {
            if ((modelVar_one_minus_PSTI==0.5))
            {
              instanceVar_tmpv = sqrt((1-(instanceVar_vjv*modelVar_vbiinvsti)));
            }
            else
            {
              instanceVar_tmpv = pow((1-(instanceVar_vjv*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
            }
            instanceVar_qjunsti_d = ((modelVar_qprefsti*(1-instanceVar_tmpv))+(modelVar_qpref2sti*(Vjun_d-instanceVar_vjv)));
          }
          if ((instanceVar_zflaggat_d>0.5))
          {
            if ((modelVar_one_minus_PGAT==0.5))
            {
              instanceVar_tmpv = sqrt((1-(instanceVar_vjv*modelVar_vbiinvgat)));
            }
            else
            {
              instanceVar_tmpv = pow((1-(instanceVar_vjv*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
            }
            instanceVar_qjungat_d = ((modelVar_qprefgat*(1-instanceVar_tmpv))+(modelVar_qpref2gat*(Vjun_d-instanceVar_vjv)));
          }
        }
        // End block evaluateDynamic
      }
      else
      {
        modelVar_CJORBOT_i = modelVar_CJORBOTS_i;
        modelVar_CJORSTI_i = modelVar_CJORSTIS_i;
        modelVar_CJORGAT_i = modelVar_CJORGATS_i;
        modelVar_VBIRBOT_i = modelVar_VBIRBOTS_i;
        modelVar_VBIRSTI_i = modelVar_VBIRSTIS_i;
        modelVar_VBIRGAT_i = modelVar_VBIRGATS_i;
        modelVar_PBOT_i = modelVar_PBOTS_i;
        modelVar_PSTI_i = modelVar_PSTIS_i;
        modelVar_PGAT_i = modelVar_PGATS_i;
        modelVar_PHIGBOT_i = modelVar_PHIGBOTS_i;
        modelVar_PHIGSTI_i = modelVar_PHIGSTIS_i;
        modelVar_PHIGGAT_i = modelVar_PHIGGATS_i;
        modelVar_IDSATRBOT_i = modelVar_IDSATRBOTS_i;
        modelVar_IDSATRSTI_i = modelVar_IDSATRSTIS_i;
        modelVar_IDSATRGAT_i = modelVar_IDSATRGATS_i;
        modelVar_CSRHBOT_i = modelVar_CSRHBOTS_i;
        modelVar_CSRHSTI_i = modelVar_CSRHSTIS_i;
        modelVar_CSRHGAT_i = modelVar_CSRHGATS_i;
        modelVar_XJUNSTI_i = modelVar_XJUNSTIS_i;
        modelVar_XJUNGAT_i = modelVar_XJUNGATS_i;
        modelVar_CTATBOT_i = modelVar_CTATBOTS_i;
        modelVar_CTATSTI_i = modelVar_CTATSTIS_i;
        modelVar_CTATGAT_i = modelVar_CTATGATS_i;
        modelVar_MEFFTATBOT_i = modelVar_MEFFTATBOTS_i;
        modelVar_MEFFTATSTI_i = modelVar_MEFFTATSTIS_i;
        modelVar_MEFFTATGAT_i = modelVar_MEFFTATGATS_i;
        modelVar_CBBTBOT_i = modelVar_CBBTBOTS_i;
        modelVar_CBBTSTI_i = modelVar_CBBTSTIS_i;
        modelVar_CBBTGAT_i = modelVar_CBBTGATS_i;
        modelVar_FBBTRBOT_i = modelVar_FBBTRBOTS_i;
        modelVar_FBBTRSTI_i = modelVar_FBBTRSTIS_i;
        modelVar_FBBTRGAT_i = modelVar_FBBTRGATS_i;
        modelVar_STFBBTBOT_i = modelVar_STFBBTBOTS_i;
        modelVar_STFBBTSTI_i = modelVar_STFBBTSTIS_i;
        modelVar_STFBBTGAT_i = modelVar_STFBBTGATS_i;
        modelVar_VBRBOT_i = modelVar_VBRBOTS_i;
        modelVar_VBRSTI_i = modelVar_VBRSTIS_i;
        modelVar_VBRGAT_i = modelVar_VBRGATS_i;
        modelVar_PBRBOT_i = modelVar_PBRBOTS_i;
        modelVar_PBRSTI_i = modelVar_PBRSTIS_i;
        modelVar_PBRGAT_i = modelVar_PBRGATS_i;
        modelVar_VJUNREF_i = modelVar_VJUNREFS_i;
        modelVar_FJUNQ_i = modelVar_FJUNQS_i;
        modelVar_phigrbot = modelVar_phigrbot_s;
        modelVar_phigrsti = modelVar_phigrsti_s;
        modelVar_phigrgat = modelVar_phigrgat_s;
        modelVar_phigdbot = modelVar_phigdbot_s;
        modelVar_phigdsti = modelVar_phigdsti_s;
        modelVar_phigdgat = modelVar_phigdgat_s;
        modelVar_ftdbot = modelVar_ftdbot_s;
        modelVar_ftdsti = modelVar_ftdsti_s;
        modelVar_ftdgat = modelVar_ftdgat_s;
        modelVar_idsatbot = modelVar_idsatbot_s;
        modelVar_idsatsti = modelVar_idsatsti_s;
        modelVar_idsatgat = modelVar_idsatgat_s;
        modelVar_ubibot = modelVar_ubibot_s;
        modelVar_ubisti = modelVar_ubisti_s;
        modelVar_ubigat = modelVar_ubigat_s;
        modelVar_vbibot = modelVar_vbibot_s;
        modelVar_vbisti = modelVar_vbisti_s;
        modelVar_vbigat = modelVar_vbigat_s;
        modelVar_vbiinvbot = modelVar_vbiinvbot_s;
        modelVar_vbiinvsti = modelVar_vbiinvsti_s;
        modelVar_vbiinvgat = modelVar_vbiinvgat_s;
        modelVar_one_minus_PBOT = modelVar_one_minus_PBOT_s;
        modelVar_one_minus_PSTI = modelVar_one_minus_PSTI_s;
        modelVar_one_minus_PGAT = modelVar_one_minus_PGAT_s;
        modelVar_one_over_one_minus_PBOT = modelVar_one_over_one_minus_PBOT_s;
        modelVar_one_over_one_minus_PSTI = modelVar_one_over_one_minus_PSTI_s;
        modelVar_one_over_one_minus_PGAT = modelVar_one_over_one_minus_PGAT_s;
        modelVar_cjobot = modelVar_cjobot_s;
        modelVar_cjosti = modelVar_cjosti_s;
        modelVar_cjogat = modelVar_cjogat_s;
        modelVar_qprefbot = modelVar_qprefbot_s;
        modelVar_qprefsti = modelVar_qprefsti_s;
        modelVar_qprefgat = modelVar_qprefgat_s;
        modelVar_qpref2bot = modelVar_qpref2bot_s;
        modelVar_qpref2sti = modelVar_qpref2sti_s;
        modelVar_qpref2gat = modelVar_qpref2gat_s;
        modelVar_wdepnulrbot = modelVar_wdepnulrbot_s;
        modelVar_wdepnulrsti = modelVar_wdepnulrsti_s;
        modelVar_wdepnulrgat = modelVar_wdepnulrgat_s;
        modelVar_wdepnulrinvbot = modelVar_wdepnulrinvbot_s;
        modelVar_wdepnulrinvsti = modelVar_wdepnulrinvsti_s;
        modelVar_wdepnulrinvgat = modelVar_wdepnulrinvgat_s;
        modelVar_VBIRBOTinv = modelVar_VBIRBOTinv_s;
        modelVar_VBIRSTIinv = modelVar_VBIRSTIinv_s;
        modelVar_VBIRGATinv = modelVar_VBIRGATinv_s;
        modelVar_deltaEbot = modelVar_deltaEbot_s;
        modelVar_deltaEsti = modelVar_deltaEsti_s;
        modelVar_deltaEgat = modelVar_deltaEgat_s;
        modelVar_atatbot = modelVar_atatbot_s;
        modelVar_atatsti = modelVar_atatsti_s;
        modelVar_atatgat = modelVar_atatgat_s;
        modelVar_btatpartbot = modelVar_btatpartbot_s;
        modelVar_btatpartsti = modelVar_btatpartsti_s;
        modelVar_btatpartgat = modelVar_btatpartgat_s;
        modelVar_fbbtbot = modelVar_fbbtbot_s;
        modelVar_fbbtsti = modelVar_fbbtsti_s;
        modelVar_fbbtgat = modelVar_fbbtgat_s;
        modelVar_fbbtbot = modelVar_fbbtbot_s;
        modelVar_fbbtsti = modelVar_fbbtsti_s;
        modelVar_fbbtgat = modelVar_fbbtgat_s;
        modelVar_fstopbot = modelVar_fstopbot_s;
        modelVar_fstopsti = modelVar_fstopsti_s;
        modelVar_fstopgat = modelVar_fstopgat_s;
        modelVar_VBRinvbot = modelVar_VBRinvbot_s;
        modelVar_VBRinvsti = modelVar_VBRinvsti_s;
        modelVar_VBRinvgat = modelVar_VBRinvgat_s;
        modelVar_slopebot = modelVar_slopebot_s;
        modelVar_slopesti = modelVar_slopesti_s;
        modelVar_slopegat = modelVar_slopegat_s;
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABSOURCE_i==0)&&(instanceVar_LSSOURCE_i==0))&&(instanceVar_LGSOURCE_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_s)*instanceVar_vch_s);
          h2 = (instanceVar_vch_s/instanceVar_vfmin_s);
          h2d = (Vjun_s+(instanceVar_vch_s*h2));
          h3 = (instanceVar_vfmin_s+h2d);
          h4 = (instanceVar_vfmin_s-h2d);
          h5 = sqrt(((h4*h4)+h1));
          instanceVar_vj = (2.0*((Vjun_s*instanceVar_vfmin_s)/(h3+h5)));
          if ((Vjun_s<instanceVar_VMAX_s))
          {
            if ((fabs((0.5*(Vjun_s*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              instanceVar_zinv = exp((0.5*(Vjun_s*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(Vjun_s*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                instanceVar_zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_s*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_s*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                instanceVar_zinv = (1.0e100*(1.0+(((0.5*(Vjun_s*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_s*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_s*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            instanceVar_idmult = (instanceVar_zinv*instanceVar_zinv);
          }
          else
          {
            instanceVar_idmult = ((1+((Vjun_s-instanceVar_VMAX_s)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_s);
            instanceVar_zinv = sqrt(instanceVar_idmult);
          }
          instanceVar_idmult = (instanceVar_idmult-1.0);
          z = (1/instanceVar_zinv);
          if ((Vjun_s>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-Vjun_s)+(2.0*(modelVar_phitd*log((((2*instanceVar_zinv)+1)+sqrt(((1+instanceVar_zinv)*(1+(3*instanceVar_zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_s-two_psistar);
          instanceVar_vjsrh = (0.5*((Vjun_s+vjlim)-sqrt((((Vjun_s-vjlim)*(Vjun_s-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((Vjun_s+instanceVar_vbbtlim_s)-sqrt((((Vjun_s-instanceVar_vbbtlim_s)*(Vjun_s-instanceVar_vbbtlim_s))+((4*modelVar_phitr)*modelVar_phitr)))));
          instanceVar_vav = (0.5*((Vjun_s)-sqrt((((Vjun_s)*(Vjun_s))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABSOURCE_i==0))
        {
          instanceVar_ijunbot_s = 0;
          instanceVar_qjunbot_s = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(instanceVar_vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(instanceVar_vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          instanceVar_qjunbot_s = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(Vjun_s-instanceVar_vj)));
          id = (modelVar_idsatbot*instanceVar_idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            instanceVar_vbi_minus_vjsrh = (modelVar_vbibot-instanceVar_vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/instanceVar_vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            instanceVar_wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((instanceVar_vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((instanceVar_vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            instanceVar_wdep = (modelVar_wdepnulrbot*tmp);
            instanceVar_asrh = (modelVar_ftdbot*((instanceVar_zinv-1)*instanceVar_wdep));
            isrh = (modelVar_CSRHBOT_i*(instanceVar_asrh*instanceVar_wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((instanceVar_wdep*modelVar_one_minus_PBOT)/instanceVar_vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((instanceVar_wsrh*wgamma)/(instanceVar_wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((instanceVar_asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((instanceVar_vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((instanceVar_vav*modelVar_VBRinvbot))*fabs((instanceVar_vav*modelVar_VBRinvbot)))*fabs((instanceVar_vav*modelVar_VBRinvbot)))*fabs((instanceVar_vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((instanceVar_vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((instanceVar_vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          instanceVar_ijunbot_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSSOURCE_i==0))
        {
          instanceVar_ijunsti_s = 0;
          instanceVar_qjunsti_s = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(instanceVar_vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(instanceVar_vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          instanceVar_qjunsti_s = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(Vjun_s-instanceVar_vj)));
          id = (modelVar_idsatsti*instanceVar_idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            instanceVar_vbi_minus_vjsrh = (modelVar_vbisti-instanceVar_vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/instanceVar_vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            instanceVar_wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((instanceVar_vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((instanceVar_vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            instanceVar_wdep = (modelVar_wdepnulrsti*tmp);
            instanceVar_asrh = (modelVar_ftdsti*((instanceVar_zinv-1)*instanceVar_wdep));
            isrh = (modelVar_CSRHSTI_i*(instanceVar_asrh*instanceVar_wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((instanceVar_wdep*modelVar_one_minus_PSTI)/instanceVar_vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((instanceVar_wsrh*wgamma)/(instanceVar_wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((instanceVar_asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((instanceVar_vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((instanceVar_vav*modelVar_VBRinvsti))*fabs((instanceVar_vav*modelVar_VBRinvsti)))*fabs((instanceVar_vav*modelVar_VBRinvsti)))*fabs((instanceVar_vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((instanceVar_vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((instanceVar_vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          instanceVar_ijunsti_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGSOURCE_i==0))
        {
          instanceVar_ijungat_s = 0;
          instanceVar_qjungat_s = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(instanceVar_vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(instanceVar_vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          instanceVar_qjungat_s = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(Vjun_s-instanceVar_vj)));
          id = (modelVar_idsatgat*instanceVar_idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            instanceVar_vbi_minus_vjsrh = (modelVar_vbigat-instanceVar_vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/instanceVar_vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            instanceVar_wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((instanceVar_vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((instanceVar_vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            instanceVar_wdep = (modelVar_wdepnulrgat*tmp);
            instanceVar_asrh = (modelVar_ftdgat*((instanceVar_zinv-1)*instanceVar_wdep));
            isrh = (modelVar_CSRHGAT_i*(instanceVar_asrh*instanceVar_wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((instanceVar_wdep*modelVar_one_minus_PGAT)/instanceVar_vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((instanceVar_wsrh*wgamma)/(instanceVar_wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((instanceVar_asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((Vjun_s*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((instanceVar_vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((instanceVar_vav*modelVar_VBRinvgat))*fabs((instanceVar_vav*modelVar_VBRinvgat)))*fabs((instanceVar_vav*modelVar_VBRinvgat)))*fabs((instanceVar_vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((instanceVar_vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((instanceVar_vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          instanceVar_ijungat_s = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        instanceVar_ijun_s = (((instanceVar_ABSOURCE_i*instanceVar_ijunbot_s)+(instanceVar_LSSOURCE_i*instanceVar_ijunsti_s))+(instanceVar_LGSOURCE_i*instanceVar_ijungat_s));
        modelVar_CJORBOT_i = modelVar_CJORBOTD_i;
        modelVar_CJORSTI_i = modelVar_CJORSTID_i;
        modelVar_CJORGAT_i = modelVar_CJORGATD_i;
        modelVar_VBIRBOT_i = modelVar_VBIRBOTD_i;
        modelVar_VBIRSTI_i = modelVar_VBIRSTID_i;
        modelVar_VBIRGAT_i = modelVar_VBIRGATD_i;
        modelVar_PBOT_i = modelVar_PBOTD_i;
        modelVar_PSTI_i = modelVar_PSTID_i;
        modelVar_PGAT_i = modelVar_PGATD_i;
        modelVar_PHIGBOT_i = modelVar_PHIGBOTD_i;
        modelVar_PHIGSTI_i = modelVar_PHIGSTID_i;
        modelVar_PHIGGAT_i = modelVar_PHIGGATD_i;
        modelVar_IDSATRBOT_i = modelVar_IDSATRBOTD_i;
        modelVar_IDSATRSTI_i = modelVar_IDSATRSTID_i;
        modelVar_IDSATRGAT_i = modelVar_IDSATRGATD_i;
        modelVar_CSRHBOT_i = modelVar_CSRHBOTD_i;
        modelVar_CSRHSTI_i = modelVar_CSRHSTID_i;
        modelVar_CSRHGAT_i = modelVar_CSRHGATD_i;
        modelVar_XJUNSTI_i = modelVar_XJUNSTID_i;
        modelVar_XJUNGAT_i = modelVar_XJUNGATD_i;
        modelVar_CTATBOT_i = modelVar_CTATBOTD_i;
        modelVar_CTATSTI_i = modelVar_CTATSTID_i;
        modelVar_CTATGAT_i = modelVar_CTATGATD_i;
        modelVar_MEFFTATBOT_i = modelVar_MEFFTATBOTD_i;
        modelVar_MEFFTATSTI_i = modelVar_MEFFTATSTID_i;
        modelVar_MEFFTATGAT_i = modelVar_MEFFTATGATD_i;
        modelVar_CBBTBOT_i = modelVar_CBBTBOTD_i;
        modelVar_CBBTSTI_i = modelVar_CBBTSTID_i;
        modelVar_CBBTGAT_i = modelVar_CBBTGATD_i;
        modelVar_FBBTRBOT_i = modelVar_FBBTRBOTD_i;
        modelVar_FBBTRSTI_i = modelVar_FBBTRSTID_i;
        modelVar_FBBTRGAT_i = modelVar_FBBTRGATD_i;
        modelVar_STFBBTBOT_i = modelVar_STFBBTBOTD_i;
        modelVar_STFBBTSTI_i = modelVar_STFBBTSTID_i;
        modelVar_STFBBTGAT_i = modelVar_STFBBTGATD_i;
        modelVar_VBRBOT_i = modelVar_VBRBOTD_i;
        modelVar_VBRSTI_i = modelVar_VBRSTID_i;
        modelVar_VBRGAT_i = modelVar_VBRGATD_i;
        modelVar_PBRBOT_i = modelVar_PBRBOTD_i;
        modelVar_PBRSTI_i = modelVar_PBRSTID_i;
        modelVar_PBRGAT_i = modelVar_PBRGATD_i;
        modelVar_VJUNREF_i = modelVar_VJUNREFD_i;
        modelVar_FJUNQ_i = modelVar_FJUNQD_i;
        modelVar_phigrbot = modelVar_phigrbot_d;
        modelVar_phigrsti = modelVar_phigrsti_d;
        modelVar_phigrgat = modelVar_phigrgat_d;
        modelVar_phigdbot = modelVar_phigdbot_d;
        modelVar_phigdsti = modelVar_phigdsti_d;
        modelVar_phigdgat = modelVar_phigdgat_d;
        modelVar_ftdbot = modelVar_ftdbot_d;
        modelVar_ftdsti = modelVar_ftdsti_d;
        modelVar_ftdgat = modelVar_ftdgat_d;
        modelVar_idsatbot = modelVar_idsatbot_d;
        modelVar_idsatsti = modelVar_idsatsti_d;
        modelVar_idsatgat = modelVar_idsatgat_d;
        modelVar_ubibot = modelVar_ubibot_d;
        modelVar_ubisti = modelVar_ubisti_d;
        modelVar_ubigat = modelVar_ubigat_d;
        modelVar_vbibot = modelVar_vbibot_d;
        modelVar_vbisti = modelVar_vbisti_d;
        modelVar_vbigat = modelVar_vbigat_d;
        modelVar_vbiinvbot = modelVar_vbiinvbot_d;
        modelVar_vbiinvsti = modelVar_vbiinvsti_d;
        modelVar_vbiinvgat = modelVar_vbiinvgat_d;
        modelVar_one_minus_PBOT = modelVar_one_minus_PBOT_d;
        modelVar_one_minus_PSTI = modelVar_one_minus_PSTI_d;
        modelVar_one_minus_PGAT = modelVar_one_minus_PGAT_d;
        modelVar_one_over_one_minus_PBOT = modelVar_one_over_one_minus_PBOT_d;
        modelVar_one_over_one_minus_PSTI = modelVar_one_over_one_minus_PSTI_d;
        modelVar_one_over_one_minus_PGAT = modelVar_one_over_one_minus_PGAT_d;
        modelVar_cjobot = modelVar_cjobot_d;
        modelVar_cjosti = modelVar_cjosti_d;
        modelVar_cjogat = modelVar_cjogat_d;
        modelVar_qprefbot = modelVar_qprefbot_d;
        modelVar_qprefsti = modelVar_qprefsti_d;
        modelVar_qprefgat = modelVar_qprefgat_d;
        modelVar_qpref2bot = modelVar_qpref2bot_d;
        modelVar_qpref2sti = modelVar_qpref2sti_d;
        modelVar_qpref2gat = modelVar_qpref2gat_d;
        modelVar_wdepnulrbot = modelVar_wdepnulrbot_d;
        modelVar_wdepnulrsti = modelVar_wdepnulrsti_d;
        modelVar_wdepnulrgat = modelVar_wdepnulrgat_d;
        modelVar_wdepnulrinvbot = modelVar_wdepnulrinvbot_d;
        modelVar_wdepnulrinvsti = modelVar_wdepnulrinvsti_d;
        modelVar_wdepnulrinvgat = modelVar_wdepnulrinvgat_d;
        modelVar_VBIRBOTinv = modelVar_VBIRBOTinv_d;
        modelVar_VBIRSTIinv = modelVar_VBIRSTIinv_d;
        modelVar_VBIRGATinv = modelVar_VBIRGATinv_d;
        modelVar_deltaEbot = modelVar_deltaEbot_d;
        modelVar_deltaEsti = modelVar_deltaEsti_d;
        modelVar_deltaEgat = modelVar_deltaEgat_d;
        modelVar_atatbot = modelVar_atatbot_d;
        modelVar_atatsti = modelVar_atatsti_d;
        modelVar_atatgat = modelVar_atatgat_d;
        modelVar_btatpartbot = modelVar_btatpartbot_d;
        modelVar_btatpartsti = modelVar_btatpartsti_d;
        modelVar_btatpartgat = modelVar_btatpartgat_d;
        modelVar_fbbtbot = modelVar_fbbtbot_d;
        modelVar_fbbtsti = modelVar_fbbtsti_d;
        modelVar_fbbtgat = modelVar_fbbtgat_d;
        modelVar_fbbtbot = modelVar_fbbtbot_d;
        modelVar_fbbtsti = modelVar_fbbtsti_d;
        modelVar_fbbtgat = modelVar_fbbtgat_d;
        modelVar_fstopbot = modelVar_fstopbot_d;
        modelVar_fstopsti = modelVar_fstopsti_d;
        modelVar_fstopgat = modelVar_fstopgat_d;
        modelVar_VBRinvbot = modelVar_VBRinvbot_d;
        modelVar_VBRinvsti = modelVar_VBRinvsti_d;
        modelVar_VBRinvgat = modelVar_VBRinvgat_d;
        modelVar_slopebot = modelVar_slopebot_d;
        modelVar_slopesti = modelVar_slopesti_d;
        modelVar_slopegat = modelVar_slopegat_d;
        vbbt = 0.0;
        two_psistar = 0.0;
        if ((!(((instanceVar_ABDRAIN_i==0)&&(instanceVar_LSDRAIN_i==0))&&(instanceVar_LGDRAIN_i==0))))
        {
          h1 = ((4.0*instanceVar_vch_d)*instanceVar_vch_d);
          h2 = (instanceVar_vch_d/instanceVar_vfmin_d);
          h2d = (Vjun_d+(instanceVar_vch_d*h2));
          h3 = (instanceVar_vfmin_d+h2d);
          h4 = (instanceVar_vfmin_d-h2d);
          h5 = sqrt(((h4*h4)+h1));
          instanceVar_vj = (2.0*((Vjun_d*instanceVar_vfmin_d)/(h3+h5)));
          if ((Vjun_d<instanceVar_VMAX_d))
          {
            if ((fabs((0.5*(Vjun_d*modelVar_phitdinv)))<2.3025850929940458e+02))
            {
              instanceVar_zinv = exp((0.5*(Vjun_d*modelVar_phitdinv)));
            }
            else
            {
              if (((0.5*(Vjun_d*modelVar_phitdinv))<(-2.3025850929940458e+02)))
              {
                instanceVar_zinv = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*modelVar_phitdinv)))*(1.0+(0.5*(((-2.3025850929940458e+02)-(0.5*(Vjun_d*modelVar_phitdinv)))*(1.0+(((-2.3025850929940458e+02)-(0.5*(Vjun_d*modelVar_phitdinv)))*3.3333333333333333e-01))))))));
              }
              else
              {
                instanceVar_zinv = (1.0e100*(1.0+(((0.5*(Vjun_d*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(0.5*(((0.5*(Vjun_d*modelVar_phitdinv))-2.3025850929940458e+02)*(1.0+(((0.5*(Vjun_d*modelVar_phitdinv))-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            instanceVar_idmult = (instanceVar_zinv*instanceVar_zinv);
          }
          else
          {
            instanceVar_idmult = ((1+((Vjun_d-instanceVar_VMAX_d)*modelVar_phitdinv))*instanceVar_exp_VMAX_over_phitd_d);
            instanceVar_zinv = sqrt(instanceVar_idmult);
          }
          instanceVar_idmult = (instanceVar_idmult-1.0);
          z = (1/instanceVar_zinv);
          if ((Vjun_d>0))
          {
            two_psistar = (2.0*(modelVar_phitd*log(((2.0+z)+sqrt(((z+1.0)*(z+3.0)))))));
          }
          else
          {
            two_psistar = ((-Vjun_d)+(2.0*(modelVar_phitd*log((((2*instanceVar_zinv)+1)+sqrt(((1+instanceVar_zinv)*(1+(3*instanceVar_zinv)))))))));
          }
          vjlim = (instanceVar_vbimin_d-two_psistar);
          instanceVar_vjsrh = (0.5*((Vjun_d+vjlim)-sqrt((((Vjun_d-vjlim)*(Vjun_d-vjlim))+((4*modelVar_phitd)*modelVar_phitd)))));
          vbbt = (0.5*((Vjun_d+instanceVar_vbbtlim_d)-sqrt((((Vjun_d-instanceVar_vbbtlim_d)*(Vjun_d-instanceVar_vbbtlim_d))+((4*modelVar_phitr)*modelVar_phitr)))));
          instanceVar_vav = (0.5*((Vjun_d)-sqrt((((Vjun_d)*(Vjun_d))+((4*1E-6)*1E-6)))));
        }
        if ((instanceVar_ABDRAIN_i==0))
        {
          instanceVar_ijunbot_d = 0;
          instanceVar_qjunbot_d = 0;
        }
        else
        {
          if ((modelVar_one_minus_PBOT==0.5))
          {
            tmp = sqrt((1-(instanceVar_vj*modelVar_vbiinvbot)));
          }
          else
          {
            tmp = pow((1-(instanceVar_vj*modelVar_vbiinvbot)),modelVar_one_minus_PBOT);
          }
          instanceVar_qjunbot_d = ((modelVar_qprefbot*(1-tmp))+(modelVar_qpref2bot*(Vjun_d-instanceVar_vj)));
          id = (modelVar_idsatbot*instanceVar_idmult);
          if (((modelVar_CSRHBOT_i==0)&&(modelVar_CTATBOT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            instanceVar_vbi_minus_vjsrh = (modelVar_vbibot-instanceVar_vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/instanceVar_vbi_minus_vjsrh))));
            if ((modelVar_PBOT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PBOT_i)));
            }
            instanceVar_wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt((instanceVar_vbi_minus_vjsrh*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow((instanceVar_vbi_minus_vjsrh*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            instanceVar_wdep = (modelVar_wdepnulrbot*tmp);
            instanceVar_asrh = (modelVar_ftdbot*((instanceVar_zinv-1)*instanceVar_wdep));
            isrh = (modelVar_CSRHBOT_i*(instanceVar_asrh*instanceVar_wsrh));
          }
          if ((modelVar_CTATBOT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartbot*((instanceVar_wdep*modelVar_one_minus_PBOT)/instanceVar_vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatbot)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PBOT_i)*modelVar_one_over_one_minus_PBOT));
            }
            wtat = ((instanceVar_wsrh*wgamma)/(instanceVar_wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatbot*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatbot*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatbot*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATBOT_i*((instanceVar_asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTBOT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PBOT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRBOT_i-vbbt)*modelVar_VBIRBOTinv),modelVar_PBOT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PBOT*(((modelVar_VBIRBOT_i-vbbt)*modelVar_wdepnulrinvbot)/tmp));
            if ((fabs(((-modelVar_fbbtbot)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtbot)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtbot)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtbot)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtbot)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTBOT_i*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRBOT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((instanceVar_vav>((-0.999)*modelVar_VBRBOT_i)))
            {
              if ((modelVar_PBRBOT_i==4))
              {
                tmp = (((fabs((instanceVar_vav*modelVar_VBRinvbot))*fabs((instanceVar_vav*modelVar_VBRinvbot)))*fabs((instanceVar_vav*modelVar_VBRinvbot)))*fabs((instanceVar_vav*modelVar_VBRinvbot)));
              }
              else
              {
                tmp = pow(fabs((instanceVar_vav*modelVar_VBRinvbot)),modelVar_PBRBOT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopbot+((instanceVar_vav+(0.999*modelVar_VBRBOT_i))*modelVar_slopebot));
            }
          }
          instanceVar_ijunbot_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LSDRAIN_i==0))
        {
          instanceVar_ijunsti_d = 0;
          instanceVar_qjunsti_d = 0;
        }
        else
        {
          if ((modelVar_one_minus_PSTI==0.5))
          {
            tmp = sqrt((1-(instanceVar_vj*modelVar_vbiinvsti)));
          }
          else
          {
            tmp = pow((1-(instanceVar_vj*modelVar_vbiinvsti)),modelVar_one_minus_PSTI);
          }
          instanceVar_qjunsti_d = ((modelVar_qprefsti*(1-tmp))+(modelVar_qpref2sti*(Vjun_d-instanceVar_vj)));
          id = (modelVar_idsatsti*instanceVar_idmult);
          if (((modelVar_CSRHSTI_i==0)&&(modelVar_CTATSTI_i==0)))
          {
            isrh = 0;
          }
          else
          {
            instanceVar_vbi_minus_vjsrh = (modelVar_vbisti-instanceVar_vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/instanceVar_vbi_minus_vjsrh))));
            if ((modelVar_PSTI_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PSTI_i)));
            }
            instanceVar_wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt((instanceVar_vbi_minus_vjsrh*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow((instanceVar_vbi_minus_vjsrh*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            instanceVar_wdep = (modelVar_wdepnulrsti*tmp);
            instanceVar_asrh = (modelVar_ftdsti*((instanceVar_zinv-1)*instanceVar_wdep));
            isrh = (modelVar_CSRHSTI_i*(instanceVar_asrh*instanceVar_wsrh));
          }
          if ((modelVar_CTATSTI_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartsti*((instanceVar_wdep*modelVar_one_minus_PSTI)/instanceVar_vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatsti)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PSTI_i)*modelVar_one_over_one_minus_PSTI));
            }
            wtat = ((instanceVar_wsrh*wgamma)/(instanceVar_wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatsti*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatsti*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatsti*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATSTI_i*((instanceVar_asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTSTI_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PSTI_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRSTI_i-vbbt)*modelVar_VBIRSTIinv),modelVar_PSTI_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PSTI*(((modelVar_VBIRSTI_i-vbbt)*modelVar_wdepnulrinvsti)/tmp));
            if ((fabs(((-modelVar_fbbtsti)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtsti)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtsti)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtsti)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtsti)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTSTI_i*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRSTI_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((instanceVar_vav>((-0.999)*modelVar_VBRSTI_i)))
            {
              if ((modelVar_PBRSTI_i==4))
              {
                tmp = (((fabs((instanceVar_vav*modelVar_VBRinvsti))*fabs((instanceVar_vav*modelVar_VBRinvsti)))*fabs((instanceVar_vav*modelVar_VBRinvsti)))*fabs((instanceVar_vav*modelVar_VBRinvsti)));
              }
              else
              {
                tmp = pow(fabs((instanceVar_vav*modelVar_VBRinvsti)),modelVar_PBRSTI_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopsti+((instanceVar_vav+(0.999*modelVar_VBRSTI_i))*modelVar_slopesti));
            }
          }
          instanceVar_ijunsti_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        if ((instanceVar_LGDRAIN_i==0))
        {
          instanceVar_ijungat_d = 0;
          instanceVar_qjungat_d = 0;
        }
        else
        {
          if ((modelVar_one_minus_PGAT==0.5))
          {
            tmp = sqrt((1-(instanceVar_vj*modelVar_vbiinvgat)));
          }
          else
          {
            tmp = pow((1-(instanceVar_vj*modelVar_vbiinvgat)),modelVar_one_minus_PGAT);
          }
          instanceVar_qjungat_d = ((modelVar_qprefgat*(1-tmp))+(modelVar_qpref2gat*(Vjun_d-instanceVar_vj)));
          id = (modelVar_idsatgat*instanceVar_idmult);
          if (((modelVar_CSRHGAT_i==0)&&(modelVar_CTATGAT_i==0)))
          {
            isrh = 0;
          }
          else
          {
            instanceVar_vbi_minus_vjsrh = (modelVar_vbigat-instanceVar_vjsrh);
            wsrhstep = (1-sqrt((1-(two_psistar/instanceVar_vbi_minus_vjsrh))));
            if ((modelVar_PGAT_i==0.5))
            {
              dwsrh = 0;
            }
            else
            {
              dwsrh = (((((wsrhstep*wsrhstep)*log(wsrhstep))/(1-wsrhstep))+wsrhstep)*(1-(2*modelVar_PGAT_i)));
            }
            instanceVar_wsrh = (wsrhstep+dwsrh);
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt((instanceVar_vbi_minus_vjsrh*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow((instanceVar_vbi_minus_vjsrh*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            instanceVar_wdep = (modelVar_wdepnulrgat*tmp);
            instanceVar_asrh = (modelVar_ftdgat*((instanceVar_zinv-1)*instanceVar_wdep));
            isrh = (modelVar_CSRHGAT_i*(instanceVar_asrh*instanceVar_wsrh));
          }
          if ((modelVar_CTATGAT_i==0))
          {
            itat = 0;
          }
          else
          {
            btat = (modelVar_btatpartgat*((instanceVar_wdep*modelVar_one_minus_PGAT)/instanceVar_vbi_minus_vjsrh));
            twoatatoverthreebtat = ((0.666666666666667*modelVar_atatgat)/btat);
            umaxbeforelimiting = (twoatatoverthreebtat*twoatatoverthreebtat);
            umax = sqrt(((umaxbeforelimiting*umaxbeforelimiting)/((umaxbeforelimiting*umaxbeforelimiting)+1)));
            sqrtumax = sqrt(fabs(umax));
            umaxpoweronepointfive = (umax*sqrtumax);
            if ((((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT)==(-1)))
            {
              wgamma = (1/(1+(btat*umaxpoweronepointfive)));
            }
            else
            {
              wgamma = pow((1+(btat*umaxpoweronepointfive)),((-modelVar_PGAT_i)*modelVar_one_over_one_minus_PGAT));
            }
            wtat = ((instanceVar_wsrh*wgamma)/(instanceVar_wsrh+wgamma));
            ktat = sqrt((0.375*(btat/sqrtumax)));
            ltat = ((2*(twoatatoverthreebtat*sqrtumax))-umax);
            mtat = ((((modelVar_atatgat*twoatatoverthreebtat)*sqrtumax)-(modelVar_atatgat*umax))+(0.5*(btat*umaxpoweronepointfive)));
            xerfc = ((ltat-1)*ktat);
            ysq = (xerfc*xerfc);
            if ((xerfc>0))
            {
              terfc = (1/(1+(modelVar_perfc*xerfc)));
            }
            else
            {
              terfc = (1/(1-(modelVar_perfc*xerfc)));
            }
            if ((((-ysq)+mtat)>(-2.3025850929940458e+02)))
            {
              tmp = exp(((-ysq)+mtat));
            }
            else
            {
              tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-ysq)+mtat))*(1.0+(((-2.3025850929940458e+02)-((-ysq)+mtat))*3.3333333333333333e-01))))))));
            }
            erfcpos = ((((0.29214664*terfc)+(modelVar_berfc*(terfc*terfc)))+(modelVar_cerfc*((terfc*terfc)*terfc)))*tmp);
            if ((xerfc>0))
            {
              erfctimesexpmtat = erfcpos;
            }
            else
            {
              if ((mtat>(-2.3025850929940458e+02)))
              {
                tmp = exp(mtat);
              }
              else
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-mtat)*(1.0+(0.5*(((-2.3025850929940458e+02)-mtat)*(1.0+(((-2.3025850929940458e+02)-mtat)*3.3333333333333333e-01))))))));
              }
              erfctimesexpmtat = ((2*tmp)-erfcpos);
            }
            gammamax = ((1.77245385090551603*0.5)*((modelVar_atatgat*erfctimesexpmtat)/ktat));
            itat = (modelVar_CTATGAT_i*((instanceVar_asrh*gammamax)*wtat));
          }
          if ((modelVar_CBBTGAT_i==0))
          {
            ibbt = 0;
          }
          else
          {
            if ((modelVar_PGAT_i==0.5))
            {
              tmp = sqrt(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv));
            }
            else
            {
              tmp = pow(((modelVar_VBIRGAT_i-vbbt)*modelVar_VBIRGATinv),modelVar_PGAT_i);
            }
            Fmaxr = (modelVar_one_over_one_minus_PGAT*(((modelVar_VBIRGAT_i-vbbt)*modelVar_wdepnulrinvgat)/tmp));
            if ((fabs(((-modelVar_fbbtgat)/Fmaxr))<2.3025850929940458e+02))
            {
              tmp = exp(((-modelVar_fbbtgat)/Fmaxr));
            }
            else
            {
              if ((((-modelVar_fbbtgat)/Fmaxr)<(-2.3025850929940458e+02)))
              {
                tmp = (1.0e-100/(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(0.5*(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*(1.0+(((-2.3025850929940458e+02)-((-modelVar_fbbtgat)/Fmaxr))*3.3333333333333333e-01))))))));
              }
              else
              {
                tmp = (1.0e100*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+(0.5*((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*(1.0+((((-modelVar_fbbtgat)/Fmaxr)-2.3025850929940458e+02)*3.3333333333333333e-01))))))));
              }
            }
            ibbt = (modelVar_CBBTGAT_i*(((Vjun_d*Fmaxr)*Fmaxr)*tmp));
          }
          if ((modelVar_VBRGAT_i>1000))
          {
            fbreakdown = 1;
          }
          else
          {
            if ((instanceVar_vav>((-0.999)*modelVar_VBRGAT_i)))
            {
              if ((modelVar_PBRGAT_i==4))
              {
                tmp = (((fabs((instanceVar_vav*modelVar_VBRinvgat))*fabs((instanceVar_vav*modelVar_VBRinvgat)))*fabs((instanceVar_vav*modelVar_VBRinvgat)))*fabs((instanceVar_vav*modelVar_VBRinvgat)));
              }
              else
              {
                tmp = pow(fabs((instanceVar_vav*modelVar_VBRinvgat)),modelVar_PBRGAT_i);
              }
              fbreakdown = (1/(1-tmp));
            }
            else
            {
              fbreakdown = (modelVar_fstopgat+((instanceVar_vav+(0.999*modelVar_VBRGAT_i))*modelVar_slopegat));
            }
          }
          instanceVar_ijungat_d = ((((id+isrh)+itat)+ibbt)*fbreakdown);
        }
        instanceVar_ijun_d = (((instanceVar_ABDRAIN_i*instanceVar_ijunbot_d)+(instanceVar_LSDRAIN_i*instanceVar_ijunsti_d))+(instanceVar_LGDRAIN_i*instanceVar_ijungat_d));
      }
    }
  }
  // End block evaluateStaticDynamic
  //Begin block loadStatic
  {
    Idse = (instanceVar_MULT_i*Ids);
    Igbe = (instanceVar_MULT_i*Igb);
    Igcse = (instanceVar_MULT_i*Igcs);
    Igcde = (instanceVar_MULT_i*Igcd);
    Igsove = (instanceVar_MULT_i*Igsov);
    Igdove = (instanceVar_MULT_i*Igdov);
    Igidle = (instanceVar_MULT_i*Igidl);
    Igisle = (instanceVar_MULT_i*Igisl);
    Iimpacte = (instanceVar_MULT_i*Iimpact);
    instanceVar_ijun_s = (instanceVar_MULT_i*instanceVar_ijun_s);
    instanceVar_ijun_d = (instanceVar_MULT_i*instanceVar_ijun_d);
    if ((sigVds>0))
    {
      // I(DI,BP) <+ ((CHNL_TYPE*Iimpacte))
      staticContributions[admsNodeID_DI] += (modelVar_CHNL_TYPE*Iimpacte);
      staticContributions[admsNodeID_BP] -= (modelVar_CHNL_TYPE*Iimpacte);
      // I(DI,SI) <+ ((CHNL_TYPE*Idse))
      staticContributions[admsNodeID_DI] += (modelVar_CHNL_TYPE*Idse);
      staticContributions[admsNodeID_SI] -= (modelVar_CHNL_TYPE*Idse);
      // I(GP,SI) <+ ((CHNL_TYPE*Igcse))
      staticContributions[admsNodeID_GP] += (modelVar_CHNL_TYPE*Igcse);
      staticContributions[admsNodeID_SI] -= (modelVar_CHNL_TYPE*Igcse);
      // I(GP,DI) <+ ((CHNL_TYPE*Igcde))
      staticContributions[admsNodeID_GP] += (modelVar_CHNL_TYPE*Igcde);
      staticContributions[admsNodeID_DI] -= (modelVar_CHNL_TYPE*Igcde);
    }
    else
    {
      // I(SI,BP) <+ ((CHNL_TYPE*Iimpacte))
      staticContributions[admsNodeID_SI] += (modelVar_CHNL_TYPE*Iimpacte);
      staticContributions[admsNodeID_BP] -= (modelVar_CHNL_TYPE*Iimpacte);
      // I(SI,DI) <+ ((CHNL_TYPE*Idse))
      staticContributions[admsNodeID_SI] += (modelVar_CHNL_TYPE*Idse);
      staticContributions[admsNodeID_DI] -= (modelVar_CHNL_TYPE*Idse);
      // I(GP,DI) <+ ((CHNL_TYPE*Igcse))
      staticContributions[admsNodeID_GP] += (modelVar_CHNL_TYPE*Igcse);
      staticContributions[admsNodeID_DI] -= (modelVar_CHNL_TYPE*Igcse);
      // I(GP,SI) <+ ((CHNL_TYPE*Igcde))
      staticContributions[admsNodeID_GP] += (modelVar_CHNL_TYPE*Igcde);
      staticContributions[admsNodeID_SI] -= (modelVar_CHNL_TYPE*Igcde);
    }
    // I(GP,BP) <+ ((CHNL_TYPE*Igbe))
    staticContributions[admsNodeID_GP] += (modelVar_CHNL_TYPE*Igbe);
    staticContributions[admsNodeID_BP] -= (modelVar_CHNL_TYPE*Igbe);
    // I(GP,SI) <+ ((CHNL_TYPE*Igsove))
    staticContributions[admsNodeID_GP] += (modelVar_CHNL_TYPE*Igsove);
    staticContributions[admsNodeID_SI] -= (modelVar_CHNL_TYPE*Igsove);
    // I(GP,DI) <+ ((CHNL_TYPE*Igdove))
    staticContributions[admsNodeID_GP] += (modelVar_CHNL_TYPE*Igdove);
    staticContributions[admsNodeID_DI] -= (modelVar_CHNL_TYPE*Igdove);
    // I(SI,BP) <+ ((CHNL_TYPE*Igisle))
    staticContributions[admsNodeID_SI] += (modelVar_CHNL_TYPE*Igisle);
    staticContributions[admsNodeID_BP] -= (modelVar_CHNL_TYPE*Igisle);
    // I(DI,BP) <+ ((CHNL_TYPE*Igidle))
    staticContributions[admsNodeID_DI] += (modelVar_CHNL_TYPE*Igidle);
    staticContributions[admsNodeID_BP] -= (modelVar_CHNL_TYPE*Igidle);
    // I(BS,SI) <+ ((CHNL_TYPE*ijun_s))
    staticContributions[admsNodeID_BS] += (modelVar_CHNL_TYPE*instanceVar_ijun_s);
    staticContributions[admsNodeID_SI] -= (modelVar_CHNL_TYPE*instanceVar_ijun_s);
    // I(BD,DI) <+ ((CHNL_TYPE*ijun_d))
    staticContributions[admsNodeID_BD] += (modelVar_CHNL_TYPE*instanceVar_ijun_d);
    staticContributions[admsNodeID_DI] -= (modelVar_CHNL_TYPE*instanceVar_ijun_d);
    rgatenoise = ((modelVar_nt0*instanceVar_MULT_i)*instanceVar_ggate);
    rsourcenoise = ((modelVar_nt0*instanceVar_MULT_i)*instanceVar_gsource);
    rdrainnoise = ((modelVar_nt0*instanceVar_MULT_i)*instanceVar_gdrain);
    rbulknoise = ((modelVar_nt0*instanceVar_MULT_i)*instanceVar_gbulk);
    rjunsnoise = ((modelVar_nt0*instanceVar_MULT_i)*instanceVar_gjuns);
    rjundnoise = ((modelVar_nt0*instanceVar_MULT_i)*instanceVar_gjund);
    rwellnoise = ((modelVar_nt0*instanceVar_MULT_i)*instanceVar_gwell);
    if ((instanceVar_RG_i>0.0))
    {
      // I(G,GP) <+ (((MULT_i*ggate)*V(G,GP)))
      staticContributions[admsNodeID_G] += ((instanceVar_MULT_i*instanceVar_ggate)*(probeVars[admsProbeID_V_G_GP]));
      staticContributions[admsNodeID_GP] -= ((instanceVar_MULT_i*instanceVar_ggate)*(probeVars[admsProbeID_V_G_GP]));
      // I(G,GP) <+ (white_noise(rgatenoise,"rgate"))
    }
    else
    {
      // V(G,GP) <+ (0.0)
      // do nothing at all
    }
    if ((instanceVar_RSE_i>0.0))
    {
      // I(S,SI) <+ (((MULT_i*gsource)*V(S,SI)))
      staticContributions[admsNodeID_S] += ((instanceVar_MULT_i*instanceVar_gsource)*(probeVars[admsProbeID_V_S_SI]));
      staticContributions[admsNodeID_SI] -= ((instanceVar_MULT_i*instanceVar_gsource)*(probeVars[admsProbeID_V_S_SI]));
      // I(S,SI) <+ (white_noise(rsourcenoise,"rsource"))
    }
    else
    {
      // V(S,SI) <+ (0.0)
      // do nothing at all
    }
    if ((instanceVar_RDE_i>0.0))
    {
      // I(D,DI) <+ (((MULT_i*gdrain)*V(D,DI)))
      staticContributions[admsNodeID_D] += ((instanceVar_MULT_i*instanceVar_gdrain)*(probeVars[admsProbeID_V_D_DI]));
      staticContributions[admsNodeID_DI] -= ((instanceVar_MULT_i*instanceVar_gdrain)*(probeVars[admsProbeID_V_D_DI]));
      // I(D,DI) <+ (white_noise(rdrainnoise,"rdrain"))
    }
    else
    {
      // V(D,DI) <+ (0.0)
      // do nothing at all
    }
    if ((instanceVar_RBULK_i>0.0))
    {
      // I(BP,BI) <+ (((MULT_i*gbulk)*V(BP,BI)))
      staticContributions[admsNodeID_BP] += ((instanceVar_MULT_i*instanceVar_gbulk)*(probeVars[admsProbeID_V_BP_BI]));
      staticContributions[admsNodeID_BI] -= ((instanceVar_MULT_i*instanceVar_gbulk)*(probeVars[admsProbeID_V_BP_BI]));
      // I(BP,BI) <+ (white_noise(rbulknoise,"rbulk"))
    }
    else
    {
      // V(BP,BI) <+ (0.0)
      // do nothing at all
    }
    if ((instanceVar_RJUNS_i>0.0))
    {
      // I(BS,BI) <+ (((MULT_i*gjuns)*V(BS,BI)))
      staticContributions[admsNodeID_BS] += ((instanceVar_MULT_i*instanceVar_gjuns)*(probeVars[admsProbeID_V_BS_BI]));
      staticContributions[admsNodeID_BI] -= ((instanceVar_MULT_i*instanceVar_gjuns)*(probeVars[admsProbeID_V_BS_BI]));
      // I(BS,BI) <+ (white_noise(rjunsnoise,"rjuns"))
    }
    else
    {
      // V(BS,BI) <+ (0.0)
      // do nothing at all
    }
    if ((instanceVar_RJUND_i>0.0))
    {
      // I(BD,BI) <+ (((MULT_i*gjund)*V(BD,BI)))
      staticContributions[admsNodeID_BD] += ((instanceVar_MULT_i*instanceVar_gjund)*(probeVars[admsProbeID_V_BD_BI]));
      staticContributions[admsNodeID_BI] -= ((instanceVar_MULT_i*instanceVar_gjund)*(probeVars[admsProbeID_V_BD_BI]));
      // I(BD,BI) <+ (white_noise(rjundnoise,"rjund"))
    }
    else
    {
      // V(BD,BI) <+ (0.0)
      // do nothing at all
    }
    if ((instanceVar_RWELL_i>0.0))
    {
      // I(B,BI) <+ (((MULT_i*gwell)*V(B,BI)))
      staticContributions[admsNodeID_B] += ((instanceVar_MULT_i*instanceVar_gwell)*(probeVars[admsProbeID_V_B_BI]));
      staticContributions[admsNodeID_BI] -= ((instanceVar_MULT_i*instanceVar_gwell)*(probeVars[admsProbeID_V_B_BI]));
      // I(B,BI) <+ (white_noise(rwellnoise,"rwell"))
    }
    else
    {
      // V(B,BI) <+ (0.0)
      // do nothing at all
    }
    // I(DI,SI) <+ ((1E-15*V(DI,SI)))
    staticContributions[admsNodeID_DI] += (1E-15*(probeVars[admsProbeID_V_DI_SI]));
    staticContributions[admsNodeID_SI] -= (1E-15*(probeVars[admsProbeID_V_DI_SI]));
  }
  // End block loadStatic
  //Begin block loadDynamic
  {
    Qg = (instanceVar_MULT_i*Qg);
    Qb = (instanceVar_MULT_i*Qb);
    Qd = (instanceVar_MULT_i*Qd);
    Qs = (-((Qg+Qb)+Qd));
    Qfgs = (instanceVar_MULT_i*(Qfgs+Qgs_ov));
    Qfgd = (instanceVar_MULT_i*(Qfgd+Qgd_ov));
    Qgb_ov = (instanceVar_MULT_i*Qgb_ov);
    instanceVar_qjun_s = (instanceVar_MULT_i*(((instanceVar_ABSOURCE_i*instanceVar_qjunbot_s)+(instanceVar_LSSOURCE_i*instanceVar_qjunsti_s))+(instanceVar_LGSOURCE_i*instanceVar_qjungat_s)));
    instanceVar_qjun_d = (instanceVar_MULT_i*(((instanceVar_ABDRAIN_i*instanceVar_qjunbot_d)+(instanceVar_LSDRAIN_i*instanceVar_qjunsti_d))+(instanceVar_LGDRAIN_i*instanceVar_qjungat_d)));
    if ((sigVds<0))
    {
      temp = Qd;
      Qd = Qs;
      Qs = temp;
    }
    // I(GP,SI) <+ (ddt((CHNL_TYPE*Qg)))
    dynamicContributions[admsNodeID_GP] += ((modelVar_CHNL_TYPE*Qg));
    dynamicContributions[admsNodeID_SI] -= ((modelVar_CHNL_TYPE*Qg));
    // I(BP,SI) <+ (ddt((CHNL_TYPE*Qb)))
    dynamicContributions[admsNodeID_BP] += ((modelVar_CHNL_TYPE*Qb));
    dynamicContributions[admsNodeID_SI] -= ((modelVar_CHNL_TYPE*Qb));
    // I(DI,SI) <+ (ddt((CHNL_TYPE*Qd)))
    dynamicContributions[admsNodeID_DI] += ((modelVar_CHNL_TYPE*Qd));
    dynamicContributions[admsNodeID_SI] -= ((modelVar_CHNL_TYPE*Qd));
    // I(GP,SI) <+ (ddt((CHNL_TYPE*Qfgs)))
    dynamicContributions[admsNodeID_GP] += ((modelVar_CHNL_TYPE*Qfgs));
    dynamicContributions[admsNodeID_SI] -= ((modelVar_CHNL_TYPE*Qfgs));
    // I(GP,DI) <+ (ddt((CHNL_TYPE*Qfgd)))
    dynamicContributions[admsNodeID_GP] += ((modelVar_CHNL_TYPE*Qfgd));
    dynamicContributions[admsNodeID_DI] -= ((modelVar_CHNL_TYPE*Qfgd));
    // I(GP,BP) <+ (ddt((CHNL_TYPE*Qgb_ov)))
    dynamicContributions[admsNodeID_GP] += ((modelVar_CHNL_TYPE*Qgb_ov));
    dynamicContributions[admsNodeID_BP] -= ((modelVar_CHNL_TYPE*Qgb_ov));
    // I(BS,SI) <+ (ddt((CHNL_TYPE*qjun_s)))
    dynamicContributions[admsNodeID_BS] += ((modelVar_CHNL_TYPE*instanceVar_qjun_s));
    dynamicContributions[admsNodeID_SI] -= ((modelVar_CHNL_TYPE*instanceVar_qjun_s));
    // I(BD,DI) <+ (ddt((CHNL_TYPE*qjun_d)))
    dynamicContributions[admsNodeID_BD] += ((modelVar_CHNL_TYPE*instanceVar_qjun_d));
    dynamicContributions[admsNodeID_DI] -= ((modelVar_CHNL_TYPE*instanceVar_qjun_d));
  }
  // End block loadDynamic
}



//-----------------------------------------------------------------------------
// Function      : InstanceSensitivity::operator()
// Purpose       : return sensitivity for a single instance parameter
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date : 
//-----------------------------------------------------------------------------
/// Compute sensitivity of a device instance's outputs to a specified instance
/// parameter
/// 
/// 
/// @param[in] entity  The device entity that owns the parameter 
/// @param[in] name    The unadorned parameter name specific to the entity
/// @param[out] dfdp   The derivative of the F vector with respect to the parameter
/// @param[out] dqdp   The derivative of the Q vector with respect to the parameter
/// @param[out] dbdp   The derivative of the B vector with respect to the parameter
/// @param[out] Findices   The indices into the F vector corresponding to the elements of dfdp
/// @param[out] Qindices   The indices into the Q vector corresponding to the elements of dfdp
/// @param[out] Bindices   The indices into the B vector corresponding to the elements of dfdp
/// 
/// 
void InstanceSensitivity::operator()
  (
     const ParameterBase &entity,
     const std::string &name,
     std::vector<double> & dfdp,
     std::vector<double> & dqdp,
     std::vector<double> & dbdp,
     std::vector<int> & Findices,
     std::vector<int> & Qindices,
     std::vector<int> & Bindices
   ) const
{
  const ParameterBase * e1 = &entity;
  const Instance & in = *(dynamic_cast<const Instance *> (e1));
  const Model & mod =in.model_;

  dfdp.resize(11+0);
  dqdp.resize(11+0);
  Findices.resize(11+0);
  Qindices.resize(11+0);

  std::vector <double> probeVars(12);
  std::vector <AdmsSensFadType> staticContributions(11+0);
  std::vector <AdmsSensFadType> dynamicContributions(11+0);


  // initialize contributions to zero (automatically sets derivatives to zero)
  for (int i=0; i < 11+0 ; ++i)
  {
    staticContributions[i]=0;
    dynamicContributions[i]=0;
  }

  // Copy out all the model parameters (doubles) into FAD types
  //reals
  AdmsSensFadType modelPar_LEVEL=mod.LEVEL;
  bool modelPar_given_LEVEL=mod.given("LEVEL");
  AdmsSensFadType modelPar_TYPE=mod.TYPE;
  bool modelPar_given_TYPE=mod.given("TYPE");
  AdmsSensFadType modelPar_TR=mod.TR;
  bool modelPar_given_TR=mod.given("TR");
  AdmsSensFadType modelPar_SWGEO=mod.SWGEO;
  bool modelPar_given_SWGEO=mod.given("SWGEO");
  AdmsSensFadType modelPar_SWIGATE=mod.SWIGATE;
  bool modelPar_given_SWIGATE=mod.given("SWIGATE");
  AdmsSensFadType modelPar_SWIMPACT=mod.SWIMPACT;
  bool modelPar_given_SWIMPACT=mod.given("SWIMPACT");
  AdmsSensFadType modelPar_SWGIDL=mod.SWGIDL;
  bool modelPar_given_SWGIDL=mod.given("SWGIDL");
  AdmsSensFadType modelPar_SWJUNCAP=mod.SWJUNCAP;
  bool modelPar_given_SWJUNCAP=mod.given("SWJUNCAP");
  AdmsSensFadType modelPar_SWJUNASYM=mod.SWJUNASYM;
  bool modelPar_given_SWJUNASYM=mod.given("SWJUNASYM");
  AdmsSensFadType modelPar_SWNUD=mod.SWNUD;
  bool modelPar_given_SWNUD=mod.given("SWNUD");
  AdmsSensFadType modelPar_SWDELVTAC=mod.SWDELVTAC;
  bool modelPar_given_SWDELVTAC=mod.given("SWDELVTAC");
  AdmsSensFadType modelPar_QMC=mod.QMC;
  bool modelPar_given_QMC=mod.given("QMC");
  AdmsSensFadType modelPar_VFB=mod.VFB;
  bool modelPar_given_VFB=mod.given("VFB");
  AdmsSensFadType modelPar_STVFB=mod.STVFB;
  bool modelPar_given_STVFB=mod.given("STVFB");
  AdmsSensFadType modelPar_TOX=mod.TOX;
  bool modelPar_given_TOX=mod.given("TOX");
  AdmsSensFadType modelPar_EPSROX=mod.EPSROX;
  bool modelPar_given_EPSROX=mod.given("EPSROX");
  AdmsSensFadType modelPar_NEFF=mod.NEFF;
  bool modelPar_given_NEFF=mod.given("NEFF");
  AdmsSensFadType modelPar_FACNEFFAC=mod.FACNEFFAC;
  bool modelPar_given_FACNEFFAC=mod.given("FACNEFFAC");
  AdmsSensFadType modelPar_GFACNUD=mod.GFACNUD;
  bool modelPar_given_GFACNUD=mod.given("GFACNUD");
  AdmsSensFadType modelPar_VSBNUD=mod.VSBNUD;
  bool modelPar_given_VSBNUD=mod.given("VSBNUD");
  AdmsSensFadType modelPar_DVSBNUD=mod.DVSBNUD;
  bool modelPar_given_DVSBNUD=mod.given("DVSBNUD");
  AdmsSensFadType modelPar_VNSUB=mod.VNSUB;
  bool modelPar_given_VNSUB=mod.given("VNSUB");
  AdmsSensFadType modelPar_NSLP=mod.NSLP;
  bool modelPar_given_NSLP=mod.given("NSLP");
  AdmsSensFadType modelPar_DNSUB=mod.DNSUB;
  bool modelPar_given_DNSUB=mod.given("DNSUB");
  AdmsSensFadType modelPar_DPHIB=mod.DPHIB;
  bool modelPar_given_DPHIB=mod.given("DPHIB");
  AdmsSensFadType modelPar_DELVTAC=mod.DELVTAC;
  bool modelPar_given_DELVTAC=mod.given("DELVTAC");
  AdmsSensFadType modelPar_NP=mod.NP;
  bool modelPar_given_NP=mod.given("NP");
  AdmsSensFadType modelPar_CT=mod.CT;
  bool modelPar_given_CT=mod.given("CT");
  AdmsSensFadType modelPar_TOXOV=mod.TOXOV;
  bool modelPar_given_TOXOV=mod.given("TOXOV");
  AdmsSensFadType modelPar_TOXOVD=mod.TOXOVD;
  bool modelPar_given_TOXOVD=mod.given("TOXOVD");
  AdmsSensFadType modelPar_NOV=mod.NOV;
  bool modelPar_given_NOV=mod.given("NOV");
  AdmsSensFadType modelPar_NOVD=mod.NOVD;
  bool modelPar_given_NOVD=mod.given("NOVD");
  AdmsSensFadType modelPar_CF=mod.CF;
  bool modelPar_given_CF=mod.given("CF");
  AdmsSensFadType modelPar_CFB=mod.CFB;
  bool modelPar_given_CFB=mod.given("CFB");
  AdmsSensFadType modelPar_BETN=mod.BETN;
  bool modelPar_given_BETN=mod.given("BETN");
  AdmsSensFadType modelPar_STBET=mod.STBET;
  bool modelPar_given_STBET=mod.given("STBET");
  AdmsSensFadType modelPar_MUE=mod.MUE;
  bool modelPar_given_MUE=mod.given("MUE");
  AdmsSensFadType modelPar_STMUE=mod.STMUE;
  bool modelPar_given_STMUE=mod.given("STMUE");
  AdmsSensFadType modelPar_THEMU=mod.THEMU;
  bool modelPar_given_THEMU=mod.given("THEMU");
  AdmsSensFadType modelPar_STTHEMU=mod.STTHEMU;
  bool modelPar_given_STTHEMU=mod.given("STTHEMU");
  AdmsSensFadType modelPar_CS=mod.CS;
  bool modelPar_given_CS=mod.given("CS");
  AdmsSensFadType modelPar_STCS=mod.STCS;
  bool modelPar_given_STCS=mod.given("STCS");
  AdmsSensFadType modelPar_XCOR=mod.XCOR;
  bool modelPar_given_XCOR=mod.given("XCOR");
  AdmsSensFadType modelPar_STXCOR=mod.STXCOR;
  bool modelPar_given_STXCOR=mod.given("STXCOR");
  AdmsSensFadType modelPar_FETA=mod.FETA;
  bool modelPar_given_FETA=mod.given("FETA");
  AdmsSensFadType modelPar_RS=mod.RS;
  bool modelPar_given_RS=mod.given("RS");
  AdmsSensFadType modelPar_STRS=mod.STRS;
  bool modelPar_given_STRS=mod.given("STRS");
  AdmsSensFadType modelPar_RSB=mod.RSB;
  bool modelPar_given_RSB=mod.given("RSB");
  AdmsSensFadType modelPar_RSG=mod.RSG;
  bool modelPar_given_RSG=mod.given("RSG");
  AdmsSensFadType modelPar_THESAT=mod.THESAT;
  bool modelPar_given_THESAT=mod.given("THESAT");
  AdmsSensFadType modelPar_STTHESAT=mod.STTHESAT;
  bool modelPar_given_STTHESAT=mod.given("STTHESAT");
  AdmsSensFadType modelPar_THESATB=mod.THESATB;
  bool modelPar_given_THESATB=mod.given("THESATB");
  AdmsSensFadType modelPar_THESATG=mod.THESATG;
  bool modelPar_given_THESATG=mod.given("THESATG");
  AdmsSensFadType modelPar_AX=mod.AX;
  bool modelPar_given_AX=mod.given("AX");
  AdmsSensFadType modelPar_ALP=mod.ALP;
  bool modelPar_given_ALP=mod.given("ALP");
  AdmsSensFadType modelPar_ALP1=mod.ALP1;
  bool modelPar_given_ALP1=mod.given("ALP1");
  AdmsSensFadType modelPar_ALP2=mod.ALP2;
  bool modelPar_given_ALP2=mod.given("ALP2");
  AdmsSensFadType modelPar_VP=mod.VP;
  bool modelPar_given_VP=mod.given("VP");
  AdmsSensFadType modelPar_A1=mod.A1;
  bool modelPar_given_A1=mod.given("A1");
  AdmsSensFadType modelPar_A2=mod.A2;
  bool modelPar_given_A2=mod.given("A2");
  AdmsSensFadType modelPar_STA2=mod.STA2;
  bool modelPar_given_STA2=mod.given("STA2");
  AdmsSensFadType modelPar_A3=mod.A3;
  bool modelPar_given_A3=mod.given("A3");
  AdmsSensFadType modelPar_A4=mod.A4;
  bool modelPar_given_A4=mod.given("A4");
  AdmsSensFadType modelPar_GCO=mod.GCO;
  bool modelPar_given_GCO=mod.given("GCO");
  AdmsSensFadType modelPar_IGINV=mod.IGINV;
  bool modelPar_given_IGINV=mod.given("IGINV");
  AdmsSensFadType modelPar_IGOV=mod.IGOV;
  bool modelPar_given_IGOV=mod.given("IGOV");
  AdmsSensFadType modelPar_IGOVD=mod.IGOVD;
  bool modelPar_given_IGOVD=mod.given("IGOVD");
  AdmsSensFadType modelPar_STIG=mod.STIG;
  bool modelPar_given_STIG=mod.given("STIG");
  AdmsSensFadType modelPar_GC2=mod.GC2;
  bool modelPar_given_GC2=mod.given("GC2");
  AdmsSensFadType modelPar_GC3=mod.GC3;
  bool modelPar_given_GC3=mod.given("GC3");
  AdmsSensFadType modelPar_CHIB=mod.CHIB;
  bool modelPar_given_CHIB=mod.given("CHIB");
  AdmsSensFadType modelPar_AGIDL=mod.AGIDL;
  bool modelPar_given_AGIDL=mod.given("AGIDL");
  AdmsSensFadType modelPar_AGIDLD=mod.AGIDLD;
  bool modelPar_given_AGIDLD=mod.given("AGIDLD");
  AdmsSensFadType modelPar_BGIDL=mod.BGIDL;
  bool modelPar_given_BGIDL=mod.given("BGIDL");
  AdmsSensFadType modelPar_BGIDLD=mod.BGIDLD;
  bool modelPar_given_BGIDLD=mod.given("BGIDLD");
  AdmsSensFadType modelPar_STBGIDL=mod.STBGIDL;
  bool modelPar_given_STBGIDL=mod.given("STBGIDL");
  AdmsSensFadType modelPar_STBGIDLD=mod.STBGIDLD;
  bool modelPar_given_STBGIDLD=mod.given("STBGIDLD");
  AdmsSensFadType modelPar_CGIDL=mod.CGIDL;
  bool modelPar_given_CGIDL=mod.given("CGIDL");
  AdmsSensFadType modelPar_CGIDLD=mod.CGIDLD;
  bool modelPar_given_CGIDLD=mod.given("CGIDLD");
  AdmsSensFadType modelPar_COX=mod.COX;
  bool modelPar_given_COX=mod.given("COX");
  AdmsSensFadType modelPar_CGOV=mod.CGOV;
  bool modelPar_given_CGOV=mod.given("CGOV");
  AdmsSensFadType modelPar_CGOVD=mod.CGOVD;
  bool modelPar_given_CGOVD=mod.given("CGOVD");
  AdmsSensFadType modelPar_CGBOV=mod.CGBOV;
  bool modelPar_given_CGBOV=mod.given("CGBOV");
  AdmsSensFadType modelPar_CFR=mod.CFR;
  bool modelPar_given_CFR=mod.given("CFR");
  AdmsSensFadType modelPar_CFRD=mod.CFRD;
  bool modelPar_given_CFRD=mod.given("CFRD");
  AdmsSensFadType modelPar_FNT=mod.FNT;
  bool modelPar_given_FNT=mod.given("FNT");
  AdmsSensFadType modelPar_NFA=mod.NFA;
  bool modelPar_given_NFA=mod.given("NFA");
  AdmsSensFadType modelPar_NFB=mod.NFB;
  bool modelPar_given_NFB=mod.given("NFB");
  AdmsSensFadType modelPar_NFC=mod.NFC;
  bool modelPar_given_NFC=mod.given("NFC");
  AdmsSensFadType modelPar_EF=mod.EF;
  bool modelPar_given_EF=mod.given("EF");
  AdmsSensFadType modelPar_RG=mod.RG;
  bool modelPar_given_RG=mod.given("RG");
  AdmsSensFadType modelPar_RSE=mod.RSE;
  bool modelPar_given_RSE=mod.given("RSE");
  AdmsSensFadType modelPar_RDE=mod.RDE;
  bool modelPar_given_RDE=mod.given("RDE");
  AdmsSensFadType modelPar_RBULK=mod.RBULK;
  bool modelPar_given_RBULK=mod.given("RBULK");
  AdmsSensFadType modelPar_RWELL=mod.RWELL;
  bool modelPar_given_RWELL=mod.given("RWELL");
  AdmsSensFadType modelPar_RJUNS=mod.RJUNS;
  bool modelPar_given_RJUNS=mod.given("RJUNS");
  AdmsSensFadType modelPar_RJUND=mod.RJUND;
  bool modelPar_given_RJUND=mod.given("RJUND");
  AdmsSensFadType modelPar_POVFB=mod.POVFB;
  bool modelPar_given_POVFB=mod.given("POVFB");
  AdmsSensFadType modelPar_PLVFB=mod.PLVFB;
  bool modelPar_given_PLVFB=mod.given("PLVFB");
  AdmsSensFadType modelPar_PWVFB=mod.PWVFB;
  bool modelPar_given_PWVFB=mod.given("PWVFB");
  AdmsSensFadType modelPar_PLWVFB=mod.PLWVFB;
  bool modelPar_given_PLWVFB=mod.given("PLWVFB");
  AdmsSensFadType modelPar_POSTVFB=mod.POSTVFB;
  bool modelPar_given_POSTVFB=mod.given("POSTVFB");
  AdmsSensFadType modelPar_PLSTVFB=mod.PLSTVFB;
  bool modelPar_given_PLSTVFB=mod.given("PLSTVFB");
  AdmsSensFadType modelPar_PWSTVFB=mod.PWSTVFB;
  bool modelPar_given_PWSTVFB=mod.given("PWSTVFB");
  AdmsSensFadType modelPar_PLWSTVFB=mod.PLWSTVFB;
  bool modelPar_given_PLWSTVFB=mod.given("PLWSTVFB");
  AdmsSensFadType modelPar_POTOX=mod.POTOX;
  bool modelPar_given_POTOX=mod.given("POTOX");
  AdmsSensFadType modelPar_POEPSROX=mod.POEPSROX;
  bool modelPar_given_POEPSROX=mod.given("POEPSROX");
  AdmsSensFadType modelPar_PONEFF=mod.PONEFF;
  bool modelPar_given_PONEFF=mod.given("PONEFF");
  AdmsSensFadType modelPar_PLNEFF=mod.PLNEFF;
  bool modelPar_given_PLNEFF=mod.given("PLNEFF");
  AdmsSensFadType modelPar_PWNEFF=mod.PWNEFF;
  bool modelPar_given_PWNEFF=mod.given("PWNEFF");
  AdmsSensFadType modelPar_PLWNEFF=mod.PLWNEFF;
  bool modelPar_given_PLWNEFF=mod.given("PLWNEFF");
  AdmsSensFadType modelPar_POFACNEFFAC=mod.POFACNEFFAC;
  bool modelPar_given_POFACNEFFAC=mod.given("POFACNEFFAC");
  AdmsSensFadType modelPar_PLFACNEFFAC=mod.PLFACNEFFAC;
  bool modelPar_given_PLFACNEFFAC=mod.given("PLFACNEFFAC");
  AdmsSensFadType modelPar_PWFACNEFFAC=mod.PWFACNEFFAC;
  bool modelPar_given_PWFACNEFFAC=mod.given("PWFACNEFFAC");
  AdmsSensFadType modelPar_PLWFACNEFFAC=mod.PLWFACNEFFAC;
  bool modelPar_given_PLWFACNEFFAC=mod.given("PLWFACNEFFAC");
  AdmsSensFadType modelPar_POGFACNUD=mod.POGFACNUD;
  bool modelPar_given_POGFACNUD=mod.given("POGFACNUD");
  AdmsSensFadType modelPar_PLGFACNUD=mod.PLGFACNUD;
  bool modelPar_given_PLGFACNUD=mod.given("PLGFACNUD");
  AdmsSensFadType modelPar_PWGFACNUD=mod.PWGFACNUD;
  bool modelPar_given_PWGFACNUD=mod.given("PWGFACNUD");
  AdmsSensFadType modelPar_PLWGFACNUD=mod.PLWGFACNUD;
  bool modelPar_given_PLWGFACNUD=mod.given("PLWGFACNUD");
  AdmsSensFadType modelPar_POVSBNUD=mod.POVSBNUD;
  bool modelPar_given_POVSBNUD=mod.given("POVSBNUD");
  AdmsSensFadType modelPar_PODVSBNUD=mod.PODVSBNUD;
  bool modelPar_given_PODVSBNUD=mod.given("PODVSBNUD");
  AdmsSensFadType modelPar_POVNSUB=mod.POVNSUB;
  bool modelPar_given_POVNSUB=mod.given("POVNSUB");
  AdmsSensFadType modelPar_PONSLP=mod.PONSLP;
  bool modelPar_given_PONSLP=mod.given("PONSLP");
  AdmsSensFadType modelPar_PODNSUB=mod.PODNSUB;
  bool modelPar_given_PODNSUB=mod.given("PODNSUB");
  AdmsSensFadType modelPar_PODPHIB=mod.PODPHIB;
  bool modelPar_given_PODPHIB=mod.given("PODPHIB");
  AdmsSensFadType modelPar_PLDPHIB=mod.PLDPHIB;
  bool modelPar_given_PLDPHIB=mod.given("PLDPHIB");
  AdmsSensFadType modelPar_PWDPHIB=mod.PWDPHIB;
  bool modelPar_given_PWDPHIB=mod.given("PWDPHIB");
  AdmsSensFadType modelPar_PLWDPHIB=mod.PLWDPHIB;
  bool modelPar_given_PLWDPHIB=mod.given("PLWDPHIB");
  AdmsSensFadType modelPar_PODELVTAC=mod.PODELVTAC;
  bool modelPar_given_PODELVTAC=mod.given("PODELVTAC");
  AdmsSensFadType modelPar_PLDELVTAC=mod.PLDELVTAC;
  bool modelPar_given_PLDELVTAC=mod.given("PLDELVTAC");
  AdmsSensFadType modelPar_PWDELVTAC=mod.PWDELVTAC;
  bool modelPar_given_PWDELVTAC=mod.given("PWDELVTAC");
  AdmsSensFadType modelPar_PLWDELVTAC=mod.PLWDELVTAC;
  bool modelPar_given_PLWDELVTAC=mod.given("PLWDELVTAC");
  AdmsSensFadType modelPar_PONP=mod.PONP;
  bool modelPar_given_PONP=mod.given("PONP");
  AdmsSensFadType modelPar_PLNP=mod.PLNP;
  bool modelPar_given_PLNP=mod.given("PLNP");
  AdmsSensFadType modelPar_PWNP=mod.PWNP;
  bool modelPar_given_PWNP=mod.given("PWNP");
  AdmsSensFadType modelPar_PLWNP=mod.PLWNP;
  bool modelPar_given_PLWNP=mod.given("PLWNP");
  AdmsSensFadType modelPar_POCT=mod.POCT;
  bool modelPar_given_POCT=mod.given("POCT");
  AdmsSensFadType modelPar_PLCT=mod.PLCT;
  bool modelPar_given_PLCT=mod.given("PLCT");
  AdmsSensFadType modelPar_PWCT=mod.PWCT;
  bool modelPar_given_PWCT=mod.given("PWCT");
  AdmsSensFadType modelPar_PLWCT=mod.PLWCT;
  bool modelPar_given_PLWCT=mod.given("PLWCT");
  AdmsSensFadType modelPar_POTOXOV=mod.POTOXOV;
  bool modelPar_given_POTOXOV=mod.given("POTOXOV");
  AdmsSensFadType modelPar_POTOXOVD=mod.POTOXOVD;
  bool modelPar_given_POTOXOVD=mod.given("POTOXOVD");
  AdmsSensFadType modelPar_PONOV=mod.PONOV;
  bool modelPar_given_PONOV=mod.given("PONOV");
  AdmsSensFadType modelPar_PLNOV=mod.PLNOV;
  bool modelPar_given_PLNOV=mod.given("PLNOV");
  AdmsSensFadType modelPar_PWNOV=mod.PWNOV;
  bool modelPar_given_PWNOV=mod.given("PWNOV");
  AdmsSensFadType modelPar_PLWNOV=mod.PLWNOV;
  bool modelPar_given_PLWNOV=mod.given("PLWNOV");
  AdmsSensFadType modelPar_PONOVD=mod.PONOVD;
  bool modelPar_given_PONOVD=mod.given("PONOVD");
  AdmsSensFadType modelPar_PLNOVD=mod.PLNOVD;
  bool modelPar_given_PLNOVD=mod.given("PLNOVD");
  AdmsSensFadType modelPar_PWNOVD=mod.PWNOVD;
  bool modelPar_given_PWNOVD=mod.given("PWNOVD");
  AdmsSensFadType modelPar_PLWNOVD=mod.PLWNOVD;
  bool modelPar_given_PLWNOVD=mod.given("PLWNOVD");
  AdmsSensFadType modelPar_POCF=mod.POCF;
  bool modelPar_given_POCF=mod.given("POCF");
  AdmsSensFadType modelPar_PLCF=mod.PLCF;
  bool modelPar_given_PLCF=mod.given("PLCF");
  AdmsSensFadType modelPar_PWCF=mod.PWCF;
  bool modelPar_given_PWCF=mod.given("PWCF");
  AdmsSensFadType modelPar_PLWCF=mod.PLWCF;
  bool modelPar_given_PLWCF=mod.given("PLWCF");
  AdmsSensFadType modelPar_POCFB=mod.POCFB;
  bool modelPar_given_POCFB=mod.given("POCFB");
  AdmsSensFadType modelPar_POBETN=mod.POBETN;
  bool modelPar_given_POBETN=mod.given("POBETN");
  AdmsSensFadType modelPar_PLBETN=mod.PLBETN;
  bool modelPar_given_PLBETN=mod.given("PLBETN");
  AdmsSensFadType modelPar_PWBETN=mod.PWBETN;
  bool modelPar_given_PWBETN=mod.given("PWBETN");
  AdmsSensFadType modelPar_PLWBETN=mod.PLWBETN;
  bool modelPar_given_PLWBETN=mod.given("PLWBETN");
  AdmsSensFadType modelPar_POSTBET=mod.POSTBET;
  bool modelPar_given_POSTBET=mod.given("POSTBET");
  AdmsSensFadType modelPar_PLSTBET=mod.PLSTBET;
  bool modelPar_given_PLSTBET=mod.given("PLSTBET");
  AdmsSensFadType modelPar_PWSTBET=mod.PWSTBET;
  bool modelPar_given_PWSTBET=mod.given("PWSTBET");
  AdmsSensFadType modelPar_PLWSTBET=mod.PLWSTBET;
  bool modelPar_given_PLWSTBET=mod.given("PLWSTBET");
  AdmsSensFadType modelPar_POMUE=mod.POMUE;
  bool modelPar_given_POMUE=mod.given("POMUE");
  AdmsSensFadType modelPar_PLMUE=mod.PLMUE;
  bool modelPar_given_PLMUE=mod.given("PLMUE");
  AdmsSensFadType modelPar_PWMUE=mod.PWMUE;
  bool modelPar_given_PWMUE=mod.given("PWMUE");
  AdmsSensFadType modelPar_PLWMUE=mod.PLWMUE;
  bool modelPar_given_PLWMUE=mod.given("PLWMUE");
  AdmsSensFadType modelPar_POSTMUE=mod.POSTMUE;
  bool modelPar_given_POSTMUE=mod.given("POSTMUE");
  AdmsSensFadType modelPar_POTHEMU=mod.POTHEMU;
  bool modelPar_given_POTHEMU=mod.given("POTHEMU");
  AdmsSensFadType modelPar_POSTTHEMU=mod.POSTTHEMU;
  bool modelPar_given_POSTTHEMU=mod.given("POSTTHEMU");
  AdmsSensFadType modelPar_POCS=mod.POCS;
  bool modelPar_given_POCS=mod.given("POCS");
  AdmsSensFadType modelPar_PLCS=mod.PLCS;
  bool modelPar_given_PLCS=mod.given("PLCS");
  AdmsSensFadType modelPar_PWCS=mod.PWCS;
  bool modelPar_given_PWCS=mod.given("PWCS");
  AdmsSensFadType modelPar_PLWCS=mod.PLWCS;
  bool modelPar_given_PLWCS=mod.given("PLWCS");
  AdmsSensFadType modelPar_POSTCS=mod.POSTCS;
  bool modelPar_given_POSTCS=mod.given("POSTCS");
  AdmsSensFadType modelPar_POXCOR=mod.POXCOR;
  bool modelPar_given_POXCOR=mod.given("POXCOR");
  AdmsSensFadType modelPar_PLXCOR=mod.PLXCOR;
  bool modelPar_given_PLXCOR=mod.given("PLXCOR");
  AdmsSensFadType modelPar_PWXCOR=mod.PWXCOR;
  bool modelPar_given_PWXCOR=mod.given("PWXCOR");
  AdmsSensFadType modelPar_PLWXCOR=mod.PLWXCOR;
  bool modelPar_given_PLWXCOR=mod.given("PLWXCOR");
  AdmsSensFadType modelPar_POSTXCOR=mod.POSTXCOR;
  bool modelPar_given_POSTXCOR=mod.given("POSTXCOR");
  AdmsSensFadType modelPar_POFETA=mod.POFETA;
  bool modelPar_given_POFETA=mod.given("POFETA");
  AdmsSensFadType modelPar_PORS=mod.PORS;
  bool modelPar_given_PORS=mod.given("PORS");
  AdmsSensFadType modelPar_PLRS=mod.PLRS;
  bool modelPar_given_PLRS=mod.given("PLRS");
  AdmsSensFadType modelPar_PWRS=mod.PWRS;
  bool modelPar_given_PWRS=mod.given("PWRS");
  AdmsSensFadType modelPar_PLWRS=mod.PLWRS;
  bool modelPar_given_PLWRS=mod.given("PLWRS");
  AdmsSensFadType modelPar_POSTRS=mod.POSTRS;
  bool modelPar_given_POSTRS=mod.given("POSTRS");
  AdmsSensFadType modelPar_PORSB=mod.PORSB;
  bool modelPar_given_PORSB=mod.given("PORSB");
  AdmsSensFadType modelPar_PORSG=mod.PORSG;
  bool modelPar_given_PORSG=mod.given("PORSG");
  AdmsSensFadType modelPar_POTHESAT=mod.POTHESAT;
  bool modelPar_given_POTHESAT=mod.given("POTHESAT");
  AdmsSensFadType modelPar_PLTHESAT=mod.PLTHESAT;
  bool modelPar_given_PLTHESAT=mod.given("PLTHESAT");
  AdmsSensFadType modelPar_PWTHESAT=mod.PWTHESAT;
  bool modelPar_given_PWTHESAT=mod.given("PWTHESAT");
  AdmsSensFadType modelPar_PLWTHESAT=mod.PLWTHESAT;
  bool modelPar_given_PLWTHESAT=mod.given("PLWTHESAT");
  AdmsSensFadType modelPar_POSTTHESAT=mod.POSTTHESAT;
  bool modelPar_given_POSTTHESAT=mod.given("POSTTHESAT");
  AdmsSensFadType modelPar_PLSTTHESAT=mod.PLSTTHESAT;
  bool modelPar_given_PLSTTHESAT=mod.given("PLSTTHESAT");
  AdmsSensFadType modelPar_PWSTTHESAT=mod.PWSTTHESAT;
  bool modelPar_given_PWSTTHESAT=mod.given("PWSTTHESAT");
  AdmsSensFadType modelPar_PLWSTTHESAT=mod.PLWSTTHESAT;
  bool modelPar_given_PLWSTTHESAT=mod.given("PLWSTTHESAT");
  AdmsSensFadType modelPar_POTHESATB=mod.POTHESATB;
  bool modelPar_given_POTHESATB=mod.given("POTHESATB");
  AdmsSensFadType modelPar_PLTHESATB=mod.PLTHESATB;
  bool modelPar_given_PLTHESATB=mod.given("PLTHESATB");
  AdmsSensFadType modelPar_PWTHESATB=mod.PWTHESATB;
  bool modelPar_given_PWTHESATB=mod.given("PWTHESATB");
  AdmsSensFadType modelPar_PLWTHESATB=mod.PLWTHESATB;
  bool modelPar_given_PLWTHESATB=mod.given("PLWTHESATB");
  AdmsSensFadType modelPar_POTHESATG=mod.POTHESATG;
  bool modelPar_given_POTHESATG=mod.given("POTHESATG");
  AdmsSensFadType modelPar_PLTHESATG=mod.PLTHESATG;
  bool modelPar_given_PLTHESATG=mod.given("PLTHESATG");
  AdmsSensFadType modelPar_PWTHESATG=mod.PWTHESATG;
  bool modelPar_given_PWTHESATG=mod.given("PWTHESATG");
  AdmsSensFadType modelPar_PLWTHESATG=mod.PLWTHESATG;
  bool modelPar_given_PLWTHESATG=mod.given("PLWTHESATG");
  AdmsSensFadType modelPar_POAX=mod.POAX;
  bool modelPar_given_POAX=mod.given("POAX");
  AdmsSensFadType modelPar_PLAX=mod.PLAX;
  bool modelPar_given_PLAX=mod.given("PLAX");
  AdmsSensFadType modelPar_PWAX=mod.PWAX;
  bool modelPar_given_PWAX=mod.given("PWAX");
  AdmsSensFadType modelPar_PLWAX=mod.PLWAX;
  bool modelPar_given_PLWAX=mod.given("PLWAX");
  AdmsSensFadType modelPar_POALP=mod.POALP;
  bool modelPar_given_POALP=mod.given("POALP");
  AdmsSensFadType modelPar_PLALP=mod.PLALP;
  bool modelPar_given_PLALP=mod.given("PLALP");
  AdmsSensFadType modelPar_PWALP=mod.PWALP;
  bool modelPar_given_PWALP=mod.given("PWALP");
  AdmsSensFadType modelPar_PLWALP=mod.PLWALP;
  bool modelPar_given_PLWALP=mod.given("PLWALP");
  AdmsSensFadType modelPar_POALP1=mod.POALP1;
  bool modelPar_given_POALP1=mod.given("POALP1");
  AdmsSensFadType modelPar_PLALP1=mod.PLALP1;
  bool modelPar_given_PLALP1=mod.given("PLALP1");
  AdmsSensFadType modelPar_PWALP1=mod.PWALP1;
  bool modelPar_given_PWALP1=mod.given("PWALP1");
  AdmsSensFadType modelPar_PLWALP1=mod.PLWALP1;
  bool modelPar_given_PLWALP1=mod.given("PLWALP1");
  AdmsSensFadType modelPar_POALP2=mod.POALP2;
  bool modelPar_given_POALP2=mod.given("POALP2");
  AdmsSensFadType modelPar_PLALP2=mod.PLALP2;
  bool modelPar_given_PLALP2=mod.given("PLALP2");
  AdmsSensFadType modelPar_PWALP2=mod.PWALP2;
  bool modelPar_given_PWALP2=mod.given("PWALP2");
  AdmsSensFadType modelPar_PLWALP2=mod.PLWALP2;
  bool modelPar_given_PLWALP2=mod.given("PLWALP2");
  AdmsSensFadType modelPar_POVP=mod.POVP;
  bool modelPar_given_POVP=mod.given("POVP");
  AdmsSensFadType modelPar_POA1=mod.POA1;
  bool modelPar_given_POA1=mod.given("POA1");
  AdmsSensFadType modelPar_PLA1=mod.PLA1;
  bool modelPar_given_PLA1=mod.given("PLA1");
  AdmsSensFadType modelPar_PWA1=mod.PWA1;
  bool modelPar_given_PWA1=mod.given("PWA1");
  AdmsSensFadType modelPar_PLWA1=mod.PLWA1;
  bool modelPar_given_PLWA1=mod.given("PLWA1");
  AdmsSensFadType modelPar_POA2=mod.POA2;
  bool modelPar_given_POA2=mod.given("POA2");
  AdmsSensFadType modelPar_POSTA2=mod.POSTA2;
  bool modelPar_given_POSTA2=mod.given("POSTA2");
  AdmsSensFadType modelPar_POA3=mod.POA3;
  bool modelPar_given_POA3=mod.given("POA3");
  AdmsSensFadType modelPar_PLA3=mod.PLA3;
  bool modelPar_given_PLA3=mod.given("PLA3");
  AdmsSensFadType modelPar_PWA3=mod.PWA3;
  bool modelPar_given_PWA3=mod.given("PWA3");
  AdmsSensFadType modelPar_PLWA3=mod.PLWA3;
  bool modelPar_given_PLWA3=mod.given("PLWA3");
  AdmsSensFadType modelPar_POA4=mod.POA4;
  bool modelPar_given_POA4=mod.given("POA4");
  AdmsSensFadType modelPar_PLA4=mod.PLA4;
  bool modelPar_given_PLA4=mod.given("PLA4");
  AdmsSensFadType modelPar_PWA4=mod.PWA4;
  bool modelPar_given_PWA4=mod.given("PWA4");
  AdmsSensFadType modelPar_PLWA4=mod.PLWA4;
  bool modelPar_given_PLWA4=mod.given("PLWA4");
  AdmsSensFadType modelPar_POGCO=mod.POGCO;
  bool modelPar_given_POGCO=mod.given("POGCO");
  AdmsSensFadType modelPar_POIGINV=mod.POIGINV;
  bool modelPar_given_POIGINV=mod.given("POIGINV");
  AdmsSensFadType modelPar_PLIGINV=mod.PLIGINV;
  bool modelPar_given_PLIGINV=mod.given("PLIGINV");
  AdmsSensFadType modelPar_PWIGINV=mod.PWIGINV;
  bool modelPar_given_PWIGINV=mod.given("PWIGINV");
  AdmsSensFadType modelPar_PLWIGINV=mod.PLWIGINV;
  bool modelPar_given_PLWIGINV=mod.given("PLWIGINV");
  AdmsSensFadType modelPar_POIGOV=mod.POIGOV;
  bool modelPar_given_POIGOV=mod.given("POIGOV");
  AdmsSensFadType modelPar_PLIGOV=mod.PLIGOV;
  bool modelPar_given_PLIGOV=mod.given("PLIGOV");
  AdmsSensFadType modelPar_PWIGOV=mod.PWIGOV;
  bool modelPar_given_PWIGOV=mod.given("PWIGOV");
  AdmsSensFadType modelPar_PLWIGOV=mod.PLWIGOV;
  bool modelPar_given_PLWIGOV=mod.given("PLWIGOV");
  AdmsSensFadType modelPar_POIGOVD=mod.POIGOVD;
  bool modelPar_given_POIGOVD=mod.given("POIGOVD");
  AdmsSensFadType modelPar_PLIGOVD=mod.PLIGOVD;
  bool modelPar_given_PLIGOVD=mod.given("PLIGOVD");
  AdmsSensFadType modelPar_PWIGOVD=mod.PWIGOVD;
  bool modelPar_given_PWIGOVD=mod.given("PWIGOVD");
  AdmsSensFadType modelPar_PLWIGOVD=mod.PLWIGOVD;
  bool modelPar_given_PLWIGOVD=mod.given("PLWIGOVD");
  AdmsSensFadType modelPar_POSTIG=mod.POSTIG;
  bool modelPar_given_POSTIG=mod.given("POSTIG");
  AdmsSensFadType modelPar_POGC2=mod.POGC2;
  bool modelPar_given_POGC2=mod.given("POGC2");
  AdmsSensFadType modelPar_POGC3=mod.POGC3;
  bool modelPar_given_POGC3=mod.given("POGC3");
  AdmsSensFadType modelPar_POCHIB=mod.POCHIB;
  bool modelPar_given_POCHIB=mod.given("POCHIB");
  AdmsSensFadType modelPar_POAGIDL=mod.POAGIDL;
  bool modelPar_given_POAGIDL=mod.given("POAGIDL");
  AdmsSensFadType modelPar_PLAGIDL=mod.PLAGIDL;
  bool modelPar_given_PLAGIDL=mod.given("PLAGIDL");
  AdmsSensFadType modelPar_PWAGIDL=mod.PWAGIDL;
  bool modelPar_given_PWAGIDL=mod.given("PWAGIDL");
  AdmsSensFadType modelPar_PLWAGIDL=mod.PLWAGIDL;
  bool modelPar_given_PLWAGIDL=mod.given("PLWAGIDL");
  AdmsSensFadType modelPar_POAGIDLD=mod.POAGIDLD;
  bool modelPar_given_POAGIDLD=mod.given("POAGIDLD");
  AdmsSensFadType modelPar_PLAGIDLD=mod.PLAGIDLD;
  bool modelPar_given_PLAGIDLD=mod.given("PLAGIDLD");
  AdmsSensFadType modelPar_PWAGIDLD=mod.PWAGIDLD;
  bool modelPar_given_PWAGIDLD=mod.given("PWAGIDLD");
  AdmsSensFadType modelPar_PLWAGIDLD=mod.PLWAGIDLD;
  bool modelPar_given_PLWAGIDLD=mod.given("PLWAGIDLD");
  AdmsSensFadType modelPar_POBGIDL=mod.POBGIDL;
  bool modelPar_given_POBGIDL=mod.given("POBGIDL");
  AdmsSensFadType modelPar_POBGIDLD=mod.POBGIDLD;
  bool modelPar_given_POBGIDLD=mod.given("POBGIDLD");
  AdmsSensFadType modelPar_POSTBGIDL=mod.POSTBGIDL;
  bool modelPar_given_POSTBGIDL=mod.given("POSTBGIDL");
  AdmsSensFadType modelPar_POSTBGIDLD=mod.POSTBGIDLD;
  bool modelPar_given_POSTBGIDLD=mod.given("POSTBGIDLD");
  AdmsSensFadType modelPar_POCGIDL=mod.POCGIDL;
  bool modelPar_given_POCGIDL=mod.given("POCGIDL");
  AdmsSensFadType modelPar_POCGIDLD=mod.POCGIDLD;
  bool modelPar_given_POCGIDLD=mod.given("POCGIDLD");
  AdmsSensFadType modelPar_POCOX=mod.POCOX;
  bool modelPar_given_POCOX=mod.given("POCOX");
  AdmsSensFadType modelPar_PLCOX=mod.PLCOX;
  bool modelPar_given_PLCOX=mod.given("PLCOX");
  AdmsSensFadType modelPar_PWCOX=mod.PWCOX;
  bool modelPar_given_PWCOX=mod.given("PWCOX");
  AdmsSensFadType modelPar_PLWCOX=mod.PLWCOX;
  bool modelPar_given_PLWCOX=mod.given("PLWCOX");
  AdmsSensFadType modelPar_POCGOV=mod.POCGOV;
  bool modelPar_given_POCGOV=mod.given("POCGOV");
  AdmsSensFadType modelPar_PLCGOV=mod.PLCGOV;
  bool modelPar_given_PLCGOV=mod.given("PLCGOV");
  AdmsSensFadType modelPar_PWCGOV=mod.PWCGOV;
  bool modelPar_given_PWCGOV=mod.given("PWCGOV");
  AdmsSensFadType modelPar_PLWCGOV=mod.PLWCGOV;
  bool modelPar_given_PLWCGOV=mod.given("PLWCGOV");
  AdmsSensFadType modelPar_POCGOVD=mod.POCGOVD;
  bool modelPar_given_POCGOVD=mod.given("POCGOVD");
  AdmsSensFadType modelPar_PLCGOVD=mod.PLCGOVD;
  bool modelPar_given_PLCGOVD=mod.given("PLCGOVD");
  AdmsSensFadType modelPar_PWCGOVD=mod.PWCGOVD;
  bool modelPar_given_PWCGOVD=mod.given("PWCGOVD");
  AdmsSensFadType modelPar_PLWCGOVD=mod.PLWCGOVD;
  bool modelPar_given_PLWCGOVD=mod.given("PLWCGOVD");
  AdmsSensFadType modelPar_POCGBOV=mod.POCGBOV;
  bool modelPar_given_POCGBOV=mod.given("POCGBOV");
  AdmsSensFadType modelPar_PLCGBOV=mod.PLCGBOV;
  bool modelPar_given_PLCGBOV=mod.given("PLCGBOV");
  AdmsSensFadType modelPar_PWCGBOV=mod.PWCGBOV;
  bool modelPar_given_PWCGBOV=mod.given("PWCGBOV");
  AdmsSensFadType modelPar_PLWCGBOV=mod.PLWCGBOV;
  bool modelPar_given_PLWCGBOV=mod.given("PLWCGBOV");
  AdmsSensFadType modelPar_POCFR=mod.POCFR;
  bool modelPar_given_POCFR=mod.given("POCFR");
  AdmsSensFadType modelPar_PLCFR=mod.PLCFR;
  bool modelPar_given_PLCFR=mod.given("PLCFR");
  AdmsSensFadType modelPar_PWCFR=mod.PWCFR;
  bool modelPar_given_PWCFR=mod.given("PWCFR");
  AdmsSensFadType modelPar_PLWCFR=mod.PLWCFR;
  bool modelPar_given_PLWCFR=mod.given("PLWCFR");
  AdmsSensFadType modelPar_POCFRD=mod.POCFRD;
  bool modelPar_given_POCFRD=mod.given("POCFRD");
  AdmsSensFadType modelPar_PLCFRD=mod.PLCFRD;
  bool modelPar_given_PLCFRD=mod.given("PLCFRD");
  AdmsSensFadType modelPar_PWCFRD=mod.PWCFRD;
  bool modelPar_given_PWCFRD=mod.given("PWCFRD");
  AdmsSensFadType modelPar_PLWCFRD=mod.PLWCFRD;
  bool modelPar_given_PLWCFRD=mod.given("PLWCFRD");
  AdmsSensFadType modelPar_POFNT=mod.POFNT;
  bool modelPar_given_POFNT=mod.given("POFNT");
  AdmsSensFadType modelPar_PONFA=mod.PONFA;
  bool modelPar_given_PONFA=mod.given("PONFA");
  AdmsSensFadType modelPar_PLNFA=mod.PLNFA;
  bool modelPar_given_PLNFA=mod.given("PLNFA");
  AdmsSensFadType modelPar_PWNFA=mod.PWNFA;
  bool modelPar_given_PWNFA=mod.given("PWNFA");
  AdmsSensFadType modelPar_PLWNFA=mod.PLWNFA;
  bool modelPar_given_PLWNFA=mod.given("PLWNFA");
  AdmsSensFadType modelPar_PONFB=mod.PONFB;
  bool modelPar_given_PONFB=mod.given("PONFB");
  AdmsSensFadType modelPar_PLNFB=mod.PLNFB;
  bool modelPar_given_PLNFB=mod.given("PLNFB");
  AdmsSensFadType modelPar_PWNFB=mod.PWNFB;
  bool modelPar_given_PWNFB=mod.given("PWNFB");
  AdmsSensFadType modelPar_PLWNFB=mod.PLWNFB;
  bool modelPar_given_PLWNFB=mod.given("PLWNFB");
  AdmsSensFadType modelPar_PONFC=mod.PONFC;
  bool modelPar_given_PONFC=mod.given("PONFC");
  AdmsSensFadType modelPar_PLNFC=mod.PLNFC;
  bool modelPar_given_PLNFC=mod.given("PLNFC");
  AdmsSensFadType modelPar_PWNFC=mod.PWNFC;
  bool modelPar_given_PWNFC=mod.given("PWNFC");
  AdmsSensFadType modelPar_PLWNFC=mod.PLWNFC;
  bool modelPar_given_PLWNFC=mod.given("PLWNFC");
  AdmsSensFadType modelPar_POEF=mod.POEF;
  bool modelPar_given_POEF=mod.given("POEF");
  AdmsSensFadType modelPar_POKVTHOWE=mod.POKVTHOWE;
  bool modelPar_given_POKVTHOWE=mod.given("POKVTHOWE");
  AdmsSensFadType modelPar_PLKVTHOWE=mod.PLKVTHOWE;
  bool modelPar_given_PLKVTHOWE=mod.given("PLKVTHOWE");
  AdmsSensFadType modelPar_PWKVTHOWE=mod.PWKVTHOWE;
  bool modelPar_given_PWKVTHOWE=mod.given("PWKVTHOWE");
  AdmsSensFadType modelPar_PLWKVTHOWE=mod.PLWKVTHOWE;
  bool modelPar_given_PLWKVTHOWE=mod.given("PLWKVTHOWE");
  AdmsSensFadType modelPar_POKUOWE=mod.POKUOWE;
  bool modelPar_given_POKUOWE=mod.given("POKUOWE");
  AdmsSensFadType modelPar_PLKUOWE=mod.PLKUOWE;
  bool modelPar_given_PLKUOWE=mod.given("PLKUOWE");
  AdmsSensFadType modelPar_PWKUOWE=mod.PWKUOWE;
  bool modelPar_given_PWKUOWE=mod.given("PWKUOWE");
  AdmsSensFadType modelPar_PLWKUOWE=mod.PLWKUOWE;
  bool modelPar_given_PLWKUOWE=mod.given("PLWKUOWE");
  AdmsSensFadType modelPar_LMIN=mod.LMIN;
  bool modelPar_given_LMIN=mod.given("LMIN");
  AdmsSensFadType modelPar_LMAX=mod.LMAX;
  bool modelPar_given_LMAX=mod.given("LMAX");
  AdmsSensFadType modelPar_WMIN=mod.WMIN;
  bool modelPar_given_WMIN=mod.given("WMIN");
  AdmsSensFadType modelPar_WMAX=mod.WMAX;
  bool modelPar_given_WMAX=mod.given("WMAX");
  AdmsSensFadType modelPar_LVARO=mod.LVARO;
  bool modelPar_given_LVARO=mod.given("LVARO");
  AdmsSensFadType modelPar_LVARL=mod.LVARL;
  bool modelPar_given_LVARL=mod.given("LVARL");
  AdmsSensFadType modelPar_LVARW=mod.LVARW;
  bool modelPar_given_LVARW=mod.given("LVARW");
  AdmsSensFadType modelPar_LAP=mod.LAP;
  bool modelPar_given_LAP=mod.given("LAP");
  AdmsSensFadType modelPar_WVARO=mod.WVARO;
  bool modelPar_given_WVARO=mod.given("WVARO");
  AdmsSensFadType modelPar_WVARL=mod.WVARL;
  bool modelPar_given_WVARL=mod.given("WVARL");
  AdmsSensFadType modelPar_WVARW=mod.WVARW;
  bool modelPar_given_WVARW=mod.given("WVARW");
  AdmsSensFadType modelPar_WOT=mod.WOT;
  bool modelPar_given_WOT=mod.given("WOT");
  AdmsSensFadType modelPar_DLQ=mod.DLQ;
  bool modelPar_given_DLQ=mod.given("DLQ");
  AdmsSensFadType modelPar_DWQ=mod.DWQ;
  bool modelPar_given_DWQ=mod.given("DWQ");
  AdmsSensFadType modelPar_VFBO=mod.VFBO;
  bool modelPar_given_VFBO=mod.given("VFBO");
  AdmsSensFadType modelPar_VFBL=mod.VFBL;
  bool modelPar_given_VFBL=mod.given("VFBL");
  AdmsSensFadType modelPar_VFBW=mod.VFBW;
  bool modelPar_given_VFBW=mod.given("VFBW");
  AdmsSensFadType modelPar_VFBLW=mod.VFBLW;
  bool modelPar_given_VFBLW=mod.given("VFBLW");
  AdmsSensFadType modelPar_STVFBO=mod.STVFBO;
  bool modelPar_given_STVFBO=mod.given("STVFBO");
  AdmsSensFadType modelPar_STVFBL=mod.STVFBL;
  bool modelPar_given_STVFBL=mod.given("STVFBL");
  AdmsSensFadType modelPar_STVFBW=mod.STVFBW;
  bool modelPar_given_STVFBW=mod.given("STVFBW");
  AdmsSensFadType modelPar_STVFBLW=mod.STVFBLW;
  bool modelPar_given_STVFBLW=mod.given("STVFBLW");
  AdmsSensFadType modelPar_TOXO=mod.TOXO;
  bool modelPar_given_TOXO=mod.given("TOXO");
  AdmsSensFadType modelPar_EPSROXO=mod.EPSROXO;
  bool modelPar_given_EPSROXO=mod.given("EPSROXO");
  AdmsSensFadType modelPar_NSUBO=mod.NSUBO;
  bool modelPar_given_NSUBO=mod.given("NSUBO");
  AdmsSensFadType modelPar_NSUBW=mod.NSUBW;
  bool modelPar_given_NSUBW=mod.given("NSUBW");
  AdmsSensFadType modelPar_WSEG=mod.WSEG;
  bool modelPar_given_WSEG=mod.given("WSEG");
  AdmsSensFadType modelPar_NPCK=mod.NPCK;
  bool modelPar_given_NPCK=mod.given("NPCK");
  AdmsSensFadType modelPar_NPCKW=mod.NPCKW;
  bool modelPar_given_NPCKW=mod.given("NPCKW");
  AdmsSensFadType modelPar_WSEGP=mod.WSEGP;
  bool modelPar_given_WSEGP=mod.given("WSEGP");
  AdmsSensFadType modelPar_LPCK=mod.LPCK;
  bool modelPar_given_LPCK=mod.given("LPCK");
  AdmsSensFadType modelPar_LPCKW=mod.LPCKW;
  bool modelPar_given_LPCKW=mod.given("LPCKW");
  AdmsSensFadType modelPar_FOL1=mod.FOL1;
  bool modelPar_given_FOL1=mod.given("FOL1");
  AdmsSensFadType modelPar_FOL2=mod.FOL2;
  bool modelPar_given_FOL2=mod.given("FOL2");
  AdmsSensFadType modelPar_FACNEFFACO=mod.FACNEFFACO;
  bool modelPar_given_FACNEFFACO=mod.given("FACNEFFACO");
  AdmsSensFadType modelPar_FACNEFFACL=mod.FACNEFFACL;
  bool modelPar_given_FACNEFFACL=mod.given("FACNEFFACL");
  AdmsSensFadType modelPar_FACNEFFACW=mod.FACNEFFACW;
  bool modelPar_given_FACNEFFACW=mod.given("FACNEFFACW");
  AdmsSensFadType modelPar_FACNEFFACLW=mod.FACNEFFACLW;
  bool modelPar_given_FACNEFFACLW=mod.given("FACNEFFACLW");
  AdmsSensFadType modelPar_GFACNUDO=mod.GFACNUDO;
  bool modelPar_given_GFACNUDO=mod.given("GFACNUDO");
  AdmsSensFadType modelPar_GFACNUDL=mod.GFACNUDL;
  bool modelPar_given_GFACNUDL=mod.given("GFACNUDL");
  AdmsSensFadType modelPar_GFACNUDLEXP=mod.GFACNUDLEXP;
  bool modelPar_given_GFACNUDLEXP=mod.given("GFACNUDLEXP");
  AdmsSensFadType modelPar_GFACNUDW=mod.GFACNUDW;
  bool modelPar_given_GFACNUDW=mod.given("GFACNUDW");
  AdmsSensFadType modelPar_GFACNUDLW=mod.GFACNUDLW;
  bool modelPar_given_GFACNUDLW=mod.given("GFACNUDLW");
  AdmsSensFadType modelPar_VSBNUDO=mod.VSBNUDO;
  bool modelPar_given_VSBNUDO=mod.given("VSBNUDO");
  AdmsSensFadType modelPar_DVSBNUDO=mod.DVSBNUDO;
  bool modelPar_given_DVSBNUDO=mod.given("DVSBNUDO");
  AdmsSensFadType modelPar_VNSUBO=mod.VNSUBO;
  bool modelPar_given_VNSUBO=mod.given("VNSUBO");
  AdmsSensFadType modelPar_NSLPO=mod.NSLPO;
  bool modelPar_given_NSLPO=mod.given("NSLPO");
  AdmsSensFadType modelPar_DNSUBO=mod.DNSUBO;
  bool modelPar_given_DNSUBO=mod.given("DNSUBO");
  AdmsSensFadType modelPar_DPHIBO=mod.DPHIBO;
  bool modelPar_given_DPHIBO=mod.given("DPHIBO");
  AdmsSensFadType modelPar_DPHIBL=mod.DPHIBL;
  bool modelPar_given_DPHIBL=mod.given("DPHIBL");
  AdmsSensFadType modelPar_DPHIBLEXP=mod.DPHIBLEXP;
  bool modelPar_given_DPHIBLEXP=mod.given("DPHIBLEXP");
  AdmsSensFadType modelPar_DPHIBW=mod.DPHIBW;
  bool modelPar_given_DPHIBW=mod.given("DPHIBW");
  AdmsSensFadType modelPar_DPHIBLW=mod.DPHIBLW;
  bool modelPar_given_DPHIBLW=mod.given("DPHIBLW");
  AdmsSensFadType modelPar_DELVTACO=mod.DELVTACO;
  bool modelPar_given_DELVTACO=mod.given("DELVTACO");
  AdmsSensFadType modelPar_DELVTACL=mod.DELVTACL;
  bool modelPar_given_DELVTACL=mod.given("DELVTACL");
  AdmsSensFadType modelPar_DELVTACLEXP=mod.DELVTACLEXP;
  bool modelPar_given_DELVTACLEXP=mod.given("DELVTACLEXP");
  AdmsSensFadType modelPar_DELVTACW=mod.DELVTACW;
  bool modelPar_given_DELVTACW=mod.given("DELVTACW");
  AdmsSensFadType modelPar_DELVTACLW=mod.DELVTACLW;
  bool modelPar_given_DELVTACLW=mod.given("DELVTACLW");
  AdmsSensFadType modelPar_NPO=mod.NPO;
  bool modelPar_given_NPO=mod.given("NPO");
  AdmsSensFadType modelPar_NPL=mod.NPL;
  bool modelPar_given_NPL=mod.given("NPL");
  AdmsSensFadType modelPar_CTO=mod.CTO;
  bool modelPar_given_CTO=mod.given("CTO");
  AdmsSensFadType modelPar_CTL=mod.CTL;
  bool modelPar_given_CTL=mod.given("CTL");
  AdmsSensFadType modelPar_CTLEXP=mod.CTLEXP;
  bool modelPar_given_CTLEXP=mod.given("CTLEXP");
  AdmsSensFadType modelPar_CTW=mod.CTW;
  bool modelPar_given_CTW=mod.given("CTW");
  AdmsSensFadType modelPar_CTLW=mod.CTLW;
  bool modelPar_given_CTLW=mod.given("CTLW");
  AdmsSensFadType modelPar_TOXOVO=mod.TOXOVO;
  bool modelPar_given_TOXOVO=mod.given("TOXOVO");
  AdmsSensFadType modelPar_TOXOVDO=mod.TOXOVDO;
  bool modelPar_given_TOXOVDO=mod.given("TOXOVDO");
  AdmsSensFadType modelPar_LOV=mod.LOV;
  bool modelPar_given_LOV=mod.given("LOV");
  AdmsSensFadType modelPar_LOVD=mod.LOVD;
  bool modelPar_given_LOVD=mod.given("LOVD");
  AdmsSensFadType modelPar_NOVO=mod.NOVO;
  bool modelPar_given_NOVO=mod.given("NOVO");
  AdmsSensFadType modelPar_NOVDO=mod.NOVDO;
  bool modelPar_given_NOVDO=mod.given("NOVDO");
  AdmsSensFadType modelPar_CFL=mod.CFL;
  bool modelPar_given_CFL=mod.given("CFL");
  AdmsSensFadType modelPar_CFLEXP=mod.CFLEXP;
  bool modelPar_given_CFLEXP=mod.given("CFLEXP");
  AdmsSensFadType modelPar_CFW=mod.CFW;
  bool modelPar_given_CFW=mod.given("CFW");
  AdmsSensFadType modelPar_CFBO=mod.CFBO;
  bool modelPar_given_CFBO=mod.given("CFBO");
  AdmsSensFadType modelPar_UO=mod.UO;
  bool modelPar_given_UO=mod.given("UO");
  AdmsSensFadType modelPar_FBET1=mod.FBET1;
  bool modelPar_given_FBET1=mod.given("FBET1");
  AdmsSensFadType modelPar_FBET1W=mod.FBET1W;
  bool modelPar_given_FBET1W=mod.given("FBET1W");
  AdmsSensFadType modelPar_LP1=mod.LP1;
  bool modelPar_given_LP1=mod.given("LP1");
  AdmsSensFadType modelPar_LP1W=mod.LP1W;
  bool modelPar_given_LP1W=mod.given("LP1W");
  AdmsSensFadType modelPar_FBET2=mod.FBET2;
  bool modelPar_given_FBET2=mod.given("FBET2");
  AdmsSensFadType modelPar_LP2=mod.LP2;
  bool modelPar_given_LP2=mod.given("LP2");
  AdmsSensFadType modelPar_BETW1=mod.BETW1;
  bool modelPar_given_BETW1=mod.given("BETW1");
  AdmsSensFadType modelPar_BETW2=mod.BETW2;
  bool modelPar_given_BETW2=mod.given("BETW2");
  AdmsSensFadType modelPar_WBET=mod.WBET;
  bool modelPar_given_WBET=mod.given("WBET");
  AdmsSensFadType modelPar_STBETO=mod.STBETO;
  bool modelPar_given_STBETO=mod.given("STBETO");
  AdmsSensFadType modelPar_STBETL=mod.STBETL;
  bool modelPar_given_STBETL=mod.given("STBETL");
  AdmsSensFadType modelPar_STBETW=mod.STBETW;
  bool modelPar_given_STBETW=mod.given("STBETW");
  AdmsSensFadType modelPar_STBETLW=mod.STBETLW;
  bool modelPar_given_STBETLW=mod.given("STBETLW");
  AdmsSensFadType modelPar_MUEO=mod.MUEO;
  bool modelPar_given_MUEO=mod.given("MUEO");
  AdmsSensFadType modelPar_MUEW=mod.MUEW;
  bool modelPar_given_MUEW=mod.given("MUEW");
  AdmsSensFadType modelPar_STMUEO=mod.STMUEO;
  bool modelPar_given_STMUEO=mod.given("STMUEO");
  AdmsSensFadType modelPar_THEMUO=mod.THEMUO;
  bool modelPar_given_THEMUO=mod.given("THEMUO");
  AdmsSensFadType modelPar_STTHEMUO=mod.STTHEMUO;
  bool modelPar_given_STTHEMUO=mod.given("STTHEMUO");
  AdmsSensFadType modelPar_CSO=mod.CSO;
  bool modelPar_given_CSO=mod.given("CSO");
  AdmsSensFadType modelPar_CSL=mod.CSL;
  bool modelPar_given_CSL=mod.given("CSL");
  AdmsSensFadType modelPar_CSLEXP=mod.CSLEXP;
  bool modelPar_given_CSLEXP=mod.given("CSLEXP");
  AdmsSensFadType modelPar_CSW=mod.CSW;
  bool modelPar_given_CSW=mod.given("CSW");
  AdmsSensFadType modelPar_CSLW=mod.CSLW;
  bool modelPar_given_CSLW=mod.given("CSLW");
  AdmsSensFadType modelPar_STCSO=mod.STCSO;
  bool modelPar_given_STCSO=mod.given("STCSO");
  AdmsSensFadType modelPar_XCORO=mod.XCORO;
  bool modelPar_given_XCORO=mod.given("XCORO");
  AdmsSensFadType modelPar_XCORL=mod.XCORL;
  bool modelPar_given_XCORL=mod.given("XCORL");
  AdmsSensFadType modelPar_XCORW=mod.XCORW;
  bool modelPar_given_XCORW=mod.given("XCORW");
  AdmsSensFadType modelPar_XCORLW=mod.XCORLW;
  bool modelPar_given_XCORLW=mod.given("XCORLW");
  AdmsSensFadType modelPar_STXCORO=mod.STXCORO;
  bool modelPar_given_STXCORO=mod.given("STXCORO");
  AdmsSensFadType modelPar_FETAO=mod.FETAO;
  bool modelPar_given_FETAO=mod.given("FETAO");
  AdmsSensFadType modelPar_RSW1=mod.RSW1;
  bool modelPar_given_RSW1=mod.given("RSW1");
  AdmsSensFadType modelPar_RSW2=mod.RSW2;
  bool modelPar_given_RSW2=mod.given("RSW2");
  AdmsSensFadType modelPar_STRSO=mod.STRSO;
  bool modelPar_given_STRSO=mod.given("STRSO");
  AdmsSensFadType modelPar_RSBO=mod.RSBO;
  bool modelPar_given_RSBO=mod.given("RSBO");
  AdmsSensFadType modelPar_RSGO=mod.RSGO;
  bool modelPar_given_RSGO=mod.given("RSGO");
  AdmsSensFadType modelPar_THESATO=mod.THESATO;
  bool modelPar_given_THESATO=mod.given("THESATO");
  AdmsSensFadType modelPar_THESATL=mod.THESATL;
  bool modelPar_given_THESATL=mod.given("THESATL");
  AdmsSensFadType modelPar_THESATLEXP=mod.THESATLEXP;
  bool modelPar_given_THESATLEXP=mod.given("THESATLEXP");
  AdmsSensFadType modelPar_THESATW=mod.THESATW;
  bool modelPar_given_THESATW=mod.given("THESATW");
  AdmsSensFadType modelPar_THESATLW=mod.THESATLW;
  bool modelPar_given_THESATLW=mod.given("THESATLW");
  AdmsSensFadType modelPar_STTHESATO=mod.STTHESATO;
  bool modelPar_given_STTHESATO=mod.given("STTHESATO");
  AdmsSensFadType modelPar_STTHESATL=mod.STTHESATL;
  bool modelPar_given_STTHESATL=mod.given("STTHESATL");
  AdmsSensFadType modelPar_STTHESATW=mod.STTHESATW;
  bool modelPar_given_STTHESATW=mod.given("STTHESATW");
  AdmsSensFadType modelPar_STTHESATLW=mod.STTHESATLW;
  bool modelPar_given_STTHESATLW=mod.given("STTHESATLW");
  AdmsSensFadType modelPar_THESATBO=mod.THESATBO;
  bool modelPar_given_THESATBO=mod.given("THESATBO");
  AdmsSensFadType modelPar_THESATGO=mod.THESATGO;
  bool modelPar_given_THESATGO=mod.given("THESATGO");
  AdmsSensFadType modelPar_AXO=mod.AXO;
  bool modelPar_given_AXO=mod.given("AXO");
  AdmsSensFadType modelPar_AXL=mod.AXL;
  bool modelPar_given_AXL=mod.given("AXL");
  AdmsSensFadType modelPar_ALPL=mod.ALPL;
  bool modelPar_given_ALPL=mod.given("ALPL");
  AdmsSensFadType modelPar_ALPLEXP=mod.ALPLEXP;
  bool modelPar_given_ALPLEXP=mod.given("ALPLEXP");
  AdmsSensFadType modelPar_ALPW=mod.ALPW;
  bool modelPar_given_ALPW=mod.given("ALPW");
  AdmsSensFadType modelPar_ALP1L1=mod.ALP1L1;
  bool modelPar_given_ALP1L1=mod.given("ALP1L1");
  AdmsSensFadType modelPar_ALP1LEXP=mod.ALP1LEXP;
  bool modelPar_given_ALP1LEXP=mod.given("ALP1LEXP");
  AdmsSensFadType modelPar_ALP1L2=mod.ALP1L2;
  bool modelPar_given_ALP1L2=mod.given("ALP1L2");
  AdmsSensFadType modelPar_ALP1W=mod.ALP1W;
  bool modelPar_given_ALP1W=mod.given("ALP1W");
  AdmsSensFadType modelPar_ALP2L1=mod.ALP2L1;
  bool modelPar_given_ALP2L1=mod.given("ALP2L1");
  AdmsSensFadType modelPar_ALP2LEXP=mod.ALP2LEXP;
  bool modelPar_given_ALP2LEXP=mod.given("ALP2LEXP");
  AdmsSensFadType modelPar_ALP2L2=mod.ALP2L2;
  bool modelPar_given_ALP2L2=mod.given("ALP2L2");
  AdmsSensFadType modelPar_ALP2W=mod.ALP2W;
  bool modelPar_given_ALP2W=mod.given("ALP2W");
  AdmsSensFadType modelPar_VPO=mod.VPO;
  bool modelPar_given_VPO=mod.given("VPO");
  AdmsSensFadType modelPar_A1O=mod.A1O;
  bool modelPar_given_A1O=mod.given("A1O");
  AdmsSensFadType modelPar_A1L=mod.A1L;
  bool modelPar_given_A1L=mod.given("A1L");
  AdmsSensFadType modelPar_A1W=mod.A1W;
  bool modelPar_given_A1W=mod.given("A1W");
  AdmsSensFadType modelPar_A2O=mod.A2O;
  bool modelPar_given_A2O=mod.given("A2O");
  AdmsSensFadType modelPar_STA2O=mod.STA2O;
  bool modelPar_given_STA2O=mod.given("STA2O");
  AdmsSensFadType modelPar_A3O=mod.A3O;
  bool modelPar_given_A3O=mod.given("A3O");
  AdmsSensFadType modelPar_A3L=mod.A3L;
  bool modelPar_given_A3L=mod.given("A3L");
  AdmsSensFadType modelPar_A3W=mod.A3W;
  bool modelPar_given_A3W=mod.given("A3W");
  AdmsSensFadType modelPar_A4O=mod.A4O;
  bool modelPar_given_A4O=mod.given("A4O");
  AdmsSensFadType modelPar_A4L=mod.A4L;
  bool modelPar_given_A4L=mod.given("A4L");
  AdmsSensFadType modelPar_A4W=mod.A4W;
  bool modelPar_given_A4W=mod.given("A4W");
  AdmsSensFadType modelPar_GCOO=mod.GCOO;
  bool modelPar_given_GCOO=mod.given("GCOO");
  AdmsSensFadType modelPar_IGINVLW=mod.IGINVLW;
  bool modelPar_given_IGINVLW=mod.given("IGINVLW");
  AdmsSensFadType modelPar_IGOVW=mod.IGOVW;
  bool modelPar_given_IGOVW=mod.given("IGOVW");
  AdmsSensFadType modelPar_IGOVDW=mod.IGOVDW;
  bool modelPar_given_IGOVDW=mod.given("IGOVDW");
  AdmsSensFadType modelPar_STIGO=mod.STIGO;
  bool modelPar_given_STIGO=mod.given("STIGO");
  AdmsSensFadType modelPar_GC2O=mod.GC2O;
  bool modelPar_given_GC2O=mod.given("GC2O");
  AdmsSensFadType modelPar_GC3O=mod.GC3O;
  bool modelPar_given_GC3O=mod.given("GC3O");
  AdmsSensFadType modelPar_CHIBO=mod.CHIBO;
  bool modelPar_given_CHIBO=mod.given("CHIBO");
  AdmsSensFadType modelPar_AGIDLW=mod.AGIDLW;
  bool modelPar_given_AGIDLW=mod.given("AGIDLW");
  AdmsSensFadType modelPar_AGIDLDW=mod.AGIDLDW;
  bool modelPar_given_AGIDLDW=mod.given("AGIDLDW");
  AdmsSensFadType modelPar_BGIDLO=mod.BGIDLO;
  bool modelPar_given_BGIDLO=mod.given("BGIDLO");
  AdmsSensFadType modelPar_BGIDLDO=mod.BGIDLDO;
  bool modelPar_given_BGIDLDO=mod.given("BGIDLDO");
  AdmsSensFadType modelPar_STBGIDLO=mod.STBGIDLO;
  bool modelPar_given_STBGIDLO=mod.given("STBGIDLO");
  AdmsSensFadType modelPar_STBGIDLDO=mod.STBGIDLDO;
  bool modelPar_given_STBGIDLDO=mod.given("STBGIDLDO");
  AdmsSensFadType modelPar_CGIDLO=mod.CGIDLO;
  bool modelPar_given_CGIDLO=mod.given("CGIDLO");
  AdmsSensFadType modelPar_CGIDLDO=mod.CGIDLDO;
  bool modelPar_given_CGIDLDO=mod.given("CGIDLDO");
  AdmsSensFadType modelPar_CGBOVL=mod.CGBOVL;
  bool modelPar_given_CGBOVL=mod.given("CGBOVL");
  AdmsSensFadType modelPar_CFRW=mod.CFRW;
  bool modelPar_given_CFRW=mod.given("CFRW");
  AdmsSensFadType modelPar_CFRDW=mod.CFRDW;
  bool modelPar_given_CFRDW=mod.given("CFRDW");
  AdmsSensFadType modelPar_FNTO=mod.FNTO;
  bool modelPar_given_FNTO=mod.given("FNTO");
  AdmsSensFadType modelPar_NFALW=mod.NFALW;
  bool modelPar_given_NFALW=mod.given("NFALW");
  AdmsSensFadType modelPar_NFBLW=mod.NFBLW;
  bool modelPar_given_NFBLW=mod.given("NFBLW");
  AdmsSensFadType modelPar_NFCLW=mod.NFCLW;
  bool modelPar_given_NFCLW=mod.given("NFCLW");
  AdmsSensFadType modelPar_EFO=mod.EFO;
  bool modelPar_given_EFO=mod.given("EFO");
  AdmsSensFadType modelPar_LINTNOI=mod.LINTNOI;
  bool modelPar_given_LINTNOI=mod.given("LINTNOI");
  AdmsSensFadType modelPar_ALPNOI=mod.ALPNOI;
  bool modelPar_given_ALPNOI=mod.given("ALPNOI");
  AdmsSensFadType modelPar_KVTHOWEO=mod.KVTHOWEO;
  bool modelPar_given_KVTHOWEO=mod.given("KVTHOWEO");
  AdmsSensFadType modelPar_KVTHOWEL=mod.KVTHOWEL;
  bool modelPar_given_KVTHOWEL=mod.given("KVTHOWEL");
  AdmsSensFadType modelPar_KVTHOWEW=mod.KVTHOWEW;
  bool modelPar_given_KVTHOWEW=mod.given("KVTHOWEW");
  AdmsSensFadType modelPar_KVTHOWELW=mod.KVTHOWELW;
  bool modelPar_given_KVTHOWELW=mod.given("KVTHOWELW");
  AdmsSensFadType modelPar_KUOWEO=mod.KUOWEO;
  bool modelPar_given_KUOWEO=mod.given("KUOWEO");
  AdmsSensFadType modelPar_KUOWEL=mod.KUOWEL;
  bool modelPar_given_KUOWEL=mod.given("KUOWEL");
  AdmsSensFadType modelPar_KUOWEW=mod.KUOWEW;
  bool modelPar_given_KUOWEW=mod.given("KUOWEW");
  AdmsSensFadType modelPar_KUOWELW=mod.KUOWELW;
  bool modelPar_given_KUOWELW=mod.given("KUOWELW");
  AdmsSensFadType modelPar_RGO=mod.RGO;
  bool modelPar_given_RGO=mod.given("RGO");
  AdmsSensFadType modelPar_RINT=mod.RINT;
  bool modelPar_given_RINT=mod.given("RINT");
  AdmsSensFadType modelPar_RVPOLY=mod.RVPOLY;
  bool modelPar_given_RVPOLY=mod.given("RVPOLY");
  AdmsSensFadType modelPar_RSHG=mod.RSHG;
  bool modelPar_given_RSHG=mod.given("RSHG");
  AdmsSensFadType modelPar_DLSIL=mod.DLSIL;
  bool modelPar_given_DLSIL=mod.given("DLSIL");
  AdmsSensFadType modelPar_RSH=mod.RSH;
  bool modelPar_given_RSH=mod.given("RSH");
  AdmsSensFadType modelPar_RSHD=mod.RSHD;
  bool modelPar_given_RSHD=mod.given("RSHD");
  AdmsSensFadType modelPar_RBULKO=mod.RBULKO;
  bool modelPar_given_RBULKO=mod.given("RBULKO");
  AdmsSensFadType modelPar_RWELLO=mod.RWELLO;
  bool modelPar_given_RWELLO=mod.given("RWELLO");
  AdmsSensFadType modelPar_RJUNSO=mod.RJUNSO;
  bool modelPar_given_RJUNSO=mod.given("RJUNSO");
  AdmsSensFadType modelPar_RJUNDO=mod.RJUNDO;
  bool modelPar_given_RJUNDO=mod.given("RJUNDO");
  AdmsSensFadType modelPar_SAREF=mod.SAREF;
  bool modelPar_given_SAREF=mod.given("SAREF");
  AdmsSensFadType modelPar_SBREF=mod.SBREF;
  bool modelPar_given_SBREF=mod.given("SBREF");
  AdmsSensFadType modelPar_WLOD=mod.WLOD;
  bool modelPar_given_WLOD=mod.given("WLOD");
  AdmsSensFadType modelPar_KUO=mod.KUO;
  bool modelPar_given_KUO=mod.given("KUO");
  AdmsSensFadType modelPar_KVSAT=mod.KVSAT;
  bool modelPar_given_KVSAT=mod.given("KVSAT");
  AdmsSensFadType modelPar_TKUO=mod.TKUO;
  bool modelPar_given_TKUO=mod.given("TKUO");
  AdmsSensFadType modelPar_LKUO=mod.LKUO;
  bool modelPar_given_LKUO=mod.given("LKUO");
  AdmsSensFadType modelPar_WKUO=mod.WKUO;
  bool modelPar_given_WKUO=mod.given("WKUO");
  AdmsSensFadType modelPar_PKUO=mod.PKUO;
  bool modelPar_given_PKUO=mod.given("PKUO");
  AdmsSensFadType modelPar_LLODKUO=mod.LLODKUO;
  bool modelPar_given_LLODKUO=mod.given("LLODKUO");
  AdmsSensFadType modelPar_WLODKUO=mod.WLODKUO;
  bool modelPar_given_WLODKUO=mod.given("WLODKUO");
  AdmsSensFadType modelPar_KVTHO=mod.KVTHO;
  bool modelPar_given_KVTHO=mod.given("KVTHO");
  AdmsSensFadType modelPar_LKVTHO=mod.LKVTHO;
  bool modelPar_given_LKVTHO=mod.given("LKVTHO");
  AdmsSensFadType modelPar_WKVTHO=mod.WKVTHO;
  bool modelPar_given_WKVTHO=mod.given("WKVTHO");
  AdmsSensFadType modelPar_PKVTHO=mod.PKVTHO;
  bool modelPar_given_PKVTHO=mod.given("PKVTHO");
  AdmsSensFadType modelPar_LLODVTH=mod.LLODVTH;
  bool modelPar_given_LLODVTH=mod.given("LLODVTH");
  AdmsSensFadType modelPar_WLODVTH=mod.WLODVTH;
  bool modelPar_given_WLODVTH=mod.given("WLODVTH");
  AdmsSensFadType modelPar_STETAO=mod.STETAO;
  bool modelPar_given_STETAO=mod.given("STETAO");
  AdmsSensFadType modelPar_LODETAO=mod.LODETAO;
  bool modelPar_given_LODETAO=mod.given("LODETAO");
  AdmsSensFadType modelPar_SCREF=mod.SCREF;
  bool modelPar_given_SCREF=mod.given("SCREF");
  AdmsSensFadType modelPar_WEB=mod.WEB;
  bool modelPar_given_WEB=mod.given("WEB");
  AdmsSensFadType modelPar_WEC=mod.WEC;
  bool modelPar_given_WEC=mod.given("WEC");
  AdmsSensFadType modelPar_IMAX=mod.IMAX;
  bool modelPar_given_IMAX=mod.given("IMAX");
  AdmsSensFadType modelPar_TRJ=mod.TRJ;
  bool modelPar_given_TRJ=mod.given("TRJ");
  AdmsSensFadType modelPar_CJORBOT=mod.CJORBOT;
  bool modelPar_given_CJORBOT=mod.given("CJORBOT");
  AdmsSensFadType modelPar_CJORSTI=mod.CJORSTI;
  bool modelPar_given_CJORSTI=mod.given("CJORSTI");
  AdmsSensFadType modelPar_CJORGAT=mod.CJORGAT;
  bool modelPar_given_CJORGAT=mod.given("CJORGAT");
  AdmsSensFadType modelPar_VBIRBOT=mod.VBIRBOT;
  bool modelPar_given_VBIRBOT=mod.given("VBIRBOT");
  AdmsSensFadType modelPar_VBIRSTI=mod.VBIRSTI;
  bool modelPar_given_VBIRSTI=mod.given("VBIRSTI");
  AdmsSensFadType modelPar_VBIRGAT=mod.VBIRGAT;
  bool modelPar_given_VBIRGAT=mod.given("VBIRGAT");
  AdmsSensFadType modelPar_PBOT=mod.PBOT;
  bool modelPar_given_PBOT=mod.given("PBOT");
  AdmsSensFadType modelPar_PSTI=mod.PSTI;
  bool modelPar_given_PSTI=mod.given("PSTI");
  AdmsSensFadType modelPar_PGAT=mod.PGAT;
  bool modelPar_given_PGAT=mod.given("PGAT");
  AdmsSensFadType modelPar_PHIGBOT=mod.PHIGBOT;
  bool modelPar_given_PHIGBOT=mod.given("PHIGBOT");
  AdmsSensFadType modelPar_PHIGSTI=mod.PHIGSTI;
  bool modelPar_given_PHIGSTI=mod.given("PHIGSTI");
  AdmsSensFadType modelPar_PHIGGAT=mod.PHIGGAT;
  bool modelPar_given_PHIGGAT=mod.given("PHIGGAT");
  AdmsSensFadType modelPar_IDSATRBOT=mod.IDSATRBOT;
  bool modelPar_given_IDSATRBOT=mod.given("IDSATRBOT");
  AdmsSensFadType modelPar_IDSATRSTI=mod.IDSATRSTI;
  bool modelPar_given_IDSATRSTI=mod.given("IDSATRSTI");
  AdmsSensFadType modelPar_IDSATRGAT=mod.IDSATRGAT;
  bool modelPar_given_IDSATRGAT=mod.given("IDSATRGAT");
  AdmsSensFadType modelPar_CSRHBOT=mod.CSRHBOT;
  bool modelPar_given_CSRHBOT=mod.given("CSRHBOT");
  AdmsSensFadType modelPar_CSRHSTI=mod.CSRHSTI;
  bool modelPar_given_CSRHSTI=mod.given("CSRHSTI");
  AdmsSensFadType modelPar_CSRHGAT=mod.CSRHGAT;
  bool modelPar_given_CSRHGAT=mod.given("CSRHGAT");
  AdmsSensFadType modelPar_XJUNSTI=mod.XJUNSTI;
  bool modelPar_given_XJUNSTI=mod.given("XJUNSTI");
  AdmsSensFadType modelPar_XJUNGAT=mod.XJUNGAT;
  bool modelPar_given_XJUNGAT=mod.given("XJUNGAT");
  AdmsSensFadType modelPar_CTATBOT=mod.CTATBOT;
  bool modelPar_given_CTATBOT=mod.given("CTATBOT");
  AdmsSensFadType modelPar_CTATSTI=mod.CTATSTI;
  bool modelPar_given_CTATSTI=mod.given("CTATSTI");
  AdmsSensFadType modelPar_CTATGAT=mod.CTATGAT;
  bool modelPar_given_CTATGAT=mod.given("CTATGAT");
  AdmsSensFadType modelPar_MEFFTATBOT=mod.MEFFTATBOT;
  bool modelPar_given_MEFFTATBOT=mod.given("MEFFTATBOT");
  AdmsSensFadType modelPar_MEFFTATSTI=mod.MEFFTATSTI;
  bool modelPar_given_MEFFTATSTI=mod.given("MEFFTATSTI");
  AdmsSensFadType modelPar_MEFFTATGAT=mod.MEFFTATGAT;
  bool modelPar_given_MEFFTATGAT=mod.given("MEFFTATGAT");
  AdmsSensFadType modelPar_CBBTBOT=mod.CBBTBOT;
  bool modelPar_given_CBBTBOT=mod.given("CBBTBOT");
  AdmsSensFadType modelPar_CBBTSTI=mod.CBBTSTI;
  bool modelPar_given_CBBTSTI=mod.given("CBBTSTI");
  AdmsSensFadType modelPar_CBBTGAT=mod.CBBTGAT;
  bool modelPar_given_CBBTGAT=mod.given("CBBTGAT");
  AdmsSensFadType modelPar_FBBTRBOT=mod.FBBTRBOT;
  bool modelPar_given_FBBTRBOT=mod.given("FBBTRBOT");
  AdmsSensFadType modelPar_FBBTRSTI=mod.FBBTRSTI;
  bool modelPar_given_FBBTRSTI=mod.given("FBBTRSTI");
  AdmsSensFadType modelPar_FBBTRGAT=mod.FBBTRGAT;
  bool modelPar_given_FBBTRGAT=mod.given("FBBTRGAT");
  AdmsSensFadType modelPar_STFBBTBOT=mod.STFBBTBOT;
  bool modelPar_given_STFBBTBOT=mod.given("STFBBTBOT");
  AdmsSensFadType modelPar_STFBBTSTI=mod.STFBBTSTI;
  bool modelPar_given_STFBBTSTI=mod.given("STFBBTSTI");
  AdmsSensFadType modelPar_STFBBTGAT=mod.STFBBTGAT;
  bool modelPar_given_STFBBTGAT=mod.given("STFBBTGAT");
  AdmsSensFadType modelPar_VBRBOT=mod.VBRBOT;
  bool modelPar_given_VBRBOT=mod.given("VBRBOT");
  AdmsSensFadType modelPar_VBRSTI=mod.VBRSTI;
  bool modelPar_given_VBRSTI=mod.given("VBRSTI");
  AdmsSensFadType modelPar_VBRGAT=mod.VBRGAT;
  bool modelPar_given_VBRGAT=mod.given("VBRGAT");
  AdmsSensFadType modelPar_PBRBOT=mod.PBRBOT;
  bool modelPar_given_PBRBOT=mod.given("PBRBOT");
  AdmsSensFadType modelPar_PBRSTI=mod.PBRSTI;
  bool modelPar_given_PBRSTI=mod.given("PBRSTI");
  AdmsSensFadType modelPar_PBRGAT=mod.PBRGAT;
  bool modelPar_given_PBRGAT=mod.given("PBRGAT");
  AdmsSensFadType modelPar_CJORBOTD=mod.CJORBOTD;
  bool modelPar_given_CJORBOTD=mod.given("CJORBOTD");
  AdmsSensFadType modelPar_CJORSTID=mod.CJORSTID;
  bool modelPar_given_CJORSTID=mod.given("CJORSTID");
  AdmsSensFadType modelPar_CJORGATD=mod.CJORGATD;
  bool modelPar_given_CJORGATD=mod.given("CJORGATD");
  AdmsSensFadType modelPar_VBIRBOTD=mod.VBIRBOTD;
  bool modelPar_given_VBIRBOTD=mod.given("VBIRBOTD");
  AdmsSensFadType modelPar_VBIRSTID=mod.VBIRSTID;
  bool modelPar_given_VBIRSTID=mod.given("VBIRSTID");
  AdmsSensFadType modelPar_VBIRGATD=mod.VBIRGATD;
  bool modelPar_given_VBIRGATD=mod.given("VBIRGATD");
  AdmsSensFadType modelPar_PBOTD=mod.PBOTD;
  bool modelPar_given_PBOTD=mod.given("PBOTD");
  AdmsSensFadType modelPar_PSTID=mod.PSTID;
  bool modelPar_given_PSTID=mod.given("PSTID");
  AdmsSensFadType modelPar_PGATD=mod.PGATD;
  bool modelPar_given_PGATD=mod.given("PGATD");
  AdmsSensFadType modelPar_PHIGBOTD=mod.PHIGBOTD;
  bool modelPar_given_PHIGBOTD=mod.given("PHIGBOTD");
  AdmsSensFadType modelPar_PHIGSTID=mod.PHIGSTID;
  bool modelPar_given_PHIGSTID=mod.given("PHIGSTID");
  AdmsSensFadType modelPar_PHIGGATD=mod.PHIGGATD;
  bool modelPar_given_PHIGGATD=mod.given("PHIGGATD");
  AdmsSensFadType modelPar_IDSATRBOTD=mod.IDSATRBOTD;
  bool modelPar_given_IDSATRBOTD=mod.given("IDSATRBOTD");
  AdmsSensFadType modelPar_IDSATRSTID=mod.IDSATRSTID;
  bool modelPar_given_IDSATRSTID=mod.given("IDSATRSTID");
  AdmsSensFadType modelPar_IDSATRGATD=mod.IDSATRGATD;
  bool modelPar_given_IDSATRGATD=mod.given("IDSATRGATD");
  AdmsSensFadType modelPar_CSRHBOTD=mod.CSRHBOTD;
  bool modelPar_given_CSRHBOTD=mod.given("CSRHBOTD");
  AdmsSensFadType modelPar_CSRHSTID=mod.CSRHSTID;
  bool modelPar_given_CSRHSTID=mod.given("CSRHSTID");
  AdmsSensFadType modelPar_CSRHGATD=mod.CSRHGATD;
  bool modelPar_given_CSRHGATD=mod.given("CSRHGATD");
  AdmsSensFadType modelPar_XJUNSTID=mod.XJUNSTID;
  bool modelPar_given_XJUNSTID=mod.given("XJUNSTID");
  AdmsSensFadType modelPar_XJUNGATD=mod.XJUNGATD;
  bool modelPar_given_XJUNGATD=mod.given("XJUNGATD");
  AdmsSensFadType modelPar_CTATBOTD=mod.CTATBOTD;
  bool modelPar_given_CTATBOTD=mod.given("CTATBOTD");
  AdmsSensFadType modelPar_CTATSTID=mod.CTATSTID;
  bool modelPar_given_CTATSTID=mod.given("CTATSTID");
  AdmsSensFadType modelPar_CTATGATD=mod.CTATGATD;
  bool modelPar_given_CTATGATD=mod.given("CTATGATD");
  AdmsSensFadType modelPar_MEFFTATBOTD=mod.MEFFTATBOTD;
  bool modelPar_given_MEFFTATBOTD=mod.given("MEFFTATBOTD");
  AdmsSensFadType modelPar_MEFFTATSTID=mod.MEFFTATSTID;
  bool modelPar_given_MEFFTATSTID=mod.given("MEFFTATSTID");
  AdmsSensFadType modelPar_MEFFTATGATD=mod.MEFFTATGATD;
  bool modelPar_given_MEFFTATGATD=mod.given("MEFFTATGATD");
  AdmsSensFadType modelPar_CBBTBOTD=mod.CBBTBOTD;
  bool modelPar_given_CBBTBOTD=mod.given("CBBTBOTD");
  AdmsSensFadType modelPar_CBBTSTID=mod.CBBTSTID;
  bool modelPar_given_CBBTSTID=mod.given("CBBTSTID");
  AdmsSensFadType modelPar_CBBTGATD=mod.CBBTGATD;
  bool modelPar_given_CBBTGATD=mod.given("CBBTGATD");
  AdmsSensFadType modelPar_FBBTRBOTD=mod.FBBTRBOTD;
  bool modelPar_given_FBBTRBOTD=mod.given("FBBTRBOTD");
  AdmsSensFadType modelPar_FBBTRSTID=mod.FBBTRSTID;
  bool modelPar_given_FBBTRSTID=mod.given("FBBTRSTID");
  AdmsSensFadType modelPar_FBBTRGATD=mod.FBBTRGATD;
  bool modelPar_given_FBBTRGATD=mod.given("FBBTRGATD");
  AdmsSensFadType modelPar_STFBBTBOTD=mod.STFBBTBOTD;
  bool modelPar_given_STFBBTBOTD=mod.given("STFBBTBOTD");
  AdmsSensFadType modelPar_STFBBTSTID=mod.STFBBTSTID;
  bool modelPar_given_STFBBTSTID=mod.given("STFBBTSTID");
  AdmsSensFadType modelPar_STFBBTGATD=mod.STFBBTGATD;
  bool modelPar_given_STFBBTGATD=mod.given("STFBBTGATD");
  AdmsSensFadType modelPar_VBRBOTD=mod.VBRBOTD;
  bool modelPar_given_VBRBOTD=mod.given("VBRBOTD");
  AdmsSensFadType modelPar_VBRSTID=mod.VBRSTID;
  bool modelPar_given_VBRSTID=mod.given("VBRSTID");
  AdmsSensFadType modelPar_VBRGATD=mod.VBRGATD;
  bool modelPar_given_VBRGATD=mod.given("VBRGATD");
  AdmsSensFadType modelPar_PBRBOTD=mod.PBRBOTD;
  bool modelPar_given_PBRBOTD=mod.given("PBRBOTD");
  AdmsSensFadType modelPar_PBRSTID=mod.PBRSTID;
  bool modelPar_given_PBRSTID=mod.given("PBRSTID");
  AdmsSensFadType modelPar_PBRGATD=mod.PBRGATD;
  bool modelPar_given_PBRGATD=mod.given("PBRGATD");
  AdmsSensFadType modelPar_SWJUNEXP=mod.SWJUNEXP;
  bool modelPar_given_SWJUNEXP=mod.given("SWJUNEXP");
  AdmsSensFadType modelPar_VJUNREF=mod.VJUNREF;
  bool modelPar_given_VJUNREF=mod.given("VJUNREF");
  AdmsSensFadType modelPar_FJUNQ=mod.FJUNQ;
  bool modelPar_given_FJUNQ=mod.given("FJUNQ");
  AdmsSensFadType modelPar_VJUNREFD=mod.VJUNREFD;
  bool modelPar_given_VJUNREFD=mod.given("VJUNREFD");
  AdmsSensFadType modelPar_FJUNQD=mod.FJUNQD;
  bool modelPar_given_FJUNQD=mod.given("FJUNQD");
  AdmsSensFadType modelPar_DTA=mod.DTA;
  bool modelPar_given_DTA=mod.given("DTA");


  // hidden reals


  // non-reals (including hiddens)



  // Copy out all the instance parameters (doubles) into FAD types
  // Keep a map so we can set the right one to the independent variable
  // We do this solely to avoid a big ugly "if/else" block just to find the
  // one parameter we're doing sensitivities on.
  unordered_map <std::string,AdmsSensFadType*,HashNoCase,EqualNoCase> inParamMap;

  // reals
  AdmsSensFadType instancePar_L=in.L;
  bool instancePar_given_L=in.given("L");
  inParamMap["L"] = &instancePar_L;
  AdmsSensFadType instancePar_W=in.W;
  bool instancePar_given_W=in.given("W");
  inParamMap["W"] = &instancePar_W;
  AdmsSensFadType instancePar_SA=in.SA;
  bool instancePar_given_SA=in.given("SA");
  inParamMap["SA"] = &instancePar_SA;
  AdmsSensFadType instancePar_SB=in.SB;
  bool instancePar_given_SB=in.given("SB");
  inParamMap["SB"] = &instancePar_SB;
  AdmsSensFadType instancePar_SD=in.SD;
  bool instancePar_given_SD=in.given("SD");
  inParamMap["SD"] = &instancePar_SD;
  AdmsSensFadType instancePar_SCA=in.SCA;
  bool instancePar_given_SCA=in.given("SCA");
  inParamMap["SCA"] = &instancePar_SCA;
  AdmsSensFadType instancePar_SCB=in.SCB;
  bool instancePar_given_SCB=in.given("SCB");
  inParamMap["SCB"] = &instancePar_SCB;
  AdmsSensFadType instancePar_SCC=in.SCC;
  bool instancePar_given_SCC=in.given("SCC");
  inParamMap["SCC"] = &instancePar_SCC;
  AdmsSensFadType instancePar_SC=in.SC;
  bool instancePar_given_SC=in.given("SC");
  inParamMap["SC"] = &instancePar_SC;
  AdmsSensFadType instancePar_NF=in.NF;
  bool instancePar_given_NF=in.given("NF");
  inParamMap["NF"] = &instancePar_NF;
  AdmsSensFadType instancePar_NGCON=in.NGCON;
  bool instancePar_given_NGCON=in.given("NGCON");
  inParamMap["NGCON"] = &instancePar_NGCON;
  AdmsSensFadType instancePar_XGW=in.XGW;
  bool instancePar_given_XGW=in.given("XGW");
  inParamMap["XGW"] = &instancePar_XGW;
  AdmsSensFadType instancePar_NRS=in.NRS;
  bool instancePar_given_NRS=in.given("NRS");
  inParamMap["NRS"] = &instancePar_NRS;
  AdmsSensFadType instancePar_NRD=in.NRD;
  bool instancePar_given_NRD=in.given("NRD");
  inParamMap["NRD"] = &instancePar_NRD;
  AdmsSensFadType instancePar_JW=in.JW;
  bool instancePar_given_JW=in.given("JW");
  inParamMap["JW"] = &instancePar_JW;
  AdmsSensFadType instancePar_DELVTO=in.DELVTO;
  bool instancePar_given_DELVTO=in.given("DELVTO");
  inParamMap["DELVTO"] = &instancePar_DELVTO;
  AdmsSensFadType instancePar_FACTUO=in.FACTUO;
  bool instancePar_given_FACTUO=in.given("FACTUO");
  inParamMap["FACTUO"] = &instancePar_FACTUO;
  AdmsSensFadType instancePar_ABSOURCE=in.ABSOURCE;
  bool instancePar_given_ABSOURCE=in.given("ABSOURCE");
  inParamMap["ABSOURCE"] = &instancePar_ABSOURCE;
  AdmsSensFadType instancePar_LSSOURCE=in.LSSOURCE;
  bool instancePar_given_LSSOURCE=in.given("LSSOURCE");
  inParamMap["LSSOURCE"] = &instancePar_LSSOURCE;
  AdmsSensFadType instancePar_LGSOURCE=in.LGSOURCE;
  bool instancePar_given_LGSOURCE=in.given("LGSOURCE");
  inParamMap["LGSOURCE"] = &instancePar_LGSOURCE;
  AdmsSensFadType instancePar_ABDRAIN=in.ABDRAIN;
  bool instancePar_given_ABDRAIN=in.given("ABDRAIN");
  inParamMap["ABDRAIN"] = &instancePar_ABDRAIN;
  AdmsSensFadType instancePar_LSDRAIN=in.LSDRAIN;
  bool instancePar_given_LSDRAIN=in.given("LSDRAIN");
  inParamMap["LSDRAIN"] = &instancePar_LSDRAIN;
  AdmsSensFadType instancePar_LGDRAIN=in.LGDRAIN;
  bool instancePar_given_LGDRAIN=in.given("LGDRAIN");
  inParamMap["LGDRAIN"] = &instancePar_LGDRAIN;
  AdmsSensFadType instancePar_AS=in.AS;
  bool instancePar_given_AS=in.given("AS");
  inParamMap["AS"] = &instancePar_AS;
  AdmsSensFadType instancePar_PS=in.PS;
  bool instancePar_given_PS=in.given("PS");
  inParamMap["PS"] = &instancePar_PS;
  AdmsSensFadType instancePar_AD=in.AD;
  bool instancePar_given_AD=in.given("AD");
  inParamMap["AD"] = &instancePar_AD;
  AdmsSensFadType instancePar_PD=in.PD;
  bool instancePar_given_PD=in.given("PD");
  inParamMap["PD"] = &instancePar_PD;
  AdmsSensFadType instancePar_MULT=in.MULT;
  bool instancePar_given_MULT=in.given("MULT");
  inParamMap["MULT"] = &instancePar_MULT;


  // Copy all the real hidden instance params into fad types



  // Copy all the non-real instance params into vars of their appropriate type:


  // Set the one parameter whose name was passed in to be the independent
  // variable for Sacado purposes.  Since we stored variable pointers, this
  // makes sure that that ONE variable gets set right.
  // FIXME: make this check the name first, otherwise segfault on invalid name!
  inParamMap[name]->diff(0,1);

  //make local copies of all instance vars
  //reals
  AdmsSensFadType instanceVar_VFB_i=in.VFB_i;
  AdmsSensFadType instanceVar_GFACNUD_i=in.GFACNUD_i;
  AdmsSensFadType instanceVar_VNSUB_i=in.VNSUB_i;
  AdmsSensFadType instanceVar_NSLP_i=in.NSLP_i;
  AdmsSensFadType instanceVar_DNSUB_i=in.DNSUB_i;
  AdmsSensFadType instanceVar_CF_i=in.CF_i;
  AdmsSensFadType instanceVar_CFB_i=in.CFB_i;
  AdmsSensFadType instanceVar_MUE_i=in.MUE_i;
  AdmsSensFadType instanceVar_THEMU_i=in.THEMU_i;
  AdmsSensFadType instanceVar_CS_i=in.CS_i;
  AdmsSensFadType instanceVar_XCOR_i=in.XCOR_i;
  AdmsSensFadType instanceVar_THER_i=in.THER_i;
  AdmsSensFadType instanceVar_RSB_i=in.RSB_i;
  AdmsSensFadType instanceVar_RSG_i=in.RSG_i;
  AdmsSensFadType instanceVar_THESAT_i=in.THESAT_i;
  AdmsSensFadType instanceVar_THESATB_i=in.THESATB_i;
  AdmsSensFadType instanceVar_THESATG_i=in.THESATG_i;
  AdmsSensFadType instanceVar_AX_i=in.AX_i;
  AdmsSensFadType instanceVar_ALP_i=in.ALP_i;
  AdmsSensFadType instanceVar_ALP1_i=in.ALP1_i;
  AdmsSensFadType instanceVar_ALP2_i=in.ALP2_i;
  AdmsSensFadType instanceVar_A1_i=in.A1_i;
  AdmsSensFadType instanceVar_A2_i=in.A2_i;
  AdmsSensFadType instanceVar_A3_i=in.A3_i;
  AdmsSensFadType instanceVar_A4_i=in.A4_i;
  AdmsSensFadType instanceVar_IGINV_i=in.IGINV_i;
  AdmsSensFadType instanceVar_IGOV_i=in.IGOV_i;
  AdmsSensFadType instanceVar_IGOVD_i=in.IGOVD_i;
  AdmsSensFadType instanceVar_GC2_i=in.GC2_i;
  AdmsSensFadType instanceVar_GC3_i=in.GC3_i;
  AdmsSensFadType instanceVar_CHIB_i=in.CHIB_i;
  AdmsSensFadType instanceVar_AGIDL_i=in.AGIDL_i;
  AdmsSensFadType instanceVar_BGIDL_i=in.BGIDL_i;
  AdmsSensFadType instanceVar_CGIDL_i=in.CGIDL_i;
  AdmsSensFadType instanceVar_AGIDLD_i=in.AGIDLD_i;
  AdmsSensFadType instanceVar_BGIDLD_i=in.BGIDLD_i;
  AdmsSensFadType instanceVar_CGIDLD_i=in.CGIDLD_i;
  AdmsSensFadType instanceVar_COX_i=in.COX_i;
  AdmsSensFadType instanceVar_CGOV_i=in.CGOV_i;
  AdmsSensFadType instanceVar_CGOVD_i=in.CGOVD_i;
  AdmsSensFadType instanceVar_CGBOV_i=in.CGBOV_i;
  AdmsSensFadType instanceVar_CFR_i=in.CFR_i;
  AdmsSensFadType instanceVar_CFRD_i=in.CFRD_i;
  AdmsSensFadType instanceVar_MULT_i=in.MULT_i;
  AdmsSensFadType instanceVar_BET_i=in.BET_i;
  AdmsSensFadType instanceVar_kp=in.kp;
  AdmsSensFadType instanceVar_qq=in.qq;
  AdmsSensFadType instanceVar_qlim2=in.qlim2;
  AdmsSensFadType instanceVar_E_eff0=in.E_eff0;
  AdmsSensFadType instanceVar_eta_mu=in.eta_mu;
  AdmsSensFadType instanceVar_eta_mu1=in.eta_mu1;
  AdmsSensFadType instanceVar_BCH=in.BCH;
  AdmsSensFadType instanceVar_BOV=in.BOV;
  AdmsSensFadType instanceVar_inv_CHIB=in.inv_CHIB;
  AdmsSensFadType instanceVar_GCQ=in.GCQ;
  AdmsSensFadType instanceVar_Dch=in.Dch;
  AdmsSensFadType instanceVar_Dov=in.Dov;
  AdmsSensFadType instanceVar_x1=in.x1;
  AdmsSensFadType instanceVar_Vdsat_lim=in.Vdsat_lim;
  AdmsSensFadType instanceVar_GOV_s=in.GOV_s;
  AdmsSensFadType instanceVar_GOV_d=in.GOV_d;
  AdmsSensFadType instanceVar_GOV2_s=in.GOV2_s;
  AdmsSensFadType instanceVar_GOV2_d=in.GOV2_d;
  AdmsSensFadType instanceVar_BOV_d=in.BOV_d;
  AdmsSensFadType instanceVar_xi_ov_s=in.xi_ov_s;
  AdmsSensFadType instanceVar_xi_ov_d=in.xi_ov_d;
  AdmsSensFadType instanceVar_inv_xi_ov_s=in.inv_xi_ov_s;
  AdmsSensFadType instanceVar_inv_xi_ov_d=in.inv_xi_ov_d;
  AdmsSensFadType instanceVar_x_mrg_ov_s=in.x_mrg_ov_s;
  AdmsSensFadType instanceVar_x_mrg_ov_d=in.x_mrg_ov_d;
  AdmsSensFadType instanceVar_inv_xg1_s=in.inv_xg1_s;
  AdmsSensFadType instanceVar_inv_xg1_d=in.inv_xg1_d;
  AdmsSensFadType instanceVar_phit1=in.phit1;
  AdmsSensFadType instanceVar_inv_phit1=in.inv_phit1;
  AdmsSensFadType instanceVar_alpha_b=in.alpha_b;
  AdmsSensFadType instanceVar_inv_VP=in.inv_VP;
  AdmsSensFadType instanceVar_inv_AX=in.inv_AX;
  AdmsSensFadType instanceVar_us1=in.us1;
  AdmsSensFadType instanceVar_us21=in.us21;
  AdmsSensFadType instanceVar_phib_dc=in.phib_dc;
  AdmsSensFadType instanceVar_sqrt_phib_dc=in.sqrt_phib_dc;
  AdmsSensFadType instanceVar_G_0_dc=in.G_0_dc;
  AdmsSensFadType instanceVar_aphi_dc=in.aphi_dc;
  AdmsSensFadType instanceVar_bphi_dc=in.bphi_dc;
  AdmsSensFadType instanceVar_phix_dc=in.phix_dc;
  AdmsSensFadType instanceVar_phix1_dc=in.phix1_dc;
  AdmsSensFadType instanceVar_phib_ac=in.phib_ac;
  AdmsSensFadType instanceVar_sqrt_phib_ac=in.sqrt_phib_ac;
  AdmsSensFadType instanceVar_G_0_ac=in.G_0_ac;
  AdmsSensFadType instanceVar_aphi_ac=in.aphi_ac;
  AdmsSensFadType instanceVar_bphi_ac=in.bphi_ac;
  AdmsSensFadType instanceVar_phix_ac=in.phix_ac;
  AdmsSensFadType instanceVar_phix1_ac=in.phix1_ac;
  AdmsSensFadType instanceVar_RG_i=in.RG_i;
  AdmsSensFadType instanceVar_RSE_i=in.RSE_i;
  AdmsSensFadType instanceVar_RDE_i=in.RDE_i;
  AdmsSensFadType instanceVar_RBULK_i=in.RBULK_i;
  AdmsSensFadType instanceVar_RWELL_i=in.RWELL_i;
  AdmsSensFadType instanceVar_RJUNS_i=in.RJUNS_i;
  AdmsSensFadType instanceVar_RJUND_i=in.RJUND_i;
  AdmsSensFadType instanceVar_ggate=in.ggate;
  AdmsSensFadType instanceVar_gsource=in.gsource;
  AdmsSensFadType instanceVar_gdrain=in.gdrain;
  AdmsSensFadType instanceVar_gbulk=in.gbulk;
  AdmsSensFadType instanceVar_gwell=in.gwell;
  AdmsSensFadType instanceVar_gjund=in.gjund;
  AdmsSensFadType instanceVar_gjuns=in.gjuns;
  AdmsSensFadType instanceVar_tmpv=in.tmpv;
  AdmsSensFadType instanceVar_vjv=in.vjv;
  AdmsSensFadType instanceVar_idmult=in.idmult;
  AdmsSensFadType instanceVar_vj=in.vj;
  AdmsSensFadType instanceVar_zinv=in.zinv;
  AdmsSensFadType instanceVar_vjsrh=in.vjsrh;
  AdmsSensFadType instanceVar_vav=in.vav;
  AdmsSensFadType instanceVar_vbi_minus_vjsrh=in.vbi_minus_vjsrh;
  AdmsSensFadType instanceVar_wsrh=in.wsrh;
  AdmsSensFadType instanceVar_wdep=in.wdep;
  AdmsSensFadType instanceVar_asrh=in.asrh;
  AdmsSensFadType instanceVar_ABSOURCE_i=in.ABSOURCE_i;
  AdmsSensFadType instanceVar_LSSOURCE_i=in.LSSOURCE_i;
  AdmsSensFadType instanceVar_LGSOURCE_i=in.LGSOURCE_i;
  AdmsSensFadType instanceVar_zflagbot_s=in.zflagbot_s;
  AdmsSensFadType instanceVar_zflagsti_s=in.zflagsti_s;
  AdmsSensFadType instanceVar_zflaggat_s=in.zflaggat_s;
  AdmsSensFadType instanceVar_VMAX_s=in.VMAX_s;
  AdmsSensFadType instanceVar_exp_VMAX_over_phitd_s=in.exp_VMAX_over_phitd_s;
  AdmsSensFadType instanceVar_vbimin_s=in.vbimin_s;
  AdmsSensFadType instanceVar_vch_s=in.vch_s;
  AdmsSensFadType instanceVar_vfmin_s=in.vfmin_s;
  AdmsSensFadType instanceVar_vbbtlim_s=in.vbbtlim_s;
  AdmsSensFadType instanceVar_ijunbot_s=in.ijunbot_s;
  AdmsSensFadType instanceVar_qjunbot_s=in.qjunbot_s;
  AdmsSensFadType instanceVar_ijunsti_s=in.ijunsti_s;
  AdmsSensFadType instanceVar_qjunsti_s=in.qjunsti_s;
  AdmsSensFadType instanceVar_ijungat_s=in.ijungat_s;
  AdmsSensFadType instanceVar_qjungat_s=in.qjungat_s;
  AdmsSensFadType instanceVar_ijun_s=in.ijun_s;
  AdmsSensFadType instanceVar_qjun_s=in.qjun_s;
  AdmsSensFadType instanceVar_xhighf1_s=in.xhighf1_s;
  AdmsSensFadType instanceVar_expxhf1_s=in.expxhf1_s;
  AdmsSensFadType instanceVar_xhighf2_s=in.xhighf2_s;
  AdmsSensFadType instanceVar_expxhf2_s=in.expxhf2_s;
  AdmsSensFadType instanceVar_xhighr_s=in.xhighr_s;
  AdmsSensFadType instanceVar_expxhr_s=in.expxhr_s;
  AdmsSensFadType instanceVar_m0flag_s=in.m0flag_s;
  AdmsSensFadType instanceVar_ISATFOR1_s=in.ISATFOR1_s;
  AdmsSensFadType instanceVar_MFOR1_s=in.MFOR1_s;
  AdmsSensFadType instanceVar_ISATFOR2_s=in.ISATFOR2_s;
  AdmsSensFadType instanceVar_MFOR2_s=in.MFOR2_s;
  AdmsSensFadType instanceVar_ISATREV_s=in.ISATREV_s;
  AdmsSensFadType instanceVar_MREV_s=in.MREV_s;
  AdmsSensFadType instanceVar_ABDRAIN_i=in.ABDRAIN_i;
  AdmsSensFadType instanceVar_LSDRAIN_i=in.LSDRAIN_i;
  AdmsSensFadType instanceVar_LGDRAIN_i=in.LGDRAIN_i;
  AdmsSensFadType instanceVar_zflagbot_d=in.zflagbot_d;
  AdmsSensFadType instanceVar_zflagsti_d=in.zflagsti_d;
  AdmsSensFadType instanceVar_zflaggat_d=in.zflaggat_d;
  AdmsSensFadType instanceVar_VMAX_d=in.VMAX_d;
  AdmsSensFadType instanceVar_exp_VMAX_over_phitd_d=in.exp_VMAX_over_phitd_d;
  AdmsSensFadType instanceVar_vbimin_d=in.vbimin_d;
  AdmsSensFadType instanceVar_vch_d=in.vch_d;
  AdmsSensFadType instanceVar_vfmin_d=in.vfmin_d;
  AdmsSensFadType instanceVar_vbbtlim_d=in.vbbtlim_d;
  AdmsSensFadType instanceVar_ijunbot_d=in.ijunbot_d;
  AdmsSensFadType instanceVar_qjunbot_d=in.qjunbot_d;
  AdmsSensFadType instanceVar_ijunsti_d=in.ijunsti_d;
  AdmsSensFadType instanceVar_qjunsti_d=in.qjunsti_d;
  AdmsSensFadType instanceVar_ijungat_d=in.ijungat_d;
  AdmsSensFadType instanceVar_qjungat_d=in.qjungat_d;
  AdmsSensFadType instanceVar_ijun_d=in.ijun_d;
  AdmsSensFadType instanceVar_qjun_d=in.qjun_d;
  AdmsSensFadType instanceVar_xhighf1_d=in.xhighf1_d;
  AdmsSensFadType instanceVar_expxhf1_d=in.expxhf1_d;
  AdmsSensFadType instanceVar_xhighf2_d=in.xhighf2_d;
  AdmsSensFadType instanceVar_expxhf2_d=in.expxhf2_d;
  AdmsSensFadType instanceVar_xhighr_d=in.xhighr_d;
  AdmsSensFadType instanceVar_expxhr_d=in.expxhr_d;
  AdmsSensFadType instanceVar_m0flag_d=in.m0flag_d;
  AdmsSensFadType instanceVar_ISATFOR1_d=in.ISATFOR1_d;
  AdmsSensFadType instanceVar_MFOR1_d=in.MFOR1_d;
  AdmsSensFadType instanceVar_ISATFOR2_d=in.ISATFOR2_d;
  AdmsSensFadType instanceVar_MFOR2_d=in.MFOR2_d;
  AdmsSensFadType instanceVar_ISATREV_d=in.ISATREV_d;
  AdmsSensFadType instanceVar_MREV_d=in.MREV_d;


  //non-reals


  //make local copies of all model vars
  //reals
  AdmsSensFadType modelVar_NSUBO_i=mod.NSUBO_i;
  AdmsSensFadType modelVar_WSEG_i=mod.WSEG_i;
  AdmsSensFadType modelVar_NPCK_i=mod.NPCK_i;
  AdmsSensFadType modelVar_WSEGP_i=mod.WSEGP_i;
  AdmsSensFadType modelVar_LPCK_i=mod.LPCK_i;
  AdmsSensFadType modelVar_LOV_i=mod.LOV_i;
  AdmsSensFadType modelVar_LOVD_i=mod.LOVD_i;
  AdmsSensFadType modelVar_LP1_i=mod.LP1_i;
  AdmsSensFadType modelVar_LP2_i=mod.LP2_i;
  AdmsSensFadType modelVar_WBET_i=mod.WBET_i;
  AdmsSensFadType modelVar_AXL_i=mod.AXL_i;
  AdmsSensFadType modelVar_ALP1L2_i=mod.ALP1L2_i;
  AdmsSensFadType modelVar_ALP2L2_i=mod.ALP2L2_i;
  AdmsSensFadType modelVar_TOXO_i=mod.TOXO_i;
  AdmsSensFadType modelVar_TOXOVO_i=mod.TOXOVO_i;
  AdmsSensFadType modelVar_TOXOVDO_i=mod.TOXOVDO_i;
  AdmsSensFadType modelVar_EPSROXO_i=mod.EPSROXO_i;
  AdmsSensFadType modelVar_RINT_i=mod.RINT_i;
  AdmsSensFadType modelVar_RVPOLY_i=mod.RVPOLY_i;
  AdmsSensFadType modelVar_RSHG_i=mod.RSHG_i;
  AdmsSensFadType modelVar_RSH_i=mod.RSH_i;
  AdmsSensFadType modelVar_RSHD_i=mod.RSHD_i;
  AdmsSensFadType modelVar_SAREF_i=mod.SAREF_i;
  AdmsSensFadType modelVar_SBREF_i=mod.SBREF_i;
  AdmsSensFadType modelVar_KVSAT_i=mod.KVSAT_i;
  AdmsSensFadType modelVar_LLODKUO_i=mod.LLODKUO_i;
  AdmsSensFadType modelVar_WLODKUO_i=mod.WLODKUO_i;
  AdmsSensFadType modelVar_LLODVTH_i=mod.LLODVTH_i;
  AdmsSensFadType modelVar_WLODVTH_i=mod.WLODVTH_i;
  AdmsSensFadType modelVar_LODETAO_i=mod.LODETAO_i;
  AdmsSensFadType modelVar_SCREF_i=mod.SCREF_i;
  AdmsSensFadType modelVar_WEB_i=mod.WEB_i;
  AdmsSensFadType modelVar_WEC_i=mod.WEC_i;
  AdmsSensFadType modelVar_QMC_i=mod.QMC_i;
  AdmsSensFadType modelVar_TKD=mod.TKD;
  AdmsSensFadType modelVar_dT=mod.dT;
  AdmsSensFadType modelVar_rT=mod.rT;
  AdmsSensFadType modelVar_rTn=mod.rTn;
  AdmsSensFadType modelVar_EPSSI=mod.EPSSI;
  AdmsSensFadType modelVar_phit=mod.phit;
  AdmsSensFadType modelVar_inv_phit=mod.inv_phit;
  AdmsSensFadType modelVar_Eg=mod.Eg;
  AdmsSensFadType modelVar_phibFac=mod.phibFac;
  AdmsSensFadType modelVar_nt0=mod.nt0;
  AdmsSensFadType modelVar_IMAX_i=mod.IMAX_i;
  AdmsSensFadType modelVar_CJORBOT_i=mod.CJORBOT_i;
  AdmsSensFadType modelVar_CJORSTI_i=mod.CJORSTI_i;
  AdmsSensFadType modelVar_CJORGAT_i=mod.CJORGAT_i;
  AdmsSensFadType modelVar_VBIRBOT_i=mod.VBIRBOT_i;
  AdmsSensFadType modelVar_VBIRSTI_i=mod.VBIRSTI_i;
  AdmsSensFadType modelVar_VBIRGAT_i=mod.VBIRGAT_i;
  AdmsSensFadType modelVar_PBOT_i=mod.PBOT_i;
  AdmsSensFadType modelVar_PSTI_i=mod.PSTI_i;
  AdmsSensFadType modelVar_PGAT_i=mod.PGAT_i;
  AdmsSensFadType modelVar_PHIGBOT_i=mod.PHIGBOT_i;
  AdmsSensFadType modelVar_PHIGSTI_i=mod.PHIGSTI_i;
  AdmsSensFadType modelVar_PHIGGAT_i=mod.PHIGGAT_i;
  AdmsSensFadType modelVar_IDSATRBOT_i=mod.IDSATRBOT_i;
  AdmsSensFadType modelVar_IDSATRSTI_i=mod.IDSATRSTI_i;
  AdmsSensFadType modelVar_IDSATRGAT_i=mod.IDSATRGAT_i;
  AdmsSensFadType modelVar_XJUNSTI_i=mod.XJUNSTI_i;
  AdmsSensFadType modelVar_XJUNGAT_i=mod.XJUNGAT_i;
  AdmsSensFadType modelVar_CSRHBOT_i=mod.CSRHBOT_i;
  AdmsSensFadType modelVar_CSRHSTI_i=mod.CSRHSTI_i;
  AdmsSensFadType modelVar_CSRHGAT_i=mod.CSRHGAT_i;
  AdmsSensFadType modelVar_CTATBOT_i=mod.CTATBOT_i;
  AdmsSensFadType modelVar_CTATSTI_i=mod.CTATSTI_i;
  AdmsSensFadType modelVar_CTATGAT_i=mod.CTATGAT_i;
  AdmsSensFadType modelVar_MEFFTATBOT_i=mod.MEFFTATBOT_i;
  AdmsSensFadType modelVar_MEFFTATSTI_i=mod.MEFFTATSTI_i;
  AdmsSensFadType modelVar_MEFFTATGAT_i=mod.MEFFTATGAT_i;
  AdmsSensFadType modelVar_CBBTBOT_i=mod.CBBTBOT_i;
  AdmsSensFadType modelVar_CBBTSTI_i=mod.CBBTSTI_i;
  AdmsSensFadType modelVar_CBBTGAT_i=mod.CBBTGAT_i;
  AdmsSensFadType modelVar_FBBTRBOT_i=mod.FBBTRBOT_i;
  AdmsSensFadType modelVar_FBBTRSTI_i=mod.FBBTRSTI_i;
  AdmsSensFadType modelVar_FBBTRGAT_i=mod.FBBTRGAT_i;
  AdmsSensFadType modelVar_STFBBTBOT_i=mod.STFBBTBOT_i;
  AdmsSensFadType modelVar_STFBBTSTI_i=mod.STFBBTSTI_i;
  AdmsSensFadType modelVar_STFBBTGAT_i=mod.STFBBTGAT_i;
  AdmsSensFadType modelVar_VBRBOT_i=mod.VBRBOT_i;
  AdmsSensFadType modelVar_VBRSTI_i=mod.VBRSTI_i;
  AdmsSensFadType modelVar_VBRGAT_i=mod.VBRGAT_i;
  AdmsSensFadType modelVar_PBRBOT_i=mod.PBRBOT_i;
  AdmsSensFadType modelVar_PBRSTI_i=mod.PBRSTI_i;
  AdmsSensFadType modelVar_PBRGAT_i=mod.PBRGAT_i;
  AdmsSensFadType modelVar_SWJUNEXP_i=mod.SWJUNEXP_i;
  AdmsSensFadType modelVar_VJUNREF_i=mod.VJUNREF_i;
  AdmsSensFadType modelVar_FJUNQ_i=mod.FJUNQ_i;
  AdmsSensFadType modelVar_phitr=mod.phitr;
  AdmsSensFadType modelVar_phitd=mod.phitd;
  AdmsSensFadType modelVar_phitdinv=mod.phitdinv;
  AdmsSensFadType modelVar_perfc=mod.perfc;
  AdmsSensFadType modelVar_berfc=mod.berfc;
  AdmsSensFadType modelVar_cerfc=mod.cerfc;
  AdmsSensFadType modelVar_phigrbot=mod.phigrbot;
  AdmsSensFadType modelVar_phigrsti=mod.phigrsti;
  AdmsSensFadType modelVar_phigrgat=mod.phigrgat;
  AdmsSensFadType modelVar_phigdbot=mod.phigdbot;
  AdmsSensFadType modelVar_phigdsti=mod.phigdsti;
  AdmsSensFadType modelVar_phigdgat=mod.phigdgat;
  AdmsSensFadType modelVar_ftdbot=mod.ftdbot;
  AdmsSensFadType modelVar_ftdsti=mod.ftdsti;
  AdmsSensFadType modelVar_ftdgat=mod.ftdgat;
  AdmsSensFadType modelVar_idsatbot=mod.idsatbot;
  AdmsSensFadType modelVar_idsatsti=mod.idsatsti;
  AdmsSensFadType modelVar_idsatgat=mod.idsatgat;
  AdmsSensFadType modelVar_ubibot=mod.ubibot;
  AdmsSensFadType modelVar_ubisti=mod.ubisti;
  AdmsSensFadType modelVar_ubigat=mod.ubigat;
  AdmsSensFadType modelVar_vbibot=mod.vbibot;
  AdmsSensFadType modelVar_vbisti=mod.vbisti;
  AdmsSensFadType modelVar_vbigat=mod.vbigat;
  AdmsSensFadType modelVar_vbiinvbot=mod.vbiinvbot;
  AdmsSensFadType modelVar_vbiinvsti=mod.vbiinvsti;
  AdmsSensFadType modelVar_vbiinvgat=mod.vbiinvgat;
  AdmsSensFadType modelVar_one_minus_PBOT=mod.one_minus_PBOT;
  AdmsSensFadType modelVar_one_minus_PSTI=mod.one_minus_PSTI;
  AdmsSensFadType modelVar_one_minus_PGAT=mod.one_minus_PGAT;
  AdmsSensFadType modelVar_one_over_one_minus_PBOT=mod.one_over_one_minus_PBOT;
  AdmsSensFadType modelVar_one_over_one_minus_PSTI=mod.one_over_one_minus_PSTI;
  AdmsSensFadType modelVar_one_over_one_minus_PGAT=mod.one_over_one_minus_PGAT;
  AdmsSensFadType modelVar_cjobot=mod.cjobot;
  AdmsSensFadType modelVar_cjosti=mod.cjosti;
  AdmsSensFadType modelVar_cjogat=mod.cjogat;
  AdmsSensFadType modelVar_qprefbot=mod.qprefbot;
  AdmsSensFadType modelVar_qprefsti=mod.qprefsti;
  AdmsSensFadType modelVar_qprefgat=mod.qprefgat;
  AdmsSensFadType modelVar_qpref2bot=mod.qpref2bot;
  AdmsSensFadType modelVar_qpref2sti=mod.qpref2sti;
  AdmsSensFadType modelVar_qpref2gat=mod.qpref2gat;
  AdmsSensFadType modelVar_wdepnulrbot=mod.wdepnulrbot;
  AdmsSensFadType modelVar_wdepnulrsti=mod.wdepnulrsti;
  AdmsSensFadType modelVar_wdepnulrgat=mod.wdepnulrgat;
  AdmsSensFadType modelVar_wdepnulrinvbot=mod.wdepnulrinvbot;
  AdmsSensFadType modelVar_wdepnulrinvsti=mod.wdepnulrinvsti;
  AdmsSensFadType modelVar_wdepnulrinvgat=mod.wdepnulrinvgat;
  AdmsSensFadType modelVar_VBIRBOTinv=mod.VBIRBOTinv;
  AdmsSensFadType modelVar_VBIRSTIinv=mod.VBIRSTIinv;
  AdmsSensFadType modelVar_VBIRGATinv=mod.VBIRGATinv;
  AdmsSensFadType modelVar_deltaEbot=mod.deltaEbot;
  AdmsSensFadType modelVar_deltaEsti=mod.deltaEsti;
  AdmsSensFadType modelVar_deltaEgat=mod.deltaEgat;
  AdmsSensFadType modelVar_atatbot=mod.atatbot;
  AdmsSensFadType modelVar_atatsti=mod.atatsti;
  AdmsSensFadType modelVar_atatgat=mod.atatgat;
  AdmsSensFadType modelVar_btatpartbot=mod.btatpartbot;
  AdmsSensFadType modelVar_btatpartsti=mod.btatpartsti;
  AdmsSensFadType modelVar_btatpartgat=mod.btatpartgat;
  AdmsSensFadType modelVar_fbbtbot=mod.fbbtbot;
  AdmsSensFadType modelVar_fbbtsti=mod.fbbtsti;
  AdmsSensFadType modelVar_fbbtgat=mod.fbbtgat;
  AdmsSensFadType modelVar_fstopbot=mod.fstopbot;
  AdmsSensFadType modelVar_fstopsti=mod.fstopsti;
  AdmsSensFadType modelVar_fstopgat=mod.fstopgat;
  AdmsSensFadType modelVar_VBRinvbot=mod.VBRinvbot;
  AdmsSensFadType modelVar_VBRinvsti=mod.VBRinvsti;
  AdmsSensFadType modelVar_VBRinvgat=mod.VBRinvgat;
  AdmsSensFadType modelVar_slopebot=mod.slopebot;
  AdmsSensFadType modelVar_slopesti=mod.slopesti;
  AdmsSensFadType modelVar_slopegat=mod.slopegat;
  AdmsSensFadType modelVar_CJORBOTS_i=mod.CJORBOTS_i;
  AdmsSensFadType modelVar_CJORSTIS_i=mod.CJORSTIS_i;
  AdmsSensFadType modelVar_CJORGATS_i=mod.CJORGATS_i;
  AdmsSensFadType modelVar_VBIRBOTS_i=mod.VBIRBOTS_i;
  AdmsSensFadType modelVar_VBIRSTIS_i=mod.VBIRSTIS_i;
  AdmsSensFadType modelVar_VBIRGATS_i=mod.VBIRGATS_i;
  AdmsSensFadType modelVar_PBOTS_i=mod.PBOTS_i;
  AdmsSensFadType modelVar_PSTIS_i=mod.PSTIS_i;
  AdmsSensFadType modelVar_PGATS_i=mod.PGATS_i;
  AdmsSensFadType modelVar_PHIGBOTS_i=mod.PHIGBOTS_i;
  AdmsSensFadType modelVar_PHIGSTIS_i=mod.PHIGSTIS_i;
  AdmsSensFadType modelVar_PHIGGATS_i=mod.PHIGGATS_i;
  AdmsSensFadType modelVar_IDSATRBOTS_i=mod.IDSATRBOTS_i;
  AdmsSensFadType modelVar_IDSATRSTIS_i=mod.IDSATRSTIS_i;
  AdmsSensFadType modelVar_IDSATRGATS_i=mod.IDSATRGATS_i;
  AdmsSensFadType modelVar_XJUNSTIS_i=mod.XJUNSTIS_i;
  AdmsSensFadType modelVar_XJUNGATS_i=mod.XJUNGATS_i;
  AdmsSensFadType modelVar_CSRHBOTS_i=mod.CSRHBOTS_i;
  AdmsSensFadType modelVar_CSRHSTIS_i=mod.CSRHSTIS_i;
  AdmsSensFadType modelVar_CSRHGATS_i=mod.CSRHGATS_i;
  AdmsSensFadType modelVar_CTATBOTS_i=mod.CTATBOTS_i;
  AdmsSensFadType modelVar_CTATSTIS_i=mod.CTATSTIS_i;
  AdmsSensFadType modelVar_CTATGATS_i=mod.CTATGATS_i;
  AdmsSensFadType modelVar_MEFFTATBOTS_i=mod.MEFFTATBOTS_i;
  AdmsSensFadType modelVar_MEFFTATSTIS_i=mod.MEFFTATSTIS_i;
  AdmsSensFadType modelVar_MEFFTATGATS_i=mod.MEFFTATGATS_i;
  AdmsSensFadType modelVar_CBBTBOTS_i=mod.CBBTBOTS_i;
  AdmsSensFadType modelVar_CBBTSTIS_i=mod.CBBTSTIS_i;
  AdmsSensFadType modelVar_CBBTGATS_i=mod.CBBTGATS_i;
  AdmsSensFadType modelVar_FBBTRBOTS_i=mod.FBBTRBOTS_i;
  AdmsSensFadType modelVar_FBBTRSTIS_i=mod.FBBTRSTIS_i;
  AdmsSensFadType modelVar_FBBTRGATS_i=mod.FBBTRGATS_i;
  AdmsSensFadType modelVar_STFBBTBOTS_i=mod.STFBBTBOTS_i;
  AdmsSensFadType modelVar_STFBBTSTIS_i=mod.STFBBTSTIS_i;
  AdmsSensFadType modelVar_STFBBTGATS_i=mod.STFBBTGATS_i;
  AdmsSensFadType modelVar_VBRBOTS_i=mod.VBRBOTS_i;
  AdmsSensFadType modelVar_VBRSTIS_i=mod.VBRSTIS_i;
  AdmsSensFadType modelVar_VBRGATS_i=mod.VBRGATS_i;
  AdmsSensFadType modelVar_PBRBOTS_i=mod.PBRBOTS_i;
  AdmsSensFadType modelVar_PBRSTIS_i=mod.PBRSTIS_i;
  AdmsSensFadType modelVar_PBRGATS_i=mod.PBRGATS_i;
  AdmsSensFadType modelVar_CJORBOTD_i=mod.CJORBOTD_i;
  AdmsSensFadType modelVar_CJORSTID_i=mod.CJORSTID_i;
  AdmsSensFadType modelVar_CJORGATD_i=mod.CJORGATD_i;
  AdmsSensFadType modelVar_VBIRBOTD_i=mod.VBIRBOTD_i;
  AdmsSensFadType modelVar_VBIRSTID_i=mod.VBIRSTID_i;
  AdmsSensFadType modelVar_VBIRGATD_i=mod.VBIRGATD_i;
  AdmsSensFadType modelVar_PBOTD_i=mod.PBOTD_i;
  AdmsSensFadType modelVar_PSTID_i=mod.PSTID_i;
  AdmsSensFadType modelVar_PGATD_i=mod.PGATD_i;
  AdmsSensFadType modelVar_PHIGBOTD_i=mod.PHIGBOTD_i;
  AdmsSensFadType modelVar_PHIGSTID_i=mod.PHIGSTID_i;
  AdmsSensFadType modelVar_PHIGGATD_i=mod.PHIGGATD_i;
  AdmsSensFadType modelVar_IDSATRBOTD_i=mod.IDSATRBOTD_i;
  AdmsSensFadType modelVar_IDSATRSTID_i=mod.IDSATRSTID_i;
  AdmsSensFadType modelVar_IDSATRGATD_i=mod.IDSATRGATD_i;
  AdmsSensFadType modelVar_XJUNSTID_i=mod.XJUNSTID_i;
  AdmsSensFadType modelVar_XJUNGATD_i=mod.XJUNGATD_i;
  AdmsSensFadType modelVar_CSRHBOTD_i=mod.CSRHBOTD_i;
  AdmsSensFadType modelVar_CSRHSTID_i=mod.CSRHSTID_i;
  AdmsSensFadType modelVar_CSRHGATD_i=mod.CSRHGATD_i;
  AdmsSensFadType modelVar_CTATBOTD_i=mod.CTATBOTD_i;
  AdmsSensFadType modelVar_CTATSTID_i=mod.CTATSTID_i;
  AdmsSensFadType modelVar_CTATGATD_i=mod.CTATGATD_i;
  AdmsSensFadType modelVar_MEFFTATBOTD_i=mod.MEFFTATBOTD_i;
  AdmsSensFadType modelVar_MEFFTATSTID_i=mod.MEFFTATSTID_i;
  AdmsSensFadType modelVar_MEFFTATGATD_i=mod.MEFFTATGATD_i;
  AdmsSensFadType modelVar_CBBTBOTD_i=mod.CBBTBOTD_i;
  AdmsSensFadType modelVar_CBBTSTID_i=mod.CBBTSTID_i;
  AdmsSensFadType modelVar_CBBTGATD_i=mod.CBBTGATD_i;
  AdmsSensFadType modelVar_FBBTRBOTD_i=mod.FBBTRBOTD_i;
  AdmsSensFadType modelVar_FBBTRSTID_i=mod.FBBTRSTID_i;
  AdmsSensFadType modelVar_FBBTRGATD_i=mod.FBBTRGATD_i;
  AdmsSensFadType modelVar_STFBBTBOTD_i=mod.STFBBTBOTD_i;
  AdmsSensFadType modelVar_STFBBTSTID_i=mod.STFBBTSTID_i;
  AdmsSensFadType modelVar_STFBBTGATD_i=mod.STFBBTGATD_i;
  AdmsSensFadType modelVar_VBRBOTD_i=mod.VBRBOTD_i;
  AdmsSensFadType modelVar_VBRSTID_i=mod.VBRSTID_i;
  AdmsSensFadType modelVar_VBRGATD_i=mod.VBRGATD_i;
  AdmsSensFadType modelVar_PBRBOTD_i=mod.PBRBOTD_i;
  AdmsSensFadType modelVar_PBRSTID_i=mod.PBRSTID_i;
  AdmsSensFadType modelVar_PBRGATD_i=mod.PBRGATD_i;
  AdmsSensFadType modelVar_VJUNREFS_i=mod.VJUNREFS_i;
  AdmsSensFadType modelVar_FJUNQS_i=mod.FJUNQS_i;
  AdmsSensFadType modelVar_VJUNREFD_i=mod.VJUNREFD_i;
  AdmsSensFadType modelVar_FJUNQD_i=mod.FJUNQD_i;
  AdmsSensFadType modelVar_phigrbot_s=mod.phigrbot_s;
  AdmsSensFadType modelVar_phigrsti_s=mod.phigrsti_s;
  AdmsSensFadType modelVar_phigrgat_s=mod.phigrgat_s;
  AdmsSensFadType modelVar_phigdbot_s=mod.phigdbot_s;
  AdmsSensFadType modelVar_phigdsti_s=mod.phigdsti_s;
  AdmsSensFadType modelVar_phigdgat_s=mod.phigdgat_s;
  AdmsSensFadType modelVar_ftdbot_s=mod.ftdbot_s;
  AdmsSensFadType modelVar_ftdsti_s=mod.ftdsti_s;
  AdmsSensFadType modelVar_ftdgat_s=mod.ftdgat_s;
  AdmsSensFadType modelVar_idsatbot_s=mod.idsatbot_s;
  AdmsSensFadType modelVar_idsatsti_s=mod.idsatsti_s;
  AdmsSensFadType modelVar_idsatgat_s=mod.idsatgat_s;
  AdmsSensFadType modelVar_ubibot_s=mod.ubibot_s;
  AdmsSensFadType modelVar_ubisti_s=mod.ubisti_s;
  AdmsSensFadType modelVar_ubigat_s=mod.ubigat_s;
  AdmsSensFadType modelVar_vbibot_s=mod.vbibot_s;
  AdmsSensFadType modelVar_vbisti_s=mod.vbisti_s;
  AdmsSensFadType modelVar_vbigat_s=mod.vbigat_s;
  AdmsSensFadType modelVar_vbiinvbot_s=mod.vbiinvbot_s;
  AdmsSensFadType modelVar_vbiinvsti_s=mod.vbiinvsti_s;
  AdmsSensFadType modelVar_vbiinvgat_s=mod.vbiinvgat_s;
  AdmsSensFadType modelVar_one_minus_PBOT_s=mod.one_minus_PBOT_s;
  AdmsSensFadType modelVar_one_minus_PSTI_s=mod.one_minus_PSTI_s;
  AdmsSensFadType modelVar_one_minus_PGAT_s=mod.one_minus_PGAT_s;
  AdmsSensFadType modelVar_one_over_one_minus_PBOT_s=mod.one_over_one_minus_PBOT_s;
  AdmsSensFadType modelVar_one_over_one_minus_PSTI_s=mod.one_over_one_minus_PSTI_s;
  AdmsSensFadType modelVar_one_over_one_minus_PGAT_s=mod.one_over_one_minus_PGAT_s;
  AdmsSensFadType modelVar_cjobot_s=mod.cjobot_s;
  AdmsSensFadType modelVar_cjosti_s=mod.cjosti_s;
  AdmsSensFadType modelVar_cjogat_s=mod.cjogat_s;
  AdmsSensFadType modelVar_qprefbot_s=mod.qprefbot_s;
  AdmsSensFadType modelVar_qprefsti_s=mod.qprefsti_s;
  AdmsSensFadType modelVar_qprefgat_s=mod.qprefgat_s;
  AdmsSensFadType modelVar_qpref2bot_s=mod.qpref2bot_s;
  AdmsSensFadType modelVar_qpref2sti_s=mod.qpref2sti_s;
  AdmsSensFadType modelVar_qpref2gat_s=mod.qpref2gat_s;
  AdmsSensFadType modelVar_wdepnulrbot_s=mod.wdepnulrbot_s;
  AdmsSensFadType modelVar_wdepnulrsti_s=mod.wdepnulrsti_s;
  AdmsSensFadType modelVar_wdepnulrgat_s=mod.wdepnulrgat_s;
  AdmsSensFadType modelVar_wdepnulrinvbot_s=mod.wdepnulrinvbot_s;
  AdmsSensFadType modelVar_wdepnulrinvsti_s=mod.wdepnulrinvsti_s;
  AdmsSensFadType modelVar_wdepnulrinvgat_s=mod.wdepnulrinvgat_s;
  AdmsSensFadType modelVar_VBIRBOTinv_s=mod.VBIRBOTinv_s;
  AdmsSensFadType modelVar_VBIRSTIinv_s=mod.VBIRSTIinv_s;
  AdmsSensFadType modelVar_VBIRGATinv_s=mod.VBIRGATinv_s;
  AdmsSensFadType modelVar_deltaEbot_s=mod.deltaEbot_s;
  AdmsSensFadType modelVar_deltaEsti_s=mod.deltaEsti_s;
  AdmsSensFadType modelVar_deltaEgat_s=mod.deltaEgat_s;
  AdmsSensFadType modelVar_atatbot_s=mod.atatbot_s;
  AdmsSensFadType modelVar_atatsti_s=mod.atatsti_s;
  AdmsSensFadType modelVar_atatgat_s=mod.atatgat_s;
  AdmsSensFadType modelVar_btatpartbot_s=mod.btatpartbot_s;
  AdmsSensFadType modelVar_btatpartsti_s=mod.btatpartsti_s;
  AdmsSensFadType modelVar_btatpartgat_s=mod.btatpartgat_s;
  AdmsSensFadType modelVar_fbbtbot_s=mod.fbbtbot_s;
  AdmsSensFadType modelVar_fbbtsti_s=mod.fbbtsti_s;
  AdmsSensFadType modelVar_fbbtgat_s=mod.fbbtgat_s;
  AdmsSensFadType modelVar_fstopbot_s=mod.fstopbot_s;
  AdmsSensFadType modelVar_fstopsti_s=mod.fstopsti_s;
  AdmsSensFadType modelVar_fstopgat_s=mod.fstopgat_s;
  AdmsSensFadType modelVar_VBRinvbot_s=mod.VBRinvbot_s;
  AdmsSensFadType modelVar_VBRinvsti_s=mod.VBRinvsti_s;
  AdmsSensFadType modelVar_VBRinvgat_s=mod.VBRinvgat_s;
  AdmsSensFadType modelVar_slopebot_s=mod.slopebot_s;
  AdmsSensFadType modelVar_slopesti_s=mod.slopesti_s;
  AdmsSensFadType modelVar_slopegat_s=mod.slopegat_s;
  AdmsSensFadType modelVar_phigrbot_d=mod.phigrbot_d;
  AdmsSensFadType modelVar_phigrsti_d=mod.phigrsti_d;
  AdmsSensFadType modelVar_phigrgat_d=mod.phigrgat_d;
  AdmsSensFadType modelVar_phigdbot_d=mod.phigdbot_d;
  AdmsSensFadType modelVar_phigdsti_d=mod.phigdsti_d;
  AdmsSensFadType modelVar_phigdgat_d=mod.phigdgat_d;
  AdmsSensFadType modelVar_ftdbot_d=mod.ftdbot_d;
  AdmsSensFadType modelVar_ftdsti_d=mod.ftdsti_d;
  AdmsSensFadType modelVar_ftdgat_d=mod.ftdgat_d;
  AdmsSensFadType modelVar_idsatbot_d=mod.idsatbot_d;
  AdmsSensFadType modelVar_idsatsti_d=mod.idsatsti_d;
  AdmsSensFadType modelVar_idsatgat_d=mod.idsatgat_d;
  AdmsSensFadType modelVar_ubibot_d=mod.ubibot_d;
  AdmsSensFadType modelVar_ubisti_d=mod.ubisti_d;
  AdmsSensFadType modelVar_ubigat_d=mod.ubigat_d;
  AdmsSensFadType modelVar_vbibot_d=mod.vbibot_d;
  AdmsSensFadType modelVar_vbisti_d=mod.vbisti_d;
  AdmsSensFadType modelVar_vbigat_d=mod.vbigat_d;
  AdmsSensFadType modelVar_vbiinvbot_d=mod.vbiinvbot_d;
  AdmsSensFadType modelVar_vbiinvsti_d=mod.vbiinvsti_d;
  AdmsSensFadType modelVar_vbiinvgat_d=mod.vbiinvgat_d;
  AdmsSensFadType modelVar_one_minus_PBOT_d=mod.one_minus_PBOT_d;
  AdmsSensFadType modelVar_one_minus_PSTI_d=mod.one_minus_PSTI_d;
  AdmsSensFadType modelVar_one_minus_PGAT_d=mod.one_minus_PGAT_d;
  AdmsSensFadType modelVar_one_over_one_minus_PBOT_d=mod.one_over_one_minus_PBOT_d;
  AdmsSensFadType modelVar_one_over_one_minus_PSTI_d=mod.one_over_one_minus_PSTI_d;
  AdmsSensFadType modelVar_one_over_one_minus_PGAT_d=mod.one_over_one_minus_PGAT_d;
  AdmsSensFadType modelVar_cjobot_d=mod.cjobot_d;
  AdmsSensFadType modelVar_cjosti_d=mod.cjosti_d;
  AdmsSensFadType modelVar_cjogat_d=mod.cjogat_d;
  AdmsSensFadType modelVar_qprefbot_d=mod.qprefbot_d;
  AdmsSensFadType modelVar_qprefsti_d=mod.qprefsti_d;
  AdmsSensFadType modelVar_qprefgat_d=mod.qprefgat_d;
  AdmsSensFadType modelVar_qpref2bot_d=mod.qpref2bot_d;
  AdmsSensFadType modelVar_qpref2sti_d=mod.qpref2sti_d;
  AdmsSensFadType modelVar_qpref2gat_d=mod.qpref2gat_d;
  AdmsSensFadType modelVar_wdepnulrbot_d=mod.wdepnulrbot_d;
  AdmsSensFadType modelVar_wdepnulrsti_d=mod.wdepnulrsti_d;
  AdmsSensFadType modelVar_wdepnulrgat_d=mod.wdepnulrgat_d;
  AdmsSensFadType modelVar_wdepnulrinvbot_d=mod.wdepnulrinvbot_d;
  AdmsSensFadType modelVar_wdepnulrinvsti_d=mod.wdepnulrinvsti_d;
  AdmsSensFadType modelVar_wdepnulrinvgat_d=mod.wdepnulrinvgat_d;
  AdmsSensFadType modelVar_VBIRBOTinv_d=mod.VBIRBOTinv_d;
  AdmsSensFadType modelVar_VBIRSTIinv_d=mod.VBIRSTIinv_d;
  AdmsSensFadType modelVar_VBIRGATinv_d=mod.VBIRGATinv_d;
  AdmsSensFadType modelVar_deltaEbot_d=mod.deltaEbot_d;
  AdmsSensFadType modelVar_deltaEsti_d=mod.deltaEsti_d;
  AdmsSensFadType modelVar_deltaEgat_d=mod.deltaEgat_d;
  AdmsSensFadType modelVar_atatbot_d=mod.atatbot_d;
  AdmsSensFadType modelVar_atatsti_d=mod.atatsti_d;
  AdmsSensFadType modelVar_atatgat_d=mod.atatgat_d;
  AdmsSensFadType modelVar_btatpartbot_d=mod.btatpartbot_d;
  AdmsSensFadType modelVar_btatpartsti_d=mod.btatpartsti_d;
  AdmsSensFadType modelVar_btatpartgat_d=mod.btatpartgat_d;
  AdmsSensFadType modelVar_fbbtbot_d=mod.fbbtbot_d;
  AdmsSensFadType modelVar_fbbtsti_d=mod.fbbtsti_d;
  AdmsSensFadType modelVar_fbbtgat_d=mod.fbbtgat_d;
  AdmsSensFadType modelVar_fstopbot_d=mod.fstopbot_d;
  AdmsSensFadType modelVar_fstopsti_d=mod.fstopsti_d;
  AdmsSensFadType modelVar_fstopgat_d=mod.fstopgat_d;
  AdmsSensFadType modelVar_VBRinvbot_d=mod.VBRinvbot_d;
  AdmsSensFadType modelVar_VBRinvsti_d=mod.VBRinvsti_d;
  AdmsSensFadType modelVar_VBRinvgat_d=mod.VBRinvgat_d;
  AdmsSensFadType modelVar_slopebot_d=mod.slopebot_d;
  AdmsSensFadType modelVar_slopesti_d=mod.slopesti_d;
  AdmsSensFadType modelVar_slopegat_d=mod.slopegat_d;


  // non-reals
  int modelVar_CHNL_TYPE=mod.CHNL_TYPE;
  int modelVar_SWGEO_i=mod.SWGEO_i;
  int modelVar_SWIGATE_i=mod.SWIGATE_i;
  int modelVar_SWIMPACT_i=mod.SWIMPACT_i;
  int modelVar_SWGIDL_i=mod.SWGIDL_i;
  int modelVar_SWJUNCAP_i=mod.SWJUNCAP_i;
  int modelVar_SWJUNASYM_i=mod.SWJUNASYM_i;
  int modelVar_SWNUD_i=mod.SWNUD_i;
  int modelVar_SWDELVTAC_i=mod.SWDELVTAC_i;



  Linear::Vector * solVectorPtr = in.extData.nextSolVectorPtr;

  // extract solution variables and set as Fad independent variables.

  probeVars[in.admsProbeID_V_DI_BD] = (*solVectorPtr)[in.li_DI] - (*solVectorPtr)[in.li_BD];
  probeVars[in.admsProbeID_V_SI_BS] = (*solVectorPtr)[in.li_SI] - (*solVectorPtr)[in.li_BS];
  probeVars[in.admsProbeID_V_SI_BP] = (*solVectorPtr)[in.li_SI] - (*solVectorPtr)[in.li_BP];
  probeVars[in.admsProbeID_V_DI_SI] = (*solVectorPtr)[in.li_DI] - (*solVectorPtr)[in.li_SI];
  probeVars[in.admsProbeID_V_GP_SI] = (*solVectorPtr)[in.li_GP] - (*solVectorPtr)[in.li_SI];
  probeVars[in.admsProbeID_V_B_BI] = (*solVectorPtr)[in.li_B] - (*solVectorPtr)[in.li_BI];
  probeVars[in.admsProbeID_V_BP_BI] = (*solVectorPtr)[in.li_BP] - (*solVectorPtr)[in.li_BI];
  probeVars[in.admsProbeID_V_BD_BI] = (*solVectorPtr)[in.li_BD] - (*solVectorPtr)[in.li_BI];
  probeVars[in.admsProbeID_V_BS_BI] = (*solVectorPtr)[in.li_BS] - (*solVectorPtr)[in.li_BI];
  probeVars[in.admsProbeID_V_D_DI] = (*solVectorPtr)[in.li_D] - (*solVectorPtr)[in.li_DI];
  probeVars[in.admsProbeID_V_S_SI] = (*solVectorPtr)[in.li_S] - (*solVectorPtr)[in.li_SI];
  probeVars[in.admsProbeID_V_G_GP] = (*solVectorPtr)[in.li_G] - (*solVectorPtr)[in.li_GP];


  // Need to use processParams-like function to process the
  // initial_model and initial_instance blocks with the LOCAL copies of
  // instance and model vars, and local copies of instance and model
  // params.
  evaluateInitialModel(
     // model parameters
     // reals
     modelPar_LEVEL,
     modelPar_given_LEVEL,
     modelPar_TYPE,
     modelPar_given_TYPE,
     modelPar_TR,
     modelPar_given_TR,
     modelPar_SWGEO,
     modelPar_given_SWGEO,
     modelPar_SWIGATE,
     modelPar_given_SWIGATE,
     modelPar_SWIMPACT,
     modelPar_given_SWIMPACT,
     modelPar_SWGIDL,
     modelPar_given_SWGIDL,
     modelPar_SWJUNCAP,
     modelPar_given_SWJUNCAP,
     modelPar_SWJUNASYM,
     modelPar_given_SWJUNASYM,
     modelPar_SWNUD,
     modelPar_given_SWNUD,
     modelPar_SWDELVTAC,
     modelPar_given_SWDELVTAC,
     modelPar_QMC,
     modelPar_given_QMC,
     modelPar_VFB,
     modelPar_given_VFB,
     modelPar_STVFB,
     modelPar_given_STVFB,
     modelPar_TOX,
     modelPar_given_TOX,
     modelPar_EPSROX,
     modelPar_given_EPSROX,
     modelPar_NEFF,
     modelPar_given_NEFF,
     modelPar_FACNEFFAC,
     modelPar_given_FACNEFFAC,
     modelPar_GFACNUD,
     modelPar_given_GFACNUD,
     modelPar_VSBNUD,
     modelPar_given_VSBNUD,
     modelPar_DVSBNUD,
     modelPar_given_DVSBNUD,
     modelPar_VNSUB,
     modelPar_given_VNSUB,
     modelPar_NSLP,
     modelPar_given_NSLP,
     modelPar_DNSUB,
     modelPar_given_DNSUB,
     modelPar_DPHIB,
     modelPar_given_DPHIB,
     modelPar_DELVTAC,
     modelPar_given_DELVTAC,
     modelPar_NP,
     modelPar_given_NP,
     modelPar_CT,
     modelPar_given_CT,
     modelPar_TOXOV,
     modelPar_given_TOXOV,
     modelPar_TOXOVD,
     modelPar_given_TOXOVD,
     modelPar_NOV,
     modelPar_given_NOV,
     modelPar_NOVD,
     modelPar_given_NOVD,
     modelPar_CF,
     modelPar_given_CF,
     modelPar_CFB,
     modelPar_given_CFB,
     modelPar_BETN,
     modelPar_given_BETN,
     modelPar_STBET,
     modelPar_given_STBET,
     modelPar_MUE,
     modelPar_given_MUE,
     modelPar_STMUE,
     modelPar_given_STMUE,
     modelPar_THEMU,
     modelPar_given_THEMU,
     modelPar_STTHEMU,
     modelPar_given_STTHEMU,
     modelPar_CS,
     modelPar_given_CS,
     modelPar_STCS,
     modelPar_given_STCS,
     modelPar_XCOR,
     modelPar_given_XCOR,
     modelPar_STXCOR,
     modelPar_given_STXCOR,
     modelPar_FETA,
     modelPar_given_FETA,
     modelPar_RS,
     modelPar_given_RS,
     modelPar_STRS,
     modelPar_given_STRS,
     modelPar_RSB,
     modelPar_given_RSB,
     modelPar_RSG,
     modelPar_given_RSG,
     modelPar_THESAT,
     modelPar_given_THESAT,
     modelPar_STTHESAT,
     modelPar_given_STTHESAT,
     modelPar_THESATB,
     modelPar_given_THESATB,
     modelPar_THESATG,
     modelPar_given_THESATG,
     modelPar_AX,
     modelPar_given_AX,
     modelPar_ALP,
     modelPar_given_ALP,
     modelPar_ALP1,
     modelPar_given_ALP1,
     modelPar_ALP2,
     modelPar_given_ALP2,
     modelPar_VP,
     modelPar_given_VP,
     modelPar_A1,
     modelPar_given_A1,
     modelPar_A2,
     modelPar_given_A2,
     modelPar_STA2,
     modelPar_given_STA2,
     modelPar_A3,
     modelPar_given_A3,
     modelPar_A4,
     modelPar_given_A4,
     modelPar_GCO,
     modelPar_given_GCO,
     modelPar_IGINV,
     modelPar_given_IGINV,
     modelPar_IGOV,
     modelPar_given_IGOV,
     modelPar_IGOVD,
     modelPar_given_IGOVD,
     modelPar_STIG,
     modelPar_given_STIG,
     modelPar_GC2,
     modelPar_given_GC2,
     modelPar_GC3,
     modelPar_given_GC3,
     modelPar_CHIB,
     modelPar_given_CHIB,
     modelPar_AGIDL,
     modelPar_given_AGIDL,
     modelPar_AGIDLD,
     modelPar_given_AGIDLD,
     modelPar_BGIDL,
     modelPar_given_BGIDL,
     modelPar_BGIDLD,
     modelPar_given_BGIDLD,
     modelPar_STBGIDL,
     modelPar_given_STBGIDL,
     modelPar_STBGIDLD,
     modelPar_given_STBGIDLD,
     modelPar_CGIDL,
     modelPar_given_CGIDL,
     modelPar_CGIDLD,
     modelPar_given_CGIDLD,
     modelPar_COX,
     modelPar_given_COX,
     modelPar_CGOV,
     modelPar_given_CGOV,
     modelPar_CGOVD,
     modelPar_given_CGOVD,
     modelPar_CGBOV,
     modelPar_given_CGBOV,
     modelPar_CFR,
     modelPar_given_CFR,
     modelPar_CFRD,
     modelPar_given_CFRD,
     modelPar_FNT,
     modelPar_given_FNT,
     modelPar_NFA,
     modelPar_given_NFA,
     modelPar_NFB,
     modelPar_given_NFB,
     modelPar_NFC,
     modelPar_given_NFC,
     modelPar_EF,
     modelPar_given_EF,
     modelPar_RG,
     modelPar_given_RG,
     modelPar_RSE,
     modelPar_given_RSE,
     modelPar_RDE,
     modelPar_given_RDE,
     modelPar_RBULK,
     modelPar_given_RBULK,
     modelPar_RWELL,
     modelPar_given_RWELL,
     modelPar_RJUNS,
     modelPar_given_RJUNS,
     modelPar_RJUND,
     modelPar_given_RJUND,
     modelPar_POVFB,
     modelPar_given_POVFB,
     modelPar_PLVFB,
     modelPar_given_PLVFB,
     modelPar_PWVFB,
     modelPar_given_PWVFB,
     modelPar_PLWVFB,
     modelPar_given_PLWVFB,
     modelPar_POSTVFB,
     modelPar_given_POSTVFB,
     modelPar_PLSTVFB,
     modelPar_given_PLSTVFB,
     modelPar_PWSTVFB,
     modelPar_given_PWSTVFB,
     modelPar_PLWSTVFB,
     modelPar_given_PLWSTVFB,
     modelPar_POTOX,
     modelPar_given_POTOX,
     modelPar_POEPSROX,
     modelPar_given_POEPSROX,
     modelPar_PONEFF,
     modelPar_given_PONEFF,
     modelPar_PLNEFF,
     modelPar_given_PLNEFF,
     modelPar_PWNEFF,
     modelPar_given_PWNEFF,
     modelPar_PLWNEFF,
     modelPar_given_PLWNEFF,
     modelPar_POFACNEFFAC,
     modelPar_given_POFACNEFFAC,
     modelPar_PLFACNEFFAC,
     modelPar_given_PLFACNEFFAC,
     modelPar_PWFACNEFFAC,
     modelPar_given_PWFACNEFFAC,
     modelPar_PLWFACNEFFAC,
     modelPar_given_PLWFACNEFFAC,
     modelPar_POGFACNUD,
     modelPar_given_POGFACNUD,
     modelPar_PLGFACNUD,
     modelPar_given_PLGFACNUD,
     modelPar_PWGFACNUD,
     modelPar_given_PWGFACNUD,
     modelPar_PLWGFACNUD,
     modelPar_given_PLWGFACNUD,
     modelPar_POVSBNUD,
     modelPar_given_POVSBNUD,
     modelPar_PODVSBNUD,
     modelPar_given_PODVSBNUD,
     modelPar_POVNSUB,
     modelPar_given_POVNSUB,
     modelPar_PONSLP,
     modelPar_given_PONSLP,
     modelPar_PODNSUB,
     modelPar_given_PODNSUB,
     modelPar_PODPHIB,
     modelPar_given_PODPHIB,
     modelPar_PLDPHIB,
     modelPar_given_PLDPHIB,
     modelPar_PWDPHIB,
     modelPar_given_PWDPHIB,
     modelPar_PLWDPHIB,
     modelPar_given_PLWDPHIB,
     modelPar_PODELVTAC,
     modelPar_given_PODELVTAC,
     modelPar_PLDELVTAC,
     modelPar_given_PLDELVTAC,
     modelPar_PWDELVTAC,
     modelPar_given_PWDELVTAC,
     modelPar_PLWDELVTAC,
     modelPar_given_PLWDELVTAC,
     modelPar_PONP,
     modelPar_given_PONP,
     modelPar_PLNP,
     modelPar_given_PLNP,
     modelPar_PWNP,
     modelPar_given_PWNP,
     modelPar_PLWNP,
     modelPar_given_PLWNP,
     modelPar_POCT,
     modelPar_given_POCT,
     modelPar_PLCT,
     modelPar_given_PLCT,
     modelPar_PWCT,
     modelPar_given_PWCT,
     modelPar_PLWCT,
     modelPar_given_PLWCT,
     modelPar_POTOXOV,
     modelPar_given_POTOXOV,
     modelPar_POTOXOVD,
     modelPar_given_POTOXOVD,
     modelPar_PONOV,
     modelPar_given_PONOV,
     modelPar_PLNOV,
     modelPar_given_PLNOV,
     modelPar_PWNOV,
     modelPar_given_PWNOV,
     modelPar_PLWNOV,
     modelPar_given_PLWNOV,
     modelPar_PONOVD,
     modelPar_given_PONOVD,
     modelPar_PLNOVD,
     modelPar_given_PLNOVD,
     modelPar_PWNOVD,
     modelPar_given_PWNOVD,
     modelPar_PLWNOVD,
     modelPar_given_PLWNOVD,
     modelPar_POCF,
     modelPar_given_POCF,
     modelPar_PLCF,
     modelPar_given_PLCF,
     modelPar_PWCF,
     modelPar_given_PWCF,
     modelPar_PLWCF,
     modelPar_given_PLWCF,
     modelPar_POCFB,
     modelPar_given_POCFB,
     modelPar_POBETN,
     modelPar_given_POBETN,
     modelPar_PLBETN,
     modelPar_given_PLBETN,
     modelPar_PWBETN,
     modelPar_given_PWBETN,
     modelPar_PLWBETN,
     modelPar_given_PLWBETN,
     modelPar_POSTBET,
     modelPar_given_POSTBET,
     modelPar_PLSTBET,
     modelPar_given_PLSTBET,
     modelPar_PWSTBET,
     modelPar_given_PWSTBET,
     modelPar_PLWSTBET,
     modelPar_given_PLWSTBET,
     modelPar_POMUE,
     modelPar_given_POMUE,
     modelPar_PLMUE,
     modelPar_given_PLMUE,
     modelPar_PWMUE,
     modelPar_given_PWMUE,
     modelPar_PLWMUE,
     modelPar_given_PLWMUE,
     modelPar_POSTMUE,
     modelPar_given_POSTMUE,
     modelPar_POTHEMU,
     modelPar_given_POTHEMU,
     modelPar_POSTTHEMU,
     modelPar_given_POSTTHEMU,
     modelPar_POCS,
     modelPar_given_POCS,
     modelPar_PLCS,
     modelPar_given_PLCS,
     modelPar_PWCS,
     modelPar_given_PWCS,
     modelPar_PLWCS,
     modelPar_given_PLWCS,
     modelPar_POSTCS,
     modelPar_given_POSTCS,
     modelPar_POXCOR,
     modelPar_given_POXCOR,
     modelPar_PLXCOR,
     modelPar_given_PLXCOR,
     modelPar_PWXCOR,
     modelPar_given_PWXCOR,
     modelPar_PLWXCOR,
     modelPar_given_PLWXCOR,
     modelPar_POSTXCOR,
     modelPar_given_POSTXCOR,
     modelPar_POFETA,
     modelPar_given_POFETA,
     modelPar_PORS,
     modelPar_given_PORS,
     modelPar_PLRS,
     modelPar_given_PLRS,
     modelPar_PWRS,
     modelPar_given_PWRS,
     modelPar_PLWRS,
     modelPar_given_PLWRS,
     modelPar_POSTRS,
     modelPar_given_POSTRS,
     modelPar_PORSB,
     modelPar_given_PORSB,
     modelPar_PORSG,
     modelPar_given_PORSG,
     modelPar_POTHESAT,
     modelPar_given_POTHESAT,
     modelPar_PLTHESAT,
     modelPar_given_PLTHESAT,
     modelPar_PWTHESAT,
     modelPar_given_PWTHESAT,
     modelPar_PLWTHESAT,
     modelPar_given_PLWTHESAT,
     modelPar_POSTTHESAT,
     modelPar_given_POSTTHESAT,
     modelPar_PLSTTHESAT,
     modelPar_given_PLSTTHESAT,
     modelPar_PWSTTHESAT,
     modelPar_given_PWSTTHESAT,
     modelPar_PLWSTTHESAT,
     modelPar_given_PLWSTTHESAT,
     modelPar_POTHESATB,
     modelPar_given_POTHESATB,
     modelPar_PLTHESATB,
     modelPar_given_PLTHESATB,
     modelPar_PWTHESATB,
     modelPar_given_PWTHESATB,
     modelPar_PLWTHESATB,
     modelPar_given_PLWTHESATB,
     modelPar_POTHESATG,
     modelPar_given_POTHESATG,
     modelPar_PLTHESATG,
     modelPar_given_PLTHESATG,
     modelPar_PWTHESATG,
     modelPar_given_PWTHESATG,
     modelPar_PLWTHESATG,
     modelPar_given_PLWTHESATG,
     modelPar_POAX,
     modelPar_given_POAX,
     modelPar_PLAX,
     modelPar_given_PLAX,
     modelPar_PWAX,
     modelPar_given_PWAX,
     modelPar_PLWAX,
     modelPar_given_PLWAX,
     modelPar_POALP,
     modelPar_given_POALP,
     modelPar_PLALP,
     modelPar_given_PLALP,
     modelPar_PWALP,
     modelPar_given_PWALP,
     modelPar_PLWALP,
     modelPar_given_PLWALP,
     modelPar_POALP1,
     modelPar_given_POALP1,
     modelPar_PLALP1,
     modelPar_given_PLALP1,
     modelPar_PWALP1,
     modelPar_given_PWALP1,
     modelPar_PLWALP1,
     modelPar_given_PLWALP1,
     modelPar_POALP2,
     modelPar_given_POALP2,
     modelPar_PLALP2,
     modelPar_given_PLALP2,
     modelPar_PWALP2,
     modelPar_given_PWALP2,
     modelPar_PLWALP2,
     modelPar_given_PLWALP2,
     modelPar_POVP,
     modelPar_given_POVP,
     modelPar_POA1,
     modelPar_given_POA1,
     modelPar_PLA1,
     modelPar_given_PLA1,
     modelPar_PWA1,
     modelPar_given_PWA1,
     modelPar_PLWA1,
     modelPar_given_PLWA1,
     modelPar_POA2,
     modelPar_given_POA2,
     modelPar_POSTA2,
     modelPar_given_POSTA2,
     modelPar_POA3,
     modelPar_given_POA3,
     modelPar_PLA3,
     modelPar_given_PLA3,
     modelPar_PWA3,
     modelPar_given_PWA3,
     modelPar_PLWA3,
     modelPar_given_PLWA3,
     modelPar_POA4,
     modelPar_given_POA4,
     modelPar_PLA4,
     modelPar_given_PLA4,
     modelPar_PWA4,
     modelPar_given_PWA4,
     modelPar_PLWA4,
     modelPar_given_PLWA4,
     modelPar_POGCO,
     modelPar_given_POGCO,
     modelPar_POIGINV,
     modelPar_given_POIGINV,
     modelPar_PLIGINV,
     modelPar_given_PLIGINV,
     modelPar_PWIGINV,
     modelPar_given_PWIGINV,
     modelPar_PLWIGINV,
     modelPar_given_PLWIGINV,
     modelPar_POIGOV,
     modelPar_given_POIGOV,
     modelPar_PLIGOV,
     modelPar_given_PLIGOV,
     modelPar_PWIGOV,
     modelPar_given_PWIGOV,
     modelPar_PLWIGOV,
     modelPar_given_PLWIGOV,
     modelPar_POIGOVD,
     modelPar_given_POIGOVD,
     modelPar_PLIGOVD,
     modelPar_given_PLIGOVD,
     modelPar_PWIGOVD,
     modelPar_given_PWIGOVD,
     modelPar_PLWIGOVD,
     modelPar_given_PLWIGOVD,
     modelPar_POSTIG,
     modelPar_given_POSTIG,
     modelPar_POGC2,
     modelPar_given_POGC2,
     modelPar_POGC3,
     modelPar_given_POGC3,
     modelPar_POCHIB,
     modelPar_given_POCHIB,
     modelPar_POAGIDL,
     modelPar_given_POAGIDL,
     modelPar_PLAGIDL,
     modelPar_given_PLAGIDL,
     modelPar_PWAGIDL,
     modelPar_given_PWAGIDL,
     modelPar_PLWAGIDL,
     modelPar_given_PLWAGIDL,
     modelPar_POAGIDLD,
     modelPar_given_POAGIDLD,
     modelPar_PLAGIDLD,
     modelPar_given_PLAGIDLD,
     modelPar_PWAGIDLD,
     modelPar_given_PWAGIDLD,
     modelPar_PLWAGIDLD,
     modelPar_given_PLWAGIDLD,
     modelPar_POBGIDL,
     modelPar_given_POBGIDL,
     modelPar_POBGIDLD,
     modelPar_given_POBGIDLD,
     modelPar_POSTBGIDL,
     modelPar_given_POSTBGIDL,
     modelPar_POSTBGIDLD,
     modelPar_given_POSTBGIDLD,
     modelPar_POCGIDL,
     modelPar_given_POCGIDL,
     modelPar_POCGIDLD,
     modelPar_given_POCGIDLD,
     modelPar_POCOX,
     modelPar_given_POCOX,
     modelPar_PLCOX,
     modelPar_given_PLCOX,
     modelPar_PWCOX,
     modelPar_given_PWCOX,
     modelPar_PLWCOX,
     modelPar_given_PLWCOX,
     modelPar_POCGOV,
     modelPar_given_POCGOV,
     modelPar_PLCGOV,
     modelPar_given_PLCGOV,
     modelPar_PWCGOV,
     modelPar_given_PWCGOV,
     modelPar_PLWCGOV,
     modelPar_given_PLWCGOV,
     modelPar_POCGOVD,
     modelPar_given_POCGOVD,
     modelPar_PLCGOVD,
     modelPar_given_PLCGOVD,
     modelPar_PWCGOVD,
     modelPar_given_PWCGOVD,
     modelPar_PLWCGOVD,
     modelPar_given_PLWCGOVD,
     modelPar_POCGBOV,
     modelPar_given_POCGBOV,
     modelPar_PLCGBOV,
     modelPar_given_PLCGBOV,
     modelPar_PWCGBOV,
     modelPar_given_PWCGBOV,
     modelPar_PLWCGBOV,
     modelPar_given_PLWCGBOV,
     modelPar_POCFR,
     modelPar_given_POCFR,
     modelPar_PLCFR,
     modelPar_given_PLCFR,
     modelPar_PWCFR,
     modelPar_given_PWCFR,
     modelPar_PLWCFR,
     modelPar_given_PLWCFR,
     modelPar_POCFRD,
     modelPar_given_POCFRD,
     modelPar_PLCFRD,
     modelPar_given_PLCFRD,
     modelPar_PWCFRD,
     modelPar_given_PWCFRD,
     modelPar_PLWCFRD,
     modelPar_given_PLWCFRD,
     modelPar_POFNT,
     modelPar_given_POFNT,
     modelPar_PONFA,
     modelPar_given_PONFA,
     modelPar_PLNFA,
     modelPar_given_PLNFA,
     modelPar_PWNFA,
     modelPar_given_PWNFA,
     modelPar_PLWNFA,
     modelPar_given_PLWNFA,
     modelPar_PONFB,
     modelPar_given_PONFB,
     modelPar_PLNFB,
     modelPar_given_PLNFB,
     modelPar_PWNFB,
     modelPar_given_PWNFB,
     modelPar_PLWNFB,
     modelPar_given_PLWNFB,
     modelPar_PONFC,
     modelPar_given_PONFC,
     modelPar_PLNFC,
     modelPar_given_PLNFC,
     modelPar_PWNFC,
     modelPar_given_PWNFC,
     modelPar_PLWNFC,
     modelPar_given_PLWNFC,
     modelPar_POEF,
     modelPar_given_POEF,
     modelPar_POKVTHOWE,
     modelPar_given_POKVTHOWE,
     modelPar_PLKVTHOWE,
     modelPar_given_PLKVTHOWE,
     modelPar_PWKVTHOWE,
     modelPar_given_PWKVTHOWE,
     modelPar_PLWKVTHOWE,
     modelPar_given_PLWKVTHOWE,
     modelPar_POKUOWE,
     modelPar_given_POKUOWE,
     modelPar_PLKUOWE,
     modelPar_given_PLKUOWE,
     modelPar_PWKUOWE,
     modelPar_given_PWKUOWE,
     modelPar_PLWKUOWE,
     modelPar_given_PLWKUOWE,
     modelPar_LMIN,
     modelPar_given_LMIN,
     modelPar_LMAX,
     modelPar_given_LMAX,
     modelPar_WMIN,
     modelPar_given_WMIN,
     modelPar_WMAX,
     modelPar_given_WMAX,
     modelPar_LVARO,
     modelPar_given_LVARO,
     modelPar_LVARL,
     modelPar_given_LVARL,
     modelPar_LVARW,
     modelPar_given_LVARW,
     modelPar_LAP,
     modelPar_given_LAP,
     modelPar_WVARO,
     modelPar_given_WVARO,
     modelPar_WVARL,
     modelPar_given_WVARL,
     modelPar_WVARW,
     modelPar_given_WVARW,
     modelPar_WOT,
     modelPar_given_WOT,
     modelPar_DLQ,
     modelPar_given_DLQ,
     modelPar_DWQ,
     modelPar_given_DWQ,
     modelPar_VFBO,
     modelPar_given_VFBO,
     modelPar_VFBL,
     modelPar_given_VFBL,
     modelPar_VFBW,
     modelPar_given_VFBW,
     modelPar_VFBLW,
     modelPar_given_VFBLW,
     modelPar_STVFBO,
     modelPar_given_STVFBO,
     modelPar_STVFBL,
     modelPar_given_STVFBL,
     modelPar_STVFBW,
     modelPar_given_STVFBW,
     modelPar_STVFBLW,
     modelPar_given_STVFBLW,
     modelPar_TOXO,
     modelPar_given_TOXO,
     modelPar_EPSROXO,
     modelPar_given_EPSROXO,
     modelPar_NSUBO,
     modelPar_given_NSUBO,
     modelPar_NSUBW,
     modelPar_given_NSUBW,
     modelPar_WSEG,
     modelPar_given_WSEG,
     modelPar_NPCK,
     modelPar_given_NPCK,
     modelPar_NPCKW,
     modelPar_given_NPCKW,
     modelPar_WSEGP,
     modelPar_given_WSEGP,
     modelPar_LPCK,
     modelPar_given_LPCK,
     modelPar_LPCKW,
     modelPar_given_LPCKW,
     modelPar_FOL1,
     modelPar_given_FOL1,
     modelPar_FOL2,
     modelPar_given_FOL2,
     modelPar_FACNEFFACO,
     modelPar_given_FACNEFFACO,
     modelPar_FACNEFFACL,
     modelPar_given_FACNEFFACL,
     modelPar_FACNEFFACW,
     modelPar_given_FACNEFFACW,
     modelPar_FACNEFFACLW,
     modelPar_given_FACNEFFACLW,
     modelPar_GFACNUDO,
     modelPar_given_GFACNUDO,
     modelPar_GFACNUDL,
     modelPar_given_GFACNUDL,
     modelPar_GFACNUDLEXP,
     modelPar_given_GFACNUDLEXP,
     modelPar_GFACNUDW,
     modelPar_given_GFACNUDW,
     modelPar_GFACNUDLW,
     modelPar_given_GFACNUDLW,
     modelPar_VSBNUDO,
     modelPar_given_VSBNUDO,
     modelPar_DVSBNUDO,
     modelPar_given_DVSBNUDO,
     modelPar_VNSUBO,
     modelPar_given_VNSUBO,
     modelPar_NSLPO,
     modelPar_given_NSLPO,
     modelPar_DNSUBO,
     modelPar_given_DNSUBO,
     modelPar_DPHIBO,
     modelPar_given_DPHIBO,
     modelPar_DPHIBL,
     modelPar_given_DPHIBL,
     modelPar_DPHIBLEXP,
     modelPar_given_DPHIBLEXP,
     modelPar_DPHIBW,
     modelPar_given_DPHIBW,
     modelPar_DPHIBLW,
     modelPar_given_DPHIBLW,
     modelPar_DELVTACO,
     modelPar_given_DELVTACO,
     modelPar_DELVTACL,
     modelPar_given_DELVTACL,
     modelPar_DELVTACLEXP,
     modelPar_given_DELVTACLEXP,
     modelPar_DELVTACW,
     modelPar_given_DELVTACW,
     modelPar_DELVTACLW,
     modelPar_given_DELVTACLW,
     modelPar_NPO,
     modelPar_given_NPO,
     modelPar_NPL,
     modelPar_given_NPL,
     modelPar_CTO,
     modelPar_given_CTO,
     modelPar_CTL,
     modelPar_given_CTL,
     modelPar_CTLEXP,
     modelPar_given_CTLEXP,
     modelPar_CTW,
     modelPar_given_CTW,
     modelPar_CTLW,
     modelPar_given_CTLW,
     modelPar_TOXOVO,
     modelPar_given_TOXOVO,
     modelPar_TOXOVDO,
     modelPar_given_TOXOVDO,
     modelPar_LOV,
     modelPar_given_LOV,
     modelPar_LOVD,
     modelPar_given_LOVD,
     modelPar_NOVO,
     modelPar_given_NOVO,
     modelPar_NOVDO,
     modelPar_given_NOVDO,
     modelPar_CFL,
     modelPar_given_CFL,
     modelPar_CFLEXP,
     modelPar_given_CFLEXP,
     modelPar_CFW,
     modelPar_given_CFW,
     modelPar_CFBO,
     modelPar_given_CFBO,
     modelPar_UO,
     modelPar_given_UO,
     modelPar_FBET1,
     modelPar_given_FBET1,
     modelPar_FBET1W,
     modelPar_given_FBET1W,
     modelPar_LP1,
     modelPar_given_LP1,
     modelPar_LP1W,
     modelPar_given_LP1W,
     modelPar_FBET2,
     modelPar_given_FBET2,
     modelPar_LP2,
     modelPar_given_LP2,
     modelPar_BETW1,
     modelPar_given_BETW1,
     modelPar_BETW2,
     modelPar_given_BETW2,
     modelPar_WBET,
     modelPar_given_WBET,
     modelPar_STBETO,
     modelPar_given_STBETO,
     modelPar_STBETL,
     modelPar_given_STBETL,
     modelPar_STBETW,
     modelPar_given_STBETW,
     modelPar_STBETLW,
     modelPar_given_STBETLW,
     modelPar_MUEO,
     modelPar_given_MUEO,
     modelPar_MUEW,
     modelPar_given_MUEW,
     modelPar_STMUEO,
     modelPar_given_STMUEO,
     modelPar_THEMUO,
     modelPar_given_THEMUO,
     modelPar_STTHEMUO,
     modelPar_given_STTHEMUO,
     modelPar_CSO,
     modelPar_given_CSO,
     modelPar_CSL,
     modelPar_given_CSL,
     modelPar_CSLEXP,
     modelPar_given_CSLEXP,
     modelPar_CSW,
     modelPar_given_CSW,
     modelPar_CSLW,
     modelPar_given_CSLW,
     modelPar_STCSO,
     modelPar_given_STCSO,
     modelPar_XCORO,
     modelPar_given_XCORO,
     modelPar_XCORL,
     modelPar_given_XCORL,
     modelPar_XCORW,
     modelPar_given_XCORW,
     modelPar_XCORLW,
     modelPar_given_XCORLW,
     modelPar_STXCORO,
     modelPar_given_STXCORO,
     modelPar_FETAO,
     modelPar_given_FETAO,
     modelPar_RSW1,
     modelPar_given_RSW1,
     modelPar_RSW2,
     modelPar_given_RSW2,
     modelPar_STRSO,
     modelPar_given_STRSO,
     modelPar_RSBO,
     modelPar_given_RSBO,
     modelPar_RSGO,
     modelPar_given_RSGO,
     modelPar_THESATO,
     modelPar_given_THESATO,
     modelPar_THESATL,
     modelPar_given_THESATL,
     modelPar_THESATLEXP,
     modelPar_given_THESATLEXP,
     modelPar_THESATW,
     modelPar_given_THESATW,
     modelPar_THESATLW,
     modelPar_given_THESATLW,
     modelPar_STTHESATO,
     modelPar_given_STTHESATO,
     modelPar_STTHESATL,
     modelPar_given_STTHESATL,
     modelPar_STTHESATW,
     modelPar_given_STTHESATW,
     modelPar_STTHESATLW,
     modelPar_given_STTHESATLW,
     modelPar_THESATBO,
     modelPar_given_THESATBO,
     modelPar_THESATGO,
     modelPar_given_THESATGO,
     modelPar_AXO,
     modelPar_given_AXO,
     modelPar_AXL,
     modelPar_given_AXL,
     modelPar_ALPL,
     modelPar_given_ALPL,
     modelPar_ALPLEXP,
     modelPar_given_ALPLEXP,
     modelPar_ALPW,
     modelPar_given_ALPW,
     modelPar_ALP1L1,
     modelPar_given_ALP1L1,
     modelPar_ALP1LEXP,
     modelPar_given_ALP1LEXP,
     modelPar_ALP1L2,
     modelPar_given_ALP1L2,
     modelPar_ALP1W,
     modelPar_given_ALP1W,
     modelPar_ALP2L1,
     modelPar_given_ALP2L1,
     modelPar_ALP2LEXP,
     modelPar_given_ALP2LEXP,
     modelPar_ALP2L2,
     modelPar_given_ALP2L2,
     modelPar_ALP2W,
     modelPar_given_ALP2W,
     modelPar_VPO,
     modelPar_given_VPO,
     modelPar_A1O,
     modelPar_given_A1O,
     modelPar_A1L,
     modelPar_given_A1L,
     modelPar_A1W,
     modelPar_given_A1W,
     modelPar_A2O,
     modelPar_given_A2O,
     modelPar_STA2O,
     modelPar_given_STA2O,
     modelPar_A3O,
     modelPar_given_A3O,
     modelPar_A3L,
     modelPar_given_A3L,
     modelPar_A3W,
     modelPar_given_A3W,
     modelPar_A4O,
     modelPar_given_A4O,
     modelPar_A4L,
     modelPar_given_A4L,
     modelPar_A4W,
     modelPar_given_A4W,
     modelPar_GCOO,
     modelPar_given_GCOO,
     modelPar_IGINVLW,
     modelPar_given_IGINVLW,
     modelPar_IGOVW,
     modelPar_given_IGOVW,
     modelPar_IGOVDW,
     modelPar_given_IGOVDW,
     modelPar_STIGO,
     modelPar_given_STIGO,
     modelPar_GC2O,
     modelPar_given_GC2O,
     modelPar_GC3O,
     modelPar_given_GC3O,
     modelPar_CHIBO,
     modelPar_given_CHIBO,
     modelPar_AGIDLW,
     modelPar_given_AGIDLW,
     modelPar_AGIDLDW,
     modelPar_given_AGIDLDW,
     modelPar_BGIDLO,
     modelPar_given_BGIDLO,
     modelPar_BGIDLDO,
     modelPar_given_BGIDLDO,
     modelPar_STBGIDLO,
     modelPar_given_STBGIDLO,
     modelPar_STBGIDLDO,
     modelPar_given_STBGIDLDO,
     modelPar_CGIDLO,
     modelPar_given_CGIDLO,
     modelPar_CGIDLDO,
     modelPar_given_CGIDLDO,
     modelPar_CGBOVL,
     modelPar_given_CGBOVL,
     modelPar_CFRW,
     modelPar_given_CFRW,
     modelPar_CFRDW,
     modelPar_given_CFRDW,
     modelPar_FNTO,
     modelPar_given_FNTO,
     modelPar_NFALW,
     modelPar_given_NFALW,
     modelPar_NFBLW,
     modelPar_given_NFBLW,
     modelPar_NFCLW,
     modelPar_given_NFCLW,
     modelPar_EFO,
     modelPar_given_EFO,
     modelPar_LINTNOI,
     modelPar_given_LINTNOI,
     modelPar_ALPNOI,
     modelPar_given_ALPNOI,
     modelPar_KVTHOWEO,
     modelPar_given_KVTHOWEO,
     modelPar_KVTHOWEL,
     modelPar_given_KVTHOWEL,
     modelPar_KVTHOWEW,
     modelPar_given_KVTHOWEW,
     modelPar_KVTHOWELW,
     modelPar_given_KVTHOWELW,
     modelPar_KUOWEO,
     modelPar_given_KUOWEO,
     modelPar_KUOWEL,
     modelPar_given_KUOWEL,
     modelPar_KUOWEW,
     modelPar_given_KUOWEW,
     modelPar_KUOWELW,
     modelPar_given_KUOWELW,
     modelPar_RGO,
     modelPar_given_RGO,
     modelPar_RINT,
     modelPar_given_RINT,
     modelPar_RVPOLY,
     modelPar_given_RVPOLY,
     modelPar_RSHG,
     modelPar_given_RSHG,
     modelPar_DLSIL,
     modelPar_given_DLSIL,
     modelPar_RSH,
     modelPar_given_RSH,
     modelPar_RSHD,
     modelPar_given_RSHD,
     modelPar_RBULKO,
     modelPar_given_RBULKO,
     modelPar_RWELLO,
     modelPar_given_RWELLO,
     modelPar_RJUNSO,
     modelPar_given_RJUNSO,
     modelPar_RJUNDO,
     modelPar_given_RJUNDO,
     modelPar_SAREF,
     modelPar_given_SAREF,
     modelPar_SBREF,
     modelPar_given_SBREF,
     modelPar_WLOD,
     modelPar_given_WLOD,
     modelPar_KUO,
     modelPar_given_KUO,
     modelPar_KVSAT,
     modelPar_given_KVSAT,
     modelPar_TKUO,
     modelPar_given_TKUO,
     modelPar_LKUO,
     modelPar_given_LKUO,
     modelPar_WKUO,
     modelPar_given_WKUO,
     modelPar_PKUO,
     modelPar_given_PKUO,
     modelPar_LLODKUO,
     modelPar_given_LLODKUO,
     modelPar_WLODKUO,
     modelPar_given_WLODKUO,
     modelPar_KVTHO,
     modelPar_given_KVTHO,
     modelPar_LKVTHO,
     modelPar_given_LKVTHO,
     modelPar_WKVTHO,
     modelPar_given_WKVTHO,
     modelPar_PKVTHO,
     modelPar_given_PKVTHO,
     modelPar_LLODVTH,
     modelPar_given_LLODVTH,
     modelPar_WLODVTH,
     modelPar_given_WLODVTH,
     modelPar_STETAO,
     modelPar_given_STETAO,
     modelPar_LODETAO,
     modelPar_given_LODETAO,
     modelPar_SCREF,
     modelPar_given_SCREF,
     modelPar_WEB,
     modelPar_given_WEB,
     modelPar_WEC,
     modelPar_given_WEC,
     modelPar_IMAX,
     modelPar_given_IMAX,
     modelPar_TRJ,
     modelPar_given_TRJ,
     modelPar_CJORBOT,
     modelPar_given_CJORBOT,
     modelPar_CJORSTI,
     modelPar_given_CJORSTI,
     modelPar_CJORGAT,
     modelPar_given_CJORGAT,
     modelPar_VBIRBOT,
     modelPar_given_VBIRBOT,
     modelPar_VBIRSTI,
     modelPar_given_VBIRSTI,
     modelPar_VBIRGAT,
     modelPar_given_VBIRGAT,
     modelPar_PBOT,
     modelPar_given_PBOT,
     modelPar_PSTI,
     modelPar_given_PSTI,
     modelPar_PGAT,
     modelPar_given_PGAT,
     modelPar_PHIGBOT,
     modelPar_given_PHIGBOT,
     modelPar_PHIGSTI,
     modelPar_given_PHIGSTI,
     modelPar_PHIGGAT,
     modelPar_given_PHIGGAT,
     modelPar_IDSATRBOT,
     modelPar_given_IDSATRBOT,
     modelPar_IDSATRSTI,
     modelPar_given_IDSATRSTI,
     modelPar_IDSATRGAT,
     modelPar_given_IDSATRGAT,
     modelPar_CSRHBOT,
     modelPar_given_CSRHBOT,
     modelPar_CSRHSTI,
     modelPar_given_CSRHSTI,
     modelPar_CSRHGAT,
     modelPar_given_CSRHGAT,
     modelPar_XJUNSTI,
     modelPar_given_XJUNSTI,
     modelPar_XJUNGAT,
     modelPar_given_XJUNGAT,
     modelPar_CTATBOT,
     modelPar_given_CTATBOT,
     modelPar_CTATSTI,
     modelPar_given_CTATSTI,
     modelPar_CTATGAT,
     modelPar_given_CTATGAT,
     modelPar_MEFFTATBOT,
     modelPar_given_MEFFTATBOT,
     modelPar_MEFFTATSTI,
     modelPar_given_MEFFTATSTI,
     modelPar_MEFFTATGAT,
     modelPar_given_MEFFTATGAT,
     modelPar_CBBTBOT,
     modelPar_given_CBBTBOT,
     modelPar_CBBTSTI,
     modelPar_given_CBBTSTI,
     modelPar_CBBTGAT,
     modelPar_given_CBBTGAT,
     modelPar_FBBTRBOT,
     modelPar_given_FBBTRBOT,
     modelPar_FBBTRSTI,
     modelPar_given_FBBTRSTI,
     modelPar_FBBTRGAT,
     modelPar_given_FBBTRGAT,
     modelPar_STFBBTBOT,
     modelPar_given_STFBBTBOT,
     modelPar_STFBBTSTI,
     modelPar_given_STFBBTSTI,
     modelPar_STFBBTGAT,
     modelPar_given_STFBBTGAT,
     modelPar_VBRBOT,
     modelPar_given_VBRBOT,
     modelPar_VBRSTI,
     modelPar_given_VBRSTI,
     modelPar_VBRGAT,
     modelPar_given_VBRGAT,
     modelPar_PBRBOT,
     modelPar_given_PBRBOT,
     modelPar_PBRSTI,
     modelPar_given_PBRSTI,
     modelPar_PBRGAT,
     modelPar_given_PBRGAT,
     modelPar_CJORBOTD,
     modelPar_given_CJORBOTD,
     modelPar_CJORSTID,
     modelPar_given_CJORSTID,
     modelPar_CJORGATD,
     modelPar_given_CJORGATD,
     modelPar_VBIRBOTD,
     modelPar_given_VBIRBOTD,
     modelPar_VBIRSTID,
     modelPar_given_VBIRSTID,
     modelPar_VBIRGATD,
     modelPar_given_VBIRGATD,
     modelPar_PBOTD,
     modelPar_given_PBOTD,
     modelPar_PSTID,
     modelPar_given_PSTID,
     modelPar_PGATD,
     modelPar_given_PGATD,
     modelPar_PHIGBOTD,
     modelPar_given_PHIGBOTD,
     modelPar_PHIGSTID,
     modelPar_given_PHIGSTID,
     modelPar_PHIGGATD,
     modelPar_given_PHIGGATD,
     modelPar_IDSATRBOTD,
     modelPar_given_IDSATRBOTD,
     modelPar_IDSATRSTID,
     modelPar_given_IDSATRSTID,
     modelPar_IDSATRGATD,
     modelPar_given_IDSATRGATD,
     modelPar_CSRHBOTD,
     modelPar_given_CSRHBOTD,
     modelPar_CSRHSTID,
     modelPar_given_CSRHSTID,
     modelPar_CSRHGATD,
     modelPar_given_CSRHGATD,
     modelPar_XJUNSTID,
     modelPar_given_XJUNSTID,
     modelPar_XJUNGATD,
     modelPar_given_XJUNGATD,
     modelPar_CTATBOTD,
     modelPar_given_CTATBOTD,
     modelPar_CTATSTID,
     modelPar_given_CTATSTID,
     modelPar_CTATGATD,
     modelPar_given_CTATGATD,
     modelPar_MEFFTATBOTD,
     modelPar_given_MEFFTATBOTD,
     modelPar_MEFFTATSTID,
     modelPar_given_MEFFTATSTID,
     modelPar_MEFFTATGATD,
     modelPar_given_MEFFTATGATD,
     modelPar_CBBTBOTD,
     modelPar_given_CBBTBOTD,
     modelPar_CBBTSTID,
     modelPar_given_CBBTSTID,
     modelPar_CBBTGATD,
     modelPar_given_CBBTGATD,
     modelPar_FBBTRBOTD,
     modelPar_given_FBBTRBOTD,
     modelPar_FBBTRSTID,
     modelPar_given_FBBTRSTID,
     modelPar_FBBTRGATD,
     modelPar_given_FBBTRGATD,
     modelPar_STFBBTBOTD,
     modelPar_given_STFBBTBOTD,
     modelPar_STFBBTSTID,
     modelPar_given_STFBBTSTID,
     modelPar_STFBBTGATD,
     modelPar_given_STFBBTGATD,
     modelPar_VBRBOTD,
     modelPar_given_VBRBOTD,
     modelPar_VBRSTID,
     modelPar_given_VBRSTID,
     modelPar_VBRGATD,
     modelPar_given_VBRGATD,
     modelPar_PBRBOTD,
     modelPar_given_PBRBOTD,
     modelPar_PBRSTID,
     modelPar_given_PBRSTID,
     modelPar_PBRGATD,
     modelPar_given_PBRGATD,
     modelPar_SWJUNEXP,
     modelPar_given_SWJUNEXP,
     modelPar_VJUNREF,
     modelPar_given_VJUNREF,
     modelPar_FJUNQ,
     modelPar_given_FJUNQ,
     modelPar_VJUNREFD,
     modelPar_given_VJUNREFD,
     modelPar_FJUNQD,
     modelPar_given_FJUNQD,
     modelPar_DTA,
     modelPar_given_DTA// model variables
     ,
     // reals
     modelVar_NSUBO_i,
     modelVar_WSEG_i,
     modelVar_NPCK_i,
     modelVar_WSEGP_i,
     modelVar_LPCK_i,
     modelVar_LOV_i,
     modelVar_LOVD_i,
     modelVar_LP1_i,
     modelVar_LP2_i,
     modelVar_WBET_i,
     modelVar_AXL_i,
     modelVar_ALP1L2_i,
     modelVar_ALP2L2_i,
     modelVar_TOXO_i,
     modelVar_TOXOVO_i,
     modelVar_TOXOVDO_i,
     modelVar_EPSROXO_i,
     modelVar_RINT_i,
     modelVar_RVPOLY_i,
     modelVar_RSHG_i,
     modelVar_RSH_i,
     modelVar_RSHD_i,
     modelVar_SAREF_i,
     modelVar_SBREF_i,
     modelVar_KVSAT_i,
     modelVar_LLODKUO_i,
     modelVar_WLODKUO_i,
     modelVar_LLODVTH_i,
     modelVar_WLODVTH_i,
     modelVar_LODETAO_i,
     modelVar_SCREF_i,
     modelVar_WEB_i,
     modelVar_WEC_i,
     modelVar_QMC_i,
     modelVar_TKD,
     modelVar_dT,
     modelVar_rT,
     modelVar_rTn,
     modelVar_EPSSI,
     modelVar_phit,
     modelVar_inv_phit,
     modelVar_Eg,
     modelVar_phibFac,
     modelVar_nt0,
     modelVar_IMAX_i,
     modelVar_CJORBOT_i,
     modelVar_CJORSTI_i,
     modelVar_CJORGAT_i,
     modelVar_VBIRBOT_i,
     modelVar_VBIRSTI_i,
     modelVar_VBIRGAT_i,
     modelVar_PBOT_i,
     modelVar_PSTI_i,
     modelVar_PGAT_i,
     modelVar_PHIGBOT_i,
     modelVar_PHIGSTI_i,
     modelVar_PHIGGAT_i,
     modelVar_IDSATRBOT_i,
     modelVar_IDSATRSTI_i,
     modelVar_IDSATRGAT_i,
     modelVar_XJUNSTI_i,
     modelVar_XJUNGAT_i,
     modelVar_CSRHBOT_i,
     modelVar_CSRHSTI_i,
     modelVar_CSRHGAT_i,
     modelVar_CTATBOT_i,
     modelVar_CTATSTI_i,
     modelVar_CTATGAT_i,
     modelVar_MEFFTATBOT_i,
     modelVar_MEFFTATSTI_i,
     modelVar_MEFFTATGAT_i,
     modelVar_CBBTBOT_i,
     modelVar_CBBTSTI_i,
     modelVar_CBBTGAT_i,
     modelVar_FBBTRBOT_i,
     modelVar_FBBTRSTI_i,
     modelVar_FBBTRGAT_i,
     modelVar_STFBBTBOT_i,
     modelVar_STFBBTSTI_i,
     modelVar_STFBBTGAT_i,
     modelVar_VBRBOT_i,
     modelVar_VBRSTI_i,
     modelVar_VBRGAT_i,
     modelVar_PBRBOT_i,
     modelVar_PBRSTI_i,
     modelVar_PBRGAT_i,
     modelVar_SWJUNEXP_i,
     modelVar_VJUNREF_i,
     modelVar_FJUNQ_i,
     modelVar_phitr,
     modelVar_phitd,
     modelVar_phitdinv,
     modelVar_perfc,
     modelVar_berfc,
     modelVar_cerfc,
     modelVar_phigrbot,
     modelVar_phigrsti,
     modelVar_phigrgat,
     modelVar_phigdbot,
     modelVar_phigdsti,
     modelVar_phigdgat,
     modelVar_ftdbot,
     modelVar_ftdsti,
     modelVar_ftdgat,
     modelVar_idsatbot,
     modelVar_idsatsti,
     modelVar_idsatgat,
     modelVar_ubibot,
     modelVar_ubisti,
     modelVar_ubigat,
     modelVar_vbibot,
     modelVar_vbisti,
     modelVar_vbigat,
     modelVar_vbiinvbot,
     modelVar_vbiinvsti,
     modelVar_vbiinvgat,
     modelVar_one_minus_PBOT,
     modelVar_one_minus_PSTI,
     modelVar_one_minus_PGAT,
     modelVar_one_over_one_minus_PBOT,
     modelVar_one_over_one_minus_PSTI,
     modelVar_one_over_one_minus_PGAT,
     modelVar_cjobot,
     modelVar_cjosti,
     modelVar_cjogat,
     modelVar_qprefbot,
     modelVar_qprefsti,
     modelVar_qprefgat,
     modelVar_qpref2bot,
     modelVar_qpref2sti,
     modelVar_qpref2gat,
     modelVar_wdepnulrbot,
     modelVar_wdepnulrsti,
     modelVar_wdepnulrgat,
     modelVar_wdepnulrinvbot,
     modelVar_wdepnulrinvsti,
     modelVar_wdepnulrinvgat,
     modelVar_VBIRBOTinv,
     modelVar_VBIRSTIinv,
     modelVar_VBIRGATinv,
     modelVar_deltaEbot,
     modelVar_deltaEsti,
     modelVar_deltaEgat,
     modelVar_atatbot,
     modelVar_atatsti,
     modelVar_atatgat,
     modelVar_btatpartbot,
     modelVar_btatpartsti,
     modelVar_btatpartgat,
     modelVar_fbbtbot,
     modelVar_fbbtsti,
     modelVar_fbbtgat,
     modelVar_fstopbot,
     modelVar_fstopsti,
     modelVar_fstopgat,
     modelVar_VBRinvbot,
     modelVar_VBRinvsti,
     modelVar_VBRinvgat,
     modelVar_slopebot,
     modelVar_slopesti,
     modelVar_slopegat,
     modelVar_CJORBOTS_i,
     modelVar_CJORSTIS_i,
     modelVar_CJORGATS_i,
     modelVar_VBIRBOTS_i,
     modelVar_VBIRSTIS_i,
     modelVar_VBIRGATS_i,
     modelVar_PBOTS_i,
     modelVar_PSTIS_i,
     modelVar_PGATS_i,
     modelVar_PHIGBOTS_i,
     modelVar_PHIGSTIS_i,
     modelVar_PHIGGATS_i,
     modelVar_IDSATRBOTS_i,
     modelVar_IDSATRSTIS_i,
     modelVar_IDSATRGATS_i,
     modelVar_XJUNSTIS_i,
     modelVar_XJUNGATS_i,
     modelVar_CSRHBOTS_i,
     modelVar_CSRHSTIS_i,
     modelVar_CSRHGATS_i,
     modelVar_CTATBOTS_i,
     modelVar_CTATSTIS_i,
     modelVar_CTATGATS_i,
     modelVar_MEFFTATBOTS_i,
     modelVar_MEFFTATSTIS_i,
     modelVar_MEFFTATGATS_i,
     modelVar_CBBTBOTS_i,
     modelVar_CBBTSTIS_i,
     modelVar_CBBTGATS_i,
     modelVar_FBBTRBOTS_i,
     modelVar_FBBTRSTIS_i,
     modelVar_FBBTRGATS_i,
     modelVar_STFBBTBOTS_i,
     modelVar_STFBBTSTIS_i,
     modelVar_STFBBTGATS_i,
     modelVar_VBRBOTS_i,
     modelVar_VBRSTIS_i,
     modelVar_VBRGATS_i,
     modelVar_PBRBOTS_i,
     modelVar_PBRSTIS_i,
     modelVar_PBRGATS_i,
     modelVar_CJORBOTD_i,
     modelVar_CJORSTID_i,
     modelVar_CJORGATD_i,
     modelVar_VBIRBOTD_i,
     modelVar_VBIRSTID_i,
     modelVar_VBIRGATD_i,
     modelVar_PBOTD_i,
     modelVar_PSTID_i,
     modelVar_PGATD_i,
     modelVar_PHIGBOTD_i,
     modelVar_PHIGSTID_i,
     modelVar_PHIGGATD_i,
     modelVar_IDSATRBOTD_i,
     modelVar_IDSATRSTID_i,
     modelVar_IDSATRGATD_i,
     modelVar_XJUNSTID_i,
     modelVar_XJUNGATD_i,
     modelVar_CSRHBOTD_i,
     modelVar_CSRHSTID_i,
     modelVar_CSRHGATD_i,
     modelVar_CTATBOTD_i,
     modelVar_CTATSTID_i,
     modelVar_CTATGATD_i,
     modelVar_MEFFTATBOTD_i,
     modelVar_MEFFTATSTID_i,
     modelVar_MEFFTATGATD_i,
     modelVar_CBBTBOTD_i,
     modelVar_CBBTSTID_i,
     modelVar_CBBTGATD_i,
     modelVar_FBBTRBOTD_i,
     modelVar_FBBTRSTID_i,
     modelVar_FBBTRGATD_i,
     modelVar_STFBBTBOTD_i,
     modelVar_STFBBTSTID_i,
     modelVar_STFBBTGATD_i,
     modelVar_VBRBOTD_i,
     modelVar_VBRSTID_i,
     modelVar_VBRGATD_i,
     modelVar_PBRBOTD_i,
     modelVar_PBRSTID_i,
     modelVar_PBRGATD_i,
     modelVar_VJUNREFS_i,
     modelVar_FJUNQS_i,
     modelVar_VJUNREFD_i,
     modelVar_FJUNQD_i,
     modelVar_phigrbot_s,
     modelVar_phigrsti_s,
     modelVar_phigrgat_s,
     modelVar_phigdbot_s,
     modelVar_phigdsti_s,
     modelVar_phigdgat_s,
     modelVar_ftdbot_s,
     modelVar_ftdsti_s,
     modelVar_ftdgat_s,
     modelVar_idsatbot_s,
     modelVar_idsatsti_s,
     modelVar_idsatgat_s,
     modelVar_ubibot_s,
     modelVar_ubisti_s,
     modelVar_ubigat_s,
     modelVar_vbibot_s,
     modelVar_vbisti_s,
     modelVar_vbigat_s,
     modelVar_vbiinvbot_s,
     modelVar_vbiinvsti_s,
     modelVar_vbiinvgat_s,
     modelVar_one_minus_PBOT_s,
     modelVar_one_minus_PSTI_s,
     modelVar_one_minus_PGAT_s,
     modelVar_one_over_one_minus_PBOT_s,
     modelVar_one_over_one_minus_PSTI_s,
     modelVar_one_over_one_minus_PGAT_s,
     modelVar_cjobot_s,
     modelVar_cjosti_s,
     modelVar_cjogat_s,
     modelVar_qprefbot_s,
     modelVar_qprefsti_s,
     modelVar_qprefgat_s,
     modelVar_qpref2bot_s,
     modelVar_qpref2sti_s,
     modelVar_qpref2gat_s,
     modelVar_wdepnulrbot_s,
     modelVar_wdepnulrsti_s,
     modelVar_wdepnulrgat_s,
     modelVar_wdepnulrinvbot_s,
     modelVar_wdepnulrinvsti_s,
     modelVar_wdepnulrinvgat_s,
     modelVar_VBIRBOTinv_s,
     modelVar_VBIRSTIinv_s,
     modelVar_VBIRGATinv_s,
     modelVar_deltaEbot_s,
     modelVar_deltaEsti_s,
     modelVar_deltaEgat_s,
     modelVar_atatbot_s,
     modelVar_atatsti_s,
     modelVar_atatgat_s,
     modelVar_btatpartbot_s,
     modelVar_btatpartsti_s,
     modelVar_btatpartgat_s,
     modelVar_fbbtbot_s,
     modelVar_fbbtsti_s,
     modelVar_fbbtgat_s,
     modelVar_fstopbot_s,
     modelVar_fstopsti_s,
     modelVar_fstopgat_s,
     modelVar_VBRinvbot_s,
     modelVar_VBRinvsti_s,
     modelVar_VBRinvgat_s,
     modelVar_slopebot_s,
     modelVar_slopesti_s,
     modelVar_slopegat_s,
     modelVar_phigrbot_d,
     modelVar_phigrsti_d,
     modelVar_phigrgat_d,
     modelVar_phigdbot_d,
     modelVar_phigdsti_d,
     modelVar_phigdgat_d,
     modelVar_ftdbot_d,
     modelVar_ftdsti_d,
     modelVar_ftdgat_d,
     modelVar_idsatbot_d,
     modelVar_idsatsti_d,
     modelVar_idsatgat_d,
     modelVar_ubibot_d,
     modelVar_ubisti_d,
     modelVar_ubigat_d,
     modelVar_vbibot_d,
     modelVar_vbisti_d,
     modelVar_vbigat_d,
     modelVar_vbiinvbot_d,
     modelVar_vbiinvsti_d,
     modelVar_vbiinvgat_d,
     modelVar_one_minus_PBOT_d,
     modelVar_one_minus_PSTI_d,
     modelVar_one_minus_PGAT_d,
     modelVar_one_over_one_minus_PBOT_d,
     modelVar_one_over_one_minus_PSTI_d,
     modelVar_one_over_one_minus_PGAT_d,
     modelVar_cjobot_d,
     modelVar_cjosti_d,
     modelVar_cjogat_d,
     modelVar_qprefbot_d,
     modelVar_qprefsti_d,
     modelVar_qprefgat_d,
     modelVar_qpref2bot_d,
     modelVar_qpref2sti_d,
     modelVar_qpref2gat_d,
     modelVar_wdepnulrbot_d,
     modelVar_wdepnulrsti_d,
     modelVar_wdepnulrgat_d,
     modelVar_wdepnulrinvbot_d,
     modelVar_wdepnulrinvsti_d,
     modelVar_wdepnulrinvgat_d,
     modelVar_VBIRBOTinv_d,
     modelVar_VBIRSTIinv_d,
     modelVar_VBIRGATinv_d,
     modelVar_deltaEbot_d,
     modelVar_deltaEsti_d,
     modelVar_deltaEgat_d,
     modelVar_atatbot_d,
     modelVar_atatsti_d,
     modelVar_atatgat_d,
     modelVar_btatpartbot_d,
     modelVar_btatpartsti_d,
     modelVar_btatpartgat_d,
     modelVar_fbbtbot_d,
     modelVar_fbbtsti_d,
     modelVar_fbbtgat_d,
     modelVar_fstopbot_d,
     modelVar_fstopsti_d,
     modelVar_fstopgat_d,
     modelVar_VBRinvbot_d,
     modelVar_VBRinvsti_d,
     modelVar_VBRinvgat_d,
     modelVar_slopebot_d,
     modelVar_slopesti_d,
     modelVar_slopegat_d,
     // non-reals
     modelVar_CHNL_TYPE,
     modelVar_SWGEO_i,
     modelVar_SWIGATE_i,
     modelVar_SWIMPACT_i,
     modelVar_SWGIDL_i,
     modelVar_SWJUNCAP_i,
     modelVar_SWJUNASYM_i,
     modelVar_SWNUD_i,
     modelVar_SWDELVTAC_i,
     mod.admsModTemp);
  evaluateInitialInstance(
     // instance parameters
     // reals
     instancePar_L,
     instancePar_given_L,
     instancePar_W,
     instancePar_given_W,
     instancePar_SA,
     instancePar_given_SA,
     instancePar_SB,
     instancePar_given_SB,
     instancePar_SD,
     instancePar_given_SD,
     instancePar_SCA,
     instancePar_given_SCA,
     instancePar_SCB,
     instancePar_given_SCB,
     instancePar_SCC,
     instancePar_given_SCC,
     instancePar_SC,
     instancePar_given_SC,
     instancePar_NF,
     instancePar_given_NF,
     instancePar_NGCON,
     instancePar_given_NGCON,
     instancePar_XGW,
     instancePar_given_XGW,
     instancePar_NRS,
     instancePar_given_NRS,
     instancePar_NRD,
     instancePar_given_NRD,
     instancePar_JW,
     instancePar_given_JW,
     instancePar_DELVTO,
     instancePar_given_DELVTO,
     instancePar_FACTUO,
     instancePar_given_FACTUO,
     instancePar_ABSOURCE,
     instancePar_given_ABSOURCE,
     instancePar_LSSOURCE,
     instancePar_given_LSSOURCE,
     instancePar_LGSOURCE,
     instancePar_given_LGSOURCE,
     instancePar_ABDRAIN,
     instancePar_given_ABDRAIN,
     instancePar_LSDRAIN,
     instancePar_given_LSDRAIN,
     instancePar_LGDRAIN,
     instancePar_given_LGDRAIN,
     instancePar_AS,
     instancePar_given_AS,
     instancePar_PS,
     instancePar_given_PS,
     instancePar_AD,
     instancePar_given_AD,
     instancePar_PD,
     instancePar_given_PD,
     instancePar_MULT,
     instancePar_given_MULT,
     // instance variables
     // reals
     instanceVar_VFB_i,
     instanceVar_GFACNUD_i,
     instanceVar_VNSUB_i,
     instanceVar_NSLP_i,
     instanceVar_DNSUB_i,
     instanceVar_CF_i,
     instanceVar_CFB_i,
     instanceVar_MUE_i,
     instanceVar_THEMU_i,
     instanceVar_CS_i,
     instanceVar_XCOR_i,
     instanceVar_THER_i,
     instanceVar_RSB_i,
     instanceVar_RSG_i,
     instanceVar_THESAT_i,
     instanceVar_THESATB_i,
     instanceVar_THESATG_i,
     instanceVar_AX_i,
     instanceVar_ALP_i,
     instanceVar_ALP1_i,
     instanceVar_ALP2_i,
     instanceVar_A1_i,
     instanceVar_A2_i,
     instanceVar_A3_i,
     instanceVar_A4_i,
     instanceVar_IGINV_i,
     instanceVar_IGOV_i,
     instanceVar_IGOVD_i,
     instanceVar_GC2_i,
     instanceVar_GC3_i,
     instanceVar_CHIB_i,
     instanceVar_AGIDL_i,
     instanceVar_BGIDL_i,
     instanceVar_CGIDL_i,
     instanceVar_AGIDLD_i,
     instanceVar_BGIDLD_i,
     instanceVar_CGIDLD_i,
     instanceVar_COX_i,
     instanceVar_CGOV_i,
     instanceVar_CGOVD_i,
     instanceVar_CGBOV_i,
     instanceVar_CFR_i,
     instanceVar_CFRD_i,
     instanceVar_MULT_i,
     instanceVar_BET_i,
     instanceVar_kp,
     instanceVar_qq,
     instanceVar_qlim2,
     instanceVar_E_eff0,
     instanceVar_eta_mu,
     instanceVar_eta_mu1,
     instanceVar_BCH,
     instanceVar_BOV,
     instanceVar_inv_CHIB,
     instanceVar_GCQ,
     instanceVar_Dch,
     instanceVar_Dov,
     instanceVar_x1,
     instanceVar_Vdsat_lim,
     instanceVar_GOV_s,
     instanceVar_GOV_d,
     instanceVar_GOV2_s,
     instanceVar_GOV2_d,
     instanceVar_BOV_d,
     instanceVar_xi_ov_s,
     instanceVar_xi_ov_d,
     instanceVar_inv_xi_ov_s,
     instanceVar_inv_xi_ov_d,
     instanceVar_x_mrg_ov_s,
     instanceVar_x_mrg_ov_d,
     instanceVar_inv_xg1_s,
     instanceVar_inv_xg1_d,
     instanceVar_phit1,
     instanceVar_inv_phit1,
     instanceVar_alpha_b,
     instanceVar_inv_VP,
     instanceVar_inv_AX,
     instanceVar_us1,
     instanceVar_us21,
     instanceVar_phib_dc,
     instanceVar_sqrt_phib_dc,
     instanceVar_G_0_dc,
     instanceVar_aphi_dc,
     instanceVar_bphi_dc,
     instanceVar_phix_dc,
     instanceVar_phix1_dc,
     instanceVar_phib_ac,
     instanceVar_sqrt_phib_ac,
     instanceVar_G_0_ac,
     instanceVar_aphi_ac,
     instanceVar_bphi_ac,
     instanceVar_phix_ac,
     instanceVar_phix1_ac,
     instanceVar_RG_i,
     instanceVar_RSE_i,
     instanceVar_RDE_i,
     instanceVar_RBULK_i,
     instanceVar_RWELL_i,
     instanceVar_RJUNS_i,
     instanceVar_RJUND_i,
     instanceVar_ggate,
     instanceVar_gsource,
     instanceVar_gdrain,
     instanceVar_gbulk,
     instanceVar_gwell,
     instanceVar_gjund,
     instanceVar_gjuns,
     instanceVar_tmpv,
     instanceVar_vjv,
     instanceVar_idmult,
     instanceVar_vj,
     instanceVar_zinv,
     instanceVar_vjsrh,
     instanceVar_vav,
     instanceVar_vbi_minus_vjsrh,
     instanceVar_wsrh,
     instanceVar_wdep,
     instanceVar_asrh,
     instanceVar_ABSOURCE_i,
     instanceVar_LSSOURCE_i,
     instanceVar_LGSOURCE_i,
     instanceVar_zflagbot_s,
     instanceVar_zflagsti_s,
     instanceVar_zflaggat_s,
     instanceVar_VMAX_s,
     instanceVar_exp_VMAX_over_phitd_s,
     instanceVar_vbimin_s,
     instanceVar_vch_s,
     instanceVar_vfmin_s,
     instanceVar_vbbtlim_s,
     instanceVar_ijunbot_s,
     instanceVar_qjunbot_s,
     instanceVar_ijunsti_s,
     instanceVar_qjunsti_s,
     instanceVar_ijungat_s,
     instanceVar_qjungat_s,
     instanceVar_ijun_s,
     instanceVar_qjun_s,
     instanceVar_xhighf1_s,
     instanceVar_expxhf1_s,
     instanceVar_xhighf2_s,
     instanceVar_expxhf2_s,
     instanceVar_xhighr_s,
     instanceVar_expxhr_s,
     instanceVar_m0flag_s,
     instanceVar_ISATFOR1_s,
     instanceVar_MFOR1_s,
     instanceVar_ISATFOR2_s,
     instanceVar_MFOR2_s,
     instanceVar_ISATREV_s,
     instanceVar_MREV_s,
     instanceVar_ABDRAIN_i,
     instanceVar_LSDRAIN_i,
     instanceVar_LGDRAIN_i,
     instanceVar_zflagbot_d,
     instanceVar_zflagsti_d,
     instanceVar_zflaggat_d,
     instanceVar_VMAX_d,
     instanceVar_exp_VMAX_over_phitd_d,
     instanceVar_vbimin_d,
     instanceVar_vch_d,
     instanceVar_vfmin_d,
     instanceVar_vbbtlim_d,
     instanceVar_ijunbot_d,
     instanceVar_qjunbot_d,
     instanceVar_ijunsti_d,
     instanceVar_qjunsti_d,
     instanceVar_ijungat_d,
     instanceVar_qjungat_d,
     instanceVar_ijun_d,
     instanceVar_qjun_d,
     instanceVar_xhighf1_d,
     instanceVar_expxhf1_d,
     instanceVar_xhighf2_d,
     instanceVar_expxhf2_d,
     instanceVar_xhighr_d,
     instanceVar_expxhr_d,
     instanceVar_m0flag_d,
     instanceVar_ISATFOR1_d,
     instanceVar_MFOR1_d,
     instanceVar_ISATFOR2_d,
     instanceVar_MFOR2_d,
     instanceVar_ISATREV_d,
     instanceVar_MREV_d,
     // model parameters
     // reals
     modelPar_LEVEL,
     modelPar_given_LEVEL,
     modelPar_TYPE,
     modelPar_given_TYPE,
     modelPar_TR,
     modelPar_given_TR,
     modelPar_SWGEO,
     modelPar_given_SWGEO,
     modelPar_SWIGATE,
     modelPar_given_SWIGATE,
     modelPar_SWIMPACT,
     modelPar_given_SWIMPACT,
     modelPar_SWGIDL,
     modelPar_given_SWGIDL,
     modelPar_SWJUNCAP,
     modelPar_given_SWJUNCAP,
     modelPar_SWJUNASYM,
     modelPar_given_SWJUNASYM,
     modelPar_SWNUD,
     modelPar_given_SWNUD,
     modelPar_SWDELVTAC,
     modelPar_given_SWDELVTAC,
     modelPar_QMC,
     modelPar_given_QMC,
     modelPar_VFB,
     modelPar_given_VFB,
     modelPar_STVFB,
     modelPar_given_STVFB,
     modelPar_TOX,
     modelPar_given_TOX,
     modelPar_EPSROX,
     modelPar_given_EPSROX,
     modelPar_NEFF,
     modelPar_given_NEFF,
     modelPar_FACNEFFAC,
     modelPar_given_FACNEFFAC,
     modelPar_GFACNUD,
     modelPar_given_GFACNUD,
     modelPar_VSBNUD,
     modelPar_given_VSBNUD,
     modelPar_DVSBNUD,
     modelPar_given_DVSBNUD,
     modelPar_VNSUB,
     modelPar_given_VNSUB,
     modelPar_NSLP,
     modelPar_given_NSLP,
     modelPar_DNSUB,
     modelPar_given_DNSUB,
     modelPar_DPHIB,
     modelPar_given_DPHIB,
     modelPar_DELVTAC,
     modelPar_given_DELVTAC,
     modelPar_NP,
     modelPar_given_NP,
     modelPar_CT,
     modelPar_given_CT,
     modelPar_TOXOV,
     modelPar_given_TOXOV,
     modelPar_TOXOVD,
     modelPar_given_TOXOVD,
     modelPar_NOV,
     modelPar_given_NOV,
     modelPar_NOVD,
     modelPar_given_NOVD,
     modelPar_CF,
     modelPar_given_CF,
     modelPar_CFB,
     modelPar_given_CFB,
     modelPar_BETN,
     modelPar_given_BETN,
     modelPar_STBET,
     modelPar_given_STBET,
     modelPar_MUE,
     modelPar_given_MUE,
     modelPar_STMUE,
     modelPar_given_STMUE,
     modelPar_THEMU,
     modelPar_given_THEMU,
     modelPar_STTHEMU,
     modelPar_given_STTHEMU,
     modelPar_CS,
     modelPar_given_CS,
     modelPar_STCS,
     modelPar_given_STCS,
     modelPar_XCOR,
     modelPar_given_XCOR,
     modelPar_STXCOR,
     modelPar_given_STXCOR,
     modelPar_FETA,
     modelPar_given_FETA,
     modelPar_RS,
     modelPar_given_RS,
     modelPar_STRS,
     modelPar_given_STRS,
     modelPar_RSB,
     modelPar_given_RSB,
     modelPar_RSG,
     modelPar_given_RSG,
     modelPar_THESAT,
     modelPar_given_THESAT,
     modelPar_STTHESAT,
     modelPar_given_STTHESAT,
     modelPar_THESATB,
     modelPar_given_THESATB,
     modelPar_THESATG,
     modelPar_given_THESATG,
     modelPar_AX,
     modelPar_given_AX,
     modelPar_ALP,
     modelPar_given_ALP,
     modelPar_ALP1,
     modelPar_given_ALP1,
     modelPar_ALP2,
     modelPar_given_ALP2,
     modelPar_VP,
     modelPar_given_VP,
     modelPar_A1,
     modelPar_given_A1,
     modelPar_A2,
     modelPar_given_A2,
     modelPar_STA2,
     modelPar_given_STA2,
     modelPar_A3,
     modelPar_given_A3,
     modelPar_A4,
     modelPar_given_A4,
     modelPar_GCO,
     modelPar_given_GCO,
     modelPar_IGINV,
     modelPar_given_IGINV,
     modelPar_IGOV,
     modelPar_given_IGOV,
     modelPar_IGOVD,
     modelPar_given_IGOVD,
     modelPar_STIG,
     modelPar_given_STIG,
     modelPar_GC2,
     modelPar_given_GC2,
     modelPar_GC3,
     modelPar_given_GC3,
     modelPar_CHIB,
     modelPar_given_CHIB,
     modelPar_AGIDL,
     modelPar_given_AGIDL,
     modelPar_AGIDLD,
     modelPar_given_AGIDLD,
     modelPar_BGIDL,
     modelPar_given_BGIDL,
     modelPar_BGIDLD,
     modelPar_given_BGIDLD,
     modelPar_STBGIDL,
     modelPar_given_STBGIDL,
     modelPar_STBGIDLD,
     modelPar_given_STBGIDLD,
     modelPar_CGIDL,
     modelPar_given_CGIDL,
     modelPar_CGIDLD,
     modelPar_given_CGIDLD,
     modelPar_COX,
     modelPar_given_COX,
     modelPar_CGOV,
     modelPar_given_CGOV,
     modelPar_CGOVD,
     modelPar_given_CGOVD,
     modelPar_CGBOV,
     modelPar_given_CGBOV,
     modelPar_CFR,
     modelPar_given_CFR,
     modelPar_CFRD,
     modelPar_given_CFRD,
     modelPar_FNT,
     modelPar_given_FNT,
     modelPar_NFA,
     modelPar_given_NFA,
     modelPar_NFB,
     modelPar_given_NFB,
     modelPar_NFC,
     modelPar_given_NFC,
     modelPar_EF,
     modelPar_given_EF,
     modelPar_RG,
     modelPar_given_RG,
     modelPar_RSE,
     modelPar_given_RSE,
     modelPar_RDE,
     modelPar_given_RDE,
     modelPar_RBULK,
     modelPar_given_RBULK,
     modelPar_RWELL,
     modelPar_given_RWELL,
     modelPar_RJUNS,
     modelPar_given_RJUNS,
     modelPar_RJUND,
     modelPar_given_RJUND,
     modelPar_POVFB,
     modelPar_given_POVFB,
     modelPar_PLVFB,
     modelPar_given_PLVFB,
     modelPar_PWVFB,
     modelPar_given_PWVFB,
     modelPar_PLWVFB,
     modelPar_given_PLWVFB,
     modelPar_POSTVFB,
     modelPar_given_POSTVFB,
     modelPar_PLSTVFB,
     modelPar_given_PLSTVFB,
     modelPar_PWSTVFB,
     modelPar_given_PWSTVFB,
     modelPar_PLWSTVFB,
     modelPar_given_PLWSTVFB,
     modelPar_POTOX,
     modelPar_given_POTOX,
     modelPar_POEPSROX,
     modelPar_given_POEPSROX,
     modelPar_PONEFF,
     modelPar_given_PONEFF,
     modelPar_PLNEFF,
     modelPar_given_PLNEFF,
     modelPar_PWNEFF,
     modelPar_given_PWNEFF,
     modelPar_PLWNEFF,
     modelPar_given_PLWNEFF,
     modelPar_POFACNEFFAC,
     modelPar_given_POFACNEFFAC,
     modelPar_PLFACNEFFAC,
     modelPar_given_PLFACNEFFAC,
     modelPar_PWFACNEFFAC,
     modelPar_given_PWFACNEFFAC,
     modelPar_PLWFACNEFFAC,
     modelPar_given_PLWFACNEFFAC,
     modelPar_POGFACNUD,
     modelPar_given_POGFACNUD,
     modelPar_PLGFACNUD,
     modelPar_given_PLGFACNUD,
     modelPar_PWGFACNUD,
     modelPar_given_PWGFACNUD,
     modelPar_PLWGFACNUD,
     modelPar_given_PLWGFACNUD,
     modelPar_POVSBNUD,
     modelPar_given_POVSBNUD,
     modelPar_PODVSBNUD,
     modelPar_given_PODVSBNUD,
     modelPar_POVNSUB,
     modelPar_given_POVNSUB,
     modelPar_PONSLP,
     modelPar_given_PONSLP,
     modelPar_PODNSUB,
     modelPar_given_PODNSUB,
     modelPar_PODPHIB,
     modelPar_given_PODPHIB,
     modelPar_PLDPHIB,
     modelPar_given_PLDPHIB,
     modelPar_PWDPHIB,
     modelPar_given_PWDPHIB,
     modelPar_PLWDPHIB,
     modelPar_given_PLWDPHIB,
     modelPar_PODELVTAC,
     modelPar_given_PODELVTAC,
     modelPar_PLDELVTAC,
     modelPar_given_PLDELVTAC,
     modelPar_PWDELVTAC,
     modelPar_given_PWDELVTAC,
     modelPar_PLWDELVTAC,
     modelPar_given_PLWDELVTAC,
     modelPar_PONP,
     modelPar_given_PONP,
     modelPar_PLNP,
     modelPar_given_PLNP,
     modelPar_PWNP,
     modelPar_given_PWNP,
     modelPar_PLWNP,
     modelPar_given_PLWNP,
     modelPar_POCT,
     modelPar_given_POCT,
     modelPar_PLCT,
     modelPar_given_PLCT,
     modelPar_PWCT,
     modelPar_given_PWCT,
     modelPar_PLWCT,
     modelPar_given_PLWCT,
     modelPar_POTOXOV,
     modelPar_given_POTOXOV,
     modelPar_POTOXOVD,
     modelPar_given_POTOXOVD,
     modelPar_PONOV,
     modelPar_given_PONOV,
     modelPar_PLNOV,
     modelPar_given_PLNOV,
     modelPar_PWNOV,
     modelPar_given_PWNOV,
     modelPar_PLWNOV,
     modelPar_given_PLWNOV,
     modelPar_PONOVD,
     modelPar_given_PONOVD,
     modelPar_PLNOVD,
     modelPar_given_PLNOVD,
     modelPar_PWNOVD,
     modelPar_given_PWNOVD,
     modelPar_PLWNOVD,
     modelPar_given_PLWNOVD,
     modelPar_POCF,
     modelPar_given_POCF,
     modelPar_PLCF,
     modelPar_given_PLCF,
     modelPar_PWCF,
     modelPar_given_PWCF,
     modelPar_PLWCF,
     modelPar_given_PLWCF,
     modelPar_POCFB,
     modelPar_given_POCFB,
     modelPar_POBETN,
     modelPar_given_POBETN,
     modelPar_PLBETN,
     modelPar_given_PLBETN,
     modelPar_PWBETN,
     modelPar_given_PWBETN,
     modelPar_PLWBETN,
     modelPar_given_PLWBETN,
     modelPar_POSTBET,
     modelPar_given_POSTBET,
     modelPar_PLSTBET,
     modelPar_given_PLSTBET,
     modelPar_PWSTBET,
     modelPar_given_PWSTBET,
     modelPar_PLWSTBET,
     modelPar_given_PLWSTBET,
     modelPar_POMUE,
     modelPar_given_POMUE,
     modelPar_PLMUE,
     modelPar_given_PLMUE,
     modelPar_PWMUE,
     modelPar_given_PWMUE,
     modelPar_PLWMUE,
     modelPar_given_PLWMUE,
     modelPar_POSTMUE,
     modelPar_given_POSTMUE,
     modelPar_POTHEMU,
     modelPar_given_POTHEMU,
     modelPar_POSTTHEMU,
     modelPar_given_POSTTHEMU,
     modelPar_POCS,
     modelPar_given_POCS,
     modelPar_PLCS,
     modelPar_given_PLCS,
     modelPar_PWCS,
     modelPar_given_PWCS,
     modelPar_PLWCS,
     modelPar_given_PLWCS,
     modelPar_POSTCS,
     modelPar_given_POSTCS,
     modelPar_POXCOR,
     modelPar_given_POXCOR,
     modelPar_PLXCOR,
     modelPar_given_PLXCOR,
     modelPar_PWXCOR,
     modelPar_given_PWXCOR,
     modelPar_PLWXCOR,
     modelPar_given_PLWXCOR,
     modelPar_POSTXCOR,
     modelPar_given_POSTXCOR,
     modelPar_POFETA,
     modelPar_given_POFETA,
     modelPar_PORS,
     modelPar_given_PORS,
     modelPar_PLRS,
     modelPar_given_PLRS,
     modelPar_PWRS,
     modelPar_given_PWRS,
     modelPar_PLWRS,
     modelPar_given_PLWRS,
     modelPar_POSTRS,
     modelPar_given_POSTRS,
     modelPar_PORSB,
     modelPar_given_PORSB,
     modelPar_PORSG,
     modelPar_given_PORSG,
     modelPar_POTHESAT,
     modelPar_given_POTHESAT,
     modelPar_PLTHESAT,
     modelPar_given_PLTHESAT,
     modelPar_PWTHESAT,
     modelPar_given_PWTHESAT,
     modelPar_PLWTHESAT,
     modelPar_given_PLWTHESAT,
     modelPar_POSTTHESAT,
     modelPar_given_POSTTHESAT,
     modelPar_PLSTTHESAT,
     modelPar_given_PLSTTHESAT,
     modelPar_PWSTTHESAT,
     modelPar_given_PWSTTHESAT,
     modelPar_PLWSTTHESAT,
     modelPar_given_PLWSTTHESAT,
     modelPar_POTHESATB,
     modelPar_given_POTHESATB,
     modelPar_PLTHESATB,
     modelPar_given_PLTHESATB,
     modelPar_PWTHESATB,
     modelPar_given_PWTHESATB,
     modelPar_PLWTHESATB,
     modelPar_given_PLWTHESATB,
     modelPar_POTHESATG,
     modelPar_given_POTHESATG,
     modelPar_PLTHESATG,
     modelPar_given_PLTHESATG,
     modelPar_PWTHESATG,
     modelPar_given_PWTHESATG,
     modelPar_PLWTHESATG,
     modelPar_given_PLWTHESATG,
     modelPar_POAX,
     modelPar_given_POAX,
     modelPar_PLAX,
     modelPar_given_PLAX,
     modelPar_PWAX,
     modelPar_given_PWAX,
     modelPar_PLWAX,
     modelPar_given_PLWAX,
     modelPar_POALP,
     modelPar_given_POALP,
     modelPar_PLALP,
     modelPar_given_PLALP,
     modelPar_PWALP,
     modelPar_given_PWALP,
     modelPar_PLWALP,
     modelPar_given_PLWALP,
     modelPar_POALP1,
     modelPar_given_POALP1,
     modelPar_PLALP1,
     modelPar_given_PLALP1,
     modelPar_PWALP1,
     modelPar_given_PWALP1,
     modelPar_PLWALP1,
     modelPar_given_PLWALP1,
     modelPar_POALP2,
     modelPar_given_POALP2,
     modelPar_PLALP2,
     modelPar_given_PLALP2,
     modelPar_PWALP2,
     modelPar_given_PWALP2,
     modelPar_PLWALP2,
     modelPar_given_PLWALP2,
     modelPar_POVP,
     modelPar_given_POVP,
     modelPar_POA1,
     modelPar_given_POA1,
     modelPar_PLA1,
     modelPar_given_PLA1,
     modelPar_PWA1,
     modelPar_given_PWA1,
     modelPar_PLWA1,
     modelPar_given_PLWA1,
     modelPar_POA2,
     modelPar_given_POA2,
     modelPar_POSTA2,
     modelPar_given_POSTA2,
     modelPar_POA3,
     modelPar_given_POA3,
     modelPar_PLA3,
     modelPar_given_PLA3,
     modelPar_PWA3,
     modelPar_given_PWA3,
     modelPar_PLWA3,
     modelPar_given_PLWA3,
     modelPar_POA4,
     modelPar_given_POA4,
     modelPar_PLA4,
     modelPar_given_PLA4,
     modelPar_PWA4,
     modelPar_given_PWA4,
     modelPar_PLWA4,
     modelPar_given_PLWA4,
     modelPar_POGCO,
     modelPar_given_POGCO,
     modelPar_POIGINV,
     modelPar_given_POIGINV,
     modelPar_PLIGINV,
     modelPar_given_PLIGINV,
     modelPar_PWIGINV,
     modelPar_given_PWIGINV,
     modelPar_PLWIGINV,
     modelPar_given_PLWIGINV,
     modelPar_POIGOV,
     modelPar_given_POIGOV,
     modelPar_PLIGOV,
     modelPar_given_PLIGOV,
     modelPar_PWIGOV,
     modelPar_given_PWIGOV,
     modelPar_PLWIGOV,
     modelPar_given_PLWIGOV,
     modelPar_POIGOVD,
     modelPar_given_POIGOVD,
     modelPar_PLIGOVD,
     modelPar_given_PLIGOVD,
     modelPar_PWIGOVD,
     modelPar_given_PWIGOVD,
     modelPar_PLWIGOVD,
     modelPar_given_PLWIGOVD,
     modelPar_POSTIG,
     modelPar_given_POSTIG,
     modelPar_POGC2,
     modelPar_given_POGC2,
     modelPar_POGC3,
     modelPar_given_POGC3,
     modelPar_POCHIB,
     modelPar_given_POCHIB,
     modelPar_POAGIDL,
     modelPar_given_POAGIDL,
     modelPar_PLAGIDL,
     modelPar_given_PLAGIDL,
     modelPar_PWAGIDL,
     modelPar_given_PWAGIDL,
     modelPar_PLWAGIDL,
     modelPar_given_PLWAGIDL,
     modelPar_POAGIDLD,
     modelPar_given_POAGIDLD,
     modelPar_PLAGIDLD,
     modelPar_given_PLAGIDLD,
     modelPar_PWAGIDLD,
     modelPar_given_PWAGIDLD,
     modelPar_PLWAGIDLD,
     modelPar_given_PLWAGIDLD,
     modelPar_POBGIDL,
     modelPar_given_POBGIDL,
     modelPar_POBGIDLD,
     modelPar_given_POBGIDLD,
     modelPar_POSTBGIDL,
     modelPar_given_POSTBGIDL,
     modelPar_POSTBGIDLD,
     modelPar_given_POSTBGIDLD,
     modelPar_POCGIDL,
     modelPar_given_POCGIDL,
     modelPar_POCGIDLD,
     modelPar_given_POCGIDLD,
     modelPar_POCOX,
     modelPar_given_POCOX,
     modelPar_PLCOX,
     modelPar_given_PLCOX,
     modelPar_PWCOX,
     modelPar_given_PWCOX,
     modelPar_PLWCOX,
     modelPar_given_PLWCOX,
     modelPar_POCGOV,
     modelPar_given_POCGOV,
     modelPar_PLCGOV,
     modelPar_given_PLCGOV,
     modelPar_PWCGOV,
     modelPar_given_PWCGOV,
     modelPar_PLWCGOV,
     modelPar_given_PLWCGOV,
     modelPar_POCGOVD,
     modelPar_given_POCGOVD,
     modelPar_PLCGOVD,
     modelPar_given_PLCGOVD,
     modelPar_PWCGOVD,
     modelPar_given_PWCGOVD,
     modelPar_PLWCGOVD,
     modelPar_given_PLWCGOVD,
     modelPar_POCGBOV,
     modelPar_given_POCGBOV,
     modelPar_PLCGBOV,
     modelPar_given_PLCGBOV,
     modelPar_PWCGBOV,
     modelPar_given_PWCGBOV,
     modelPar_PLWCGBOV,
     modelPar_given_PLWCGBOV,
     modelPar_POCFR,
     modelPar_given_POCFR,
     modelPar_PLCFR,
     modelPar_given_PLCFR,
     modelPar_PWCFR,
     modelPar_given_PWCFR,
     modelPar_PLWCFR,
     modelPar_given_PLWCFR,
     modelPar_POCFRD,
     modelPar_given_POCFRD,
     modelPar_PLCFRD,
     modelPar_given_PLCFRD,
     modelPar_PWCFRD,
     modelPar_given_PWCFRD,
     modelPar_PLWCFRD,
     modelPar_given_PLWCFRD,
     modelPar_POFNT,
     modelPar_given_POFNT,
     modelPar_PONFA,
     modelPar_given_PONFA,
     modelPar_PLNFA,
     modelPar_given_PLNFA,
     modelPar_PWNFA,
     modelPar_given_PWNFA,
     modelPar_PLWNFA,
     modelPar_given_PLWNFA,
     modelPar_PONFB,
     modelPar_given_PONFB,
     modelPar_PLNFB,
     modelPar_given_PLNFB,
     modelPar_PWNFB,
     modelPar_given_PWNFB,
     modelPar_PLWNFB,
     modelPar_given_PLWNFB,
     modelPar_PONFC,
     modelPar_given_PONFC,
     modelPar_PLNFC,
     modelPar_given_PLNFC,
     modelPar_PWNFC,
     modelPar_given_PWNFC,
     modelPar_PLWNFC,
     modelPar_given_PLWNFC,
     modelPar_POEF,
     modelPar_given_POEF,
     modelPar_POKVTHOWE,
     modelPar_given_POKVTHOWE,
     modelPar_PLKVTHOWE,
     modelPar_given_PLKVTHOWE,
     modelPar_PWKVTHOWE,
     modelPar_given_PWKVTHOWE,
     modelPar_PLWKVTHOWE,
     modelPar_given_PLWKVTHOWE,
     modelPar_POKUOWE,
     modelPar_given_POKUOWE,
     modelPar_PLKUOWE,
     modelPar_given_PLKUOWE,
     modelPar_PWKUOWE,
     modelPar_given_PWKUOWE,
     modelPar_PLWKUOWE,
     modelPar_given_PLWKUOWE,
     modelPar_LMIN,
     modelPar_given_LMIN,
     modelPar_LMAX,
     modelPar_given_LMAX,
     modelPar_WMIN,
     modelPar_given_WMIN,
     modelPar_WMAX,
     modelPar_given_WMAX,
     modelPar_LVARO,
     modelPar_given_LVARO,
     modelPar_LVARL,
     modelPar_given_LVARL,
     modelPar_LVARW,
     modelPar_given_LVARW,
     modelPar_LAP,
     modelPar_given_LAP,
     modelPar_WVARO,
     modelPar_given_WVARO,
     modelPar_WVARL,
     modelPar_given_WVARL,
     modelPar_WVARW,
     modelPar_given_WVARW,
     modelPar_WOT,
     modelPar_given_WOT,
     modelPar_DLQ,
     modelPar_given_DLQ,
     modelPar_DWQ,
     modelPar_given_DWQ,
     modelPar_VFBO,
     modelPar_given_VFBO,
     modelPar_VFBL,
     modelPar_given_VFBL,
     modelPar_VFBW,
     modelPar_given_VFBW,
     modelPar_VFBLW,
     modelPar_given_VFBLW,
     modelPar_STVFBO,
     modelPar_given_STVFBO,
     modelPar_STVFBL,
     modelPar_given_STVFBL,
     modelPar_STVFBW,
     modelPar_given_STVFBW,
     modelPar_STVFBLW,
     modelPar_given_STVFBLW,
     modelPar_TOXO,
     modelPar_given_TOXO,
     modelPar_EPSROXO,
     modelPar_given_EPSROXO,
     modelPar_NSUBO,
     modelPar_given_NSUBO,
     modelPar_NSUBW,
     modelPar_given_NSUBW,
     modelPar_WSEG,
     modelPar_given_WSEG,
     modelPar_NPCK,
     modelPar_given_NPCK,
     modelPar_NPCKW,
     modelPar_given_NPCKW,
     modelPar_WSEGP,
     modelPar_given_WSEGP,
     modelPar_LPCK,
     modelPar_given_LPCK,
     modelPar_LPCKW,
     modelPar_given_LPCKW,
     modelPar_FOL1,
     modelPar_given_FOL1,
     modelPar_FOL2,
     modelPar_given_FOL2,
     modelPar_FACNEFFACO,
     modelPar_given_FACNEFFACO,
     modelPar_FACNEFFACL,
     modelPar_given_FACNEFFACL,
     modelPar_FACNEFFACW,
     modelPar_given_FACNEFFACW,
     modelPar_FACNEFFACLW,
     modelPar_given_FACNEFFACLW,
     modelPar_GFACNUDO,
     modelPar_given_GFACNUDO,
     modelPar_GFACNUDL,
     modelPar_given_GFACNUDL,
     modelPar_GFACNUDLEXP,
     modelPar_given_GFACNUDLEXP,
     modelPar_GFACNUDW,
     modelPar_given_GFACNUDW,
     modelPar_GFACNUDLW,
     modelPar_given_GFACNUDLW,
     modelPar_VSBNUDO,
     modelPar_given_VSBNUDO,
     modelPar_DVSBNUDO,
     modelPar_given_DVSBNUDO,
     modelPar_VNSUBO,
     modelPar_given_VNSUBO,
     modelPar_NSLPO,
     modelPar_given_NSLPO,
     modelPar_DNSUBO,
     modelPar_given_DNSUBO,
     modelPar_DPHIBO,
     modelPar_given_DPHIBO,
     modelPar_DPHIBL,
     modelPar_given_DPHIBL,
     modelPar_DPHIBLEXP,
     modelPar_given_DPHIBLEXP,
     modelPar_DPHIBW,
     modelPar_given_DPHIBW,
     modelPar_DPHIBLW,
     modelPar_given_DPHIBLW,
     modelPar_DELVTACO,
     modelPar_given_DELVTACO,
     modelPar_DELVTACL,
     modelPar_given_DELVTACL,
     modelPar_DELVTACLEXP,
     modelPar_given_DELVTACLEXP,
     modelPar_DELVTACW,
     modelPar_given_DELVTACW,
     modelPar_DELVTACLW,
     modelPar_given_DELVTACLW,
     modelPar_NPO,
     modelPar_given_NPO,
     modelPar_NPL,
     modelPar_given_NPL,
     modelPar_CTO,
     modelPar_given_CTO,
     modelPar_CTL,
     modelPar_given_CTL,
     modelPar_CTLEXP,
     modelPar_given_CTLEXP,
     modelPar_CTW,
     modelPar_given_CTW,
     modelPar_CTLW,
     modelPar_given_CTLW,
     modelPar_TOXOVO,
     modelPar_given_TOXOVO,
     modelPar_TOXOVDO,
     modelPar_given_TOXOVDO,
     modelPar_LOV,
     modelPar_given_LOV,
     modelPar_LOVD,
     modelPar_given_LOVD,
     modelPar_NOVO,
     modelPar_given_NOVO,
     modelPar_NOVDO,
     modelPar_given_NOVDO,
     modelPar_CFL,
     modelPar_given_CFL,
     modelPar_CFLEXP,
     modelPar_given_CFLEXP,
     modelPar_CFW,
     modelPar_given_CFW,
     modelPar_CFBO,
     modelPar_given_CFBO,
     modelPar_UO,
     modelPar_given_UO,
     modelPar_FBET1,
     modelPar_given_FBET1,
     modelPar_FBET1W,
     modelPar_given_FBET1W,
     modelPar_LP1,
     modelPar_given_LP1,
     modelPar_LP1W,
     modelPar_given_LP1W,
     modelPar_FBET2,
     modelPar_given_FBET2,
     modelPar_LP2,
     modelPar_given_LP2,
     modelPar_BETW1,
     modelPar_given_BETW1,
     modelPar_BETW2,
     modelPar_given_BETW2,
     modelPar_WBET,
     modelPar_given_WBET,
     modelPar_STBETO,
     modelPar_given_STBETO,
     modelPar_STBETL,
     modelPar_given_STBETL,
     modelPar_STBETW,
     modelPar_given_STBETW,
     modelPar_STBETLW,
     modelPar_given_STBETLW,
     modelPar_MUEO,
     modelPar_given_MUEO,
     modelPar_MUEW,
     modelPar_given_MUEW,
     modelPar_STMUEO,
     modelPar_given_STMUEO,
     modelPar_THEMUO,
     modelPar_given_THEMUO,
     modelPar_STTHEMUO,
     modelPar_given_STTHEMUO,
     modelPar_CSO,
     modelPar_given_CSO,
     modelPar_CSL,
     modelPar_given_CSL,
     modelPar_CSLEXP,
     modelPar_given_CSLEXP,
     modelPar_CSW,
     modelPar_given_CSW,
     modelPar_CSLW,
     modelPar_given_CSLW,
     modelPar_STCSO,
     modelPar_given_STCSO,
     modelPar_XCORO,
     modelPar_given_XCORO,
     modelPar_XCORL,
     modelPar_given_XCORL,
     modelPar_XCORW,
     modelPar_given_XCORW,
     modelPar_XCORLW,
     modelPar_given_XCORLW,
     modelPar_STXCORO,
     modelPar_given_STXCORO,
     modelPar_FETAO,
     modelPar_given_FETAO,
     modelPar_RSW1,
     modelPar_given_RSW1,
     modelPar_RSW2,
     modelPar_given_RSW2,
     modelPar_STRSO,
     modelPar_given_STRSO,
     modelPar_RSBO,
     modelPar_given_RSBO,
     modelPar_RSGO,
     modelPar_given_RSGO,
     modelPar_THESATO,
     modelPar_given_THESATO,
     modelPar_THESATL,
     modelPar_given_THESATL,
     modelPar_THESATLEXP,
     modelPar_given_THESATLEXP,
     modelPar_THESATW,
     modelPar_given_THESATW,
     modelPar_THESATLW,
     modelPar_given_THESATLW,
     modelPar_STTHESATO,
     modelPar_given_STTHESATO,
     modelPar_STTHESATL,
     modelPar_given_STTHESATL,
     modelPar_STTHESATW,
     modelPar_given_STTHESATW,
     modelPar_STTHESATLW,
     modelPar_given_STTHESATLW,
     modelPar_THESATBO,
     modelPar_given_THESATBO,
     modelPar_THESATGO,
     modelPar_given_THESATGO,
     modelPar_AXO,
     modelPar_given_AXO,
     modelPar_AXL,
     modelPar_given_AXL,
     modelPar_ALPL,
     modelPar_given_ALPL,
     modelPar_ALPLEXP,
     modelPar_given_ALPLEXP,
     modelPar_ALPW,
     modelPar_given_ALPW,
     modelPar_ALP1L1,
     modelPar_given_ALP1L1,
     modelPar_ALP1LEXP,
     modelPar_given_ALP1LEXP,
     modelPar_ALP1L2,
     modelPar_given_ALP1L2,
     modelPar_ALP1W,
     modelPar_given_ALP1W,
     modelPar_ALP2L1,
     modelPar_given_ALP2L1,
     modelPar_ALP2LEXP,
     modelPar_given_ALP2LEXP,
     modelPar_ALP2L2,
     modelPar_given_ALP2L2,
     modelPar_ALP2W,
     modelPar_given_ALP2W,
     modelPar_VPO,
     modelPar_given_VPO,
     modelPar_A1O,
     modelPar_given_A1O,
     modelPar_A1L,
     modelPar_given_A1L,
     modelPar_A1W,
     modelPar_given_A1W,
     modelPar_A2O,
     modelPar_given_A2O,
     modelPar_STA2O,
     modelPar_given_STA2O,
     modelPar_A3O,
     modelPar_given_A3O,
     modelPar_A3L,
     modelPar_given_A3L,
     modelPar_A3W,
     modelPar_given_A3W,
     modelPar_A4O,
     modelPar_given_A4O,
     modelPar_A4L,
     modelPar_given_A4L,
     modelPar_A4W,
     modelPar_given_A4W,
     modelPar_GCOO,
     modelPar_given_GCOO,
     modelPar_IGINVLW,
     modelPar_given_IGINVLW,
     modelPar_IGOVW,
     modelPar_given_IGOVW,
     modelPar_IGOVDW,
     modelPar_given_IGOVDW,
     modelPar_STIGO,
     modelPar_given_STIGO,
     modelPar_GC2O,
     modelPar_given_GC2O,
     modelPar_GC3O,
     modelPar_given_GC3O,
     modelPar_CHIBO,
     modelPar_given_CHIBO,
     modelPar_AGIDLW,
     modelPar_given_AGIDLW,
     modelPar_AGIDLDW,
     modelPar_given_AGIDLDW,
     modelPar_BGIDLO,
     modelPar_given_BGIDLO,
     modelPar_BGIDLDO,
     modelPar_given_BGIDLDO,
     modelPar_STBGIDLO,
     modelPar_given_STBGIDLO,
     modelPar_STBGIDLDO,
     modelPar_given_STBGIDLDO,
     modelPar_CGIDLO,
     modelPar_given_CGIDLO,
     modelPar_CGIDLDO,
     modelPar_given_CGIDLDO,
     modelPar_CGBOVL,
     modelPar_given_CGBOVL,
     modelPar_CFRW,
     modelPar_given_CFRW,
     modelPar_CFRDW,
     modelPar_given_CFRDW,
     modelPar_FNTO,
     modelPar_given_FNTO,
     modelPar_NFALW,
     modelPar_given_NFALW,
     modelPar_NFBLW,
     modelPar_given_NFBLW,
     modelPar_NFCLW,
     modelPar_given_NFCLW,
     modelPar_EFO,
     modelPar_given_EFO,
     modelPar_LINTNOI,
     modelPar_given_LINTNOI,
     modelPar_ALPNOI,
     modelPar_given_ALPNOI,
     modelPar_KVTHOWEO,
     modelPar_given_KVTHOWEO,
     modelPar_KVTHOWEL,
     modelPar_given_KVTHOWEL,
     modelPar_KVTHOWEW,
     modelPar_given_KVTHOWEW,
     modelPar_KVTHOWELW,
     modelPar_given_KVTHOWELW,
     modelPar_KUOWEO,
     modelPar_given_KUOWEO,
     modelPar_KUOWEL,
     modelPar_given_KUOWEL,
     modelPar_KUOWEW,
     modelPar_given_KUOWEW,
     modelPar_KUOWELW,
     modelPar_given_KUOWELW,
     modelPar_RGO,
     modelPar_given_RGO,
     modelPar_RINT,
     modelPar_given_RINT,
     modelPar_RVPOLY,
     modelPar_given_RVPOLY,
     modelPar_RSHG,
     modelPar_given_RSHG,
     modelPar_DLSIL,
     modelPar_given_DLSIL,
     modelPar_RSH,
     modelPar_given_RSH,
     modelPar_RSHD,
     modelPar_given_RSHD,
     modelPar_RBULKO,
     modelPar_given_RBULKO,
     modelPar_RWELLO,
     modelPar_given_RWELLO,
     modelPar_RJUNSO,
     modelPar_given_RJUNSO,
     modelPar_RJUNDO,
     modelPar_given_RJUNDO,
     modelPar_SAREF,
     modelPar_given_SAREF,
     modelPar_SBREF,
     modelPar_given_SBREF,
     modelPar_WLOD,
     modelPar_given_WLOD,
     modelPar_KUO,
     modelPar_given_KUO,
     modelPar_KVSAT,
     modelPar_given_KVSAT,
     modelPar_TKUO,
     modelPar_given_TKUO,
     modelPar_LKUO,
     modelPar_given_LKUO,
     modelPar_WKUO,
     modelPar_given_WKUO,
     modelPar_PKUO,
     modelPar_given_PKUO,
     modelPar_LLODKUO,
     modelPar_given_LLODKUO,
     modelPar_WLODKUO,
     modelPar_given_WLODKUO,
     modelPar_KVTHO,
     modelPar_given_KVTHO,
     modelPar_LKVTHO,
     modelPar_given_LKVTHO,
     modelPar_WKVTHO,
     modelPar_given_WKVTHO,
     modelPar_PKVTHO,
     modelPar_given_PKVTHO,
     modelPar_LLODVTH,
     modelPar_given_LLODVTH,
     modelPar_WLODVTH,
     modelPar_given_WLODVTH,
     modelPar_STETAO,
     modelPar_given_STETAO,
     modelPar_LODETAO,
     modelPar_given_LODETAO,
     modelPar_SCREF,
     modelPar_given_SCREF,
     modelPar_WEB,
     modelPar_given_WEB,
     modelPar_WEC,
     modelPar_given_WEC,
     modelPar_IMAX,
     modelPar_given_IMAX,
     modelPar_TRJ,
     modelPar_given_TRJ,
     modelPar_CJORBOT,
     modelPar_given_CJORBOT,
     modelPar_CJORSTI,
     modelPar_given_CJORSTI,
     modelPar_CJORGAT,
     modelPar_given_CJORGAT,
     modelPar_VBIRBOT,
     modelPar_given_VBIRBOT,
     modelPar_VBIRSTI,
     modelPar_given_VBIRSTI,
     modelPar_VBIRGAT,
     modelPar_given_VBIRGAT,
     modelPar_PBOT,
     modelPar_given_PBOT,
     modelPar_PSTI,
     modelPar_given_PSTI,
     modelPar_PGAT,
     modelPar_given_PGAT,
     modelPar_PHIGBOT,
     modelPar_given_PHIGBOT,
     modelPar_PHIGSTI,
     modelPar_given_PHIGSTI,
     modelPar_PHIGGAT,
     modelPar_given_PHIGGAT,
     modelPar_IDSATRBOT,
     modelPar_given_IDSATRBOT,
     modelPar_IDSATRSTI,
     modelPar_given_IDSATRSTI,
     modelPar_IDSATRGAT,
     modelPar_given_IDSATRGAT,
     modelPar_CSRHBOT,
     modelPar_given_CSRHBOT,
     modelPar_CSRHSTI,
     modelPar_given_CSRHSTI,
     modelPar_CSRHGAT,
     modelPar_given_CSRHGAT,
     modelPar_XJUNSTI,
     modelPar_given_XJUNSTI,
     modelPar_XJUNGAT,
     modelPar_given_XJUNGAT,
     modelPar_CTATBOT,
     modelPar_given_CTATBOT,
     modelPar_CTATSTI,
     modelPar_given_CTATSTI,
     modelPar_CTATGAT,
     modelPar_given_CTATGAT,
     modelPar_MEFFTATBOT,
     modelPar_given_MEFFTATBOT,
     modelPar_MEFFTATSTI,
     modelPar_given_MEFFTATSTI,
     modelPar_MEFFTATGAT,
     modelPar_given_MEFFTATGAT,
     modelPar_CBBTBOT,
     modelPar_given_CBBTBOT,
     modelPar_CBBTSTI,
     modelPar_given_CBBTSTI,
     modelPar_CBBTGAT,
     modelPar_given_CBBTGAT,
     modelPar_FBBTRBOT,
     modelPar_given_FBBTRBOT,
     modelPar_FBBTRSTI,
     modelPar_given_FBBTRSTI,
     modelPar_FBBTRGAT,
     modelPar_given_FBBTRGAT,
     modelPar_STFBBTBOT,
     modelPar_given_STFBBTBOT,
     modelPar_STFBBTSTI,
     modelPar_given_STFBBTSTI,
     modelPar_STFBBTGAT,
     modelPar_given_STFBBTGAT,
     modelPar_VBRBOT,
     modelPar_given_VBRBOT,
     modelPar_VBRSTI,
     modelPar_given_VBRSTI,
     modelPar_VBRGAT,
     modelPar_given_VBRGAT,
     modelPar_PBRBOT,
     modelPar_given_PBRBOT,
     modelPar_PBRSTI,
     modelPar_given_PBRSTI,
     modelPar_PBRGAT,
     modelPar_given_PBRGAT,
     modelPar_CJORBOTD,
     modelPar_given_CJORBOTD,
     modelPar_CJORSTID,
     modelPar_given_CJORSTID,
     modelPar_CJORGATD,
     modelPar_given_CJORGATD,
     modelPar_VBIRBOTD,
     modelPar_given_VBIRBOTD,
     modelPar_VBIRSTID,
     modelPar_given_VBIRSTID,
     modelPar_VBIRGATD,
     modelPar_given_VBIRGATD,
     modelPar_PBOTD,
     modelPar_given_PBOTD,
     modelPar_PSTID,
     modelPar_given_PSTID,
     modelPar_PGATD,
     modelPar_given_PGATD,
     modelPar_PHIGBOTD,
     modelPar_given_PHIGBOTD,
     modelPar_PHIGSTID,
     modelPar_given_PHIGSTID,
     modelPar_PHIGGATD,
     modelPar_given_PHIGGATD,
     modelPar_IDSATRBOTD,
     modelPar_given_IDSATRBOTD,
     modelPar_IDSATRSTID,
     modelPar_given_IDSATRSTID,
     modelPar_IDSATRGATD,
     modelPar_given_IDSATRGATD,
     modelPar_CSRHBOTD,
     modelPar_given_CSRHBOTD,
     modelPar_CSRHSTID,
     modelPar_given_CSRHSTID,
     modelPar_CSRHGATD,
     modelPar_given_CSRHGATD,
     modelPar_XJUNSTID,
     modelPar_given_XJUNSTID,
     modelPar_XJUNGATD,
     modelPar_given_XJUNGATD,
     modelPar_CTATBOTD,
     modelPar_given_CTATBOTD,
     modelPar_CTATSTID,
     modelPar_given_CTATSTID,
     modelPar_CTATGATD,
     modelPar_given_CTATGATD,
     modelPar_MEFFTATBOTD,
     modelPar_given_MEFFTATBOTD,
     modelPar_MEFFTATSTID,
     modelPar_given_MEFFTATSTID,
     modelPar_MEFFTATGATD,
     modelPar_given_MEFFTATGATD,
     modelPar_CBBTBOTD,
     modelPar_given_CBBTBOTD,
     modelPar_CBBTSTID,
     modelPar_given_CBBTSTID,
     modelPar_CBBTGATD,
     modelPar_given_CBBTGATD,
     modelPar_FBBTRBOTD,
     modelPar_given_FBBTRBOTD,
     modelPar_FBBTRSTID,
     modelPar_given_FBBTRSTID,
     modelPar_FBBTRGATD,
     modelPar_given_FBBTRGATD,
     modelPar_STFBBTBOTD,
     modelPar_given_STFBBTBOTD,
     modelPar_STFBBTSTID,
     modelPar_given_STFBBTSTID,
     modelPar_STFBBTGATD,
     modelPar_given_STFBBTGATD,
     modelPar_VBRBOTD,
     modelPar_given_VBRBOTD,
     modelPar_VBRSTID,
     modelPar_given_VBRSTID,
     modelPar_VBRGATD,
     modelPar_given_VBRGATD,
     modelPar_PBRBOTD,
     modelPar_given_PBRBOTD,
     modelPar_PBRSTID,
     modelPar_given_PBRSTID,
     modelPar_PBRGATD,
     modelPar_given_PBRGATD,
     modelPar_SWJUNEXP,
     modelPar_given_SWJUNEXP,
     modelPar_VJUNREF,
     modelPar_given_VJUNREF,
     modelPar_FJUNQ,
     modelPar_given_FJUNQ,
     modelPar_VJUNREFD,
     modelPar_given_VJUNREFD,
     modelPar_FJUNQD,
     modelPar_given_FJUNQD,
     modelPar_DTA,
     modelPar_given_DTA// model variables
     ,
     // reals
     modelVar_NSUBO_i,
     modelVar_WSEG_i,
     modelVar_NPCK_i,
     modelVar_WSEGP_i,
     modelVar_LPCK_i,
     modelVar_LOV_i,
     modelVar_LOVD_i,
     modelVar_LP1_i,
     modelVar_LP2_i,
     modelVar_WBET_i,
     modelVar_AXL_i,
     modelVar_ALP1L2_i,
     modelVar_ALP2L2_i,
     modelVar_TOXO_i,
     modelVar_TOXOVO_i,
     modelVar_TOXOVDO_i,
     modelVar_EPSROXO_i,
     modelVar_RINT_i,
     modelVar_RVPOLY_i,
     modelVar_RSHG_i,
     modelVar_RSH_i,
     modelVar_RSHD_i,
     modelVar_SAREF_i,
     modelVar_SBREF_i,
     modelVar_KVSAT_i,
     modelVar_LLODKUO_i,
     modelVar_WLODKUO_i,
     modelVar_LLODVTH_i,
     modelVar_WLODVTH_i,
     modelVar_LODETAO_i,
     modelVar_SCREF_i,
     modelVar_WEB_i,
     modelVar_WEC_i,
     modelVar_QMC_i,
     modelVar_TKD,
     modelVar_dT,
     modelVar_rT,
     modelVar_rTn,
     modelVar_EPSSI,
     modelVar_phit,
     modelVar_inv_phit,
     modelVar_Eg,
     modelVar_phibFac,
     modelVar_nt0,
     modelVar_IMAX_i,
     modelVar_CJORBOT_i,
     modelVar_CJORSTI_i,
     modelVar_CJORGAT_i,
     modelVar_VBIRBOT_i,
     modelVar_VBIRSTI_i,
     modelVar_VBIRGAT_i,
     modelVar_PBOT_i,
     modelVar_PSTI_i,
     modelVar_PGAT_i,
     modelVar_PHIGBOT_i,
     modelVar_PHIGSTI_i,
     modelVar_PHIGGAT_i,
     modelVar_IDSATRBOT_i,
     modelVar_IDSATRSTI_i,
     modelVar_IDSATRGAT_i,
     modelVar_XJUNSTI_i,
     modelVar_XJUNGAT_i,
     modelVar_CSRHBOT_i,
     modelVar_CSRHSTI_i,
     modelVar_CSRHGAT_i,
     modelVar_CTATBOT_i,
     modelVar_CTATSTI_i,
     modelVar_CTATGAT_i,
     modelVar_MEFFTATBOT_i,
     modelVar_MEFFTATSTI_i,
     modelVar_MEFFTATGAT_i,
     modelVar_CBBTBOT_i,
     modelVar_CBBTSTI_i,
     modelVar_CBBTGAT_i,
     modelVar_FBBTRBOT_i,
     modelVar_FBBTRSTI_i,
     modelVar_FBBTRGAT_i,
     modelVar_STFBBTBOT_i,
     modelVar_STFBBTSTI_i,
     modelVar_STFBBTGAT_i,
     modelVar_VBRBOT_i,
     modelVar_VBRSTI_i,
     modelVar_VBRGAT_i,
     modelVar_PBRBOT_i,
     modelVar_PBRSTI_i,
     modelVar_PBRGAT_i,
     modelVar_SWJUNEXP_i,
     modelVar_VJUNREF_i,
     modelVar_FJUNQ_i,
     modelVar_phitr,
     modelVar_phitd,
     modelVar_phitdinv,
     modelVar_perfc,
     modelVar_berfc,
     modelVar_cerfc,
     modelVar_phigrbot,
     modelVar_phigrsti,
     modelVar_phigrgat,
     modelVar_phigdbot,
     modelVar_phigdsti,
     modelVar_phigdgat,
     modelVar_ftdbot,
     modelVar_ftdsti,
     modelVar_ftdgat,
     modelVar_idsatbot,
     modelVar_idsatsti,
     modelVar_idsatgat,
     modelVar_ubibot,
     modelVar_ubisti,
     modelVar_ubigat,
     modelVar_vbibot,
     modelVar_vbisti,
     modelVar_vbigat,
     modelVar_vbiinvbot,
     modelVar_vbiinvsti,
     modelVar_vbiinvgat,
     modelVar_one_minus_PBOT,
     modelVar_one_minus_PSTI,
     modelVar_one_minus_PGAT,
     modelVar_one_over_one_minus_PBOT,
     modelVar_one_over_one_minus_PSTI,
     modelVar_one_over_one_minus_PGAT,
     modelVar_cjobot,
     modelVar_cjosti,
     modelVar_cjogat,
     modelVar_qprefbot,
     modelVar_qprefsti,
     modelVar_qprefgat,
     modelVar_qpref2bot,
     modelVar_qpref2sti,
     modelVar_qpref2gat,
     modelVar_wdepnulrbot,
     modelVar_wdepnulrsti,
     modelVar_wdepnulrgat,
     modelVar_wdepnulrinvbot,
     modelVar_wdepnulrinvsti,
     modelVar_wdepnulrinvgat,
     modelVar_VBIRBOTinv,
     modelVar_VBIRSTIinv,
     modelVar_VBIRGATinv,
     modelVar_deltaEbot,
     modelVar_deltaEsti,
     modelVar_deltaEgat,
     modelVar_atatbot,
     modelVar_atatsti,
     modelVar_atatgat,
     modelVar_btatpartbot,
     modelVar_btatpartsti,
     modelVar_btatpartgat,
     modelVar_fbbtbot,
     modelVar_fbbtsti,
     modelVar_fbbtgat,
     modelVar_fstopbot,
     modelVar_fstopsti,
     modelVar_fstopgat,
     modelVar_VBRinvbot,
     modelVar_VBRinvsti,
     modelVar_VBRinvgat,
     modelVar_slopebot,
     modelVar_slopesti,
     modelVar_slopegat,
     modelVar_CJORBOTS_i,
     modelVar_CJORSTIS_i,
     modelVar_CJORGATS_i,
     modelVar_VBIRBOTS_i,
     modelVar_VBIRSTIS_i,
     modelVar_VBIRGATS_i,
     modelVar_PBOTS_i,
     modelVar_PSTIS_i,
     modelVar_PGATS_i,
     modelVar_PHIGBOTS_i,
     modelVar_PHIGSTIS_i,
     modelVar_PHIGGATS_i,
     modelVar_IDSATRBOTS_i,
     modelVar_IDSATRSTIS_i,
     modelVar_IDSATRGATS_i,
     modelVar_XJUNSTIS_i,
     modelVar_XJUNGATS_i,
     modelVar_CSRHBOTS_i,
     modelVar_CSRHSTIS_i,
     modelVar_CSRHGATS_i,
     modelVar_CTATBOTS_i,
     modelVar_CTATSTIS_i,
     modelVar_CTATGATS_i,
     modelVar_MEFFTATBOTS_i,
     modelVar_MEFFTATSTIS_i,
     modelVar_MEFFTATGATS_i,
     modelVar_CBBTBOTS_i,
     modelVar_CBBTSTIS_i,
     modelVar_CBBTGATS_i,
     modelVar_FBBTRBOTS_i,
     modelVar_FBBTRSTIS_i,
     modelVar_FBBTRGATS_i,
     modelVar_STFBBTBOTS_i,
     modelVar_STFBBTSTIS_i,
     modelVar_STFBBTGATS_i,
     modelVar_VBRBOTS_i,
     modelVar_VBRSTIS_i,
     modelVar_VBRGATS_i,
     modelVar_PBRBOTS_i,
     modelVar_PBRSTIS_i,
     modelVar_PBRGATS_i,
     modelVar_CJORBOTD_i,
     modelVar_CJORSTID_i,
     modelVar_CJORGATD_i,
     modelVar_VBIRBOTD_i,
     modelVar_VBIRSTID_i,
     modelVar_VBIRGATD_i,
     modelVar_PBOTD_i,
     modelVar_PSTID_i,
     modelVar_PGATD_i,
     modelVar_PHIGBOTD_i,
     modelVar_PHIGSTID_i,
     modelVar_PHIGGATD_i,
     modelVar_IDSATRBOTD_i,
     modelVar_IDSATRSTID_i,
     modelVar_IDSATRGATD_i,
     modelVar_XJUNSTID_i,
     modelVar_XJUNGATD_i,
     modelVar_CSRHBOTD_i,
     modelVar_CSRHSTID_i,
     modelVar_CSRHGATD_i,
     modelVar_CTATBOTD_i,
     modelVar_CTATSTID_i,
     modelVar_CTATGATD_i,
     modelVar_MEFFTATBOTD_i,
     modelVar_MEFFTATSTID_i,
     modelVar_MEFFTATGATD_i,
     modelVar_CBBTBOTD_i,
     modelVar_CBBTSTID_i,
     modelVar_CBBTGATD_i,
     modelVar_FBBTRBOTD_i,
     modelVar_FBBTRSTID_i,
     modelVar_FBBTRGATD_i,
     modelVar_STFBBTBOTD_i,
     modelVar_STFBBTSTID_i,
     modelVar_STFBBTGATD_i,
     modelVar_VBRBOTD_i,
     modelVar_VBRSTID_i,
     modelVar_VBRGATD_i,
     modelVar_PBRBOTD_i,
     modelVar_PBRSTID_i,
     modelVar_PBRGATD_i,
     modelVar_VJUNREFS_i,
     modelVar_FJUNQS_i,
     modelVar_VJUNREFD_i,
     modelVar_FJUNQD_i,
     modelVar_phigrbot_s,
     modelVar_phigrsti_s,
     modelVar_phigrgat_s,
     modelVar_phigdbot_s,
     modelVar_phigdsti_s,
     modelVar_phigdgat_s,
     modelVar_ftdbot_s,
     modelVar_ftdsti_s,
     modelVar_ftdgat_s,
     modelVar_idsatbot_s,
     modelVar_idsatsti_s,
     modelVar_idsatgat_s,
     modelVar_ubibot_s,
     modelVar_ubisti_s,
     modelVar_ubigat_s,
     modelVar_vbibot_s,
     modelVar_vbisti_s,
     modelVar_vbigat_s,
     modelVar_vbiinvbot_s,
     modelVar_vbiinvsti_s,
     modelVar_vbiinvgat_s,
     modelVar_one_minus_PBOT_s,
     modelVar_one_minus_PSTI_s,
     modelVar_one_minus_PGAT_s,
     modelVar_one_over_one_minus_PBOT_s,
     modelVar_one_over_one_minus_PSTI_s,
     modelVar_one_over_one_minus_PGAT_s,
     modelVar_cjobot_s,
     modelVar_cjosti_s,
     modelVar_cjogat_s,
     modelVar_qprefbot_s,
     modelVar_qprefsti_s,
     modelVar_qprefgat_s,
     modelVar_qpref2bot_s,
     modelVar_qpref2sti_s,
     modelVar_qpref2gat_s,
     modelVar_wdepnulrbot_s,
     modelVar_wdepnulrsti_s,
     modelVar_wdepnulrgat_s,
     modelVar_wdepnulrinvbot_s,
     modelVar_wdepnulrinvsti_s,
     modelVar_wdepnulrinvgat_s,
     modelVar_VBIRBOTinv_s,
     modelVar_VBIRSTIinv_s,
     modelVar_VBIRGATinv_s,
     modelVar_deltaEbot_s,
     modelVar_deltaEsti_s,
     modelVar_deltaEgat_s,
     modelVar_atatbot_s,
     modelVar_atatsti_s,
     modelVar_atatgat_s,
     modelVar_btatpartbot_s,
     modelVar_btatpartsti_s,
     modelVar_btatpartgat_s,
     modelVar_fbbtbot_s,
     modelVar_fbbtsti_s,
     modelVar_fbbtgat_s,
     modelVar_fstopbot_s,
     modelVar_fstopsti_s,
     modelVar_fstopgat_s,
     modelVar_VBRinvbot_s,
     modelVar_VBRinvsti_s,
     modelVar_VBRinvgat_s,
     modelVar_slopebot_s,
     modelVar_slopesti_s,
     modelVar_slopegat_s,
     modelVar_phigrbot_d,
     modelVar_phigrsti_d,
     modelVar_phigrgat_d,
     modelVar_phigdbot_d,
     modelVar_phigdsti_d,
     modelVar_phigdgat_d,
     modelVar_ftdbot_d,
     modelVar_ftdsti_d,
     modelVar_ftdgat_d,
     modelVar_idsatbot_d,
     modelVar_idsatsti_d,
     modelVar_idsatgat_d,
     modelVar_ubibot_d,
     modelVar_ubisti_d,
     modelVar_ubigat_d,
     modelVar_vbibot_d,
     modelVar_vbisti_d,
     modelVar_vbigat_d,
     modelVar_vbiinvbot_d,
     modelVar_vbiinvsti_d,
     modelVar_vbiinvgat_d,
     modelVar_one_minus_PBOT_d,
     modelVar_one_minus_PSTI_d,
     modelVar_one_minus_PGAT_d,
     modelVar_one_over_one_minus_PBOT_d,
     modelVar_one_over_one_minus_PSTI_d,
     modelVar_one_over_one_minus_PGAT_d,
     modelVar_cjobot_d,
     modelVar_cjosti_d,
     modelVar_cjogat_d,
     modelVar_qprefbot_d,
     modelVar_qprefsti_d,
     modelVar_qprefgat_d,
     modelVar_qpref2bot_d,
     modelVar_qpref2sti_d,
     modelVar_qpref2gat_d,
     modelVar_wdepnulrbot_d,
     modelVar_wdepnulrsti_d,
     modelVar_wdepnulrgat_d,
     modelVar_wdepnulrinvbot_d,
     modelVar_wdepnulrinvsti_d,
     modelVar_wdepnulrinvgat_d,
     modelVar_VBIRBOTinv_d,
     modelVar_VBIRSTIinv_d,
     modelVar_VBIRGATinv_d,
     modelVar_deltaEbot_d,
     modelVar_deltaEsti_d,
     modelVar_deltaEgat_d,
     modelVar_atatbot_d,
     modelVar_atatsti_d,
     modelVar_atatgat_d,
     modelVar_btatpartbot_d,
     modelVar_btatpartsti_d,
     modelVar_btatpartgat_d,
     modelVar_fbbtbot_d,
     modelVar_fbbtsti_d,
     modelVar_fbbtgat_d,
     modelVar_fstopbot_d,
     modelVar_fstopsti_d,
     modelVar_fstopgat_d,
     modelVar_VBRinvbot_d,
     modelVar_VBRinvsti_d,
     modelVar_VBRinvgat_d,
     modelVar_slopebot_d,
     modelVar_slopesti_d,
     modelVar_slopegat_d,
     // non-reals
     modelVar_CHNL_TYPE,
     modelVar_SWGEO_i,
     modelVar_SWIGATE_i,
     modelVar_SWIMPACT_i,
     modelVar_SWGIDL_i,
     modelVar_SWJUNCAP_i,
     modelVar_SWJUNASYM_i,
     modelVar_SWNUD_i,
     modelVar_SWDELVTAC_i,
     in.admsTemperature,in.adms_vt_nom);


  // Now call  the function that does the heavy lifting.
  evaluateModelEquations(
     probeVars,
     // probe constants
     in.admsProbeID_V_DI_BD,
     in.admsProbeID_V_SI_BS,
     in.admsProbeID_V_SI_BP,
     in.admsProbeID_V_DI_SI,
     in.admsProbeID_V_GP_SI,
     in.admsProbeID_V_B_BI,
     in.admsProbeID_V_BP_BI,
     in.admsProbeID_V_BD_BI,
     in.admsProbeID_V_BS_BI,
     in.admsProbeID_V_D_DI,
     in.admsProbeID_V_S_SI,
     in.admsProbeID_V_G_GP,

     // node constants
     in.admsNodeID_D,
     in.admsNodeID_G,
     in.admsNodeID_S,
     in.admsNodeID_B,
     in.admsNodeID_GP,
     in.admsNodeID_SI,
     in.admsNodeID_DI,
     in.admsNodeID_BI,
     in.admsNodeID_BP,
     in.admsNodeID_BS,
     in.admsNodeID_BD,
     // instance parameters
     // reals
     instancePar_L,
     instancePar_given_L,
     instancePar_W,
     instancePar_given_W,
     instancePar_SA,
     instancePar_given_SA,
     instancePar_SB,
     instancePar_given_SB,
     instancePar_SD,
     instancePar_given_SD,
     instancePar_SCA,
     instancePar_given_SCA,
     instancePar_SCB,
     instancePar_given_SCB,
     instancePar_SCC,
     instancePar_given_SCC,
     instancePar_SC,
     instancePar_given_SC,
     instancePar_NF,
     instancePar_given_NF,
     instancePar_NGCON,
     instancePar_given_NGCON,
     instancePar_XGW,
     instancePar_given_XGW,
     instancePar_NRS,
     instancePar_given_NRS,
     instancePar_NRD,
     instancePar_given_NRD,
     instancePar_JW,
     instancePar_given_JW,
     instancePar_DELVTO,
     instancePar_given_DELVTO,
     instancePar_FACTUO,
     instancePar_given_FACTUO,
     instancePar_ABSOURCE,
     instancePar_given_ABSOURCE,
     instancePar_LSSOURCE,
     instancePar_given_LSSOURCE,
     instancePar_LGSOURCE,
     instancePar_given_LGSOURCE,
     instancePar_ABDRAIN,
     instancePar_given_ABDRAIN,
     instancePar_LSDRAIN,
     instancePar_given_LSDRAIN,
     instancePar_LGDRAIN,
     instancePar_given_LGDRAIN,
     instancePar_AS,
     instancePar_given_AS,
     instancePar_PS,
     instancePar_given_PS,
     instancePar_AD,
     instancePar_given_AD,
     instancePar_PD,
     instancePar_given_PD,
     instancePar_MULT,
     instancePar_given_MULT,
     // instance variables
     // reals
     instanceVar_VFB_i,
     instanceVar_GFACNUD_i,
     instanceVar_VNSUB_i,
     instanceVar_NSLP_i,
     instanceVar_DNSUB_i,
     instanceVar_CF_i,
     instanceVar_CFB_i,
     instanceVar_MUE_i,
     instanceVar_THEMU_i,
     instanceVar_CS_i,
     instanceVar_XCOR_i,
     instanceVar_THER_i,
     instanceVar_RSB_i,
     instanceVar_RSG_i,
     instanceVar_THESAT_i,
     instanceVar_THESATB_i,
     instanceVar_THESATG_i,
     instanceVar_AX_i,
     instanceVar_ALP_i,
     instanceVar_ALP1_i,
     instanceVar_ALP2_i,
     instanceVar_A1_i,
     instanceVar_A2_i,
     instanceVar_A3_i,
     instanceVar_A4_i,
     instanceVar_IGINV_i,
     instanceVar_IGOV_i,
     instanceVar_IGOVD_i,
     instanceVar_GC2_i,
     instanceVar_GC3_i,
     instanceVar_CHIB_i,
     instanceVar_AGIDL_i,
     instanceVar_BGIDL_i,
     instanceVar_CGIDL_i,
     instanceVar_AGIDLD_i,
     instanceVar_BGIDLD_i,
     instanceVar_CGIDLD_i,
     instanceVar_COX_i,
     instanceVar_CGOV_i,
     instanceVar_CGOVD_i,
     instanceVar_CGBOV_i,
     instanceVar_CFR_i,
     instanceVar_CFRD_i,
     instanceVar_MULT_i,
     instanceVar_BET_i,
     instanceVar_kp,
     instanceVar_qq,
     instanceVar_qlim2,
     instanceVar_E_eff0,
     instanceVar_eta_mu,
     instanceVar_eta_mu1,
     instanceVar_BCH,
     instanceVar_BOV,
     instanceVar_inv_CHIB,
     instanceVar_GCQ,
     instanceVar_Dch,
     instanceVar_Dov,
     instanceVar_x1,
     instanceVar_Vdsat_lim,
     instanceVar_GOV_s,
     instanceVar_GOV_d,
     instanceVar_GOV2_s,
     instanceVar_GOV2_d,
     instanceVar_BOV_d,
     instanceVar_xi_ov_s,
     instanceVar_xi_ov_d,
     instanceVar_inv_xi_ov_s,
     instanceVar_inv_xi_ov_d,
     instanceVar_x_mrg_ov_s,
     instanceVar_x_mrg_ov_d,
     instanceVar_inv_xg1_s,
     instanceVar_inv_xg1_d,
     instanceVar_phit1,
     instanceVar_inv_phit1,
     instanceVar_alpha_b,
     instanceVar_inv_VP,
     instanceVar_inv_AX,
     instanceVar_us1,
     instanceVar_us21,
     instanceVar_phib_dc,
     instanceVar_sqrt_phib_dc,
     instanceVar_G_0_dc,
     instanceVar_aphi_dc,
     instanceVar_bphi_dc,
     instanceVar_phix_dc,
     instanceVar_phix1_dc,
     instanceVar_phib_ac,
     instanceVar_sqrt_phib_ac,
     instanceVar_G_0_ac,
     instanceVar_aphi_ac,
     instanceVar_bphi_ac,
     instanceVar_phix_ac,
     instanceVar_phix1_ac,
     instanceVar_RG_i,
     instanceVar_RSE_i,
     instanceVar_RDE_i,
     instanceVar_RBULK_i,
     instanceVar_RWELL_i,
     instanceVar_RJUNS_i,
     instanceVar_RJUND_i,
     instanceVar_ggate,
     instanceVar_gsource,
     instanceVar_gdrain,
     instanceVar_gbulk,
     instanceVar_gwell,
     instanceVar_gjund,
     instanceVar_gjuns,
     instanceVar_tmpv,
     instanceVar_vjv,
     instanceVar_idmult,
     instanceVar_vj,
     instanceVar_zinv,
     instanceVar_vjsrh,
     instanceVar_vav,
     instanceVar_vbi_minus_vjsrh,
     instanceVar_wsrh,
     instanceVar_wdep,
     instanceVar_asrh,
     instanceVar_ABSOURCE_i,
     instanceVar_LSSOURCE_i,
     instanceVar_LGSOURCE_i,
     instanceVar_zflagbot_s,
     instanceVar_zflagsti_s,
     instanceVar_zflaggat_s,
     instanceVar_VMAX_s,
     instanceVar_exp_VMAX_over_phitd_s,
     instanceVar_vbimin_s,
     instanceVar_vch_s,
     instanceVar_vfmin_s,
     instanceVar_vbbtlim_s,
     instanceVar_ijunbot_s,
     instanceVar_qjunbot_s,
     instanceVar_ijunsti_s,
     instanceVar_qjunsti_s,
     instanceVar_ijungat_s,
     instanceVar_qjungat_s,
     instanceVar_ijun_s,
     instanceVar_qjun_s,
     instanceVar_xhighf1_s,
     instanceVar_expxhf1_s,
     instanceVar_xhighf2_s,
     instanceVar_expxhf2_s,
     instanceVar_xhighr_s,
     instanceVar_expxhr_s,
     instanceVar_m0flag_s,
     instanceVar_ISATFOR1_s,
     instanceVar_MFOR1_s,
     instanceVar_ISATFOR2_s,
     instanceVar_MFOR2_s,
     instanceVar_ISATREV_s,
     instanceVar_MREV_s,
     instanceVar_ABDRAIN_i,
     instanceVar_LSDRAIN_i,
     instanceVar_LGDRAIN_i,
     instanceVar_zflagbot_d,
     instanceVar_zflagsti_d,
     instanceVar_zflaggat_d,
     instanceVar_VMAX_d,
     instanceVar_exp_VMAX_over_phitd_d,
     instanceVar_vbimin_d,
     instanceVar_vch_d,
     instanceVar_vfmin_d,
     instanceVar_vbbtlim_d,
     instanceVar_ijunbot_d,
     instanceVar_qjunbot_d,
     instanceVar_ijunsti_d,
     instanceVar_qjunsti_d,
     instanceVar_ijungat_d,
     instanceVar_qjungat_d,
     instanceVar_ijun_d,
     instanceVar_qjun_d,
     instanceVar_xhighf1_d,
     instanceVar_expxhf1_d,
     instanceVar_xhighf2_d,
     instanceVar_expxhf2_d,
     instanceVar_xhighr_d,
     instanceVar_expxhr_d,
     instanceVar_m0flag_d,
     instanceVar_ISATFOR1_d,
     instanceVar_MFOR1_d,
     instanceVar_ISATFOR2_d,
     instanceVar_MFOR2_d,
     instanceVar_ISATREV_d,
     instanceVar_MREV_d,
     // model parameters
     // reals
     modelPar_LEVEL,
     modelPar_given_LEVEL,
     modelPar_TYPE,
     modelPar_given_TYPE,
     modelPar_TR,
     modelPar_given_TR,
     modelPar_SWGEO,
     modelPar_given_SWGEO,
     modelPar_SWIGATE,
     modelPar_given_SWIGATE,
     modelPar_SWIMPACT,
     modelPar_given_SWIMPACT,
     modelPar_SWGIDL,
     modelPar_given_SWGIDL,
     modelPar_SWJUNCAP,
     modelPar_given_SWJUNCAP,
     modelPar_SWJUNASYM,
     modelPar_given_SWJUNASYM,
     modelPar_SWNUD,
     modelPar_given_SWNUD,
     modelPar_SWDELVTAC,
     modelPar_given_SWDELVTAC,
     modelPar_QMC,
     modelPar_given_QMC,
     modelPar_VFB,
     modelPar_given_VFB,
     modelPar_STVFB,
     modelPar_given_STVFB,
     modelPar_TOX,
     modelPar_given_TOX,
     modelPar_EPSROX,
     modelPar_given_EPSROX,
     modelPar_NEFF,
     modelPar_given_NEFF,
     modelPar_FACNEFFAC,
     modelPar_given_FACNEFFAC,
     modelPar_GFACNUD,
     modelPar_given_GFACNUD,
     modelPar_VSBNUD,
     modelPar_given_VSBNUD,
     modelPar_DVSBNUD,
     modelPar_given_DVSBNUD,
     modelPar_VNSUB,
     modelPar_given_VNSUB,
     modelPar_NSLP,
     modelPar_given_NSLP,
     modelPar_DNSUB,
     modelPar_given_DNSUB,
     modelPar_DPHIB,
     modelPar_given_DPHIB,
     modelPar_DELVTAC,
     modelPar_given_DELVTAC,
     modelPar_NP,
     modelPar_given_NP,
     modelPar_CT,
     modelPar_given_CT,
     modelPar_TOXOV,
     modelPar_given_TOXOV,
     modelPar_TOXOVD,
     modelPar_given_TOXOVD,
     modelPar_NOV,
     modelPar_given_NOV,
     modelPar_NOVD,
     modelPar_given_NOVD,
     modelPar_CF,
     modelPar_given_CF,
     modelPar_CFB,
     modelPar_given_CFB,
     modelPar_BETN,
     modelPar_given_BETN,
     modelPar_STBET,
     modelPar_given_STBET,
     modelPar_MUE,
     modelPar_given_MUE,
     modelPar_STMUE,
     modelPar_given_STMUE,
     modelPar_THEMU,
     modelPar_given_THEMU,
     modelPar_STTHEMU,
     modelPar_given_STTHEMU,
     modelPar_CS,
     modelPar_given_CS,
     modelPar_STCS,
     modelPar_given_STCS,
     modelPar_XCOR,
     modelPar_given_XCOR,
     modelPar_STXCOR,
     modelPar_given_STXCOR,
     modelPar_FETA,
     modelPar_given_FETA,
     modelPar_RS,
     modelPar_given_RS,
     modelPar_STRS,
     modelPar_given_STRS,
     modelPar_RSB,
     modelPar_given_RSB,
     modelPar_RSG,
     modelPar_given_RSG,
     modelPar_THESAT,
     modelPar_given_THESAT,
     modelPar_STTHESAT,
     modelPar_given_STTHESAT,
     modelPar_THESATB,
     modelPar_given_THESATB,
     modelPar_THESATG,
     modelPar_given_THESATG,
     modelPar_AX,
     modelPar_given_AX,
     modelPar_ALP,
     modelPar_given_ALP,
     modelPar_ALP1,
     modelPar_given_ALP1,
     modelPar_ALP2,
     modelPar_given_ALP2,
     modelPar_VP,
     modelPar_given_VP,
     modelPar_A1,
     modelPar_given_A1,
     modelPar_A2,
     modelPar_given_A2,
     modelPar_STA2,
     modelPar_given_STA2,
     modelPar_A3,
     modelPar_given_A3,
     modelPar_A4,
     modelPar_given_A4,
     modelPar_GCO,
     modelPar_given_GCO,
     modelPar_IGINV,
     modelPar_given_IGINV,
     modelPar_IGOV,
     modelPar_given_IGOV,
     modelPar_IGOVD,
     modelPar_given_IGOVD,
     modelPar_STIG,
     modelPar_given_STIG,
     modelPar_GC2,
     modelPar_given_GC2,
     modelPar_GC3,
     modelPar_given_GC3,
     modelPar_CHIB,
     modelPar_given_CHIB,
     modelPar_AGIDL,
     modelPar_given_AGIDL,
     modelPar_AGIDLD,
     modelPar_given_AGIDLD,
     modelPar_BGIDL,
     modelPar_given_BGIDL,
     modelPar_BGIDLD,
     modelPar_given_BGIDLD,
     modelPar_STBGIDL,
     modelPar_given_STBGIDL,
     modelPar_STBGIDLD,
     modelPar_given_STBGIDLD,
     modelPar_CGIDL,
     modelPar_given_CGIDL,
     modelPar_CGIDLD,
     modelPar_given_CGIDLD,
     modelPar_COX,
     modelPar_given_COX,
     modelPar_CGOV,
     modelPar_given_CGOV,
     modelPar_CGOVD,
     modelPar_given_CGOVD,
     modelPar_CGBOV,
     modelPar_given_CGBOV,
     modelPar_CFR,
     modelPar_given_CFR,
     modelPar_CFRD,
     modelPar_given_CFRD,
     modelPar_FNT,
     modelPar_given_FNT,
     modelPar_NFA,
     modelPar_given_NFA,
     modelPar_NFB,
     modelPar_given_NFB,
     modelPar_NFC,
     modelPar_given_NFC,
     modelPar_EF,
     modelPar_given_EF,
     modelPar_RG,
     modelPar_given_RG,
     modelPar_RSE,
     modelPar_given_RSE,
     modelPar_RDE,
     modelPar_given_RDE,
     modelPar_RBULK,
     modelPar_given_RBULK,
     modelPar_RWELL,
     modelPar_given_RWELL,
     modelPar_RJUNS,
     modelPar_given_RJUNS,
     modelPar_RJUND,
     modelPar_given_RJUND,
     modelPar_POVFB,
     modelPar_given_POVFB,
     modelPar_PLVFB,
     modelPar_given_PLVFB,
     modelPar_PWVFB,
     modelPar_given_PWVFB,
     modelPar_PLWVFB,
     modelPar_given_PLWVFB,
     modelPar_POSTVFB,
     modelPar_given_POSTVFB,
     modelPar_PLSTVFB,
     modelPar_given_PLSTVFB,
     modelPar_PWSTVFB,
     modelPar_given_PWSTVFB,
     modelPar_PLWSTVFB,
     modelPar_given_PLWSTVFB,
     modelPar_POTOX,
     modelPar_given_POTOX,
     modelPar_POEPSROX,
     modelPar_given_POEPSROX,
     modelPar_PONEFF,
     modelPar_given_PONEFF,
     modelPar_PLNEFF,
     modelPar_given_PLNEFF,
     modelPar_PWNEFF,
     modelPar_given_PWNEFF,
     modelPar_PLWNEFF,
     modelPar_given_PLWNEFF,
     modelPar_POFACNEFFAC,
     modelPar_given_POFACNEFFAC,
     modelPar_PLFACNEFFAC,
     modelPar_given_PLFACNEFFAC,
     modelPar_PWFACNEFFAC,
     modelPar_given_PWFACNEFFAC,
     modelPar_PLWFACNEFFAC,
     modelPar_given_PLWFACNEFFAC,
     modelPar_POGFACNUD,
     modelPar_given_POGFACNUD,
     modelPar_PLGFACNUD,
     modelPar_given_PLGFACNUD,
     modelPar_PWGFACNUD,
     modelPar_given_PWGFACNUD,
     modelPar_PLWGFACNUD,
     modelPar_given_PLWGFACNUD,
     modelPar_POVSBNUD,
     modelPar_given_POVSBNUD,
     modelPar_PODVSBNUD,
     modelPar_given_PODVSBNUD,
     modelPar_POVNSUB,
     modelPar_given_POVNSUB,
     modelPar_PONSLP,
     modelPar_given_PONSLP,
     modelPar_PODNSUB,
     modelPar_given_PODNSUB,
     modelPar_PODPHIB,
     modelPar_given_PODPHIB,
     modelPar_PLDPHIB,
     modelPar_given_PLDPHIB,
     modelPar_PWDPHIB,
     modelPar_given_PWDPHIB,
     modelPar_PLWDPHIB,
     modelPar_given_PLWDPHIB,
     modelPar_PODELVTAC,
     modelPar_given_PODELVTAC,
     modelPar_PLDELVTAC,
     modelPar_given_PLDELVTAC,
     modelPar_PWDELVTAC,
     modelPar_given_PWDELVTAC,
     modelPar_PLWDELVTAC,
     modelPar_given_PLWDELVTAC,
     modelPar_PONP,
     modelPar_given_PONP,
     modelPar_PLNP,
     modelPar_given_PLNP,
     modelPar_PWNP,
     modelPar_given_PWNP,
     modelPar_PLWNP,
     modelPar_given_PLWNP,
     modelPar_POCT,
     modelPar_given_POCT,
     modelPar_PLCT,
     modelPar_given_PLCT,
     modelPar_PWCT,
     modelPar_given_PWCT,
     modelPar_PLWCT,
     modelPar_given_PLWCT,
     modelPar_POTOXOV,
     modelPar_given_POTOXOV,
     modelPar_POTOXOVD,
     modelPar_given_POTOXOVD,
     modelPar_PONOV,
     modelPar_given_PONOV,
     modelPar_PLNOV,
     modelPar_given_PLNOV,
     modelPar_PWNOV,
     modelPar_given_PWNOV,
     modelPar_PLWNOV,
     modelPar_given_PLWNOV,
     modelPar_PONOVD,
     modelPar_given_PONOVD,
     modelPar_PLNOVD,
     modelPar_given_PLNOVD,
     modelPar_PWNOVD,
     modelPar_given_PWNOVD,
     modelPar_PLWNOVD,
     modelPar_given_PLWNOVD,
     modelPar_POCF,
     modelPar_given_POCF,
     modelPar_PLCF,
     modelPar_given_PLCF,
     modelPar_PWCF,
     modelPar_given_PWCF,
     modelPar_PLWCF,
     modelPar_given_PLWCF,
     modelPar_POCFB,
     modelPar_given_POCFB,
     modelPar_POBETN,
     modelPar_given_POBETN,
     modelPar_PLBETN,
     modelPar_given_PLBETN,
     modelPar_PWBETN,
     modelPar_given_PWBETN,
     modelPar_PLWBETN,
     modelPar_given_PLWBETN,
     modelPar_POSTBET,
     modelPar_given_POSTBET,
     modelPar_PLSTBET,
     modelPar_given_PLSTBET,
     modelPar_PWSTBET,
     modelPar_given_PWSTBET,
     modelPar_PLWSTBET,
     modelPar_given_PLWSTBET,
     modelPar_POMUE,
     modelPar_given_POMUE,
     modelPar_PLMUE,
     modelPar_given_PLMUE,
     modelPar_PWMUE,
     modelPar_given_PWMUE,
     modelPar_PLWMUE,
     modelPar_given_PLWMUE,
     modelPar_POSTMUE,
     modelPar_given_POSTMUE,
     modelPar_POTHEMU,
     modelPar_given_POTHEMU,
     modelPar_POSTTHEMU,
     modelPar_given_POSTTHEMU,
     modelPar_POCS,
     modelPar_given_POCS,
     modelPar_PLCS,
     modelPar_given_PLCS,
     modelPar_PWCS,
     modelPar_given_PWCS,
     modelPar_PLWCS,
     modelPar_given_PLWCS,
     modelPar_POSTCS,
     modelPar_given_POSTCS,
     modelPar_POXCOR,
     modelPar_given_POXCOR,
     modelPar_PLXCOR,
     modelPar_given_PLXCOR,
     modelPar_PWXCOR,
     modelPar_given_PWXCOR,
     modelPar_PLWXCOR,
     modelPar_given_PLWXCOR,
     modelPar_POSTXCOR,
     modelPar_given_POSTXCOR,
     modelPar_POFETA,
     modelPar_given_POFETA,
     modelPar_PORS,
     modelPar_given_PORS,
     modelPar_PLRS,
     modelPar_given_PLRS,
     modelPar_PWRS,
     modelPar_given_PWRS,
     modelPar_PLWRS,
     modelPar_given_PLWRS,
     modelPar_POSTRS,
     modelPar_given_POSTRS,
     modelPar_PORSB,
     modelPar_given_PORSB,
     modelPar_PORSG,
     modelPar_given_PORSG,
     modelPar_POTHESAT,
     modelPar_given_POTHESAT,
     modelPar_PLTHESAT,
     modelPar_given_PLTHESAT,
     modelPar_PWTHESAT,
     modelPar_given_PWTHESAT,
     modelPar_PLWTHESAT,
     modelPar_given_PLWTHESAT,
     modelPar_POSTTHESAT,
     modelPar_given_POSTTHESAT,
     modelPar_PLSTTHESAT,
     modelPar_given_PLSTTHESAT,
     modelPar_PWSTTHESAT,
     modelPar_given_PWSTTHESAT,
     modelPar_PLWSTTHESAT,
     modelPar_given_PLWSTTHESAT,
     modelPar_POTHESATB,
     modelPar_given_POTHESATB,
     modelPar_PLTHESATB,
     modelPar_given_PLTHESATB,
     modelPar_PWTHESATB,
     modelPar_given_PWTHESATB,
     modelPar_PLWTHESATB,
     modelPar_given_PLWTHESATB,
     modelPar_POTHESATG,
     modelPar_given_POTHESATG,
     modelPar_PLTHESATG,
     modelPar_given_PLTHESATG,
     modelPar_PWTHESATG,
     modelPar_given_PWTHESATG,
     modelPar_PLWTHESATG,
     modelPar_given_PLWTHESATG,
     modelPar_POAX,
     modelPar_given_POAX,
     modelPar_PLAX,
     modelPar_given_PLAX,
     modelPar_PWAX,
     modelPar_given_PWAX,
     modelPar_PLWAX,
     modelPar_given_PLWAX,
     modelPar_POALP,
     modelPar_given_POALP,
     modelPar_PLALP,
     modelPar_given_PLALP,
     modelPar_PWALP,
     modelPar_given_PWALP,
     modelPar_PLWALP,
     modelPar_given_PLWALP,
     modelPar_POALP1,
     modelPar_given_POALP1,
     modelPar_PLALP1,
     modelPar_given_PLALP1,
     modelPar_PWALP1,
     modelPar_given_PWALP1,
     modelPar_PLWALP1,
     modelPar_given_PLWALP1,
     modelPar_POALP2,
     modelPar_given_POALP2,
     modelPar_PLALP2,
     modelPar_given_PLALP2,
     modelPar_PWALP2,
     modelPar_given_PWALP2,
     modelPar_PLWALP2,
     modelPar_given_PLWALP2,
     modelPar_POVP,
     modelPar_given_POVP,
     modelPar_POA1,
     modelPar_given_POA1,
     modelPar_PLA1,
     modelPar_given_PLA1,
     modelPar_PWA1,
     modelPar_given_PWA1,
     modelPar_PLWA1,
     modelPar_given_PLWA1,
     modelPar_POA2,
     modelPar_given_POA2,
     modelPar_POSTA2,
     modelPar_given_POSTA2,
     modelPar_POA3,
     modelPar_given_POA3,
     modelPar_PLA3,
     modelPar_given_PLA3,
     modelPar_PWA3,
     modelPar_given_PWA3,
     modelPar_PLWA3,
     modelPar_given_PLWA3,
     modelPar_POA4,
     modelPar_given_POA4,
     modelPar_PLA4,
     modelPar_given_PLA4,
     modelPar_PWA4,
     modelPar_given_PWA4,
     modelPar_PLWA4,
     modelPar_given_PLWA4,
     modelPar_POGCO,
     modelPar_given_POGCO,
     modelPar_POIGINV,
     modelPar_given_POIGINV,
     modelPar_PLIGINV,
     modelPar_given_PLIGINV,
     modelPar_PWIGINV,
     modelPar_given_PWIGINV,
     modelPar_PLWIGINV,
     modelPar_given_PLWIGINV,
     modelPar_POIGOV,
     modelPar_given_POIGOV,
     modelPar_PLIGOV,
     modelPar_given_PLIGOV,
     modelPar_PWIGOV,
     modelPar_given_PWIGOV,
     modelPar_PLWIGOV,
     modelPar_given_PLWIGOV,
     modelPar_POIGOVD,
     modelPar_given_POIGOVD,
     modelPar_PLIGOVD,
     modelPar_given_PLIGOVD,
     modelPar_PWIGOVD,
     modelPar_given_PWIGOVD,
     modelPar_PLWIGOVD,
     modelPar_given_PLWIGOVD,
     modelPar_POSTIG,
     modelPar_given_POSTIG,
     modelPar_POGC2,
     modelPar_given_POGC2,
     modelPar_POGC3,
     modelPar_given_POGC3,
     modelPar_POCHIB,
     modelPar_given_POCHIB,
     modelPar_POAGIDL,
     modelPar_given_POAGIDL,
     modelPar_PLAGIDL,
     modelPar_given_PLAGIDL,
     modelPar_PWAGIDL,
     modelPar_given_PWAGIDL,
     modelPar_PLWAGIDL,
     modelPar_given_PLWAGIDL,
     modelPar_POAGIDLD,
     modelPar_given_POAGIDLD,
     modelPar_PLAGIDLD,
     modelPar_given_PLAGIDLD,
     modelPar_PWAGIDLD,
     modelPar_given_PWAGIDLD,
     modelPar_PLWAGIDLD,
     modelPar_given_PLWAGIDLD,
     modelPar_POBGIDL,
     modelPar_given_POBGIDL,
     modelPar_POBGIDLD,
     modelPar_given_POBGIDLD,
     modelPar_POSTBGIDL,
     modelPar_given_POSTBGIDL,
     modelPar_POSTBGIDLD,
     modelPar_given_POSTBGIDLD,
     modelPar_POCGIDL,
     modelPar_given_POCGIDL,
     modelPar_POCGIDLD,
     modelPar_given_POCGIDLD,
     modelPar_POCOX,
     modelPar_given_POCOX,
     modelPar_PLCOX,
     modelPar_given_PLCOX,
     modelPar_PWCOX,
     modelPar_given_PWCOX,
     modelPar_PLWCOX,
     modelPar_given_PLWCOX,
     modelPar_POCGOV,
     modelPar_given_POCGOV,
     modelPar_PLCGOV,
     modelPar_given_PLCGOV,
     modelPar_PWCGOV,
     modelPar_given_PWCGOV,
     modelPar_PLWCGOV,
     modelPar_given_PLWCGOV,
     modelPar_POCGOVD,
     modelPar_given_POCGOVD,
     modelPar_PLCGOVD,
     modelPar_given_PLCGOVD,
     modelPar_PWCGOVD,
     modelPar_given_PWCGOVD,
     modelPar_PLWCGOVD,
     modelPar_given_PLWCGOVD,
     modelPar_POCGBOV,
     modelPar_given_POCGBOV,
     modelPar_PLCGBOV,
     modelPar_given_PLCGBOV,
     modelPar_PWCGBOV,
     modelPar_given_PWCGBOV,
     modelPar_PLWCGBOV,
     modelPar_given_PLWCGBOV,
     modelPar_POCFR,
     modelPar_given_POCFR,
     modelPar_PLCFR,
     modelPar_given_PLCFR,
     modelPar_PWCFR,
     modelPar_given_PWCFR,
     modelPar_PLWCFR,
     modelPar_given_PLWCFR,
     modelPar_POCFRD,
     modelPar_given_POCFRD,
     modelPar_PLCFRD,
     modelPar_given_PLCFRD,
     modelPar_PWCFRD,
     modelPar_given_PWCFRD,
     modelPar_PLWCFRD,
     modelPar_given_PLWCFRD,
     modelPar_POFNT,
     modelPar_given_POFNT,
     modelPar_PONFA,
     modelPar_given_PONFA,
     modelPar_PLNFA,
     modelPar_given_PLNFA,
     modelPar_PWNFA,
     modelPar_given_PWNFA,
     modelPar_PLWNFA,
     modelPar_given_PLWNFA,
     modelPar_PONFB,
     modelPar_given_PONFB,
     modelPar_PLNFB,
     modelPar_given_PLNFB,
     modelPar_PWNFB,
     modelPar_given_PWNFB,
     modelPar_PLWNFB,
     modelPar_given_PLWNFB,
     modelPar_PONFC,
     modelPar_given_PONFC,
     modelPar_PLNFC,
     modelPar_given_PLNFC,
     modelPar_PWNFC,
     modelPar_given_PWNFC,
     modelPar_PLWNFC,
     modelPar_given_PLWNFC,
     modelPar_POEF,
     modelPar_given_POEF,
     modelPar_POKVTHOWE,
     modelPar_given_POKVTHOWE,
     modelPar_PLKVTHOWE,
     modelPar_given_PLKVTHOWE,
     modelPar_PWKVTHOWE,
     modelPar_given_PWKVTHOWE,
     modelPar_PLWKVTHOWE,
     modelPar_given_PLWKVTHOWE,
     modelPar_POKUOWE,
     modelPar_given_POKUOWE,
     modelPar_PLKUOWE,
     modelPar_given_PLKUOWE,
     modelPar_PWKUOWE,
     modelPar_given_PWKUOWE,
     modelPar_PLWKUOWE,
     modelPar_given_PLWKUOWE,
     modelPar_LMIN,
     modelPar_given_LMIN,
     modelPar_LMAX,
     modelPar_given_LMAX,
     modelPar_WMIN,
     modelPar_given_WMIN,
     modelPar_WMAX,
     modelPar_given_WMAX,
     modelPar_LVARO,
     modelPar_given_LVARO,
     modelPar_LVARL,
     modelPar_given_LVARL,
     modelPar_LVARW,
     modelPar_given_LVARW,
     modelPar_LAP,
     modelPar_given_LAP,
     modelPar_WVARO,
     modelPar_given_WVARO,
     modelPar_WVARL,
     modelPar_given_WVARL,
     modelPar_WVARW,
     modelPar_given_WVARW,
     modelPar_WOT,
     modelPar_given_WOT,
     modelPar_DLQ,
     modelPar_given_DLQ,
     modelPar_DWQ,
     modelPar_given_DWQ,
     modelPar_VFBO,
     modelPar_given_VFBO,
     modelPar_VFBL,
     modelPar_given_VFBL,
     modelPar_VFBW,
     modelPar_given_VFBW,
     modelPar_VFBLW,
     modelPar_given_VFBLW,
     modelPar_STVFBO,
     modelPar_given_STVFBO,
     modelPar_STVFBL,
     modelPar_given_STVFBL,
     modelPar_STVFBW,
     modelPar_given_STVFBW,
     modelPar_STVFBLW,
     modelPar_given_STVFBLW,
     modelPar_TOXO,
     modelPar_given_TOXO,
     modelPar_EPSROXO,
     modelPar_given_EPSROXO,
     modelPar_NSUBO,
     modelPar_given_NSUBO,
     modelPar_NSUBW,
     modelPar_given_NSUBW,
     modelPar_WSEG,
     modelPar_given_WSEG,
     modelPar_NPCK,
     modelPar_given_NPCK,
     modelPar_NPCKW,
     modelPar_given_NPCKW,
     modelPar_WSEGP,
     modelPar_given_WSEGP,
     modelPar_LPCK,
     modelPar_given_LPCK,
     modelPar_LPCKW,
     modelPar_given_LPCKW,
     modelPar_FOL1,
     modelPar_given_FOL1,
     modelPar_FOL2,
     modelPar_given_FOL2,
     modelPar_FACNEFFACO,
     modelPar_given_FACNEFFACO,
     modelPar_FACNEFFACL,
     modelPar_given_FACNEFFACL,
     modelPar_FACNEFFACW,
     modelPar_given_FACNEFFACW,
     modelPar_FACNEFFACLW,
     modelPar_given_FACNEFFACLW,
     modelPar_GFACNUDO,
     modelPar_given_GFACNUDO,
     modelPar_GFACNUDL,
     modelPar_given_GFACNUDL,
     modelPar_GFACNUDLEXP,
     modelPar_given_GFACNUDLEXP,
     modelPar_GFACNUDW,
     modelPar_given_GFACNUDW,
     modelPar_GFACNUDLW,
     modelPar_given_GFACNUDLW,
     modelPar_VSBNUDO,
     modelPar_given_VSBNUDO,
     modelPar_DVSBNUDO,
     modelPar_given_DVSBNUDO,
     modelPar_VNSUBO,
     modelPar_given_VNSUBO,
     modelPar_NSLPO,
     modelPar_given_NSLPO,
     modelPar_DNSUBO,
     modelPar_given_DNSUBO,
     modelPar_DPHIBO,
     modelPar_given_DPHIBO,
     modelPar_DPHIBL,
     modelPar_given_DPHIBL,
     modelPar_DPHIBLEXP,
     modelPar_given_DPHIBLEXP,
     modelPar_DPHIBW,
     modelPar_given_DPHIBW,
     modelPar_DPHIBLW,
     modelPar_given_DPHIBLW,
     modelPar_DELVTACO,
     modelPar_given_DELVTACO,
     modelPar_DELVTACL,
     modelPar_given_DELVTACL,
     modelPar_DELVTACLEXP,
     modelPar_given_DELVTACLEXP,
     modelPar_DELVTACW,
     modelPar_given_DELVTACW,
     modelPar_DELVTACLW,
     modelPar_given_DELVTACLW,
     modelPar_NPO,
     modelPar_given_NPO,
     modelPar_NPL,
     modelPar_given_NPL,
     modelPar_CTO,
     modelPar_given_CTO,
     modelPar_CTL,
     modelPar_given_CTL,
     modelPar_CTLEXP,
     modelPar_given_CTLEXP,
     modelPar_CTW,
     modelPar_given_CTW,
     modelPar_CTLW,
     modelPar_given_CTLW,
     modelPar_TOXOVO,
     modelPar_given_TOXOVO,
     modelPar_TOXOVDO,
     modelPar_given_TOXOVDO,
     modelPar_LOV,
     modelPar_given_LOV,
     modelPar_LOVD,
     modelPar_given_LOVD,
     modelPar_NOVO,
     modelPar_given_NOVO,
     modelPar_NOVDO,
     modelPar_given_NOVDO,
     modelPar_CFL,
     modelPar_given_CFL,
     modelPar_CFLEXP,
     modelPar_given_CFLEXP,
     modelPar_CFW,
     modelPar_given_CFW,
     modelPar_CFBO,
     modelPar_given_CFBO,
     modelPar_UO,
     modelPar_given_UO,
     modelPar_FBET1,
     modelPar_given_FBET1,
     modelPar_FBET1W,
     modelPar_given_FBET1W,
     modelPar_LP1,
     modelPar_given_LP1,
     modelPar_LP1W,
     modelPar_given_LP1W,
     modelPar_FBET2,
     modelPar_given_FBET2,
     modelPar_LP2,
     modelPar_given_LP2,
     modelPar_BETW1,
     modelPar_given_BETW1,
     modelPar_BETW2,
     modelPar_given_BETW2,
     modelPar_WBET,
     modelPar_given_WBET,
     modelPar_STBETO,
     modelPar_given_STBETO,
     modelPar_STBETL,
     modelPar_given_STBETL,
     modelPar_STBETW,
     modelPar_given_STBETW,
     modelPar_STBETLW,
     modelPar_given_STBETLW,
     modelPar_MUEO,
     modelPar_given_MUEO,
     modelPar_MUEW,
     modelPar_given_MUEW,
     modelPar_STMUEO,
     modelPar_given_STMUEO,
     modelPar_THEMUO,
     modelPar_given_THEMUO,
     modelPar_STTHEMUO,
     modelPar_given_STTHEMUO,
     modelPar_CSO,
     modelPar_given_CSO,
     modelPar_CSL,
     modelPar_given_CSL,
     modelPar_CSLEXP,
     modelPar_given_CSLEXP,
     modelPar_CSW,
     modelPar_given_CSW,
     modelPar_CSLW,
     modelPar_given_CSLW,
     modelPar_STCSO,
     modelPar_given_STCSO,
     modelPar_XCORO,
     modelPar_given_XCORO,
     modelPar_XCORL,
     modelPar_given_XCORL,
     modelPar_XCORW,
     modelPar_given_XCORW,
     modelPar_XCORLW,
     modelPar_given_XCORLW,
     modelPar_STXCORO,
     modelPar_given_STXCORO,
     modelPar_FETAO,
     modelPar_given_FETAO,
     modelPar_RSW1,
     modelPar_given_RSW1,
     modelPar_RSW2,
     modelPar_given_RSW2,
     modelPar_STRSO,
     modelPar_given_STRSO,
     modelPar_RSBO,
     modelPar_given_RSBO,
     modelPar_RSGO,
     modelPar_given_RSGO,
     modelPar_THESATO,
     modelPar_given_THESATO,
     modelPar_THESATL,
     modelPar_given_THESATL,
     modelPar_THESATLEXP,
     modelPar_given_THESATLEXP,
     modelPar_THESATW,
     modelPar_given_THESATW,
     modelPar_THESATLW,
     modelPar_given_THESATLW,
     modelPar_STTHESATO,
     modelPar_given_STTHESATO,
     modelPar_STTHESATL,
     modelPar_given_STTHESATL,
     modelPar_STTHESATW,
     modelPar_given_STTHESATW,
     modelPar_STTHESATLW,
     modelPar_given_STTHESATLW,
     modelPar_THESATBO,
     modelPar_given_THESATBO,
     modelPar_THESATGO,
     modelPar_given_THESATGO,
     modelPar_AXO,
     modelPar_given_AXO,
     modelPar_AXL,
     modelPar_given_AXL,
     modelPar_ALPL,
     modelPar_given_ALPL,
     modelPar_ALPLEXP,
     modelPar_given_ALPLEXP,
     modelPar_ALPW,
     modelPar_given_ALPW,
     modelPar_ALP1L1,
     modelPar_given_ALP1L1,
     modelPar_ALP1LEXP,
     modelPar_given_ALP1LEXP,
     modelPar_ALP1L2,
     modelPar_given_ALP1L2,
     modelPar_ALP1W,
     modelPar_given_ALP1W,
     modelPar_ALP2L1,
     modelPar_given_ALP2L1,
     modelPar_ALP2LEXP,
     modelPar_given_ALP2LEXP,
     modelPar_ALP2L2,
     modelPar_given_ALP2L2,
     modelPar_ALP2W,
     modelPar_given_ALP2W,
     modelPar_VPO,
     modelPar_given_VPO,
     modelPar_A1O,
     modelPar_given_A1O,
     modelPar_A1L,
     modelPar_given_A1L,
     modelPar_A1W,
     modelPar_given_A1W,
     modelPar_A2O,
     modelPar_given_A2O,
     modelPar_STA2O,
     modelPar_given_STA2O,
     modelPar_A3O,
     modelPar_given_A3O,
     modelPar_A3L,
     modelPar_given_A3L,
     modelPar_A3W,
     modelPar_given_A3W,
     modelPar_A4O,
     modelPar_given_A4O,
     modelPar_A4L,
     modelPar_given_A4L,
     modelPar_A4W,
     modelPar_given_A4W,
     modelPar_GCOO,
     modelPar_given_GCOO,
     modelPar_IGINVLW,
     modelPar_given_IGINVLW,
     modelPar_IGOVW,
     modelPar_given_IGOVW,
     modelPar_IGOVDW,
     modelPar_given_IGOVDW,
     modelPar_STIGO,
     modelPar_given_STIGO,
     modelPar_GC2O,
     modelPar_given_GC2O,
     modelPar_GC3O,
     modelPar_given_GC3O,
     modelPar_CHIBO,
     modelPar_given_CHIBO,
     modelPar_AGIDLW,
     modelPar_given_AGIDLW,
     modelPar_AGIDLDW,
     modelPar_given_AGIDLDW,
     modelPar_BGIDLO,
     modelPar_given_BGIDLO,
     modelPar_BGIDLDO,
     modelPar_given_BGIDLDO,
     modelPar_STBGIDLO,
     modelPar_given_STBGIDLO,
     modelPar_STBGIDLDO,
     modelPar_given_STBGIDLDO,
     modelPar_CGIDLO,
     modelPar_given_CGIDLO,
     modelPar_CGIDLDO,
     modelPar_given_CGIDLDO,
     modelPar_CGBOVL,
     modelPar_given_CGBOVL,
     modelPar_CFRW,
     modelPar_given_CFRW,
     modelPar_CFRDW,
     modelPar_given_CFRDW,
     modelPar_FNTO,
     modelPar_given_FNTO,
     modelPar_NFALW,
     modelPar_given_NFALW,
     modelPar_NFBLW,
     modelPar_given_NFBLW,
     modelPar_NFCLW,
     modelPar_given_NFCLW,
     modelPar_EFO,
     modelPar_given_EFO,
     modelPar_LINTNOI,
     modelPar_given_LINTNOI,
     modelPar_ALPNOI,
     modelPar_given_ALPNOI,
     modelPar_KVTHOWEO,
     modelPar_given_KVTHOWEO,
     modelPar_KVTHOWEL,
     modelPar_given_KVTHOWEL,
     modelPar_KVTHOWEW,
     modelPar_given_KVTHOWEW,
     modelPar_KVTHOWELW,
     modelPar_given_KVTHOWELW,
     modelPar_KUOWEO,
     modelPar_given_KUOWEO,
     modelPar_KUOWEL,
     modelPar_given_KUOWEL,
     modelPar_KUOWEW,
     modelPar_given_KUOWEW,
     modelPar_KUOWELW,
     modelPar_given_KUOWELW,
     modelPar_RGO,
     modelPar_given_RGO,
     modelPar_RINT,
     modelPar_given_RINT,
     modelPar_RVPOLY,
     modelPar_given_RVPOLY,
     modelPar_RSHG,
     modelPar_given_RSHG,
     modelPar_DLSIL,
     modelPar_given_DLSIL,
     modelPar_RSH,
     modelPar_given_RSH,
     modelPar_RSHD,
     modelPar_given_RSHD,
     modelPar_RBULKO,
     modelPar_given_RBULKO,
     modelPar_RWELLO,
     modelPar_given_RWELLO,
     modelPar_RJUNSO,
     modelPar_given_RJUNSO,
     modelPar_RJUNDO,
     modelPar_given_RJUNDO,
     modelPar_SAREF,
     modelPar_given_SAREF,
     modelPar_SBREF,
     modelPar_given_SBREF,
     modelPar_WLOD,
     modelPar_given_WLOD,
     modelPar_KUO,
     modelPar_given_KUO,
     modelPar_KVSAT,
     modelPar_given_KVSAT,
     modelPar_TKUO,
     modelPar_given_TKUO,
     modelPar_LKUO,
     modelPar_given_LKUO,
     modelPar_WKUO,
     modelPar_given_WKUO,
     modelPar_PKUO,
     modelPar_given_PKUO,
     modelPar_LLODKUO,
     modelPar_given_LLODKUO,
     modelPar_WLODKUO,
     modelPar_given_WLODKUO,
     modelPar_KVTHO,
     modelPar_given_KVTHO,
     modelPar_LKVTHO,
     modelPar_given_LKVTHO,
     modelPar_WKVTHO,
     modelPar_given_WKVTHO,
     modelPar_PKVTHO,
     modelPar_given_PKVTHO,
     modelPar_LLODVTH,
     modelPar_given_LLODVTH,
     modelPar_WLODVTH,
     modelPar_given_WLODVTH,
     modelPar_STETAO,
     modelPar_given_STETAO,
     modelPar_LODETAO,
     modelPar_given_LODETAO,
     modelPar_SCREF,
     modelPar_given_SCREF,
     modelPar_WEB,
     modelPar_given_WEB,
     modelPar_WEC,
     modelPar_given_WEC,
     modelPar_IMAX,
     modelPar_given_IMAX,
     modelPar_TRJ,
     modelPar_given_TRJ,
     modelPar_CJORBOT,
     modelPar_given_CJORBOT,
     modelPar_CJORSTI,
     modelPar_given_CJORSTI,
     modelPar_CJORGAT,
     modelPar_given_CJORGAT,
     modelPar_VBIRBOT,
     modelPar_given_VBIRBOT,
     modelPar_VBIRSTI,
     modelPar_given_VBIRSTI,
     modelPar_VBIRGAT,
     modelPar_given_VBIRGAT,
     modelPar_PBOT,
     modelPar_given_PBOT,
     modelPar_PSTI,
     modelPar_given_PSTI,
     modelPar_PGAT,
     modelPar_given_PGAT,
     modelPar_PHIGBOT,
     modelPar_given_PHIGBOT,
     modelPar_PHIGSTI,
     modelPar_given_PHIGSTI,
     modelPar_PHIGGAT,
     modelPar_given_PHIGGAT,
     modelPar_IDSATRBOT,
     modelPar_given_IDSATRBOT,
     modelPar_IDSATRSTI,
     modelPar_given_IDSATRSTI,
     modelPar_IDSATRGAT,
     modelPar_given_IDSATRGAT,
     modelPar_CSRHBOT,
     modelPar_given_CSRHBOT,
     modelPar_CSRHSTI,
     modelPar_given_CSRHSTI,
     modelPar_CSRHGAT,
     modelPar_given_CSRHGAT,
     modelPar_XJUNSTI,
     modelPar_given_XJUNSTI,
     modelPar_XJUNGAT,
     modelPar_given_XJUNGAT,
     modelPar_CTATBOT,
     modelPar_given_CTATBOT,
     modelPar_CTATSTI,
     modelPar_given_CTATSTI,
     modelPar_CTATGAT,
     modelPar_given_CTATGAT,
     modelPar_MEFFTATBOT,
     modelPar_given_MEFFTATBOT,
     modelPar_MEFFTATSTI,
     modelPar_given_MEFFTATSTI,
     modelPar_MEFFTATGAT,
     modelPar_given_MEFFTATGAT,
     modelPar_CBBTBOT,
     modelPar_given_CBBTBOT,
     modelPar_CBBTSTI,
     modelPar_given_CBBTSTI,
     modelPar_CBBTGAT,
     modelPar_given_CBBTGAT,
     modelPar_FBBTRBOT,
     modelPar_given_FBBTRBOT,
     modelPar_FBBTRSTI,
     modelPar_given_FBBTRSTI,
     modelPar_FBBTRGAT,
     modelPar_given_FBBTRGAT,
     modelPar_STFBBTBOT,
     modelPar_given_STFBBTBOT,
     modelPar_STFBBTSTI,
     modelPar_given_STFBBTSTI,
     modelPar_STFBBTGAT,
     modelPar_given_STFBBTGAT,
     modelPar_VBRBOT,
     modelPar_given_VBRBOT,
     modelPar_VBRSTI,
     modelPar_given_VBRSTI,
     modelPar_VBRGAT,
     modelPar_given_VBRGAT,
     modelPar_PBRBOT,
     modelPar_given_PBRBOT,
     modelPar_PBRSTI,
     modelPar_given_PBRSTI,
     modelPar_PBRGAT,
     modelPar_given_PBRGAT,
     modelPar_CJORBOTD,
     modelPar_given_CJORBOTD,
     modelPar_CJORSTID,
     modelPar_given_CJORSTID,
     modelPar_CJORGATD,
     modelPar_given_CJORGATD,
     modelPar_VBIRBOTD,
     modelPar_given_VBIRBOTD,
     modelPar_VBIRSTID,
     modelPar_given_VBIRSTID,
     modelPar_VBIRGATD,
     modelPar_given_VBIRGATD,
     modelPar_PBOTD,
     modelPar_given_PBOTD,
     modelPar_PSTID,
     modelPar_given_PSTID,
     modelPar_PGATD,
     modelPar_given_PGATD,
     modelPar_PHIGBOTD,
     modelPar_given_PHIGBOTD,
     modelPar_PHIGSTID,
     modelPar_given_PHIGSTID,
     modelPar_PHIGGATD,
     modelPar_given_PHIGGATD,
     modelPar_IDSATRBOTD,
     modelPar_given_IDSATRBOTD,
     modelPar_IDSATRSTID,
     modelPar_given_IDSATRSTID,
     modelPar_IDSATRGATD,
     modelPar_given_IDSATRGATD,
     modelPar_CSRHBOTD,
     modelPar_given_CSRHBOTD,
     modelPar_CSRHSTID,
     modelPar_given_CSRHSTID,
     modelPar_CSRHGATD,
     modelPar_given_CSRHGATD,
     modelPar_XJUNSTID,
     modelPar_given_XJUNSTID,
     modelPar_XJUNGATD,
     modelPar_given_XJUNGATD,
     modelPar_CTATBOTD,
     modelPar_given_CTATBOTD,
     modelPar_CTATSTID,
     modelPar_given_CTATSTID,
     modelPar_CTATGATD,
     modelPar_given_CTATGATD,
     modelPar_MEFFTATBOTD,
     modelPar_given_MEFFTATBOTD,
     modelPar_MEFFTATSTID,
     modelPar_given_MEFFTATSTID,
     modelPar_MEFFTATGATD,
     modelPar_given_MEFFTATGATD,
     modelPar_CBBTBOTD,
     modelPar_given_CBBTBOTD,
     modelPar_CBBTSTID,
     modelPar_given_CBBTSTID,
     modelPar_CBBTGATD,
     modelPar_given_CBBTGATD,
     modelPar_FBBTRBOTD,
     modelPar_given_FBBTRBOTD,
     modelPar_FBBTRSTID,
     modelPar_given_FBBTRSTID,
     modelPar_FBBTRGATD,
     modelPar_given_FBBTRGATD,
     modelPar_STFBBTBOTD,
     modelPar_given_STFBBTBOTD,
     modelPar_STFBBTSTID,
     modelPar_given_STFBBTSTID,
     modelPar_STFBBTGATD,
     modelPar_given_STFBBTGATD,
     modelPar_VBRBOTD,
     modelPar_given_VBRBOTD,
     modelPar_VBRSTID,
     modelPar_given_VBRSTID,
     modelPar_VBRGATD,
     modelPar_given_VBRGATD,
     modelPar_PBRBOTD,
     modelPar_given_PBRBOTD,
     modelPar_PBRSTID,
     modelPar_given_PBRSTID,
     modelPar_PBRGATD,
     modelPar_given_PBRGATD,
     modelPar_SWJUNEXP,
     modelPar_given_SWJUNEXP,
     modelPar_VJUNREF,
     modelPar_given_VJUNREF,
     modelPar_FJUNQ,
     modelPar_given_FJUNQ,
     modelPar_VJUNREFD,
     modelPar_given_VJUNREFD,
     modelPar_FJUNQD,
     modelPar_given_FJUNQD,
     modelPar_DTA,
     modelPar_given_DTA// model variables
     ,
     // reals
     modelVar_NSUBO_i,
     modelVar_WSEG_i,
     modelVar_NPCK_i,
     modelVar_WSEGP_i,
     modelVar_LPCK_i,
     modelVar_LOV_i,
     modelVar_LOVD_i,
     modelVar_LP1_i,
     modelVar_LP2_i,
     modelVar_WBET_i,
     modelVar_AXL_i,
     modelVar_ALP1L2_i,
     modelVar_ALP2L2_i,
     modelVar_TOXO_i,
     modelVar_TOXOVO_i,
     modelVar_TOXOVDO_i,
     modelVar_EPSROXO_i,
     modelVar_RINT_i,
     modelVar_RVPOLY_i,
     modelVar_RSHG_i,
     modelVar_RSH_i,
     modelVar_RSHD_i,
     modelVar_SAREF_i,
     modelVar_SBREF_i,
     modelVar_KVSAT_i,
     modelVar_LLODKUO_i,
     modelVar_WLODKUO_i,
     modelVar_LLODVTH_i,
     modelVar_WLODVTH_i,
     modelVar_LODETAO_i,
     modelVar_SCREF_i,
     modelVar_WEB_i,
     modelVar_WEC_i,
     modelVar_QMC_i,
     modelVar_TKD,
     modelVar_dT,
     modelVar_rT,
     modelVar_rTn,
     modelVar_EPSSI,
     modelVar_phit,
     modelVar_inv_phit,
     modelVar_Eg,
     modelVar_phibFac,
     modelVar_nt0,
     modelVar_IMAX_i,
     modelVar_CJORBOT_i,
     modelVar_CJORSTI_i,
     modelVar_CJORGAT_i,
     modelVar_VBIRBOT_i,
     modelVar_VBIRSTI_i,
     modelVar_VBIRGAT_i,
     modelVar_PBOT_i,
     modelVar_PSTI_i,
     modelVar_PGAT_i,
     modelVar_PHIGBOT_i,
     modelVar_PHIGSTI_i,
     modelVar_PHIGGAT_i,
     modelVar_IDSATRBOT_i,
     modelVar_IDSATRSTI_i,
     modelVar_IDSATRGAT_i,
     modelVar_XJUNSTI_i,
     modelVar_XJUNGAT_i,
     modelVar_CSRHBOT_i,
     modelVar_CSRHSTI_i,
     modelVar_CSRHGAT_i,
     modelVar_CTATBOT_i,
     modelVar_CTATSTI_i,
     modelVar_CTATGAT_i,
     modelVar_MEFFTATBOT_i,
     modelVar_MEFFTATSTI_i,
     modelVar_MEFFTATGAT_i,
     modelVar_CBBTBOT_i,
     modelVar_CBBTSTI_i,
     modelVar_CBBTGAT_i,
     modelVar_FBBTRBOT_i,
     modelVar_FBBTRSTI_i,
     modelVar_FBBTRGAT_i,
     modelVar_STFBBTBOT_i,
     modelVar_STFBBTSTI_i,
     modelVar_STFBBTGAT_i,
     modelVar_VBRBOT_i,
     modelVar_VBRSTI_i,
     modelVar_VBRGAT_i,
     modelVar_PBRBOT_i,
     modelVar_PBRSTI_i,
     modelVar_PBRGAT_i,
     modelVar_SWJUNEXP_i,
     modelVar_VJUNREF_i,
     modelVar_FJUNQ_i,
     modelVar_phitr,
     modelVar_phitd,
     modelVar_phitdinv,
     modelVar_perfc,
     modelVar_berfc,
     modelVar_cerfc,
     modelVar_phigrbot,
     modelVar_phigrsti,
     modelVar_phigrgat,
     modelVar_phigdbot,
     modelVar_phigdsti,
     modelVar_phigdgat,
     modelVar_ftdbot,
     modelVar_ftdsti,
     modelVar_ftdgat,
     modelVar_idsatbot,
     modelVar_idsatsti,
     modelVar_idsatgat,
     modelVar_ubibot,
     modelVar_ubisti,
     modelVar_ubigat,
     modelVar_vbibot,
     modelVar_vbisti,
     modelVar_vbigat,
     modelVar_vbiinvbot,
     modelVar_vbiinvsti,
     modelVar_vbiinvgat,
     modelVar_one_minus_PBOT,
     modelVar_one_minus_PSTI,
     modelVar_one_minus_PGAT,
     modelVar_one_over_one_minus_PBOT,
     modelVar_one_over_one_minus_PSTI,
     modelVar_one_over_one_minus_PGAT,
     modelVar_cjobot,
     modelVar_cjosti,
     modelVar_cjogat,
     modelVar_qprefbot,
     modelVar_qprefsti,
     modelVar_qprefgat,
     modelVar_qpref2bot,
     modelVar_qpref2sti,
     modelVar_qpref2gat,
     modelVar_wdepnulrbot,
     modelVar_wdepnulrsti,
     modelVar_wdepnulrgat,
     modelVar_wdepnulrinvbot,
     modelVar_wdepnulrinvsti,
     modelVar_wdepnulrinvgat,
     modelVar_VBIRBOTinv,
     modelVar_VBIRSTIinv,
     modelVar_VBIRGATinv,
     modelVar_deltaEbot,
     modelVar_deltaEsti,
     modelVar_deltaEgat,
     modelVar_atatbot,
     modelVar_atatsti,
     modelVar_atatgat,
     modelVar_btatpartbot,
     modelVar_btatpartsti,
     modelVar_btatpartgat,
     modelVar_fbbtbot,
     modelVar_fbbtsti,
     modelVar_fbbtgat,
     modelVar_fstopbot,
     modelVar_fstopsti,
     modelVar_fstopgat,
     modelVar_VBRinvbot,
     modelVar_VBRinvsti,
     modelVar_VBRinvgat,
     modelVar_slopebot,
     modelVar_slopesti,
     modelVar_slopegat,
     modelVar_CJORBOTS_i,
     modelVar_CJORSTIS_i,
     modelVar_CJORGATS_i,
     modelVar_VBIRBOTS_i,
     modelVar_VBIRSTIS_i,
     modelVar_VBIRGATS_i,
     modelVar_PBOTS_i,
     modelVar_PSTIS_i,
     modelVar_PGATS_i,
     modelVar_PHIGBOTS_i,
     modelVar_PHIGSTIS_i,
     modelVar_PHIGGATS_i,
     modelVar_IDSATRBOTS_i,
     modelVar_IDSATRSTIS_i,
     modelVar_IDSATRGATS_i,
     modelVar_XJUNSTIS_i,
     modelVar_XJUNGATS_i,
     modelVar_CSRHBOTS_i,
     modelVar_CSRHSTIS_i,
     modelVar_CSRHGATS_i,
     modelVar_CTATBOTS_i,
     modelVar_CTATSTIS_i,
     modelVar_CTATGATS_i,
     modelVar_MEFFTATBOTS_i,
     modelVar_MEFFTATSTIS_i,
     modelVar_MEFFTATGATS_i,
     modelVar_CBBTBOTS_i,
     modelVar_CBBTSTIS_i,
     modelVar_CBBTGATS_i,
     modelVar_FBBTRBOTS_i,
     modelVar_FBBTRSTIS_i,
     modelVar_FBBTRGATS_i,
     modelVar_STFBBTBOTS_i,
     modelVar_STFBBTSTIS_i,
     modelVar_STFBBTGATS_i,
     modelVar_VBRBOTS_i,
     modelVar_VBRSTIS_i,
     modelVar_VBRGATS_i,
     modelVar_PBRBOTS_i,
     modelVar_PBRSTIS_i,
     modelVar_PBRGATS_i,
     modelVar_CJORBOTD_i,
     modelVar_CJORSTID_i,
     modelVar_CJORGATD_i,
     modelVar_VBIRBOTD_i,
     modelVar_VBIRSTID_i,
     modelVar_VBIRGATD_i,
     modelVar_PBOTD_i,
     modelVar_PSTID_i,
     modelVar_PGATD_i,
     modelVar_PHIGBOTD_i,
     modelVar_PHIGSTID_i,
     modelVar_PHIGGATD_i,
     modelVar_IDSATRBOTD_i,
     modelVar_IDSATRSTID_i,
     modelVar_IDSATRGATD_i,
     modelVar_XJUNSTID_i,
     modelVar_XJUNGATD_i,
     modelVar_CSRHBOTD_i,
     modelVar_CSRHSTID_i,
     modelVar_CSRHGATD_i,
     modelVar_CTATBOTD_i,
     modelVar_CTATSTID_i,
     modelVar_CTATGATD_i,
     modelVar_MEFFTATBOTD_i,
     modelVar_MEFFTATSTID_i,
     modelVar_MEFFTATGATD_i,
     modelVar_CBBTBOTD_i,
     modelVar_CBBTSTID_i,
     modelVar_CBBTGATD_i,
     modelVar_FBBTRBOTD_i,
     modelVar_FBBTRSTID_i,
     modelVar_FBBTRGATD_i,
     modelVar_STFBBTBOTD_i,
     modelVar_STFBBTSTID_i,
     modelVar_STFBBTGATD_i,
     modelVar_VBRBOTD_i,
     modelVar_VBRSTID_i,
     modelVar_VBRGATD_i,
     modelVar_PBRBOTD_i,
     modelVar_PBRSTID_i,
     modelVar_PBRGATD_i,
     modelVar_VJUNREFS_i,
     modelVar_FJUNQS_i,
     modelVar_VJUNREFD_i,
     modelVar_FJUNQD_i,
     modelVar_phigrbot_s,
     modelVar_phigrsti_s,
     modelVar_phigrgat_s,
     modelVar_phigdbot_s,
     modelVar_phigdsti_s,
     modelVar_phigdgat_s,
     modelVar_ftdbot_s,
     modelVar_ftdsti_s,
     modelVar_ftdgat_s,
     modelVar_idsatbot_s,
     modelVar_idsatsti_s,
     modelVar_idsatgat_s,
     modelVar_ubibot_s,
     modelVar_ubisti_s,
     modelVar_ubigat_s,
     modelVar_vbibot_s,
     modelVar_vbisti_s,
     modelVar_vbigat_s,
     modelVar_vbiinvbot_s,
     modelVar_vbiinvsti_s,
     modelVar_vbiinvgat_s,
     modelVar_one_minus_PBOT_s,
     modelVar_one_minus_PSTI_s,
     modelVar_one_minus_PGAT_s,
     modelVar_one_over_one_minus_PBOT_s,
     modelVar_one_over_one_minus_PSTI_s,
     modelVar_one_over_one_minus_PGAT_s,
     modelVar_cjobot_s,
     modelVar_cjosti_s,
     modelVar_cjogat_s,
     modelVar_qprefbot_s,
     modelVar_qprefsti_s,
     modelVar_qprefgat_s,
     modelVar_qpref2bot_s,
     modelVar_qpref2sti_s,
     modelVar_qpref2gat_s,
     modelVar_wdepnulrbot_s,
     modelVar_wdepnulrsti_s,
     modelVar_wdepnulrgat_s,
     modelVar_wdepnulrinvbot_s,
     modelVar_wdepnulrinvsti_s,
     modelVar_wdepnulrinvgat_s,
     modelVar_VBIRBOTinv_s,
     modelVar_VBIRSTIinv_s,
     modelVar_VBIRGATinv_s,
     modelVar_deltaEbot_s,
     modelVar_deltaEsti_s,
     modelVar_deltaEgat_s,
     modelVar_atatbot_s,
     modelVar_atatsti_s,
     modelVar_atatgat_s,
     modelVar_btatpartbot_s,
     modelVar_btatpartsti_s,
     modelVar_btatpartgat_s,
     modelVar_fbbtbot_s,
     modelVar_fbbtsti_s,
     modelVar_fbbtgat_s,
     modelVar_fstopbot_s,
     modelVar_fstopsti_s,
     modelVar_fstopgat_s,
     modelVar_VBRinvbot_s,
     modelVar_VBRinvsti_s,
     modelVar_VBRinvgat_s,
     modelVar_slopebot_s,
     modelVar_slopesti_s,
     modelVar_slopegat_s,
     modelVar_phigrbot_d,
     modelVar_phigrsti_d,
     modelVar_phigrgat_d,
     modelVar_phigdbot_d,
     modelVar_phigdsti_d,
     modelVar_phigdgat_d,
     modelVar_ftdbot_d,
     modelVar_ftdsti_d,
     modelVar_ftdgat_d,
     modelVar_idsatbot_d,
     modelVar_idsatsti_d,
     modelVar_idsatgat_d,
     modelVar_ubibot_d,
     modelVar_ubisti_d,
     modelVar_ubigat_d,
     modelVar_vbibot_d,
     modelVar_vbisti_d,
     modelVar_vbigat_d,
     modelVar_vbiinvbot_d,
     modelVar_vbiinvsti_d,
     modelVar_vbiinvgat_d,
     modelVar_one_minus_PBOT_d,
     modelVar_one_minus_PSTI_d,
     modelVar_one_minus_PGAT_d,
     modelVar_one_over_one_minus_PBOT_d,
     modelVar_one_over_one_minus_PSTI_d,
     modelVar_one_over_one_minus_PGAT_d,
     modelVar_cjobot_d,
     modelVar_cjosti_d,
     modelVar_cjogat_d,
     modelVar_qprefbot_d,
     modelVar_qprefsti_d,
     modelVar_qprefgat_d,
     modelVar_qpref2bot_d,
     modelVar_qpref2sti_d,
     modelVar_qpref2gat_d,
     modelVar_wdepnulrbot_d,
     modelVar_wdepnulrsti_d,
     modelVar_wdepnulrgat_d,
     modelVar_wdepnulrinvbot_d,
     modelVar_wdepnulrinvsti_d,
     modelVar_wdepnulrinvgat_d,
     modelVar_VBIRBOTinv_d,
     modelVar_VBIRSTIinv_d,
     modelVar_VBIRGATinv_d,
     modelVar_deltaEbot_d,
     modelVar_deltaEsti_d,
     modelVar_deltaEgat_d,
     modelVar_atatbot_d,
     modelVar_atatsti_d,
     modelVar_atatgat_d,
     modelVar_btatpartbot_d,
     modelVar_btatpartsti_d,
     modelVar_btatpartgat_d,
     modelVar_fbbtbot_d,
     modelVar_fbbtsti_d,
     modelVar_fbbtgat_d,
     modelVar_fstopbot_d,
     modelVar_fstopsti_d,
     modelVar_fstopgat_d,
     modelVar_VBRinvbot_d,
     modelVar_VBRinvsti_d,
     modelVar_VBRinvgat_d,
     modelVar_slopebot_d,
     modelVar_slopesti_d,
     modelVar_slopegat_d,
     // non-reals
     modelVar_CHNL_TYPE,
     modelVar_SWGEO_i,
     modelVar_SWIGATE_i,
     modelVar_SWIMPACT_i,
     modelVar_SWGIDL_i,
     modelVar_SWJUNCAP_i,
     modelVar_SWJUNASYM_i,
     modelVar_SWNUD_i,
     modelVar_SWDELVTAC_i,
     in.admsTemperature,
     in.adms_vt_nom,
     in.getDeviceOptions().gmin,
     staticContributions,
     dynamicContributions,
     in);


  // We now have the F and Q vector stuff, populate the dependencies:

  dfdp[in.admsNodeID_D] += staticContributions[in.admsNodeID_D].dx(0);
  dqdp[in.admsNodeID_D] += dynamicContributions[in.admsNodeID_D].dx(0);
  Findices[in.admsNodeID_D] = in.li_D;
  Qindices[in.admsNodeID_D] = in.li_D;
  dfdp[in.admsNodeID_G] += staticContributions[in.admsNodeID_G].dx(0);
  dqdp[in.admsNodeID_G] += dynamicContributions[in.admsNodeID_G].dx(0);
  Findices[in.admsNodeID_G] = in.li_G;
  Qindices[in.admsNodeID_G] = in.li_G;
  dfdp[in.admsNodeID_S] += staticContributions[in.admsNodeID_S].dx(0);
  dqdp[in.admsNodeID_S] += dynamicContributions[in.admsNodeID_S].dx(0);
  Findices[in.admsNodeID_S] = in.li_S;
  Qindices[in.admsNodeID_S] = in.li_S;
  dfdp[in.admsNodeID_B] += staticContributions[in.admsNodeID_B].dx(0);
  dqdp[in.admsNodeID_B] += dynamicContributions[in.admsNodeID_B].dx(0);
  Findices[in.admsNodeID_B] = in.li_B;
  Qindices[in.admsNodeID_B] = in.li_B;
  dfdp[in.admsNodeID_GP] += staticContributions[in.admsNodeID_GP].dx(0);
  dqdp[in.admsNodeID_GP] += dynamicContributions[in.admsNodeID_GP].dx(0);
  Findices[in.admsNodeID_GP] = in.li_GP;
  Qindices[in.admsNodeID_GP] = in.li_GP;
  dfdp[in.admsNodeID_SI] += staticContributions[in.admsNodeID_SI].dx(0);
  dqdp[in.admsNodeID_SI] += dynamicContributions[in.admsNodeID_SI].dx(0);
  Findices[in.admsNodeID_SI] = in.li_SI;
  Qindices[in.admsNodeID_SI] = in.li_SI;
  dfdp[in.admsNodeID_DI] += staticContributions[in.admsNodeID_DI].dx(0);
  dqdp[in.admsNodeID_DI] += dynamicContributions[in.admsNodeID_DI].dx(0);
  Findices[in.admsNodeID_DI] = in.li_DI;
  Qindices[in.admsNodeID_DI] = in.li_DI;
  dfdp[in.admsNodeID_BI] += staticContributions[in.admsNodeID_BI].dx(0);
  dqdp[in.admsNodeID_BI] += dynamicContributions[in.admsNodeID_BI].dx(0);
  Findices[in.admsNodeID_BI] = in.li_BI;
  Qindices[in.admsNodeID_BI] = in.li_BI;
  dfdp[in.admsNodeID_BP] += staticContributions[in.admsNodeID_BP].dx(0);
  dqdp[in.admsNodeID_BP] += dynamicContributions[in.admsNodeID_BP].dx(0);
  Findices[in.admsNodeID_BP] = in.li_BP;
  Qindices[in.admsNodeID_BP] = in.li_BP;
  dfdp[in.admsNodeID_BS] += staticContributions[in.admsNodeID_BS].dx(0);
  dqdp[in.admsNodeID_BS] += dynamicContributions[in.admsNodeID_BS].dx(0);
  Findices[in.admsNodeID_BS] = in.li_BS;
  Qindices[in.admsNodeID_BS] = in.li_BS;
  dfdp[in.admsNodeID_BD] += staticContributions[in.admsNodeID_BD].dx(0);
  dqdp[in.admsNodeID_BD] += dynamicContributions[in.admsNodeID_BD].dx(0);
  Findices[in.admsNodeID_BD] = in.li_BD;
  Qindices[in.admsNodeID_BD] = in.li_BD;


}

//-----------------------------------------------------------------------------
// Function      : ModelSensitivity::operator()
// Purpose       : return sensitivity for a single model parameter
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date : 
//-----------------------------------------------------------------------------
/// Compute sensitivity to a specified model
/// parameter of all device instances of that model's outputs
/// 
/// 
/// @param[in] entity  The device entity that owns the parameter 
/// @param[in] name    The unadorned parameter name specific to the entity
/// @param[out] dfdp   The derivative of the F vector with respect to the parameter
/// @param[out] dqdp   The derivative of the Q vector with respect to the parameter
/// @param[out] dbdp   The derivative of the B vector with respect to the parameter
/// @param[out] Findices   The indices into the F vector corresponding to the elements of dfdp
/// @param[out] Qindices   The indices into the Q vector corresponding to the elements of dfdp
/// @param[out] Bindices   The indices into the B vector corresponding to the elements of dfdp
/// 
/// 
void ModelSensitivity::operator()
  (
     const ParameterBase &entity,
     const std::string &name,
     std::vector<double> & dfdp,
     std::vector<double> & dqdp,
     std::vector<double> & dbdp,
     std::vector<int> & Findices,
     std::vector<int> & Qindices,
     std::vector<int> & Bindices
   ) const
{
  const ParameterBase * e1 = &entity;
  const Model & mod = *(dynamic_cast<const Model *> (e1));
  int sizeInstance = mod.instanceContainer.size();

  dfdp.resize((11+0)*sizeInstance);
  dqdp.resize((11+0)*sizeInstance);
  Findices.resize((11+0)*sizeInstance);
  Qindices.resize((11+0)*sizeInstance);

  std::vector <double> probeVars(12);
  std::vector <AdmsSensFadType> staticContributions(11+0);
  std::vector <AdmsSensFadType> dynamicContributions(11+0);


  // Copy out all the model parameters (doubles) into FAD types
  // Keep a map so we can set the right one to the independent variable
  // We do this solely to avoid a big ugly "if/else" block just to find the
  // one parameter we're doing sensitivities on.
  unordered_map <std::string,AdmsSensFadType*,HashNoCase,EqualNoCase> modParamMap;

  // reals
  AdmsSensFadType modelPar_LEVEL=mod.LEVEL;
  bool modelPar_given_LEVEL=mod.given("LEVEL");
  modParamMap["LEVEL"] = &modelPar_LEVEL;
  AdmsSensFadType modelPar_TYPE=mod.TYPE;
  bool modelPar_given_TYPE=mod.given("TYPE");
  modParamMap["TYPE"] = &modelPar_TYPE;
  AdmsSensFadType modelPar_TR=mod.TR;
  bool modelPar_given_TR=mod.given("TR");
  modParamMap["TR"] = &modelPar_TR;
  AdmsSensFadType modelPar_SWGEO=mod.SWGEO;
  bool modelPar_given_SWGEO=mod.given("SWGEO");
  modParamMap["SWGEO"] = &modelPar_SWGEO;
  AdmsSensFadType modelPar_SWIGATE=mod.SWIGATE;
  bool modelPar_given_SWIGATE=mod.given("SWIGATE");
  modParamMap["SWIGATE"] = &modelPar_SWIGATE;
  AdmsSensFadType modelPar_SWIMPACT=mod.SWIMPACT;
  bool modelPar_given_SWIMPACT=mod.given("SWIMPACT");
  modParamMap["SWIMPACT"] = &modelPar_SWIMPACT;
  AdmsSensFadType modelPar_SWGIDL=mod.SWGIDL;
  bool modelPar_given_SWGIDL=mod.given("SWGIDL");
  modParamMap["SWGIDL"] = &modelPar_SWGIDL;
  AdmsSensFadType modelPar_SWJUNCAP=mod.SWJUNCAP;
  bool modelPar_given_SWJUNCAP=mod.given("SWJUNCAP");
  modParamMap["SWJUNCAP"] = &modelPar_SWJUNCAP;
  AdmsSensFadType modelPar_SWJUNASYM=mod.SWJUNASYM;
  bool modelPar_given_SWJUNASYM=mod.given("SWJUNASYM");
  modParamMap["SWJUNASYM"] = &modelPar_SWJUNASYM;
  AdmsSensFadType modelPar_SWNUD=mod.SWNUD;
  bool modelPar_given_SWNUD=mod.given("SWNUD");
  modParamMap["SWNUD"] = &modelPar_SWNUD;
  AdmsSensFadType modelPar_SWDELVTAC=mod.SWDELVTAC;
  bool modelPar_given_SWDELVTAC=mod.given("SWDELVTAC");
  modParamMap["SWDELVTAC"] = &modelPar_SWDELVTAC;
  AdmsSensFadType modelPar_QMC=mod.QMC;
  bool modelPar_given_QMC=mod.given("QMC");
  modParamMap["QMC"] = &modelPar_QMC;
  AdmsSensFadType modelPar_VFB=mod.VFB;
  bool modelPar_given_VFB=mod.given("VFB");
  modParamMap["VFB"] = &modelPar_VFB;
  AdmsSensFadType modelPar_STVFB=mod.STVFB;
  bool modelPar_given_STVFB=mod.given("STVFB");
  modParamMap["STVFB"] = &modelPar_STVFB;
  AdmsSensFadType modelPar_TOX=mod.TOX;
  bool modelPar_given_TOX=mod.given("TOX");
  modParamMap["TOX"] = &modelPar_TOX;
  AdmsSensFadType modelPar_EPSROX=mod.EPSROX;
  bool modelPar_given_EPSROX=mod.given("EPSROX");
  modParamMap["EPSROX"] = &modelPar_EPSROX;
  AdmsSensFadType modelPar_NEFF=mod.NEFF;
  bool modelPar_given_NEFF=mod.given("NEFF");
  modParamMap["NEFF"] = &modelPar_NEFF;
  AdmsSensFadType modelPar_FACNEFFAC=mod.FACNEFFAC;
  bool modelPar_given_FACNEFFAC=mod.given("FACNEFFAC");
  modParamMap["FACNEFFAC"] = &modelPar_FACNEFFAC;
  AdmsSensFadType modelPar_GFACNUD=mod.GFACNUD;
  bool modelPar_given_GFACNUD=mod.given("GFACNUD");
  modParamMap["GFACNUD"] = &modelPar_GFACNUD;
  AdmsSensFadType modelPar_VSBNUD=mod.VSBNUD;
  bool modelPar_given_VSBNUD=mod.given("VSBNUD");
  modParamMap["VSBNUD"] = &modelPar_VSBNUD;
  AdmsSensFadType modelPar_DVSBNUD=mod.DVSBNUD;
  bool modelPar_given_DVSBNUD=mod.given("DVSBNUD");
  modParamMap["DVSBNUD"] = &modelPar_DVSBNUD;
  AdmsSensFadType modelPar_VNSUB=mod.VNSUB;
  bool modelPar_given_VNSUB=mod.given("VNSUB");
  modParamMap["VNSUB"] = &modelPar_VNSUB;
  AdmsSensFadType modelPar_NSLP=mod.NSLP;
  bool modelPar_given_NSLP=mod.given("NSLP");
  modParamMap["NSLP"] = &modelPar_NSLP;
  AdmsSensFadType modelPar_DNSUB=mod.DNSUB;
  bool modelPar_given_DNSUB=mod.given("DNSUB");
  modParamMap["DNSUB"] = &modelPar_DNSUB;
  AdmsSensFadType modelPar_DPHIB=mod.DPHIB;
  bool modelPar_given_DPHIB=mod.given("DPHIB");
  modParamMap["DPHIB"] = &modelPar_DPHIB;
  AdmsSensFadType modelPar_DELVTAC=mod.DELVTAC;
  bool modelPar_given_DELVTAC=mod.given("DELVTAC");
  modParamMap["DELVTAC"] = &modelPar_DELVTAC;
  AdmsSensFadType modelPar_NP=mod.NP;
  bool modelPar_given_NP=mod.given("NP");
  modParamMap["NP"] = &modelPar_NP;
  AdmsSensFadType modelPar_CT=mod.CT;
  bool modelPar_given_CT=mod.given("CT");
  modParamMap["CT"] = &modelPar_CT;
  AdmsSensFadType modelPar_TOXOV=mod.TOXOV;
  bool modelPar_given_TOXOV=mod.given("TOXOV");
  modParamMap["TOXOV"] = &modelPar_TOXOV;
  AdmsSensFadType modelPar_TOXOVD=mod.TOXOVD;
  bool modelPar_given_TOXOVD=mod.given("TOXOVD");
  modParamMap["TOXOVD"] = &modelPar_TOXOVD;
  AdmsSensFadType modelPar_NOV=mod.NOV;
  bool modelPar_given_NOV=mod.given("NOV");
  modParamMap["NOV"] = &modelPar_NOV;
  AdmsSensFadType modelPar_NOVD=mod.NOVD;
  bool modelPar_given_NOVD=mod.given("NOVD");
  modParamMap["NOVD"] = &modelPar_NOVD;
  AdmsSensFadType modelPar_CF=mod.CF;
  bool modelPar_given_CF=mod.given("CF");
  modParamMap["CF"] = &modelPar_CF;
  AdmsSensFadType modelPar_CFB=mod.CFB;
  bool modelPar_given_CFB=mod.given("CFB");
  modParamMap["CFB"] = &modelPar_CFB;
  AdmsSensFadType modelPar_BETN=mod.BETN;
  bool modelPar_given_BETN=mod.given("BETN");
  modParamMap["BETN"] = &modelPar_BETN;
  AdmsSensFadType modelPar_STBET=mod.STBET;
  bool modelPar_given_STBET=mod.given("STBET");
  modParamMap["STBET"] = &modelPar_STBET;
  AdmsSensFadType modelPar_MUE=mod.MUE;
  bool modelPar_given_MUE=mod.given("MUE");
  modParamMap["MUE"] = &modelPar_MUE;
  AdmsSensFadType modelPar_STMUE=mod.STMUE;
  bool modelPar_given_STMUE=mod.given("STMUE");
  modParamMap["STMUE"] = &modelPar_STMUE;
  AdmsSensFadType modelPar_THEMU=mod.THEMU;
  bool modelPar_given_THEMU=mod.given("THEMU");
  modParamMap["THEMU"] = &modelPar_THEMU;
  AdmsSensFadType modelPar_STTHEMU=mod.STTHEMU;
  bool modelPar_given_STTHEMU=mod.given("STTHEMU");
  modParamMap["STTHEMU"] = &modelPar_STTHEMU;
  AdmsSensFadType modelPar_CS=mod.CS;
  bool modelPar_given_CS=mod.given("CS");
  modParamMap["CS"] = &modelPar_CS;
  AdmsSensFadType modelPar_STCS=mod.STCS;
  bool modelPar_given_STCS=mod.given("STCS");
  modParamMap["STCS"] = &modelPar_STCS;
  AdmsSensFadType modelPar_XCOR=mod.XCOR;
  bool modelPar_given_XCOR=mod.given("XCOR");
  modParamMap["XCOR"] = &modelPar_XCOR;
  AdmsSensFadType modelPar_STXCOR=mod.STXCOR;
  bool modelPar_given_STXCOR=mod.given("STXCOR");
  modParamMap["STXCOR"] = &modelPar_STXCOR;
  AdmsSensFadType modelPar_FETA=mod.FETA;
  bool modelPar_given_FETA=mod.given("FETA");
  modParamMap["FETA"] = &modelPar_FETA;
  AdmsSensFadType modelPar_RS=mod.RS;
  bool modelPar_given_RS=mod.given("RS");
  modParamMap["RS"] = &modelPar_RS;
  AdmsSensFadType modelPar_STRS=mod.STRS;
  bool modelPar_given_STRS=mod.given("STRS");
  modParamMap["STRS"] = &modelPar_STRS;
  AdmsSensFadType modelPar_RSB=mod.RSB;
  bool modelPar_given_RSB=mod.given("RSB");
  modParamMap["RSB"] = &modelPar_RSB;
  AdmsSensFadType modelPar_RSG=mod.RSG;
  bool modelPar_given_RSG=mod.given("RSG");
  modParamMap["RSG"] = &modelPar_RSG;
  AdmsSensFadType modelPar_THESAT=mod.THESAT;
  bool modelPar_given_THESAT=mod.given("THESAT");
  modParamMap["THESAT"] = &modelPar_THESAT;
  AdmsSensFadType modelPar_STTHESAT=mod.STTHESAT;
  bool modelPar_given_STTHESAT=mod.given("STTHESAT");
  modParamMap["STTHESAT"] = &modelPar_STTHESAT;
  AdmsSensFadType modelPar_THESATB=mod.THESATB;
  bool modelPar_given_THESATB=mod.given("THESATB");
  modParamMap["THESATB"] = &modelPar_THESATB;
  AdmsSensFadType modelPar_THESATG=mod.THESATG;
  bool modelPar_given_THESATG=mod.given("THESATG");
  modParamMap["THESATG"] = &modelPar_THESATG;
  AdmsSensFadType modelPar_AX=mod.AX;
  bool modelPar_given_AX=mod.given("AX");
  modParamMap["AX"] = &modelPar_AX;
  AdmsSensFadType modelPar_ALP=mod.ALP;
  bool modelPar_given_ALP=mod.given("ALP");
  modParamMap["ALP"] = &modelPar_ALP;
  AdmsSensFadType modelPar_ALP1=mod.ALP1;
  bool modelPar_given_ALP1=mod.given("ALP1");
  modParamMap["ALP1"] = &modelPar_ALP1;
  AdmsSensFadType modelPar_ALP2=mod.ALP2;
  bool modelPar_given_ALP2=mod.given("ALP2");
  modParamMap["ALP2"] = &modelPar_ALP2;
  AdmsSensFadType modelPar_VP=mod.VP;
  bool modelPar_given_VP=mod.given("VP");
  modParamMap["VP"] = &modelPar_VP;
  AdmsSensFadType modelPar_A1=mod.A1;
  bool modelPar_given_A1=mod.given("A1");
  modParamMap["A1"] = &modelPar_A1;
  AdmsSensFadType modelPar_A2=mod.A2;
  bool modelPar_given_A2=mod.given("A2");
  modParamMap["A2"] = &modelPar_A2;
  AdmsSensFadType modelPar_STA2=mod.STA2;
  bool modelPar_given_STA2=mod.given("STA2");
  modParamMap["STA2"] = &modelPar_STA2;
  AdmsSensFadType modelPar_A3=mod.A3;
  bool modelPar_given_A3=mod.given("A3");
  modParamMap["A3"] = &modelPar_A3;
  AdmsSensFadType modelPar_A4=mod.A4;
  bool modelPar_given_A4=mod.given("A4");
  modParamMap["A4"] = &modelPar_A4;
  AdmsSensFadType modelPar_GCO=mod.GCO;
  bool modelPar_given_GCO=mod.given("GCO");
  modParamMap["GCO"] = &modelPar_GCO;
  AdmsSensFadType modelPar_IGINV=mod.IGINV;
  bool modelPar_given_IGINV=mod.given("IGINV");
  modParamMap["IGINV"] = &modelPar_IGINV;
  AdmsSensFadType modelPar_IGOV=mod.IGOV;
  bool modelPar_given_IGOV=mod.given("IGOV");
  modParamMap["IGOV"] = &modelPar_IGOV;
  AdmsSensFadType modelPar_IGOVD=mod.IGOVD;
  bool modelPar_given_IGOVD=mod.given("IGOVD");
  modParamMap["IGOVD"] = &modelPar_IGOVD;
  AdmsSensFadType modelPar_STIG=mod.STIG;
  bool modelPar_given_STIG=mod.given("STIG");
  modParamMap["STIG"] = &modelPar_STIG;
  AdmsSensFadType modelPar_GC2=mod.GC2;
  bool modelPar_given_GC2=mod.given("GC2");
  modParamMap["GC2"] = &modelPar_GC2;
  AdmsSensFadType modelPar_GC3=mod.GC3;
  bool modelPar_given_GC3=mod.given("GC3");
  modParamMap["GC3"] = &modelPar_GC3;
  AdmsSensFadType modelPar_CHIB=mod.CHIB;
  bool modelPar_given_CHIB=mod.given("CHIB");
  modParamMap["CHIB"] = &modelPar_CHIB;
  AdmsSensFadType modelPar_AGIDL=mod.AGIDL;
  bool modelPar_given_AGIDL=mod.given("AGIDL");
  modParamMap["AGIDL"] = &modelPar_AGIDL;
  AdmsSensFadType modelPar_AGIDLD=mod.AGIDLD;
  bool modelPar_given_AGIDLD=mod.given("AGIDLD");
  modParamMap["AGIDLD"] = &modelPar_AGIDLD;
  AdmsSensFadType modelPar_BGIDL=mod.BGIDL;
  bool modelPar_given_BGIDL=mod.given("BGIDL");
  modParamMap["BGIDL"] = &modelPar_BGIDL;
  AdmsSensFadType modelPar_BGIDLD=mod.BGIDLD;
  bool modelPar_given_BGIDLD=mod.given("BGIDLD");
  modParamMap["BGIDLD"] = &modelPar_BGIDLD;
  AdmsSensFadType modelPar_STBGIDL=mod.STBGIDL;
  bool modelPar_given_STBGIDL=mod.given("STBGIDL");
  modParamMap["STBGIDL"] = &modelPar_STBGIDL;
  AdmsSensFadType modelPar_STBGIDLD=mod.STBGIDLD;
  bool modelPar_given_STBGIDLD=mod.given("STBGIDLD");
  modParamMap["STBGIDLD"] = &modelPar_STBGIDLD;
  AdmsSensFadType modelPar_CGIDL=mod.CGIDL;
  bool modelPar_given_CGIDL=mod.given("CGIDL");
  modParamMap["CGIDL"] = &modelPar_CGIDL;
  AdmsSensFadType modelPar_CGIDLD=mod.CGIDLD;
  bool modelPar_given_CGIDLD=mod.given("CGIDLD");
  modParamMap["CGIDLD"] = &modelPar_CGIDLD;
  AdmsSensFadType modelPar_COX=mod.COX;
  bool modelPar_given_COX=mod.given("COX");
  modParamMap["COX"] = &modelPar_COX;
  AdmsSensFadType modelPar_CGOV=mod.CGOV;
  bool modelPar_given_CGOV=mod.given("CGOV");
  modParamMap["CGOV"] = &modelPar_CGOV;
  AdmsSensFadType modelPar_CGOVD=mod.CGOVD;
  bool modelPar_given_CGOVD=mod.given("CGOVD");
  modParamMap["CGOVD"] = &modelPar_CGOVD;
  AdmsSensFadType modelPar_CGBOV=mod.CGBOV;
  bool modelPar_given_CGBOV=mod.given("CGBOV");
  modParamMap["CGBOV"] = &modelPar_CGBOV;
  AdmsSensFadType modelPar_CFR=mod.CFR;
  bool modelPar_given_CFR=mod.given("CFR");
  modParamMap["CFR"] = &modelPar_CFR;
  AdmsSensFadType modelPar_CFRD=mod.CFRD;
  bool modelPar_given_CFRD=mod.given("CFRD");
  modParamMap["CFRD"] = &modelPar_CFRD;
  AdmsSensFadType modelPar_FNT=mod.FNT;
  bool modelPar_given_FNT=mod.given("FNT");
  modParamMap["FNT"] = &modelPar_FNT;
  AdmsSensFadType modelPar_NFA=mod.NFA;
  bool modelPar_given_NFA=mod.given("NFA");
  modParamMap["NFA"] = &modelPar_NFA;
  AdmsSensFadType modelPar_NFB=mod.NFB;
  bool modelPar_given_NFB=mod.given("NFB");
  modParamMap["NFB"] = &modelPar_NFB;
  AdmsSensFadType modelPar_NFC=mod.NFC;
  bool modelPar_given_NFC=mod.given("NFC");
  modParamMap["NFC"] = &modelPar_NFC;
  AdmsSensFadType modelPar_EF=mod.EF;
  bool modelPar_given_EF=mod.given("EF");
  modParamMap["EF"] = &modelPar_EF;
  AdmsSensFadType modelPar_RG=mod.RG;
  bool modelPar_given_RG=mod.given("RG");
  modParamMap["RG"] = &modelPar_RG;
  AdmsSensFadType modelPar_RSE=mod.RSE;
  bool modelPar_given_RSE=mod.given("RSE");
  modParamMap["RSE"] = &modelPar_RSE;
  AdmsSensFadType modelPar_RDE=mod.RDE;
  bool modelPar_given_RDE=mod.given("RDE");
  modParamMap["RDE"] = &modelPar_RDE;
  AdmsSensFadType modelPar_RBULK=mod.RBULK;
  bool modelPar_given_RBULK=mod.given("RBULK");
  modParamMap["RBULK"] = &modelPar_RBULK;
  AdmsSensFadType modelPar_RWELL=mod.RWELL;
  bool modelPar_given_RWELL=mod.given("RWELL");
  modParamMap["RWELL"] = &modelPar_RWELL;
  AdmsSensFadType modelPar_RJUNS=mod.RJUNS;
  bool modelPar_given_RJUNS=mod.given("RJUNS");
  modParamMap["RJUNS"] = &modelPar_RJUNS;
  AdmsSensFadType modelPar_RJUND=mod.RJUND;
  bool modelPar_given_RJUND=mod.given("RJUND");
  modParamMap["RJUND"] = &modelPar_RJUND;
  AdmsSensFadType modelPar_POVFB=mod.POVFB;
  bool modelPar_given_POVFB=mod.given("POVFB");
  modParamMap["POVFB"] = &modelPar_POVFB;
  AdmsSensFadType modelPar_PLVFB=mod.PLVFB;
  bool modelPar_given_PLVFB=mod.given("PLVFB");
  modParamMap["PLVFB"] = &modelPar_PLVFB;
  AdmsSensFadType modelPar_PWVFB=mod.PWVFB;
  bool modelPar_given_PWVFB=mod.given("PWVFB");
  modParamMap["PWVFB"] = &modelPar_PWVFB;
  AdmsSensFadType modelPar_PLWVFB=mod.PLWVFB;
  bool modelPar_given_PLWVFB=mod.given("PLWVFB");
  modParamMap["PLWVFB"] = &modelPar_PLWVFB;
  AdmsSensFadType modelPar_POSTVFB=mod.POSTVFB;
  bool modelPar_given_POSTVFB=mod.given("POSTVFB");
  modParamMap["POSTVFB"] = &modelPar_POSTVFB;
  AdmsSensFadType modelPar_PLSTVFB=mod.PLSTVFB;
  bool modelPar_given_PLSTVFB=mod.given("PLSTVFB");
  modParamMap["PLSTVFB"] = &modelPar_PLSTVFB;
  AdmsSensFadType modelPar_PWSTVFB=mod.PWSTVFB;
  bool modelPar_given_PWSTVFB=mod.given("PWSTVFB");
  modParamMap["PWSTVFB"] = &modelPar_PWSTVFB;
  AdmsSensFadType modelPar_PLWSTVFB=mod.PLWSTVFB;
  bool modelPar_given_PLWSTVFB=mod.given("PLWSTVFB");
  modParamMap["PLWSTVFB"] = &modelPar_PLWSTVFB;
  AdmsSensFadType modelPar_POTOX=mod.POTOX;
  bool modelPar_given_POTOX=mod.given("POTOX");
  modParamMap["POTOX"] = &modelPar_POTOX;
  AdmsSensFadType modelPar_POEPSROX=mod.POEPSROX;
  bool modelPar_given_POEPSROX=mod.given("POEPSROX");
  modParamMap["POEPSROX"] = &modelPar_POEPSROX;
  AdmsSensFadType modelPar_PONEFF=mod.PONEFF;
  bool modelPar_given_PONEFF=mod.given("PONEFF");
  modParamMap["PONEFF"] = &modelPar_PONEFF;
  AdmsSensFadType modelPar_PLNEFF=mod.PLNEFF;
  bool modelPar_given_PLNEFF=mod.given("PLNEFF");
  modParamMap["PLNEFF"] = &modelPar_PLNEFF;
  AdmsSensFadType modelPar_PWNEFF=mod.PWNEFF;
  bool modelPar_given_PWNEFF=mod.given("PWNEFF");
  modParamMap["PWNEFF"] = &modelPar_PWNEFF;
  AdmsSensFadType modelPar_PLWNEFF=mod.PLWNEFF;
  bool modelPar_given_PLWNEFF=mod.given("PLWNEFF");
  modParamMap["PLWNEFF"] = &modelPar_PLWNEFF;
  AdmsSensFadType modelPar_POFACNEFFAC=mod.POFACNEFFAC;
  bool modelPar_given_POFACNEFFAC=mod.given("POFACNEFFAC");
  modParamMap["POFACNEFFAC"] = &modelPar_POFACNEFFAC;
  AdmsSensFadType modelPar_PLFACNEFFAC=mod.PLFACNEFFAC;
  bool modelPar_given_PLFACNEFFAC=mod.given("PLFACNEFFAC");
  modParamMap["PLFACNEFFAC"] = &modelPar_PLFACNEFFAC;
  AdmsSensFadType modelPar_PWFACNEFFAC=mod.PWFACNEFFAC;
  bool modelPar_given_PWFACNEFFAC=mod.given("PWFACNEFFAC");
  modParamMap["PWFACNEFFAC"] = &modelPar_PWFACNEFFAC;
  AdmsSensFadType modelPar_PLWFACNEFFAC=mod.PLWFACNEFFAC;
  bool modelPar_given_PLWFACNEFFAC=mod.given("PLWFACNEFFAC");
  modParamMap["PLWFACNEFFAC"] = &modelPar_PLWFACNEFFAC;
  AdmsSensFadType modelPar_POGFACNUD=mod.POGFACNUD;
  bool modelPar_given_POGFACNUD=mod.given("POGFACNUD");
  modParamMap["POGFACNUD"] = &modelPar_POGFACNUD;
  AdmsSensFadType modelPar_PLGFACNUD=mod.PLGFACNUD;
  bool modelPar_given_PLGFACNUD=mod.given("PLGFACNUD");
  modParamMap["PLGFACNUD"] = &modelPar_PLGFACNUD;
  AdmsSensFadType modelPar_PWGFACNUD=mod.PWGFACNUD;
  bool modelPar_given_PWGFACNUD=mod.given("PWGFACNUD");
  modParamMap["PWGFACNUD"] = &modelPar_PWGFACNUD;
  AdmsSensFadType modelPar_PLWGFACNUD=mod.PLWGFACNUD;
  bool modelPar_given_PLWGFACNUD=mod.given("PLWGFACNUD");
  modParamMap["PLWGFACNUD"] = &modelPar_PLWGFACNUD;
  AdmsSensFadType modelPar_POVSBNUD=mod.POVSBNUD;
  bool modelPar_given_POVSBNUD=mod.given("POVSBNUD");
  modParamMap["POVSBNUD"] = &modelPar_POVSBNUD;
  AdmsSensFadType modelPar_PODVSBNUD=mod.PODVSBNUD;
  bool modelPar_given_PODVSBNUD=mod.given("PODVSBNUD");
  modParamMap["PODVSBNUD"] = &modelPar_PODVSBNUD;
  AdmsSensFadType modelPar_POVNSUB=mod.POVNSUB;
  bool modelPar_given_POVNSUB=mod.given("POVNSUB");
  modParamMap["POVNSUB"] = &modelPar_POVNSUB;
  AdmsSensFadType modelPar_PONSLP=mod.PONSLP;
  bool modelPar_given_PONSLP=mod.given("PONSLP");
  modParamMap["PONSLP"] = &modelPar_PONSLP;
  AdmsSensFadType modelPar_PODNSUB=mod.PODNSUB;
  bool modelPar_given_PODNSUB=mod.given("PODNSUB");
  modParamMap["PODNSUB"] = &modelPar_PODNSUB;
  AdmsSensFadType modelPar_PODPHIB=mod.PODPHIB;
  bool modelPar_given_PODPHIB=mod.given("PODPHIB");
  modParamMap["PODPHIB"] = &modelPar_PODPHIB;
  AdmsSensFadType modelPar_PLDPHIB=mod.PLDPHIB;
  bool modelPar_given_PLDPHIB=mod.given("PLDPHIB");
  modParamMap["PLDPHIB"] = &modelPar_PLDPHIB;
  AdmsSensFadType modelPar_PWDPHIB=mod.PWDPHIB;
  bool modelPar_given_PWDPHIB=mod.given("PWDPHIB");
  modParamMap["PWDPHIB"] = &modelPar_PWDPHIB;
  AdmsSensFadType modelPar_PLWDPHIB=mod.PLWDPHIB;
  bool modelPar_given_PLWDPHIB=mod.given("PLWDPHIB");
  modParamMap["PLWDPHIB"] = &modelPar_PLWDPHIB;
  AdmsSensFadType modelPar_PODELVTAC=mod.PODELVTAC;
  bool modelPar_given_PODELVTAC=mod.given("PODELVTAC");
  modParamMap["PODELVTAC"] = &modelPar_PODELVTAC;
  AdmsSensFadType modelPar_PLDELVTAC=mod.PLDELVTAC;
  bool modelPar_given_PLDELVTAC=mod.given("PLDELVTAC");
  modParamMap["PLDELVTAC"] = &modelPar_PLDELVTAC;
  AdmsSensFadType modelPar_PWDELVTAC=mod.PWDELVTAC;
  bool modelPar_given_PWDELVTAC=mod.given("PWDELVTAC");
  modParamMap["PWDELVTAC"] = &modelPar_PWDELVTAC;
  AdmsSensFadType modelPar_PLWDELVTAC=mod.PLWDELVTAC;
  bool modelPar_given_PLWDELVTAC=mod.given("PLWDELVTAC");
  modParamMap["PLWDELVTAC"] = &modelPar_PLWDELVTAC;
  AdmsSensFadType modelPar_PONP=mod.PONP;
  bool modelPar_given_PONP=mod.given("PONP");
  modParamMap["PONP"] = &modelPar_PONP;
  AdmsSensFadType modelPar_PLNP=mod.PLNP;
  bool modelPar_given_PLNP=mod.given("PLNP");
  modParamMap["PLNP"] = &modelPar_PLNP;
  AdmsSensFadType modelPar_PWNP=mod.PWNP;
  bool modelPar_given_PWNP=mod.given("PWNP");
  modParamMap["PWNP"] = &modelPar_PWNP;
  AdmsSensFadType modelPar_PLWNP=mod.PLWNP;
  bool modelPar_given_PLWNP=mod.given("PLWNP");
  modParamMap["PLWNP"] = &modelPar_PLWNP;
  AdmsSensFadType modelPar_POCT=mod.POCT;
  bool modelPar_given_POCT=mod.given("POCT");
  modParamMap["POCT"] = &modelPar_POCT;
  AdmsSensFadType modelPar_PLCT=mod.PLCT;
  bool modelPar_given_PLCT=mod.given("PLCT");
  modParamMap["PLCT"] = &modelPar_PLCT;
  AdmsSensFadType modelPar_PWCT=mod.PWCT;
  bool modelPar_given_PWCT=mod.given("PWCT");
  modParamMap["PWCT"] = &modelPar_PWCT;
  AdmsSensFadType modelPar_PLWCT=mod.PLWCT;
  bool modelPar_given_PLWCT=mod.given("PLWCT");
  modParamMap["PLWCT"] = &modelPar_PLWCT;
  AdmsSensFadType modelPar_POTOXOV=mod.POTOXOV;
  bool modelPar_given_POTOXOV=mod.given("POTOXOV");
  modParamMap["POTOXOV"] = &modelPar_POTOXOV;
  AdmsSensFadType modelPar_POTOXOVD=mod.POTOXOVD;
  bool modelPar_given_POTOXOVD=mod.given("POTOXOVD");
  modParamMap["POTOXOVD"] = &modelPar_POTOXOVD;
  AdmsSensFadType modelPar_PONOV=mod.PONOV;
  bool modelPar_given_PONOV=mod.given("PONOV");
  modParamMap["PONOV"] = &modelPar_PONOV;
  AdmsSensFadType modelPar_PLNOV=mod.PLNOV;
  bool modelPar_given_PLNOV=mod.given("PLNOV");
  modParamMap["PLNOV"] = &modelPar_PLNOV;
  AdmsSensFadType modelPar_PWNOV=mod.PWNOV;
  bool modelPar_given_PWNOV=mod.given("PWNOV");
  modParamMap["PWNOV"] = &modelPar_PWNOV;
  AdmsSensFadType modelPar_PLWNOV=mod.PLWNOV;
  bool modelPar_given_PLWNOV=mod.given("PLWNOV");
  modParamMap["PLWNOV"] = &modelPar_PLWNOV;
  AdmsSensFadType modelPar_PONOVD=mod.PONOVD;
  bool modelPar_given_PONOVD=mod.given("PONOVD");
  modParamMap["PONOVD"] = &modelPar_PONOVD;
  AdmsSensFadType modelPar_PLNOVD=mod.PLNOVD;
  bool modelPar_given_PLNOVD=mod.given("PLNOVD");
  modParamMap["PLNOVD"] = &modelPar_PLNOVD;
  AdmsSensFadType modelPar_PWNOVD=mod.PWNOVD;
  bool modelPar_given_PWNOVD=mod.given("PWNOVD");
  modParamMap["PWNOVD"] = &modelPar_PWNOVD;
  AdmsSensFadType modelPar_PLWNOVD=mod.PLWNOVD;
  bool modelPar_given_PLWNOVD=mod.given("PLWNOVD");
  modParamMap["PLWNOVD"] = &modelPar_PLWNOVD;
  AdmsSensFadType modelPar_POCF=mod.POCF;
  bool modelPar_given_POCF=mod.given("POCF");
  modParamMap["POCF"] = &modelPar_POCF;
  AdmsSensFadType modelPar_PLCF=mod.PLCF;
  bool modelPar_given_PLCF=mod.given("PLCF");
  modParamMap["PLCF"] = &modelPar_PLCF;
  AdmsSensFadType modelPar_PWCF=mod.PWCF;
  bool modelPar_given_PWCF=mod.given("PWCF");
  modParamMap["PWCF"] = &modelPar_PWCF;
  AdmsSensFadType modelPar_PLWCF=mod.PLWCF;
  bool modelPar_given_PLWCF=mod.given("PLWCF");
  modParamMap["PLWCF"] = &modelPar_PLWCF;
  AdmsSensFadType modelPar_POCFB=mod.POCFB;
  bool modelPar_given_POCFB=mod.given("POCFB");
  modParamMap["POCFB"] = &modelPar_POCFB;
  AdmsSensFadType modelPar_POBETN=mod.POBETN;
  bool modelPar_given_POBETN=mod.given("POBETN");
  modParamMap["POBETN"] = &modelPar_POBETN;
  AdmsSensFadType modelPar_PLBETN=mod.PLBETN;
  bool modelPar_given_PLBETN=mod.given("PLBETN");
  modParamMap["PLBETN"] = &modelPar_PLBETN;
  AdmsSensFadType modelPar_PWBETN=mod.PWBETN;
  bool modelPar_given_PWBETN=mod.given("PWBETN");
  modParamMap["PWBETN"] = &modelPar_PWBETN;
  AdmsSensFadType modelPar_PLWBETN=mod.PLWBETN;
  bool modelPar_given_PLWBETN=mod.given("PLWBETN");
  modParamMap["PLWBETN"] = &modelPar_PLWBETN;
  AdmsSensFadType modelPar_POSTBET=mod.POSTBET;
  bool modelPar_given_POSTBET=mod.given("POSTBET");
  modParamMap["POSTBET"] = &modelPar_POSTBET;
  AdmsSensFadType modelPar_PLSTBET=mod.PLSTBET;
  bool modelPar_given_PLSTBET=mod.given("PLSTBET");
  modParamMap["PLSTBET"] = &modelPar_PLSTBET;
  AdmsSensFadType modelPar_PWSTBET=mod.PWSTBET;
  bool modelPar_given_PWSTBET=mod.given("PWSTBET");
  modParamMap["PWSTBET"] = &modelPar_PWSTBET;
  AdmsSensFadType modelPar_PLWSTBET=mod.PLWSTBET;
  bool modelPar_given_PLWSTBET=mod.given("PLWSTBET");
  modParamMap["PLWSTBET"] = &modelPar_PLWSTBET;
  AdmsSensFadType modelPar_POMUE=mod.POMUE;
  bool modelPar_given_POMUE=mod.given("POMUE");
  modParamMap["POMUE"] = &modelPar_POMUE;
  AdmsSensFadType modelPar_PLMUE=mod.PLMUE;
  bool modelPar_given_PLMUE=mod.given("PLMUE");
  modParamMap["PLMUE"] = &modelPar_PLMUE;
  AdmsSensFadType modelPar_PWMUE=mod.PWMUE;
  bool modelPar_given_PWMUE=mod.given("PWMUE");
  modParamMap["PWMUE"] = &modelPar_PWMUE;
  AdmsSensFadType modelPar_PLWMUE=mod.PLWMUE;
  bool modelPar_given_PLWMUE=mod.given("PLWMUE");
  modParamMap["PLWMUE"] = &modelPar_PLWMUE;
  AdmsSensFadType modelPar_POSTMUE=mod.POSTMUE;
  bool modelPar_given_POSTMUE=mod.given("POSTMUE");
  modParamMap["POSTMUE"] = &modelPar_POSTMUE;
  AdmsSensFadType modelPar_POTHEMU=mod.POTHEMU;
  bool modelPar_given_POTHEMU=mod.given("POTHEMU");
  modParamMap["POTHEMU"] = &modelPar_POTHEMU;
  AdmsSensFadType modelPar_POSTTHEMU=mod.POSTTHEMU;
  bool modelPar_given_POSTTHEMU=mod.given("POSTTHEMU");
  modParamMap["POSTTHEMU"] = &modelPar_POSTTHEMU;
  AdmsSensFadType modelPar_POCS=mod.POCS;
  bool modelPar_given_POCS=mod.given("POCS");
  modParamMap["POCS"] = &modelPar_POCS;
  AdmsSensFadType modelPar_PLCS=mod.PLCS;
  bool modelPar_given_PLCS=mod.given("PLCS");
  modParamMap["PLCS"] = &modelPar_PLCS;
  AdmsSensFadType modelPar_PWCS=mod.PWCS;
  bool modelPar_given_PWCS=mod.given("PWCS");
  modParamMap["PWCS"] = &modelPar_PWCS;
  AdmsSensFadType modelPar_PLWCS=mod.PLWCS;
  bool modelPar_given_PLWCS=mod.given("PLWCS");
  modParamMap["PLWCS"] = &modelPar_PLWCS;
  AdmsSensFadType modelPar_POSTCS=mod.POSTCS;
  bool modelPar_given_POSTCS=mod.given("POSTCS");
  modParamMap["POSTCS"] = &modelPar_POSTCS;
  AdmsSensFadType modelPar_POXCOR=mod.POXCOR;
  bool modelPar_given_POXCOR=mod.given("POXCOR");
  modParamMap["POXCOR"] = &modelPar_POXCOR;
  AdmsSensFadType modelPar_PLXCOR=mod.PLXCOR;
  bool modelPar_given_PLXCOR=mod.given("PLXCOR");
  modParamMap["PLXCOR"] = &modelPar_PLXCOR;
  AdmsSensFadType modelPar_PWXCOR=mod.PWXCOR;
  bool modelPar_given_PWXCOR=mod.given("PWXCOR");
  modParamMap["PWXCOR"] = &modelPar_PWXCOR;
  AdmsSensFadType modelPar_PLWXCOR=mod.PLWXCOR;
  bool modelPar_given_PLWXCOR=mod.given("PLWXCOR");
  modParamMap["PLWXCOR"] = &modelPar_PLWXCOR;
  AdmsSensFadType modelPar_POSTXCOR=mod.POSTXCOR;
  bool modelPar_given_POSTXCOR=mod.given("POSTXCOR");
  modParamMap["POSTXCOR"] = &modelPar_POSTXCOR;
  AdmsSensFadType modelPar_POFETA=mod.POFETA;
  bool modelPar_given_POFETA=mod.given("POFETA");
  modParamMap["POFETA"] = &modelPar_POFETA;
  AdmsSensFadType modelPar_PORS=mod.PORS;
  bool modelPar_given_PORS=mod.given("PORS");
  modParamMap["PORS"] = &modelPar_PORS;
  AdmsSensFadType modelPar_PLRS=mod.PLRS;
  bool modelPar_given_PLRS=mod.given("PLRS");
  modParamMap["PLRS"] = &modelPar_PLRS;
  AdmsSensFadType modelPar_PWRS=mod.PWRS;
  bool modelPar_given_PWRS=mod.given("PWRS");
  modParamMap["PWRS"] = &modelPar_PWRS;
  AdmsSensFadType modelPar_PLWRS=mod.PLWRS;
  bool modelPar_given_PLWRS=mod.given("PLWRS");
  modParamMap["PLWRS"] = &modelPar_PLWRS;
  AdmsSensFadType modelPar_POSTRS=mod.POSTRS;
  bool modelPar_given_POSTRS=mod.given("POSTRS");
  modParamMap["POSTRS"] = &modelPar_POSTRS;
  AdmsSensFadType modelPar_PORSB=mod.PORSB;
  bool modelPar_given_PORSB=mod.given("PORSB");
  modParamMap["PORSB"] = &modelPar_PORSB;
  AdmsSensFadType modelPar_PORSG=mod.PORSG;
  bool modelPar_given_PORSG=mod.given("PORSG");
  modParamMap["PORSG"] = &modelPar_PORSG;
  AdmsSensFadType modelPar_POTHESAT=mod.POTHESAT;
  bool modelPar_given_POTHESAT=mod.given("POTHESAT");
  modParamMap["POTHESAT"] = &modelPar_POTHESAT;
  AdmsSensFadType modelPar_PLTHESAT=mod.PLTHESAT;
  bool modelPar_given_PLTHESAT=mod.given("PLTHESAT");
  modParamMap["PLTHESAT"] = &modelPar_PLTHESAT;
  AdmsSensFadType modelPar_PWTHESAT=mod.PWTHESAT;
  bool modelPar_given_PWTHESAT=mod.given("PWTHESAT");
  modParamMap["PWTHESAT"] = &modelPar_PWTHESAT;
  AdmsSensFadType modelPar_PLWTHESAT=mod.PLWTHESAT;
  bool modelPar_given_PLWTHESAT=mod.given("PLWTHESAT");
  modParamMap["PLWTHESAT"] = &modelPar_PLWTHESAT;
  AdmsSensFadType modelPar_POSTTHESAT=mod.POSTTHESAT;
  bool modelPar_given_POSTTHESAT=mod.given("POSTTHESAT");
  modParamMap["POSTTHESAT"] = &modelPar_POSTTHESAT;
  AdmsSensFadType modelPar_PLSTTHESAT=mod.PLSTTHESAT;
  bool modelPar_given_PLSTTHESAT=mod.given("PLSTTHESAT");
  modParamMap["PLSTTHESAT"] = &modelPar_PLSTTHESAT;
  AdmsSensFadType modelPar_PWSTTHESAT=mod.PWSTTHESAT;
  bool modelPar_given_PWSTTHESAT=mod.given("PWSTTHESAT");
  modParamMap["PWSTTHESAT"] = &modelPar_PWSTTHESAT;
  AdmsSensFadType modelPar_PLWSTTHESAT=mod.PLWSTTHESAT;
  bool modelPar_given_PLWSTTHESAT=mod.given("PLWSTTHESAT");
  modParamMap["PLWSTTHESAT"] = &modelPar_PLWSTTHESAT;
  AdmsSensFadType modelPar_POTHESATB=mod.POTHESATB;
  bool modelPar_given_POTHESATB=mod.given("POTHESATB");
  modParamMap["POTHESATB"] = &modelPar_POTHESATB;
  AdmsSensFadType modelPar_PLTHESATB=mod.PLTHESATB;
  bool modelPar_given_PLTHESATB=mod.given("PLTHESATB");
  modParamMap["PLTHESATB"] = &modelPar_PLTHESATB;
  AdmsSensFadType modelPar_PWTHESATB=mod.PWTHESATB;
  bool modelPar_given_PWTHESATB=mod.given("PWTHESATB");
  modParamMap["PWTHESATB"] = &modelPar_PWTHESATB;
  AdmsSensFadType modelPar_PLWTHESATB=mod.PLWTHESATB;
  bool modelPar_given_PLWTHESATB=mod.given("PLWTHESATB");
  modParamMap["PLWTHESATB"] = &modelPar_PLWTHESATB;
  AdmsSensFadType modelPar_POTHESATG=mod.POTHESATG;
  bool modelPar_given_POTHESATG=mod.given("POTHESATG");
  modParamMap["POTHESATG"] = &modelPar_POTHESATG;
  AdmsSensFadType modelPar_PLTHESATG=mod.PLTHESATG;
  bool modelPar_given_PLTHESATG=mod.given("PLTHESATG");
  modParamMap["PLTHESATG"] = &modelPar_PLTHESATG;
  AdmsSensFadType modelPar_PWTHESATG=mod.PWTHESATG;
  bool modelPar_given_PWTHESATG=mod.given("PWTHESATG");
  modParamMap["PWTHESATG"] = &modelPar_PWTHESATG;
  AdmsSensFadType modelPar_PLWTHESATG=mod.PLWTHESATG;
  bool modelPar_given_PLWTHESATG=mod.given("PLWTHESATG");
  modParamMap["PLWTHESATG"] = &modelPar_PLWTHESATG;
  AdmsSensFadType modelPar_POAX=mod.POAX;
  bool modelPar_given_POAX=mod.given("POAX");
  modParamMap["POAX"] = &modelPar_POAX;
  AdmsSensFadType modelPar_PLAX=mod.PLAX;
  bool modelPar_given_PLAX=mod.given("PLAX");
  modParamMap["PLAX"] = &modelPar_PLAX;
  AdmsSensFadType modelPar_PWAX=mod.PWAX;
  bool modelPar_given_PWAX=mod.given("PWAX");
  modParamMap["PWAX"] = &modelPar_PWAX;
  AdmsSensFadType modelPar_PLWAX=mod.PLWAX;
  bool modelPar_given_PLWAX=mod.given("PLWAX");
  modParamMap["PLWAX"] = &modelPar_PLWAX;
  AdmsSensFadType modelPar_POALP=mod.POALP;
  bool modelPar_given_POALP=mod.given("POALP");
  modParamMap["POALP"] = &modelPar_POALP;
  AdmsSensFadType modelPar_PLALP=mod.PLALP;
  bool modelPar_given_PLALP=mod.given("PLALP");
  modParamMap["PLALP"] = &modelPar_PLALP;
  AdmsSensFadType modelPar_PWALP=mod.PWALP;
  bool modelPar_given_PWALP=mod.given("PWALP");
  modParamMap["PWALP"] = &modelPar_PWALP;
  AdmsSensFadType modelPar_PLWALP=mod.PLWALP;
  bool modelPar_given_PLWALP=mod.given("PLWALP");
  modParamMap["PLWALP"] = &modelPar_PLWALP;
  AdmsSensFadType modelPar_POALP1=mod.POALP1;
  bool modelPar_given_POALP1=mod.given("POALP1");
  modParamMap["POALP1"] = &modelPar_POALP1;
  AdmsSensFadType modelPar_PLALP1=mod.PLALP1;
  bool modelPar_given_PLALP1=mod.given("PLALP1");
  modParamMap["PLALP1"] = &modelPar_PLALP1;
  AdmsSensFadType modelPar_PWALP1=mod.PWALP1;
  bool modelPar_given_PWALP1=mod.given("PWALP1");
  modParamMap["PWALP1"] = &modelPar_PWALP1;
  AdmsSensFadType modelPar_PLWALP1=mod.PLWALP1;
  bool modelPar_given_PLWALP1=mod.given("PLWALP1");
  modParamMap["PLWALP1"] = &modelPar_PLWALP1;
  AdmsSensFadType modelPar_POALP2=mod.POALP2;
  bool modelPar_given_POALP2=mod.given("POALP2");
  modParamMap["POALP2"] = &modelPar_POALP2;
  AdmsSensFadType modelPar_PLALP2=mod.PLALP2;
  bool modelPar_given_PLALP2=mod.given("PLALP2");
  modParamMap["PLALP2"] = &modelPar_PLALP2;
  AdmsSensFadType modelPar_PWALP2=mod.PWALP2;
  bool modelPar_given_PWALP2=mod.given("PWALP2");
  modParamMap["PWALP2"] = &modelPar_PWALP2;
  AdmsSensFadType modelPar_PLWALP2=mod.PLWALP2;
  bool modelPar_given_PLWALP2=mod.given("PLWALP2");
  modParamMap["PLWALP2"] = &modelPar_PLWALP2;
  AdmsSensFadType modelPar_POVP=mod.POVP;
  bool modelPar_given_POVP=mod.given("POVP");
  modParamMap["POVP"] = &modelPar_POVP;
  AdmsSensFadType modelPar_POA1=mod.POA1;
  bool modelPar_given_POA1=mod.given("POA1");
  modParamMap["POA1"] = &modelPar_POA1;
  AdmsSensFadType modelPar_PLA1=mod.PLA1;
  bool modelPar_given_PLA1=mod.given("PLA1");
  modParamMap["PLA1"] = &modelPar_PLA1;
  AdmsSensFadType modelPar_PWA1=mod.PWA1;
  bool modelPar_given_PWA1=mod.given("PWA1");
  modParamMap["PWA1"] = &modelPar_PWA1;
  AdmsSensFadType modelPar_PLWA1=mod.PLWA1;
  bool modelPar_given_PLWA1=mod.given("PLWA1");
  modParamMap["PLWA1"] = &modelPar_PLWA1;
  AdmsSensFadType modelPar_POA2=mod.POA2;
  bool modelPar_given_POA2=mod.given("POA2");
  modParamMap["POA2"] = &modelPar_POA2;
  AdmsSensFadType modelPar_POSTA2=mod.POSTA2;
  bool modelPar_given_POSTA2=mod.given("POSTA2");
  modParamMap["POSTA2"] = &modelPar_POSTA2;
  AdmsSensFadType modelPar_POA3=mod.POA3;
  bool modelPar_given_POA3=mod.given("POA3");
  modParamMap["POA3"] = &modelPar_POA3;
  AdmsSensFadType modelPar_PLA3=mod.PLA3;
  bool modelPar_given_PLA3=mod.given("PLA3");
  modParamMap["PLA3"] = &modelPar_PLA3;
  AdmsSensFadType modelPar_PWA3=mod.PWA3;
  bool modelPar_given_PWA3=mod.given("PWA3");
  modParamMap["PWA3"] = &modelPar_PWA3;
  AdmsSensFadType modelPar_PLWA3=mod.PLWA3;
  bool modelPar_given_PLWA3=mod.given("PLWA3");
  modParamMap["PLWA3"] = &modelPar_PLWA3;
  AdmsSensFadType modelPar_POA4=mod.POA4;
  bool modelPar_given_POA4=mod.given("POA4");
  modParamMap["POA4"] = &modelPar_POA4;
  AdmsSensFadType modelPar_PLA4=mod.PLA4;
  bool modelPar_given_PLA4=mod.given("PLA4");
  modParamMap["PLA4"] = &modelPar_PLA4;
  AdmsSensFadType modelPar_PWA4=mod.PWA4;
  bool modelPar_given_PWA4=mod.given("PWA4");
  modParamMap["PWA4"] = &modelPar_PWA4;
  AdmsSensFadType modelPar_PLWA4=mod.PLWA4;
  bool modelPar_given_PLWA4=mod.given("PLWA4");
  modParamMap["PLWA4"] = &modelPar_PLWA4;
  AdmsSensFadType modelPar_POGCO=mod.POGCO;
  bool modelPar_given_POGCO=mod.given("POGCO");
  modParamMap["POGCO"] = &modelPar_POGCO;
  AdmsSensFadType modelPar_POIGINV=mod.POIGINV;
  bool modelPar_given_POIGINV=mod.given("POIGINV");
  modParamMap["POIGINV"] = &modelPar_POIGINV;
  AdmsSensFadType modelPar_PLIGINV=mod.PLIGINV;
  bool modelPar_given_PLIGINV=mod.given("PLIGINV");
  modParamMap["PLIGINV"] = &modelPar_PLIGINV;
  AdmsSensFadType modelPar_PWIGINV=mod.PWIGINV;
  bool modelPar_given_PWIGINV=mod.given("PWIGINV");
  modParamMap["PWIGINV"] = &modelPar_PWIGINV;
  AdmsSensFadType modelPar_PLWIGINV=mod.PLWIGINV;
  bool modelPar_given_PLWIGINV=mod.given("PLWIGINV");
  modParamMap["PLWIGINV"] = &modelPar_PLWIGINV;
  AdmsSensFadType modelPar_POIGOV=mod.POIGOV;
  bool modelPar_given_POIGOV=mod.given("POIGOV");
  modParamMap["POIGOV"] = &modelPar_POIGOV;
  AdmsSensFadType modelPar_PLIGOV=mod.PLIGOV;
  bool modelPar_given_PLIGOV=mod.given("PLIGOV");
  modParamMap["PLIGOV"] = &modelPar_PLIGOV;
  AdmsSensFadType modelPar_PWIGOV=mod.PWIGOV;
  bool modelPar_given_PWIGOV=mod.given("PWIGOV");
  modParamMap["PWIGOV"] = &modelPar_PWIGOV;
  AdmsSensFadType modelPar_PLWIGOV=mod.PLWIGOV;
  bool modelPar_given_PLWIGOV=mod.given("PLWIGOV");
  modParamMap["PLWIGOV"] = &modelPar_PLWIGOV;
  AdmsSensFadType modelPar_POIGOVD=mod.POIGOVD;
  bool modelPar_given_POIGOVD=mod.given("POIGOVD");
  modParamMap["POIGOVD"] = &modelPar_POIGOVD;
  AdmsSensFadType modelPar_PLIGOVD=mod.PLIGOVD;
  bool modelPar_given_PLIGOVD=mod.given("PLIGOVD");
  modParamMap["PLIGOVD"] = &modelPar_PLIGOVD;
  AdmsSensFadType modelPar_PWIGOVD=mod.PWIGOVD;
  bool modelPar_given_PWIGOVD=mod.given("PWIGOVD");
  modParamMap["PWIGOVD"] = &modelPar_PWIGOVD;
  AdmsSensFadType modelPar_PLWIGOVD=mod.PLWIGOVD;
  bool modelPar_given_PLWIGOVD=mod.given("PLWIGOVD");
  modParamMap["PLWIGOVD"] = &modelPar_PLWIGOVD;
  AdmsSensFadType modelPar_POSTIG=mod.POSTIG;
  bool modelPar_given_POSTIG=mod.given("POSTIG");
  modParamMap["POSTIG"] = &modelPar_POSTIG;
  AdmsSensFadType modelPar_POGC2=mod.POGC2;
  bool modelPar_given_POGC2=mod.given("POGC2");
  modParamMap["POGC2"] = &modelPar_POGC2;
  AdmsSensFadType modelPar_POGC3=mod.POGC3;
  bool modelPar_given_POGC3=mod.given("POGC3");
  modParamMap["POGC3"] = &modelPar_POGC3;
  AdmsSensFadType modelPar_POCHIB=mod.POCHIB;
  bool modelPar_given_POCHIB=mod.given("POCHIB");
  modParamMap["POCHIB"] = &modelPar_POCHIB;
  AdmsSensFadType modelPar_POAGIDL=mod.POAGIDL;
  bool modelPar_given_POAGIDL=mod.given("POAGIDL");
  modParamMap["POAGIDL"] = &modelPar_POAGIDL;
  AdmsSensFadType modelPar_PLAGIDL=mod.PLAGIDL;
  bool modelPar_given_PLAGIDL=mod.given("PLAGIDL");
  modParamMap["PLAGIDL"] = &modelPar_PLAGIDL;
  AdmsSensFadType modelPar_PWAGIDL=mod.PWAGIDL;
  bool modelPar_given_PWAGIDL=mod.given("PWAGIDL");
  modParamMap["PWAGIDL"] = &modelPar_PWAGIDL;
  AdmsSensFadType modelPar_PLWAGIDL=mod.PLWAGIDL;
  bool modelPar_given_PLWAGIDL=mod.given("PLWAGIDL");
  modParamMap["PLWAGIDL"] = &modelPar_PLWAGIDL;
  AdmsSensFadType modelPar_POAGIDLD=mod.POAGIDLD;
  bool modelPar_given_POAGIDLD=mod.given("POAGIDLD");
  modParamMap["POAGIDLD"] = &modelPar_POAGIDLD;
  AdmsSensFadType modelPar_PLAGIDLD=mod.PLAGIDLD;
  bool modelPar_given_PLAGIDLD=mod.given("PLAGIDLD");
  modParamMap["PLAGIDLD"] = &modelPar_PLAGIDLD;
  AdmsSensFadType modelPar_PWAGIDLD=mod.PWAGIDLD;
  bool modelPar_given_PWAGIDLD=mod.given("PWAGIDLD");
  modParamMap["PWAGIDLD"] = &modelPar_PWAGIDLD;
  AdmsSensFadType modelPar_PLWAGIDLD=mod.PLWAGIDLD;
  bool modelPar_given_PLWAGIDLD=mod.given("PLWAGIDLD");
  modParamMap["PLWAGIDLD"] = &modelPar_PLWAGIDLD;
  AdmsSensFadType modelPar_POBGIDL=mod.POBGIDL;
  bool modelPar_given_POBGIDL=mod.given("POBGIDL");
  modParamMap["POBGIDL"] = &modelPar_POBGIDL;
  AdmsSensFadType modelPar_POBGIDLD=mod.POBGIDLD;
  bool modelPar_given_POBGIDLD=mod.given("POBGIDLD");
  modParamMap["POBGIDLD"] = &modelPar_POBGIDLD;
  AdmsSensFadType modelPar_POSTBGIDL=mod.POSTBGIDL;
  bool modelPar_given_POSTBGIDL=mod.given("POSTBGIDL");
  modParamMap["POSTBGIDL"] = &modelPar_POSTBGIDL;
  AdmsSensFadType modelPar_POSTBGIDLD=mod.POSTBGIDLD;
  bool modelPar_given_POSTBGIDLD=mod.given("POSTBGIDLD");
  modParamMap["POSTBGIDLD"] = &modelPar_POSTBGIDLD;
  AdmsSensFadType modelPar_POCGIDL=mod.POCGIDL;
  bool modelPar_given_POCGIDL=mod.given("POCGIDL");
  modParamMap["POCGIDL"] = &modelPar_POCGIDL;
  AdmsSensFadType modelPar_POCGIDLD=mod.POCGIDLD;
  bool modelPar_given_POCGIDLD=mod.given("POCGIDLD");
  modParamMap["POCGIDLD"] = &modelPar_POCGIDLD;
  AdmsSensFadType modelPar_POCOX=mod.POCOX;
  bool modelPar_given_POCOX=mod.given("POCOX");
  modParamMap["POCOX"] = &modelPar_POCOX;
  AdmsSensFadType modelPar_PLCOX=mod.PLCOX;
  bool modelPar_given_PLCOX=mod.given("PLCOX");
  modParamMap["PLCOX"] = &modelPar_PLCOX;
  AdmsSensFadType modelPar_PWCOX=mod.PWCOX;
  bool modelPar_given_PWCOX=mod.given("PWCOX");
  modParamMap["PWCOX"] = &modelPar_PWCOX;
  AdmsSensFadType modelPar_PLWCOX=mod.PLWCOX;
  bool modelPar_given_PLWCOX=mod.given("PLWCOX");
  modParamMap["PLWCOX"] = &modelPar_PLWCOX;
  AdmsSensFadType modelPar_POCGOV=mod.POCGOV;
  bool modelPar_given_POCGOV=mod.given("POCGOV");
  modParamMap["POCGOV"] = &modelPar_POCGOV;
  AdmsSensFadType modelPar_PLCGOV=mod.PLCGOV;
  bool modelPar_given_PLCGOV=mod.given("PLCGOV");
  modParamMap["PLCGOV"] = &modelPar_PLCGOV;
  AdmsSensFadType modelPar_PWCGOV=mod.PWCGOV;
  bool modelPar_given_PWCGOV=mod.given("PWCGOV");
  modParamMap["PWCGOV"] = &modelPar_PWCGOV;
  AdmsSensFadType modelPar_PLWCGOV=mod.PLWCGOV;
  bool modelPar_given_PLWCGOV=mod.given("PLWCGOV");
  modParamMap["PLWCGOV"] = &modelPar_PLWCGOV;
  AdmsSensFadType modelPar_POCGOVD=mod.POCGOVD;
  bool modelPar_given_POCGOVD=mod.given("POCGOVD");
  modParamMap["POCGOVD"] = &modelPar_POCGOVD;
  AdmsSensFadType modelPar_PLCGOVD=mod.PLCGOVD;
  bool modelPar_given_PLCGOVD=mod.given("PLCGOVD");
  modParamMap["PLCGOVD"] = &modelPar_PLCGOVD;
  AdmsSensFadType modelPar_PWCGOVD=mod.PWCGOVD;
  bool modelPar_given_PWCGOVD=mod.given("PWCGOVD");
  modParamMap["PWCGOVD"] = &modelPar_PWCGOVD;
  AdmsSensFadType modelPar_PLWCGOVD=mod.PLWCGOVD;
  bool modelPar_given_PLWCGOVD=mod.given("PLWCGOVD");
  modParamMap["PLWCGOVD"] = &modelPar_PLWCGOVD;
  AdmsSensFadType modelPar_POCGBOV=mod.POCGBOV;
  bool modelPar_given_POCGBOV=mod.given("POCGBOV");
  modParamMap["POCGBOV"] = &modelPar_POCGBOV;
  AdmsSensFadType modelPar_PLCGBOV=mod.PLCGBOV;
  bool modelPar_given_PLCGBOV=mod.given("PLCGBOV");
  modParamMap["PLCGBOV"] = &modelPar_PLCGBOV;
  AdmsSensFadType modelPar_PWCGBOV=mod.PWCGBOV;
  bool modelPar_given_PWCGBOV=mod.given("PWCGBOV");
  modParamMap["PWCGBOV"] = &modelPar_PWCGBOV;
  AdmsSensFadType modelPar_PLWCGBOV=mod.PLWCGBOV;
  bool modelPar_given_PLWCGBOV=mod.given("PLWCGBOV");
  modParamMap["PLWCGBOV"] = &modelPar_PLWCGBOV;
  AdmsSensFadType modelPar_POCFR=mod.POCFR;
  bool modelPar_given_POCFR=mod.given("POCFR");
  modParamMap["POCFR"] = &modelPar_POCFR;
  AdmsSensFadType modelPar_PLCFR=mod.PLCFR;
  bool modelPar_given_PLCFR=mod.given("PLCFR");
  modParamMap["PLCFR"] = &modelPar_PLCFR;
  AdmsSensFadType modelPar_PWCFR=mod.PWCFR;
  bool modelPar_given_PWCFR=mod.given("PWCFR");
  modParamMap["PWCFR"] = &modelPar_PWCFR;
  AdmsSensFadType modelPar_PLWCFR=mod.PLWCFR;
  bool modelPar_given_PLWCFR=mod.given("PLWCFR");
  modParamMap["PLWCFR"] = &modelPar_PLWCFR;
  AdmsSensFadType modelPar_POCFRD=mod.POCFRD;
  bool modelPar_given_POCFRD=mod.given("POCFRD");
  modParamMap["POCFRD"] = &modelPar_POCFRD;
  AdmsSensFadType modelPar_PLCFRD=mod.PLCFRD;
  bool modelPar_given_PLCFRD=mod.given("PLCFRD");
  modParamMap["PLCFRD"] = &modelPar_PLCFRD;
  AdmsSensFadType modelPar_PWCFRD=mod.PWCFRD;
  bool modelPar_given_PWCFRD=mod.given("PWCFRD");
  modParamMap["PWCFRD"] = &modelPar_PWCFRD;
  AdmsSensFadType modelPar_PLWCFRD=mod.PLWCFRD;
  bool modelPar_given_PLWCFRD=mod.given("PLWCFRD");
  modParamMap["PLWCFRD"] = &modelPar_PLWCFRD;
  AdmsSensFadType modelPar_POFNT=mod.POFNT;
  bool modelPar_given_POFNT=mod.given("POFNT");
  modParamMap["POFNT"] = &modelPar_POFNT;
  AdmsSensFadType modelPar_PONFA=mod.PONFA;
  bool modelPar_given_PONFA=mod.given("PONFA");
  modParamMap["PONFA"] = &modelPar_PONFA;
  AdmsSensFadType modelPar_PLNFA=mod.PLNFA;
  bool modelPar_given_PLNFA=mod.given("PLNFA");
  modParamMap["PLNFA"] = &modelPar_PLNFA;
  AdmsSensFadType modelPar_PWNFA=mod.PWNFA;
  bool modelPar_given_PWNFA=mod.given("PWNFA");
  modParamMap["PWNFA"] = &modelPar_PWNFA;
  AdmsSensFadType modelPar_PLWNFA=mod.PLWNFA;
  bool modelPar_given_PLWNFA=mod.given("PLWNFA");
  modParamMap["PLWNFA"] = &modelPar_PLWNFA;
  AdmsSensFadType modelPar_PONFB=mod.PONFB;
  bool modelPar_given_PONFB=mod.given("PONFB");
  modParamMap["PONFB"] = &modelPar_PONFB;
  AdmsSensFadType modelPar_PLNFB=mod.PLNFB;
  bool modelPar_given_PLNFB=mod.given("PLNFB");
  modParamMap["PLNFB"] = &modelPar_PLNFB;
  AdmsSensFadType modelPar_PWNFB=mod.PWNFB;
  bool modelPar_given_PWNFB=mod.given("PWNFB");
  modParamMap["PWNFB"] = &modelPar_PWNFB;
  AdmsSensFadType modelPar_PLWNFB=mod.PLWNFB;
  bool modelPar_given_PLWNFB=mod.given("PLWNFB");
  modParamMap["PLWNFB"] = &modelPar_PLWNFB;
  AdmsSensFadType modelPar_PONFC=mod.PONFC;
  bool modelPar_given_PONFC=mod.given("PONFC");
  modParamMap["PONFC"] = &modelPar_PONFC;
  AdmsSensFadType modelPar_PLNFC=mod.PLNFC;
  bool modelPar_given_PLNFC=mod.given("PLNFC");
  modParamMap["PLNFC"] = &modelPar_PLNFC;
  AdmsSensFadType modelPar_PWNFC=mod.PWNFC;
  bool modelPar_given_PWNFC=mod.given("PWNFC");
  modParamMap["PWNFC"] = &modelPar_PWNFC;
  AdmsSensFadType modelPar_PLWNFC=mod.PLWNFC;
  bool modelPar_given_PLWNFC=mod.given("PLWNFC");
  modParamMap["PLWNFC"] = &modelPar_PLWNFC;
  AdmsSensFadType modelPar_POEF=mod.POEF;
  bool modelPar_given_POEF=mod.given("POEF");
  modParamMap["POEF"] = &modelPar_POEF;
  AdmsSensFadType modelPar_POKVTHOWE=mod.POKVTHOWE;
  bool modelPar_given_POKVTHOWE=mod.given("POKVTHOWE");
  modParamMap["POKVTHOWE"] = &modelPar_POKVTHOWE;
  AdmsSensFadType modelPar_PLKVTHOWE=mod.PLKVTHOWE;
  bool modelPar_given_PLKVTHOWE=mod.given("PLKVTHOWE");
  modParamMap["PLKVTHOWE"] = &modelPar_PLKVTHOWE;
  AdmsSensFadType modelPar_PWKVTHOWE=mod.PWKVTHOWE;
  bool modelPar_given_PWKVTHOWE=mod.given("PWKVTHOWE");
  modParamMap["PWKVTHOWE"] = &modelPar_PWKVTHOWE;
  AdmsSensFadType modelPar_PLWKVTHOWE=mod.PLWKVTHOWE;
  bool modelPar_given_PLWKVTHOWE=mod.given("PLWKVTHOWE");
  modParamMap["PLWKVTHOWE"] = &modelPar_PLWKVTHOWE;
  AdmsSensFadType modelPar_POKUOWE=mod.POKUOWE;
  bool modelPar_given_POKUOWE=mod.given("POKUOWE");
  modParamMap["POKUOWE"] = &modelPar_POKUOWE;
  AdmsSensFadType modelPar_PLKUOWE=mod.PLKUOWE;
  bool modelPar_given_PLKUOWE=mod.given("PLKUOWE");
  modParamMap["PLKUOWE"] = &modelPar_PLKUOWE;
  AdmsSensFadType modelPar_PWKUOWE=mod.PWKUOWE;
  bool modelPar_given_PWKUOWE=mod.given("PWKUOWE");
  modParamMap["PWKUOWE"] = &modelPar_PWKUOWE;
  AdmsSensFadType modelPar_PLWKUOWE=mod.PLWKUOWE;
  bool modelPar_given_PLWKUOWE=mod.given("PLWKUOWE");
  modParamMap["PLWKUOWE"] = &modelPar_PLWKUOWE;
  AdmsSensFadType modelPar_LMIN=mod.LMIN;
  bool modelPar_given_LMIN=mod.given("LMIN");
  modParamMap["LMIN"] = &modelPar_LMIN;
  AdmsSensFadType modelPar_LMAX=mod.LMAX;
  bool modelPar_given_LMAX=mod.given("LMAX");
  modParamMap["LMAX"] = &modelPar_LMAX;
  AdmsSensFadType modelPar_WMIN=mod.WMIN;
  bool modelPar_given_WMIN=mod.given("WMIN");
  modParamMap["WMIN"] = &modelPar_WMIN;
  AdmsSensFadType modelPar_WMAX=mod.WMAX;
  bool modelPar_given_WMAX=mod.given("WMAX");
  modParamMap["WMAX"] = &modelPar_WMAX;
  AdmsSensFadType modelPar_LVARO=mod.LVARO;
  bool modelPar_given_LVARO=mod.given("LVARO");
  modParamMap["LVARO"] = &modelPar_LVARO;
  AdmsSensFadType modelPar_LVARL=mod.LVARL;
  bool modelPar_given_LVARL=mod.given("LVARL");
  modParamMap["LVARL"] = &modelPar_LVARL;
  AdmsSensFadType modelPar_LVARW=mod.LVARW;
  bool modelPar_given_LVARW=mod.given("LVARW");
  modParamMap["LVARW"] = &modelPar_LVARW;
  AdmsSensFadType modelPar_LAP=mod.LAP;
  bool modelPar_given_LAP=mod.given("LAP");
  modParamMap["LAP"] = &modelPar_LAP;
  AdmsSensFadType modelPar_WVARO=mod.WVARO;
  bool modelPar_given_WVARO=mod.given("WVARO");
  modParamMap["WVARO"] = &modelPar_WVARO;
  AdmsSensFadType modelPar_WVARL=mod.WVARL;
  bool modelPar_given_WVARL=mod.given("WVARL");
  modParamMap["WVARL"] = &modelPar_WVARL;
  AdmsSensFadType modelPar_WVARW=mod.WVARW;
  bool modelPar_given_WVARW=mod.given("WVARW");
  modParamMap["WVARW"] = &modelPar_WVARW;
  AdmsSensFadType modelPar_WOT=mod.WOT;
  bool modelPar_given_WOT=mod.given("WOT");
  modParamMap["WOT"] = &modelPar_WOT;
  AdmsSensFadType modelPar_DLQ=mod.DLQ;
  bool modelPar_given_DLQ=mod.given("DLQ");
  modParamMap["DLQ"] = &modelPar_DLQ;
  AdmsSensFadType modelPar_DWQ=mod.DWQ;
  bool modelPar_given_DWQ=mod.given("DWQ");
  modParamMap["DWQ"] = &modelPar_DWQ;
  AdmsSensFadType modelPar_VFBO=mod.VFBO;
  bool modelPar_given_VFBO=mod.given("VFBO");
  modParamMap["VFBO"] = &modelPar_VFBO;
  AdmsSensFadType modelPar_VFBL=mod.VFBL;
  bool modelPar_given_VFBL=mod.given("VFBL");
  modParamMap["VFBL"] = &modelPar_VFBL;
  AdmsSensFadType modelPar_VFBW=mod.VFBW;
  bool modelPar_given_VFBW=mod.given("VFBW");
  modParamMap["VFBW"] = &modelPar_VFBW;
  AdmsSensFadType modelPar_VFBLW=mod.VFBLW;
  bool modelPar_given_VFBLW=mod.given("VFBLW");
  modParamMap["VFBLW"] = &modelPar_VFBLW;
  AdmsSensFadType modelPar_STVFBO=mod.STVFBO;
  bool modelPar_given_STVFBO=mod.given("STVFBO");
  modParamMap["STVFBO"] = &modelPar_STVFBO;
  AdmsSensFadType modelPar_STVFBL=mod.STVFBL;
  bool modelPar_given_STVFBL=mod.given("STVFBL");
  modParamMap["STVFBL"] = &modelPar_STVFBL;
  AdmsSensFadType modelPar_STVFBW=mod.STVFBW;
  bool modelPar_given_STVFBW=mod.given("STVFBW");
  modParamMap["STVFBW"] = &modelPar_STVFBW;
  AdmsSensFadType modelPar_STVFBLW=mod.STVFBLW;
  bool modelPar_given_STVFBLW=mod.given("STVFBLW");
  modParamMap["STVFBLW"] = &modelPar_STVFBLW;
  AdmsSensFadType modelPar_TOXO=mod.TOXO;
  bool modelPar_given_TOXO=mod.given("TOXO");
  modParamMap["TOXO"] = &modelPar_TOXO;
  AdmsSensFadType modelPar_EPSROXO=mod.EPSROXO;
  bool modelPar_given_EPSROXO=mod.given("EPSROXO");
  modParamMap["EPSROXO"] = &modelPar_EPSROXO;
  AdmsSensFadType modelPar_NSUBO=mod.NSUBO;
  bool modelPar_given_NSUBO=mod.given("NSUBO");
  modParamMap["NSUBO"] = &modelPar_NSUBO;
  AdmsSensFadType modelPar_NSUBW=mod.NSUBW;
  bool modelPar_given_NSUBW=mod.given("NSUBW");
  modParamMap["NSUBW"] = &modelPar_NSUBW;
  AdmsSensFadType modelPar_WSEG=mod.WSEG;
  bool modelPar_given_WSEG=mod.given("WSEG");
  modParamMap["WSEG"] = &modelPar_WSEG;
  AdmsSensFadType modelPar_NPCK=mod.NPCK;
  bool modelPar_given_NPCK=mod.given("NPCK");
  modParamMap["NPCK"] = &modelPar_NPCK;
  AdmsSensFadType modelPar_NPCKW=mod.NPCKW;
  bool modelPar_given_NPCKW=mod.given("NPCKW");
  modParamMap["NPCKW"] = &modelPar_NPCKW;
  AdmsSensFadType modelPar_WSEGP=mod.WSEGP;
  bool modelPar_given_WSEGP=mod.given("WSEGP");
  modParamMap["WSEGP"] = &modelPar_WSEGP;
  AdmsSensFadType modelPar_LPCK=mod.LPCK;
  bool modelPar_given_LPCK=mod.given("LPCK");
  modParamMap["LPCK"] = &modelPar_LPCK;
  AdmsSensFadType modelPar_LPCKW=mod.LPCKW;
  bool modelPar_given_LPCKW=mod.given("LPCKW");
  modParamMap["LPCKW"] = &modelPar_LPCKW;
  AdmsSensFadType modelPar_FOL1=mod.FOL1;
  bool modelPar_given_FOL1=mod.given("FOL1");
  modParamMap["FOL1"] = &modelPar_FOL1;
  AdmsSensFadType modelPar_FOL2=mod.FOL2;
  bool modelPar_given_FOL2=mod.given("FOL2");
  modParamMap["FOL2"] = &modelPar_FOL2;
  AdmsSensFadType modelPar_FACNEFFACO=mod.FACNEFFACO;
  bool modelPar_given_FACNEFFACO=mod.given("FACNEFFACO");
  modParamMap["FACNEFFACO"] = &modelPar_FACNEFFACO;
  AdmsSensFadType modelPar_FACNEFFACL=mod.FACNEFFACL;
  bool modelPar_given_FACNEFFACL=mod.given("FACNEFFACL");
  modParamMap["FACNEFFACL"] = &modelPar_FACNEFFACL;
  AdmsSensFadType modelPar_FACNEFFACW=mod.FACNEFFACW;
  bool modelPar_given_FACNEFFACW=mod.given("FACNEFFACW");
  modParamMap["FACNEFFACW"] = &modelPar_FACNEFFACW;
  AdmsSensFadType modelPar_FACNEFFACLW=mod.FACNEFFACLW;
  bool modelPar_given_FACNEFFACLW=mod.given("FACNEFFACLW");
  modParamMap["FACNEFFACLW"] = &modelPar_FACNEFFACLW;
  AdmsSensFadType modelPar_GFACNUDO=mod.GFACNUDO;
  bool modelPar_given_GFACNUDO=mod.given("GFACNUDO");
  modParamMap["GFACNUDO"] = &modelPar_GFACNUDO;
  AdmsSensFadType modelPar_GFACNUDL=mod.GFACNUDL;
  bool modelPar_given_GFACNUDL=mod.given("GFACNUDL");
  modParamMap["GFACNUDL"] = &modelPar_GFACNUDL;
  AdmsSensFadType modelPar_GFACNUDLEXP=mod.GFACNUDLEXP;
  bool modelPar_given_GFACNUDLEXP=mod.given("GFACNUDLEXP");
  modParamMap["GFACNUDLEXP"] = &modelPar_GFACNUDLEXP;
  AdmsSensFadType modelPar_GFACNUDW=mod.GFACNUDW;
  bool modelPar_given_GFACNUDW=mod.given("GFACNUDW");
  modParamMap["GFACNUDW"] = &modelPar_GFACNUDW;
  AdmsSensFadType modelPar_GFACNUDLW=mod.GFACNUDLW;
  bool modelPar_given_GFACNUDLW=mod.given("GFACNUDLW");
  modParamMap["GFACNUDLW"] = &modelPar_GFACNUDLW;
  AdmsSensFadType modelPar_VSBNUDO=mod.VSBNUDO;
  bool modelPar_given_VSBNUDO=mod.given("VSBNUDO");
  modParamMap["VSBNUDO"] = &modelPar_VSBNUDO;
  AdmsSensFadType modelPar_DVSBNUDO=mod.DVSBNUDO;
  bool modelPar_given_DVSBNUDO=mod.given("DVSBNUDO");
  modParamMap["DVSBNUDO"] = &modelPar_DVSBNUDO;
  AdmsSensFadType modelPar_VNSUBO=mod.VNSUBO;
  bool modelPar_given_VNSUBO=mod.given("VNSUBO");
  modParamMap["VNSUBO"] = &modelPar_VNSUBO;
  AdmsSensFadType modelPar_NSLPO=mod.NSLPO;
  bool modelPar_given_NSLPO=mod.given("NSLPO");
  modParamMap["NSLPO"] = &modelPar_NSLPO;
  AdmsSensFadType modelPar_DNSUBO=mod.DNSUBO;
  bool modelPar_given_DNSUBO=mod.given("DNSUBO");
  modParamMap["DNSUBO"] = &modelPar_DNSUBO;
  AdmsSensFadType modelPar_DPHIBO=mod.DPHIBO;
  bool modelPar_given_DPHIBO=mod.given("DPHIBO");
  modParamMap["DPHIBO"] = &modelPar_DPHIBO;
  AdmsSensFadType modelPar_DPHIBL=mod.DPHIBL;
  bool modelPar_given_DPHIBL=mod.given("DPHIBL");
  modParamMap["DPHIBL"] = &modelPar_DPHIBL;
  AdmsSensFadType modelPar_DPHIBLEXP=mod.DPHIBLEXP;
  bool modelPar_given_DPHIBLEXP=mod.given("DPHIBLEXP");
  modParamMap["DPHIBLEXP"] = &modelPar_DPHIBLEXP;
  AdmsSensFadType modelPar_DPHIBW=mod.DPHIBW;
  bool modelPar_given_DPHIBW=mod.given("DPHIBW");
  modParamMap["DPHIBW"] = &modelPar_DPHIBW;
  AdmsSensFadType modelPar_DPHIBLW=mod.DPHIBLW;
  bool modelPar_given_DPHIBLW=mod.given("DPHIBLW");
  modParamMap["DPHIBLW"] = &modelPar_DPHIBLW;
  AdmsSensFadType modelPar_DELVTACO=mod.DELVTACO;
  bool modelPar_given_DELVTACO=mod.given("DELVTACO");
  modParamMap["DELVTACO"] = &modelPar_DELVTACO;
  AdmsSensFadType modelPar_DELVTACL=mod.DELVTACL;
  bool modelPar_given_DELVTACL=mod.given("DELVTACL");
  modParamMap["DELVTACL"] = &modelPar_DELVTACL;
  AdmsSensFadType modelPar_DELVTACLEXP=mod.DELVTACLEXP;
  bool modelPar_given_DELVTACLEXP=mod.given("DELVTACLEXP");
  modParamMap["DELVTACLEXP"] = &modelPar_DELVTACLEXP;
  AdmsSensFadType modelPar_DELVTACW=mod.DELVTACW;
  bool modelPar_given_DELVTACW=mod.given("DELVTACW");
  modParamMap["DELVTACW"] = &modelPar_DELVTACW;
  AdmsSensFadType modelPar_DELVTACLW=mod.DELVTACLW;
  bool modelPar_given_DELVTACLW=mod.given("DELVTACLW");
  modParamMap["DELVTACLW"] = &modelPar_DELVTACLW;
  AdmsSensFadType modelPar_NPO=mod.NPO;
  bool modelPar_given_NPO=mod.given("NPO");
  modParamMap["NPO"] = &modelPar_NPO;
  AdmsSensFadType modelPar_NPL=mod.NPL;
  bool modelPar_given_NPL=mod.given("NPL");
  modParamMap["NPL"] = &modelPar_NPL;
  AdmsSensFadType modelPar_CTO=mod.CTO;
  bool modelPar_given_CTO=mod.given("CTO");
  modParamMap["CTO"] = &modelPar_CTO;
  AdmsSensFadType modelPar_CTL=mod.CTL;
  bool modelPar_given_CTL=mod.given("CTL");
  modParamMap["CTL"] = &modelPar_CTL;
  AdmsSensFadType modelPar_CTLEXP=mod.CTLEXP;
  bool modelPar_given_CTLEXP=mod.given("CTLEXP");
  modParamMap["CTLEXP"] = &modelPar_CTLEXP;
  AdmsSensFadType modelPar_CTW=mod.CTW;
  bool modelPar_given_CTW=mod.given("CTW");
  modParamMap["CTW"] = &modelPar_CTW;
  AdmsSensFadType modelPar_CTLW=mod.CTLW;
  bool modelPar_given_CTLW=mod.given("CTLW");
  modParamMap["CTLW"] = &modelPar_CTLW;
  AdmsSensFadType modelPar_TOXOVO=mod.TOXOVO;
  bool modelPar_given_TOXOVO=mod.given("TOXOVO");
  modParamMap["TOXOVO"] = &modelPar_TOXOVO;
  AdmsSensFadType modelPar_TOXOVDO=mod.TOXOVDO;
  bool modelPar_given_TOXOVDO=mod.given("TOXOVDO");
  modParamMap["TOXOVDO"] = &modelPar_TOXOVDO;
  AdmsSensFadType modelPar_LOV=mod.LOV;
  bool modelPar_given_LOV=mod.given("LOV");
  modParamMap["LOV"] = &modelPar_LOV;
  AdmsSensFadType modelPar_LOVD=mod.LOVD;
  bool modelPar_given_LOVD=mod.given("LOVD");
  modParamMap["LOVD"] = &modelPar_LOVD;
  AdmsSensFadType modelPar_NOVO=mod.NOVO;
  bool modelPar_given_NOVO=mod.given("NOVO");
  modParamMap["NOVO"] = &modelPar_NOVO;
  AdmsSensFadType modelPar_NOVDO=mod.NOVDO;
  bool modelPar_given_NOVDO=mod.given("NOVDO");
  modParamMap["NOVDO"] = &modelPar_NOVDO;
  AdmsSensFadType modelPar_CFL=mod.CFL;
  bool modelPar_given_CFL=mod.given("CFL");
  modParamMap["CFL"] = &modelPar_CFL;
  AdmsSensFadType modelPar_CFLEXP=mod.CFLEXP;
  bool modelPar_given_CFLEXP=mod.given("CFLEXP");
  modParamMap["CFLEXP"] = &modelPar_CFLEXP;
  AdmsSensFadType modelPar_CFW=mod.CFW;
  bool modelPar_given_CFW=mod.given("CFW");
  modParamMap["CFW"] = &modelPar_CFW;
  AdmsSensFadType modelPar_CFBO=mod.CFBO;
  bool modelPar_given_CFBO=mod.given("CFBO");
  modParamMap["CFBO"] = &modelPar_CFBO;
  AdmsSensFadType modelPar_UO=mod.UO;
  bool modelPar_given_UO=mod.given("UO");
  modParamMap["UO"] = &modelPar_UO;
  AdmsSensFadType modelPar_FBET1=mod.FBET1;
  bool modelPar_given_FBET1=mod.given("FBET1");
  modParamMap["FBET1"] = &modelPar_FBET1;
  AdmsSensFadType modelPar_FBET1W=mod.FBET1W;
  bool modelPar_given_FBET1W=mod.given("FBET1W");
  modParamMap["FBET1W"] = &modelPar_FBET1W;
  AdmsSensFadType modelPar_LP1=mod.LP1;
  bool modelPar_given_LP1=mod.given("LP1");
  modParamMap["LP1"] = &modelPar_LP1;
  AdmsSensFadType modelPar_LP1W=mod.LP1W;
  bool modelPar_given_LP1W=mod.given("LP1W");
  modParamMap["LP1W"] = &modelPar_LP1W;
  AdmsSensFadType modelPar_FBET2=mod.FBET2;
  bool modelPar_given_FBET2=mod.given("FBET2");
  modParamMap["FBET2"] = &modelPar_FBET2;
  AdmsSensFadType modelPar_LP2=mod.LP2;
  bool modelPar_given_LP2=mod.given("LP2");
  modParamMap["LP2"] = &modelPar_LP2;
  AdmsSensFadType modelPar_BETW1=mod.BETW1;
  bool modelPar_given_BETW1=mod.given("BETW1");
  modParamMap["BETW1"] = &modelPar_BETW1;
  AdmsSensFadType modelPar_BETW2=mod.BETW2;
  bool modelPar_given_BETW2=mod.given("BETW2");
  modParamMap["BETW2"] = &modelPar_BETW2;
  AdmsSensFadType modelPar_WBET=mod.WBET;
  bool modelPar_given_WBET=mod.given("WBET");
  modParamMap["WBET"] = &modelPar_WBET;
  AdmsSensFadType modelPar_STBETO=mod.STBETO;
  bool modelPar_given_STBETO=mod.given("STBETO");
  modParamMap["STBETO"] = &modelPar_STBETO;
  AdmsSensFadType modelPar_STBETL=mod.STBETL;
  bool modelPar_given_STBETL=mod.given("STBETL");
  modParamMap["STBETL"] = &modelPar_STBETL;
  AdmsSensFadType modelPar_STBETW=mod.STBETW;
  bool modelPar_given_STBETW=mod.given("STBETW");
  modParamMap["STBETW"] = &modelPar_STBETW;
  AdmsSensFadType modelPar_STBETLW=mod.STBETLW;
  bool modelPar_given_STBETLW=mod.given("STBETLW");
  modParamMap["STBETLW"] = &modelPar_STBETLW;
  AdmsSensFadType modelPar_MUEO=mod.MUEO;
  bool modelPar_given_MUEO=mod.given("MUEO");
  modParamMap["MUEO"] = &modelPar_MUEO;
  AdmsSensFadType modelPar_MUEW=mod.MUEW;
  bool modelPar_given_MUEW=mod.given("MUEW");
  modParamMap["MUEW"] = &modelPar_MUEW;
  AdmsSensFadType modelPar_STMUEO=mod.STMUEO;
  bool modelPar_given_STMUEO=mod.given("STMUEO");
  modParamMap["STMUEO"] = &modelPar_STMUEO;
  AdmsSensFadType modelPar_THEMUO=mod.THEMUO;
  bool modelPar_given_THEMUO=mod.given("THEMUO");
  modParamMap["THEMUO"] = &modelPar_THEMUO;
  AdmsSensFadType modelPar_STTHEMUO=mod.STTHEMUO;
  bool modelPar_given_STTHEMUO=mod.given("STTHEMUO");
  modParamMap["STTHEMUO"] = &modelPar_STTHEMUO;
  AdmsSensFadType modelPar_CSO=mod.CSO;
  bool modelPar_given_CSO=mod.given("CSO");
  modParamMap["CSO"] = &modelPar_CSO;
  AdmsSensFadType modelPar_CSL=mod.CSL;
  bool modelPar_given_CSL=mod.given("CSL");
  modParamMap["CSL"] = &modelPar_CSL;
  AdmsSensFadType modelPar_CSLEXP=mod.CSLEXP;
  bool modelPar_given_CSLEXP=mod.given("CSLEXP");
  modParamMap["CSLEXP"] = &modelPar_CSLEXP;
  AdmsSensFadType modelPar_CSW=mod.CSW;
  bool modelPar_given_CSW=mod.given("CSW");
  modParamMap["CSW"] = &modelPar_CSW;
  AdmsSensFadType modelPar_CSLW=mod.CSLW;
  bool modelPar_given_CSLW=mod.given("CSLW");
  modParamMap["CSLW"] = &modelPar_CSLW;
  AdmsSensFadType modelPar_STCSO=mod.STCSO;
  bool modelPar_given_STCSO=mod.given("STCSO");
  modParamMap["STCSO"] = &modelPar_STCSO;
  AdmsSensFadType modelPar_XCORO=mod.XCORO;
  bool modelPar_given_XCORO=mod.given("XCORO");
  modParamMap["XCORO"] = &modelPar_XCORO;
  AdmsSensFadType modelPar_XCORL=mod.XCORL;
  bool modelPar_given_XCORL=mod.given("XCORL");
  modParamMap["XCORL"] = &modelPar_XCORL;
  AdmsSensFadType modelPar_XCORW=mod.XCORW;
  bool modelPar_given_XCORW=mod.given("XCORW");
  modParamMap["XCORW"] = &modelPar_XCORW;
  AdmsSensFadType modelPar_XCORLW=mod.XCORLW;
  bool modelPar_given_XCORLW=mod.given("XCORLW");
  modParamMap["XCORLW"] = &modelPar_XCORLW;
  AdmsSensFadType modelPar_STXCORO=mod.STXCORO;
  bool modelPar_given_STXCORO=mod.given("STXCORO");
  modParamMap["STXCORO"] = &modelPar_STXCORO;
  AdmsSensFadType modelPar_FETAO=mod.FETAO;
  bool modelPar_given_FETAO=mod.given("FETAO");
  modParamMap["FETAO"] = &modelPar_FETAO;
  AdmsSensFadType modelPar_RSW1=mod.RSW1;
  bool modelPar_given_RSW1=mod.given("RSW1");
  modParamMap["RSW1"] = &modelPar_RSW1;
  AdmsSensFadType modelPar_RSW2=mod.RSW2;
  bool modelPar_given_RSW2=mod.given("RSW2");
  modParamMap["RSW2"] = &modelPar_RSW2;
  AdmsSensFadType modelPar_STRSO=mod.STRSO;
  bool modelPar_given_STRSO=mod.given("STRSO");
  modParamMap["STRSO"] = &modelPar_STRSO;
  AdmsSensFadType modelPar_RSBO=mod.RSBO;
  bool modelPar_given_RSBO=mod.given("RSBO");
  modParamMap["RSBO"] = &modelPar_RSBO;
  AdmsSensFadType modelPar_RSGO=mod.RSGO;
  bool modelPar_given_RSGO=mod.given("RSGO");
  modParamMap["RSGO"] = &modelPar_RSGO;
  AdmsSensFadType modelPar_THESATO=mod.THESATO;
  bool modelPar_given_THESATO=mod.given("THESATO");
  modParamMap["THESATO"] = &modelPar_THESATO;
  AdmsSensFadType modelPar_THESATL=mod.THESATL;
  bool modelPar_given_THESATL=mod.given("THESATL");
  modParamMap["THESATL"] = &modelPar_THESATL;
  AdmsSensFadType modelPar_THESATLEXP=mod.THESATLEXP;
  bool modelPar_given_THESATLEXP=mod.given("THESATLEXP");
  modParamMap["THESATLEXP"] = &modelPar_THESATLEXP;
  AdmsSensFadType modelPar_THESATW=mod.THESATW;
  bool modelPar_given_THESATW=mod.given("THESATW");
  modParamMap["THESATW"] = &modelPar_THESATW;
  AdmsSensFadType modelPar_THESATLW=mod.THESATLW;
  bool modelPar_given_THESATLW=mod.given("THESATLW");
  modParamMap["THESATLW"] = &modelPar_THESATLW;
  AdmsSensFadType modelPar_STTHESATO=mod.STTHESATO;
  bool modelPar_given_STTHESATO=mod.given("STTHESATO");
  modParamMap["STTHESATO"] = &modelPar_STTHESATO;
  AdmsSensFadType modelPar_STTHESATL=mod.STTHESATL;
  bool modelPar_given_STTHESATL=mod.given("STTHESATL");
  modParamMap["STTHESATL"] = &modelPar_STTHESATL;
  AdmsSensFadType modelPar_STTHESATW=mod.STTHESATW;
  bool modelPar_given_STTHESATW=mod.given("STTHESATW");
  modParamMap["STTHESATW"] = &modelPar_STTHESATW;
  AdmsSensFadType modelPar_STTHESATLW=mod.STTHESATLW;
  bool modelPar_given_STTHESATLW=mod.given("STTHESATLW");
  modParamMap["STTHESATLW"] = &modelPar_STTHESATLW;
  AdmsSensFadType modelPar_THESATBO=mod.THESATBO;
  bool modelPar_given_THESATBO=mod.given("THESATBO");
  modParamMap["THESATBO"] = &modelPar_THESATBO;
  AdmsSensFadType modelPar_THESATGO=mod.THESATGO;
  bool modelPar_given_THESATGO=mod.given("THESATGO");
  modParamMap["THESATGO"] = &modelPar_THESATGO;
  AdmsSensFadType modelPar_AXO=mod.AXO;
  bool modelPar_given_AXO=mod.given("AXO");
  modParamMap["AXO"] = &modelPar_AXO;
  AdmsSensFadType modelPar_AXL=mod.AXL;
  bool modelPar_given_AXL=mod.given("AXL");
  modParamMap["AXL"] = &modelPar_AXL;
  AdmsSensFadType modelPar_ALPL=mod.ALPL;
  bool modelPar_given_ALPL=mod.given("ALPL");
  modParamMap["ALPL"] = &modelPar_ALPL;
  AdmsSensFadType modelPar_ALPLEXP=mod.ALPLEXP;
  bool modelPar_given_ALPLEXP=mod.given("ALPLEXP");
  modParamMap["ALPLEXP"] = &modelPar_ALPLEXP;
  AdmsSensFadType modelPar_ALPW=mod.ALPW;
  bool modelPar_given_ALPW=mod.given("ALPW");
  modParamMap["ALPW"] = &modelPar_ALPW;
  AdmsSensFadType modelPar_ALP1L1=mod.ALP1L1;
  bool modelPar_given_ALP1L1=mod.given("ALP1L1");
  modParamMap["ALP1L1"] = &modelPar_ALP1L1;
  AdmsSensFadType modelPar_ALP1LEXP=mod.ALP1LEXP;
  bool modelPar_given_ALP1LEXP=mod.given("ALP1LEXP");
  modParamMap["ALP1LEXP"] = &modelPar_ALP1LEXP;
  AdmsSensFadType modelPar_ALP1L2=mod.ALP1L2;
  bool modelPar_given_ALP1L2=mod.given("ALP1L2");
  modParamMap["ALP1L2"] = &modelPar_ALP1L2;
  AdmsSensFadType modelPar_ALP1W=mod.ALP1W;
  bool modelPar_given_ALP1W=mod.given("ALP1W");
  modParamMap["ALP1W"] = &modelPar_ALP1W;
  AdmsSensFadType modelPar_ALP2L1=mod.ALP2L1;
  bool modelPar_given_ALP2L1=mod.given("ALP2L1");
  modParamMap["ALP2L1"] = &modelPar_ALP2L1;
  AdmsSensFadType modelPar_ALP2LEXP=mod.ALP2LEXP;
  bool modelPar_given_ALP2LEXP=mod.given("ALP2LEXP");
  modParamMap["ALP2LEXP"] = &modelPar_ALP2LEXP;
  AdmsSensFadType modelPar_ALP2L2=mod.ALP2L2;
  bool modelPar_given_ALP2L2=mod.given("ALP2L2");
  modParamMap["ALP2L2"] = &modelPar_ALP2L2;
  AdmsSensFadType modelPar_ALP2W=mod.ALP2W;
  bool modelPar_given_ALP2W=mod.given("ALP2W");
  modParamMap["ALP2W"] = &modelPar_ALP2W;
  AdmsSensFadType modelPar_VPO=mod.VPO;
  bool modelPar_given_VPO=mod.given("VPO");
  modParamMap["VPO"] = &modelPar_VPO;
  AdmsSensFadType modelPar_A1O=mod.A1O;
  bool modelPar_given_A1O=mod.given("A1O");
  modParamMap["A1O"] = &modelPar_A1O;
  AdmsSensFadType modelPar_A1L=mod.A1L;
  bool modelPar_given_A1L=mod.given("A1L");
  modParamMap["A1L"] = &modelPar_A1L;
  AdmsSensFadType modelPar_A1W=mod.A1W;
  bool modelPar_given_A1W=mod.given("A1W");
  modParamMap["A1W"] = &modelPar_A1W;
  AdmsSensFadType modelPar_A2O=mod.A2O;
  bool modelPar_given_A2O=mod.given("A2O");
  modParamMap["A2O"] = &modelPar_A2O;
  AdmsSensFadType modelPar_STA2O=mod.STA2O;
  bool modelPar_given_STA2O=mod.given("STA2O");
  modParamMap["STA2O"] = &modelPar_STA2O;
  AdmsSensFadType modelPar_A3O=mod.A3O;
  bool modelPar_given_A3O=mod.given("A3O");
  modParamMap["A3O"] = &modelPar_A3O;
  AdmsSensFadType modelPar_A3L=mod.A3L;
  bool modelPar_given_A3L=mod.given("A3L");
  modParamMap["A3L"] = &modelPar_A3L;
  AdmsSensFadType modelPar_A3W=mod.A3W;
  bool modelPar_given_A3W=mod.given("A3W");
  modParamMap["A3W"] = &modelPar_A3W;
  AdmsSensFadType modelPar_A4O=mod.A4O;
  bool modelPar_given_A4O=mod.given("A4O");
  modParamMap["A4O"] = &modelPar_A4O;
  AdmsSensFadType modelPar_A4L=mod.A4L;
  bool modelPar_given_A4L=mod.given("A4L");
  modParamMap["A4L"] = &modelPar_A4L;
  AdmsSensFadType modelPar_A4W=mod.A4W;
  bool modelPar_given_A4W=mod.given("A4W");
  modParamMap["A4W"] = &modelPar_A4W;
  AdmsSensFadType modelPar_GCOO=mod.GCOO;
  bool modelPar_given_GCOO=mod.given("GCOO");
  modParamMap["GCOO"] = &modelPar_GCOO;
  AdmsSensFadType modelPar_IGINVLW=mod.IGINVLW;
  bool modelPar_given_IGINVLW=mod.given("IGINVLW");
  modParamMap["IGINVLW"] = &modelPar_IGINVLW;
  AdmsSensFadType modelPar_IGOVW=mod.IGOVW;
  bool modelPar_given_IGOVW=mod.given("IGOVW");
  modParamMap["IGOVW"] = &modelPar_IGOVW;
  AdmsSensFadType modelPar_IGOVDW=mod.IGOVDW;
  bool modelPar_given_IGOVDW=mod.given("IGOVDW");
  modParamMap["IGOVDW"] = &modelPar_IGOVDW;
  AdmsSensFadType modelPar_STIGO=mod.STIGO;
  bool modelPar_given_STIGO=mod.given("STIGO");
  modParamMap["STIGO"] = &modelPar_STIGO;
  AdmsSensFadType modelPar_GC2O=mod.GC2O;
  bool modelPar_given_GC2O=mod.given("GC2O");
  modParamMap["GC2O"] = &modelPar_GC2O;
  AdmsSensFadType modelPar_GC3O=mod.GC3O;
  bool modelPar_given_GC3O=mod.given("GC3O");
  modParamMap["GC3O"] = &modelPar_GC3O;
  AdmsSensFadType modelPar_CHIBO=mod.CHIBO;
  bool modelPar_given_CHIBO=mod.given("CHIBO");
  modParamMap["CHIBO"] = &modelPar_CHIBO;
  AdmsSensFadType modelPar_AGIDLW=mod.AGIDLW;
  bool modelPar_given_AGIDLW=mod.given("AGIDLW");
  modParamMap["AGIDLW"] = &modelPar_AGIDLW;
  AdmsSensFadType modelPar_AGIDLDW=mod.AGIDLDW;
  bool modelPar_given_AGIDLDW=mod.given("AGIDLDW");
  modParamMap["AGIDLDW"] = &modelPar_AGIDLDW;
  AdmsSensFadType modelPar_BGIDLO=mod.BGIDLO;
  bool modelPar_given_BGIDLO=mod.given("BGIDLO");
  modParamMap["BGIDLO"] = &modelPar_BGIDLO;
  AdmsSensFadType modelPar_BGIDLDO=mod.BGIDLDO;
  bool modelPar_given_BGIDLDO=mod.given("BGIDLDO");
  modParamMap["BGIDLDO"] = &modelPar_BGIDLDO;
  AdmsSensFadType modelPar_STBGIDLO=mod.STBGIDLO;
  bool modelPar_given_STBGIDLO=mod.given("STBGIDLO");
  modParamMap["STBGIDLO"] = &modelPar_STBGIDLO;
  AdmsSensFadType modelPar_STBGIDLDO=mod.STBGIDLDO;
  bool modelPar_given_STBGIDLDO=mod.given("STBGIDLDO");
  modParamMap["STBGIDLDO"] = &modelPar_STBGIDLDO;
  AdmsSensFadType modelPar_CGIDLO=mod.CGIDLO;
  bool modelPar_given_CGIDLO=mod.given("CGIDLO");
  modParamMap["CGIDLO"] = &modelPar_CGIDLO;
  AdmsSensFadType modelPar_CGIDLDO=mod.CGIDLDO;
  bool modelPar_given_CGIDLDO=mod.given("CGIDLDO");
  modParamMap["CGIDLDO"] = &modelPar_CGIDLDO;
  AdmsSensFadType modelPar_CGBOVL=mod.CGBOVL;
  bool modelPar_given_CGBOVL=mod.given("CGBOVL");
  modParamMap["CGBOVL"] = &modelPar_CGBOVL;
  AdmsSensFadType modelPar_CFRW=mod.CFRW;
  bool modelPar_given_CFRW=mod.given("CFRW");
  modParamMap["CFRW"] = &modelPar_CFRW;
  AdmsSensFadType modelPar_CFRDW=mod.CFRDW;
  bool modelPar_given_CFRDW=mod.given("CFRDW");
  modParamMap["CFRDW"] = &modelPar_CFRDW;
  AdmsSensFadType modelPar_FNTO=mod.FNTO;
  bool modelPar_given_FNTO=mod.given("FNTO");
  modParamMap["FNTO"] = &modelPar_FNTO;
  AdmsSensFadType modelPar_NFALW=mod.NFALW;
  bool modelPar_given_NFALW=mod.given("NFALW");
  modParamMap["NFALW"] = &modelPar_NFALW;
  AdmsSensFadType modelPar_NFBLW=mod.NFBLW;
  bool modelPar_given_NFBLW=mod.given("NFBLW");
  modParamMap["NFBLW"] = &modelPar_NFBLW;
  AdmsSensFadType modelPar_NFCLW=mod.NFCLW;
  bool modelPar_given_NFCLW=mod.given("NFCLW");
  modParamMap["NFCLW"] = &modelPar_NFCLW;
  AdmsSensFadType modelPar_EFO=mod.EFO;
  bool modelPar_given_EFO=mod.given("EFO");
  modParamMap["EFO"] = &modelPar_EFO;
  AdmsSensFadType modelPar_LINTNOI=mod.LINTNOI;
  bool modelPar_given_LINTNOI=mod.given("LINTNOI");
  modParamMap["LINTNOI"] = &modelPar_LINTNOI;
  AdmsSensFadType modelPar_ALPNOI=mod.ALPNOI;
  bool modelPar_given_ALPNOI=mod.given("ALPNOI");
  modParamMap["ALPNOI"] = &modelPar_ALPNOI;
  AdmsSensFadType modelPar_KVTHOWEO=mod.KVTHOWEO;
  bool modelPar_given_KVTHOWEO=mod.given("KVTHOWEO");
  modParamMap["KVTHOWEO"] = &modelPar_KVTHOWEO;
  AdmsSensFadType modelPar_KVTHOWEL=mod.KVTHOWEL;
  bool modelPar_given_KVTHOWEL=mod.given("KVTHOWEL");
  modParamMap["KVTHOWEL"] = &modelPar_KVTHOWEL;
  AdmsSensFadType modelPar_KVTHOWEW=mod.KVTHOWEW;
  bool modelPar_given_KVTHOWEW=mod.given("KVTHOWEW");
  modParamMap["KVTHOWEW"] = &modelPar_KVTHOWEW;
  AdmsSensFadType modelPar_KVTHOWELW=mod.KVTHOWELW;
  bool modelPar_given_KVTHOWELW=mod.given("KVTHOWELW");
  modParamMap["KVTHOWELW"] = &modelPar_KVTHOWELW;
  AdmsSensFadType modelPar_KUOWEO=mod.KUOWEO;
  bool modelPar_given_KUOWEO=mod.given("KUOWEO");
  modParamMap["KUOWEO"] = &modelPar_KUOWEO;
  AdmsSensFadType modelPar_KUOWEL=mod.KUOWEL;
  bool modelPar_given_KUOWEL=mod.given("KUOWEL");
  modParamMap["KUOWEL"] = &modelPar_KUOWEL;
  AdmsSensFadType modelPar_KUOWEW=mod.KUOWEW;
  bool modelPar_given_KUOWEW=mod.given("KUOWEW");
  modParamMap["KUOWEW"] = &modelPar_KUOWEW;
  AdmsSensFadType modelPar_KUOWELW=mod.KUOWELW;
  bool modelPar_given_KUOWELW=mod.given("KUOWELW");
  modParamMap["KUOWELW"] = &modelPar_KUOWELW;
  AdmsSensFadType modelPar_RGO=mod.RGO;
  bool modelPar_given_RGO=mod.given("RGO");
  modParamMap["RGO"] = &modelPar_RGO;
  AdmsSensFadType modelPar_RINT=mod.RINT;
  bool modelPar_given_RINT=mod.given("RINT");
  modParamMap["RINT"] = &modelPar_RINT;
  AdmsSensFadType modelPar_RVPOLY=mod.RVPOLY;
  bool modelPar_given_RVPOLY=mod.given("RVPOLY");
  modParamMap["RVPOLY"] = &modelPar_RVPOLY;
  AdmsSensFadType modelPar_RSHG=mod.RSHG;
  bool modelPar_given_RSHG=mod.given("RSHG");
  modParamMap["RSHG"] = &modelPar_RSHG;
  AdmsSensFadType modelPar_DLSIL=mod.DLSIL;
  bool modelPar_given_DLSIL=mod.given("DLSIL");
  modParamMap["DLSIL"] = &modelPar_DLSIL;
  AdmsSensFadType modelPar_RSH=mod.RSH;
  bool modelPar_given_RSH=mod.given("RSH");
  modParamMap["RSH"] = &modelPar_RSH;
  AdmsSensFadType modelPar_RSHD=mod.RSHD;
  bool modelPar_given_RSHD=mod.given("RSHD");
  modParamMap["RSHD"] = &modelPar_RSHD;
  AdmsSensFadType modelPar_RBULKO=mod.RBULKO;
  bool modelPar_given_RBULKO=mod.given("RBULKO");
  modParamMap["RBULKO"] = &modelPar_RBULKO;
  AdmsSensFadType modelPar_RWELLO=mod.RWELLO;
  bool modelPar_given_RWELLO=mod.given("RWELLO");
  modParamMap["RWELLO"] = &modelPar_RWELLO;
  AdmsSensFadType modelPar_RJUNSO=mod.RJUNSO;
  bool modelPar_given_RJUNSO=mod.given("RJUNSO");
  modParamMap["RJUNSO"] = &modelPar_RJUNSO;
  AdmsSensFadType modelPar_RJUNDO=mod.RJUNDO;
  bool modelPar_given_RJUNDO=mod.given("RJUNDO");
  modParamMap["RJUNDO"] = &modelPar_RJUNDO;
  AdmsSensFadType modelPar_SAREF=mod.SAREF;
  bool modelPar_given_SAREF=mod.given("SAREF");
  modParamMap["SAREF"] = &modelPar_SAREF;
  AdmsSensFadType modelPar_SBREF=mod.SBREF;
  bool modelPar_given_SBREF=mod.given("SBREF");
  modParamMap["SBREF"] = &modelPar_SBREF;
  AdmsSensFadType modelPar_WLOD=mod.WLOD;
  bool modelPar_given_WLOD=mod.given("WLOD");
  modParamMap["WLOD"] = &modelPar_WLOD;
  AdmsSensFadType modelPar_KUO=mod.KUO;
  bool modelPar_given_KUO=mod.given("KUO");
  modParamMap["KUO"] = &modelPar_KUO;
  AdmsSensFadType modelPar_KVSAT=mod.KVSAT;
  bool modelPar_given_KVSAT=mod.given("KVSAT");
  modParamMap["KVSAT"] = &modelPar_KVSAT;
  AdmsSensFadType modelPar_TKUO=mod.TKUO;
  bool modelPar_given_TKUO=mod.given("TKUO");
  modParamMap["TKUO"] = &modelPar_TKUO;
  AdmsSensFadType modelPar_LKUO=mod.LKUO;
  bool modelPar_given_LKUO=mod.given("LKUO");
  modParamMap["LKUO"] = &modelPar_LKUO;
  AdmsSensFadType modelPar_WKUO=mod.WKUO;
  bool modelPar_given_WKUO=mod.given("WKUO");
  modParamMap["WKUO"] = &modelPar_WKUO;
  AdmsSensFadType modelPar_PKUO=mod.PKUO;
  bool modelPar_given_PKUO=mod.given("PKUO");
  modParamMap["PKUO"] = &modelPar_PKUO;
  AdmsSensFadType modelPar_LLODKUO=mod.LLODKUO;
  bool modelPar_given_LLODKUO=mod.given("LLODKUO");
  modParamMap["LLODKUO"] = &modelPar_LLODKUO;
  AdmsSensFadType modelPar_WLODKUO=mod.WLODKUO;
  bool modelPar_given_WLODKUO=mod.given("WLODKUO");
  modParamMap["WLODKUO"] = &modelPar_WLODKUO;
  AdmsSensFadType modelPar_KVTHO=mod.KVTHO;
  bool modelPar_given_KVTHO=mod.given("KVTHO");
  modParamMap["KVTHO"] = &modelPar_KVTHO;
  AdmsSensFadType modelPar_LKVTHO=mod.LKVTHO;
  bool modelPar_given_LKVTHO=mod.given("LKVTHO");
  modParamMap["LKVTHO"] = &modelPar_LKVTHO;
  AdmsSensFadType modelPar_WKVTHO=mod.WKVTHO;
  bool modelPar_given_WKVTHO=mod.given("WKVTHO");
  modParamMap["WKVTHO"] = &modelPar_WKVTHO;
  AdmsSensFadType modelPar_PKVTHO=mod.PKVTHO;
  bool modelPar_given_PKVTHO=mod.given("PKVTHO");
  modParamMap["PKVTHO"] = &modelPar_PKVTHO;
  AdmsSensFadType modelPar_LLODVTH=mod.LLODVTH;
  bool modelPar_given_LLODVTH=mod.given("LLODVTH");
  modParamMap["LLODVTH"] = &modelPar_LLODVTH;
  AdmsSensFadType modelPar_WLODVTH=mod.WLODVTH;
  bool modelPar_given_WLODVTH=mod.given("WLODVTH");
  modParamMap["WLODVTH"] = &modelPar_WLODVTH;
  AdmsSensFadType modelPar_STETAO=mod.STETAO;
  bool modelPar_given_STETAO=mod.given("STETAO");
  modParamMap["STETAO"] = &modelPar_STETAO;
  AdmsSensFadType modelPar_LODETAO=mod.LODETAO;
  bool modelPar_given_LODETAO=mod.given("LODETAO");
  modParamMap["LODETAO"] = &modelPar_LODETAO;
  AdmsSensFadType modelPar_SCREF=mod.SCREF;
  bool modelPar_given_SCREF=mod.given("SCREF");
  modParamMap["SCREF"] = &modelPar_SCREF;
  AdmsSensFadType modelPar_WEB=mod.WEB;
  bool modelPar_given_WEB=mod.given("WEB");
  modParamMap["WEB"] = &modelPar_WEB;
  AdmsSensFadType modelPar_WEC=mod.WEC;
  bool modelPar_given_WEC=mod.given("WEC");
  modParamMap["WEC"] = &modelPar_WEC;
  AdmsSensFadType modelPar_IMAX=mod.IMAX;
  bool modelPar_given_IMAX=mod.given("IMAX");
  modParamMap["IMAX"] = &modelPar_IMAX;
  AdmsSensFadType modelPar_TRJ=mod.TRJ;
  bool modelPar_given_TRJ=mod.given("TRJ");
  modParamMap["TRJ"] = &modelPar_TRJ;
  AdmsSensFadType modelPar_CJORBOT=mod.CJORBOT;
  bool modelPar_given_CJORBOT=mod.given("CJORBOT");
  modParamMap["CJORBOT"] = &modelPar_CJORBOT;
  AdmsSensFadType modelPar_CJORSTI=mod.CJORSTI;
  bool modelPar_given_CJORSTI=mod.given("CJORSTI");
  modParamMap["CJORSTI"] = &modelPar_CJORSTI;
  AdmsSensFadType modelPar_CJORGAT=mod.CJORGAT;
  bool modelPar_given_CJORGAT=mod.given("CJORGAT");
  modParamMap["CJORGAT"] = &modelPar_CJORGAT;
  AdmsSensFadType modelPar_VBIRBOT=mod.VBIRBOT;
  bool modelPar_given_VBIRBOT=mod.given("VBIRBOT");
  modParamMap["VBIRBOT"] = &modelPar_VBIRBOT;
  AdmsSensFadType modelPar_VBIRSTI=mod.VBIRSTI;
  bool modelPar_given_VBIRSTI=mod.given("VBIRSTI");
  modParamMap["VBIRSTI"] = &modelPar_VBIRSTI;
  AdmsSensFadType modelPar_VBIRGAT=mod.VBIRGAT;
  bool modelPar_given_VBIRGAT=mod.given("VBIRGAT");
  modParamMap["VBIRGAT"] = &modelPar_VBIRGAT;
  AdmsSensFadType modelPar_PBOT=mod.PBOT;
  bool modelPar_given_PBOT=mod.given("PBOT");
  modParamMap["PBOT"] = &modelPar_PBOT;
  AdmsSensFadType modelPar_PSTI=mod.PSTI;
  bool modelPar_given_PSTI=mod.given("PSTI");
  modParamMap["PSTI"] = &modelPar_PSTI;
  AdmsSensFadType modelPar_PGAT=mod.PGAT;
  bool modelPar_given_PGAT=mod.given("PGAT");
  modParamMap["PGAT"] = &modelPar_PGAT;
  AdmsSensFadType modelPar_PHIGBOT=mod.PHIGBOT;
  bool modelPar_given_PHIGBOT=mod.given("PHIGBOT");
  modParamMap["PHIGBOT"] = &modelPar_PHIGBOT;
  AdmsSensFadType modelPar_PHIGSTI=mod.PHIGSTI;
  bool modelPar_given_PHIGSTI=mod.given("PHIGSTI");
  modParamMap["PHIGSTI"] = &modelPar_PHIGSTI;
  AdmsSensFadType modelPar_PHIGGAT=mod.PHIGGAT;
  bool modelPar_given_PHIGGAT=mod.given("PHIGGAT");
  modParamMap["PHIGGAT"] = &modelPar_PHIGGAT;
  AdmsSensFadType modelPar_IDSATRBOT=mod.IDSATRBOT;
  bool modelPar_given_IDSATRBOT=mod.given("IDSATRBOT");
  modParamMap["IDSATRBOT"] = &modelPar_IDSATRBOT;
  AdmsSensFadType modelPar_IDSATRSTI=mod.IDSATRSTI;
  bool modelPar_given_IDSATRSTI=mod.given("IDSATRSTI");
  modParamMap["IDSATRSTI"] = &modelPar_IDSATRSTI;
  AdmsSensFadType modelPar_IDSATRGAT=mod.IDSATRGAT;
  bool modelPar_given_IDSATRGAT=mod.given("IDSATRGAT");
  modParamMap["IDSATRGAT"] = &modelPar_IDSATRGAT;
  AdmsSensFadType modelPar_CSRHBOT=mod.CSRHBOT;
  bool modelPar_given_CSRHBOT=mod.given("CSRHBOT");
  modParamMap["CSRHBOT"] = &modelPar_CSRHBOT;
  AdmsSensFadType modelPar_CSRHSTI=mod.CSRHSTI;
  bool modelPar_given_CSRHSTI=mod.given("CSRHSTI");
  modParamMap["CSRHSTI"] = &modelPar_CSRHSTI;
  AdmsSensFadType modelPar_CSRHGAT=mod.CSRHGAT;
  bool modelPar_given_CSRHGAT=mod.given("CSRHGAT");
  modParamMap["CSRHGAT"] = &modelPar_CSRHGAT;
  AdmsSensFadType modelPar_XJUNSTI=mod.XJUNSTI;
  bool modelPar_given_XJUNSTI=mod.given("XJUNSTI");
  modParamMap["XJUNSTI"] = &modelPar_XJUNSTI;
  AdmsSensFadType modelPar_XJUNGAT=mod.XJUNGAT;
  bool modelPar_given_XJUNGAT=mod.given("XJUNGAT");
  modParamMap["XJUNGAT"] = &modelPar_XJUNGAT;
  AdmsSensFadType modelPar_CTATBOT=mod.CTATBOT;
  bool modelPar_given_CTATBOT=mod.given("CTATBOT");
  modParamMap["CTATBOT"] = &modelPar_CTATBOT;
  AdmsSensFadType modelPar_CTATSTI=mod.CTATSTI;
  bool modelPar_given_CTATSTI=mod.given("CTATSTI");
  modParamMap["CTATSTI"] = &modelPar_CTATSTI;
  AdmsSensFadType modelPar_CTATGAT=mod.CTATGAT;
  bool modelPar_given_CTATGAT=mod.given("CTATGAT");
  modParamMap["CTATGAT"] = &modelPar_CTATGAT;
  AdmsSensFadType modelPar_MEFFTATBOT=mod.MEFFTATBOT;
  bool modelPar_given_MEFFTATBOT=mod.given("MEFFTATBOT");
  modParamMap["MEFFTATBOT"] = &modelPar_MEFFTATBOT;
  AdmsSensFadType modelPar_MEFFTATSTI=mod.MEFFTATSTI;
  bool modelPar_given_MEFFTATSTI=mod.given("MEFFTATSTI");
  modParamMap["MEFFTATSTI"] = &modelPar_MEFFTATSTI;
  AdmsSensFadType modelPar_MEFFTATGAT=mod.MEFFTATGAT;
  bool modelPar_given_MEFFTATGAT=mod.given("MEFFTATGAT");
  modParamMap["MEFFTATGAT"] = &modelPar_MEFFTATGAT;
  AdmsSensFadType modelPar_CBBTBOT=mod.CBBTBOT;
  bool modelPar_given_CBBTBOT=mod.given("CBBTBOT");
  modParamMap["CBBTBOT"] = &modelPar_CBBTBOT;
  AdmsSensFadType modelPar_CBBTSTI=mod.CBBTSTI;
  bool modelPar_given_CBBTSTI=mod.given("CBBTSTI");
  modParamMap["CBBTSTI"] = &modelPar_CBBTSTI;
  AdmsSensFadType modelPar_CBBTGAT=mod.CBBTGAT;
  bool modelPar_given_CBBTGAT=mod.given("CBBTGAT");
  modParamMap["CBBTGAT"] = &modelPar_CBBTGAT;
  AdmsSensFadType modelPar_FBBTRBOT=mod.FBBTRBOT;
  bool modelPar_given_FBBTRBOT=mod.given("FBBTRBOT");
  modParamMap["FBBTRBOT"] = &modelPar_FBBTRBOT;
  AdmsSensFadType modelPar_FBBTRSTI=mod.FBBTRSTI;
  bool modelPar_given_FBBTRSTI=mod.given("FBBTRSTI");
  modParamMap["FBBTRSTI"] = &modelPar_FBBTRSTI;
  AdmsSensFadType modelPar_FBBTRGAT=mod.FBBTRGAT;
  bool modelPar_given_FBBTRGAT=mod.given("FBBTRGAT");
  modParamMap["FBBTRGAT"] = &modelPar_FBBTRGAT;
  AdmsSensFadType modelPar_STFBBTBOT=mod.STFBBTBOT;
  bool modelPar_given_STFBBTBOT=mod.given("STFBBTBOT");
  modParamMap["STFBBTBOT"] = &modelPar_STFBBTBOT;
  AdmsSensFadType modelPar_STFBBTSTI=mod.STFBBTSTI;
  bool modelPar_given_STFBBTSTI=mod.given("STFBBTSTI");
  modParamMap["STFBBTSTI"] = &modelPar_STFBBTSTI;
  AdmsSensFadType modelPar_STFBBTGAT=mod.STFBBTGAT;
  bool modelPar_given_STFBBTGAT=mod.given("STFBBTGAT");
  modParamMap["STFBBTGAT"] = &modelPar_STFBBTGAT;
  AdmsSensFadType modelPar_VBRBOT=mod.VBRBOT;
  bool modelPar_given_VBRBOT=mod.given("VBRBOT");
  modParamMap["VBRBOT"] = &modelPar_VBRBOT;
  AdmsSensFadType modelPar_VBRSTI=mod.VBRSTI;
  bool modelPar_given_VBRSTI=mod.given("VBRSTI");
  modParamMap["VBRSTI"] = &modelPar_VBRSTI;
  AdmsSensFadType modelPar_VBRGAT=mod.VBRGAT;
  bool modelPar_given_VBRGAT=mod.given("VBRGAT");
  modParamMap["VBRGAT"] = &modelPar_VBRGAT;
  AdmsSensFadType modelPar_PBRBOT=mod.PBRBOT;
  bool modelPar_given_PBRBOT=mod.given("PBRBOT");
  modParamMap["PBRBOT"] = &modelPar_PBRBOT;
  AdmsSensFadType modelPar_PBRSTI=mod.PBRSTI;
  bool modelPar_given_PBRSTI=mod.given("PBRSTI");
  modParamMap["PBRSTI"] = &modelPar_PBRSTI;
  AdmsSensFadType modelPar_PBRGAT=mod.PBRGAT;
  bool modelPar_given_PBRGAT=mod.given("PBRGAT");
  modParamMap["PBRGAT"] = &modelPar_PBRGAT;
  AdmsSensFadType modelPar_CJORBOTD=mod.CJORBOTD;
  bool modelPar_given_CJORBOTD=mod.given("CJORBOTD");
  modParamMap["CJORBOTD"] = &modelPar_CJORBOTD;
  AdmsSensFadType modelPar_CJORSTID=mod.CJORSTID;
  bool modelPar_given_CJORSTID=mod.given("CJORSTID");
  modParamMap["CJORSTID"] = &modelPar_CJORSTID;
  AdmsSensFadType modelPar_CJORGATD=mod.CJORGATD;
  bool modelPar_given_CJORGATD=mod.given("CJORGATD");
  modParamMap["CJORGATD"] = &modelPar_CJORGATD;
  AdmsSensFadType modelPar_VBIRBOTD=mod.VBIRBOTD;
  bool modelPar_given_VBIRBOTD=mod.given("VBIRBOTD");
  modParamMap["VBIRBOTD"] = &modelPar_VBIRBOTD;
  AdmsSensFadType modelPar_VBIRSTID=mod.VBIRSTID;
  bool modelPar_given_VBIRSTID=mod.given("VBIRSTID");
  modParamMap["VBIRSTID"] = &modelPar_VBIRSTID;
  AdmsSensFadType modelPar_VBIRGATD=mod.VBIRGATD;
  bool modelPar_given_VBIRGATD=mod.given("VBIRGATD");
  modParamMap["VBIRGATD"] = &modelPar_VBIRGATD;
  AdmsSensFadType modelPar_PBOTD=mod.PBOTD;
  bool modelPar_given_PBOTD=mod.given("PBOTD");
  modParamMap["PBOTD"] = &modelPar_PBOTD;
  AdmsSensFadType modelPar_PSTID=mod.PSTID;
  bool modelPar_given_PSTID=mod.given("PSTID");
  modParamMap["PSTID"] = &modelPar_PSTID;
  AdmsSensFadType modelPar_PGATD=mod.PGATD;
  bool modelPar_given_PGATD=mod.given("PGATD");
  modParamMap["PGATD"] = &modelPar_PGATD;
  AdmsSensFadType modelPar_PHIGBOTD=mod.PHIGBOTD;
  bool modelPar_given_PHIGBOTD=mod.given("PHIGBOTD");
  modParamMap["PHIGBOTD"] = &modelPar_PHIGBOTD;
  AdmsSensFadType modelPar_PHIGSTID=mod.PHIGSTID;
  bool modelPar_given_PHIGSTID=mod.given("PHIGSTID");
  modParamMap["PHIGSTID"] = &modelPar_PHIGSTID;
  AdmsSensFadType modelPar_PHIGGATD=mod.PHIGGATD;
  bool modelPar_given_PHIGGATD=mod.given("PHIGGATD");
  modParamMap["PHIGGATD"] = &modelPar_PHIGGATD;
  AdmsSensFadType modelPar_IDSATRBOTD=mod.IDSATRBOTD;
  bool modelPar_given_IDSATRBOTD=mod.given("IDSATRBOTD");
  modParamMap["IDSATRBOTD"] = &modelPar_IDSATRBOTD;
  AdmsSensFadType modelPar_IDSATRSTID=mod.IDSATRSTID;
  bool modelPar_given_IDSATRSTID=mod.given("IDSATRSTID");
  modParamMap["IDSATRSTID"] = &modelPar_IDSATRSTID;
  AdmsSensFadType modelPar_IDSATRGATD=mod.IDSATRGATD;
  bool modelPar_given_IDSATRGATD=mod.given("IDSATRGATD");
  modParamMap["IDSATRGATD"] = &modelPar_IDSATRGATD;
  AdmsSensFadType modelPar_CSRHBOTD=mod.CSRHBOTD;
  bool modelPar_given_CSRHBOTD=mod.given("CSRHBOTD");
  modParamMap["CSRHBOTD"] = &modelPar_CSRHBOTD;
  AdmsSensFadType modelPar_CSRHSTID=mod.CSRHSTID;
  bool modelPar_given_CSRHSTID=mod.given("CSRHSTID");
  modParamMap["CSRHSTID"] = &modelPar_CSRHSTID;
  AdmsSensFadType modelPar_CSRHGATD=mod.CSRHGATD;
  bool modelPar_given_CSRHGATD=mod.given("CSRHGATD");
  modParamMap["CSRHGATD"] = &modelPar_CSRHGATD;
  AdmsSensFadType modelPar_XJUNSTID=mod.XJUNSTID;
  bool modelPar_given_XJUNSTID=mod.given("XJUNSTID");
  modParamMap["XJUNSTID"] = &modelPar_XJUNSTID;
  AdmsSensFadType modelPar_XJUNGATD=mod.XJUNGATD;
  bool modelPar_given_XJUNGATD=mod.given("XJUNGATD");
  modParamMap["XJUNGATD"] = &modelPar_XJUNGATD;
  AdmsSensFadType modelPar_CTATBOTD=mod.CTATBOTD;
  bool modelPar_given_CTATBOTD=mod.given("CTATBOTD");
  modParamMap["CTATBOTD"] = &modelPar_CTATBOTD;
  AdmsSensFadType modelPar_CTATSTID=mod.CTATSTID;
  bool modelPar_given_CTATSTID=mod.given("CTATSTID");
  modParamMap["CTATSTID"] = &modelPar_CTATSTID;
  AdmsSensFadType modelPar_CTATGATD=mod.CTATGATD;
  bool modelPar_given_CTATGATD=mod.given("CTATGATD");
  modParamMap["CTATGATD"] = &modelPar_CTATGATD;
  AdmsSensFadType modelPar_MEFFTATBOTD=mod.MEFFTATBOTD;
  bool modelPar_given_MEFFTATBOTD=mod.given("MEFFTATBOTD");
  modParamMap["MEFFTATBOTD"] = &modelPar_MEFFTATBOTD;
  AdmsSensFadType modelPar_MEFFTATSTID=mod.MEFFTATSTID;
  bool modelPar_given_MEFFTATSTID=mod.given("MEFFTATSTID");
  modParamMap["MEFFTATSTID"] = &modelPar_MEFFTATSTID;
  AdmsSensFadType modelPar_MEFFTATGATD=mod.MEFFTATGATD;
  bool modelPar_given_MEFFTATGATD=mod.given("MEFFTATGATD");
  modParamMap["MEFFTATGATD"] = &modelPar_MEFFTATGATD;
  AdmsSensFadType modelPar_CBBTBOTD=mod.CBBTBOTD;
  bool modelPar_given_CBBTBOTD=mod.given("CBBTBOTD");
  modParamMap["CBBTBOTD"] = &modelPar_CBBTBOTD;
  AdmsSensFadType modelPar_CBBTSTID=mod.CBBTSTID;
  bool modelPar_given_CBBTSTID=mod.given("CBBTSTID");
  modParamMap["CBBTSTID"] = &modelPar_CBBTSTID;
  AdmsSensFadType modelPar_CBBTGATD=mod.CBBTGATD;
  bool modelPar_given_CBBTGATD=mod.given("CBBTGATD");
  modParamMap["CBBTGATD"] = &modelPar_CBBTGATD;
  AdmsSensFadType modelPar_FBBTRBOTD=mod.FBBTRBOTD;
  bool modelPar_given_FBBTRBOTD=mod.given("FBBTRBOTD");
  modParamMap["FBBTRBOTD"] = &modelPar_FBBTRBOTD;
  AdmsSensFadType modelPar_FBBTRSTID=mod.FBBTRSTID;
  bool modelPar_given_FBBTRSTID=mod.given("FBBTRSTID");
  modParamMap["FBBTRSTID"] = &modelPar_FBBTRSTID;
  AdmsSensFadType modelPar_FBBTRGATD=mod.FBBTRGATD;
  bool modelPar_given_FBBTRGATD=mod.given("FBBTRGATD");
  modParamMap["FBBTRGATD"] = &modelPar_FBBTRGATD;
  AdmsSensFadType modelPar_STFBBTBOTD=mod.STFBBTBOTD;
  bool modelPar_given_STFBBTBOTD=mod.given("STFBBTBOTD");
  modParamMap["STFBBTBOTD"] = &modelPar_STFBBTBOTD;
  AdmsSensFadType modelPar_STFBBTSTID=mod.STFBBTSTID;
  bool modelPar_given_STFBBTSTID=mod.given("STFBBTSTID");
  modParamMap["STFBBTSTID"] = &modelPar_STFBBTSTID;
  AdmsSensFadType modelPar_STFBBTGATD=mod.STFBBTGATD;
  bool modelPar_given_STFBBTGATD=mod.given("STFBBTGATD");
  modParamMap["STFBBTGATD"] = &modelPar_STFBBTGATD;
  AdmsSensFadType modelPar_VBRBOTD=mod.VBRBOTD;
  bool modelPar_given_VBRBOTD=mod.given("VBRBOTD");
  modParamMap["VBRBOTD"] = &modelPar_VBRBOTD;
  AdmsSensFadType modelPar_VBRSTID=mod.VBRSTID;
  bool modelPar_given_VBRSTID=mod.given("VBRSTID");
  modParamMap["VBRSTID"] = &modelPar_VBRSTID;
  AdmsSensFadType modelPar_VBRGATD=mod.VBRGATD;
  bool modelPar_given_VBRGATD=mod.given("VBRGATD");
  modParamMap["VBRGATD"] = &modelPar_VBRGATD;
  AdmsSensFadType modelPar_PBRBOTD=mod.PBRBOTD;
  bool modelPar_given_PBRBOTD=mod.given("PBRBOTD");
  modParamMap["PBRBOTD"] = &modelPar_PBRBOTD;
  AdmsSensFadType modelPar_PBRSTID=mod.PBRSTID;
  bool modelPar_given_PBRSTID=mod.given("PBRSTID");
  modParamMap["PBRSTID"] = &modelPar_PBRSTID;
  AdmsSensFadType modelPar_PBRGATD=mod.PBRGATD;
  bool modelPar_given_PBRGATD=mod.given("PBRGATD");
  modParamMap["PBRGATD"] = &modelPar_PBRGATD;
  AdmsSensFadType modelPar_SWJUNEXP=mod.SWJUNEXP;
  bool modelPar_given_SWJUNEXP=mod.given("SWJUNEXP");
  modParamMap["SWJUNEXP"] = &modelPar_SWJUNEXP;
  AdmsSensFadType modelPar_VJUNREF=mod.VJUNREF;
  bool modelPar_given_VJUNREF=mod.given("VJUNREF");
  modParamMap["VJUNREF"] = &modelPar_VJUNREF;
  AdmsSensFadType modelPar_FJUNQ=mod.FJUNQ;
  bool modelPar_given_FJUNQ=mod.given("FJUNQ");
  modParamMap["FJUNQ"] = &modelPar_FJUNQ;
  AdmsSensFadType modelPar_VJUNREFD=mod.VJUNREFD;
  bool modelPar_given_VJUNREFD=mod.given("VJUNREFD");
  modParamMap["VJUNREFD"] = &modelPar_VJUNREFD;
  AdmsSensFadType modelPar_FJUNQD=mod.FJUNQD;
  bool modelPar_given_FJUNQD=mod.given("FJUNQD");
  modParamMap["FJUNQD"] = &modelPar_FJUNQD;
  AdmsSensFadType modelPar_DTA=mod.DTA;
  bool modelPar_given_DTA=mod.given("DTA");
  modParamMap["DTA"] = &modelPar_DTA;


  // hidden reals


  // non-reals (including hiddens)


  // Set the one parameter whose name was passed in to be the independent
  // variable for Sacado purposes.  Since we stored variable pointers, this
  // makes sure that that ONE variable gets set right.
  // FIXME: make this check name for presence first!  Segfault on invalid.
  modParamMap[name]->diff(0,1);

  //make local copies of all model vars
  //reals
  AdmsSensFadType modelVar_NSUBO_i=mod.NSUBO_i;
  AdmsSensFadType modelVar_WSEG_i=mod.WSEG_i;
  AdmsSensFadType modelVar_NPCK_i=mod.NPCK_i;
  AdmsSensFadType modelVar_WSEGP_i=mod.WSEGP_i;
  AdmsSensFadType modelVar_LPCK_i=mod.LPCK_i;
  AdmsSensFadType modelVar_LOV_i=mod.LOV_i;
  AdmsSensFadType modelVar_LOVD_i=mod.LOVD_i;
  AdmsSensFadType modelVar_LP1_i=mod.LP1_i;
  AdmsSensFadType modelVar_LP2_i=mod.LP2_i;
  AdmsSensFadType modelVar_WBET_i=mod.WBET_i;
  AdmsSensFadType modelVar_AXL_i=mod.AXL_i;
  AdmsSensFadType modelVar_ALP1L2_i=mod.ALP1L2_i;
  AdmsSensFadType modelVar_ALP2L2_i=mod.ALP2L2_i;
  AdmsSensFadType modelVar_TOXO_i=mod.TOXO_i;
  AdmsSensFadType modelVar_TOXOVO_i=mod.TOXOVO_i;
  AdmsSensFadType modelVar_TOXOVDO_i=mod.TOXOVDO_i;
  AdmsSensFadType modelVar_EPSROXO_i=mod.EPSROXO_i;
  AdmsSensFadType modelVar_RINT_i=mod.RINT_i;
  AdmsSensFadType modelVar_RVPOLY_i=mod.RVPOLY_i;
  AdmsSensFadType modelVar_RSHG_i=mod.RSHG_i;
  AdmsSensFadType modelVar_RSH_i=mod.RSH_i;
  AdmsSensFadType modelVar_RSHD_i=mod.RSHD_i;
  AdmsSensFadType modelVar_SAREF_i=mod.SAREF_i;
  AdmsSensFadType modelVar_SBREF_i=mod.SBREF_i;
  AdmsSensFadType modelVar_KVSAT_i=mod.KVSAT_i;
  AdmsSensFadType modelVar_LLODKUO_i=mod.LLODKUO_i;
  AdmsSensFadType modelVar_WLODKUO_i=mod.WLODKUO_i;
  AdmsSensFadType modelVar_LLODVTH_i=mod.LLODVTH_i;
  AdmsSensFadType modelVar_WLODVTH_i=mod.WLODVTH_i;
  AdmsSensFadType modelVar_LODETAO_i=mod.LODETAO_i;
  AdmsSensFadType modelVar_SCREF_i=mod.SCREF_i;
  AdmsSensFadType modelVar_WEB_i=mod.WEB_i;
  AdmsSensFadType modelVar_WEC_i=mod.WEC_i;
  AdmsSensFadType modelVar_QMC_i=mod.QMC_i;
  AdmsSensFadType modelVar_TKD=mod.TKD;
  AdmsSensFadType modelVar_dT=mod.dT;
  AdmsSensFadType modelVar_rT=mod.rT;
  AdmsSensFadType modelVar_rTn=mod.rTn;
  AdmsSensFadType modelVar_EPSSI=mod.EPSSI;
  AdmsSensFadType modelVar_phit=mod.phit;
  AdmsSensFadType modelVar_inv_phit=mod.inv_phit;
  AdmsSensFadType modelVar_Eg=mod.Eg;
  AdmsSensFadType modelVar_phibFac=mod.phibFac;
  AdmsSensFadType modelVar_nt0=mod.nt0;
  AdmsSensFadType modelVar_IMAX_i=mod.IMAX_i;
  AdmsSensFadType modelVar_CJORBOT_i=mod.CJORBOT_i;
  AdmsSensFadType modelVar_CJORSTI_i=mod.CJORSTI_i;
  AdmsSensFadType modelVar_CJORGAT_i=mod.CJORGAT_i;
  AdmsSensFadType modelVar_VBIRBOT_i=mod.VBIRBOT_i;
  AdmsSensFadType modelVar_VBIRSTI_i=mod.VBIRSTI_i;
  AdmsSensFadType modelVar_VBIRGAT_i=mod.VBIRGAT_i;
  AdmsSensFadType modelVar_PBOT_i=mod.PBOT_i;
  AdmsSensFadType modelVar_PSTI_i=mod.PSTI_i;
  AdmsSensFadType modelVar_PGAT_i=mod.PGAT_i;
  AdmsSensFadType modelVar_PHIGBOT_i=mod.PHIGBOT_i;
  AdmsSensFadType modelVar_PHIGSTI_i=mod.PHIGSTI_i;
  AdmsSensFadType modelVar_PHIGGAT_i=mod.PHIGGAT_i;
  AdmsSensFadType modelVar_IDSATRBOT_i=mod.IDSATRBOT_i;
  AdmsSensFadType modelVar_IDSATRSTI_i=mod.IDSATRSTI_i;
  AdmsSensFadType modelVar_IDSATRGAT_i=mod.IDSATRGAT_i;
  AdmsSensFadType modelVar_XJUNSTI_i=mod.XJUNSTI_i;
  AdmsSensFadType modelVar_XJUNGAT_i=mod.XJUNGAT_i;
  AdmsSensFadType modelVar_CSRHBOT_i=mod.CSRHBOT_i;
  AdmsSensFadType modelVar_CSRHSTI_i=mod.CSRHSTI_i;
  AdmsSensFadType modelVar_CSRHGAT_i=mod.CSRHGAT_i;
  AdmsSensFadType modelVar_CTATBOT_i=mod.CTATBOT_i;
  AdmsSensFadType modelVar_CTATSTI_i=mod.CTATSTI_i;
  AdmsSensFadType modelVar_CTATGAT_i=mod.CTATGAT_i;
  AdmsSensFadType modelVar_MEFFTATBOT_i=mod.MEFFTATBOT_i;
  AdmsSensFadType modelVar_MEFFTATSTI_i=mod.MEFFTATSTI_i;
  AdmsSensFadType modelVar_MEFFTATGAT_i=mod.MEFFTATGAT_i;
  AdmsSensFadType modelVar_CBBTBOT_i=mod.CBBTBOT_i;
  AdmsSensFadType modelVar_CBBTSTI_i=mod.CBBTSTI_i;
  AdmsSensFadType modelVar_CBBTGAT_i=mod.CBBTGAT_i;
  AdmsSensFadType modelVar_FBBTRBOT_i=mod.FBBTRBOT_i;
  AdmsSensFadType modelVar_FBBTRSTI_i=mod.FBBTRSTI_i;
  AdmsSensFadType modelVar_FBBTRGAT_i=mod.FBBTRGAT_i;
  AdmsSensFadType modelVar_STFBBTBOT_i=mod.STFBBTBOT_i;
  AdmsSensFadType modelVar_STFBBTSTI_i=mod.STFBBTSTI_i;
  AdmsSensFadType modelVar_STFBBTGAT_i=mod.STFBBTGAT_i;
  AdmsSensFadType modelVar_VBRBOT_i=mod.VBRBOT_i;
  AdmsSensFadType modelVar_VBRSTI_i=mod.VBRSTI_i;
  AdmsSensFadType modelVar_VBRGAT_i=mod.VBRGAT_i;
  AdmsSensFadType modelVar_PBRBOT_i=mod.PBRBOT_i;
  AdmsSensFadType modelVar_PBRSTI_i=mod.PBRSTI_i;
  AdmsSensFadType modelVar_PBRGAT_i=mod.PBRGAT_i;
  AdmsSensFadType modelVar_SWJUNEXP_i=mod.SWJUNEXP_i;
  AdmsSensFadType modelVar_VJUNREF_i=mod.VJUNREF_i;
  AdmsSensFadType modelVar_FJUNQ_i=mod.FJUNQ_i;
  AdmsSensFadType modelVar_phitr=mod.phitr;
  AdmsSensFadType modelVar_phitd=mod.phitd;
  AdmsSensFadType modelVar_phitdinv=mod.phitdinv;
  AdmsSensFadType modelVar_perfc=mod.perfc;
  AdmsSensFadType modelVar_berfc=mod.berfc;
  AdmsSensFadType modelVar_cerfc=mod.cerfc;
  AdmsSensFadType modelVar_phigrbot=mod.phigrbot;
  AdmsSensFadType modelVar_phigrsti=mod.phigrsti;
  AdmsSensFadType modelVar_phigrgat=mod.phigrgat;
  AdmsSensFadType modelVar_phigdbot=mod.phigdbot;
  AdmsSensFadType modelVar_phigdsti=mod.phigdsti;
  AdmsSensFadType modelVar_phigdgat=mod.phigdgat;
  AdmsSensFadType modelVar_ftdbot=mod.ftdbot;
  AdmsSensFadType modelVar_ftdsti=mod.ftdsti;
  AdmsSensFadType modelVar_ftdgat=mod.ftdgat;
  AdmsSensFadType modelVar_idsatbot=mod.idsatbot;
  AdmsSensFadType modelVar_idsatsti=mod.idsatsti;
  AdmsSensFadType modelVar_idsatgat=mod.idsatgat;
  AdmsSensFadType modelVar_ubibot=mod.ubibot;
  AdmsSensFadType modelVar_ubisti=mod.ubisti;
  AdmsSensFadType modelVar_ubigat=mod.ubigat;
  AdmsSensFadType modelVar_vbibot=mod.vbibot;
  AdmsSensFadType modelVar_vbisti=mod.vbisti;
  AdmsSensFadType modelVar_vbigat=mod.vbigat;
  AdmsSensFadType modelVar_vbiinvbot=mod.vbiinvbot;
  AdmsSensFadType modelVar_vbiinvsti=mod.vbiinvsti;
  AdmsSensFadType modelVar_vbiinvgat=mod.vbiinvgat;
  AdmsSensFadType modelVar_one_minus_PBOT=mod.one_minus_PBOT;
  AdmsSensFadType modelVar_one_minus_PSTI=mod.one_minus_PSTI;
  AdmsSensFadType modelVar_one_minus_PGAT=mod.one_minus_PGAT;
  AdmsSensFadType modelVar_one_over_one_minus_PBOT=mod.one_over_one_minus_PBOT;
  AdmsSensFadType modelVar_one_over_one_minus_PSTI=mod.one_over_one_minus_PSTI;
  AdmsSensFadType modelVar_one_over_one_minus_PGAT=mod.one_over_one_minus_PGAT;
  AdmsSensFadType modelVar_cjobot=mod.cjobot;
  AdmsSensFadType modelVar_cjosti=mod.cjosti;
  AdmsSensFadType modelVar_cjogat=mod.cjogat;
  AdmsSensFadType modelVar_qprefbot=mod.qprefbot;
  AdmsSensFadType modelVar_qprefsti=mod.qprefsti;
  AdmsSensFadType modelVar_qprefgat=mod.qprefgat;
  AdmsSensFadType modelVar_qpref2bot=mod.qpref2bot;
  AdmsSensFadType modelVar_qpref2sti=mod.qpref2sti;
  AdmsSensFadType modelVar_qpref2gat=mod.qpref2gat;
  AdmsSensFadType modelVar_wdepnulrbot=mod.wdepnulrbot;
  AdmsSensFadType modelVar_wdepnulrsti=mod.wdepnulrsti;
  AdmsSensFadType modelVar_wdepnulrgat=mod.wdepnulrgat;
  AdmsSensFadType modelVar_wdepnulrinvbot=mod.wdepnulrinvbot;
  AdmsSensFadType modelVar_wdepnulrinvsti=mod.wdepnulrinvsti;
  AdmsSensFadType modelVar_wdepnulrinvgat=mod.wdepnulrinvgat;
  AdmsSensFadType modelVar_VBIRBOTinv=mod.VBIRBOTinv;
  AdmsSensFadType modelVar_VBIRSTIinv=mod.VBIRSTIinv;
  AdmsSensFadType modelVar_VBIRGATinv=mod.VBIRGATinv;
  AdmsSensFadType modelVar_deltaEbot=mod.deltaEbot;
  AdmsSensFadType modelVar_deltaEsti=mod.deltaEsti;
  AdmsSensFadType modelVar_deltaEgat=mod.deltaEgat;
  AdmsSensFadType modelVar_atatbot=mod.atatbot;
  AdmsSensFadType modelVar_atatsti=mod.atatsti;
  AdmsSensFadType modelVar_atatgat=mod.atatgat;
  AdmsSensFadType modelVar_btatpartbot=mod.btatpartbot;
  AdmsSensFadType modelVar_btatpartsti=mod.btatpartsti;
  AdmsSensFadType modelVar_btatpartgat=mod.btatpartgat;
  AdmsSensFadType modelVar_fbbtbot=mod.fbbtbot;
  AdmsSensFadType modelVar_fbbtsti=mod.fbbtsti;
  AdmsSensFadType modelVar_fbbtgat=mod.fbbtgat;
  AdmsSensFadType modelVar_fstopbot=mod.fstopbot;
  AdmsSensFadType modelVar_fstopsti=mod.fstopsti;
  AdmsSensFadType modelVar_fstopgat=mod.fstopgat;
  AdmsSensFadType modelVar_VBRinvbot=mod.VBRinvbot;
  AdmsSensFadType modelVar_VBRinvsti=mod.VBRinvsti;
  AdmsSensFadType modelVar_VBRinvgat=mod.VBRinvgat;
  AdmsSensFadType modelVar_slopebot=mod.slopebot;
  AdmsSensFadType modelVar_slopesti=mod.slopesti;
  AdmsSensFadType modelVar_slopegat=mod.slopegat;
  AdmsSensFadType modelVar_CJORBOTS_i=mod.CJORBOTS_i;
  AdmsSensFadType modelVar_CJORSTIS_i=mod.CJORSTIS_i;
  AdmsSensFadType modelVar_CJORGATS_i=mod.CJORGATS_i;
  AdmsSensFadType modelVar_VBIRBOTS_i=mod.VBIRBOTS_i;
  AdmsSensFadType modelVar_VBIRSTIS_i=mod.VBIRSTIS_i;
  AdmsSensFadType modelVar_VBIRGATS_i=mod.VBIRGATS_i;
  AdmsSensFadType modelVar_PBOTS_i=mod.PBOTS_i;
  AdmsSensFadType modelVar_PSTIS_i=mod.PSTIS_i;
  AdmsSensFadType modelVar_PGATS_i=mod.PGATS_i;
  AdmsSensFadType modelVar_PHIGBOTS_i=mod.PHIGBOTS_i;
  AdmsSensFadType modelVar_PHIGSTIS_i=mod.PHIGSTIS_i;
  AdmsSensFadType modelVar_PHIGGATS_i=mod.PHIGGATS_i;
  AdmsSensFadType modelVar_IDSATRBOTS_i=mod.IDSATRBOTS_i;
  AdmsSensFadType modelVar_IDSATRSTIS_i=mod.IDSATRSTIS_i;
  AdmsSensFadType modelVar_IDSATRGATS_i=mod.IDSATRGATS_i;
  AdmsSensFadType modelVar_XJUNSTIS_i=mod.XJUNSTIS_i;
  AdmsSensFadType modelVar_XJUNGATS_i=mod.XJUNGATS_i;
  AdmsSensFadType modelVar_CSRHBOTS_i=mod.CSRHBOTS_i;
  AdmsSensFadType modelVar_CSRHSTIS_i=mod.CSRHSTIS_i;
  AdmsSensFadType modelVar_CSRHGATS_i=mod.CSRHGATS_i;
  AdmsSensFadType modelVar_CTATBOTS_i=mod.CTATBOTS_i;
  AdmsSensFadType modelVar_CTATSTIS_i=mod.CTATSTIS_i;
  AdmsSensFadType modelVar_CTATGATS_i=mod.CTATGATS_i;
  AdmsSensFadType modelVar_MEFFTATBOTS_i=mod.MEFFTATBOTS_i;
  AdmsSensFadType modelVar_MEFFTATSTIS_i=mod.MEFFTATSTIS_i;
  AdmsSensFadType modelVar_MEFFTATGATS_i=mod.MEFFTATGATS_i;
  AdmsSensFadType modelVar_CBBTBOTS_i=mod.CBBTBOTS_i;
  AdmsSensFadType modelVar_CBBTSTIS_i=mod.CBBTSTIS_i;
  AdmsSensFadType modelVar_CBBTGATS_i=mod.CBBTGATS_i;
  AdmsSensFadType modelVar_FBBTRBOTS_i=mod.FBBTRBOTS_i;
  AdmsSensFadType modelVar_FBBTRSTIS_i=mod.FBBTRSTIS_i;
  AdmsSensFadType modelVar_FBBTRGATS_i=mod.FBBTRGATS_i;
  AdmsSensFadType modelVar_STFBBTBOTS_i=mod.STFBBTBOTS_i;
  AdmsSensFadType modelVar_STFBBTSTIS_i=mod.STFBBTSTIS_i;
  AdmsSensFadType modelVar_STFBBTGATS_i=mod.STFBBTGATS_i;
  AdmsSensFadType modelVar_VBRBOTS_i=mod.VBRBOTS_i;
  AdmsSensFadType modelVar_VBRSTIS_i=mod.VBRSTIS_i;
  AdmsSensFadType modelVar_VBRGATS_i=mod.VBRGATS_i;
  AdmsSensFadType modelVar_PBRBOTS_i=mod.PBRBOTS_i;
  AdmsSensFadType modelVar_PBRSTIS_i=mod.PBRSTIS_i;
  AdmsSensFadType modelVar_PBRGATS_i=mod.PBRGATS_i;
  AdmsSensFadType modelVar_CJORBOTD_i=mod.CJORBOTD_i;
  AdmsSensFadType modelVar_CJORSTID_i=mod.CJORSTID_i;
  AdmsSensFadType modelVar_CJORGATD_i=mod.CJORGATD_i;
  AdmsSensFadType modelVar_VBIRBOTD_i=mod.VBIRBOTD_i;
  AdmsSensFadType modelVar_VBIRSTID_i=mod.VBIRSTID_i;
  AdmsSensFadType modelVar_VBIRGATD_i=mod.VBIRGATD_i;
  AdmsSensFadType modelVar_PBOTD_i=mod.PBOTD_i;
  AdmsSensFadType modelVar_PSTID_i=mod.PSTID_i;
  AdmsSensFadType modelVar_PGATD_i=mod.PGATD_i;
  AdmsSensFadType modelVar_PHIGBOTD_i=mod.PHIGBOTD_i;
  AdmsSensFadType modelVar_PHIGSTID_i=mod.PHIGSTID_i;
  AdmsSensFadType modelVar_PHIGGATD_i=mod.PHIGGATD_i;
  AdmsSensFadType modelVar_IDSATRBOTD_i=mod.IDSATRBOTD_i;
  AdmsSensFadType modelVar_IDSATRSTID_i=mod.IDSATRSTID_i;
  AdmsSensFadType modelVar_IDSATRGATD_i=mod.IDSATRGATD_i;
  AdmsSensFadType modelVar_XJUNSTID_i=mod.XJUNSTID_i;
  AdmsSensFadType modelVar_XJUNGATD_i=mod.XJUNGATD_i;
  AdmsSensFadType modelVar_CSRHBOTD_i=mod.CSRHBOTD_i;
  AdmsSensFadType modelVar_CSRHSTID_i=mod.CSRHSTID_i;
  AdmsSensFadType modelVar_CSRHGATD_i=mod.CSRHGATD_i;
  AdmsSensFadType modelVar_CTATBOTD_i=mod.CTATBOTD_i;
  AdmsSensFadType modelVar_CTATSTID_i=mod.CTATSTID_i;
  AdmsSensFadType modelVar_CTATGATD_i=mod.CTATGATD_i;
  AdmsSensFadType modelVar_MEFFTATBOTD_i=mod.MEFFTATBOTD_i;
  AdmsSensFadType modelVar_MEFFTATSTID_i=mod.MEFFTATSTID_i;
  AdmsSensFadType modelVar_MEFFTATGATD_i=mod.MEFFTATGATD_i;
  AdmsSensFadType modelVar_CBBTBOTD_i=mod.CBBTBOTD_i;
  AdmsSensFadType modelVar_CBBTSTID_i=mod.CBBTSTID_i;
  AdmsSensFadType modelVar_CBBTGATD_i=mod.CBBTGATD_i;
  AdmsSensFadType modelVar_FBBTRBOTD_i=mod.FBBTRBOTD_i;
  AdmsSensFadType modelVar_FBBTRSTID_i=mod.FBBTRSTID_i;
  AdmsSensFadType modelVar_FBBTRGATD_i=mod.FBBTRGATD_i;
  AdmsSensFadType modelVar_STFBBTBOTD_i=mod.STFBBTBOTD_i;
  AdmsSensFadType modelVar_STFBBTSTID_i=mod.STFBBTSTID_i;
  AdmsSensFadType modelVar_STFBBTGATD_i=mod.STFBBTGATD_i;
  AdmsSensFadType modelVar_VBRBOTD_i=mod.VBRBOTD_i;
  AdmsSensFadType modelVar_VBRSTID_i=mod.VBRSTID_i;
  AdmsSensFadType modelVar_VBRGATD_i=mod.VBRGATD_i;
  AdmsSensFadType modelVar_PBRBOTD_i=mod.PBRBOTD_i;
  AdmsSensFadType modelVar_PBRSTID_i=mod.PBRSTID_i;
  AdmsSensFadType modelVar_PBRGATD_i=mod.PBRGATD_i;
  AdmsSensFadType modelVar_VJUNREFS_i=mod.VJUNREFS_i;
  AdmsSensFadType modelVar_FJUNQS_i=mod.FJUNQS_i;
  AdmsSensFadType modelVar_VJUNREFD_i=mod.VJUNREFD_i;
  AdmsSensFadType modelVar_FJUNQD_i=mod.FJUNQD_i;
  AdmsSensFadType modelVar_phigrbot_s=mod.phigrbot_s;
  AdmsSensFadType modelVar_phigrsti_s=mod.phigrsti_s;
  AdmsSensFadType modelVar_phigrgat_s=mod.phigrgat_s;
  AdmsSensFadType modelVar_phigdbot_s=mod.phigdbot_s;
  AdmsSensFadType modelVar_phigdsti_s=mod.phigdsti_s;
  AdmsSensFadType modelVar_phigdgat_s=mod.phigdgat_s;
  AdmsSensFadType modelVar_ftdbot_s=mod.ftdbot_s;
  AdmsSensFadType modelVar_ftdsti_s=mod.ftdsti_s;
  AdmsSensFadType modelVar_ftdgat_s=mod.ftdgat_s;
  AdmsSensFadType modelVar_idsatbot_s=mod.idsatbot_s;
  AdmsSensFadType modelVar_idsatsti_s=mod.idsatsti_s;
  AdmsSensFadType modelVar_idsatgat_s=mod.idsatgat_s;
  AdmsSensFadType modelVar_ubibot_s=mod.ubibot_s;
  AdmsSensFadType modelVar_ubisti_s=mod.ubisti_s;
  AdmsSensFadType modelVar_ubigat_s=mod.ubigat_s;
  AdmsSensFadType modelVar_vbibot_s=mod.vbibot_s;
  AdmsSensFadType modelVar_vbisti_s=mod.vbisti_s;
  AdmsSensFadType modelVar_vbigat_s=mod.vbigat_s;
  AdmsSensFadType modelVar_vbiinvbot_s=mod.vbiinvbot_s;
  AdmsSensFadType modelVar_vbiinvsti_s=mod.vbiinvsti_s;
  AdmsSensFadType modelVar_vbiinvgat_s=mod.vbiinvgat_s;
  AdmsSensFadType modelVar_one_minus_PBOT_s=mod.one_minus_PBOT_s;
  AdmsSensFadType modelVar_one_minus_PSTI_s=mod.one_minus_PSTI_s;
  AdmsSensFadType modelVar_one_minus_PGAT_s=mod.one_minus_PGAT_s;
  AdmsSensFadType modelVar_one_over_one_minus_PBOT_s=mod.one_over_one_minus_PBOT_s;
  AdmsSensFadType modelVar_one_over_one_minus_PSTI_s=mod.one_over_one_minus_PSTI_s;
  AdmsSensFadType modelVar_one_over_one_minus_PGAT_s=mod.one_over_one_minus_PGAT_s;
  AdmsSensFadType modelVar_cjobot_s=mod.cjobot_s;
  AdmsSensFadType modelVar_cjosti_s=mod.cjosti_s;
  AdmsSensFadType modelVar_cjogat_s=mod.cjogat_s;
  AdmsSensFadType modelVar_qprefbot_s=mod.qprefbot_s;
  AdmsSensFadType modelVar_qprefsti_s=mod.qprefsti_s;
  AdmsSensFadType modelVar_qprefgat_s=mod.qprefgat_s;
  AdmsSensFadType modelVar_qpref2bot_s=mod.qpref2bot_s;
  AdmsSensFadType modelVar_qpref2sti_s=mod.qpref2sti_s;
  AdmsSensFadType modelVar_qpref2gat_s=mod.qpref2gat_s;
  AdmsSensFadType modelVar_wdepnulrbot_s=mod.wdepnulrbot_s;
  AdmsSensFadType modelVar_wdepnulrsti_s=mod.wdepnulrsti_s;
  AdmsSensFadType modelVar_wdepnulrgat_s=mod.wdepnulrgat_s;
  AdmsSensFadType modelVar_wdepnulrinvbot_s=mod.wdepnulrinvbot_s;
  AdmsSensFadType modelVar_wdepnulrinvsti_s=mod.wdepnulrinvsti_s;
  AdmsSensFadType modelVar_wdepnulrinvgat_s=mod.wdepnulrinvgat_s;
  AdmsSensFadType modelVar_VBIRBOTinv_s=mod.VBIRBOTinv_s;
  AdmsSensFadType modelVar_VBIRSTIinv_s=mod.VBIRSTIinv_s;
  AdmsSensFadType modelVar_VBIRGATinv_s=mod.VBIRGATinv_s;
  AdmsSensFadType modelVar_deltaEbot_s=mod.deltaEbot_s;
  AdmsSensFadType modelVar_deltaEsti_s=mod.deltaEsti_s;
  AdmsSensFadType modelVar_deltaEgat_s=mod.deltaEgat_s;
  AdmsSensFadType modelVar_atatbot_s=mod.atatbot_s;
  AdmsSensFadType modelVar_atatsti_s=mod.atatsti_s;
  AdmsSensFadType modelVar_atatgat_s=mod.atatgat_s;
  AdmsSensFadType modelVar_btatpartbot_s=mod.btatpartbot_s;
  AdmsSensFadType modelVar_btatpartsti_s=mod.btatpartsti_s;
  AdmsSensFadType modelVar_btatpartgat_s=mod.btatpartgat_s;
  AdmsSensFadType modelVar_fbbtbot_s=mod.fbbtbot_s;
  AdmsSensFadType modelVar_fbbtsti_s=mod.fbbtsti_s;
  AdmsSensFadType modelVar_fbbtgat_s=mod.fbbtgat_s;
  AdmsSensFadType modelVar_fstopbot_s=mod.fstopbot_s;
  AdmsSensFadType modelVar_fstopsti_s=mod.fstopsti_s;
  AdmsSensFadType modelVar_fstopgat_s=mod.fstopgat_s;
  AdmsSensFadType modelVar_VBRinvbot_s=mod.VBRinvbot_s;
  AdmsSensFadType modelVar_VBRinvsti_s=mod.VBRinvsti_s;
  AdmsSensFadType modelVar_VBRinvgat_s=mod.VBRinvgat_s;
  AdmsSensFadType modelVar_slopebot_s=mod.slopebot_s;
  AdmsSensFadType modelVar_slopesti_s=mod.slopesti_s;
  AdmsSensFadType modelVar_slopegat_s=mod.slopegat_s;
  AdmsSensFadType modelVar_phigrbot_d=mod.phigrbot_d;
  AdmsSensFadType modelVar_phigrsti_d=mod.phigrsti_d;
  AdmsSensFadType modelVar_phigrgat_d=mod.phigrgat_d;
  AdmsSensFadType modelVar_phigdbot_d=mod.phigdbot_d;
  AdmsSensFadType modelVar_phigdsti_d=mod.phigdsti_d;
  AdmsSensFadType modelVar_phigdgat_d=mod.phigdgat_d;
  AdmsSensFadType modelVar_ftdbot_d=mod.ftdbot_d;
  AdmsSensFadType modelVar_ftdsti_d=mod.ftdsti_d;
  AdmsSensFadType modelVar_ftdgat_d=mod.ftdgat_d;
  AdmsSensFadType modelVar_idsatbot_d=mod.idsatbot_d;
  AdmsSensFadType modelVar_idsatsti_d=mod.idsatsti_d;
  AdmsSensFadType modelVar_idsatgat_d=mod.idsatgat_d;
  AdmsSensFadType modelVar_ubibot_d=mod.ubibot_d;
  AdmsSensFadType modelVar_ubisti_d=mod.ubisti_d;
  AdmsSensFadType modelVar_ubigat_d=mod.ubigat_d;
  AdmsSensFadType modelVar_vbibot_d=mod.vbibot_d;
  AdmsSensFadType modelVar_vbisti_d=mod.vbisti_d;
  AdmsSensFadType modelVar_vbigat_d=mod.vbigat_d;
  AdmsSensFadType modelVar_vbiinvbot_d=mod.vbiinvbot_d;
  AdmsSensFadType modelVar_vbiinvsti_d=mod.vbiinvsti_d;
  AdmsSensFadType modelVar_vbiinvgat_d=mod.vbiinvgat_d;
  AdmsSensFadType modelVar_one_minus_PBOT_d=mod.one_minus_PBOT_d;
  AdmsSensFadType modelVar_one_minus_PSTI_d=mod.one_minus_PSTI_d;
  AdmsSensFadType modelVar_one_minus_PGAT_d=mod.one_minus_PGAT_d;
  AdmsSensFadType modelVar_one_over_one_minus_PBOT_d=mod.one_over_one_minus_PBOT_d;
  AdmsSensFadType modelVar_one_over_one_minus_PSTI_d=mod.one_over_one_minus_PSTI_d;
  AdmsSensFadType modelVar_one_over_one_minus_PGAT_d=mod.one_over_one_minus_PGAT_d;
  AdmsSensFadType modelVar_cjobot_d=mod.cjobot_d;
  AdmsSensFadType modelVar_cjosti_d=mod.cjosti_d;
  AdmsSensFadType modelVar_cjogat_d=mod.cjogat_d;
  AdmsSensFadType modelVar_qprefbot_d=mod.qprefbot_d;
  AdmsSensFadType modelVar_qprefsti_d=mod.qprefsti_d;
  AdmsSensFadType modelVar_qprefgat_d=mod.qprefgat_d;
  AdmsSensFadType modelVar_qpref2bot_d=mod.qpref2bot_d;
  AdmsSensFadType modelVar_qpref2sti_d=mod.qpref2sti_d;
  AdmsSensFadType modelVar_qpref2gat_d=mod.qpref2gat_d;
  AdmsSensFadType modelVar_wdepnulrbot_d=mod.wdepnulrbot_d;
  AdmsSensFadType modelVar_wdepnulrsti_d=mod.wdepnulrsti_d;
  AdmsSensFadType modelVar_wdepnulrgat_d=mod.wdepnulrgat_d;
  AdmsSensFadType modelVar_wdepnulrinvbot_d=mod.wdepnulrinvbot_d;
  AdmsSensFadType modelVar_wdepnulrinvsti_d=mod.wdepnulrinvsti_d;
  AdmsSensFadType modelVar_wdepnulrinvgat_d=mod.wdepnulrinvgat_d;
  AdmsSensFadType modelVar_VBIRBOTinv_d=mod.VBIRBOTinv_d;
  AdmsSensFadType modelVar_VBIRSTIinv_d=mod.VBIRSTIinv_d;
  AdmsSensFadType modelVar_VBIRGATinv_d=mod.VBIRGATinv_d;
  AdmsSensFadType modelVar_deltaEbot_d=mod.deltaEbot_d;
  AdmsSensFadType modelVar_deltaEsti_d=mod.deltaEsti_d;
  AdmsSensFadType modelVar_deltaEgat_d=mod.deltaEgat_d;
  AdmsSensFadType modelVar_atatbot_d=mod.atatbot_d;
  AdmsSensFadType modelVar_atatsti_d=mod.atatsti_d;
  AdmsSensFadType modelVar_atatgat_d=mod.atatgat_d;
  AdmsSensFadType modelVar_btatpartbot_d=mod.btatpartbot_d;
  AdmsSensFadType modelVar_btatpartsti_d=mod.btatpartsti_d;
  AdmsSensFadType modelVar_btatpartgat_d=mod.btatpartgat_d;
  AdmsSensFadType modelVar_fbbtbot_d=mod.fbbtbot_d;
  AdmsSensFadType modelVar_fbbtsti_d=mod.fbbtsti_d;
  AdmsSensFadType modelVar_fbbtgat_d=mod.fbbtgat_d;
  AdmsSensFadType modelVar_fstopbot_d=mod.fstopbot_d;
  AdmsSensFadType modelVar_fstopsti_d=mod.fstopsti_d;
  AdmsSensFadType modelVar_fstopgat_d=mod.fstopgat_d;
  AdmsSensFadType modelVar_VBRinvbot_d=mod.VBRinvbot_d;
  AdmsSensFadType modelVar_VBRinvsti_d=mod.VBRinvsti_d;
  AdmsSensFadType modelVar_VBRinvgat_d=mod.VBRinvgat_d;
  AdmsSensFadType modelVar_slopebot_d=mod.slopebot_d;
  AdmsSensFadType modelVar_slopesti_d=mod.slopesti_d;
  AdmsSensFadType modelVar_slopegat_d=mod.slopegat_d;


  // non-reals
  int modelVar_CHNL_TYPE=mod.CHNL_TYPE;
  int modelVar_SWGEO_i=mod.SWGEO_i;
  int modelVar_SWIGATE_i=mod.SWIGATE_i;
  int modelVar_SWIMPACT_i=mod.SWIMPACT_i;
  int modelVar_SWGIDL_i=mod.SWGIDL_i;
  int modelVar_SWJUNCAP_i=mod.SWJUNCAP_i;
  int modelVar_SWJUNASYM_i=mod.SWJUNASYM_i;
  int modelVar_SWNUD_i=mod.SWNUD_i;
  int modelVar_SWDELVTAC_i=mod.SWDELVTAC_i;

  // Need to use processParams-like function to process the
  // initial_model block with the LOCAL copies of
  //  model vars, and local copies of model
  // params.
  evaluateInitialModel(
     // model parameters
     // reals
     modelPar_LEVEL,
     modelPar_given_LEVEL,
     modelPar_TYPE,
     modelPar_given_TYPE,
     modelPar_TR,
     modelPar_given_TR,
     modelPar_SWGEO,
     modelPar_given_SWGEO,
     modelPar_SWIGATE,
     modelPar_given_SWIGATE,
     modelPar_SWIMPACT,
     modelPar_given_SWIMPACT,
     modelPar_SWGIDL,
     modelPar_given_SWGIDL,
     modelPar_SWJUNCAP,
     modelPar_given_SWJUNCAP,
     modelPar_SWJUNASYM,
     modelPar_given_SWJUNASYM,
     modelPar_SWNUD,
     modelPar_given_SWNUD,
     modelPar_SWDELVTAC,
     modelPar_given_SWDELVTAC,
     modelPar_QMC,
     modelPar_given_QMC,
     modelPar_VFB,
     modelPar_given_VFB,
     modelPar_STVFB,
     modelPar_given_STVFB,
     modelPar_TOX,
     modelPar_given_TOX,
     modelPar_EPSROX,
     modelPar_given_EPSROX,
     modelPar_NEFF,
     modelPar_given_NEFF,
     modelPar_FACNEFFAC,
     modelPar_given_FACNEFFAC,
     modelPar_GFACNUD,
     modelPar_given_GFACNUD,
     modelPar_VSBNUD,
     modelPar_given_VSBNUD,
     modelPar_DVSBNUD,
     modelPar_given_DVSBNUD,
     modelPar_VNSUB,
     modelPar_given_VNSUB,
     modelPar_NSLP,
     modelPar_given_NSLP,
     modelPar_DNSUB,
     modelPar_given_DNSUB,
     modelPar_DPHIB,
     modelPar_given_DPHIB,
     modelPar_DELVTAC,
     modelPar_given_DELVTAC,
     modelPar_NP,
     modelPar_given_NP,
     modelPar_CT,
     modelPar_given_CT,
     modelPar_TOXOV,
     modelPar_given_TOXOV,
     modelPar_TOXOVD,
     modelPar_given_TOXOVD,
     modelPar_NOV,
     modelPar_given_NOV,
     modelPar_NOVD,
     modelPar_given_NOVD,
     modelPar_CF,
     modelPar_given_CF,
     modelPar_CFB,
     modelPar_given_CFB,
     modelPar_BETN,
     modelPar_given_BETN,
     modelPar_STBET,
     modelPar_given_STBET,
     modelPar_MUE,
     modelPar_given_MUE,
     modelPar_STMUE,
     modelPar_given_STMUE,
     modelPar_THEMU,
     modelPar_given_THEMU,
     modelPar_STTHEMU,
     modelPar_given_STTHEMU,
     modelPar_CS,
     modelPar_given_CS,
     modelPar_STCS,
     modelPar_given_STCS,
     modelPar_XCOR,
     modelPar_given_XCOR,
     modelPar_STXCOR,
     modelPar_given_STXCOR,
     modelPar_FETA,
     modelPar_given_FETA,
     modelPar_RS,
     modelPar_given_RS,
     modelPar_STRS,
     modelPar_given_STRS,
     modelPar_RSB,
     modelPar_given_RSB,
     modelPar_RSG,
     modelPar_given_RSG,
     modelPar_THESAT,
     modelPar_given_THESAT,
     modelPar_STTHESAT,
     modelPar_given_STTHESAT,
     modelPar_THESATB,
     modelPar_given_THESATB,
     modelPar_THESATG,
     modelPar_given_THESATG,
     modelPar_AX,
     modelPar_given_AX,
     modelPar_ALP,
     modelPar_given_ALP,
     modelPar_ALP1,
     modelPar_given_ALP1,
     modelPar_ALP2,
     modelPar_given_ALP2,
     modelPar_VP,
     modelPar_given_VP,
     modelPar_A1,
     modelPar_given_A1,
     modelPar_A2,
     modelPar_given_A2,
     modelPar_STA2,
     modelPar_given_STA2,
     modelPar_A3,
     modelPar_given_A3,
     modelPar_A4,
     modelPar_given_A4,
     modelPar_GCO,
     modelPar_given_GCO,
     modelPar_IGINV,
     modelPar_given_IGINV,
     modelPar_IGOV,
     modelPar_given_IGOV,
     modelPar_IGOVD,
     modelPar_given_IGOVD,
     modelPar_STIG,
     modelPar_given_STIG,
     modelPar_GC2,
     modelPar_given_GC2,
     modelPar_GC3,
     modelPar_given_GC3,
     modelPar_CHIB,
     modelPar_given_CHIB,
     modelPar_AGIDL,
     modelPar_given_AGIDL,
     modelPar_AGIDLD,
     modelPar_given_AGIDLD,
     modelPar_BGIDL,
     modelPar_given_BGIDL,
     modelPar_BGIDLD,
     modelPar_given_BGIDLD,
     modelPar_STBGIDL,
     modelPar_given_STBGIDL,
     modelPar_STBGIDLD,
     modelPar_given_STBGIDLD,
     modelPar_CGIDL,
     modelPar_given_CGIDL,
     modelPar_CGIDLD,
     modelPar_given_CGIDLD,
     modelPar_COX,
     modelPar_given_COX,
     modelPar_CGOV,
     modelPar_given_CGOV,
     modelPar_CGOVD,
     modelPar_given_CGOVD,
     modelPar_CGBOV,
     modelPar_given_CGBOV,
     modelPar_CFR,
     modelPar_given_CFR,
     modelPar_CFRD,
     modelPar_given_CFRD,
     modelPar_FNT,
     modelPar_given_FNT,
     modelPar_NFA,
     modelPar_given_NFA,
     modelPar_NFB,
     modelPar_given_NFB,
     modelPar_NFC,
     modelPar_given_NFC,
     modelPar_EF,
     modelPar_given_EF,
     modelPar_RG,
     modelPar_given_RG,
     modelPar_RSE,
     modelPar_given_RSE,
     modelPar_RDE,
     modelPar_given_RDE,
     modelPar_RBULK,
     modelPar_given_RBULK,
     modelPar_RWELL,
     modelPar_given_RWELL,
     modelPar_RJUNS,
     modelPar_given_RJUNS,
     modelPar_RJUND,
     modelPar_given_RJUND,
     modelPar_POVFB,
     modelPar_given_POVFB,
     modelPar_PLVFB,
     modelPar_given_PLVFB,
     modelPar_PWVFB,
     modelPar_given_PWVFB,
     modelPar_PLWVFB,
     modelPar_given_PLWVFB,
     modelPar_POSTVFB,
     modelPar_given_POSTVFB,
     modelPar_PLSTVFB,
     modelPar_given_PLSTVFB,
     modelPar_PWSTVFB,
     modelPar_given_PWSTVFB,
     modelPar_PLWSTVFB,
     modelPar_given_PLWSTVFB,
     modelPar_POTOX,
     modelPar_given_POTOX,
     modelPar_POEPSROX,
     modelPar_given_POEPSROX,
     modelPar_PONEFF,
     modelPar_given_PONEFF,
     modelPar_PLNEFF,
     modelPar_given_PLNEFF,
     modelPar_PWNEFF,
     modelPar_given_PWNEFF,
     modelPar_PLWNEFF,
     modelPar_given_PLWNEFF,
     modelPar_POFACNEFFAC,
     modelPar_given_POFACNEFFAC,
     modelPar_PLFACNEFFAC,
     modelPar_given_PLFACNEFFAC,
     modelPar_PWFACNEFFAC,
     modelPar_given_PWFACNEFFAC,
     modelPar_PLWFACNEFFAC,
     modelPar_given_PLWFACNEFFAC,
     modelPar_POGFACNUD,
     modelPar_given_POGFACNUD,
     modelPar_PLGFACNUD,
     modelPar_given_PLGFACNUD,
     modelPar_PWGFACNUD,
     modelPar_given_PWGFACNUD,
     modelPar_PLWGFACNUD,
     modelPar_given_PLWGFACNUD,
     modelPar_POVSBNUD,
     modelPar_given_POVSBNUD,
     modelPar_PODVSBNUD,
     modelPar_given_PODVSBNUD,
     modelPar_POVNSUB,
     modelPar_given_POVNSUB,
     modelPar_PONSLP,
     modelPar_given_PONSLP,
     modelPar_PODNSUB,
     modelPar_given_PODNSUB,
     modelPar_PODPHIB,
     modelPar_given_PODPHIB,
     modelPar_PLDPHIB,
     modelPar_given_PLDPHIB,
     modelPar_PWDPHIB,
     modelPar_given_PWDPHIB,
     modelPar_PLWDPHIB,
     modelPar_given_PLWDPHIB,
     modelPar_PODELVTAC,
     modelPar_given_PODELVTAC,
     modelPar_PLDELVTAC,
     modelPar_given_PLDELVTAC,
     modelPar_PWDELVTAC,
     modelPar_given_PWDELVTAC,
     modelPar_PLWDELVTAC,
     modelPar_given_PLWDELVTAC,
     modelPar_PONP,
     modelPar_given_PONP,
     modelPar_PLNP,
     modelPar_given_PLNP,
     modelPar_PWNP,
     modelPar_given_PWNP,
     modelPar_PLWNP,
     modelPar_given_PLWNP,
     modelPar_POCT,
     modelPar_given_POCT,
     modelPar_PLCT,
     modelPar_given_PLCT,
     modelPar_PWCT,
     modelPar_given_PWCT,
     modelPar_PLWCT,
     modelPar_given_PLWCT,
     modelPar_POTOXOV,
     modelPar_given_POTOXOV,
     modelPar_POTOXOVD,
     modelPar_given_POTOXOVD,
     modelPar_PONOV,
     modelPar_given_PONOV,
     modelPar_PLNOV,
     modelPar_given_PLNOV,
     modelPar_PWNOV,
     modelPar_given_PWNOV,
     modelPar_PLWNOV,
     modelPar_given_PLWNOV,
     modelPar_PONOVD,
     modelPar_given_PONOVD,
     modelPar_PLNOVD,
     modelPar_given_PLNOVD,
     modelPar_PWNOVD,
     modelPar_given_PWNOVD,
     modelPar_PLWNOVD,
     modelPar_given_PLWNOVD,
     modelPar_POCF,
     modelPar_given_POCF,
     modelPar_PLCF,
     modelPar_given_PLCF,
     modelPar_PWCF,
     modelPar_given_PWCF,
     modelPar_PLWCF,
     modelPar_given_PLWCF,
     modelPar_POCFB,
     modelPar_given_POCFB,
     modelPar_POBETN,
     modelPar_given_POBETN,
     modelPar_PLBETN,
     modelPar_given_PLBETN,
     modelPar_PWBETN,
     modelPar_given_PWBETN,
     modelPar_PLWBETN,
     modelPar_given_PLWBETN,
     modelPar_POSTBET,
     modelPar_given_POSTBET,
     modelPar_PLSTBET,
     modelPar_given_PLSTBET,
     modelPar_PWSTBET,
     modelPar_given_PWSTBET,
     modelPar_PLWSTBET,
     modelPar_given_PLWSTBET,
     modelPar_POMUE,
     modelPar_given_POMUE,
     modelPar_PLMUE,
     modelPar_given_PLMUE,
     modelPar_PWMUE,
     modelPar_given_PWMUE,
     modelPar_PLWMUE,
     modelPar_given_PLWMUE,
     modelPar_POSTMUE,
     modelPar_given_POSTMUE,
     modelPar_POTHEMU,
     modelPar_given_POTHEMU,
     modelPar_POSTTHEMU,
     modelPar_given_POSTTHEMU,
     modelPar_POCS,
     modelPar_given_POCS,
     modelPar_PLCS,
     modelPar_given_PLCS,
     modelPar_PWCS,
     modelPar_given_PWCS,
     modelPar_PLWCS,
     modelPar_given_PLWCS,
     modelPar_POSTCS,
     modelPar_given_POSTCS,
     modelPar_POXCOR,
     modelPar_given_POXCOR,
     modelPar_PLXCOR,
     modelPar_given_PLXCOR,
     modelPar_PWXCOR,
     modelPar_given_PWXCOR,
     modelPar_PLWXCOR,
     modelPar_given_PLWXCOR,
     modelPar_POSTXCOR,
     modelPar_given_POSTXCOR,
     modelPar_POFETA,
     modelPar_given_POFETA,
     modelPar_PORS,
     modelPar_given_PORS,
     modelPar_PLRS,
     modelPar_given_PLRS,
     modelPar_PWRS,
     modelPar_given_PWRS,
     modelPar_PLWRS,
     modelPar_given_PLWRS,
     modelPar_POSTRS,
     modelPar_given_POSTRS,
     modelPar_PORSB,
     modelPar_given_PORSB,
     modelPar_PORSG,
     modelPar_given_PORSG,
     modelPar_POTHESAT,
     modelPar_given_POTHESAT,
     modelPar_PLTHESAT,
     modelPar_given_PLTHESAT,
     modelPar_PWTHESAT,
     modelPar_given_PWTHESAT,
     modelPar_PLWTHESAT,
     modelPar_given_PLWTHESAT,
     modelPar_POSTTHESAT,
     modelPar_given_POSTTHESAT,
     modelPar_PLSTTHESAT,
     modelPar_given_PLSTTHESAT,
     modelPar_PWSTTHESAT,
     modelPar_given_PWSTTHESAT,
     modelPar_PLWSTTHESAT,
     modelPar_given_PLWSTTHESAT,
     modelPar_POTHESATB,
     modelPar_given_POTHESATB,
     modelPar_PLTHESATB,
     modelPar_given_PLTHESATB,
     modelPar_PWTHESATB,
     modelPar_given_PWTHESATB,
     modelPar_PLWTHESATB,
     modelPar_given_PLWTHESATB,
     modelPar_POTHESATG,
     modelPar_given_POTHESATG,
     modelPar_PLTHESATG,
     modelPar_given_PLTHESATG,
     modelPar_PWTHESATG,
     modelPar_given_PWTHESATG,
     modelPar_PLWTHESATG,
     modelPar_given_PLWTHESATG,
     modelPar_POAX,
     modelPar_given_POAX,
     modelPar_PLAX,
     modelPar_given_PLAX,
     modelPar_PWAX,
     modelPar_given_PWAX,
     modelPar_PLWAX,
     modelPar_given_PLWAX,
     modelPar_POALP,
     modelPar_given_POALP,
     modelPar_PLALP,
     modelPar_given_PLALP,
     modelPar_PWALP,
     modelPar_given_PWALP,
     modelPar_PLWALP,
     modelPar_given_PLWALP,
     modelPar_POALP1,
     modelPar_given_POALP1,
     modelPar_PLALP1,
     modelPar_given_PLALP1,
     modelPar_PWALP1,
     modelPar_given_PWALP1,
     modelPar_PLWALP1,
     modelPar_given_PLWALP1,
     modelPar_POALP2,
     modelPar_given_POALP2,
     modelPar_PLALP2,
     modelPar_given_PLALP2,
     modelPar_PWALP2,
     modelPar_given_PWALP2,
     modelPar_PLWALP2,
     modelPar_given_PLWALP2,
     modelPar_POVP,
     modelPar_given_POVP,
     modelPar_POA1,
     modelPar_given_POA1,
     modelPar_PLA1,
     modelPar_given_PLA1,
     modelPar_PWA1,
     modelPar_given_PWA1,
     modelPar_PLWA1,
     modelPar_given_PLWA1,
     modelPar_POA2,
     modelPar_given_POA2,
     modelPar_POSTA2,
     modelPar_given_POSTA2,
     modelPar_POA3,
     modelPar_given_POA3,
     modelPar_PLA3,
     modelPar_given_PLA3,
     modelPar_PWA3,
     modelPar_given_PWA3,
     modelPar_PLWA3,
     modelPar_given_PLWA3,
     modelPar_POA4,
     modelPar_given_POA4,
     modelPar_PLA4,
     modelPar_given_PLA4,
     modelPar_PWA4,
     modelPar_given_PWA4,
     modelPar_PLWA4,
     modelPar_given_PLWA4,
     modelPar_POGCO,
     modelPar_given_POGCO,
     modelPar_POIGINV,
     modelPar_given_POIGINV,
     modelPar_PLIGINV,
     modelPar_given_PLIGINV,
     modelPar_PWIGINV,
     modelPar_given_PWIGINV,
     modelPar_PLWIGINV,
     modelPar_given_PLWIGINV,
     modelPar_POIGOV,
     modelPar_given_POIGOV,
     modelPar_PLIGOV,
     modelPar_given_PLIGOV,
     modelPar_PWIGOV,
     modelPar_given_PWIGOV,
     modelPar_PLWIGOV,
     modelPar_given_PLWIGOV,
     modelPar_POIGOVD,
     modelPar_given_POIGOVD,
     modelPar_PLIGOVD,
     modelPar_given_PLIGOVD,
     modelPar_PWIGOVD,
     modelPar_given_PWIGOVD,
     modelPar_PLWIGOVD,
     modelPar_given_PLWIGOVD,
     modelPar_POSTIG,
     modelPar_given_POSTIG,
     modelPar_POGC2,
     modelPar_given_POGC2,
     modelPar_POGC3,
     modelPar_given_POGC3,
     modelPar_POCHIB,
     modelPar_given_POCHIB,
     modelPar_POAGIDL,
     modelPar_given_POAGIDL,
     modelPar_PLAGIDL,
     modelPar_given_PLAGIDL,
     modelPar_PWAGIDL,
     modelPar_given_PWAGIDL,
     modelPar_PLWAGIDL,
     modelPar_given_PLWAGIDL,
     modelPar_POAGIDLD,
     modelPar_given_POAGIDLD,
     modelPar_PLAGIDLD,
     modelPar_given_PLAGIDLD,
     modelPar_PWAGIDLD,
     modelPar_given_PWAGIDLD,
     modelPar_PLWAGIDLD,
     modelPar_given_PLWAGIDLD,
     modelPar_POBGIDL,
     modelPar_given_POBGIDL,
     modelPar_POBGIDLD,
     modelPar_given_POBGIDLD,
     modelPar_POSTBGIDL,
     modelPar_given_POSTBGIDL,
     modelPar_POSTBGIDLD,
     modelPar_given_POSTBGIDLD,
     modelPar_POCGIDL,
     modelPar_given_POCGIDL,
     modelPar_POCGIDLD,
     modelPar_given_POCGIDLD,
     modelPar_POCOX,
     modelPar_given_POCOX,
     modelPar_PLCOX,
     modelPar_given_PLCOX,
     modelPar_PWCOX,
     modelPar_given_PWCOX,
     modelPar_PLWCOX,
     modelPar_given_PLWCOX,
     modelPar_POCGOV,
     modelPar_given_POCGOV,
     modelPar_PLCGOV,
     modelPar_given_PLCGOV,
     modelPar_PWCGOV,
     modelPar_given_PWCGOV,
     modelPar_PLWCGOV,
     modelPar_given_PLWCGOV,
     modelPar_POCGOVD,
     modelPar_given_POCGOVD,
     modelPar_PLCGOVD,
     modelPar_given_PLCGOVD,
     modelPar_PWCGOVD,
     modelPar_given_PWCGOVD,
     modelPar_PLWCGOVD,
     modelPar_given_PLWCGOVD,
     modelPar_POCGBOV,
     modelPar_given_POCGBOV,
     modelPar_PLCGBOV,
     modelPar_given_PLCGBOV,
     modelPar_PWCGBOV,
     modelPar_given_PWCGBOV,
     modelPar_PLWCGBOV,
     modelPar_given_PLWCGBOV,
     modelPar_POCFR,
     modelPar_given_POCFR,
     modelPar_PLCFR,
     modelPar_given_PLCFR,
     modelPar_PWCFR,
     modelPar_given_PWCFR,
     modelPar_PLWCFR,
     modelPar_given_PLWCFR,
     modelPar_POCFRD,
     modelPar_given_POCFRD,
     modelPar_PLCFRD,
     modelPar_given_PLCFRD,
     modelPar_PWCFRD,
     modelPar_given_PWCFRD,
     modelPar_PLWCFRD,
     modelPar_given_PLWCFRD,
     modelPar_POFNT,
     modelPar_given_POFNT,
     modelPar_PONFA,
     modelPar_given_PONFA,
     modelPar_PLNFA,
     modelPar_given_PLNFA,
     modelPar_PWNFA,
     modelPar_given_PWNFA,
     modelPar_PLWNFA,
     modelPar_given_PLWNFA,
     modelPar_PONFB,
     modelPar_given_PONFB,
     modelPar_PLNFB,
     modelPar_given_PLNFB,
     modelPar_PWNFB,
     modelPar_given_PWNFB,
     modelPar_PLWNFB,
     modelPar_given_PLWNFB,
     modelPar_PONFC,
     modelPar_given_PONFC,
     modelPar_PLNFC,
     modelPar_given_PLNFC,
     modelPar_PWNFC,
     modelPar_given_PWNFC,
     modelPar_PLWNFC,
     modelPar_given_PLWNFC,
     modelPar_POEF,
     modelPar_given_POEF,
     modelPar_POKVTHOWE,
     modelPar_given_POKVTHOWE,
     modelPar_PLKVTHOWE,
     modelPar_given_PLKVTHOWE,
     modelPar_PWKVTHOWE,
     modelPar_given_PWKVTHOWE,
     modelPar_PLWKVTHOWE,
     modelPar_given_PLWKVTHOWE,
     modelPar_POKUOWE,
     modelPar_given_POKUOWE,
     modelPar_PLKUOWE,
     modelPar_given_PLKUOWE,
     modelPar_PWKUOWE,
     modelPar_given_PWKUOWE,
     modelPar_PLWKUOWE,
     modelPar_given_PLWKUOWE,
     modelPar_LMIN,
     modelPar_given_LMIN,
     modelPar_LMAX,
     modelPar_given_LMAX,
     modelPar_WMIN,
     modelPar_given_WMIN,
     modelPar_WMAX,
     modelPar_given_WMAX,
     modelPar_LVARO,
     modelPar_given_LVARO,
     modelPar_LVARL,
     modelPar_given_LVARL,
     modelPar_LVARW,
     modelPar_given_LVARW,
     modelPar_LAP,
     modelPar_given_LAP,
     modelPar_WVARO,
     modelPar_given_WVARO,
     modelPar_WVARL,
     modelPar_given_WVARL,
     modelPar_WVARW,
     modelPar_given_WVARW,
     modelPar_WOT,
     modelPar_given_WOT,
     modelPar_DLQ,
     modelPar_given_DLQ,
     modelPar_DWQ,
     modelPar_given_DWQ,
     modelPar_VFBO,
     modelPar_given_VFBO,
     modelPar_VFBL,
     modelPar_given_VFBL,
     modelPar_VFBW,
     modelPar_given_VFBW,
     modelPar_VFBLW,
     modelPar_given_VFBLW,
     modelPar_STVFBO,
     modelPar_given_STVFBO,
     modelPar_STVFBL,
     modelPar_given_STVFBL,
     modelPar_STVFBW,
     modelPar_given_STVFBW,
     modelPar_STVFBLW,
     modelPar_given_STVFBLW,
     modelPar_TOXO,
     modelPar_given_TOXO,
     modelPar_EPSROXO,
     modelPar_given_EPSROXO,
     modelPar_NSUBO,
     modelPar_given_NSUBO,
     modelPar_NSUBW,
     modelPar_given_NSUBW,
     modelPar_WSEG,
     modelPar_given_WSEG,
     modelPar_NPCK,
     modelPar_given_NPCK,
     modelPar_NPCKW,
     modelPar_given_NPCKW,
     modelPar_WSEGP,
     modelPar_given_WSEGP,
     modelPar_LPCK,
     modelPar_given_LPCK,
     modelPar_LPCKW,
     modelPar_given_LPCKW,
     modelPar_FOL1,
     modelPar_given_FOL1,
     modelPar_FOL2,
     modelPar_given_FOL2,
     modelPar_FACNEFFACO,
     modelPar_given_FACNEFFACO,
     modelPar_FACNEFFACL,
     modelPar_given_FACNEFFACL,
     modelPar_FACNEFFACW,
     modelPar_given_FACNEFFACW,
     modelPar_FACNEFFACLW,
     modelPar_given_FACNEFFACLW,
     modelPar_GFACNUDO,
     modelPar_given_GFACNUDO,
     modelPar_GFACNUDL,
     modelPar_given_GFACNUDL,
     modelPar_GFACNUDLEXP,
     modelPar_given_GFACNUDLEXP,
     modelPar_GFACNUDW,
     modelPar_given_GFACNUDW,
     modelPar_GFACNUDLW,
     modelPar_given_GFACNUDLW,
     modelPar_VSBNUDO,
     modelPar_given_VSBNUDO,
     modelPar_DVSBNUDO,
     modelPar_given_DVSBNUDO,
     modelPar_VNSUBO,
     modelPar_given_VNSUBO,
     modelPar_NSLPO,
     modelPar_given_NSLPO,
     modelPar_DNSUBO,
     modelPar_given_DNSUBO,
     modelPar_DPHIBO,
     modelPar_given_DPHIBO,
     modelPar_DPHIBL,
     modelPar_given_DPHIBL,
     modelPar_DPHIBLEXP,
     modelPar_given_DPHIBLEXP,
     modelPar_DPHIBW,
     modelPar_given_DPHIBW,
     modelPar_DPHIBLW,
     modelPar_given_DPHIBLW,
     modelPar_DELVTACO,
     modelPar_given_DELVTACO,
     modelPar_DELVTACL,
     modelPar_given_DELVTACL,
     modelPar_DELVTACLEXP,
     modelPar_given_DELVTACLEXP,
     modelPar_DELVTACW,
     modelPar_given_DELVTACW,
     modelPar_DELVTACLW,
     modelPar_given_DELVTACLW,
     modelPar_NPO,
     modelPar_given_NPO,
     modelPar_NPL,
     modelPar_given_NPL,
     modelPar_CTO,
     modelPar_given_CTO,
     modelPar_CTL,
     modelPar_given_CTL,
     modelPar_CTLEXP,
     modelPar_given_CTLEXP,
     modelPar_CTW,
     modelPar_given_CTW,
     modelPar_CTLW,
     modelPar_given_CTLW,
     modelPar_TOXOVO,
     modelPar_given_TOXOVO,
     modelPar_TOXOVDO,
     modelPar_given_TOXOVDO,
     modelPar_LOV,
     modelPar_given_LOV,
     modelPar_LOVD,
     modelPar_given_LOVD,
     modelPar_NOVO,
     modelPar_given_NOVO,
     modelPar_NOVDO,
     modelPar_given_NOVDO,
     modelPar_CFL,
     modelPar_given_CFL,
     modelPar_CFLEXP,
     modelPar_given_CFLEXP,
     modelPar_CFW,
     modelPar_given_CFW,
     modelPar_CFBO,
     modelPar_given_CFBO,
     modelPar_UO,
     modelPar_given_UO,
     modelPar_FBET1,
     modelPar_given_FBET1,
     modelPar_FBET1W,
     modelPar_given_FBET1W,
     modelPar_LP1,
     modelPar_given_LP1,
     modelPar_LP1W,
     modelPar_given_LP1W,
     modelPar_FBET2,
     modelPar_given_FBET2,
     modelPar_LP2,
     modelPar_given_LP2,
     modelPar_BETW1,
     modelPar_given_BETW1,
     modelPar_BETW2,
     modelPar_given_BETW2,
     modelPar_WBET,
     modelPar_given_WBET,
     modelPar_STBETO,
     modelPar_given_STBETO,
     modelPar_STBETL,
     modelPar_given_STBETL,
     modelPar_STBETW,
     modelPar_given_STBETW,
     modelPar_STBETLW,
     modelPar_given_STBETLW,
     modelPar_MUEO,
     modelPar_given_MUEO,
     modelPar_MUEW,
     modelPar_given_MUEW,
     modelPar_STMUEO,
     modelPar_given_STMUEO,
     modelPar_THEMUO,
     modelPar_given_THEMUO,
     modelPar_STTHEMUO,
     modelPar_given_STTHEMUO,
     modelPar_CSO,
     modelPar_given_CSO,
     modelPar_CSL,
     modelPar_given_CSL,
     modelPar_CSLEXP,
     modelPar_given_CSLEXP,
     modelPar_CSW,
     modelPar_given_CSW,
     modelPar_CSLW,
     modelPar_given_CSLW,
     modelPar_STCSO,
     modelPar_given_STCSO,
     modelPar_XCORO,
     modelPar_given_XCORO,
     modelPar_XCORL,
     modelPar_given_XCORL,
     modelPar_XCORW,
     modelPar_given_XCORW,
     modelPar_XCORLW,
     modelPar_given_XCORLW,
     modelPar_STXCORO,
     modelPar_given_STXCORO,
     modelPar_FETAO,
     modelPar_given_FETAO,
     modelPar_RSW1,
     modelPar_given_RSW1,
     modelPar_RSW2,
     modelPar_given_RSW2,
     modelPar_STRSO,
     modelPar_given_STRSO,
     modelPar_RSBO,
     modelPar_given_RSBO,
     modelPar_RSGO,
     modelPar_given_RSGO,
     modelPar_THESATO,
     modelPar_given_THESATO,
     modelPar_THESATL,
     modelPar_given_THESATL,
     modelPar_THESATLEXP,
     modelPar_given_THESATLEXP,
     modelPar_THESATW,
     modelPar_given_THESATW,
     modelPar_THESATLW,
     modelPar_given_THESATLW,
     modelPar_STTHESATO,
     modelPar_given_STTHESATO,
     modelPar_STTHESATL,
     modelPar_given_STTHESATL,
     modelPar_STTHESATW,
     modelPar_given_STTHESATW,
     modelPar_STTHESATLW,
     modelPar_given_STTHESATLW,
     modelPar_THESATBO,
     modelPar_given_THESATBO,
     modelPar_THESATGO,
     modelPar_given_THESATGO,
     modelPar_AXO,
     modelPar_given_AXO,
     modelPar_AXL,
     modelPar_given_AXL,
     modelPar_ALPL,
     modelPar_given_ALPL,
     modelPar_ALPLEXP,
     modelPar_given_ALPLEXP,
     modelPar_ALPW,
     modelPar_given_ALPW,
     modelPar_ALP1L1,
     modelPar_given_ALP1L1,
     modelPar_ALP1LEXP,
     modelPar_given_ALP1LEXP,
     modelPar_ALP1L2,
     modelPar_given_ALP1L2,
     modelPar_ALP1W,
     modelPar_given_ALP1W,
     modelPar_ALP2L1,
     modelPar_given_ALP2L1,
     modelPar_ALP2LEXP,
     modelPar_given_ALP2LEXP,
     modelPar_ALP2L2,
     modelPar_given_ALP2L2,
     modelPar_ALP2W,
     modelPar_given_ALP2W,
     modelPar_VPO,
     modelPar_given_VPO,
     modelPar_A1O,
     modelPar_given_A1O,
     modelPar_A1L,
     modelPar_given_A1L,
     modelPar_A1W,
     modelPar_given_A1W,
     modelPar_A2O,
     modelPar_given_A2O,
     modelPar_STA2O,
     modelPar_given_STA2O,
     modelPar_A3O,
     modelPar_given_A3O,
     modelPar_A3L,
     modelPar_given_A3L,
     modelPar_A3W,
     modelPar_given_A3W,
     modelPar_A4O,
     modelPar_given_A4O,
     modelPar_A4L,
     modelPar_given_A4L,
     modelPar_A4W,
     modelPar_given_A4W,
     modelPar_GCOO,
     modelPar_given_GCOO,
     modelPar_IGINVLW,
     modelPar_given_IGINVLW,
     modelPar_IGOVW,
     modelPar_given_IGOVW,
     modelPar_IGOVDW,
     modelPar_given_IGOVDW,
     modelPar_STIGO,
     modelPar_given_STIGO,
     modelPar_GC2O,
     modelPar_given_GC2O,
     modelPar_GC3O,
     modelPar_given_GC3O,
     modelPar_CHIBO,
     modelPar_given_CHIBO,
     modelPar_AGIDLW,
     modelPar_given_AGIDLW,
     modelPar_AGIDLDW,
     modelPar_given_AGIDLDW,
     modelPar_BGIDLO,
     modelPar_given_BGIDLO,
     modelPar_BGIDLDO,
     modelPar_given_BGIDLDO,
     modelPar_STBGIDLO,
     modelPar_given_STBGIDLO,
     modelPar_STBGIDLDO,
     modelPar_given_STBGIDLDO,
     modelPar_CGIDLO,
     modelPar_given_CGIDLO,
     modelPar_CGIDLDO,
     modelPar_given_CGIDLDO,
     modelPar_CGBOVL,
     modelPar_given_CGBOVL,
     modelPar_CFRW,
     modelPar_given_CFRW,
     modelPar_CFRDW,
     modelPar_given_CFRDW,
     modelPar_FNTO,
     modelPar_given_FNTO,
     modelPar_NFALW,
     modelPar_given_NFALW,
     modelPar_NFBLW,
     modelPar_given_NFBLW,
     modelPar_NFCLW,
     modelPar_given_NFCLW,
     modelPar_EFO,
     modelPar_given_EFO,
     modelPar_LINTNOI,
     modelPar_given_LINTNOI,
     modelPar_ALPNOI,
     modelPar_given_ALPNOI,
     modelPar_KVTHOWEO,
     modelPar_given_KVTHOWEO,
     modelPar_KVTHOWEL,
     modelPar_given_KVTHOWEL,
     modelPar_KVTHOWEW,
     modelPar_given_KVTHOWEW,
     modelPar_KVTHOWELW,
     modelPar_given_KVTHOWELW,
     modelPar_KUOWEO,
     modelPar_given_KUOWEO,
     modelPar_KUOWEL,
     modelPar_given_KUOWEL,
     modelPar_KUOWEW,
     modelPar_given_KUOWEW,
     modelPar_KUOWELW,
     modelPar_given_KUOWELW,
     modelPar_RGO,
     modelPar_given_RGO,
     modelPar_RINT,
     modelPar_given_RINT,
     modelPar_RVPOLY,
     modelPar_given_RVPOLY,
     modelPar_RSHG,
     modelPar_given_RSHG,
     modelPar_DLSIL,
     modelPar_given_DLSIL,
     modelPar_RSH,
     modelPar_given_RSH,
     modelPar_RSHD,
     modelPar_given_RSHD,
     modelPar_RBULKO,
     modelPar_given_RBULKO,
     modelPar_RWELLO,
     modelPar_given_RWELLO,
     modelPar_RJUNSO,
     modelPar_given_RJUNSO,
     modelPar_RJUNDO,
     modelPar_given_RJUNDO,
     modelPar_SAREF,
     modelPar_given_SAREF,
     modelPar_SBREF,
     modelPar_given_SBREF,
     modelPar_WLOD,
     modelPar_given_WLOD,
     modelPar_KUO,
     modelPar_given_KUO,
     modelPar_KVSAT,
     modelPar_given_KVSAT,
     modelPar_TKUO,
     modelPar_given_TKUO,
     modelPar_LKUO,
     modelPar_given_LKUO,
     modelPar_WKUO,
     modelPar_given_WKUO,
     modelPar_PKUO,
     modelPar_given_PKUO,
     modelPar_LLODKUO,
     modelPar_given_LLODKUO,
     modelPar_WLODKUO,
     modelPar_given_WLODKUO,
     modelPar_KVTHO,
     modelPar_given_KVTHO,
     modelPar_LKVTHO,
     modelPar_given_LKVTHO,
     modelPar_WKVTHO,
     modelPar_given_WKVTHO,
     modelPar_PKVTHO,
     modelPar_given_PKVTHO,
     modelPar_LLODVTH,
     modelPar_given_LLODVTH,
     modelPar_WLODVTH,
     modelPar_given_WLODVTH,
     modelPar_STETAO,
     modelPar_given_STETAO,
     modelPar_LODETAO,
     modelPar_given_LODETAO,
     modelPar_SCREF,
     modelPar_given_SCREF,
     modelPar_WEB,
     modelPar_given_WEB,
     modelPar_WEC,
     modelPar_given_WEC,
     modelPar_IMAX,
     modelPar_given_IMAX,
     modelPar_TRJ,
     modelPar_given_TRJ,
     modelPar_CJORBOT,
     modelPar_given_CJORBOT,
     modelPar_CJORSTI,
     modelPar_given_CJORSTI,
     modelPar_CJORGAT,
     modelPar_given_CJORGAT,
     modelPar_VBIRBOT,
     modelPar_given_VBIRBOT,
     modelPar_VBIRSTI,
     modelPar_given_VBIRSTI,
     modelPar_VBIRGAT,
     modelPar_given_VBIRGAT,
     modelPar_PBOT,
     modelPar_given_PBOT,
     modelPar_PSTI,
     modelPar_given_PSTI,
     modelPar_PGAT,
     modelPar_given_PGAT,
     modelPar_PHIGBOT,
     modelPar_given_PHIGBOT,
     modelPar_PHIGSTI,
     modelPar_given_PHIGSTI,
     modelPar_PHIGGAT,
     modelPar_given_PHIGGAT,
     modelPar_IDSATRBOT,
     modelPar_given_IDSATRBOT,
     modelPar_IDSATRSTI,
     modelPar_given_IDSATRSTI,
     modelPar_IDSATRGAT,
     modelPar_given_IDSATRGAT,
     modelPar_CSRHBOT,
     modelPar_given_CSRHBOT,
     modelPar_CSRHSTI,
     modelPar_given_CSRHSTI,
     modelPar_CSRHGAT,
     modelPar_given_CSRHGAT,
     modelPar_XJUNSTI,
     modelPar_given_XJUNSTI,
     modelPar_XJUNGAT,
     modelPar_given_XJUNGAT,
     modelPar_CTATBOT,
     modelPar_given_CTATBOT,
     modelPar_CTATSTI,
     modelPar_given_CTATSTI,
     modelPar_CTATGAT,
     modelPar_given_CTATGAT,
     modelPar_MEFFTATBOT,
     modelPar_given_MEFFTATBOT,
     modelPar_MEFFTATSTI,
     modelPar_given_MEFFTATSTI,
     modelPar_MEFFTATGAT,
     modelPar_given_MEFFTATGAT,
     modelPar_CBBTBOT,
     modelPar_given_CBBTBOT,
     modelPar_CBBTSTI,
     modelPar_given_CBBTSTI,
     modelPar_CBBTGAT,
     modelPar_given_CBBTGAT,
     modelPar_FBBTRBOT,
     modelPar_given_FBBTRBOT,
     modelPar_FBBTRSTI,
     modelPar_given_FBBTRSTI,
     modelPar_FBBTRGAT,
     modelPar_given_FBBTRGAT,
     modelPar_STFBBTBOT,
     modelPar_given_STFBBTBOT,
     modelPar_STFBBTSTI,
     modelPar_given_STFBBTSTI,
     modelPar_STFBBTGAT,
     modelPar_given_STFBBTGAT,
     modelPar_VBRBOT,
     modelPar_given_VBRBOT,
     modelPar_VBRSTI,
     modelPar_given_VBRSTI,
     modelPar_VBRGAT,
     modelPar_given_VBRGAT,
     modelPar_PBRBOT,
     modelPar_given_PBRBOT,
     modelPar_PBRSTI,
     modelPar_given_PBRSTI,
     modelPar_PBRGAT,
     modelPar_given_PBRGAT,
     modelPar_CJORBOTD,
     modelPar_given_CJORBOTD,
     modelPar_CJORSTID,
     modelPar_given_CJORSTID,
     modelPar_CJORGATD,
     modelPar_given_CJORGATD,
     modelPar_VBIRBOTD,
     modelPar_given_VBIRBOTD,
     modelPar_VBIRSTID,
     modelPar_given_VBIRSTID,
     modelPar_VBIRGATD,
     modelPar_given_VBIRGATD,
     modelPar_PBOTD,
     modelPar_given_PBOTD,
     modelPar_PSTID,
     modelPar_given_PSTID,
     modelPar_PGATD,
     modelPar_given_PGATD,
     modelPar_PHIGBOTD,
     modelPar_given_PHIGBOTD,
     modelPar_PHIGSTID,
     modelPar_given_PHIGSTID,
     modelPar_PHIGGATD,
     modelPar_given_PHIGGATD,
     modelPar_IDSATRBOTD,
     modelPar_given_IDSATRBOTD,
     modelPar_IDSATRSTID,
     modelPar_given_IDSATRSTID,
     modelPar_IDSATRGATD,
     modelPar_given_IDSATRGATD,
     modelPar_CSRHBOTD,
     modelPar_given_CSRHBOTD,
     modelPar_CSRHSTID,
     modelPar_given_CSRHSTID,
     modelPar_CSRHGATD,
     modelPar_given_CSRHGATD,
     modelPar_XJUNSTID,
     modelPar_given_XJUNSTID,
     modelPar_XJUNGATD,
     modelPar_given_XJUNGATD,
     modelPar_CTATBOTD,
     modelPar_given_CTATBOTD,
     modelPar_CTATSTID,
     modelPar_given_CTATSTID,
     modelPar_CTATGATD,
     modelPar_given_CTATGATD,
     modelPar_MEFFTATBOTD,
     modelPar_given_MEFFTATBOTD,
     modelPar_MEFFTATSTID,
     modelPar_given_MEFFTATSTID,
     modelPar_MEFFTATGATD,
     modelPar_given_MEFFTATGATD,
     modelPar_CBBTBOTD,
     modelPar_given_CBBTBOTD,
     modelPar_CBBTSTID,
     modelPar_given_CBBTSTID,
     modelPar_CBBTGATD,
     modelPar_given_CBBTGATD,
     modelPar_FBBTRBOTD,
     modelPar_given_FBBTRBOTD,
     modelPar_FBBTRSTID,
     modelPar_given_FBBTRSTID,
     modelPar_FBBTRGATD,
     modelPar_given_FBBTRGATD,
     modelPar_STFBBTBOTD,
     modelPar_given_STFBBTBOTD,
     modelPar_STFBBTSTID,
     modelPar_given_STFBBTSTID,
     modelPar_STFBBTGATD,
     modelPar_given_STFBBTGATD,
     modelPar_VBRBOTD,
     modelPar_given_VBRBOTD,
     modelPar_VBRSTID,
     modelPar_given_VBRSTID,
     modelPar_VBRGATD,
     modelPar_given_VBRGATD,
     modelPar_PBRBOTD,
     modelPar_given_PBRBOTD,
     modelPar_PBRSTID,
     modelPar_given_PBRSTID,
     modelPar_PBRGATD,
     modelPar_given_PBRGATD,
     modelPar_SWJUNEXP,
     modelPar_given_SWJUNEXP,
     modelPar_VJUNREF,
     modelPar_given_VJUNREF,
     modelPar_FJUNQ,
     modelPar_given_FJUNQ,
     modelPar_VJUNREFD,
     modelPar_given_VJUNREFD,
     modelPar_FJUNQD,
     modelPar_given_FJUNQD,
     modelPar_DTA,
     modelPar_given_DTA// model variables
     ,
     // reals
     modelVar_NSUBO_i,
     modelVar_WSEG_i,
     modelVar_NPCK_i,
     modelVar_WSEGP_i,
     modelVar_LPCK_i,
     modelVar_LOV_i,
     modelVar_LOVD_i,
     modelVar_LP1_i,
     modelVar_LP2_i,
     modelVar_WBET_i,
     modelVar_AXL_i,
     modelVar_ALP1L2_i,
     modelVar_ALP2L2_i,
     modelVar_TOXO_i,
     modelVar_TOXOVO_i,
     modelVar_TOXOVDO_i,
     modelVar_EPSROXO_i,
     modelVar_RINT_i,
     modelVar_RVPOLY_i,
     modelVar_RSHG_i,
     modelVar_RSH_i,
     modelVar_RSHD_i,
     modelVar_SAREF_i,
     modelVar_SBREF_i,
     modelVar_KVSAT_i,
     modelVar_LLODKUO_i,
     modelVar_WLODKUO_i,
     modelVar_LLODVTH_i,
     modelVar_WLODVTH_i,
     modelVar_LODETAO_i,
     modelVar_SCREF_i,
     modelVar_WEB_i,
     modelVar_WEC_i,
     modelVar_QMC_i,
     modelVar_TKD,
     modelVar_dT,
     modelVar_rT,
     modelVar_rTn,
     modelVar_EPSSI,
     modelVar_phit,
     modelVar_inv_phit,
     modelVar_Eg,
     modelVar_phibFac,
     modelVar_nt0,
     modelVar_IMAX_i,
     modelVar_CJORBOT_i,
     modelVar_CJORSTI_i,
     modelVar_CJORGAT_i,
     modelVar_VBIRBOT_i,
     modelVar_VBIRSTI_i,
     modelVar_VBIRGAT_i,
     modelVar_PBOT_i,
     modelVar_PSTI_i,
     modelVar_PGAT_i,
     modelVar_PHIGBOT_i,
     modelVar_PHIGSTI_i,
     modelVar_PHIGGAT_i,
     modelVar_IDSATRBOT_i,
     modelVar_IDSATRSTI_i,
     modelVar_IDSATRGAT_i,
     modelVar_XJUNSTI_i,
     modelVar_XJUNGAT_i,
     modelVar_CSRHBOT_i,
     modelVar_CSRHSTI_i,
     modelVar_CSRHGAT_i,
     modelVar_CTATBOT_i,
     modelVar_CTATSTI_i,
     modelVar_CTATGAT_i,
     modelVar_MEFFTATBOT_i,
     modelVar_MEFFTATSTI_i,
     modelVar_MEFFTATGAT_i,
     modelVar_CBBTBOT_i,
     modelVar_CBBTSTI_i,
     modelVar_CBBTGAT_i,
     modelVar_FBBTRBOT_i,
     modelVar_FBBTRSTI_i,
     modelVar_FBBTRGAT_i,
     modelVar_STFBBTBOT_i,
     modelVar_STFBBTSTI_i,
     modelVar_STFBBTGAT_i,
     modelVar_VBRBOT_i,
     modelVar_VBRSTI_i,
     modelVar_VBRGAT_i,
     modelVar_PBRBOT_i,
     modelVar_PBRSTI_i,
     modelVar_PBRGAT_i,
     modelVar_SWJUNEXP_i,
     modelVar_VJUNREF_i,
     modelVar_FJUNQ_i,
     modelVar_phitr,
     modelVar_phitd,
     modelVar_phitdinv,
     modelVar_perfc,
     modelVar_berfc,
     modelVar_cerfc,
     modelVar_phigrbot,
     modelVar_phigrsti,
     modelVar_phigrgat,
     modelVar_phigdbot,
     modelVar_phigdsti,
     modelVar_phigdgat,
     modelVar_ftdbot,
     modelVar_ftdsti,
     modelVar_ftdgat,
     modelVar_idsatbot,
     modelVar_idsatsti,
     modelVar_idsatgat,
     modelVar_ubibot,
     modelVar_ubisti,
     modelVar_ubigat,
     modelVar_vbibot,
     modelVar_vbisti,
     modelVar_vbigat,
     modelVar_vbiinvbot,
     modelVar_vbiinvsti,
     modelVar_vbiinvgat,
     modelVar_one_minus_PBOT,
     modelVar_one_minus_PSTI,
     modelVar_one_minus_PGAT,
     modelVar_one_over_one_minus_PBOT,
     modelVar_one_over_one_minus_PSTI,
     modelVar_one_over_one_minus_PGAT,
     modelVar_cjobot,
     modelVar_cjosti,
     modelVar_cjogat,
     modelVar_qprefbot,
     modelVar_qprefsti,
     modelVar_qprefgat,
     modelVar_qpref2bot,
     modelVar_qpref2sti,
     modelVar_qpref2gat,
     modelVar_wdepnulrbot,
     modelVar_wdepnulrsti,
     modelVar_wdepnulrgat,
     modelVar_wdepnulrinvbot,
     modelVar_wdepnulrinvsti,
     modelVar_wdepnulrinvgat,
     modelVar_VBIRBOTinv,
     modelVar_VBIRSTIinv,
     modelVar_VBIRGATinv,
     modelVar_deltaEbot,
     modelVar_deltaEsti,
     modelVar_deltaEgat,
     modelVar_atatbot,
     modelVar_atatsti,
     modelVar_atatgat,
     modelVar_btatpartbot,
     modelVar_btatpartsti,
     modelVar_btatpartgat,
     modelVar_fbbtbot,
     modelVar_fbbtsti,
     modelVar_fbbtgat,
     modelVar_fstopbot,
     modelVar_fstopsti,
     modelVar_fstopgat,
     modelVar_VBRinvbot,
     modelVar_VBRinvsti,
     modelVar_VBRinvgat,
     modelVar_slopebot,
     modelVar_slopesti,
     modelVar_slopegat,
     modelVar_CJORBOTS_i,
     modelVar_CJORSTIS_i,
     modelVar_CJORGATS_i,
     modelVar_VBIRBOTS_i,
     modelVar_VBIRSTIS_i,
     modelVar_VBIRGATS_i,
     modelVar_PBOTS_i,
     modelVar_PSTIS_i,
     modelVar_PGATS_i,
     modelVar_PHIGBOTS_i,
     modelVar_PHIGSTIS_i,
     modelVar_PHIGGATS_i,
     modelVar_IDSATRBOTS_i,
     modelVar_IDSATRSTIS_i,
     modelVar_IDSATRGATS_i,
     modelVar_XJUNSTIS_i,
     modelVar_XJUNGATS_i,
     modelVar_CSRHBOTS_i,
     modelVar_CSRHSTIS_i,
     modelVar_CSRHGATS_i,
     modelVar_CTATBOTS_i,
     modelVar_CTATSTIS_i,
     modelVar_CTATGATS_i,
     modelVar_MEFFTATBOTS_i,
     modelVar_MEFFTATSTIS_i,
     modelVar_MEFFTATGATS_i,
     modelVar_CBBTBOTS_i,
     modelVar_CBBTSTIS_i,
     modelVar_CBBTGATS_i,
     modelVar_FBBTRBOTS_i,
     modelVar_FBBTRSTIS_i,
     modelVar_FBBTRGATS_i,
     modelVar_STFBBTBOTS_i,
     modelVar_STFBBTSTIS_i,
     modelVar_STFBBTGATS_i,
     modelVar_VBRBOTS_i,
     modelVar_VBRSTIS_i,
     modelVar_VBRGATS_i,
     modelVar_PBRBOTS_i,
     modelVar_PBRSTIS_i,
     modelVar_PBRGATS_i,
     modelVar_CJORBOTD_i,
     modelVar_CJORSTID_i,
     modelVar_CJORGATD_i,
     modelVar_VBIRBOTD_i,
     modelVar_VBIRSTID_i,
     modelVar_VBIRGATD_i,
     modelVar_PBOTD_i,
     modelVar_PSTID_i,
     modelVar_PGATD_i,
     modelVar_PHIGBOTD_i,
     modelVar_PHIGSTID_i,
     modelVar_PHIGGATD_i,
     modelVar_IDSATRBOTD_i,
     modelVar_IDSATRSTID_i,
     modelVar_IDSATRGATD_i,
     modelVar_XJUNSTID_i,
     modelVar_XJUNGATD_i,
     modelVar_CSRHBOTD_i,
     modelVar_CSRHSTID_i,
     modelVar_CSRHGATD_i,
     modelVar_CTATBOTD_i,
     modelVar_CTATSTID_i,
     modelVar_CTATGATD_i,
     modelVar_MEFFTATBOTD_i,
     modelVar_MEFFTATSTID_i,
     modelVar_MEFFTATGATD_i,
     modelVar_CBBTBOTD_i,
     modelVar_CBBTSTID_i,
     modelVar_CBBTGATD_i,
     modelVar_FBBTRBOTD_i,
     modelVar_FBBTRSTID_i,
     modelVar_FBBTRGATD_i,
     modelVar_STFBBTBOTD_i,
     modelVar_STFBBTSTID_i,
     modelVar_STFBBTGATD_i,
     modelVar_VBRBOTD_i,
     modelVar_VBRSTID_i,
     modelVar_VBRGATD_i,
     modelVar_PBRBOTD_i,
     modelVar_PBRSTID_i,
     modelVar_PBRGATD_i,
     modelVar_VJUNREFS_i,
     modelVar_FJUNQS_i,
     modelVar_VJUNREFD_i,
     modelVar_FJUNQD_i,
     modelVar_phigrbot_s,
     modelVar_phigrsti_s,
     modelVar_phigrgat_s,
     modelVar_phigdbot_s,
     modelVar_phigdsti_s,
     modelVar_phigdgat_s,
     modelVar_ftdbot_s,
     modelVar_ftdsti_s,
     modelVar_ftdgat_s,
     modelVar_idsatbot_s,
     modelVar_idsatsti_s,
     modelVar_idsatgat_s,
     modelVar_ubibot_s,
     modelVar_ubisti_s,
     modelVar_ubigat_s,
     modelVar_vbibot_s,
     modelVar_vbisti_s,
     modelVar_vbigat_s,
     modelVar_vbiinvbot_s,
     modelVar_vbiinvsti_s,
     modelVar_vbiinvgat_s,
     modelVar_one_minus_PBOT_s,
     modelVar_one_minus_PSTI_s,
     modelVar_one_minus_PGAT_s,
     modelVar_one_over_one_minus_PBOT_s,
     modelVar_one_over_one_minus_PSTI_s,
     modelVar_one_over_one_minus_PGAT_s,
     modelVar_cjobot_s,
     modelVar_cjosti_s,
     modelVar_cjogat_s,
     modelVar_qprefbot_s,
     modelVar_qprefsti_s,
     modelVar_qprefgat_s,
     modelVar_qpref2bot_s,
     modelVar_qpref2sti_s,
     modelVar_qpref2gat_s,
     modelVar_wdepnulrbot_s,
     modelVar_wdepnulrsti_s,
     modelVar_wdepnulrgat_s,
     modelVar_wdepnulrinvbot_s,
     modelVar_wdepnulrinvsti_s,
     modelVar_wdepnulrinvgat_s,
     modelVar_VBIRBOTinv_s,
     modelVar_VBIRSTIinv_s,
     modelVar_VBIRGATinv_s,
     modelVar_deltaEbot_s,
     modelVar_deltaEsti_s,
     modelVar_deltaEgat_s,
     modelVar_atatbot_s,
     modelVar_atatsti_s,
     modelVar_atatgat_s,
     modelVar_btatpartbot_s,
     modelVar_btatpartsti_s,
     modelVar_btatpartgat_s,
     modelVar_fbbtbot_s,
     modelVar_fbbtsti_s,
     modelVar_fbbtgat_s,
     modelVar_fstopbot_s,
     modelVar_fstopsti_s,
     modelVar_fstopgat_s,
     modelVar_VBRinvbot_s,
     modelVar_VBRinvsti_s,
     modelVar_VBRinvgat_s,
     modelVar_slopebot_s,
     modelVar_slopesti_s,
     modelVar_slopegat_s,
     modelVar_phigrbot_d,
     modelVar_phigrsti_d,
     modelVar_phigrgat_d,
     modelVar_phigdbot_d,
     modelVar_phigdsti_d,
     modelVar_phigdgat_d,
     modelVar_ftdbot_d,
     modelVar_ftdsti_d,
     modelVar_ftdgat_d,
     modelVar_idsatbot_d,
     modelVar_idsatsti_d,
     modelVar_idsatgat_d,
     modelVar_ubibot_d,
     modelVar_ubisti_d,
     modelVar_ubigat_d,
     modelVar_vbibot_d,
     modelVar_vbisti_d,
     modelVar_vbigat_d,
     modelVar_vbiinvbot_d,
     modelVar_vbiinvsti_d,
     modelVar_vbiinvgat_d,
     modelVar_one_minus_PBOT_d,
     modelVar_one_minus_PSTI_d,
     modelVar_one_minus_PGAT_d,
     modelVar_one_over_one_minus_PBOT_d,
     modelVar_one_over_one_minus_PSTI_d,
     modelVar_one_over_one_minus_PGAT_d,
     modelVar_cjobot_d,
     modelVar_cjosti_d,
     modelVar_cjogat_d,
     modelVar_qprefbot_d,
     modelVar_qprefsti_d,
     modelVar_qprefgat_d,
     modelVar_qpref2bot_d,
     modelVar_qpref2sti_d,
     modelVar_qpref2gat_d,
     modelVar_wdepnulrbot_d,
     modelVar_wdepnulrsti_d,
     modelVar_wdepnulrgat_d,
     modelVar_wdepnulrinvbot_d,
     modelVar_wdepnulrinvsti_d,
     modelVar_wdepnulrinvgat_d,
     modelVar_VBIRBOTinv_d,
     modelVar_VBIRSTIinv_d,
     modelVar_VBIRGATinv_d,
     modelVar_deltaEbot_d,
     modelVar_deltaEsti_d,
     modelVar_deltaEgat_d,
     modelVar_atatbot_d,
     modelVar_atatsti_d,
     modelVar_atatgat_d,
     modelVar_btatpartbot_d,
     modelVar_btatpartsti_d,
     modelVar_btatpartgat_d,
     modelVar_fbbtbot_d,
     modelVar_fbbtsti_d,
     modelVar_fbbtgat_d,
     modelVar_fstopbot_d,
     modelVar_fstopsti_d,
     modelVar_fstopgat_d,
     modelVar_VBRinvbot_d,
     modelVar_VBRinvsti_d,
     modelVar_VBRinvgat_d,
     modelVar_slopebot_d,
     modelVar_slopesti_d,
     modelVar_slopegat_d,
     // non-reals
     modelVar_CHNL_TYPE,
     modelVar_SWGEO_i,
     modelVar_SWIGATE_i,
     modelVar_SWIMPACT_i,
     modelVar_SWGIDL_i,
     modelVar_SWJUNCAP_i,
     modelVar_SWJUNASYM_i,
     modelVar_SWNUD_i,
     modelVar_SWDELVTAC_i,
     mod.admsModTemp);



  // Now loop over all instances and do the deed
  int inst=0;
  for (std::vector<Instance*>::const_iterator in_it=mod.instanceContainer.begin(); in_it != mod.instanceContainer.end(); ++in_it,++inst)
  {

    Instance & in=*(*in_it);
    // initialize contributions to zero (automatically sets derivatives to zero)
    for (int i=0; i < 11+0 ; ++i)
    {
      staticContributions[i]=0;
      dynamicContributions[i]=0;
    }



    // Copy out all the instance parameters (doubles) into FAD types
    // reals
    AdmsSensFadType instancePar_L=in.L;
    bool instancePar_given_L=in.given("L");
    AdmsSensFadType instancePar_W=in.W;
    bool instancePar_given_W=in.given("W");
    AdmsSensFadType instancePar_SA=in.SA;
    bool instancePar_given_SA=in.given("SA");
    AdmsSensFadType instancePar_SB=in.SB;
    bool instancePar_given_SB=in.given("SB");
    AdmsSensFadType instancePar_SD=in.SD;
    bool instancePar_given_SD=in.given("SD");
    AdmsSensFadType instancePar_SCA=in.SCA;
    bool instancePar_given_SCA=in.given("SCA");
    AdmsSensFadType instancePar_SCB=in.SCB;
    bool instancePar_given_SCB=in.given("SCB");
    AdmsSensFadType instancePar_SCC=in.SCC;
    bool instancePar_given_SCC=in.given("SCC");
    AdmsSensFadType instancePar_SC=in.SC;
    bool instancePar_given_SC=in.given("SC");
    AdmsSensFadType instancePar_NF=in.NF;
    bool instancePar_given_NF=in.given("NF");
    AdmsSensFadType instancePar_NGCON=in.NGCON;
    bool instancePar_given_NGCON=in.given("NGCON");
    AdmsSensFadType instancePar_XGW=in.XGW;
    bool instancePar_given_XGW=in.given("XGW");
    AdmsSensFadType instancePar_NRS=in.NRS;
    bool instancePar_given_NRS=in.given("NRS");
    AdmsSensFadType instancePar_NRD=in.NRD;
    bool instancePar_given_NRD=in.given("NRD");
    AdmsSensFadType instancePar_JW=in.JW;
    bool instancePar_given_JW=in.given("JW");
    AdmsSensFadType instancePar_DELVTO=in.DELVTO;
    bool instancePar_given_DELVTO=in.given("DELVTO");
    AdmsSensFadType instancePar_FACTUO=in.FACTUO;
    bool instancePar_given_FACTUO=in.given("FACTUO");
    AdmsSensFadType instancePar_ABSOURCE=in.ABSOURCE;
    bool instancePar_given_ABSOURCE=in.given("ABSOURCE");
    AdmsSensFadType instancePar_LSSOURCE=in.LSSOURCE;
    bool instancePar_given_LSSOURCE=in.given("LSSOURCE");
    AdmsSensFadType instancePar_LGSOURCE=in.LGSOURCE;
    bool instancePar_given_LGSOURCE=in.given("LGSOURCE");
    AdmsSensFadType instancePar_ABDRAIN=in.ABDRAIN;
    bool instancePar_given_ABDRAIN=in.given("ABDRAIN");
    AdmsSensFadType instancePar_LSDRAIN=in.LSDRAIN;
    bool instancePar_given_LSDRAIN=in.given("LSDRAIN");
    AdmsSensFadType instancePar_LGDRAIN=in.LGDRAIN;
    bool instancePar_given_LGDRAIN=in.given("LGDRAIN");
    AdmsSensFadType instancePar_AS=in.AS;
    bool instancePar_given_AS=in.given("AS");
    AdmsSensFadType instancePar_PS=in.PS;
    bool instancePar_given_PS=in.given("PS");
    AdmsSensFadType instancePar_AD=in.AD;
    bool instancePar_given_AD=in.given("AD");
    AdmsSensFadType instancePar_PD=in.PD;
    bool instancePar_given_PD=in.given("PD");
    AdmsSensFadType instancePar_MULT=in.MULT;
    bool instancePar_given_MULT=in.given("MULT");


    // real hidden instance


    // Copy all the non-real instance params into vars of their appropriate type:




    // If there are any instance parameters that were not given, and have
    // corresponding model params, copy the model param into the instance.
    // This was already done by the instance constructor, but we do it again
    // because now we're propagating derivatives, and the user could be trying
    // to get sensitivity to the model parameter.
  

    //make local copies of all instance vars
    //reals
    AdmsSensFadType instanceVar_VFB_i=in.VFB_i;
    AdmsSensFadType instanceVar_GFACNUD_i=in.GFACNUD_i;
    AdmsSensFadType instanceVar_VNSUB_i=in.VNSUB_i;
    AdmsSensFadType instanceVar_NSLP_i=in.NSLP_i;
    AdmsSensFadType instanceVar_DNSUB_i=in.DNSUB_i;
    AdmsSensFadType instanceVar_CF_i=in.CF_i;
    AdmsSensFadType instanceVar_CFB_i=in.CFB_i;
    AdmsSensFadType instanceVar_MUE_i=in.MUE_i;
    AdmsSensFadType instanceVar_THEMU_i=in.THEMU_i;
    AdmsSensFadType instanceVar_CS_i=in.CS_i;
    AdmsSensFadType instanceVar_XCOR_i=in.XCOR_i;
    AdmsSensFadType instanceVar_THER_i=in.THER_i;
    AdmsSensFadType instanceVar_RSB_i=in.RSB_i;
    AdmsSensFadType instanceVar_RSG_i=in.RSG_i;
    AdmsSensFadType instanceVar_THESAT_i=in.THESAT_i;
    AdmsSensFadType instanceVar_THESATB_i=in.THESATB_i;
    AdmsSensFadType instanceVar_THESATG_i=in.THESATG_i;
    AdmsSensFadType instanceVar_AX_i=in.AX_i;
    AdmsSensFadType instanceVar_ALP_i=in.ALP_i;
    AdmsSensFadType instanceVar_ALP1_i=in.ALP1_i;
    AdmsSensFadType instanceVar_ALP2_i=in.ALP2_i;
    AdmsSensFadType instanceVar_A1_i=in.A1_i;
    AdmsSensFadType instanceVar_A2_i=in.A2_i;
    AdmsSensFadType instanceVar_A3_i=in.A3_i;
    AdmsSensFadType instanceVar_A4_i=in.A4_i;
    AdmsSensFadType instanceVar_IGINV_i=in.IGINV_i;
    AdmsSensFadType instanceVar_IGOV_i=in.IGOV_i;
    AdmsSensFadType instanceVar_IGOVD_i=in.IGOVD_i;
    AdmsSensFadType instanceVar_GC2_i=in.GC2_i;
    AdmsSensFadType instanceVar_GC3_i=in.GC3_i;
    AdmsSensFadType instanceVar_CHIB_i=in.CHIB_i;
    AdmsSensFadType instanceVar_AGIDL_i=in.AGIDL_i;
    AdmsSensFadType instanceVar_BGIDL_i=in.BGIDL_i;
    AdmsSensFadType instanceVar_CGIDL_i=in.CGIDL_i;
    AdmsSensFadType instanceVar_AGIDLD_i=in.AGIDLD_i;
    AdmsSensFadType instanceVar_BGIDLD_i=in.BGIDLD_i;
    AdmsSensFadType instanceVar_CGIDLD_i=in.CGIDLD_i;
    AdmsSensFadType instanceVar_COX_i=in.COX_i;
    AdmsSensFadType instanceVar_CGOV_i=in.CGOV_i;
    AdmsSensFadType instanceVar_CGOVD_i=in.CGOVD_i;
    AdmsSensFadType instanceVar_CGBOV_i=in.CGBOV_i;
    AdmsSensFadType instanceVar_CFR_i=in.CFR_i;
    AdmsSensFadType instanceVar_CFRD_i=in.CFRD_i;
    AdmsSensFadType instanceVar_MULT_i=in.MULT_i;
    AdmsSensFadType instanceVar_BET_i=in.BET_i;
    AdmsSensFadType instanceVar_kp=in.kp;
    AdmsSensFadType instanceVar_qq=in.qq;
    AdmsSensFadType instanceVar_qlim2=in.qlim2;
    AdmsSensFadType instanceVar_E_eff0=in.E_eff0;
    AdmsSensFadType instanceVar_eta_mu=in.eta_mu;
    AdmsSensFadType instanceVar_eta_mu1=in.eta_mu1;
    AdmsSensFadType instanceVar_BCH=in.BCH;
    AdmsSensFadType instanceVar_BOV=in.BOV;
    AdmsSensFadType instanceVar_inv_CHIB=in.inv_CHIB;
    AdmsSensFadType instanceVar_GCQ=in.GCQ;
    AdmsSensFadType instanceVar_Dch=in.Dch;
    AdmsSensFadType instanceVar_Dov=in.Dov;
    AdmsSensFadType instanceVar_x1=in.x1;
    AdmsSensFadType instanceVar_Vdsat_lim=in.Vdsat_lim;
    AdmsSensFadType instanceVar_GOV_s=in.GOV_s;
    AdmsSensFadType instanceVar_GOV_d=in.GOV_d;
    AdmsSensFadType instanceVar_GOV2_s=in.GOV2_s;
    AdmsSensFadType instanceVar_GOV2_d=in.GOV2_d;
    AdmsSensFadType instanceVar_BOV_d=in.BOV_d;
    AdmsSensFadType instanceVar_xi_ov_s=in.xi_ov_s;
    AdmsSensFadType instanceVar_xi_ov_d=in.xi_ov_d;
    AdmsSensFadType instanceVar_inv_xi_ov_s=in.inv_xi_ov_s;
    AdmsSensFadType instanceVar_inv_xi_ov_d=in.inv_xi_ov_d;
    AdmsSensFadType instanceVar_x_mrg_ov_s=in.x_mrg_ov_s;
    AdmsSensFadType instanceVar_x_mrg_ov_d=in.x_mrg_ov_d;
    AdmsSensFadType instanceVar_inv_xg1_s=in.inv_xg1_s;
    AdmsSensFadType instanceVar_inv_xg1_d=in.inv_xg1_d;
    AdmsSensFadType instanceVar_phit1=in.phit1;
    AdmsSensFadType instanceVar_inv_phit1=in.inv_phit1;
    AdmsSensFadType instanceVar_alpha_b=in.alpha_b;
    AdmsSensFadType instanceVar_inv_VP=in.inv_VP;
    AdmsSensFadType instanceVar_inv_AX=in.inv_AX;
    AdmsSensFadType instanceVar_us1=in.us1;
    AdmsSensFadType instanceVar_us21=in.us21;
    AdmsSensFadType instanceVar_phib_dc=in.phib_dc;
    AdmsSensFadType instanceVar_sqrt_phib_dc=in.sqrt_phib_dc;
    AdmsSensFadType instanceVar_G_0_dc=in.G_0_dc;
    AdmsSensFadType instanceVar_aphi_dc=in.aphi_dc;
    AdmsSensFadType instanceVar_bphi_dc=in.bphi_dc;
    AdmsSensFadType instanceVar_phix_dc=in.phix_dc;
    AdmsSensFadType instanceVar_phix1_dc=in.phix1_dc;
    AdmsSensFadType instanceVar_phib_ac=in.phib_ac;
    AdmsSensFadType instanceVar_sqrt_phib_ac=in.sqrt_phib_ac;
    AdmsSensFadType instanceVar_G_0_ac=in.G_0_ac;
    AdmsSensFadType instanceVar_aphi_ac=in.aphi_ac;
    AdmsSensFadType instanceVar_bphi_ac=in.bphi_ac;
    AdmsSensFadType instanceVar_phix_ac=in.phix_ac;
    AdmsSensFadType instanceVar_phix1_ac=in.phix1_ac;
    AdmsSensFadType instanceVar_RG_i=in.RG_i;
    AdmsSensFadType instanceVar_RSE_i=in.RSE_i;
    AdmsSensFadType instanceVar_RDE_i=in.RDE_i;
    AdmsSensFadType instanceVar_RBULK_i=in.RBULK_i;
    AdmsSensFadType instanceVar_RWELL_i=in.RWELL_i;
    AdmsSensFadType instanceVar_RJUNS_i=in.RJUNS_i;
    AdmsSensFadType instanceVar_RJUND_i=in.RJUND_i;
    AdmsSensFadType instanceVar_ggate=in.ggate;
    AdmsSensFadType instanceVar_gsource=in.gsource;
    AdmsSensFadType instanceVar_gdrain=in.gdrain;
    AdmsSensFadType instanceVar_gbulk=in.gbulk;
    AdmsSensFadType instanceVar_gwell=in.gwell;
    AdmsSensFadType instanceVar_gjund=in.gjund;
    AdmsSensFadType instanceVar_gjuns=in.gjuns;
    AdmsSensFadType instanceVar_tmpv=in.tmpv;
    AdmsSensFadType instanceVar_vjv=in.vjv;
    AdmsSensFadType instanceVar_idmult=in.idmult;
    AdmsSensFadType instanceVar_vj=in.vj;
    AdmsSensFadType instanceVar_zinv=in.zinv;
    AdmsSensFadType instanceVar_vjsrh=in.vjsrh;
    AdmsSensFadType instanceVar_vav=in.vav;
    AdmsSensFadType instanceVar_vbi_minus_vjsrh=in.vbi_minus_vjsrh;
    AdmsSensFadType instanceVar_wsrh=in.wsrh;
    AdmsSensFadType instanceVar_wdep=in.wdep;
    AdmsSensFadType instanceVar_asrh=in.asrh;
    AdmsSensFadType instanceVar_ABSOURCE_i=in.ABSOURCE_i;
    AdmsSensFadType instanceVar_LSSOURCE_i=in.LSSOURCE_i;
    AdmsSensFadType instanceVar_LGSOURCE_i=in.LGSOURCE_i;
    AdmsSensFadType instanceVar_zflagbot_s=in.zflagbot_s;
    AdmsSensFadType instanceVar_zflagsti_s=in.zflagsti_s;
    AdmsSensFadType instanceVar_zflaggat_s=in.zflaggat_s;
    AdmsSensFadType instanceVar_VMAX_s=in.VMAX_s;
    AdmsSensFadType instanceVar_exp_VMAX_over_phitd_s=in.exp_VMAX_over_phitd_s;
    AdmsSensFadType instanceVar_vbimin_s=in.vbimin_s;
    AdmsSensFadType instanceVar_vch_s=in.vch_s;
    AdmsSensFadType instanceVar_vfmin_s=in.vfmin_s;
    AdmsSensFadType instanceVar_vbbtlim_s=in.vbbtlim_s;
    AdmsSensFadType instanceVar_ijunbot_s=in.ijunbot_s;
    AdmsSensFadType instanceVar_qjunbot_s=in.qjunbot_s;
    AdmsSensFadType instanceVar_ijunsti_s=in.ijunsti_s;
    AdmsSensFadType instanceVar_qjunsti_s=in.qjunsti_s;
    AdmsSensFadType instanceVar_ijungat_s=in.ijungat_s;
    AdmsSensFadType instanceVar_qjungat_s=in.qjungat_s;
    AdmsSensFadType instanceVar_ijun_s=in.ijun_s;
    AdmsSensFadType instanceVar_qjun_s=in.qjun_s;
    AdmsSensFadType instanceVar_xhighf1_s=in.xhighf1_s;
    AdmsSensFadType instanceVar_expxhf1_s=in.expxhf1_s;
    AdmsSensFadType instanceVar_xhighf2_s=in.xhighf2_s;
    AdmsSensFadType instanceVar_expxhf2_s=in.expxhf2_s;
    AdmsSensFadType instanceVar_xhighr_s=in.xhighr_s;
    AdmsSensFadType instanceVar_expxhr_s=in.expxhr_s;
    AdmsSensFadType instanceVar_m0flag_s=in.m0flag_s;
    AdmsSensFadType instanceVar_ISATFOR1_s=in.ISATFOR1_s;
    AdmsSensFadType instanceVar_MFOR1_s=in.MFOR1_s;
    AdmsSensFadType instanceVar_ISATFOR2_s=in.ISATFOR2_s;
    AdmsSensFadType instanceVar_MFOR2_s=in.MFOR2_s;
    AdmsSensFadType instanceVar_ISATREV_s=in.ISATREV_s;
    AdmsSensFadType instanceVar_MREV_s=in.MREV_s;
    AdmsSensFadType instanceVar_ABDRAIN_i=in.ABDRAIN_i;
    AdmsSensFadType instanceVar_LSDRAIN_i=in.LSDRAIN_i;
    AdmsSensFadType instanceVar_LGDRAIN_i=in.LGDRAIN_i;
    AdmsSensFadType instanceVar_zflagbot_d=in.zflagbot_d;
    AdmsSensFadType instanceVar_zflagsti_d=in.zflagsti_d;
    AdmsSensFadType instanceVar_zflaggat_d=in.zflaggat_d;
    AdmsSensFadType instanceVar_VMAX_d=in.VMAX_d;
    AdmsSensFadType instanceVar_exp_VMAX_over_phitd_d=in.exp_VMAX_over_phitd_d;
    AdmsSensFadType instanceVar_vbimin_d=in.vbimin_d;
    AdmsSensFadType instanceVar_vch_d=in.vch_d;
    AdmsSensFadType instanceVar_vfmin_d=in.vfmin_d;
    AdmsSensFadType instanceVar_vbbtlim_d=in.vbbtlim_d;
    AdmsSensFadType instanceVar_ijunbot_d=in.ijunbot_d;
    AdmsSensFadType instanceVar_qjunbot_d=in.qjunbot_d;
    AdmsSensFadType instanceVar_ijunsti_d=in.ijunsti_d;
    AdmsSensFadType instanceVar_qjunsti_d=in.qjunsti_d;
    AdmsSensFadType instanceVar_ijungat_d=in.ijungat_d;
    AdmsSensFadType instanceVar_qjungat_d=in.qjungat_d;
    AdmsSensFadType instanceVar_ijun_d=in.ijun_d;
    AdmsSensFadType instanceVar_qjun_d=in.qjun_d;
    AdmsSensFadType instanceVar_xhighf1_d=in.xhighf1_d;
    AdmsSensFadType instanceVar_expxhf1_d=in.expxhf1_d;
    AdmsSensFadType instanceVar_xhighf2_d=in.xhighf2_d;
    AdmsSensFadType instanceVar_expxhf2_d=in.expxhf2_d;
    AdmsSensFadType instanceVar_xhighr_d=in.xhighr_d;
    AdmsSensFadType instanceVar_expxhr_d=in.expxhr_d;
    AdmsSensFadType instanceVar_m0flag_d=in.m0flag_d;
    AdmsSensFadType instanceVar_ISATFOR1_d=in.ISATFOR1_d;
    AdmsSensFadType instanceVar_MFOR1_d=in.MFOR1_d;
    AdmsSensFadType instanceVar_ISATFOR2_d=in.ISATFOR2_d;
    AdmsSensFadType instanceVar_MFOR2_d=in.MFOR2_d;
    AdmsSensFadType instanceVar_ISATREV_d=in.ISATREV_d;
    AdmsSensFadType instanceVar_MREV_d=in.MREV_d;

  
    //non-reals
  
  
  
    Linear::Vector * solVectorPtr = in.extData.nextSolVectorPtr;

    // extract solution variables and set as Fad independent variables.
    probeVars[in.admsProbeID_V_DI_BD] = (*solVectorPtr)[in.li_DI] - (*solVectorPtr)[in.li_BD];
    probeVars[in.admsProbeID_V_SI_BS] = (*solVectorPtr)[in.li_SI] - (*solVectorPtr)[in.li_BS];
    probeVars[in.admsProbeID_V_SI_BP] = (*solVectorPtr)[in.li_SI] - (*solVectorPtr)[in.li_BP];
    probeVars[in.admsProbeID_V_DI_SI] = (*solVectorPtr)[in.li_DI] - (*solVectorPtr)[in.li_SI];
    probeVars[in.admsProbeID_V_GP_SI] = (*solVectorPtr)[in.li_GP] - (*solVectorPtr)[in.li_SI];
    probeVars[in.admsProbeID_V_B_BI] = (*solVectorPtr)[in.li_B] - (*solVectorPtr)[in.li_BI];
    probeVars[in.admsProbeID_V_BP_BI] = (*solVectorPtr)[in.li_BP] - (*solVectorPtr)[in.li_BI];
    probeVars[in.admsProbeID_V_BD_BI] = (*solVectorPtr)[in.li_BD] - (*solVectorPtr)[in.li_BI];
    probeVars[in.admsProbeID_V_BS_BI] = (*solVectorPtr)[in.li_BS] - (*solVectorPtr)[in.li_BI];
    probeVars[in.admsProbeID_V_D_DI] = (*solVectorPtr)[in.li_D] - (*solVectorPtr)[in.li_DI];
    probeVars[in.admsProbeID_V_S_SI] = (*solVectorPtr)[in.li_S] - (*solVectorPtr)[in.li_SI];
    probeVars[in.admsProbeID_V_G_GP] = (*solVectorPtr)[in.li_G] - (*solVectorPtr)[in.li_GP];

    evaluateInitialInstance(
       // instance parameters
       // reals
       instancePar_L,
       instancePar_given_L,
       instancePar_W,
       instancePar_given_W,
       instancePar_SA,
       instancePar_given_SA,
       instancePar_SB,
       instancePar_given_SB,
       instancePar_SD,
       instancePar_given_SD,
       instancePar_SCA,
       instancePar_given_SCA,
       instancePar_SCB,
       instancePar_given_SCB,
       instancePar_SCC,
       instancePar_given_SCC,
       instancePar_SC,
       instancePar_given_SC,
       instancePar_NF,
       instancePar_given_NF,
       instancePar_NGCON,
       instancePar_given_NGCON,
       instancePar_XGW,
       instancePar_given_XGW,
       instancePar_NRS,
       instancePar_given_NRS,
       instancePar_NRD,
       instancePar_given_NRD,
       instancePar_JW,
       instancePar_given_JW,
       instancePar_DELVTO,
       instancePar_given_DELVTO,
       instancePar_FACTUO,
       instancePar_given_FACTUO,
       instancePar_ABSOURCE,
       instancePar_given_ABSOURCE,
       instancePar_LSSOURCE,
       instancePar_given_LSSOURCE,
       instancePar_LGSOURCE,
       instancePar_given_LGSOURCE,
       instancePar_ABDRAIN,
       instancePar_given_ABDRAIN,
       instancePar_LSDRAIN,
       instancePar_given_LSDRAIN,
       instancePar_LGDRAIN,
       instancePar_given_LGDRAIN,
       instancePar_AS,
       instancePar_given_AS,
       instancePar_PS,
       instancePar_given_PS,
       instancePar_AD,
       instancePar_given_AD,
       instancePar_PD,
       instancePar_given_PD,
       instancePar_MULT,
       instancePar_given_MULT,
       // instance variables
       // reals
       instanceVar_VFB_i,
       instanceVar_GFACNUD_i,
       instanceVar_VNSUB_i,
       instanceVar_NSLP_i,
       instanceVar_DNSUB_i,
       instanceVar_CF_i,
       instanceVar_CFB_i,
       instanceVar_MUE_i,
       instanceVar_THEMU_i,
       instanceVar_CS_i,
       instanceVar_XCOR_i,
       instanceVar_THER_i,
       instanceVar_RSB_i,
       instanceVar_RSG_i,
       instanceVar_THESAT_i,
       instanceVar_THESATB_i,
       instanceVar_THESATG_i,
       instanceVar_AX_i,
       instanceVar_ALP_i,
       instanceVar_ALP1_i,
       instanceVar_ALP2_i,
       instanceVar_A1_i,
       instanceVar_A2_i,
       instanceVar_A3_i,
       instanceVar_A4_i,
       instanceVar_IGINV_i,
       instanceVar_IGOV_i,
       instanceVar_IGOVD_i,
       instanceVar_GC2_i,
       instanceVar_GC3_i,
       instanceVar_CHIB_i,
       instanceVar_AGIDL_i,
       instanceVar_BGIDL_i,
       instanceVar_CGIDL_i,
       instanceVar_AGIDLD_i,
       instanceVar_BGIDLD_i,
       instanceVar_CGIDLD_i,
       instanceVar_COX_i,
       instanceVar_CGOV_i,
       instanceVar_CGOVD_i,
       instanceVar_CGBOV_i,
       instanceVar_CFR_i,
       instanceVar_CFRD_i,
       instanceVar_MULT_i,
       instanceVar_BET_i,
       instanceVar_kp,
       instanceVar_qq,
       instanceVar_qlim2,
       instanceVar_E_eff0,
       instanceVar_eta_mu,
       instanceVar_eta_mu1,
       instanceVar_BCH,
       instanceVar_BOV,
       instanceVar_inv_CHIB,
       instanceVar_GCQ,
       instanceVar_Dch,
       instanceVar_Dov,
       instanceVar_x1,
       instanceVar_Vdsat_lim,
       instanceVar_GOV_s,
       instanceVar_GOV_d,
       instanceVar_GOV2_s,
       instanceVar_GOV2_d,
       instanceVar_BOV_d,
       instanceVar_xi_ov_s,
       instanceVar_xi_ov_d,
       instanceVar_inv_xi_ov_s,
       instanceVar_inv_xi_ov_d,
       instanceVar_x_mrg_ov_s,
       instanceVar_x_mrg_ov_d,
       instanceVar_inv_xg1_s,
       instanceVar_inv_xg1_d,
       instanceVar_phit1,
       instanceVar_inv_phit1,
       instanceVar_alpha_b,
       instanceVar_inv_VP,
       instanceVar_inv_AX,
       instanceVar_us1,
       instanceVar_us21,
       instanceVar_phib_dc,
       instanceVar_sqrt_phib_dc,
       instanceVar_G_0_dc,
       instanceVar_aphi_dc,
       instanceVar_bphi_dc,
       instanceVar_phix_dc,
       instanceVar_phix1_dc,
       instanceVar_phib_ac,
       instanceVar_sqrt_phib_ac,
       instanceVar_G_0_ac,
       instanceVar_aphi_ac,
       instanceVar_bphi_ac,
       instanceVar_phix_ac,
       instanceVar_phix1_ac,
       instanceVar_RG_i,
       instanceVar_RSE_i,
       instanceVar_RDE_i,
       instanceVar_RBULK_i,
       instanceVar_RWELL_i,
       instanceVar_RJUNS_i,
       instanceVar_RJUND_i,
       instanceVar_ggate,
       instanceVar_gsource,
       instanceVar_gdrain,
       instanceVar_gbulk,
       instanceVar_gwell,
       instanceVar_gjund,
       instanceVar_gjuns,
       instanceVar_tmpv,
       instanceVar_vjv,
       instanceVar_idmult,
       instanceVar_vj,
       instanceVar_zinv,
       instanceVar_vjsrh,
       instanceVar_vav,
       instanceVar_vbi_minus_vjsrh,
       instanceVar_wsrh,
       instanceVar_wdep,
       instanceVar_asrh,
       instanceVar_ABSOURCE_i,
       instanceVar_LSSOURCE_i,
       instanceVar_LGSOURCE_i,
       instanceVar_zflagbot_s,
       instanceVar_zflagsti_s,
       instanceVar_zflaggat_s,
       instanceVar_VMAX_s,
       instanceVar_exp_VMAX_over_phitd_s,
       instanceVar_vbimin_s,
       instanceVar_vch_s,
       instanceVar_vfmin_s,
       instanceVar_vbbtlim_s,
       instanceVar_ijunbot_s,
       instanceVar_qjunbot_s,
       instanceVar_ijunsti_s,
       instanceVar_qjunsti_s,
       instanceVar_ijungat_s,
       instanceVar_qjungat_s,
       instanceVar_ijun_s,
       instanceVar_qjun_s,
       instanceVar_xhighf1_s,
       instanceVar_expxhf1_s,
       instanceVar_xhighf2_s,
       instanceVar_expxhf2_s,
       instanceVar_xhighr_s,
       instanceVar_expxhr_s,
       instanceVar_m0flag_s,
       instanceVar_ISATFOR1_s,
       instanceVar_MFOR1_s,
       instanceVar_ISATFOR2_s,
       instanceVar_MFOR2_s,
       instanceVar_ISATREV_s,
       instanceVar_MREV_s,
       instanceVar_ABDRAIN_i,
       instanceVar_LSDRAIN_i,
       instanceVar_LGDRAIN_i,
       instanceVar_zflagbot_d,
       instanceVar_zflagsti_d,
       instanceVar_zflaggat_d,
       instanceVar_VMAX_d,
       instanceVar_exp_VMAX_over_phitd_d,
       instanceVar_vbimin_d,
       instanceVar_vch_d,
       instanceVar_vfmin_d,
       instanceVar_vbbtlim_d,
       instanceVar_ijunbot_d,
       instanceVar_qjunbot_d,
       instanceVar_ijunsti_d,
       instanceVar_qjunsti_d,
       instanceVar_ijungat_d,
       instanceVar_qjungat_d,
       instanceVar_ijun_d,
       instanceVar_qjun_d,
       instanceVar_xhighf1_d,
       instanceVar_expxhf1_d,
       instanceVar_xhighf2_d,
       instanceVar_expxhf2_d,
       instanceVar_xhighr_d,
       instanceVar_expxhr_d,
       instanceVar_m0flag_d,
       instanceVar_ISATFOR1_d,
       instanceVar_MFOR1_d,
       instanceVar_ISATFOR2_d,
       instanceVar_MFOR2_d,
       instanceVar_ISATREV_d,
       instanceVar_MREV_d,
       // model parameters
       // reals
       modelPar_LEVEL,
       modelPar_given_LEVEL,
       modelPar_TYPE,
       modelPar_given_TYPE,
       modelPar_TR,
       modelPar_given_TR,
       modelPar_SWGEO,
       modelPar_given_SWGEO,
       modelPar_SWIGATE,
       modelPar_given_SWIGATE,
       modelPar_SWIMPACT,
       modelPar_given_SWIMPACT,
       modelPar_SWGIDL,
       modelPar_given_SWGIDL,
       modelPar_SWJUNCAP,
       modelPar_given_SWJUNCAP,
       modelPar_SWJUNASYM,
       modelPar_given_SWJUNASYM,
       modelPar_SWNUD,
       modelPar_given_SWNUD,
       modelPar_SWDELVTAC,
       modelPar_given_SWDELVTAC,
       modelPar_QMC,
       modelPar_given_QMC,
       modelPar_VFB,
       modelPar_given_VFB,
       modelPar_STVFB,
       modelPar_given_STVFB,
       modelPar_TOX,
       modelPar_given_TOX,
       modelPar_EPSROX,
       modelPar_given_EPSROX,
       modelPar_NEFF,
       modelPar_given_NEFF,
       modelPar_FACNEFFAC,
       modelPar_given_FACNEFFAC,
       modelPar_GFACNUD,
       modelPar_given_GFACNUD,
       modelPar_VSBNUD,
       modelPar_given_VSBNUD,
       modelPar_DVSBNUD,
       modelPar_given_DVSBNUD,
       modelPar_VNSUB,
       modelPar_given_VNSUB,
       modelPar_NSLP,
       modelPar_given_NSLP,
       modelPar_DNSUB,
       modelPar_given_DNSUB,
       modelPar_DPHIB,
       modelPar_given_DPHIB,
       modelPar_DELVTAC,
       modelPar_given_DELVTAC,
       modelPar_NP,
       modelPar_given_NP,
       modelPar_CT,
       modelPar_given_CT,
       modelPar_TOXOV,
       modelPar_given_TOXOV,
       modelPar_TOXOVD,
       modelPar_given_TOXOVD,
       modelPar_NOV,
       modelPar_given_NOV,
       modelPar_NOVD,
       modelPar_given_NOVD,
       modelPar_CF,
       modelPar_given_CF,
       modelPar_CFB,
       modelPar_given_CFB,
       modelPar_BETN,
       modelPar_given_BETN,
       modelPar_STBET,
       modelPar_given_STBET,
       modelPar_MUE,
       modelPar_given_MUE,
       modelPar_STMUE,
       modelPar_given_STMUE,
       modelPar_THEMU,
       modelPar_given_THEMU,
       modelPar_STTHEMU,
       modelPar_given_STTHEMU,
       modelPar_CS,
       modelPar_given_CS,
       modelPar_STCS,
       modelPar_given_STCS,
       modelPar_XCOR,
       modelPar_given_XCOR,
       modelPar_STXCOR,
       modelPar_given_STXCOR,
       modelPar_FETA,
       modelPar_given_FETA,
       modelPar_RS,
       modelPar_given_RS,
       modelPar_STRS,
       modelPar_given_STRS,
       modelPar_RSB,
       modelPar_given_RSB,
       modelPar_RSG,
       modelPar_given_RSG,
       modelPar_THESAT,
       modelPar_given_THESAT,
       modelPar_STTHESAT,
       modelPar_given_STTHESAT,
       modelPar_THESATB,
       modelPar_given_THESATB,
       modelPar_THESATG,
       modelPar_given_THESATG,
       modelPar_AX,
       modelPar_given_AX,
       modelPar_ALP,
       modelPar_given_ALP,
       modelPar_ALP1,
       modelPar_given_ALP1,
       modelPar_ALP2,
       modelPar_given_ALP2,
       modelPar_VP,
       modelPar_given_VP,
       modelPar_A1,
       modelPar_given_A1,
       modelPar_A2,
       modelPar_given_A2,
       modelPar_STA2,
       modelPar_given_STA2,
       modelPar_A3,
       modelPar_given_A3,
       modelPar_A4,
       modelPar_given_A4,
       modelPar_GCO,
       modelPar_given_GCO,
       modelPar_IGINV,
       modelPar_given_IGINV,
       modelPar_IGOV,
       modelPar_given_IGOV,
       modelPar_IGOVD,
       modelPar_given_IGOVD,
       modelPar_STIG,
       modelPar_given_STIG,
       modelPar_GC2,
       modelPar_given_GC2,
       modelPar_GC3,
       modelPar_given_GC3,
       modelPar_CHIB,
       modelPar_given_CHIB,
       modelPar_AGIDL,
       modelPar_given_AGIDL,
       modelPar_AGIDLD,
       modelPar_given_AGIDLD,
       modelPar_BGIDL,
       modelPar_given_BGIDL,
       modelPar_BGIDLD,
       modelPar_given_BGIDLD,
       modelPar_STBGIDL,
       modelPar_given_STBGIDL,
       modelPar_STBGIDLD,
       modelPar_given_STBGIDLD,
       modelPar_CGIDL,
       modelPar_given_CGIDL,
       modelPar_CGIDLD,
       modelPar_given_CGIDLD,
       modelPar_COX,
       modelPar_given_COX,
       modelPar_CGOV,
       modelPar_given_CGOV,
       modelPar_CGOVD,
       modelPar_given_CGOVD,
       modelPar_CGBOV,
       modelPar_given_CGBOV,
       modelPar_CFR,
       modelPar_given_CFR,
       modelPar_CFRD,
       modelPar_given_CFRD,
       modelPar_FNT,
       modelPar_given_FNT,
       modelPar_NFA,
       modelPar_given_NFA,
       modelPar_NFB,
       modelPar_given_NFB,
       modelPar_NFC,
       modelPar_given_NFC,
       modelPar_EF,
       modelPar_given_EF,
       modelPar_RG,
       modelPar_given_RG,
       modelPar_RSE,
       modelPar_given_RSE,
       modelPar_RDE,
       modelPar_given_RDE,
       modelPar_RBULK,
       modelPar_given_RBULK,
       modelPar_RWELL,
       modelPar_given_RWELL,
       modelPar_RJUNS,
       modelPar_given_RJUNS,
       modelPar_RJUND,
       modelPar_given_RJUND,
       modelPar_POVFB,
       modelPar_given_POVFB,
       modelPar_PLVFB,
       modelPar_given_PLVFB,
       modelPar_PWVFB,
       modelPar_given_PWVFB,
       modelPar_PLWVFB,
       modelPar_given_PLWVFB,
       modelPar_POSTVFB,
       modelPar_given_POSTVFB,
       modelPar_PLSTVFB,
       modelPar_given_PLSTVFB,
       modelPar_PWSTVFB,
       modelPar_given_PWSTVFB,
       modelPar_PLWSTVFB,
       modelPar_given_PLWSTVFB,
       modelPar_POTOX,
       modelPar_given_POTOX,
       modelPar_POEPSROX,
       modelPar_given_POEPSROX,
       modelPar_PONEFF,
       modelPar_given_PONEFF,
       modelPar_PLNEFF,
       modelPar_given_PLNEFF,
       modelPar_PWNEFF,
       modelPar_given_PWNEFF,
       modelPar_PLWNEFF,
       modelPar_given_PLWNEFF,
       modelPar_POFACNEFFAC,
       modelPar_given_POFACNEFFAC,
       modelPar_PLFACNEFFAC,
       modelPar_given_PLFACNEFFAC,
       modelPar_PWFACNEFFAC,
       modelPar_given_PWFACNEFFAC,
       modelPar_PLWFACNEFFAC,
       modelPar_given_PLWFACNEFFAC,
       modelPar_POGFACNUD,
       modelPar_given_POGFACNUD,
       modelPar_PLGFACNUD,
       modelPar_given_PLGFACNUD,
       modelPar_PWGFACNUD,
       modelPar_given_PWGFACNUD,
       modelPar_PLWGFACNUD,
       modelPar_given_PLWGFACNUD,
       modelPar_POVSBNUD,
       modelPar_given_POVSBNUD,
       modelPar_PODVSBNUD,
       modelPar_given_PODVSBNUD,
       modelPar_POVNSUB,
       modelPar_given_POVNSUB,
       modelPar_PONSLP,
       modelPar_given_PONSLP,
       modelPar_PODNSUB,
       modelPar_given_PODNSUB,
       modelPar_PODPHIB,
       modelPar_given_PODPHIB,
       modelPar_PLDPHIB,
       modelPar_given_PLDPHIB,
       modelPar_PWDPHIB,
       modelPar_given_PWDPHIB,
       modelPar_PLWDPHIB,
       modelPar_given_PLWDPHIB,
       modelPar_PODELVTAC,
       modelPar_given_PODELVTAC,
       modelPar_PLDELVTAC,
       modelPar_given_PLDELVTAC,
       modelPar_PWDELVTAC,
       modelPar_given_PWDELVTAC,
       modelPar_PLWDELVTAC,
       modelPar_given_PLWDELVTAC,
       modelPar_PONP,
       modelPar_given_PONP,
       modelPar_PLNP,
       modelPar_given_PLNP,
       modelPar_PWNP,
       modelPar_given_PWNP,
       modelPar_PLWNP,
       modelPar_given_PLWNP,
       modelPar_POCT,
       modelPar_given_POCT,
       modelPar_PLCT,
       modelPar_given_PLCT,
       modelPar_PWCT,
       modelPar_given_PWCT,
       modelPar_PLWCT,
       modelPar_given_PLWCT,
       modelPar_POTOXOV,
       modelPar_given_POTOXOV,
       modelPar_POTOXOVD,
       modelPar_given_POTOXOVD,
       modelPar_PONOV,
       modelPar_given_PONOV,
       modelPar_PLNOV,
       modelPar_given_PLNOV,
       modelPar_PWNOV,
       modelPar_given_PWNOV,
       modelPar_PLWNOV,
       modelPar_given_PLWNOV,
       modelPar_PONOVD,
       modelPar_given_PONOVD,
       modelPar_PLNOVD,
       modelPar_given_PLNOVD,
       modelPar_PWNOVD,
       modelPar_given_PWNOVD,
       modelPar_PLWNOVD,
       modelPar_given_PLWNOVD,
       modelPar_POCF,
       modelPar_given_POCF,
       modelPar_PLCF,
       modelPar_given_PLCF,
       modelPar_PWCF,
       modelPar_given_PWCF,
       modelPar_PLWCF,
       modelPar_given_PLWCF,
       modelPar_POCFB,
       modelPar_given_POCFB,
       modelPar_POBETN,
       modelPar_given_POBETN,
       modelPar_PLBETN,
       modelPar_given_PLBETN,
       modelPar_PWBETN,
       modelPar_given_PWBETN,
       modelPar_PLWBETN,
       modelPar_given_PLWBETN,
       modelPar_POSTBET,
       modelPar_given_POSTBET,
       modelPar_PLSTBET,
       modelPar_given_PLSTBET,
       modelPar_PWSTBET,
       modelPar_given_PWSTBET,
       modelPar_PLWSTBET,
       modelPar_given_PLWSTBET,
       modelPar_POMUE,
       modelPar_given_POMUE,
       modelPar_PLMUE,
       modelPar_given_PLMUE,
       modelPar_PWMUE,
       modelPar_given_PWMUE,
       modelPar_PLWMUE,
       modelPar_given_PLWMUE,
       modelPar_POSTMUE,
       modelPar_given_POSTMUE,
       modelPar_POTHEMU,
       modelPar_given_POTHEMU,
       modelPar_POSTTHEMU,
       modelPar_given_POSTTHEMU,
       modelPar_POCS,
       modelPar_given_POCS,
       modelPar_PLCS,
       modelPar_given_PLCS,
       modelPar_PWCS,
       modelPar_given_PWCS,
       modelPar_PLWCS,
       modelPar_given_PLWCS,
       modelPar_POSTCS,
       modelPar_given_POSTCS,
       modelPar_POXCOR,
       modelPar_given_POXCOR,
       modelPar_PLXCOR,
       modelPar_given_PLXCOR,
       modelPar_PWXCOR,
       modelPar_given_PWXCOR,
       modelPar_PLWXCOR,
       modelPar_given_PLWXCOR,
       modelPar_POSTXCOR,
       modelPar_given_POSTXCOR,
       modelPar_POFETA,
       modelPar_given_POFETA,
       modelPar_PORS,
       modelPar_given_PORS,
       modelPar_PLRS,
       modelPar_given_PLRS,
       modelPar_PWRS,
       modelPar_given_PWRS,
       modelPar_PLWRS,
       modelPar_given_PLWRS,
       modelPar_POSTRS,
       modelPar_given_POSTRS,
       modelPar_PORSB,
       modelPar_given_PORSB,
       modelPar_PORSG,
       modelPar_given_PORSG,
       modelPar_POTHESAT,
       modelPar_given_POTHESAT,
       modelPar_PLTHESAT,
       modelPar_given_PLTHESAT,
       modelPar_PWTHESAT,
       modelPar_given_PWTHESAT,
       modelPar_PLWTHESAT,
       modelPar_given_PLWTHESAT,
       modelPar_POSTTHESAT,
       modelPar_given_POSTTHESAT,
       modelPar_PLSTTHESAT,
       modelPar_given_PLSTTHESAT,
       modelPar_PWSTTHESAT,
       modelPar_given_PWSTTHESAT,
       modelPar_PLWSTTHESAT,
       modelPar_given_PLWSTTHESAT,
       modelPar_POTHESATB,
       modelPar_given_POTHESATB,
       modelPar_PLTHESATB,
       modelPar_given_PLTHESATB,
       modelPar_PWTHESATB,
       modelPar_given_PWTHESATB,
       modelPar_PLWTHESATB,
       modelPar_given_PLWTHESATB,
       modelPar_POTHESATG,
       modelPar_given_POTHESATG,
       modelPar_PLTHESATG,
       modelPar_given_PLTHESATG,
       modelPar_PWTHESATG,
       modelPar_given_PWTHESATG,
       modelPar_PLWTHESATG,
       modelPar_given_PLWTHESATG,
       modelPar_POAX,
       modelPar_given_POAX,
       modelPar_PLAX,
       modelPar_given_PLAX,
       modelPar_PWAX,
       modelPar_given_PWAX,
       modelPar_PLWAX,
       modelPar_given_PLWAX,
       modelPar_POALP,
       modelPar_given_POALP,
       modelPar_PLALP,
       modelPar_given_PLALP,
       modelPar_PWALP,
       modelPar_given_PWALP,
       modelPar_PLWALP,
       modelPar_given_PLWALP,
       modelPar_POALP1,
       modelPar_given_POALP1,
       modelPar_PLALP1,
       modelPar_given_PLALP1,
       modelPar_PWALP1,
       modelPar_given_PWALP1,
       modelPar_PLWALP1,
       modelPar_given_PLWALP1,
       modelPar_POALP2,
       modelPar_given_POALP2,
       modelPar_PLALP2,
       modelPar_given_PLALP2,
       modelPar_PWALP2,
       modelPar_given_PWALP2,
       modelPar_PLWALP2,
       modelPar_given_PLWALP2,
       modelPar_POVP,
       modelPar_given_POVP,
       modelPar_POA1,
       modelPar_given_POA1,
       modelPar_PLA1,
       modelPar_given_PLA1,
       modelPar_PWA1,
       modelPar_given_PWA1,
       modelPar_PLWA1,
       modelPar_given_PLWA1,
       modelPar_POA2,
       modelPar_given_POA2,
       modelPar_POSTA2,
       modelPar_given_POSTA2,
       modelPar_POA3,
       modelPar_given_POA3,
       modelPar_PLA3,
       modelPar_given_PLA3,
       modelPar_PWA3,
       modelPar_given_PWA3,
       modelPar_PLWA3,
       modelPar_given_PLWA3,
       modelPar_POA4,
       modelPar_given_POA4,
       modelPar_PLA4,
       modelPar_given_PLA4,
       modelPar_PWA4,
       modelPar_given_PWA4,
       modelPar_PLWA4,
       modelPar_given_PLWA4,
       modelPar_POGCO,
       modelPar_given_POGCO,
       modelPar_POIGINV,
       modelPar_given_POIGINV,
       modelPar_PLIGINV,
       modelPar_given_PLIGINV,
       modelPar_PWIGINV,
       modelPar_given_PWIGINV,
       modelPar_PLWIGINV,
       modelPar_given_PLWIGINV,
       modelPar_POIGOV,
       modelPar_given_POIGOV,
       modelPar_PLIGOV,
       modelPar_given_PLIGOV,
       modelPar_PWIGOV,
       modelPar_given_PWIGOV,
       modelPar_PLWIGOV,
       modelPar_given_PLWIGOV,
       modelPar_POIGOVD,
       modelPar_given_POIGOVD,
       modelPar_PLIGOVD,
       modelPar_given_PLIGOVD,
       modelPar_PWIGOVD,
       modelPar_given_PWIGOVD,
       modelPar_PLWIGOVD,
       modelPar_given_PLWIGOVD,
       modelPar_POSTIG,
       modelPar_given_POSTIG,
       modelPar_POGC2,
       modelPar_given_POGC2,
       modelPar_POGC3,
       modelPar_given_POGC3,
       modelPar_POCHIB,
       modelPar_given_POCHIB,
       modelPar_POAGIDL,
       modelPar_given_POAGIDL,
       modelPar_PLAGIDL,
       modelPar_given_PLAGIDL,
       modelPar_PWAGIDL,
       modelPar_given_PWAGIDL,
       modelPar_PLWAGIDL,
       modelPar_given_PLWAGIDL,
       modelPar_POAGIDLD,
       modelPar_given_POAGIDLD,
       modelPar_PLAGIDLD,
       modelPar_given_PLAGIDLD,
       modelPar_PWAGIDLD,
       modelPar_given_PWAGIDLD,
       modelPar_PLWAGIDLD,
       modelPar_given_PLWAGIDLD,
       modelPar_POBGIDL,
       modelPar_given_POBGIDL,
       modelPar_POBGIDLD,
       modelPar_given_POBGIDLD,
       modelPar_POSTBGIDL,
       modelPar_given_POSTBGIDL,
       modelPar_POSTBGIDLD,
       modelPar_given_POSTBGIDLD,
       modelPar_POCGIDL,
       modelPar_given_POCGIDL,
       modelPar_POCGIDLD,
       modelPar_given_POCGIDLD,
       modelPar_POCOX,
       modelPar_given_POCOX,
       modelPar_PLCOX,
       modelPar_given_PLCOX,
       modelPar_PWCOX,
       modelPar_given_PWCOX,
       modelPar_PLWCOX,
       modelPar_given_PLWCOX,
       modelPar_POCGOV,
       modelPar_given_POCGOV,
       modelPar_PLCGOV,
       modelPar_given_PLCGOV,
       modelPar_PWCGOV,
       modelPar_given_PWCGOV,
       modelPar_PLWCGOV,
       modelPar_given_PLWCGOV,
       modelPar_POCGOVD,
       modelPar_given_POCGOVD,
       modelPar_PLCGOVD,
       modelPar_given_PLCGOVD,
       modelPar_PWCGOVD,
       modelPar_given_PWCGOVD,
       modelPar_PLWCGOVD,
       modelPar_given_PLWCGOVD,
       modelPar_POCGBOV,
       modelPar_given_POCGBOV,
       modelPar_PLCGBOV,
       modelPar_given_PLCGBOV,
       modelPar_PWCGBOV,
       modelPar_given_PWCGBOV,
       modelPar_PLWCGBOV,
       modelPar_given_PLWCGBOV,
       modelPar_POCFR,
       modelPar_given_POCFR,
       modelPar_PLCFR,
       modelPar_given_PLCFR,
       modelPar_PWCFR,
       modelPar_given_PWCFR,
       modelPar_PLWCFR,
       modelPar_given_PLWCFR,
       modelPar_POCFRD,
       modelPar_given_POCFRD,
       modelPar_PLCFRD,
       modelPar_given_PLCFRD,
       modelPar_PWCFRD,
       modelPar_given_PWCFRD,
       modelPar_PLWCFRD,
       modelPar_given_PLWCFRD,
       modelPar_POFNT,
       modelPar_given_POFNT,
       modelPar_PONFA,
       modelPar_given_PONFA,
       modelPar_PLNFA,
       modelPar_given_PLNFA,
       modelPar_PWNFA,
       modelPar_given_PWNFA,
       modelPar_PLWNFA,
       modelPar_given_PLWNFA,
       modelPar_PONFB,
       modelPar_given_PONFB,
       modelPar_PLNFB,
       modelPar_given_PLNFB,
       modelPar_PWNFB,
       modelPar_given_PWNFB,
       modelPar_PLWNFB,
       modelPar_given_PLWNFB,
       modelPar_PONFC,
       modelPar_given_PONFC,
       modelPar_PLNFC,
       modelPar_given_PLNFC,
       modelPar_PWNFC,
       modelPar_given_PWNFC,
       modelPar_PLWNFC,
       modelPar_given_PLWNFC,
       modelPar_POEF,
       modelPar_given_POEF,
       modelPar_POKVTHOWE,
       modelPar_given_POKVTHOWE,
       modelPar_PLKVTHOWE,
       modelPar_given_PLKVTHOWE,
       modelPar_PWKVTHOWE,
       modelPar_given_PWKVTHOWE,
       modelPar_PLWKVTHOWE,
       modelPar_given_PLWKVTHOWE,
       modelPar_POKUOWE,
       modelPar_given_POKUOWE,
       modelPar_PLKUOWE,
       modelPar_given_PLKUOWE,
       modelPar_PWKUOWE,
       modelPar_given_PWKUOWE,
       modelPar_PLWKUOWE,
       modelPar_given_PLWKUOWE,
       modelPar_LMIN,
       modelPar_given_LMIN,
       modelPar_LMAX,
       modelPar_given_LMAX,
       modelPar_WMIN,
       modelPar_given_WMIN,
       modelPar_WMAX,
       modelPar_given_WMAX,
       modelPar_LVARO,
       modelPar_given_LVARO,
       modelPar_LVARL,
       modelPar_given_LVARL,
       modelPar_LVARW,
       modelPar_given_LVARW,
       modelPar_LAP,
       modelPar_given_LAP,
       modelPar_WVARO,
       modelPar_given_WVARO,
       modelPar_WVARL,
       modelPar_given_WVARL,
       modelPar_WVARW,
       modelPar_given_WVARW,
       modelPar_WOT,
       modelPar_given_WOT,
       modelPar_DLQ,
       modelPar_given_DLQ,
       modelPar_DWQ,
       modelPar_given_DWQ,
       modelPar_VFBO,
       modelPar_given_VFBO,
       modelPar_VFBL,
       modelPar_given_VFBL,
       modelPar_VFBW,
       modelPar_given_VFBW,
       modelPar_VFBLW,
       modelPar_given_VFBLW,
       modelPar_STVFBO,
       modelPar_given_STVFBO,
       modelPar_STVFBL,
       modelPar_given_STVFBL,
       modelPar_STVFBW,
       modelPar_given_STVFBW,
       modelPar_STVFBLW,
       modelPar_given_STVFBLW,
       modelPar_TOXO,
       modelPar_given_TOXO,
       modelPar_EPSROXO,
       modelPar_given_EPSROXO,
       modelPar_NSUBO,
       modelPar_given_NSUBO,
       modelPar_NSUBW,
       modelPar_given_NSUBW,
       modelPar_WSEG,
       modelPar_given_WSEG,
       modelPar_NPCK,
       modelPar_given_NPCK,
       modelPar_NPCKW,
       modelPar_given_NPCKW,
       modelPar_WSEGP,
       modelPar_given_WSEGP,
       modelPar_LPCK,
       modelPar_given_LPCK,
       modelPar_LPCKW,
       modelPar_given_LPCKW,
       modelPar_FOL1,
       modelPar_given_FOL1,
       modelPar_FOL2,
       modelPar_given_FOL2,
       modelPar_FACNEFFACO,
       modelPar_given_FACNEFFACO,
       modelPar_FACNEFFACL,
       modelPar_given_FACNEFFACL,
       modelPar_FACNEFFACW,
       modelPar_given_FACNEFFACW,
       modelPar_FACNEFFACLW,
       modelPar_given_FACNEFFACLW,
       modelPar_GFACNUDO,
       modelPar_given_GFACNUDO,
       modelPar_GFACNUDL,
       modelPar_given_GFACNUDL,
       modelPar_GFACNUDLEXP,
       modelPar_given_GFACNUDLEXP,
       modelPar_GFACNUDW,
       modelPar_given_GFACNUDW,
       modelPar_GFACNUDLW,
       modelPar_given_GFACNUDLW,
       modelPar_VSBNUDO,
       modelPar_given_VSBNUDO,
       modelPar_DVSBNUDO,
       modelPar_given_DVSBNUDO,
       modelPar_VNSUBO,
       modelPar_given_VNSUBO,
       modelPar_NSLPO,
       modelPar_given_NSLPO,
       modelPar_DNSUBO,
       modelPar_given_DNSUBO,
       modelPar_DPHIBO,
       modelPar_given_DPHIBO,
       modelPar_DPHIBL,
       modelPar_given_DPHIBL,
       modelPar_DPHIBLEXP,
       modelPar_given_DPHIBLEXP,
       modelPar_DPHIBW,
       modelPar_given_DPHIBW,
       modelPar_DPHIBLW,
       modelPar_given_DPHIBLW,
       modelPar_DELVTACO,
       modelPar_given_DELVTACO,
       modelPar_DELVTACL,
       modelPar_given_DELVTACL,
       modelPar_DELVTACLEXP,
       modelPar_given_DELVTACLEXP,
       modelPar_DELVTACW,
       modelPar_given_DELVTACW,
       modelPar_DELVTACLW,
       modelPar_given_DELVTACLW,
       modelPar_NPO,
       modelPar_given_NPO,
       modelPar_NPL,
       modelPar_given_NPL,
       modelPar_CTO,
       modelPar_given_CTO,
       modelPar_CTL,
       modelPar_given_CTL,
       modelPar_CTLEXP,
       modelPar_given_CTLEXP,
       modelPar_CTW,
       modelPar_given_CTW,
       modelPar_CTLW,
       modelPar_given_CTLW,
       modelPar_TOXOVO,
       modelPar_given_TOXOVO,
       modelPar_TOXOVDO,
       modelPar_given_TOXOVDO,
       modelPar_LOV,
       modelPar_given_LOV,
       modelPar_LOVD,
       modelPar_given_LOVD,
       modelPar_NOVO,
       modelPar_given_NOVO,
       modelPar_NOVDO,
       modelPar_given_NOVDO,
       modelPar_CFL,
       modelPar_given_CFL,
       modelPar_CFLEXP,
       modelPar_given_CFLEXP,
       modelPar_CFW,
       modelPar_given_CFW,
       modelPar_CFBO,
       modelPar_given_CFBO,
       modelPar_UO,
       modelPar_given_UO,
       modelPar_FBET1,
       modelPar_given_FBET1,
       modelPar_FBET1W,
       modelPar_given_FBET1W,
       modelPar_LP1,
       modelPar_given_LP1,
       modelPar_LP1W,
       modelPar_given_LP1W,
       modelPar_FBET2,
       modelPar_given_FBET2,
       modelPar_LP2,
       modelPar_given_LP2,
       modelPar_BETW1,
       modelPar_given_BETW1,
       modelPar_BETW2,
       modelPar_given_BETW2,
       modelPar_WBET,
       modelPar_given_WBET,
       modelPar_STBETO,
       modelPar_given_STBETO,
       modelPar_STBETL,
       modelPar_given_STBETL,
       modelPar_STBETW,
       modelPar_given_STBETW,
       modelPar_STBETLW,
       modelPar_given_STBETLW,
       modelPar_MUEO,
       modelPar_given_MUEO,
       modelPar_MUEW,
       modelPar_given_MUEW,
       modelPar_STMUEO,
       modelPar_given_STMUEO,
       modelPar_THEMUO,
       modelPar_given_THEMUO,
       modelPar_STTHEMUO,
       modelPar_given_STTHEMUO,
       modelPar_CSO,
       modelPar_given_CSO,
       modelPar_CSL,
       modelPar_given_CSL,
       modelPar_CSLEXP,
       modelPar_given_CSLEXP,
       modelPar_CSW,
       modelPar_given_CSW,
       modelPar_CSLW,
       modelPar_given_CSLW,
       modelPar_STCSO,
       modelPar_given_STCSO,
       modelPar_XCORO,
       modelPar_given_XCORO,
       modelPar_XCORL,
       modelPar_given_XCORL,
       modelPar_XCORW,
       modelPar_given_XCORW,
       modelPar_XCORLW,
       modelPar_given_XCORLW,
       modelPar_STXCORO,
       modelPar_given_STXCORO,
       modelPar_FETAO,
       modelPar_given_FETAO,
       modelPar_RSW1,
       modelPar_given_RSW1,
       modelPar_RSW2,
       modelPar_given_RSW2,
       modelPar_STRSO,
       modelPar_given_STRSO,
       modelPar_RSBO,
       modelPar_given_RSBO,
       modelPar_RSGO,
       modelPar_given_RSGO,
       modelPar_THESATO,
       modelPar_given_THESATO,
       modelPar_THESATL,
       modelPar_given_THESATL,
       modelPar_THESATLEXP,
       modelPar_given_THESATLEXP,
       modelPar_THESATW,
       modelPar_given_THESATW,
       modelPar_THESATLW,
       modelPar_given_THESATLW,
       modelPar_STTHESATO,
       modelPar_given_STTHESATO,
       modelPar_STTHESATL,
       modelPar_given_STTHESATL,
       modelPar_STTHESATW,
       modelPar_given_STTHESATW,
       modelPar_STTHESATLW,
       modelPar_given_STTHESATLW,
       modelPar_THESATBO,
       modelPar_given_THESATBO,
       modelPar_THESATGO,
       modelPar_given_THESATGO,
       modelPar_AXO,
       modelPar_given_AXO,
       modelPar_AXL,
       modelPar_given_AXL,
       modelPar_ALPL,
       modelPar_given_ALPL,
       modelPar_ALPLEXP,
       modelPar_given_ALPLEXP,
       modelPar_ALPW,
       modelPar_given_ALPW,
       modelPar_ALP1L1,
       modelPar_given_ALP1L1,
       modelPar_ALP1LEXP,
       modelPar_given_ALP1LEXP,
       modelPar_ALP1L2,
       modelPar_given_ALP1L2,
       modelPar_ALP1W,
       modelPar_given_ALP1W,
       modelPar_ALP2L1,
       modelPar_given_ALP2L1,
       modelPar_ALP2LEXP,
       modelPar_given_ALP2LEXP,
       modelPar_ALP2L2,
       modelPar_given_ALP2L2,
       modelPar_ALP2W,
       modelPar_given_ALP2W,
       modelPar_VPO,
       modelPar_given_VPO,
       modelPar_A1O,
       modelPar_given_A1O,
       modelPar_A1L,
       modelPar_given_A1L,
       modelPar_A1W,
       modelPar_given_A1W,
       modelPar_A2O,
       modelPar_given_A2O,
       modelPar_STA2O,
       modelPar_given_STA2O,
       modelPar_A3O,
       modelPar_given_A3O,
       modelPar_A3L,
       modelPar_given_A3L,
       modelPar_A3W,
       modelPar_given_A3W,
       modelPar_A4O,
       modelPar_given_A4O,
       modelPar_A4L,
       modelPar_given_A4L,
       modelPar_A4W,
       modelPar_given_A4W,
       modelPar_GCOO,
       modelPar_given_GCOO,
       modelPar_IGINVLW,
       modelPar_given_IGINVLW,
       modelPar_IGOVW,
       modelPar_given_IGOVW,
       modelPar_IGOVDW,
       modelPar_given_IGOVDW,
       modelPar_STIGO,
       modelPar_given_STIGO,
       modelPar_GC2O,
       modelPar_given_GC2O,
       modelPar_GC3O,
       modelPar_given_GC3O,
       modelPar_CHIBO,
       modelPar_given_CHIBO,
       modelPar_AGIDLW,
       modelPar_given_AGIDLW,
       modelPar_AGIDLDW,
       modelPar_given_AGIDLDW,
       modelPar_BGIDLO,
       modelPar_given_BGIDLO,
       modelPar_BGIDLDO,
       modelPar_given_BGIDLDO,
       modelPar_STBGIDLO,
       modelPar_given_STBGIDLO,
       modelPar_STBGIDLDO,
       modelPar_given_STBGIDLDO,
       modelPar_CGIDLO,
       modelPar_given_CGIDLO,
       modelPar_CGIDLDO,
       modelPar_given_CGIDLDO,
       modelPar_CGBOVL,
       modelPar_given_CGBOVL,
       modelPar_CFRW,
       modelPar_given_CFRW,
       modelPar_CFRDW,
       modelPar_given_CFRDW,
       modelPar_FNTO,
       modelPar_given_FNTO,
       modelPar_NFALW,
       modelPar_given_NFALW,
       modelPar_NFBLW,
       modelPar_given_NFBLW,
       modelPar_NFCLW,
       modelPar_given_NFCLW,
       modelPar_EFO,
       modelPar_given_EFO,
       modelPar_LINTNOI,
       modelPar_given_LINTNOI,
       modelPar_ALPNOI,
       modelPar_given_ALPNOI,
       modelPar_KVTHOWEO,
       modelPar_given_KVTHOWEO,
       modelPar_KVTHOWEL,
       modelPar_given_KVTHOWEL,
       modelPar_KVTHOWEW,
       modelPar_given_KVTHOWEW,
       modelPar_KVTHOWELW,
       modelPar_given_KVTHOWELW,
       modelPar_KUOWEO,
       modelPar_given_KUOWEO,
       modelPar_KUOWEL,
       modelPar_given_KUOWEL,
       modelPar_KUOWEW,
       modelPar_given_KUOWEW,
       modelPar_KUOWELW,
       modelPar_given_KUOWELW,
       modelPar_RGO,
       modelPar_given_RGO,
       modelPar_RINT,
       modelPar_given_RINT,
       modelPar_RVPOLY,
       modelPar_given_RVPOLY,
       modelPar_RSHG,
       modelPar_given_RSHG,
       modelPar_DLSIL,
       modelPar_given_DLSIL,
       modelPar_RSH,
       modelPar_given_RSH,
       modelPar_RSHD,
       modelPar_given_RSHD,
       modelPar_RBULKO,
       modelPar_given_RBULKO,
       modelPar_RWELLO,
       modelPar_given_RWELLO,
       modelPar_RJUNSO,
       modelPar_given_RJUNSO,
       modelPar_RJUNDO,
       modelPar_given_RJUNDO,
       modelPar_SAREF,
       modelPar_given_SAREF,
       modelPar_SBREF,
       modelPar_given_SBREF,
       modelPar_WLOD,
       modelPar_given_WLOD,
       modelPar_KUO,
       modelPar_given_KUO,
       modelPar_KVSAT,
       modelPar_given_KVSAT,
       modelPar_TKUO,
       modelPar_given_TKUO,
       modelPar_LKUO,
       modelPar_given_LKUO,
       modelPar_WKUO,
       modelPar_given_WKUO,
       modelPar_PKUO,
       modelPar_given_PKUO,
       modelPar_LLODKUO,
       modelPar_given_LLODKUO,
       modelPar_WLODKUO,
       modelPar_given_WLODKUO,
       modelPar_KVTHO,
       modelPar_given_KVTHO,
       modelPar_LKVTHO,
       modelPar_given_LKVTHO,
       modelPar_WKVTHO,
       modelPar_given_WKVTHO,
       modelPar_PKVTHO,
       modelPar_given_PKVTHO,
       modelPar_LLODVTH,
       modelPar_given_LLODVTH,
       modelPar_WLODVTH,
       modelPar_given_WLODVTH,
       modelPar_STETAO,
       modelPar_given_STETAO,
       modelPar_LODETAO,
       modelPar_given_LODETAO,
       modelPar_SCREF,
       modelPar_given_SCREF,
       modelPar_WEB,
       modelPar_given_WEB,
       modelPar_WEC,
       modelPar_given_WEC,
       modelPar_IMAX,
       modelPar_given_IMAX,
       modelPar_TRJ,
       modelPar_given_TRJ,
       modelPar_CJORBOT,
       modelPar_given_CJORBOT,
       modelPar_CJORSTI,
       modelPar_given_CJORSTI,
       modelPar_CJORGAT,
       modelPar_given_CJORGAT,
       modelPar_VBIRBOT,
       modelPar_given_VBIRBOT,
       modelPar_VBIRSTI,
       modelPar_given_VBIRSTI,
       modelPar_VBIRGAT,
       modelPar_given_VBIRGAT,
       modelPar_PBOT,
       modelPar_given_PBOT,
       modelPar_PSTI,
       modelPar_given_PSTI,
       modelPar_PGAT,
       modelPar_given_PGAT,
       modelPar_PHIGBOT,
       modelPar_given_PHIGBOT,
       modelPar_PHIGSTI,
       modelPar_given_PHIGSTI,
       modelPar_PHIGGAT,
       modelPar_given_PHIGGAT,
       modelPar_IDSATRBOT,
       modelPar_given_IDSATRBOT,
       modelPar_IDSATRSTI,
       modelPar_given_IDSATRSTI,
       modelPar_IDSATRGAT,
       modelPar_given_IDSATRGAT,
       modelPar_CSRHBOT,
       modelPar_given_CSRHBOT,
       modelPar_CSRHSTI,
       modelPar_given_CSRHSTI,
       modelPar_CSRHGAT,
       modelPar_given_CSRHGAT,
       modelPar_XJUNSTI,
       modelPar_given_XJUNSTI,
       modelPar_XJUNGAT,
       modelPar_given_XJUNGAT,
       modelPar_CTATBOT,
       modelPar_given_CTATBOT,
       modelPar_CTATSTI,
       modelPar_given_CTATSTI,
       modelPar_CTATGAT,
       modelPar_given_CTATGAT,
       modelPar_MEFFTATBOT,
       modelPar_given_MEFFTATBOT,
       modelPar_MEFFTATSTI,
       modelPar_given_MEFFTATSTI,
       modelPar_MEFFTATGAT,
       modelPar_given_MEFFTATGAT,
       modelPar_CBBTBOT,
       modelPar_given_CBBTBOT,
       modelPar_CBBTSTI,
       modelPar_given_CBBTSTI,
       modelPar_CBBTGAT,
       modelPar_given_CBBTGAT,
       modelPar_FBBTRBOT,
       modelPar_given_FBBTRBOT,
       modelPar_FBBTRSTI,
       modelPar_given_FBBTRSTI,
       modelPar_FBBTRGAT,
       modelPar_given_FBBTRGAT,
       modelPar_STFBBTBOT,
       modelPar_given_STFBBTBOT,
       modelPar_STFBBTSTI,
       modelPar_given_STFBBTSTI,
       modelPar_STFBBTGAT,
       modelPar_given_STFBBTGAT,
       modelPar_VBRBOT,
       modelPar_given_VBRBOT,
       modelPar_VBRSTI,
       modelPar_given_VBRSTI,
       modelPar_VBRGAT,
       modelPar_given_VBRGAT,
       modelPar_PBRBOT,
       modelPar_given_PBRBOT,
       modelPar_PBRSTI,
       modelPar_given_PBRSTI,
       modelPar_PBRGAT,
       modelPar_given_PBRGAT,
       modelPar_CJORBOTD,
       modelPar_given_CJORBOTD,
       modelPar_CJORSTID,
       modelPar_given_CJORSTID,
       modelPar_CJORGATD,
       modelPar_given_CJORGATD,
       modelPar_VBIRBOTD,
       modelPar_given_VBIRBOTD,
       modelPar_VBIRSTID,
       modelPar_given_VBIRSTID,
       modelPar_VBIRGATD,
       modelPar_given_VBIRGATD,
       modelPar_PBOTD,
       modelPar_given_PBOTD,
       modelPar_PSTID,
       modelPar_given_PSTID,
       modelPar_PGATD,
       modelPar_given_PGATD,
       modelPar_PHIGBOTD,
       modelPar_given_PHIGBOTD,
       modelPar_PHIGSTID,
       modelPar_given_PHIGSTID,
       modelPar_PHIGGATD,
       modelPar_given_PHIGGATD,
       modelPar_IDSATRBOTD,
       modelPar_given_IDSATRBOTD,
       modelPar_IDSATRSTID,
       modelPar_given_IDSATRSTID,
       modelPar_IDSATRGATD,
       modelPar_given_IDSATRGATD,
       modelPar_CSRHBOTD,
       modelPar_given_CSRHBOTD,
       modelPar_CSRHSTID,
       modelPar_given_CSRHSTID,
       modelPar_CSRHGATD,
       modelPar_given_CSRHGATD,
       modelPar_XJUNSTID,
       modelPar_given_XJUNSTID,
       modelPar_XJUNGATD,
       modelPar_given_XJUNGATD,
       modelPar_CTATBOTD,
       modelPar_given_CTATBOTD,
       modelPar_CTATSTID,
       modelPar_given_CTATSTID,
       modelPar_CTATGATD,
       modelPar_given_CTATGATD,
       modelPar_MEFFTATBOTD,
       modelPar_given_MEFFTATBOTD,
       modelPar_MEFFTATSTID,
       modelPar_given_MEFFTATSTID,
       modelPar_MEFFTATGATD,
       modelPar_given_MEFFTATGATD,
       modelPar_CBBTBOTD,
       modelPar_given_CBBTBOTD,
       modelPar_CBBTSTID,
       modelPar_given_CBBTSTID,
       modelPar_CBBTGATD,
       modelPar_given_CBBTGATD,
       modelPar_FBBTRBOTD,
       modelPar_given_FBBTRBOTD,
       modelPar_FBBTRSTID,
       modelPar_given_FBBTRSTID,
       modelPar_FBBTRGATD,
       modelPar_given_FBBTRGATD,
       modelPar_STFBBTBOTD,
       modelPar_given_STFBBTBOTD,
       modelPar_STFBBTSTID,
       modelPar_given_STFBBTSTID,
       modelPar_STFBBTGATD,
       modelPar_given_STFBBTGATD,
       modelPar_VBRBOTD,
       modelPar_given_VBRBOTD,
       modelPar_VBRSTID,
       modelPar_given_VBRSTID,
       modelPar_VBRGATD,
       modelPar_given_VBRGATD,
       modelPar_PBRBOTD,
       modelPar_given_PBRBOTD,
       modelPar_PBRSTID,
       modelPar_given_PBRSTID,
       modelPar_PBRGATD,
       modelPar_given_PBRGATD,
       modelPar_SWJUNEXP,
       modelPar_given_SWJUNEXP,
       modelPar_VJUNREF,
       modelPar_given_VJUNREF,
       modelPar_FJUNQ,
       modelPar_given_FJUNQ,
       modelPar_VJUNREFD,
       modelPar_given_VJUNREFD,
       modelPar_FJUNQD,
       modelPar_given_FJUNQD,
       modelPar_DTA,
       modelPar_given_DTA// model variables
       ,
       // reals
       modelVar_NSUBO_i,
       modelVar_WSEG_i,
       modelVar_NPCK_i,
       modelVar_WSEGP_i,
       modelVar_LPCK_i,
       modelVar_LOV_i,
       modelVar_LOVD_i,
       modelVar_LP1_i,
       modelVar_LP2_i,
       modelVar_WBET_i,
       modelVar_AXL_i,
       modelVar_ALP1L2_i,
       modelVar_ALP2L2_i,
       modelVar_TOXO_i,
       modelVar_TOXOVO_i,
       modelVar_TOXOVDO_i,
       modelVar_EPSROXO_i,
       modelVar_RINT_i,
       modelVar_RVPOLY_i,
       modelVar_RSHG_i,
       modelVar_RSH_i,
       modelVar_RSHD_i,
       modelVar_SAREF_i,
       modelVar_SBREF_i,
       modelVar_KVSAT_i,
       modelVar_LLODKUO_i,
       modelVar_WLODKUO_i,
       modelVar_LLODVTH_i,
       modelVar_WLODVTH_i,
       modelVar_LODETAO_i,
       modelVar_SCREF_i,
       modelVar_WEB_i,
       modelVar_WEC_i,
       modelVar_QMC_i,
       modelVar_TKD,
       modelVar_dT,
       modelVar_rT,
       modelVar_rTn,
       modelVar_EPSSI,
       modelVar_phit,
       modelVar_inv_phit,
       modelVar_Eg,
       modelVar_phibFac,
       modelVar_nt0,
       modelVar_IMAX_i,
       modelVar_CJORBOT_i,
       modelVar_CJORSTI_i,
       modelVar_CJORGAT_i,
       modelVar_VBIRBOT_i,
       modelVar_VBIRSTI_i,
       modelVar_VBIRGAT_i,
       modelVar_PBOT_i,
       modelVar_PSTI_i,
       modelVar_PGAT_i,
       modelVar_PHIGBOT_i,
       modelVar_PHIGSTI_i,
       modelVar_PHIGGAT_i,
       modelVar_IDSATRBOT_i,
       modelVar_IDSATRSTI_i,
       modelVar_IDSATRGAT_i,
       modelVar_XJUNSTI_i,
       modelVar_XJUNGAT_i,
       modelVar_CSRHBOT_i,
       modelVar_CSRHSTI_i,
       modelVar_CSRHGAT_i,
       modelVar_CTATBOT_i,
       modelVar_CTATSTI_i,
       modelVar_CTATGAT_i,
       modelVar_MEFFTATBOT_i,
       modelVar_MEFFTATSTI_i,
       modelVar_MEFFTATGAT_i,
       modelVar_CBBTBOT_i,
       modelVar_CBBTSTI_i,
       modelVar_CBBTGAT_i,
       modelVar_FBBTRBOT_i,
       modelVar_FBBTRSTI_i,
       modelVar_FBBTRGAT_i,
       modelVar_STFBBTBOT_i,
       modelVar_STFBBTSTI_i,
       modelVar_STFBBTGAT_i,
       modelVar_VBRBOT_i,
       modelVar_VBRSTI_i,
       modelVar_VBRGAT_i,
       modelVar_PBRBOT_i,
       modelVar_PBRSTI_i,
       modelVar_PBRGAT_i,
       modelVar_SWJUNEXP_i,
       modelVar_VJUNREF_i,
       modelVar_FJUNQ_i,
       modelVar_phitr,
       modelVar_phitd,
       modelVar_phitdinv,
       modelVar_perfc,
       modelVar_berfc,
       modelVar_cerfc,
       modelVar_phigrbot,
       modelVar_phigrsti,
       modelVar_phigrgat,
       modelVar_phigdbot,
       modelVar_phigdsti,
       modelVar_phigdgat,
       modelVar_ftdbot,
       modelVar_ftdsti,
       modelVar_ftdgat,
       modelVar_idsatbot,
       modelVar_idsatsti,
       modelVar_idsatgat,
       modelVar_ubibot,
       modelVar_ubisti,
       modelVar_ubigat,
       modelVar_vbibot,
       modelVar_vbisti,
       modelVar_vbigat,
       modelVar_vbiinvbot,
       modelVar_vbiinvsti,
       modelVar_vbiinvgat,
       modelVar_one_minus_PBOT,
       modelVar_one_minus_PSTI,
       modelVar_one_minus_PGAT,
       modelVar_one_over_one_minus_PBOT,
       modelVar_one_over_one_minus_PSTI,
       modelVar_one_over_one_minus_PGAT,
       modelVar_cjobot,
       modelVar_cjosti,
       modelVar_cjogat,
       modelVar_qprefbot,
       modelVar_qprefsti,
       modelVar_qprefgat,
       modelVar_qpref2bot,
       modelVar_qpref2sti,
       modelVar_qpref2gat,
       modelVar_wdepnulrbot,
       modelVar_wdepnulrsti,
       modelVar_wdepnulrgat,
       modelVar_wdepnulrinvbot,
       modelVar_wdepnulrinvsti,
       modelVar_wdepnulrinvgat,
       modelVar_VBIRBOTinv,
       modelVar_VBIRSTIinv,
       modelVar_VBIRGATinv,
       modelVar_deltaEbot,
       modelVar_deltaEsti,
       modelVar_deltaEgat,
       modelVar_atatbot,
       modelVar_atatsti,
       modelVar_atatgat,
       modelVar_btatpartbot,
       modelVar_btatpartsti,
       modelVar_btatpartgat,
       modelVar_fbbtbot,
       modelVar_fbbtsti,
       modelVar_fbbtgat,
       modelVar_fstopbot,
       modelVar_fstopsti,
       modelVar_fstopgat,
       modelVar_VBRinvbot,
       modelVar_VBRinvsti,
       modelVar_VBRinvgat,
       modelVar_slopebot,
       modelVar_slopesti,
       modelVar_slopegat,
       modelVar_CJORBOTS_i,
       modelVar_CJORSTIS_i,
       modelVar_CJORGATS_i,
       modelVar_VBIRBOTS_i,
       modelVar_VBIRSTIS_i,
       modelVar_VBIRGATS_i,
       modelVar_PBOTS_i,
       modelVar_PSTIS_i,
       modelVar_PGATS_i,
       modelVar_PHIGBOTS_i,
       modelVar_PHIGSTIS_i,
       modelVar_PHIGGATS_i,
       modelVar_IDSATRBOTS_i,
       modelVar_IDSATRSTIS_i,
       modelVar_IDSATRGATS_i,
       modelVar_XJUNSTIS_i,
       modelVar_XJUNGATS_i,
       modelVar_CSRHBOTS_i,
       modelVar_CSRHSTIS_i,
       modelVar_CSRHGATS_i,
       modelVar_CTATBOTS_i,
       modelVar_CTATSTIS_i,
       modelVar_CTATGATS_i,
       modelVar_MEFFTATBOTS_i,
       modelVar_MEFFTATSTIS_i,
       modelVar_MEFFTATGATS_i,
       modelVar_CBBTBOTS_i,
       modelVar_CBBTSTIS_i,
       modelVar_CBBTGATS_i,
       modelVar_FBBTRBOTS_i,
       modelVar_FBBTRSTIS_i,
       modelVar_FBBTRGATS_i,
       modelVar_STFBBTBOTS_i,
       modelVar_STFBBTSTIS_i,
       modelVar_STFBBTGATS_i,
       modelVar_VBRBOTS_i,
       modelVar_VBRSTIS_i,
       modelVar_VBRGATS_i,
       modelVar_PBRBOTS_i,
       modelVar_PBRSTIS_i,
       modelVar_PBRGATS_i,
       modelVar_CJORBOTD_i,
       modelVar_CJORSTID_i,
       modelVar_CJORGATD_i,
       modelVar_VBIRBOTD_i,
       modelVar_VBIRSTID_i,
       modelVar_VBIRGATD_i,
       modelVar_PBOTD_i,
       modelVar_PSTID_i,
       modelVar_PGATD_i,
       modelVar_PHIGBOTD_i,
       modelVar_PHIGSTID_i,
       modelVar_PHIGGATD_i,
       modelVar_IDSATRBOTD_i,
       modelVar_IDSATRSTID_i,
       modelVar_IDSATRGATD_i,
       modelVar_XJUNSTID_i,
       modelVar_XJUNGATD_i,
       modelVar_CSRHBOTD_i,
       modelVar_CSRHSTID_i,
       modelVar_CSRHGATD_i,
       modelVar_CTATBOTD_i,
       modelVar_CTATSTID_i,
       modelVar_CTATGATD_i,
       modelVar_MEFFTATBOTD_i,
       modelVar_MEFFTATSTID_i,
       modelVar_MEFFTATGATD_i,
       modelVar_CBBTBOTD_i,
       modelVar_CBBTSTID_i,
       modelVar_CBBTGATD_i,
       modelVar_FBBTRBOTD_i,
       modelVar_FBBTRSTID_i,
       modelVar_FBBTRGATD_i,
       modelVar_STFBBTBOTD_i,
       modelVar_STFBBTSTID_i,
       modelVar_STFBBTGATD_i,
       modelVar_VBRBOTD_i,
       modelVar_VBRSTID_i,
       modelVar_VBRGATD_i,
       modelVar_PBRBOTD_i,
       modelVar_PBRSTID_i,
       modelVar_PBRGATD_i,
       modelVar_VJUNREFS_i,
       modelVar_FJUNQS_i,
       modelVar_VJUNREFD_i,
       modelVar_FJUNQD_i,
       modelVar_phigrbot_s,
       modelVar_phigrsti_s,
       modelVar_phigrgat_s,
       modelVar_phigdbot_s,
       modelVar_phigdsti_s,
       modelVar_phigdgat_s,
       modelVar_ftdbot_s,
       modelVar_ftdsti_s,
       modelVar_ftdgat_s,
       modelVar_idsatbot_s,
       modelVar_idsatsti_s,
       modelVar_idsatgat_s,
       modelVar_ubibot_s,
       modelVar_ubisti_s,
       modelVar_ubigat_s,
       modelVar_vbibot_s,
       modelVar_vbisti_s,
       modelVar_vbigat_s,
       modelVar_vbiinvbot_s,
       modelVar_vbiinvsti_s,
       modelVar_vbiinvgat_s,
       modelVar_one_minus_PBOT_s,
       modelVar_one_minus_PSTI_s,
       modelVar_one_minus_PGAT_s,
       modelVar_one_over_one_minus_PBOT_s,
       modelVar_one_over_one_minus_PSTI_s,
       modelVar_one_over_one_minus_PGAT_s,
       modelVar_cjobot_s,
       modelVar_cjosti_s,
       modelVar_cjogat_s,
       modelVar_qprefbot_s,
       modelVar_qprefsti_s,
       modelVar_qprefgat_s,
       modelVar_qpref2bot_s,
       modelVar_qpref2sti_s,
       modelVar_qpref2gat_s,
       modelVar_wdepnulrbot_s,
       modelVar_wdepnulrsti_s,
       modelVar_wdepnulrgat_s,
       modelVar_wdepnulrinvbot_s,
       modelVar_wdepnulrinvsti_s,
       modelVar_wdepnulrinvgat_s,
       modelVar_VBIRBOTinv_s,
       modelVar_VBIRSTIinv_s,
       modelVar_VBIRGATinv_s,
       modelVar_deltaEbot_s,
       modelVar_deltaEsti_s,
       modelVar_deltaEgat_s,
       modelVar_atatbot_s,
       modelVar_atatsti_s,
       modelVar_atatgat_s,
       modelVar_btatpartbot_s,
       modelVar_btatpartsti_s,
       modelVar_btatpartgat_s,
       modelVar_fbbtbot_s,
       modelVar_fbbtsti_s,
       modelVar_fbbtgat_s,
       modelVar_fstopbot_s,
       modelVar_fstopsti_s,
       modelVar_fstopgat_s,
       modelVar_VBRinvbot_s,
       modelVar_VBRinvsti_s,
       modelVar_VBRinvgat_s,
       modelVar_slopebot_s,
       modelVar_slopesti_s,
       modelVar_slopegat_s,
       modelVar_phigrbot_d,
       modelVar_phigrsti_d,
       modelVar_phigrgat_d,
       modelVar_phigdbot_d,
       modelVar_phigdsti_d,
       modelVar_phigdgat_d,
       modelVar_ftdbot_d,
       modelVar_ftdsti_d,
       modelVar_ftdgat_d,
       modelVar_idsatbot_d,
       modelVar_idsatsti_d,
       modelVar_idsatgat_d,
       modelVar_ubibot_d,
       modelVar_ubisti_d,
       modelVar_ubigat_d,
       modelVar_vbibot_d,
       modelVar_vbisti_d,
       modelVar_vbigat_d,
       modelVar_vbiinvbot_d,
       modelVar_vbiinvsti_d,
       modelVar_vbiinvgat_d,
       modelVar_one_minus_PBOT_d,
       modelVar_one_minus_PSTI_d,
       modelVar_one_minus_PGAT_d,
       modelVar_one_over_one_minus_PBOT_d,
       modelVar_one_over_one_minus_PSTI_d,
       modelVar_one_over_one_minus_PGAT_d,
       modelVar_cjobot_d,
       modelVar_cjosti_d,
       modelVar_cjogat_d,
       modelVar_qprefbot_d,
       modelVar_qprefsti_d,
       modelVar_qprefgat_d,
       modelVar_qpref2bot_d,
       modelVar_qpref2sti_d,
       modelVar_qpref2gat_d,
       modelVar_wdepnulrbot_d,
       modelVar_wdepnulrsti_d,
       modelVar_wdepnulrgat_d,
       modelVar_wdepnulrinvbot_d,
       modelVar_wdepnulrinvsti_d,
       modelVar_wdepnulrinvgat_d,
       modelVar_VBIRBOTinv_d,
       modelVar_VBIRSTIinv_d,
       modelVar_VBIRGATinv_d,
       modelVar_deltaEbot_d,
       modelVar_deltaEsti_d,
       modelVar_deltaEgat_d,
       modelVar_atatbot_d,
       modelVar_atatsti_d,
       modelVar_atatgat_d,
       modelVar_btatpartbot_d,
       modelVar_btatpartsti_d,
       modelVar_btatpartgat_d,
       modelVar_fbbtbot_d,
       modelVar_fbbtsti_d,
       modelVar_fbbtgat_d,
       modelVar_fstopbot_d,
       modelVar_fstopsti_d,
       modelVar_fstopgat_d,
       modelVar_VBRinvbot_d,
       modelVar_VBRinvsti_d,
       modelVar_VBRinvgat_d,
       modelVar_slopebot_d,
       modelVar_slopesti_d,
       modelVar_slopegat_d,
       // non-reals
       modelVar_CHNL_TYPE,
       modelVar_SWGEO_i,
       modelVar_SWIGATE_i,
       modelVar_SWIMPACT_i,
       modelVar_SWGIDL_i,
       modelVar_SWJUNCAP_i,
       modelVar_SWJUNASYM_i,
       modelVar_SWNUD_i,
       modelVar_SWDELVTAC_i,
       in.admsTemperature, in.adms_vt_nom);


    // Now call  the function that does the heavy lifting.

    evaluateModelEquations(
       probeVars,
       // probe constants
       in.admsProbeID_V_DI_BD,
       in.admsProbeID_V_SI_BS,
       in.admsProbeID_V_SI_BP,
       in.admsProbeID_V_DI_SI,
       in.admsProbeID_V_GP_SI,
       in.admsProbeID_V_B_BI,
       in.admsProbeID_V_BP_BI,
       in.admsProbeID_V_BD_BI,
       in.admsProbeID_V_BS_BI,
       in.admsProbeID_V_D_DI,
       in.admsProbeID_V_S_SI,
       in.admsProbeID_V_G_GP,

       // node constants
       in.admsNodeID_D,
       in.admsNodeID_G,
       in.admsNodeID_S,
       in.admsNodeID_B,
       in.admsNodeID_GP,
       in.admsNodeID_SI,
       in.admsNodeID_DI,
       in.admsNodeID_BI,
       in.admsNodeID_BP,
       in.admsNodeID_BS,
       in.admsNodeID_BD,
       // instance parameters
       // reals
       instancePar_L,
       instancePar_given_L,
       instancePar_W,
       instancePar_given_W,
       instancePar_SA,
       instancePar_given_SA,
       instancePar_SB,
       instancePar_given_SB,
       instancePar_SD,
       instancePar_given_SD,
       instancePar_SCA,
       instancePar_given_SCA,
       instancePar_SCB,
       instancePar_given_SCB,
       instancePar_SCC,
       instancePar_given_SCC,
       instancePar_SC,
       instancePar_given_SC,
       instancePar_NF,
       instancePar_given_NF,
       instancePar_NGCON,
       instancePar_given_NGCON,
       instancePar_XGW,
       instancePar_given_XGW,
       instancePar_NRS,
       instancePar_given_NRS,
       instancePar_NRD,
       instancePar_given_NRD,
       instancePar_JW,
       instancePar_given_JW,
       instancePar_DELVTO,
       instancePar_given_DELVTO,
       instancePar_FACTUO,
       instancePar_given_FACTUO,
       instancePar_ABSOURCE,
       instancePar_given_ABSOURCE,
       instancePar_LSSOURCE,
       instancePar_given_LSSOURCE,
       instancePar_LGSOURCE,
       instancePar_given_LGSOURCE,
       instancePar_ABDRAIN,
       instancePar_given_ABDRAIN,
       instancePar_LSDRAIN,
       instancePar_given_LSDRAIN,
       instancePar_LGDRAIN,
       instancePar_given_LGDRAIN,
       instancePar_AS,
       instancePar_given_AS,
       instancePar_PS,
       instancePar_given_PS,
       instancePar_AD,
       instancePar_given_AD,
       instancePar_PD,
       instancePar_given_PD,
       instancePar_MULT,
       instancePar_given_MULT,
       // instance variables
       // reals
       instanceVar_VFB_i,
       instanceVar_GFACNUD_i,
       instanceVar_VNSUB_i,
       instanceVar_NSLP_i,
       instanceVar_DNSUB_i,
       instanceVar_CF_i,
       instanceVar_CFB_i,
       instanceVar_MUE_i,
       instanceVar_THEMU_i,
       instanceVar_CS_i,
       instanceVar_XCOR_i,
       instanceVar_THER_i,
       instanceVar_RSB_i,
       instanceVar_RSG_i,
       instanceVar_THESAT_i,
       instanceVar_THESATB_i,
       instanceVar_THESATG_i,
       instanceVar_AX_i,
       instanceVar_ALP_i,
       instanceVar_ALP1_i,
       instanceVar_ALP2_i,
       instanceVar_A1_i,
       instanceVar_A2_i,
       instanceVar_A3_i,
       instanceVar_A4_i,
       instanceVar_IGINV_i,
       instanceVar_IGOV_i,
       instanceVar_IGOVD_i,
       instanceVar_GC2_i,
       instanceVar_GC3_i,
       instanceVar_CHIB_i,
       instanceVar_AGIDL_i,
       instanceVar_BGIDL_i,
       instanceVar_CGIDL_i,
       instanceVar_AGIDLD_i,
       instanceVar_BGIDLD_i,
       instanceVar_CGIDLD_i,
       instanceVar_COX_i,
       instanceVar_CGOV_i,
       instanceVar_CGOVD_i,
       instanceVar_CGBOV_i,
       instanceVar_CFR_i,
       instanceVar_CFRD_i,
       instanceVar_MULT_i,
       instanceVar_BET_i,
       instanceVar_kp,
       instanceVar_qq,
       instanceVar_qlim2,
       instanceVar_E_eff0,
       instanceVar_eta_mu,
       instanceVar_eta_mu1,
       instanceVar_BCH,
       instanceVar_BOV,
       instanceVar_inv_CHIB,
       instanceVar_GCQ,
       instanceVar_Dch,
       instanceVar_Dov,
       instanceVar_x1,
       instanceVar_Vdsat_lim,
       instanceVar_GOV_s,
       instanceVar_GOV_d,
       instanceVar_GOV2_s,
       instanceVar_GOV2_d,
       instanceVar_BOV_d,
       instanceVar_xi_ov_s,
       instanceVar_xi_ov_d,
       instanceVar_inv_xi_ov_s,
       instanceVar_inv_xi_ov_d,
       instanceVar_x_mrg_ov_s,
       instanceVar_x_mrg_ov_d,
       instanceVar_inv_xg1_s,
       instanceVar_inv_xg1_d,
       instanceVar_phit1,
       instanceVar_inv_phit1,
       instanceVar_alpha_b,
       instanceVar_inv_VP,
       instanceVar_inv_AX,
       instanceVar_us1,
       instanceVar_us21,
       instanceVar_phib_dc,
       instanceVar_sqrt_phib_dc,
       instanceVar_G_0_dc,
       instanceVar_aphi_dc,
       instanceVar_bphi_dc,
       instanceVar_phix_dc,
       instanceVar_phix1_dc,
       instanceVar_phib_ac,
       instanceVar_sqrt_phib_ac,
       instanceVar_G_0_ac,
       instanceVar_aphi_ac,
       instanceVar_bphi_ac,
       instanceVar_phix_ac,
       instanceVar_phix1_ac,
       instanceVar_RG_i,
       instanceVar_RSE_i,
       instanceVar_RDE_i,
       instanceVar_RBULK_i,
       instanceVar_RWELL_i,
       instanceVar_RJUNS_i,
       instanceVar_RJUND_i,
       instanceVar_ggate,
       instanceVar_gsource,
       instanceVar_gdrain,
       instanceVar_gbulk,
       instanceVar_gwell,
       instanceVar_gjund,
       instanceVar_gjuns,
       instanceVar_tmpv,
       instanceVar_vjv,
       instanceVar_idmult,
       instanceVar_vj,
       instanceVar_zinv,
       instanceVar_vjsrh,
       instanceVar_vav,
       instanceVar_vbi_minus_vjsrh,
       instanceVar_wsrh,
       instanceVar_wdep,
       instanceVar_asrh,
       instanceVar_ABSOURCE_i,
       instanceVar_LSSOURCE_i,
       instanceVar_LGSOURCE_i,
       instanceVar_zflagbot_s,
       instanceVar_zflagsti_s,
       instanceVar_zflaggat_s,
       instanceVar_VMAX_s,
       instanceVar_exp_VMAX_over_phitd_s,
       instanceVar_vbimin_s,
       instanceVar_vch_s,
       instanceVar_vfmin_s,
       instanceVar_vbbtlim_s,
       instanceVar_ijunbot_s,
       instanceVar_qjunbot_s,
       instanceVar_ijunsti_s,
       instanceVar_qjunsti_s,
       instanceVar_ijungat_s,
       instanceVar_qjungat_s,
       instanceVar_ijun_s,
       instanceVar_qjun_s,
       instanceVar_xhighf1_s,
       instanceVar_expxhf1_s,
       instanceVar_xhighf2_s,
       instanceVar_expxhf2_s,
       instanceVar_xhighr_s,
       instanceVar_expxhr_s,
       instanceVar_m0flag_s,
       instanceVar_ISATFOR1_s,
       instanceVar_MFOR1_s,
       instanceVar_ISATFOR2_s,
       instanceVar_MFOR2_s,
       instanceVar_ISATREV_s,
       instanceVar_MREV_s,
       instanceVar_ABDRAIN_i,
       instanceVar_LSDRAIN_i,
       instanceVar_LGDRAIN_i,
       instanceVar_zflagbot_d,
       instanceVar_zflagsti_d,
       instanceVar_zflaggat_d,
       instanceVar_VMAX_d,
       instanceVar_exp_VMAX_over_phitd_d,
       instanceVar_vbimin_d,
       instanceVar_vch_d,
       instanceVar_vfmin_d,
       instanceVar_vbbtlim_d,
       instanceVar_ijunbot_d,
       instanceVar_qjunbot_d,
       instanceVar_ijunsti_d,
       instanceVar_qjunsti_d,
       instanceVar_ijungat_d,
       instanceVar_qjungat_d,
       instanceVar_ijun_d,
       instanceVar_qjun_d,
       instanceVar_xhighf1_d,
       instanceVar_expxhf1_d,
       instanceVar_xhighf2_d,
       instanceVar_expxhf2_d,
       instanceVar_xhighr_d,
       instanceVar_expxhr_d,
       instanceVar_m0flag_d,
       instanceVar_ISATFOR1_d,
       instanceVar_MFOR1_d,
       instanceVar_ISATFOR2_d,
       instanceVar_MFOR2_d,
       instanceVar_ISATREV_d,
       instanceVar_MREV_d,
       // model parameters
       // reals
       modelPar_LEVEL,
       modelPar_given_LEVEL,
       modelPar_TYPE,
       modelPar_given_TYPE,
       modelPar_TR,
       modelPar_given_TR,
       modelPar_SWGEO,
       modelPar_given_SWGEO,
       modelPar_SWIGATE,
       modelPar_given_SWIGATE,
       modelPar_SWIMPACT,
       modelPar_given_SWIMPACT,
       modelPar_SWGIDL,
       modelPar_given_SWGIDL,
       modelPar_SWJUNCAP,
       modelPar_given_SWJUNCAP,
       modelPar_SWJUNASYM,
       modelPar_given_SWJUNASYM,
       modelPar_SWNUD,
       modelPar_given_SWNUD,
       modelPar_SWDELVTAC,
       modelPar_given_SWDELVTAC,
       modelPar_QMC,
       modelPar_given_QMC,
       modelPar_VFB,
       modelPar_given_VFB,
       modelPar_STVFB,
       modelPar_given_STVFB,
       modelPar_TOX,
       modelPar_given_TOX,
       modelPar_EPSROX,
       modelPar_given_EPSROX,
       modelPar_NEFF,
       modelPar_given_NEFF,
       modelPar_FACNEFFAC,
       modelPar_given_FACNEFFAC,
       modelPar_GFACNUD,
       modelPar_given_GFACNUD,
       modelPar_VSBNUD,
       modelPar_given_VSBNUD,
       modelPar_DVSBNUD,
       modelPar_given_DVSBNUD,
       modelPar_VNSUB,
       modelPar_given_VNSUB,
       modelPar_NSLP,
       modelPar_given_NSLP,
       modelPar_DNSUB,
       modelPar_given_DNSUB,
       modelPar_DPHIB,
       modelPar_given_DPHIB,
       modelPar_DELVTAC,
       modelPar_given_DELVTAC,
       modelPar_NP,
       modelPar_given_NP,
       modelPar_CT,
       modelPar_given_CT,
       modelPar_TOXOV,
       modelPar_given_TOXOV,
       modelPar_TOXOVD,
       modelPar_given_TOXOVD,
       modelPar_NOV,
       modelPar_given_NOV,
       modelPar_NOVD,
       modelPar_given_NOVD,
       modelPar_CF,
       modelPar_given_CF,
       modelPar_CFB,
       modelPar_given_CFB,
       modelPar_BETN,
       modelPar_given_BETN,
       modelPar_STBET,
       modelPar_given_STBET,
       modelPar_MUE,
       modelPar_given_MUE,
       modelPar_STMUE,
       modelPar_given_STMUE,
       modelPar_THEMU,
       modelPar_given_THEMU,
       modelPar_STTHEMU,
       modelPar_given_STTHEMU,
       modelPar_CS,
       modelPar_given_CS,
       modelPar_STCS,
       modelPar_given_STCS,
       modelPar_XCOR,
       modelPar_given_XCOR,
       modelPar_STXCOR,
       modelPar_given_STXCOR,
       modelPar_FETA,
       modelPar_given_FETA,
       modelPar_RS,
       modelPar_given_RS,
       modelPar_STRS,
       modelPar_given_STRS,
       modelPar_RSB,
       modelPar_given_RSB,
       modelPar_RSG,
       modelPar_given_RSG,
       modelPar_THESAT,
       modelPar_given_THESAT,
       modelPar_STTHESAT,
       modelPar_given_STTHESAT,
       modelPar_THESATB,
       modelPar_given_THESATB,
       modelPar_THESATG,
       modelPar_given_THESATG,
       modelPar_AX,
       modelPar_given_AX,
       modelPar_ALP,
       modelPar_given_ALP,
       modelPar_ALP1,
       modelPar_given_ALP1,
       modelPar_ALP2,
       modelPar_given_ALP2,
       modelPar_VP,
       modelPar_given_VP,
       modelPar_A1,
       modelPar_given_A1,
       modelPar_A2,
       modelPar_given_A2,
       modelPar_STA2,
       modelPar_given_STA2,
       modelPar_A3,
       modelPar_given_A3,
       modelPar_A4,
       modelPar_given_A4,
       modelPar_GCO,
       modelPar_given_GCO,
       modelPar_IGINV,
       modelPar_given_IGINV,
       modelPar_IGOV,
       modelPar_given_IGOV,
       modelPar_IGOVD,
       modelPar_given_IGOVD,
       modelPar_STIG,
       modelPar_given_STIG,
       modelPar_GC2,
       modelPar_given_GC2,
       modelPar_GC3,
       modelPar_given_GC3,
       modelPar_CHIB,
       modelPar_given_CHIB,
       modelPar_AGIDL,
       modelPar_given_AGIDL,
       modelPar_AGIDLD,
       modelPar_given_AGIDLD,
       modelPar_BGIDL,
       modelPar_given_BGIDL,
       modelPar_BGIDLD,
       modelPar_given_BGIDLD,
       modelPar_STBGIDL,
       modelPar_given_STBGIDL,
       modelPar_STBGIDLD,
       modelPar_given_STBGIDLD,
       modelPar_CGIDL,
       modelPar_given_CGIDL,
       modelPar_CGIDLD,
       modelPar_given_CGIDLD,
       modelPar_COX,
       modelPar_given_COX,
       modelPar_CGOV,
       modelPar_given_CGOV,
       modelPar_CGOVD,
       modelPar_given_CGOVD,
       modelPar_CGBOV,
       modelPar_given_CGBOV,
       modelPar_CFR,
       modelPar_given_CFR,
       modelPar_CFRD,
       modelPar_given_CFRD,
       modelPar_FNT,
       modelPar_given_FNT,
       modelPar_NFA,
       modelPar_given_NFA,
       modelPar_NFB,
       modelPar_given_NFB,
       modelPar_NFC,
       modelPar_given_NFC,
       modelPar_EF,
       modelPar_given_EF,
       modelPar_RG,
       modelPar_given_RG,
       modelPar_RSE,
       modelPar_given_RSE,
       modelPar_RDE,
       modelPar_given_RDE,
       modelPar_RBULK,
       modelPar_given_RBULK,
       modelPar_RWELL,
       modelPar_given_RWELL,
       modelPar_RJUNS,
       modelPar_given_RJUNS,
       modelPar_RJUND,
       modelPar_given_RJUND,
       modelPar_POVFB,
       modelPar_given_POVFB,
       modelPar_PLVFB,
       modelPar_given_PLVFB,
       modelPar_PWVFB,
       modelPar_given_PWVFB,
       modelPar_PLWVFB,
       modelPar_given_PLWVFB,
       modelPar_POSTVFB,
       modelPar_given_POSTVFB,
       modelPar_PLSTVFB,
       modelPar_given_PLSTVFB,
       modelPar_PWSTVFB,
       modelPar_given_PWSTVFB,
       modelPar_PLWSTVFB,
       modelPar_given_PLWSTVFB,
       modelPar_POTOX,
       modelPar_given_POTOX,
       modelPar_POEPSROX,
       modelPar_given_POEPSROX,
       modelPar_PONEFF,
       modelPar_given_PONEFF,
       modelPar_PLNEFF,
       modelPar_given_PLNEFF,
       modelPar_PWNEFF,
       modelPar_given_PWNEFF,
       modelPar_PLWNEFF,
       modelPar_given_PLWNEFF,
       modelPar_POFACNEFFAC,
       modelPar_given_POFACNEFFAC,
       modelPar_PLFACNEFFAC,
       modelPar_given_PLFACNEFFAC,
       modelPar_PWFACNEFFAC,
       modelPar_given_PWFACNEFFAC,
       modelPar_PLWFACNEFFAC,
       modelPar_given_PLWFACNEFFAC,
       modelPar_POGFACNUD,
       modelPar_given_POGFACNUD,
       modelPar_PLGFACNUD,
       modelPar_given_PLGFACNUD,
       modelPar_PWGFACNUD,
       modelPar_given_PWGFACNUD,
       modelPar_PLWGFACNUD,
       modelPar_given_PLWGFACNUD,
       modelPar_POVSBNUD,
       modelPar_given_POVSBNUD,
       modelPar_PODVSBNUD,
       modelPar_given_PODVSBNUD,
       modelPar_POVNSUB,
       modelPar_given_POVNSUB,
       modelPar_PONSLP,
       modelPar_given_PONSLP,
       modelPar_PODNSUB,
       modelPar_given_PODNSUB,
       modelPar_PODPHIB,
       modelPar_given_PODPHIB,
       modelPar_PLDPHIB,
       modelPar_given_PLDPHIB,
       modelPar_PWDPHIB,
       modelPar_given_PWDPHIB,
       modelPar_PLWDPHIB,
       modelPar_given_PLWDPHIB,
       modelPar_PODELVTAC,
       modelPar_given_PODELVTAC,
       modelPar_PLDELVTAC,
       modelPar_given_PLDELVTAC,
       modelPar_PWDELVTAC,
       modelPar_given_PWDELVTAC,
       modelPar_PLWDELVTAC,
       modelPar_given_PLWDELVTAC,
       modelPar_PONP,
       modelPar_given_PONP,
       modelPar_PLNP,
       modelPar_given_PLNP,
       modelPar_PWNP,
       modelPar_given_PWNP,
       modelPar_PLWNP,
       modelPar_given_PLWNP,
       modelPar_POCT,
       modelPar_given_POCT,
       modelPar_PLCT,
       modelPar_given_PLCT,
       modelPar_PWCT,
       modelPar_given_PWCT,
       modelPar_PLWCT,
       modelPar_given_PLWCT,
       modelPar_POTOXOV,
       modelPar_given_POTOXOV,
       modelPar_POTOXOVD,
       modelPar_given_POTOXOVD,
       modelPar_PONOV,
       modelPar_given_PONOV,
       modelPar_PLNOV,
       modelPar_given_PLNOV,
       modelPar_PWNOV,
       modelPar_given_PWNOV,
       modelPar_PLWNOV,
       modelPar_given_PLWNOV,
       modelPar_PONOVD,
       modelPar_given_PONOVD,
       modelPar_PLNOVD,
       modelPar_given_PLNOVD,
       modelPar_PWNOVD,
       modelPar_given_PWNOVD,
       modelPar_PLWNOVD,
       modelPar_given_PLWNOVD,
       modelPar_POCF,
       modelPar_given_POCF,
       modelPar_PLCF,
       modelPar_given_PLCF,
       modelPar_PWCF,
       modelPar_given_PWCF,
       modelPar_PLWCF,
       modelPar_given_PLWCF,
       modelPar_POCFB,
       modelPar_given_POCFB,
       modelPar_POBETN,
       modelPar_given_POBETN,
       modelPar_PLBETN,
       modelPar_given_PLBETN,
       modelPar_PWBETN,
       modelPar_given_PWBETN,
       modelPar_PLWBETN,
       modelPar_given_PLWBETN,
       modelPar_POSTBET,
       modelPar_given_POSTBET,
       modelPar_PLSTBET,
       modelPar_given_PLSTBET,
       modelPar_PWSTBET,
       modelPar_given_PWSTBET,
       modelPar_PLWSTBET,
       modelPar_given_PLWSTBET,
       modelPar_POMUE,
       modelPar_given_POMUE,
       modelPar_PLMUE,
       modelPar_given_PLMUE,
       modelPar_PWMUE,
       modelPar_given_PWMUE,
       modelPar_PLWMUE,
       modelPar_given_PLWMUE,
       modelPar_POSTMUE,
       modelPar_given_POSTMUE,
       modelPar_POTHEMU,
       modelPar_given_POTHEMU,
       modelPar_POSTTHEMU,
       modelPar_given_POSTTHEMU,
       modelPar_POCS,
       modelPar_given_POCS,
       modelPar_PLCS,
       modelPar_given_PLCS,
       modelPar_PWCS,
       modelPar_given_PWCS,
       modelPar_PLWCS,
       modelPar_given_PLWCS,
       modelPar_POSTCS,
       modelPar_given_POSTCS,
       modelPar_POXCOR,
       modelPar_given_POXCOR,
       modelPar_PLXCOR,
       modelPar_given_PLXCOR,
       modelPar_PWXCOR,
       modelPar_given_PWXCOR,
       modelPar_PLWXCOR,
       modelPar_given_PLWXCOR,
       modelPar_POSTXCOR,
       modelPar_given_POSTXCOR,
       modelPar_POFETA,
       modelPar_given_POFETA,
       modelPar_PORS,
       modelPar_given_PORS,
       modelPar_PLRS,
       modelPar_given_PLRS,
       modelPar_PWRS,
       modelPar_given_PWRS,
       modelPar_PLWRS,
       modelPar_given_PLWRS,
       modelPar_POSTRS,
       modelPar_given_POSTRS,
       modelPar_PORSB,
       modelPar_given_PORSB,
       modelPar_PORSG,
       modelPar_given_PORSG,
       modelPar_POTHESAT,
       modelPar_given_POTHESAT,
       modelPar_PLTHESAT,
       modelPar_given_PLTHESAT,
       modelPar_PWTHESAT,
       modelPar_given_PWTHESAT,
       modelPar_PLWTHESAT,
       modelPar_given_PLWTHESAT,
       modelPar_POSTTHESAT,
       modelPar_given_POSTTHESAT,
       modelPar_PLSTTHESAT,
       modelPar_given_PLSTTHESAT,
       modelPar_PWSTTHESAT,
       modelPar_given_PWSTTHESAT,
       modelPar_PLWSTTHESAT,
       modelPar_given_PLWSTTHESAT,
       modelPar_POTHESATB,
       modelPar_given_POTHESATB,
       modelPar_PLTHESATB,
       modelPar_given_PLTHESATB,
       modelPar_PWTHESATB,
       modelPar_given_PWTHESATB,
       modelPar_PLWTHESATB,
       modelPar_given_PLWTHESATB,
       modelPar_POTHESATG,
       modelPar_given_POTHESATG,
       modelPar_PLTHESATG,
       modelPar_given_PLTHESATG,
       modelPar_PWTHESATG,
       modelPar_given_PWTHESATG,
       modelPar_PLWTHESATG,
       modelPar_given_PLWTHESATG,
       modelPar_POAX,
       modelPar_given_POAX,
       modelPar_PLAX,
       modelPar_given_PLAX,
       modelPar_PWAX,
       modelPar_given_PWAX,
       modelPar_PLWAX,
       modelPar_given_PLWAX,
       modelPar_POALP,
       modelPar_given_POALP,
       modelPar_PLALP,
       modelPar_given_PLALP,
       modelPar_PWALP,
       modelPar_given_PWALP,
       modelPar_PLWALP,
       modelPar_given_PLWALP,
       modelPar_POALP1,
       modelPar_given_POALP1,
       modelPar_PLALP1,
       modelPar_given_PLALP1,
       modelPar_PWALP1,
       modelPar_given_PWALP1,
       modelPar_PLWALP1,
       modelPar_given_PLWALP1,
       modelPar_POALP2,
       modelPar_given_POALP2,
       modelPar_PLALP2,
       modelPar_given_PLALP2,
       modelPar_PWALP2,
       modelPar_given_PWALP2,
       modelPar_PLWALP2,
       modelPar_given_PLWALP2,
       modelPar_POVP,
       modelPar_given_POVP,
       modelPar_POA1,
       modelPar_given_POA1,
       modelPar_PLA1,
       modelPar_given_PLA1,
       modelPar_PWA1,
       modelPar_given_PWA1,
       modelPar_PLWA1,
       modelPar_given_PLWA1,
       modelPar_POA2,
       modelPar_given_POA2,
       modelPar_POSTA2,
       modelPar_given_POSTA2,
       modelPar_POA3,
       modelPar_given_POA3,
       modelPar_PLA3,
       modelPar_given_PLA3,
       modelPar_PWA3,
       modelPar_given_PWA3,
       modelPar_PLWA3,
       modelPar_given_PLWA3,
       modelPar_POA4,
       modelPar_given_POA4,
       modelPar_PLA4,
       modelPar_given_PLA4,
       modelPar_PWA4,
       modelPar_given_PWA4,
       modelPar_PLWA4,
       modelPar_given_PLWA4,
       modelPar_POGCO,
       modelPar_given_POGCO,
       modelPar_POIGINV,
       modelPar_given_POIGINV,
       modelPar_PLIGINV,
       modelPar_given_PLIGINV,
       modelPar_PWIGINV,
       modelPar_given_PWIGINV,
       modelPar_PLWIGINV,
       modelPar_given_PLWIGINV,
       modelPar_POIGOV,
       modelPar_given_POIGOV,
       modelPar_PLIGOV,
       modelPar_given_PLIGOV,
       modelPar_PWIGOV,
       modelPar_given_PWIGOV,
       modelPar_PLWIGOV,
       modelPar_given_PLWIGOV,
       modelPar_POIGOVD,
       modelPar_given_POIGOVD,
       modelPar_PLIGOVD,
       modelPar_given_PLIGOVD,
       modelPar_PWIGOVD,
       modelPar_given_PWIGOVD,
       modelPar_PLWIGOVD,
       modelPar_given_PLWIGOVD,
       modelPar_POSTIG,
       modelPar_given_POSTIG,
       modelPar_POGC2,
       modelPar_given_POGC2,
       modelPar_POGC3,
       modelPar_given_POGC3,
       modelPar_POCHIB,
       modelPar_given_POCHIB,
       modelPar_POAGIDL,
       modelPar_given_POAGIDL,
       modelPar_PLAGIDL,
       modelPar_given_PLAGIDL,
       modelPar_PWAGIDL,
       modelPar_given_PWAGIDL,
       modelPar_PLWAGIDL,
       modelPar_given_PLWAGIDL,
       modelPar_POAGIDLD,
       modelPar_given_POAGIDLD,
       modelPar_PLAGIDLD,
       modelPar_given_PLAGIDLD,
       modelPar_PWAGIDLD,
       modelPar_given_PWAGIDLD,
       modelPar_PLWAGIDLD,
       modelPar_given_PLWAGIDLD,
       modelPar_POBGIDL,
       modelPar_given_POBGIDL,
       modelPar_POBGIDLD,
       modelPar_given_POBGIDLD,
       modelPar_POSTBGIDL,
       modelPar_given_POSTBGIDL,
       modelPar_POSTBGIDLD,
       modelPar_given_POSTBGIDLD,
       modelPar_POCGIDL,
       modelPar_given_POCGIDL,
       modelPar_POCGIDLD,
       modelPar_given_POCGIDLD,
       modelPar_POCOX,
       modelPar_given_POCOX,
       modelPar_PLCOX,
       modelPar_given_PLCOX,
       modelPar_PWCOX,
       modelPar_given_PWCOX,
       modelPar_PLWCOX,
       modelPar_given_PLWCOX,
       modelPar_POCGOV,
       modelPar_given_POCGOV,
       modelPar_PLCGOV,
       modelPar_given_PLCGOV,
       modelPar_PWCGOV,
       modelPar_given_PWCGOV,
       modelPar_PLWCGOV,
       modelPar_given_PLWCGOV,
       modelPar_POCGOVD,
       modelPar_given_POCGOVD,
       modelPar_PLCGOVD,
       modelPar_given_PLCGOVD,
       modelPar_PWCGOVD,
       modelPar_given_PWCGOVD,
       modelPar_PLWCGOVD,
       modelPar_given_PLWCGOVD,
       modelPar_POCGBOV,
       modelPar_given_POCGBOV,
       modelPar_PLCGBOV,
       modelPar_given_PLCGBOV,
       modelPar_PWCGBOV,
       modelPar_given_PWCGBOV,
       modelPar_PLWCGBOV,
       modelPar_given_PLWCGBOV,
       modelPar_POCFR,
       modelPar_given_POCFR,
       modelPar_PLCFR,
       modelPar_given_PLCFR,
       modelPar_PWCFR,
       modelPar_given_PWCFR,
       modelPar_PLWCFR,
       modelPar_given_PLWCFR,
       modelPar_POCFRD,
       modelPar_given_POCFRD,
       modelPar_PLCFRD,
       modelPar_given_PLCFRD,
       modelPar_PWCFRD,
       modelPar_given_PWCFRD,
       modelPar_PLWCFRD,
       modelPar_given_PLWCFRD,
       modelPar_POFNT,
       modelPar_given_POFNT,
       modelPar_PONFA,
       modelPar_given_PONFA,
       modelPar_PLNFA,
       modelPar_given_PLNFA,
       modelPar_PWNFA,
       modelPar_given_PWNFA,
       modelPar_PLWNFA,
       modelPar_given_PLWNFA,
       modelPar_PONFB,
       modelPar_given_PONFB,
       modelPar_PLNFB,
       modelPar_given_PLNFB,
       modelPar_PWNFB,
       modelPar_given_PWNFB,
       modelPar_PLWNFB,
       modelPar_given_PLWNFB,
       modelPar_PONFC,
       modelPar_given_PONFC,
       modelPar_PLNFC,
       modelPar_given_PLNFC,
       modelPar_PWNFC,
       modelPar_given_PWNFC,
       modelPar_PLWNFC,
       modelPar_given_PLWNFC,
       modelPar_POEF,
       modelPar_given_POEF,
       modelPar_POKVTHOWE,
       modelPar_given_POKVTHOWE,
       modelPar_PLKVTHOWE,
       modelPar_given_PLKVTHOWE,
       modelPar_PWKVTHOWE,
       modelPar_given_PWKVTHOWE,
       modelPar_PLWKVTHOWE,
       modelPar_given_PLWKVTHOWE,
       modelPar_POKUOWE,
       modelPar_given_POKUOWE,
       modelPar_PLKUOWE,
       modelPar_given_PLKUOWE,
       modelPar_PWKUOWE,
       modelPar_given_PWKUOWE,
       modelPar_PLWKUOWE,
       modelPar_given_PLWKUOWE,
       modelPar_LMIN,
       modelPar_given_LMIN,
       modelPar_LMAX,
       modelPar_given_LMAX,
       modelPar_WMIN,
       modelPar_given_WMIN,
       modelPar_WMAX,
       modelPar_given_WMAX,
       modelPar_LVARO,
       modelPar_given_LVARO,
       modelPar_LVARL,
       modelPar_given_LVARL,
       modelPar_LVARW,
       modelPar_given_LVARW,
       modelPar_LAP,
       modelPar_given_LAP,
       modelPar_WVARO,
       modelPar_given_WVARO,
       modelPar_WVARL,
       modelPar_given_WVARL,
       modelPar_WVARW,
       modelPar_given_WVARW,
       modelPar_WOT,
       modelPar_given_WOT,
       modelPar_DLQ,
       modelPar_given_DLQ,
       modelPar_DWQ,
       modelPar_given_DWQ,
       modelPar_VFBO,
       modelPar_given_VFBO,
       modelPar_VFBL,
       modelPar_given_VFBL,
       modelPar_VFBW,
       modelPar_given_VFBW,
       modelPar_VFBLW,
       modelPar_given_VFBLW,
       modelPar_STVFBO,
       modelPar_given_STVFBO,
       modelPar_STVFBL,
       modelPar_given_STVFBL,
       modelPar_STVFBW,
       modelPar_given_STVFBW,
       modelPar_STVFBLW,
       modelPar_given_STVFBLW,
       modelPar_TOXO,
       modelPar_given_TOXO,
       modelPar_EPSROXO,
       modelPar_given_EPSROXO,
       modelPar_NSUBO,
       modelPar_given_NSUBO,
       modelPar_NSUBW,
       modelPar_given_NSUBW,
       modelPar_WSEG,
       modelPar_given_WSEG,
       modelPar_NPCK,
       modelPar_given_NPCK,
       modelPar_NPCKW,
       modelPar_given_NPCKW,
       modelPar_WSEGP,
       modelPar_given_WSEGP,
       modelPar_LPCK,
       modelPar_given_LPCK,
       modelPar_LPCKW,
       modelPar_given_LPCKW,
       modelPar_FOL1,
       modelPar_given_FOL1,
       modelPar_FOL2,
       modelPar_given_FOL2,
       modelPar_FACNEFFACO,
       modelPar_given_FACNEFFACO,
       modelPar_FACNEFFACL,
       modelPar_given_FACNEFFACL,
       modelPar_FACNEFFACW,
       modelPar_given_FACNEFFACW,
       modelPar_FACNEFFACLW,
       modelPar_given_FACNEFFACLW,
       modelPar_GFACNUDO,
       modelPar_given_GFACNUDO,
       modelPar_GFACNUDL,
       modelPar_given_GFACNUDL,
       modelPar_GFACNUDLEXP,
       modelPar_given_GFACNUDLEXP,
       modelPar_GFACNUDW,
       modelPar_given_GFACNUDW,
       modelPar_GFACNUDLW,
       modelPar_given_GFACNUDLW,
       modelPar_VSBNUDO,
       modelPar_given_VSBNUDO,
       modelPar_DVSBNUDO,
       modelPar_given_DVSBNUDO,
       modelPar_VNSUBO,
       modelPar_given_VNSUBO,
       modelPar_NSLPO,
       modelPar_given_NSLPO,
       modelPar_DNSUBO,
       modelPar_given_DNSUBO,
       modelPar_DPHIBO,
       modelPar_given_DPHIBO,
       modelPar_DPHIBL,
       modelPar_given_DPHIBL,
       modelPar_DPHIBLEXP,
       modelPar_given_DPHIBLEXP,
       modelPar_DPHIBW,
       modelPar_given_DPHIBW,
       modelPar_DPHIBLW,
       modelPar_given_DPHIBLW,
       modelPar_DELVTACO,
       modelPar_given_DELVTACO,
       modelPar_DELVTACL,
       modelPar_given_DELVTACL,
       modelPar_DELVTACLEXP,
       modelPar_given_DELVTACLEXP,
       modelPar_DELVTACW,
       modelPar_given_DELVTACW,
       modelPar_DELVTACLW,
       modelPar_given_DELVTACLW,
       modelPar_NPO,
       modelPar_given_NPO,
       modelPar_NPL,
       modelPar_given_NPL,
       modelPar_CTO,
       modelPar_given_CTO,
       modelPar_CTL,
       modelPar_given_CTL,
       modelPar_CTLEXP,
       modelPar_given_CTLEXP,
       modelPar_CTW,
       modelPar_given_CTW,
       modelPar_CTLW,
       modelPar_given_CTLW,
       modelPar_TOXOVO,
       modelPar_given_TOXOVO,
       modelPar_TOXOVDO,
       modelPar_given_TOXOVDO,
       modelPar_LOV,
       modelPar_given_LOV,
       modelPar_LOVD,
       modelPar_given_LOVD,
       modelPar_NOVO,
       modelPar_given_NOVO,
       modelPar_NOVDO,
       modelPar_given_NOVDO,
       modelPar_CFL,
       modelPar_given_CFL,
       modelPar_CFLEXP,
       modelPar_given_CFLEXP,
       modelPar_CFW,
       modelPar_given_CFW,
       modelPar_CFBO,
       modelPar_given_CFBO,
       modelPar_UO,
       modelPar_given_UO,
       modelPar_FBET1,
       modelPar_given_FBET1,
       modelPar_FBET1W,
       modelPar_given_FBET1W,
       modelPar_LP1,
       modelPar_given_LP1,
       modelPar_LP1W,
       modelPar_given_LP1W,
       modelPar_FBET2,
       modelPar_given_FBET2,
       modelPar_LP2,
       modelPar_given_LP2,
       modelPar_BETW1,
       modelPar_given_BETW1,
       modelPar_BETW2,
       modelPar_given_BETW2,
       modelPar_WBET,
       modelPar_given_WBET,
       modelPar_STBETO,
       modelPar_given_STBETO,
       modelPar_STBETL,
       modelPar_given_STBETL,
       modelPar_STBETW,
       modelPar_given_STBETW,
       modelPar_STBETLW,
       modelPar_given_STBETLW,
       modelPar_MUEO,
       modelPar_given_MUEO,
       modelPar_MUEW,
       modelPar_given_MUEW,
       modelPar_STMUEO,
       modelPar_given_STMUEO,
       modelPar_THEMUO,
       modelPar_given_THEMUO,
       modelPar_STTHEMUO,
       modelPar_given_STTHEMUO,
       modelPar_CSO,
       modelPar_given_CSO,
       modelPar_CSL,
       modelPar_given_CSL,
       modelPar_CSLEXP,
       modelPar_given_CSLEXP,
       modelPar_CSW,
       modelPar_given_CSW,
       modelPar_CSLW,
       modelPar_given_CSLW,
       modelPar_STCSO,
       modelPar_given_STCSO,
       modelPar_XCORO,
       modelPar_given_XCORO,
       modelPar_XCORL,
       modelPar_given_XCORL,
       modelPar_XCORW,
       modelPar_given_XCORW,
       modelPar_XCORLW,
       modelPar_given_XCORLW,
       modelPar_STXCORO,
       modelPar_given_STXCORO,
       modelPar_FETAO,
       modelPar_given_FETAO,
       modelPar_RSW1,
       modelPar_given_RSW1,
       modelPar_RSW2,
       modelPar_given_RSW2,
       modelPar_STRSO,
       modelPar_given_STRSO,
       modelPar_RSBO,
       modelPar_given_RSBO,
       modelPar_RSGO,
       modelPar_given_RSGO,
       modelPar_THESATO,
       modelPar_given_THESATO,
       modelPar_THESATL,
       modelPar_given_THESATL,
       modelPar_THESATLEXP,
       modelPar_given_THESATLEXP,
       modelPar_THESATW,
       modelPar_given_THESATW,
       modelPar_THESATLW,
       modelPar_given_THESATLW,
       modelPar_STTHESATO,
       modelPar_given_STTHESATO,
       modelPar_STTHESATL,
       modelPar_given_STTHESATL,
       modelPar_STTHESATW,
       modelPar_given_STTHESATW,
       modelPar_STTHESATLW,
       modelPar_given_STTHESATLW,
       modelPar_THESATBO,
       modelPar_given_THESATBO,
       modelPar_THESATGO,
       modelPar_given_THESATGO,
       modelPar_AXO,
       modelPar_given_AXO,
       modelPar_AXL,
       modelPar_given_AXL,
       modelPar_ALPL,
       modelPar_given_ALPL,
       modelPar_ALPLEXP,
       modelPar_given_ALPLEXP,
       modelPar_ALPW,
       modelPar_given_ALPW,
       modelPar_ALP1L1,
       modelPar_given_ALP1L1,
       modelPar_ALP1LEXP,
       modelPar_given_ALP1LEXP,
       modelPar_ALP1L2,
       modelPar_given_ALP1L2,
       modelPar_ALP1W,
       modelPar_given_ALP1W,
       modelPar_ALP2L1,
       modelPar_given_ALP2L1,
       modelPar_ALP2LEXP,
       modelPar_given_ALP2LEXP,
       modelPar_ALP2L2,
       modelPar_given_ALP2L2,
       modelPar_ALP2W,
       modelPar_given_ALP2W,
       modelPar_VPO,
       modelPar_given_VPO,
       modelPar_A1O,
       modelPar_given_A1O,
       modelPar_A1L,
       modelPar_given_A1L,
       modelPar_A1W,
       modelPar_given_A1W,
       modelPar_A2O,
       modelPar_given_A2O,
       modelPar_STA2O,
       modelPar_given_STA2O,
       modelPar_A3O,
       modelPar_given_A3O,
       modelPar_A3L,
       modelPar_given_A3L,
       modelPar_A3W,
       modelPar_given_A3W,
       modelPar_A4O,
       modelPar_given_A4O,
       modelPar_A4L,
       modelPar_given_A4L,
       modelPar_A4W,
       modelPar_given_A4W,
       modelPar_GCOO,
       modelPar_given_GCOO,
       modelPar_IGINVLW,
       modelPar_given_IGINVLW,
       modelPar_IGOVW,
       modelPar_given_IGOVW,
       modelPar_IGOVDW,
       modelPar_given_IGOVDW,
       modelPar_STIGO,
       modelPar_given_STIGO,
       modelPar_GC2O,
       modelPar_given_GC2O,
       modelPar_GC3O,
       modelPar_given_GC3O,
       modelPar_CHIBO,
       modelPar_given_CHIBO,
       modelPar_AGIDLW,
       modelPar_given_AGIDLW,
       modelPar_AGIDLDW,
       modelPar_given_AGIDLDW,
       modelPar_BGIDLO,
       modelPar_given_BGIDLO,
       modelPar_BGIDLDO,
       modelPar_given_BGIDLDO,
       modelPar_STBGIDLO,
       modelPar_given_STBGIDLO,
       modelPar_STBGIDLDO,
       modelPar_given_STBGIDLDO,
       modelPar_CGIDLO,
       modelPar_given_CGIDLO,
       modelPar_CGIDLDO,
       modelPar_given_CGIDLDO,
       modelPar_CGBOVL,
       modelPar_given_CGBOVL,
       modelPar_CFRW,
       modelPar_given_CFRW,
       modelPar_CFRDW,
       modelPar_given_CFRDW,
       modelPar_FNTO,
       modelPar_given_FNTO,
       modelPar_NFALW,
       modelPar_given_NFALW,
       modelPar_NFBLW,
       modelPar_given_NFBLW,
       modelPar_NFCLW,
       modelPar_given_NFCLW,
       modelPar_EFO,
       modelPar_given_EFO,
       modelPar_LINTNOI,
       modelPar_given_LINTNOI,
       modelPar_ALPNOI,
       modelPar_given_ALPNOI,
       modelPar_KVTHOWEO,
       modelPar_given_KVTHOWEO,
       modelPar_KVTHOWEL,
       modelPar_given_KVTHOWEL,
       modelPar_KVTHOWEW,
       modelPar_given_KVTHOWEW,
       modelPar_KVTHOWELW,
       modelPar_given_KVTHOWELW,
       modelPar_KUOWEO,
       modelPar_given_KUOWEO,
       modelPar_KUOWEL,
       modelPar_given_KUOWEL,
       modelPar_KUOWEW,
       modelPar_given_KUOWEW,
       modelPar_KUOWELW,
       modelPar_given_KUOWELW,
       modelPar_RGO,
       modelPar_given_RGO,
       modelPar_RINT,
       modelPar_given_RINT,
       modelPar_RVPOLY,
       modelPar_given_RVPOLY,
       modelPar_RSHG,
       modelPar_given_RSHG,
       modelPar_DLSIL,
       modelPar_given_DLSIL,
       modelPar_RSH,
       modelPar_given_RSH,
       modelPar_RSHD,
       modelPar_given_RSHD,
       modelPar_RBULKO,
       modelPar_given_RBULKO,
       modelPar_RWELLO,
       modelPar_given_RWELLO,
       modelPar_RJUNSO,
       modelPar_given_RJUNSO,
       modelPar_RJUNDO,
       modelPar_given_RJUNDO,
       modelPar_SAREF,
       modelPar_given_SAREF,
       modelPar_SBREF,
       modelPar_given_SBREF,
       modelPar_WLOD,
       modelPar_given_WLOD,
       modelPar_KUO,
       modelPar_given_KUO,
       modelPar_KVSAT,
       modelPar_given_KVSAT,
       modelPar_TKUO,
       modelPar_given_TKUO,
       modelPar_LKUO,
       modelPar_given_LKUO,
       modelPar_WKUO,
       modelPar_given_WKUO,
       modelPar_PKUO,
       modelPar_given_PKUO,
       modelPar_LLODKUO,
       modelPar_given_LLODKUO,
       modelPar_WLODKUO,
       modelPar_given_WLODKUO,
       modelPar_KVTHO,
       modelPar_given_KVTHO,
       modelPar_LKVTHO,
       modelPar_given_LKVTHO,
       modelPar_WKVTHO,
       modelPar_given_WKVTHO,
       modelPar_PKVTHO,
       modelPar_given_PKVTHO,
       modelPar_LLODVTH,
       modelPar_given_LLODVTH,
       modelPar_WLODVTH,
       modelPar_given_WLODVTH,
       modelPar_STETAO,
       modelPar_given_STETAO,
       modelPar_LODETAO,
       modelPar_given_LODETAO,
       modelPar_SCREF,
       modelPar_given_SCREF,
       modelPar_WEB,
       modelPar_given_WEB,
       modelPar_WEC,
       modelPar_given_WEC,
       modelPar_IMAX,
       modelPar_given_IMAX,
       modelPar_TRJ,
       modelPar_given_TRJ,
       modelPar_CJORBOT,
       modelPar_given_CJORBOT,
       modelPar_CJORSTI,
       modelPar_given_CJORSTI,
       modelPar_CJORGAT,
       modelPar_given_CJORGAT,
       modelPar_VBIRBOT,
       modelPar_given_VBIRBOT,
       modelPar_VBIRSTI,
       modelPar_given_VBIRSTI,
       modelPar_VBIRGAT,
       modelPar_given_VBIRGAT,
       modelPar_PBOT,
       modelPar_given_PBOT,
       modelPar_PSTI,
       modelPar_given_PSTI,
       modelPar_PGAT,
       modelPar_given_PGAT,
       modelPar_PHIGBOT,
       modelPar_given_PHIGBOT,
       modelPar_PHIGSTI,
       modelPar_given_PHIGSTI,
       modelPar_PHIGGAT,
       modelPar_given_PHIGGAT,
       modelPar_IDSATRBOT,
       modelPar_given_IDSATRBOT,
       modelPar_IDSATRSTI,
       modelPar_given_IDSATRSTI,
       modelPar_IDSATRGAT,
       modelPar_given_IDSATRGAT,
       modelPar_CSRHBOT,
       modelPar_given_CSRHBOT,
       modelPar_CSRHSTI,
       modelPar_given_CSRHSTI,
       modelPar_CSRHGAT,
       modelPar_given_CSRHGAT,
       modelPar_XJUNSTI,
       modelPar_given_XJUNSTI,
       modelPar_XJUNGAT,
       modelPar_given_XJUNGAT,
       modelPar_CTATBOT,
       modelPar_given_CTATBOT,
       modelPar_CTATSTI,
       modelPar_given_CTATSTI,
       modelPar_CTATGAT,
       modelPar_given_CTATGAT,
       modelPar_MEFFTATBOT,
       modelPar_given_MEFFTATBOT,
       modelPar_MEFFTATSTI,
       modelPar_given_MEFFTATSTI,
       modelPar_MEFFTATGAT,
       modelPar_given_MEFFTATGAT,
       modelPar_CBBTBOT,
       modelPar_given_CBBTBOT,
       modelPar_CBBTSTI,
       modelPar_given_CBBTSTI,
       modelPar_CBBTGAT,
       modelPar_given_CBBTGAT,
       modelPar_FBBTRBOT,
       modelPar_given_FBBTRBOT,
       modelPar_FBBTRSTI,
       modelPar_given_FBBTRSTI,
       modelPar_FBBTRGAT,
       modelPar_given_FBBTRGAT,
       modelPar_STFBBTBOT,
       modelPar_given_STFBBTBOT,
       modelPar_STFBBTSTI,
       modelPar_given_STFBBTSTI,
       modelPar_STFBBTGAT,
       modelPar_given_STFBBTGAT,
       modelPar_VBRBOT,
       modelPar_given_VBRBOT,
       modelPar_VBRSTI,
       modelPar_given_VBRSTI,
       modelPar_VBRGAT,
       modelPar_given_VBRGAT,
       modelPar_PBRBOT,
       modelPar_given_PBRBOT,
       modelPar_PBRSTI,
       modelPar_given_PBRSTI,
       modelPar_PBRGAT,
       modelPar_given_PBRGAT,
       modelPar_CJORBOTD,
       modelPar_given_CJORBOTD,
       modelPar_CJORSTID,
       modelPar_given_CJORSTID,
       modelPar_CJORGATD,
       modelPar_given_CJORGATD,
       modelPar_VBIRBOTD,
       modelPar_given_VBIRBOTD,
       modelPar_VBIRSTID,
       modelPar_given_VBIRSTID,
       modelPar_VBIRGATD,
       modelPar_given_VBIRGATD,
       modelPar_PBOTD,
       modelPar_given_PBOTD,
       modelPar_PSTID,
       modelPar_given_PSTID,
       modelPar_PGATD,
       modelPar_given_PGATD,
       modelPar_PHIGBOTD,
       modelPar_given_PHIGBOTD,
       modelPar_PHIGSTID,
       modelPar_given_PHIGSTID,
       modelPar_PHIGGATD,
       modelPar_given_PHIGGATD,
       modelPar_IDSATRBOTD,
       modelPar_given_IDSATRBOTD,
       modelPar_IDSATRSTID,
       modelPar_given_IDSATRSTID,
       modelPar_IDSATRGATD,
       modelPar_given_IDSATRGATD,
       modelPar_CSRHBOTD,
       modelPar_given_CSRHBOTD,
       modelPar_CSRHSTID,
       modelPar_given_CSRHSTID,
       modelPar_CSRHGATD,
       modelPar_given_CSRHGATD,
       modelPar_XJUNSTID,
       modelPar_given_XJUNSTID,
       modelPar_XJUNGATD,
       modelPar_given_XJUNGATD,
       modelPar_CTATBOTD,
       modelPar_given_CTATBOTD,
       modelPar_CTATSTID,
       modelPar_given_CTATSTID,
       modelPar_CTATGATD,
       modelPar_given_CTATGATD,
       modelPar_MEFFTATBOTD,
       modelPar_given_MEFFTATBOTD,
       modelPar_MEFFTATSTID,
       modelPar_given_MEFFTATSTID,
       modelPar_MEFFTATGATD,
       modelPar_given_MEFFTATGATD,
       modelPar_CBBTBOTD,
       modelPar_given_CBBTBOTD,
       modelPar_CBBTSTID,
       modelPar_given_CBBTSTID,
       modelPar_CBBTGATD,
       modelPar_given_CBBTGATD,
       modelPar_FBBTRBOTD,
       modelPar_given_FBBTRBOTD,
       modelPar_FBBTRSTID,
       modelPar_given_FBBTRSTID,
       modelPar_FBBTRGATD,
       modelPar_given_FBBTRGATD,
       modelPar_STFBBTBOTD,
       modelPar_given_STFBBTBOTD,
       modelPar_STFBBTSTID,
       modelPar_given_STFBBTSTID,
       modelPar_STFBBTGATD,
       modelPar_given_STFBBTGATD,
       modelPar_VBRBOTD,
       modelPar_given_VBRBOTD,
       modelPar_VBRSTID,
       modelPar_given_VBRSTID,
       modelPar_VBRGATD,
       modelPar_given_VBRGATD,
       modelPar_PBRBOTD,
       modelPar_given_PBRBOTD,
       modelPar_PBRSTID,
       modelPar_given_PBRSTID,
       modelPar_PBRGATD,
       modelPar_given_PBRGATD,
       modelPar_SWJUNEXP,
       modelPar_given_SWJUNEXP,
       modelPar_VJUNREF,
       modelPar_given_VJUNREF,
       modelPar_FJUNQ,
       modelPar_given_FJUNQ,
       modelPar_VJUNREFD,
       modelPar_given_VJUNREFD,
       modelPar_FJUNQD,
       modelPar_given_FJUNQD,
       modelPar_DTA,
       modelPar_given_DTA// model variables
       ,
       // reals
       modelVar_NSUBO_i,
       modelVar_WSEG_i,
       modelVar_NPCK_i,
       modelVar_WSEGP_i,
       modelVar_LPCK_i,
       modelVar_LOV_i,
       modelVar_LOVD_i,
       modelVar_LP1_i,
       modelVar_LP2_i,
       modelVar_WBET_i,
       modelVar_AXL_i,
       modelVar_ALP1L2_i,
       modelVar_ALP2L2_i,
       modelVar_TOXO_i,
       modelVar_TOXOVO_i,
       modelVar_TOXOVDO_i,
       modelVar_EPSROXO_i,
       modelVar_RINT_i,
       modelVar_RVPOLY_i,
       modelVar_RSHG_i,
       modelVar_RSH_i,
       modelVar_RSHD_i,
       modelVar_SAREF_i,
       modelVar_SBREF_i,
       modelVar_KVSAT_i,
       modelVar_LLODKUO_i,
       modelVar_WLODKUO_i,
       modelVar_LLODVTH_i,
       modelVar_WLODVTH_i,
       modelVar_LODETAO_i,
       modelVar_SCREF_i,
       modelVar_WEB_i,
       modelVar_WEC_i,
       modelVar_QMC_i,
       modelVar_TKD,
       modelVar_dT,
       modelVar_rT,
       modelVar_rTn,
       modelVar_EPSSI,
       modelVar_phit,
       modelVar_inv_phit,
       modelVar_Eg,
       modelVar_phibFac,
       modelVar_nt0,
       modelVar_IMAX_i,
       modelVar_CJORBOT_i,
       modelVar_CJORSTI_i,
       modelVar_CJORGAT_i,
       modelVar_VBIRBOT_i,
       modelVar_VBIRSTI_i,
       modelVar_VBIRGAT_i,
       modelVar_PBOT_i,
       modelVar_PSTI_i,
       modelVar_PGAT_i,
       modelVar_PHIGBOT_i,
       modelVar_PHIGSTI_i,
       modelVar_PHIGGAT_i,
       modelVar_IDSATRBOT_i,
       modelVar_IDSATRSTI_i,
       modelVar_IDSATRGAT_i,
       modelVar_XJUNSTI_i,
       modelVar_XJUNGAT_i,
       modelVar_CSRHBOT_i,
       modelVar_CSRHSTI_i,
       modelVar_CSRHGAT_i,
       modelVar_CTATBOT_i,
       modelVar_CTATSTI_i,
       modelVar_CTATGAT_i,
       modelVar_MEFFTATBOT_i,
       modelVar_MEFFTATSTI_i,
       modelVar_MEFFTATGAT_i,
       modelVar_CBBTBOT_i,
       modelVar_CBBTSTI_i,
       modelVar_CBBTGAT_i,
       modelVar_FBBTRBOT_i,
       modelVar_FBBTRSTI_i,
       modelVar_FBBTRGAT_i,
       modelVar_STFBBTBOT_i,
       modelVar_STFBBTSTI_i,
       modelVar_STFBBTGAT_i,
       modelVar_VBRBOT_i,
       modelVar_VBRSTI_i,
       modelVar_VBRGAT_i,
       modelVar_PBRBOT_i,
       modelVar_PBRSTI_i,
       modelVar_PBRGAT_i,
       modelVar_SWJUNEXP_i,
       modelVar_VJUNREF_i,
       modelVar_FJUNQ_i,
       modelVar_phitr,
       modelVar_phitd,
       modelVar_phitdinv,
       modelVar_perfc,
       modelVar_berfc,
       modelVar_cerfc,
       modelVar_phigrbot,
       modelVar_phigrsti,
       modelVar_phigrgat,
       modelVar_phigdbot,
       modelVar_phigdsti,
       modelVar_phigdgat,
       modelVar_ftdbot,
       modelVar_ftdsti,
       modelVar_ftdgat,
       modelVar_idsatbot,
       modelVar_idsatsti,
       modelVar_idsatgat,
       modelVar_ubibot,
       modelVar_ubisti,
       modelVar_ubigat,
       modelVar_vbibot,
       modelVar_vbisti,
       modelVar_vbigat,
       modelVar_vbiinvbot,
       modelVar_vbiinvsti,
       modelVar_vbiinvgat,
       modelVar_one_minus_PBOT,
       modelVar_one_minus_PSTI,
       modelVar_one_minus_PGAT,
       modelVar_one_over_one_minus_PBOT,
       modelVar_one_over_one_minus_PSTI,
       modelVar_one_over_one_minus_PGAT,
       modelVar_cjobot,
       modelVar_cjosti,
       modelVar_cjogat,
       modelVar_qprefbot,
       modelVar_qprefsti,
       modelVar_qprefgat,
       modelVar_qpref2bot,
       modelVar_qpref2sti,
       modelVar_qpref2gat,
       modelVar_wdepnulrbot,
       modelVar_wdepnulrsti,
       modelVar_wdepnulrgat,
       modelVar_wdepnulrinvbot,
       modelVar_wdepnulrinvsti,
       modelVar_wdepnulrinvgat,
       modelVar_VBIRBOTinv,
       modelVar_VBIRSTIinv,
       modelVar_VBIRGATinv,
       modelVar_deltaEbot,
       modelVar_deltaEsti,
       modelVar_deltaEgat,
       modelVar_atatbot,
       modelVar_atatsti,
       modelVar_atatgat,
       modelVar_btatpartbot,
       modelVar_btatpartsti,
       modelVar_btatpartgat,
       modelVar_fbbtbot,
       modelVar_fbbtsti,
       modelVar_fbbtgat,
       modelVar_fstopbot,
       modelVar_fstopsti,
       modelVar_fstopgat,
       modelVar_VBRinvbot,
       modelVar_VBRinvsti,
       modelVar_VBRinvgat,
       modelVar_slopebot,
       modelVar_slopesti,
       modelVar_slopegat,
       modelVar_CJORBOTS_i,
       modelVar_CJORSTIS_i,
       modelVar_CJORGATS_i,
       modelVar_VBIRBOTS_i,
       modelVar_VBIRSTIS_i,
       modelVar_VBIRGATS_i,
       modelVar_PBOTS_i,
       modelVar_PSTIS_i,
       modelVar_PGATS_i,
       modelVar_PHIGBOTS_i,
       modelVar_PHIGSTIS_i,
       modelVar_PHIGGATS_i,
       modelVar_IDSATRBOTS_i,
       modelVar_IDSATRSTIS_i,
       modelVar_IDSATRGATS_i,
       modelVar_XJUNSTIS_i,
       modelVar_XJUNGATS_i,
       modelVar_CSRHBOTS_i,
       modelVar_CSRHSTIS_i,
       modelVar_CSRHGATS_i,
       modelVar_CTATBOTS_i,
       modelVar_CTATSTIS_i,
       modelVar_CTATGATS_i,
       modelVar_MEFFTATBOTS_i,
       modelVar_MEFFTATSTIS_i,
       modelVar_MEFFTATGATS_i,
       modelVar_CBBTBOTS_i,
       modelVar_CBBTSTIS_i,
       modelVar_CBBTGATS_i,
       modelVar_FBBTRBOTS_i,
       modelVar_FBBTRSTIS_i,
       modelVar_FBBTRGATS_i,
       modelVar_STFBBTBOTS_i,
       modelVar_STFBBTSTIS_i,
       modelVar_STFBBTGATS_i,
       modelVar_VBRBOTS_i,
       modelVar_VBRSTIS_i,
       modelVar_VBRGATS_i,
       modelVar_PBRBOTS_i,
       modelVar_PBRSTIS_i,
       modelVar_PBRGATS_i,
       modelVar_CJORBOTD_i,
       modelVar_CJORSTID_i,
       modelVar_CJORGATD_i,
       modelVar_VBIRBOTD_i,
       modelVar_VBIRSTID_i,
       modelVar_VBIRGATD_i,
       modelVar_PBOTD_i,
       modelVar_PSTID_i,
       modelVar_PGATD_i,
       modelVar_PHIGBOTD_i,
       modelVar_PHIGSTID_i,
       modelVar_PHIGGATD_i,
       modelVar_IDSATRBOTD_i,
       modelVar_IDSATRSTID_i,
       modelVar_IDSATRGATD_i,
       modelVar_XJUNSTID_i,
       modelVar_XJUNGATD_i,
       modelVar_CSRHBOTD_i,
       modelVar_CSRHSTID_i,
       modelVar_CSRHGATD_i,
       modelVar_CTATBOTD_i,
       modelVar_CTATSTID_i,
       modelVar_CTATGATD_i,
       modelVar_MEFFTATBOTD_i,
       modelVar_MEFFTATSTID_i,
       modelVar_MEFFTATGATD_i,
       modelVar_CBBTBOTD_i,
       modelVar_CBBTSTID_i,
       modelVar_CBBTGATD_i,
       modelVar_FBBTRBOTD_i,
       modelVar_FBBTRSTID_i,
       modelVar_FBBTRGATD_i,
       modelVar_STFBBTBOTD_i,
       modelVar_STFBBTSTID_i,
       modelVar_STFBBTGATD_i,
       modelVar_VBRBOTD_i,
       modelVar_VBRSTID_i,
       modelVar_VBRGATD_i,
       modelVar_PBRBOTD_i,
       modelVar_PBRSTID_i,
       modelVar_PBRGATD_i,
       modelVar_VJUNREFS_i,
       modelVar_FJUNQS_i,
       modelVar_VJUNREFD_i,
       modelVar_FJUNQD_i,
       modelVar_phigrbot_s,
       modelVar_phigrsti_s,
       modelVar_phigrgat_s,
       modelVar_phigdbot_s,
       modelVar_phigdsti_s,
       modelVar_phigdgat_s,
       modelVar_ftdbot_s,
       modelVar_ftdsti_s,
       modelVar_ftdgat_s,
       modelVar_idsatbot_s,
       modelVar_idsatsti_s,
       modelVar_idsatgat_s,
       modelVar_ubibot_s,
       modelVar_ubisti_s,
       modelVar_ubigat_s,
       modelVar_vbibot_s,
       modelVar_vbisti_s,
       modelVar_vbigat_s,
       modelVar_vbiinvbot_s,
       modelVar_vbiinvsti_s,
       modelVar_vbiinvgat_s,
       modelVar_one_minus_PBOT_s,
       modelVar_one_minus_PSTI_s,
       modelVar_one_minus_PGAT_s,
       modelVar_one_over_one_minus_PBOT_s,
       modelVar_one_over_one_minus_PSTI_s,
       modelVar_one_over_one_minus_PGAT_s,
       modelVar_cjobot_s,
       modelVar_cjosti_s,
       modelVar_cjogat_s,
       modelVar_qprefbot_s,
       modelVar_qprefsti_s,
       modelVar_qprefgat_s,
       modelVar_qpref2bot_s,
       modelVar_qpref2sti_s,
       modelVar_qpref2gat_s,
       modelVar_wdepnulrbot_s,
       modelVar_wdepnulrsti_s,
       modelVar_wdepnulrgat_s,
       modelVar_wdepnulrinvbot_s,
       modelVar_wdepnulrinvsti_s,
       modelVar_wdepnulrinvgat_s,
       modelVar_VBIRBOTinv_s,
       modelVar_VBIRSTIinv_s,
       modelVar_VBIRGATinv_s,
       modelVar_deltaEbot_s,
       modelVar_deltaEsti_s,
       modelVar_deltaEgat_s,
       modelVar_atatbot_s,
       modelVar_atatsti_s,
       modelVar_atatgat_s,
       modelVar_btatpartbot_s,
       modelVar_btatpartsti_s,
       modelVar_btatpartgat_s,
       modelVar_fbbtbot_s,
       modelVar_fbbtsti_s,
       modelVar_fbbtgat_s,
       modelVar_fstopbot_s,
       modelVar_fstopsti_s,
       modelVar_fstopgat_s,
       modelVar_VBRinvbot_s,
       modelVar_VBRinvsti_s,
       modelVar_VBRinvgat_s,
       modelVar_slopebot_s,
       modelVar_slopesti_s,
       modelVar_slopegat_s,
       modelVar_phigrbot_d,
       modelVar_phigrsti_d,
       modelVar_phigrgat_d,
       modelVar_phigdbot_d,
       modelVar_phigdsti_d,
       modelVar_phigdgat_d,
       modelVar_ftdbot_d,
       modelVar_ftdsti_d,
       modelVar_ftdgat_d,
       modelVar_idsatbot_d,
       modelVar_idsatsti_d,
       modelVar_idsatgat_d,
       modelVar_ubibot_d,
       modelVar_ubisti_d,
       modelVar_ubigat_d,
       modelVar_vbibot_d,
       modelVar_vbisti_d,
       modelVar_vbigat_d,
       modelVar_vbiinvbot_d,
       modelVar_vbiinvsti_d,
       modelVar_vbiinvgat_d,
       modelVar_one_minus_PBOT_d,
       modelVar_one_minus_PSTI_d,
       modelVar_one_minus_PGAT_d,
       modelVar_one_over_one_minus_PBOT_d,
       modelVar_one_over_one_minus_PSTI_d,
       modelVar_one_over_one_minus_PGAT_d,
       modelVar_cjobot_d,
       modelVar_cjosti_d,
       modelVar_cjogat_d,
       modelVar_qprefbot_d,
       modelVar_qprefsti_d,
       modelVar_qprefgat_d,
       modelVar_qpref2bot_d,
       modelVar_qpref2sti_d,
       modelVar_qpref2gat_d,
       modelVar_wdepnulrbot_d,
       modelVar_wdepnulrsti_d,
       modelVar_wdepnulrgat_d,
       modelVar_wdepnulrinvbot_d,
       modelVar_wdepnulrinvsti_d,
       modelVar_wdepnulrinvgat_d,
       modelVar_VBIRBOTinv_d,
       modelVar_VBIRSTIinv_d,
       modelVar_VBIRGATinv_d,
       modelVar_deltaEbot_d,
       modelVar_deltaEsti_d,
       modelVar_deltaEgat_d,
       modelVar_atatbot_d,
       modelVar_atatsti_d,
       modelVar_atatgat_d,
       modelVar_btatpartbot_d,
       modelVar_btatpartsti_d,
       modelVar_btatpartgat_d,
       modelVar_fbbtbot_d,
       modelVar_fbbtsti_d,
       modelVar_fbbtgat_d,
       modelVar_fstopbot_d,
       modelVar_fstopsti_d,
       modelVar_fstopgat_d,
       modelVar_VBRinvbot_d,
       modelVar_VBRinvsti_d,
       modelVar_VBRinvgat_d,
       modelVar_slopebot_d,
       modelVar_slopesti_d,
       modelVar_slopegat_d,
       // non-reals
       modelVar_CHNL_TYPE,
       modelVar_SWGEO_i,
       modelVar_SWIGATE_i,
       modelVar_SWIMPACT_i,
       modelVar_SWGIDL_i,
       modelVar_SWJUNCAP_i,
       modelVar_SWJUNASYM_i,
       modelVar_SWNUD_i,
       modelVar_SWDELVTAC_i,
       in.admsTemperature,
       in.adms_vt_nom,
       in.getDeviceOptions().gmin,
       staticContributions,
       dynamicContributions,
       in);

  
    // We now have the F and Q vector stuff, populate the dependencies:
  
    dfdp[in.admsNodeID_D+inst*(11+0)] += staticContributions[in.admsNodeID_D].dx(0);
    dqdp[in.admsNodeID_D+inst*(11+0)] += dynamicContributions[in.admsNodeID_D].dx(0);
    Findices[in.admsNodeID_D+inst*(11+0)] = in.li_D;
    Qindices[in.admsNodeID_D+inst*(11+0)] = in.li_D;
    dfdp[in.admsNodeID_G+inst*(11+0)] += staticContributions[in.admsNodeID_G].dx(0);
    dqdp[in.admsNodeID_G+inst*(11+0)] += dynamicContributions[in.admsNodeID_G].dx(0);
    Findices[in.admsNodeID_G+inst*(11+0)] = in.li_G;
    Qindices[in.admsNodeID_G+inst*(11+0)] = in.li_G;
    dfdp[in.admsNodeID_S+inst*(11+0)] += staticContributions[in.admsNodeID_S].dx(0);
    dqdp[in.admsNodeID_S+inst*(11+0)] += dynamicContributions[in.admsNodeID_S].dx(0);
    Findices[in.admsNodeID_S+inst*(11+0)] = in.li_S;
    Qindices[in.admsNodeID_S+inst*(11+0)] = in.li_S;
    dfdp[in.admsNodeID_B+inst*(11+0)] += staticContributions[in.admsNodeID_B].dx(0);
    dqdp[in.admsNodeID_B+inst*(11+0)] += dynamicContributions[in.admsNodeID_B].dx(0);
    Findices[in.admsNodeID_B+inst*(11+0)] = in.li_B;
    Qindices[in.admsNodeID_B+inst*(11+0)] = in.li_B;
    dfdp[in.admsNodeID_GP+inst*(11+0)] += staticContributions[in.admsNodeID_GP].dx(0);
    dqdp[in.admsNodeID_GP+inst*(11+0)] += dynamicContributions[in.admsNodeID_GP].dx(0);
    Findices[in.admsNodeID_GP+inst*(11+0)] = in.li_GP;
    Qindices[in.admsNodeID_GP+inst*(11+0)] = in.li_GP;
    dfdp[in.admsNodeID_SI+inst*(11+0)] += staticContributions[in.admsNodeID_SI].dx(0);
    dqdp[in.admsNodeID_SI+inst*(11+0)] += dynamicContributions[in.admsNodeID_SI].dx(0);
    Findices[in.admsNodeID_SI+inst*(11+0)] = in.li_SI;
    Qindices[in.admsNodeID_SI+inst*(11+0)] = in.li_SI;
    dfdp[in.admsNodeID_DI+inst*(11+0)] += staticContributions[in.admsNodeID_DI].dx(0);
    dqdp[in.admsNodeID_DI+inst*(11+0)] += dynamicContributions[in.admsNodeID_DI].dx(0);
    Findices[in.admsNodeID_DI+inst*(11+0)] = in.li_DI;
    Qindices[in.admsNodeID_DI+inst*(11+0)] = in.li_DI;
    dfdp[in.admsNodeID_BI+inst*(11+0)] += staticContributions[in.admsNodeID_BI].dx(0);
    dqdp[in.admsNodeID_BI+inst*(11+0)] += dynamicContributions[in.admsNodeID_BI].dx(0);
    Findices[in.admsNodeID_BI+inst*(11+0)] = in.li_BI;
    Qindices[in.admsNodeID_BI+inst*(11+0)] = in.li_BI;
    dfdp[in.admsNodeID_BP+inst*(11+0)] += staticContributions[in.admsNodeID_BP].dx(0);
    dqdp[in.admsNodeID_BP+inst*(11+0)] += dynamicContributions[in.admsNodeID_BP].dx(0);
    Findices[in.admsNodeID_BP+inst*(11+0)] = in.li_BP;
    Qindices[in.admsNodeID_BP+inst*(11+0)] = in.li_BP;
    dfdp[in.admsNodeID_BS+inst*(11+0)] += staticContributions[in.admsNodeID_BS].dx(0);
    dqdp[in.admsNodeID_BS+inst*(11+0)] += dynamicContributions[in.admsNodeID_BS].dx(0);
    Findices[in.admsNodeID_BS+inst*(11+0)] = in.li_BS;
    Qindices[in.admsNodeID_BS+inst*(11+0)] = in.li_BS;
    dfdp[in.admsNodeID_BD+inst*(11+0)] += staticContributions[in.admsNodeID_BD].dx(0);
    dqdp[in.admsNodeID_BD+inst*(11+0)] += dynamicContributions[in.admsNodeID_BD].dx(0);
    Findices[in.admsNodeID_BD+inst*(11+0)] = in.li_BD;
    Qindices[in.admsNodeID_BD+inst*(11+0)] = in.li_BD;
  }

}

} // namespace ADMSPSP103VA
} // namespace Device
} // namespace Xyce
